(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     12561,        431]
NotebookOptionsPosition[     11940,        411]
NotebookOutlinePosition[     12575,        432]
CellTagsIndexPosition[     12532,        429]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"\[Rule]", 
  StyleBox[GridBox[{
     {
      RowBox[{
       StyleBox["\[IndentingNewLine]",
        FontColor->RGBColor[0, 1, 0]], 
       StyleBox[" ",
        FontFamily->"Helvetica",
        FontSize->18,
        FontColor->GrayLevel[0]], 
       StyleBox[
        RowBox[{
         StyleBox[
          RowBox[{"Single", " ", "Qubit", "  ", "Tools"}],
          FontFamily->"Helvetica",
          FontSize->18], "\[IndentingNewLine]"}],
        FontColor->GrayLevel[1]]}], 
      StyleBox["",
       FontColor->RGBColor[0, 1, 0]]},
     {
      ButtonBox[
       SubscriptBox["\[ScriptCapitalP]", 
        StyleBox["\[SelectionPlaceholder]",
         ScriptLevel->0]]], 
      ButtonBox[
       RowBox[{"PX", "[", 
        StyleBox["\[SelectionPlaceholder]",
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]]},
     {
      ButtonBox[
       RowBox[{"PY", "[", "\[SelectionPlaceholder]", "]"}]], 
      ButtonBox[
       SubscriptBox["\[Sigma]", "\[SelectionPlaceholder]"]]},
     {
      ButtonBox[
       RowBox[{"Ket", "[", 
        StyleBox["\[SelectionPlaceholder]",
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]], 
      ButtonBox[
       RowBox[{"Bra", "[", 
        StyleBox["\[SelectionPlaceholder]",
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]]},
     {
      ButtonBox[
       RowBox[{"KetX", "[", 
        StyleBox["\[SelectionPlaceholder]",
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]], 
      ButtonBox[
       RowBox[{"BraX", "[", 
        StyleBox["\[SelectionPlaceholder]",
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]]},
     {
      ButtonBox[
       RowBox[{"KetY", "[", 
        StyleBox["\[SelectionPlaceholder]",
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]], 
      ButtonBox[
       RowBox[{"BraY", "[", 
        StyleBox["\[SelectionPlaceholder]",
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]]},
     {
      ButtonBox[
       RowBox[{"Ket1", "[", 
        StyleBox[
         RowBox[{"\[SelectionPlaceholder]", ",", "\[SelectionPlaceholder]"}],
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]], 
      ButtonBox[
       RowBox[{"Bra1", "[", 
        StyleBox[
         RowBox[{"\[SelectionPlaceholder]", ",", "\[SelectionPlaceholder]"}],
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]]},
     {
      ButtonBox[
       RowBox[{"ProjG", "[", 
        RowBox[{
         StyleBox["\[SelectionPlaceholder]",
          ScriptLevel->0], 
         StyleBox[",",
          ScriptLevel->0], 
         RowBox[{
          StyleBox["{",
           ScriptLevel->0], "\[SelectionPlaceholder]", "}"}]}], 
        StyleBox["]",
         ScriptLevel->0]}]], 
      ButtonBox[
       RowBox[{"Tr", "[", 
        StyleBox["\[SelectionPlaceholder]",
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]]},
     {
      ButtonBox["RandomQubit1"], 
      ButtonBox[
       RowBox[{"Adj", "[", 
        StyleBox["\[SelectionPlaceholder]",
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]]},
     {
      ButtonBox["RandomKet1"], 
      ButtonBox["RandomBra1"]},
     {
      ButtonBox[
       RowBox[{"Rotqbit", "[", 
        RowBox[{
         RowBox[{"{", 
          StyleBox["\[SelectionPlaceholder]",
           ScriptLevel->0], 
          StyleBox["}",
           ScriptLevel->0]}], 
         StyleBox[",",
          ScriptLevel->0], 
         StyleBox["\[SelectionPlaceholder]",
          ScriptLevel->0]}], 
        StyleBox["]",
         ScriptLevel->0]}]], 
      ButtonBox[
       RowBox[{"RotX", "[", 
        StyleBox["\[SelectionPlaceholder]",
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]]},
     {
      ButtonBox[
       RowBox[{"RotY", "[", 
        StyleBox["\[SelectionPlaceholder]",
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]], 
      ButtonBox[
       RowBox[{"RotZ", "[", 
        StyleBox["\[SelectionPlaceholder]",
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]]},
     {
      ButtonBox[
       RowBox[{"Comm", "[", 
        RowBox[{
         StyleBox["\[SelectionPlaceholder]",
          ScriptLevel->0], 
         StyleBox[",",
          ScriptLevel->0], "\[SelectionPlaceholder]"}], 
        StyleBox["]",
         ScriptLevel->0]}]], 
      ButtonBox[
       RowBox[{"Fidelity", "[", 
        RowBox[{
         StyleBox["\[SelectionPlaceholder]",
          ScriptLevel->0], 
         StyleBox[",",
          ScriptLevel->0], "\[SelectionPlaceholder]"}], 
        StyleBox["]",
         ScriptLevel->0]}]]},
     {
      ButtonBox[
       RowBox[{"Purity", "[", 
        StyleBox["\[SelectionPlaceholder]",
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]], 
      ButtonBox[
       RowBox[{"EnTropy", "[", 
        StyleBox["\[SelectionPlaceholder]",
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]]},
     {
      ButtonBox[""], 
      ButtonBox[""]},
     {
      RowBox[{"\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"MultiQubit", " ", "Tools"}],
        FontFamily->"Helvetica",
        FontSize->18,
        FontColor->GrayLevel[1]]}], 
      RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]"}]},
     {
      ButtonBox[
       RowBox[{"KetV", "[", 
        RowBox[{"{", 
         StyleBox["\[SelectionPlaceholder]",
          ScriptLevel->0], 
         StyleBox["}",
          ScriptLevel->0]}], 
        StyleBox["]",
         ScriptLevel->0]}]], 
      ButtonBox[
       RowBox[{"SP", "[", 
        StyleBox[
         RowBox[{"\[SelectionPlaceholder]", ",", 
          RowBox[{"{", "\[SelectionPlaceholder]", "}"}]}],
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]]},
     {
      ButtonBox[
       RowBox[{"PTr", "[", 
        RowBox[{
         RowBox[{"{", 
          StyleBox["\[SelectionPlaceholder]",
           ScriptLevel->0], 
          StyleBox["}",
           ScriptLevel->0]}], 
         StyleBox[",",
          ScriptLevel->0], 
         StyleBox["\[SelectionPlaceholder]",
          ScriptLevel->0]}], 
        StyleBox["]",
         ScriptLevel->0]}]], 
      ButtonBox[
       StyleBox[
        RowBox[{
         RowBox[{
         "\[SelectionPlaceholder]", "\[CircleTimes]", 
          "\[SelectionPlaceholder]"}], " "}],
        ScriptLevel->0]]},
     {
      ButtonBox[
       RowBox[{"MeasureKet", "[", 
        StyleBox[
         RowBox[{"\[SelectionPlaceholder]", ",", 
          RowBox[{"{", "\[SelectionPlaceholder]", "}"}], ",", 
          RowBox[{"{", "\[SelectionPlaceholder]", "}"}]}],
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]], 
      ButtonBox["RandomQubit2"]},
     {
      ButtonBox[
       RowBox[{"RandomQubitN", "[", 
        StyleBox["\[SelectionPlaceholder]",
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]], 
      ButtonBox[
       RowBox[{"MultiQProj", "[", 
        RowBox[{
         RowBox[{"{", "\[SelectionPlaceholder]", "}"}], ",", 
         RowBox[{"{", "\[SelectionPlaceholder]", "}"}]}], "]"}]]},
     {
      RowBox[{"\[IndentingNewLine]", 
       StyleBox[" ",
        FontFamily->"Helvetica",
        FontSize->18,
        FontColor->GrayLevel[1]], 
       RowBox[{
        StyleBox[
         RowBox[{"Common", " ", "Gates"}],
         FontFamily->"Helvetica",
         FontSize->18,
         FontColor->GrayLevel[1]], "\[IndentingNewLine]"}]}], ""},
     {
      ButtonBox[
       RowBox[{"CNOT", "[", 
        StyleBox[
         RowBox[{
         "\[SelectionPlaceholder]", ",", "\[SelectionPlaceholder]", ",", 
          "\[SelectionPlaceholder]"}],
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]], 
      ButtonBox[
       RowBox[{"CPHASE", "[", 
        StyleBox[
         RowBox[{
         "\[SelectionPlaceholder]", ",", "\[SelectionPlaceholder]", ",", 
          "\[SelectionPlaceholder]"}],
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]]},
     {
      ButtonBox[
       RowBox[{"Had", "[", 
        StyleBox[
         RowBox[{"\[SelectionPlaceholder]", ",", 
          RowBox[{"{", "\[SelectionPlaceholder]", "}"}]}],
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]], 
      ButtonBox[
       RowBox[{"CPHASEV", "[", 
        RowBox[{
        "\[SelectionPlaceholder]", ",", "\[SelectionPlaceholder]", ",", 
         RowBox[{"{", 
          StyleBox["\[SelectionPlaceholder]",
           ScriptLevel->0], 
          StyleBox["}",
           ScriptLevel->0]}]}], 
        StyleBox["]",
         ScriptLevel->0]}]]},
     {
      ButtonBox[
       RowBox[{"ControlledX", "[", 
        RowBox[{
         StyleBox["\[SelectionPlaceholder]",
          ScriptLevel->0], 
         StyleBox[",",
          ScriptLevel->0], 
         StyleBox["\[SelectionPlaceholder]",
          ScriptLevel->0], 
         StyleBox[",",
          ScriptLevel->0], "\[SelectionPlaceholder]"}], 
        StyleBox["]",
         ScriptLevel->0]}]], 
      ButtonBox[
       RowBox[{"ControlledY", "[", 
        RowBox[{
        "\[SelectionPlaceholder]", ",", "\[SelectionPlaceholder]", ",", 
         "\[SelectionPlaceholder]"}], 
        StyleBox["]",
         ScriptLevel->0]}]]},
     {
      ButtonBox[
       RowBox[{"had", "[", 
        StyleBox[
         RowBox[{"\[SelectionPlaceholder]", ",", "\[SelectionPlaceholder]"}],
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]], 
      ButtonBox[
       RowBox[{"HALL", "[", 
        StyleBox["\[SelectionPlaceholder]",
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]]},
     {
      ButtonBox[
       RowBox[{"Toffoli", "[", 
        StyleBox[
         RowBox[{
         "\[SelectionPlaceholder]", ",", "\[SelectionPlaceholder]", ",", 
          "\[SelectionPlaceholder]", ",", "\[SelectionPlaceholder]"}],
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]], 
      ButtonBox[
       RowBox[{"Swap", "[", 
        RowBox[{
        "\[SelectionPlaceholder]", ",", "\[SelectionPlaceholder]", ",", 
         "\[SelectionPlaceholder]"}], 
        StyleBox["]",
         ScriptLevel->0]}]]},
     {
      ButtonBox[
       RowBox[{"TwoOp", "[", 
        StyleBox[
         RowBox[{
         "\[SelectionPlaceholder]", ",", "\[SelectionPlaceholder]", ",", 
          "\[SelectionPlaceholder]", ",", "\[SelectionPlaceholder]", ",", 
          "\[SelectionPlaceholder]"}],
         ScriptLevel->0], 
        StyleBox["]",
         ScriptLevel->0]}]], 
      ButtonBox[""]}
    }],
   Background->RGBColor[0.571389, 0.19675, 0.570504]]}]], NotebookDefault,
 PageBreakAbove->True,
 CellChangeTimes->{{3.776689866780533*^9, 3.7766898923957376`*^9}, 
   3.855851365851769*^9, 3.856285087933053*^9, {3.856290052937854*^9, 
   3.856290113926602*^9}, 3.856292411945201*^9},
 GridBoxOptions->{GridBoxSpacings->{"Columns" -> {
     Offset[0.27999999999999997`], {
      Offset[0.]}, 
     Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
     Offset[0.2], {
      Offset[0.]}, 
     Offset[0.2]}, 
   "RowsIndexed" -> \
{}}},ExpressionUUID->"145d03cd-6742-46c1-af9f-baa4f4c1a9d5"]
},
WindowSize->{937, 524},
WindowMargins->{{67, Automatic}, {10, Automatic}},
Magnification->1.25 Inherited,
FrontEndVersion->"13.0 for Mac OS X x86 (64-bit) (December 2, 2021)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[StyleDefinitions -> "Default.nb"]]}, Visible -> False, 
  FrontEndVersion -> "13.0 for Mac OS X x86 (64-bit) (December 2, 2021)", 
  StyleDefinitions -> "PrivateStylesheetFormatting.nb"],
ExpressionUUID->"7df58818-9242-4f95-9ead-6ea347c0903d"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 11378, 389, 919, NotebookDefault,ExpressionUUID->"145d03cd-6742-46c1-af9f-baa4f4c1a9d5",
 PageBreakAbove->True]
}
]
*)

