(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    324171,       6625]
NotebookOptionsPosition[    313479,       6461]
NotebookOutlinePosition[    313875,       6477]
CellTagsIndexPosition[    313832,       6474]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"SetOptions", "[", 
    RowBox[{
     RowBox[{"EvaluationNotebook", "[", "]"}], ",", 
     RowBox[{"CellContext", "->", "Notebook"}]}], "]"}], " ", "*)"}], 
  "\[IndentingNewLine]", " ", 
  RowBox[{
   RowBox[{
    RowBox[{"Off", "[", 
     RowBox[{"General", "::", "shdw"}], "]"}], ";"}], "\[IndentingNewLine]", 
   " ", 
   RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Needs", "[", "\"\<QDENSITY`Circuits`\>\"", "]"}], ";"}], 
   " "}]}]], "Input",
 CellChangeTimes->{
  3.665870195964622*^9, {3.6660222313273*^9, 3.666022231833284*^9}, {
   3.6660489430044403`*^9, 3.666048943488016*^9}, {3.85836507165994*^9, 
   3.8583650827301617`*^9}, {3.858366692873838*^9, 3.858366693360306*^9}, {
   3.858411155183773*^9, 3.8584111756680107`*^9}},
 FontSize->24,
 FontColor->GrayLevel[0],
 CellLabel->
  "In[168]:=",ExpressionUUID->"4f9b0d1c-d563-4b6c-92a3-0980e8924d28"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"H", "[", "t_", "]"}], ":=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", "wL"}], "/", "2"}], "  ", 
    RowBox[{"s", "[", "3", "]"}]}], " ", "-", " ", 
   RowBox[{
    RowBox[{"w2", "/", "2"}], 
    RowBox[{"(", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"s", "[", "1", "]"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{"w", " ", "t"}], "]"}]}], "-", 
      RowBox[{
       RowBox[{"s", "[", "2", "]"}], " ", 
       RowBox[{"Sin", "[", " ", 
        RowBox[{"w", " ", "t"}], " ", "]"}]}]}], " ", 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", "   ", 
   RowBox[{"Basic", " ", "Lindblad"}], "  ", "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{"\[ScriptCapitalL]1", "[", 
     RowBox[{
      RowBox[{"X_", "?", "MatrixQ"}], ",", 
      RowBox[{"L_", "?", "MatrixQ"}]}], "]"}], ":=", 
    RowBox[{"\[CapitalGamma]v", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"L", ".", "X", ".", 
        RowBox[{"Adj", "[", "L", "]"}]}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"Adj", "[", "L", "]"}], ".", "L", ".", "X"}], "+", 
          RowBox[{"X", ".", 
           RowBox[{"Adj", "[", "L", "]"}], ".", "L"}]}], ")"}], "/", "2"}]}], 
      ")"}]}]}], ";"}]}]}], "Input",
 CellChangeTimes->{
  3.8585031204505033`*^9, {3.8585033120577793`*^9, 3.858503320474201*^9}},
 CellLabel->
  "In[171]:=",ExpressionUUID->"b78239d3-0b93-4438-bbcd-f0801ae7b423"],

Cell[BoxData[{
 RowBox[{"wL", "=."}], "\[IndentingNewLine]", 
 RowBox[{"\[CapitalGamma]v", "=."}], "\[IndentingNewLine]", 
 RowBox[{"w", "=."}], "\[IndentingNewLine]", 
 RowBox[{"w2", "=."}]}], "Input",
 CellChangeTimes->{{3.858416274043642*^9, 3.858416275663191*^9}, {
  3.8584163089529543`*^9, 3.858416311697454*^9}, {3.858503165591304*^9, 
  3.858503168426322*^9}, {3.858503329574069*^9, 3.858503334152505*^9}},
 CellLabel->
  "In[173]:=",ExpressionUUID->"46bdd709-69c0-440e-aef1-582bc1e99f0b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"H", "[", "t", "]"}]], "Input",
 CellChangeTimes->{{3.858416235196412*^9, 3.858416237075095*^9}, {
  3.8584171953081007`*^9, 3.858417198030333*^9}},
 CellLabel->
  "In[177]:=",ExpressionUUID->"a31c007e-d7b4-4f5f-ba33-bd76cd824e36"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", 
       FractionBox["wL", "2"]}], 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", "w2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{"t", " ", "w"}], "]"}], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"t", " ", "w"}], "]"}]}]}], ")"}]}]},
     {
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", "w2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Cos", "[", 
          RowBox[{"t", " ", "w"}], "]"}], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"t", " ", "w"}], "]"}]}]}], ")"}]}], 
      FractionBox["wL", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.85850328807027*^9, 3.858503357875078*^9, 
  3.8585146332619467`*^9},
 CellLabel->
  "Out[177]=",ExpressionUUID->"973011ff-25d4-4556-bd83-4fd7719a052d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Clear", "[", "Rho", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Rho", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "/", "2"}], ")"}], "  ", 
    RowBox[{"(", "  ", 
     RowBox[{
      RowBox[{"s", "[", "0", "]"}], "  ", "+", " ", 
      RowBox[{
       RowBox[{"PAx", "[", "t", "]"}], "  ", 
       RowBox[{"s", "[", "1", "]"}]}], " ", "+", "  ", 
      RowBox[{
       RowBox[{"PAy", "[", "t", "]"}], " ", 
       RowBox[{"s", "[", "2", "]"}]}], "+", " ", 
      RowBox[{
       RowBox[{"PAz", "[", "t", "]"}], "  ", 
       RowBox[{"s", "[", "3", "]"}]}]}], ")"}]}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[ScriptCapitalL]1", "[", 
    RowBox[{
     RowBox[{"Rho", "[", "t", "]"}], ",", 
     RowBox[{"s", "[", "1", "]"}]}], "]"}], "  ", "//", "FullSimplify"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"-", "\[CapitalGamma]v"}], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"PAy", "[", "t", "]"}], " ", 
      RowBox[{"s", "[", "2", "]"}]}], "+", " ", 
     RowBox[{
      RowBox[{"PAz", "[", "t", "]"}], " ", 
      RowBox[{"s", "[", "3", "]"}]}]}], ")"}]}], "==", 
  "%"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[ScriptCapitalL]1", "[", 
    RowBox[{
     RowBox[{"Rho", "[", "t", "]"}], ",", 
     RowBox[{"s", "[", "2", "]"}]}], "]"}], " ", "//", "FullSimplify"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"-", "\[CapitalGamma]v"}], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"PAz", "[", "t", "]"}], " ", 
      RowBox[{"s", "[", "3", "]"}]}], "+", " ", 
     RowBox[{
      RowBox[{"PAx", "[", "t", "]"}], " ", 
      RowBox[{"s", "[", "1", "]"}]}]}], ")"}]}], "==", 
  "%"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[ScriptCapitalL]1", "[", 
    RowBox[{
     RowBox[{"Rho", "[", "t", "]"}], ",", 
     RowBox[{"s", "[", "3", "]"}]}], "]"}], " ", "//", "FullSimplify"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[CapitalGamma]v"}], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"PAx", "[", "t", "]"}], " ", 
       RowBox[{"s", "[", "1", "]"}]}], "+", " ", 
      RowBox[{
       RowBox[{"PAy", "[", "t", "]"}], " ", 
       RowBox[{"s", "[", "2", "]"}]}]}], ")"}]}], "==", "%"}], 
  "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.8584109136850767`*^9, 3.85841094235085*^9}, {
   3.858410987232018*^9, 3.858411034286956*^9}, {3.8584163309131613`*^9, 
   3.8584164665449247`*^9}, {3.8584171019324493`*^9, 3.858417159423368*^9}, {
   3.858417227146986*^9, 3.858417256486092*^9}, {3.858417666859598*^9, 
   3.8584177667933283`*^9}, {3.858417853960273*^9, 3.858417900614518*^9}, 
   3.858511426182234*^9},
 CellLabel->
  "In[178]:=",ExpressionUUID->"e19c84dc-ddfd-4a22-bcf2-25c9b01ce45e"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8585146332778673`*^9},
 CellLabel->
  "Out[181]=",ExpressionUUID->"d519f5f7-51f1-44ec-ad34-cf475350acd6"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858514633280602*^9},
 CellLabel->
  "Out[183]=",ExpressionUUID->"27a1a484-2dd0-443b-b2e2-4e5146bd4621"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858514633286701*^9},
 CellLabel->
  "Out[185]=",ExpressionUUID->"9daa737a-a30d-49cb-9336-b654a67767fb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"sm", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"s", "[", "1", "]"}], "+", 
     RowBox[{"I", " ", 
      RowBox[{"s", "[", "2", "]"}]}]}], ")"}], "/", 
   "2"}]}], "\[IndentingNewLine]", 
 RowBox[{"sp", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"s", "[", "1", "]"}], "-", 
     RowBox[{"I", " ", 
      RowBox[{"s", "[", "2", "]"}]}]}], ")"}], "/", 
   "2"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sm", ".", " ", 
   RowBox[{"Ket", "[", "1", "]"}]}], "==", 
  RowBox[{"Ket", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sp", ".", " ", 
   RowBox[{"Ket", "[", "0", "]"}]}], "==", 
  RowBox[{"Ket", "[", "1", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sm", ".", "sp", ".", " ", 
   RowBox[{"Ket", "[", "0", "]"}]}], "==", 
  RowBox[{"Ket", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sp", ".", "sm", ".", " ", 
   RowBox[{"Ket", "[", "1", "]"}]}], "==", 
  RowBox[{"Ket", "[", "1", "]"}]}]}], "Input",
 CellChangeTimes->{{3.858503366238776*^9, 3.8585035823990088`*^9}, {
  3.858503691879616*^9, 3.8585037422639837`*^9}},
 CellLabel->
  "In[186]:=",ExpressionUUID->"c94b791d-5504-406e-86b7-5e17542940af"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "1"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858503288102284*^9, {3.858503357890135*^9, 3.8585033921586018`*^9}, {
   3.858503428228032*^9, 3.858503504738823*^9}, {3.8585035472912607`*^9, 
   3.858503583529848*^9}, {3.858503704886593*^9, 3.858503743136753*^9}, 
   3.858503830343856*^9, 3.858514633303866*^9},
 CellLabel->
  "Out[186]=",ExpressionUUID->"5773dfcf-341a-41c0-bfbd-904b69c2a93d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0"},
     {"1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858503288102284*^9, {3.858503357890135*^9, 3.8585033921586018`*^9}, {
   3.858503428228032*^9, 3.858503504738823*^9}, {3.8585035472912607`*^9, 
   3.858503583529848*^9}, {3.858503704886593*^9, 3.858503743136753*^9}, 
   3.858503830343856*^9, 3.858514633306643*^9},
 CellLabel->
  "Out[187]=",ExpressionUUID->"94330ad0-9ef9-4428-b96d-1e68c45268cf"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858503288102284*^9, {3.858503357890135*^9, 3.8585033921586018`*^9}, {
   3.858503428228032*^9, 3.858503504738823*^9}, {3.8585035472912607`*^9, 
   3.858503583529848*^9}, {3.858503704886593*^9, 3.858503743136753*^9}, 
   3.858503830343856*^9, 3.8585146333091707`*^9},
 CellLabel->
  "Out[188]=",ExpressionUUID->"91424cdb-ea95-4a0b-866b-268e28a5e338"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858503288102284*^9, {3.858503357890135*^9, 3.8585033921586018`*^9}, {
   3.858503428228032*^9, 3.858503504738823*^9}, {3.8585035472912607`*^9, 
   3.858503583529848*^9}, {3.858503704886593*^9, 3.858503743136753*^9}, 
   3.858503830343856*^9, 3.8585146333113947`*^9},
 CellLabel->
  "Out[189]=",ExpressionUUID->"a51591d6-a83f-44ea-b5da-e81e8539340d"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858503288102284*^9, {3.858503357890135*^9, 3.8585033921586018`*^9}, {
   3.858503428228032*^9, 3.858503504738823*^9}, {3.8585035472912607`*^9, 
   3.858503583529848*^9}, {3.858503704886593*^9, 3.858503743136753*^9}, 
   3.858503830343856*^9, 3.858514633313593*^9},
 CellLabel->
  "Out[190]=",ExpressionUUID->"b037ae76-1c6d-4215-967e-fb3c82d261bb"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858503288102284*^9, {3.858503357890135*^9, 3.8585033921586018`*^9}, {
   3.858503428228032*^9, 3.858503504738823*^9}, {3.8585035472912607`*^9, 
   3.858503583529848*^9}, {3.858503704886593*^9, 3.858503743136753*^9}, 
   3.858503830343856*^9, 3.858514633315743*^9},
 CellLabel->
  "Out[191]=",ExpressionUUID->"e01bf637-a668-4d27-9221-431c89499bab"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"sm", ".", "sp"}], "\[IndentingNewLine]", 
 RowBox[{"sp", ".", "sm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sm", ".", "sp"}], "+", 
   RowBox[{"sp", ".", "sm"}]}], "==", 
  RowBox[{"s", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sm", ".", "sp"}], "-", 
   RowBox[{"sp", ".", "sm"}]}], "==", 
  RowBox[{"s", "[", "3", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sm", ".", "sm"}], "==", 
  RowBox[{"sp", ".", "sp"}]}]}], "Input",
 CellChangeTimes->{{3.858503753548418*^9, 3.858503815222846*^9}, {
  3.8585038542414017`*^9, 3.858503931133348*^9}},
 CellLabel->
  "In[192]:=",ExpressionUUID->"94b0bae7-d8c5-45cb-8f24-60c3346a5d01"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858503288102284*^9, {3.858503357890135*^9, 3.8585033921586018`*^9}, {
   3.858503428228032*^9, 3.858503504738823*^9}, {3.8585035472912607`*^9, 
   3.858503583529848*^9}, {3.858503704886593*^9, 3.85850381638209*^9}, {
   3.858503864396927*^9, 3.858503932068458*^9}, 3.858514633323737*^9},
 CellLabel->
  "Out[192]=",ExpressionUUID->"c58eb679-a5ac-4853-997a-9d4add143de9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858503288102284*^9, {3.858503357890135*^9, 3.8585033921586018`*^9}, {
   3.858503428228032*^9, 3.858503504738823*^9}, {3.8585035472912607`*^9, 
   3.858503583529848*^9}, {3.858503704886593*^9, 3.85850381638209*^9}, {
   3.858503864396927*^9, 3.858503932068458*^9}, 3.858514633326455*^9},
 CellLabel->
  "Out[193]=",ExpressionUUID->"88e91470-2c06-4ed0-b6ea-b4c3e451b3fb"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858503288102284*^9, {3.858503357890135*^9, 3.8585033921586018`*^9}, {
   3.858503428228032*^9, 3.858503504738823*^9}, {3.8585035472912607`*^9, 
   3.858503583529848*^9}, {3.858503704886593*^9, 3.85850381638209*^9}, {
   3.858503864396927*^9, 3.858503932068458*^9}, 3.8585146333288727`*^9},
 CellLabel->
  "Out[194]=",ExpressionUUID->"676cebb3-c627-4ef6-a765-ca67e07e1949"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858503288102284*^9, {3.858503357890135*^9, 3.8585033921586018`*^9}, {
   3.858503428228032*^9, 3.858503504738823*^9}, {3.8585035472912607`*^9, 
   3.858503583529848*^9}, {3.858503704886593*^9, 3.85850381638209*^9}, {
   3.858503864396927*^9, 3.858503932068458*^9}, 3.8585146333311157`*^9},
 CellLabel->
  "Out[195]=",ExpressionUUID->"1794176d-f796-4a21-b40d-7ac9d21b92bf"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858503288102284*^9, {3.858503357890135*^9, 3.8585033921586018`*^9}, {
   3.858503428228032*^9, 3.858503504738823*^9}, {3.8585035472912607`*^9, 
   3.858503583529848*^9}, {3.858503704886593*^9, 3.85850381638209*^9}, {
   3.858503864396927*^9, 3.858503932068458*^9}, 3.858514633333325*^9},
 CellLabel->
  "Out[196]=",ExpressionUUID->"81b52e37-fc21-4510-94bf-e52ce0d4e297"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Clear", "[", "rhs", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rhs", "[", 
    RowBox[{"t_", ",", "js_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"-", "I"}], 
      RowBox[{"(", "  ", 
       RowBox[{
        RowBox[{
         RowBox[{"H", "[", "t", "]"}], ".", 
         RowBox[{"Rho", "[", "t", "]"}]}], "-", 
        RowBox[{
         RowBox[{"Rho", "[", "t", "]"}], ".", 
         RowBox[{"H", "[", "t", "]"}]}]}], ")"}]}], "+", " ", 
     RowBox[{"\[ScriptCapitalL]1", "[", 
      RowBox[{
       RowBox[{"Rho", "[", "t", "]"}], ",", 
       RowBox[{"s", "[", "js", "]"}]}], "]"}]}], " ", "//", 
    "FullSimplify"}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rhs", "[", 
   RowBox[{"t", ",", "1"}], "]"}], "  "}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.858417086957841*^9, 3.858417089376411*^9}, {
  3.8584179230248003`*^9, 3.858418104298118*^9}, {3.858418236275095*^9, 
  3.858418373384284*^9}},
 CellLabel->
  "In[197]:=",ExpressionUUID->"6ebbbde4-dc34-43b0-846b-b721c4dc102a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", "\[CapitalGamma]v"}], " ", 
        RowBox[{"PAz", "[", "t", "]"}]}], "-", 
       RowBox[{
        FractionBox["1", "2"], " ", "w2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"Cos", "[", 
            RowBox[{"t", " ", "w"}], "]"}], " ", 
           RowBox[{"PAy", "[", "t", "]"}]}], "+", 
          RowBox[{
           RowBox[{"PAx", "[", "t", "]"}], " ", 
           RowBox[{"Sin", "[", 
            RowBox[{"t", " ", "w"}], "]"}]}]}], ")"}]}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[ImaginaryI]", " ", "wL", " ", 
          RowBox[{"PAx", "[", "t", "]"}]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"wL", "+", 
            RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[CapitalGamma]v"}]}], 
           ")"}], " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"\[ImaginaryI]", " ", "t", " ", "w"}]], " ", "w2", " ", 
          RowBox[{"PAz", "[", "t", "]"}]}]}], ")"}]}]},
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "\[ImaginaryI]"}], " ", "wL", " ", 
          RowBox[{"PAx", "[", "t", "]"}]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"wL", "-", 
            RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[CapitalGamma]v"}]}], 
           ")"}], " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], " ", "t", " ", "w"}]], " ", "w2", 
          " ", 
          RowBox[{"PAz", "[", "t", "]"}]}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"w2", " ", 
          RowBox[{"Cos", "[", 
           RowBox[{"t", " ", "w"}], "]"}], " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "+", 
         RowBox[{"2", " ", "\[CapitalGamma]v", " ", 
          RowBox[{"PAz", "[", "t", "]"}]}], "+", 
         RowBox[{"w2", " ", 
          RowBox[{"PAx", "[", "t", "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"t", " ", "w"}], "]"}]}]}], ")"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8585146337018547`*^9},
 CellLabel->
  "Out[199]=",ExpressionUUID->"0b1d4d07-119a-4bd1-8411-b8aa11470023"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"rhsp", "[", "t_", "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"-", "I"}], 
      RowBox[{"(", "  ", 
       RowBox[{
        RowBox[{
         RowBox[{"H", "[", "t", "]"}], ".", 
         RowBox[{"Rho", "[", "t", "]"}]}], "-", 
        RowBox[{
         RowBox[{"Rho", "[", "t", "]"}], ".", 
         RowBox[{"H", "[", "t", "]"}]}]}], ")"}]}], "+", " ", 
     RowBox[{"\[ScriptCapitalL]1", "[", 
      RowBox[{
       RowBox[{"Rho", "[", "t", "]"}], ",", "sp"}], "]"}]}], " ", "//", 
    "FullSimplify"}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rhsm", "[", "t_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", "I"}], 
     RowBox[{"(", "  ", 
      RowBox[{
       RowBox[{
        RowBox[{"H", "[", "t", "]"}], ".", 
        RowBox[{"Rho", "[", "t", "]"}]}], "-", 
       RowBox[{
        RowBox[{"Rho", "[", "t", "]"}], ".", 
        RowBox[{"H", "[", "t", "]"}]}]}], ")"}]}], "+", " ", 
    RowBox[{"\[ScriptCapitalL]1", "[", 
     RowBox[{
      RowBox[{"Rho", "[", "t", "]"}], ",", "sm"}], "]"}]}], " ", "//", 
   "FullSimplify"}]}], "\[IndentingNewLine]", 
 RowBox[{"rhsp", "[", "t", "]"}], "\[IndentingNewLine]", 
 RowBox[{"rhsm", "[", "t", "]"}]}], "Input",
 CellChangeTimes->{{3.858504007869361*^9, 3.858504101492713*^9}},
 CellLabel->
  "In[200]:=",ExpressionUUID->"6344ca12-251d-48a6-bd2c-f3079caf330d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "\[CapitalGamma]v"}], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"PAz", "[", "t", "]"}]}], ")"}]}], "-", 
         RowBox[{"w2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"Cos", "[", 
              RowBox[{"t", " ", "w"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             RowBox[{"PAx", "[", "t", "]"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"t", " ", "w"}], "]"}]}]}], ")"}]}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", "wL"}], "+", 
            RowBox[{"\[ImaginaryI]", " ", "\[CapitalGamma]v"}]}], ")"}], " ", 
          
          RowBox[{"(", 
           RowBox[{
            RowBox[{"\[ImaginaryI]", " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{"PAy", "[", "t", "]"}]}], ")"}]}], "-", 
         RowBox[{"2", " ", "\[ImaginaryI]", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"\[ImaginaryI]", " ", "t", " ", "w"}]], " ", "w2", " ", 
          RowBox[{"PAz", "[", "t", "]"}]}]}], ")"}]}]},
     {
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", "wL"}], "-", 
            RowBox[{"\[ImaginaryI]", " ", "\[CapitalGamma]v"}]}], ")"}], " ", 
          
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "\[ImaginaryI]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{"PAy", "[", "t", "]"}]}], ")"}]}], "+", 
         RowBox[{"2", " ", "\[ImaginaryI]", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], " ", "t", " ", "w"}]], " ", "w2", 
          " ", 
          RowBox[{"PAz", "[", "t", "]"}]}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"\[CapitalGamma]v", "+", 
         RowBox[{"w2", " ", 
          RowBox[{"Cos", "[", 
           RowBox[{"t", " ", "w"}], "]"}], " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "+", 
         RowBox[{"\[CapitalGamma]v", " ", 
          RowBox[{"PAz", "[", "t", "]"}]}], "+", 
         RowBox[{"w2", " ", 
          RowBox[{"PAx", "[", "t", "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"t", " ", "w"}], "]"}]}]}], ")"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858504077194724*^9, 3.858504102557644*^9}, 
   3.858514634050309*^9},
 CellLabel->
  "Out[202]=",ExpressionUUID->"f464f74d-5c67-4e89-9faf-935101614f27"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"\[CapitalGamma]v", "-", 
         RowBox[{"\[CapitalGamma]v", " ", 
          RowBox[{"PAz", "[", "t", "]"}]}], "-", 
         RowBox[{"w2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"Cos", "[", 
              RowBox[{"t", " ", "w"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             RowBox[{"PAx", "[", "t", "]"}], " ", 
             RowBox[{"Sin", "[", 
              RowBox[{"t", " ", "w"}], "]"}]}]}], ")"}]}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", "wL"}], "+", 
            RowBox[{"\[ImaginaryI]", " ", "\[CapitalGamma]v"}]}], ")"}], " ", 
          
          RowBox[{"(", 
           RowBox[{
            RowBox[{"\[ImaginaryI]", " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{"PAy", "[", "t", "]"}]}], ")"}]}], "-", 
         RowBox[{"2", " ", "\[ImaginaryI]", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"\[ImaginaryI]", " ", "t", " ", "w"}]], " ", "w2", " ", 
          RowBox[{"PAz", "[", "t", "]"}]}]}], ")"}]}]},
     {
      RowBox[{
       FractionBox["1", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", "wL"}], "-", 
            RowBox[{"\[ImaginaryI]", " ", "\[CapitalGamma]v"}]}], ")"}], " ", 
          
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "\[ImaginaryI]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{"PAy", "[", "t", "]"}]}], ")"}]}], "+", 
         RowBox[{"2", " ", "\[ImaginaryI]", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], " ", "t", " ", "w"}]], " ", "w2", 
          " ", 
          RowBox[{"PAz", "[", "t", "]"}]}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"w2", " ", 
          RowBox[{"Cos", "[", 
           RowBox[{"t", " ", "w"}], "]"}], " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "+", 
         RowBox[{"\[CapitalGamma]v", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"PAz", "[", "t", "]"}]}], ")"}]}], "+", 
         RowBox[{"w2", " ", 
          RowBox[{"PAx", "[", "t", "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"t", " ", "w"}], "]"}]}]}], ")"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858504077194724*^9, 3.858504102557644*^9}, 
   3.858514634146337*^9},
 CellLabel->
  "Out[203]=",ExpressionUUID->"02a81780-6a01-49a6-a996-a771bfe36552"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Clear", "[", "lhs", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lhs", "[", "t_", "]"}], ":=", 
  RowBox[{"D", "[", 
   RowBox[{
    RowBox[{"Rho", "[", "t", "]"}], ",", "t"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tr", "[", 
   RowBox[{
    RowBox[{"lhs", "[", "t", "]"}], ".", 
    RowBox[{"s", "[", "1", "]"}]}], "]"}], " ", "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tr", "[", 
   RowBox[{
    RowBox[{"lhs", "[", "t", "]"}], ".", 
    RowBox[{"s", "[", "2", "]"}]}], "]"}], " ", "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tr", "[", 
   RowBox[{
    RowBox[{"lhs", "[", "t", "]"}], ".", 
    RowBox[{"s", "[", "3", "]"}]}], "]"}], " ", "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{"lhs", "[", "t", "]"}]}], "Input",
 CellChangeTimes->{{3.858421831863904*^9, 3.858421964435686*^9}},
 CellLabel->
  "In[204]:=",ExpressionUUID->"4d02fe9f-f6e1-46bb-8a9c-38971ba3d5f5"],

Cell[BoxData[
 TagBox[
  RowBox[{
   SuperscriptBox["PAx", "\[Prime]",
    MultilineFunction->None], "[", "t", "]"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858503288487891*^9, 3.858514634155197*^9},
 CellLabel->
  "Out[206]=",ExpressionUUID->"c8228a62-2f11-41ab-a575-5c9f9fe4f6a1"],

Cell[BoxData[
 TagBox[
  RowBox[{
   SuperscriptBox["PAy", "\[Prime]",
    MultilineFunction->None], "[", "t", "]"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858503288487891*^9, 3.8585146341575613`*^9},
 CellLabel->
  "Out[207]=",ExpressionUUID->"3b1fc001-aa05-49ac-8957-92222cb625de"],

Cell[BoxData[
 TagBox[
  RowBox[{
   SuperscriptBox["PAz", "\[Prime]",
    MultilineFunction->None], "[", "t", "]"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858503288487891*^9, 3.858514634159459*^9},
 CellLabel->
  "Out[208]=",ExpressionUUID->"a7fba50f-91a8-424c-be62-b21cc2703aff"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox[
       RowBox[{
        SuperscriptBox["PAz", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}], "2"], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SuperscriptBox["PAx", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{
           SuperscriptBox["PAy", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}]},
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SuperscriptBox["PAx", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{
           SuperscriptBox["PAy", "\[Prime]",
            MultilineFunction->None], "[", "t", "]"}]}]}], ")"}]}], 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], " ", 
       RowBox[{
        SuperscriptBox["PAz", "\[Prime]",
         MultilineFunction->None], "[", "t", "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858503288487891*^9, 3.858514634161618*^9},
 CellLabel->
  "Out[209]=",ExpressionUUID->"0a01e845-4fbb-448c-9b38-8fbfcab059a0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"js", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"lhs", "[", "t", "]"}], ".", 
     RowBox[{"s", "[", "1", "]"}]}], "]"}], " ", "==", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"rhs", "[", 
      RowBox[{"t", ",", "js"}], "]"}], ".", 
     RowBox[{"s", "[", "1", "]"}]}], "]"}]}], " ", "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"lhs", "[", "t", "]"}], ".", 
     RowBox[{"s", "[", "2", "]"}]}], "]"}], " ", "==", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"rhs", "[", 
      RowBox[{"t", ",", "js"}], "]"}], ".", 
     RowBox[{"s", "[", "2", "]"}]}], "]"}]}], " ", "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"lhs", "[", "t", "]"}], ".", 
      RowBox[{"s", "[", "3", "]"}]}], "]"}], " ", "==", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"rhs", "[", 
       RowBox[{"t", ",", "js"}], "]"}], ".", 
      RowBox[{"s", "[", "3", "]"}]}], "]"}]}], " ", "//", "FullSimplify"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.8584181182042933`*^9, 3.858418203052595*^9}, {
  3.858418252216836*^9, 3.8584182610583763`*^9}, {3.858418484852734*^9, 
  3.8584184889082947`*^9}, {3.858422007259061*^9, 3.8584220880526533`*^9}},
 CellLabel->
  "In[210]:=",ExpressionUUID->"61fcf631-083f-43a8-a222-bef1a36bec5b"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{
    RowBox[{"wL", " ", 
     RowBox[{"PAy", "[", "t", "]"}]}], "+", 
    RowBox[{"w2", " ", 
     RowBox[{"PAz", "[", "t", "]"}], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"t", " ", "w"}], "]"}]}]}], "\[Equal]", 
   RowBox[{
    SuperscriptBox["PAx", "\[Prime]",
     MultilineFunction->None], "[", "t", "]"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8585146342963743`*^9},
 CellLabel->
  "Out[211]=",ExpressionUUID->"49c974b6-0916-41c1-9941-1fb849db084c"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{
    RowBox[{"wL", " ", 
     RowBox[{"PAx", "[", "t", "]"}]}], "+", 
    RowBox[{"2", " ", "\[CapitalGamma]v", " ", 
     RowBox[{"PAy", "[", "t", "]"}]}], "+", 
    RowBox[{
     SuperscriptBox["PAy", "\[Prime]",
      MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", 
   RowBox[{"w2", " ", 
    RowBox[{"Cos", "[", 
     RowBox[{"t", " ", "w"}], "]"}], " ", 
    RowBox[{"PAz", "[", "t", "]"}]}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858514634442827*^9},
 CellLabel->
  "Out[212]=",ExpressionUUID->"d2e8f89b-8956-4fc3-8cf9-216bf99fa764"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{
    RowBox[{"w2", " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"t", " ", "w"}], "]"}], " ", 
     RowBox[{"PAy", "[", "t", "]"}]}], "+", 
    RowBox[{"2", " ", "\[CapitalGamma]v", " ", 
     RowBox[{"PAz", "[", "t", "]"}]}], "+", 
    RowBox[{"w2", " ", 
     RowBox[{"PAx", "[", "t", "]"}], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"t", " ", "w"}], "]"}]}], "+", 
    RowBox[{
     SuperscriptBox["PAz", "\[Prime]",
      MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", "0"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858514634508258*^9},
 CellLabel->
  "Out[213]=",ExpressionUUID->"7df57450-1303-46af-ab1d-05e9deb2d1eb"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eqxp", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"lhs", "[", "t", "]"}], ".", 
       RowBox[{"s", "[", "1", "]"}]}], "]"}], " ", "==", 
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"rhsp", "[", "t", "]"}], ".", 
       RowBox[{"s", "[", "1", "]"}]}], "]"}]}], " ", "//", "FullSimplify"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqyp", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"lhs", "[", "t", "]"}], ".", 
       RowBox[{"s", "[", "2", "]"}]}], "]"}], " ", "==", 
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"rhsp", "[", "t", "]"}], ".", 
       RowBox[{"s", "[", "2", "]"}]}], "]"}]}], " ", "//", "FullSimplify"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqzp", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"lhs", "[", "t", "]"}], ".", 
       RowBox[{"s", "[", "3", "]"}]}], "]"}], " ", "==", 
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"rhsp", "[", "t", "]"}], ".", 
       RowBox[{"s", "[", "3", "]"}]}], "]"}]}], " ", "//", "FullSimplify"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqxm", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"lhs", "[", "t", "]"}], ".", 
       RowBox[{"s", "[", "1", "]"}]}], "]"}], " ", "==", 
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"rhsm", "[", "t", "]"}], ".", 
       RowBox[{"s", "[", "1", "]"}]}], "]"}]}], " ", "//", "FullSimplify"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqym", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"lhs", "[", "t", "]"}], ".", 
       RowBox[{"s", "[", "2", "]"}]}], "]"}], " ", "==", 
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"rhsm", "[", "t", "]"}], ".", 
       RowBox[{"s", "[", "2", "]"}]}], "]"}]}], " ", "//", "FullSimplify"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eqzm", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"lhs", "[", "t", "]"}], ".", 
       RowBox[{"s", "[", "3", "]"}]}], "]"}], " ", "==", 
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"rhsm", "[", "t", "]"}], ".", 
       RowBox[{"s", "[", "3", "]"}]}], "]"}]}], " ", "//", "FullSimplify"}]}],
   ";"}]}], "Input",
 CellChangeTimes->{{3.858504199437368*^9, 3.858504256205855*^9}, {
  3.858504325767083*^9, 3.858504333730885*^9}, {3.858504385338975*^9, 
  3.858504435297491*^9}, {3.85850451832483*^9, 3.858504522611175*^9}},
 CellLabel->
  "In[214]:=",ExpressionUUID->"315b05da-9be1-4a03-9069-9cde9118e3c2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eqzp", "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{
  3.858551693387823*^9, {3.8585863916289597`*^9, 3.858586396229925*^9}},
 CellLabel->
  "In[285]:=",ExpressionUUID->"8ca81bf4-67b2-411f-91ce-de469d8cec36"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{"\[CapitalGamma]v", "+", 
    RowBox[{"w2", " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"t", " ", "w"}], "]"}], " ", 
     RowBox[{"PAy", "[", "t", "]"}]}], "+", 
    RowBox[{"\[CapitalGamma]v", " ", 
     RowBox[{"PAz", "[", "t", "]"}]}], "+", 
    RowBox[{"w2", " ", 
     RowBox[{"PAx", "[", "t", "]"}], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"t", " ", "w"}], "]"}]}], "+", 
    RowBox[{
     SuperscriptBox["PAz", "\[Prime]",
      MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", "0"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858586388355158*^9, 3.858586398383294*^9}},
 CellLabel->
  "Out[285]=",ExpressionUUID->"4258d675-8fa3-4347-a77e-d493134d339a"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"PAx", "[", "t", "]"}], "  ", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"rhsp", "[", "t", "]"}], ".", 
      RowBox[{"s", "[", "1", "]"}]}], "]"}]}], " ", "//", "Expand"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"PAy", "[", "t", "]"}], 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"rhsp", "[", "t", "]"}], ".", 
      RowBox[{"s", "[", "2", "]"}]}], "]"}]}], " ", "//", "Expand"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"PAz", "[", "t", "]"}], 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"rhsp", "[", "t", "]"}], ".", 
      RowBox[{"s", "[", "3", "]"}]}], "]"}]}], " ", "//", "Expand"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resxyz", "=", 
   RowBox[{
    RowBox[{"%%%", "+", "%%", "+", "%"}], " ", "//", "FullSimplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"PAx", "[", "t", "]"}], "  ", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"rhsp", "[", "t", "]"}], ".", 
      RowBox[{"s", "[", "1", "]"}]}], "]"}]}], " ", "//", "Expand"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"PAy", "[", "t", "]"}], 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"rhsp", "[", "t", "]"}], ".", 
      RowBox[{"s", "[", "2", "]"}]}], "]"}]}], " ", "//", "Expand"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resxy", "=", 
   RowBox[{
    RowBox[{"%%", "+", "%"}], " ", "//", "FullSimplify"}]}], ";"}]}], "Input",\

 CellChangeTimes->{{3.85855155877985*^9, 3.858551671148039*^9}, {
  3.85855172085063*^9, 3.858551730625643*^9}, {3.858551761733872*^9, 
  3.858551896082552*^9}, {3.858584485773106*^9, 3.8585845354091253`*^9}},
 CellLabel->
  "In[260]:=",ExpressionUUID->"27c843b4-c4fa-480b-81e9-a033f2b7fae8"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"resxy", " ", "//", "FullSimplify"}], "  "}], "\[IndentingNewLine]", 
 RowBox[{"%", " ", "/.", " ", 
  RowBox[{"w2", "->", "0"}]}]}], "Input",
 CellChangeTimes->{{3.85858454508365*^9, 3.858584562520357*^9}, {
  3.858584646052594*^9, 3.85858465506697*^9}, {3.858584689580141*^9, 
  3.858584713913978*^9}},
 CellLabel->
  "In[272]:=",ExpressionUUID->"a02755d6-1917-4860-8597-516b047db131"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", "2"]}], " ", "\[CapitalGamma]v", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"PAx", "[", "t", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"PAy", "[", "t", "]"}], "2"]}], ")"}]}], "+", 
   RowBox[{"w2", " ", 
    RowBox[{"Cos", "[", 
     RowBox[{"t", " ", "w"}], "]"}], " ", 
    RowBox[{"PAy", "[", "t", "]"}], " ", 
    RowBox[{"PAz", "[", "t", "]"}]}], "+", 
   RowBox[{"w2", " ", 
    RowBox[{"PAx", "[", "t", "]"}], " ", 
    RowBox[{"PAz", "[", "t", "]"}], " ", 
    RowBox[{"Sin", "[", 
     RowBox[{"t", " ", "w"}], "]"}]}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858584549383066*^9, 3.8585845655844*^9}, {
  3.858584635593369*^9, 3.858584656464161*^9}, {3.858584691415752*^9, 
  3.858584715570321*^9}},
 CellLabel->
  "Out[272]=",ExpressionUUID->"9a31e3a9-a263-4c4b-b7dd-893c2cf07bd2"]
}, Open  ]],

Cell[BoxData[
 TagBox[
  RowBox[{"resxy", " ", "+", 
   RowBox[{
    FractionBox["1", "2"], " ", "\[CapitalGamma]v", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"PAx", "[", "t", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"PAy", "[", "t", "]"}], "2"]}], ")"}]}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Input",
 CellChangeTimes->{{3.858584731970879*^9, 3.858584737021907*^9}},
 CellLabel->
  "In[274]:=",ExpressionUUID->"34af56aa-ffe1-45ef-8d6e-4840e3758c6f"],

Cell[BoxData[
 RowBox[{"resxyB", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", "2"]}], " ", "\[CapitalGamma]v", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"PAx", "[", "t", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"PAy", "[", "t", "]"}], "2"]}], ")"}]}], "+", 
   TagBox[
    RowBox[{"w2", 
     RowBox[{"(", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"Cos", "[", 
         RowBox[{"t", " ", "w"}], "]"}], " ", 
        RowBox[{"PAy", "[", "t", "]"}]}], "+", " ", 
       RowBox[{
        RowBox[{"PAx", "[", "t", "]"}], " ", 
        RowBox[{"Sin", "[", 
         RowBox[{"t", " ", "w"}], "]"}]}]}], ")"}], 
     RowBox[{"PAz", "[", "t", "]"}]}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}]}]], "Input",
 CellChangeTimes->{{3.8585847649226093`*^9, 3.858584878087777*^9}},
 CellLabel->
  "In[276]:=",ExpressionUUID->"46ef1a83-9ac1-487e-9ba7-ec94abb3127f"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", "2"]}], " ", "\[CapitalGamma]v", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"PAx", "[", "t", "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"PAy", "[", "t", "]"}], "2"]}], ")"}]}], "+", 
   RowBox[{"w2", " ", 
    RowBox[{"PAz", "[", "t", "]"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Cos", "[", 
        RowBox[{"t", " ", "w"}], "]"}], " ", 
       RowBox[{"PAy", "[", "t", "]"}]}], "+", 
      RowBox[{
       RowBox[{"PAx", "[", "t", "]"}], " ", 
       RowBox[{"Sin", "[", 
        RowBox[{"t", " ", "w"}], "]"}]}]}], ")"}]}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858584899398109*^9},
 CellLabel->
  "Out[276]=",ExpressionUUID->"1f0d1c9d-3125-4e4c-92c8-04e4d65fe428"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"resxyB", "-", "resxy"}], "  ", "//", "FullSimplify"}]], "Input",
 CellChangeTimes->{{3.858584889472625*^9, 3.858584907990108*^9}},
 CellLabel->
  "In[278]:=",ExpressionUUID->"025e216e-0822-4127-91f5-35cf6f070da1"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8585848937653427`*^9, 3.858584909288287*^9}},
 CellLabel->
  "Out[278]=",ExpressionUUID->"6d1ee8b7-bb68-41a6-95f6-146633d9dccf"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Tr", "[", 
   RowBox[{
    RowBox[{"rhsp", "[", "t", "]"}], ".", 
    RowBox[{"s", "[", "3", "]"}]}], "]"}], " ", "//", 
  "FullSimplify"}]], "Input",
 CellChangeTimes->{
  3.858585032597196*^9, {3.858585089794065*^9, 3.858585101843005*^9}, {
   3.85858517223427*^9, 3.8585851730255938`*^9}},
 CellLabel->
  "In[282]:=",ExpressionUUID->"87b7a383-7ffc-448c-b428-31c002126d42"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[CapitalGamma]v"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"PAz", "[", "t", "]"}]}], ")"}]}], "-", 
   RowBox[{"w2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Cos", "[", 
        RowBox[{"t", " ", "w"}], "]"}], " ", 
       RowBox[{"PAy", "[", "t", "]"}]}], "+", 
      RowBox[{
       RowBox[{"PAx", "[", "t", "]"}], " ", 
       RowBox[{"Sin", "[", 
        RowBox[{"t", " ", "w"}], "]"}]}]}], ")"}]}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8585850339492598`*^9, {3.858585091426869*^9, 3.858585103067566*^9}, 
   3.858585174464595*^9},
 CellLabel->
  "Out[282]=",ExpressionUUID->"95d98fea-7803-4fac-afc7-e1a4bb0f655d"]
}, Open  ]],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[CapitalGamma]v"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"PAz", "[", "t", "]"}]}], ")"}], 
    RowBox[{"PAz", "[", "t", "]"}]}], " ", "-", 
   RowBox[{"w2", " ", 
    RowBox[{"PAz", "[", "t", "]"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Cos", "[", 
        RowBox[{"t", " ", "w"}], "]"}], " ", 
       RowBox[{"PAy", "[", "t", "]"}]}], "+", 
      RowBox[{
       RowBox[{"PAx", "[", "t", "]"}], " ", 
       RowBox[{"Sin", "[", 
        RowBox[{"t", " ", "w"}], "]"}]}]}], ")"}]}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Input",
 CellChangeTimes->{{3.858585274287654*^9, 
  3.8585852860109043`*^9}},ExpressionUUID->"bba8791d-80bd-4340-9d96-\
d0097a8923aa"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"PAx", "[", "t", "]"}], "  ", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"rhsm", "[", "t", "]"}], ".", 
      RowBox[{"s", "[", "1", "]"}]}], "]"}]}], " ", "//", "Expand"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"PAy", "[", "t", "]"}], 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"rhsm", "[", "t", "]"}], ".", 
      RowBox[{"s", "[", "2", "]"}]}], "]"}]}], " ", "//", "Expand"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"PAz", "[", "t", "]"}], 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"rhsm", "[", "t", "]"}], ".", 
      RowBox[{"s", "[", "3", "]"}]}], "]"}]}], " ", "//", "Expand"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%%%", "+", "%%", "+", "%"}], " ", "//", "FullSimplify"}]}], "Input",\

 CellChangeTimes->{{3.858552024863044*^9, 3.85855205070475*^9}},
 CellLabel->
  "In[256]:=",ExpressionUUID->"b58a7123-9f8b-4cf8-a09c-bb57098b03bb"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", "2"]}], " ", "\[CapitalGamma]v", " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox[
      RowBox[{"PAx", "[", "t", "]"}], "2"], "+", 
     SuperscriptBox[
      RowBox[{"PAy", "[", "t", "]"}], "2"], "+", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"PAz", "[", "t", "]"}]}], ")"}], " ", 
      RowBox[{"PAz", "[", "t", "]"}]}]}], ")"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858552044079885*^9, 3.8585520548931427`*^9}},
 CellLabel->
  "Out[259]=",ExpressionUUID->"284bd079-1278-4e40-8fed-c95c9be9d870"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{"eqxp", "\[IndentingNewLine]", 
 RowBox[{"eqxm", "==", 
  "%"}], "\[IndentingNewLine]", "eqyp", "\[IndentingNewLine]", 
 RowBox[{"eqym", "==", "%"}]}], "Input",
 CellChangeTimes->{{3.8585043720715847`*^9, 3.858504376616046*^9}, {
  3.85850444560247*^9, 3.858504449821066*^9}, {3.858504606086164*^9, 
  3.85850460790819*^9}, {3.858551334193549*^9, 3.8585513537340813`*^9}},
 CellLabel->
  "In[228]:=",ExpressionUUID->"64641f4e-9bee-44f9-bfe1-416454754d05"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{
    SuperscriptBox["PAx", "\[Prime]",
     MultilineFunction->None], "[", "t", "]"}], "\[Equal]", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      FractionBox["1", "2"]}], " ", "\[CapitalGamma]v", " ", 
     RowBox[{"PAx", "[", "t", "]"}]}], "+", 
    RowBox[{"wL", " ", 
     RowBox[{"PAy", "[", "t", "]"}]}], "+", 
    RowBox[{"w2", " ", 
     RowBox[{"PAz", "[", "t", "]"}], " ", 
     RowBox[{"Sin", "[", 
      RowBox[{"t", " ", "w"}], "]"}]}]}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8585046095286283`*^9, 3.8585146350203543`*^9, {3.858551335957062*^9, 
   3.858551355908986*^9}},
 CellLabel->
  "Out[228]=",ExpressionUUID->"cea841ad-c151-4ef9-b1d3-7b565b166825"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8585046095286283`*^9, 3.8585146350203543`*^9, {3.858551335957062*^9, 
   3.858551355912335*^9}},
 CellLabel->
  "Out[229]=",ExpressionUUID->"0e6e9d3e-9b61-4a74-9777-505968776839"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{
    RowBox[{"2", " ", "wL", " ", 
     RowBox[{"PAx", "[", "t", "]"}]}], "+", 
    RowBox[{"\[CapitalGamma]v", " ", 
     RowBox[{"PAy", "[", "t", "]"}]}], "+", 
    RowBox[{"2", " ", 
     RowBox[{
      SuperscriptBox["PAy", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}]}]}], "\[Equal]", 
   RowBox[{"2", " ", "w2", " ", 
    RowBox[{"Cos", "[", 
     RowBox[{"t", " ", "w"}], "]"}], " ", 
    RowBox[{"PAz", "[", "t", "]"}]}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8585046095286283`*^9, 3.8585146350203543`*^9, {3.858551335957062*^9, 
   3.858551355915091*^9}},
 CellLabel->
  "Out[230]=",ExpressionUUID->"5d1ac029-aa62-41e4-908d-62c0a3728204"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8585046095286283`*^9, 3.8585146350203543`*^9, {3.858551335957062*^9, 
   3.858551355917726*^9}},
 CellLabel->
  "Out[231]=",ExpressionUUID->"2054f5fb-6083-4be0-85b4-b590df4c6cc5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{"eqyp", "\[IndentingNewLine]", 
 RowBox[{"eqym", "==", "%"}]}], "Input",
 CellChangeTimes->{{3.8585043720715847`*^9, 3.858504376616046*^9}, {
  3.85850444560247*^9, 3.858504449821066*^9}, {3.8585045470453453`*^9, 
  3.8585045523998537`*^9}, {3.858504613433025*^9, 3.858504615704689*^9}},
 CellLabel->
  "In[198]:=",ExpressionUUID->"ed986542-a0da-428e-b115-033be2b63841"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{
    RowBox[{"2", " ", "wL", " ", 
     RowBox[{"PAx", "[", "t", "]"}]}], "+", 
    RowBox[{"\[CapitalGamma]v", " ", 
     RowBox[{"PAy", "[", "t", "]"}]}], "+", 
    RowBox[{"2", " ", 
     RowBox[{
      SuperscriptBox["PAy", "\[Prime]",
       MultilineFunction->None], "[", "t", "]"}]}]}], "\[Equal]", 
   RowBox[{"2", " ", "w2", " ", 
    RowBox[{"Cos", "[", 
     RowBox[{"t", " ", "w"}], "]"}], " ", 
    RowBox[{"PAz", "[", "t", "]"}]}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858504455567781*^9, 3.858504553856289*^9, 
  3.8585046173592052`*^9},
 CellLabel->
  "Out[198]=",ExpressionUUID->"ab7aa5a9-0c8c-43ea-89bb-0dcc38b3ab8d"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858504455567781*^9, 3.858504553856289*^9, 
  3.858504617362158*^9},
 CellLabel->
  "Out[199]=",ExpressionUUID->"22df60dd-0717-49f4-a7d2-c25f38f3c79f"]
}, Open  ]],

Cell[BoxData[{"eqzp", "\[IndentingNewLine]", "eqzm", "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%%", "-", "%"}], "  ", "//", "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.8585043720715847`*^9, 3.858504376616046*^9}, {
  3.85850444560247*^9, 3.858504449821066*^9}, {3.8585045470453453`*^9, 
  3.858504583821547*^9}, {3.858504627033671*^9, 3.858504649657655*^9}},
 CellLabel->
  "In[203]:=",ExpressionUUID->"2bee83c9-b198-46b9-b10f-caedc4dc38c3"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Tr", "[", 
   RowBox[{
    RowBox[{"rhsp", "[", "t", "]"}], ".", 
    RowBox[{"s", "[", "3", "]"}]}], "]"}], " ", "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tr", "[", 
   RowBox[{
    RowBox[{"rhsm", "[", "t", "]"}], ".", 
    RowBox[{"s", "[", "3", "]"}]}], "]"}], " ", "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%%", "-", "%"}], "   ", "//", "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.858504755060693*^9, 3.8585047962584763`*^9}},
 CellLabel->
  "In[211]:=",ExpressionUUID->"d63240ed-b370-4574-a647-a92487e66891"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[CapitalGamma]v"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"PAz", "[", "t", "]"}]}], ")"}]}], "-", 
   RowBox[{"w2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Cos", "[", 
        RowBox[{"t", " ", "w"}], "]"}], " ", 
       RowBox[{"PAy", "[", "t", "]"}]}], "+", 
      RowBox[{
       RowBox[{"PAx", "[", "t", "]"}], " ", 
       RowBox[{"Sin", "[", 
        RowBox[{"t", " ", "w"}], "]"}]}]}], ")"}]}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858504585175846*^9, {3.858504633549769*^9, 3.8585046509569263`*^9}, {
   3.85850476435886*^9, 3.858504798063463*^9}},
 CellLabel->
  "Out[211]=",ExpressionUUID->"8ba85c87-4120-4c14-9486-0965bbc981ff"],

Cell[BoxData[
 TagBox[
  RowBox[{"\[CapitalGamma]v", "-", 
   RowBox[{"\[CapitalGamma]v", " ", 
    RowBox[{"PAz", "[", "t", "]"}]}], "-", 
   RowBox[{"w2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Cos", "[", 
        RowBox[{"t", " ", "w"}], "]"}], " ", 
       RowBox[{"PAy", "[", "t", "]"}]}], "+", 
      RowBox[{
       RowBox[{"PAx", "[", "t", "]"}], " ", 
       RowBox[{"Sin", "[", 
        RowBox[{"t", " ", "w"}], "]"}]}]}], ")"}]}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858504585175846*^9, {3.858504633549769*^9, 3.8585046509569263`*^9}, {
   3.85850476435886*^9, 3.858504798066064*^9}},
 CellLabel->
  "Out[212]=",ExpressionUUID->"fd16fe88-981b-45e0-8ae0-ff51a817700a"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{"-", "2"}], " ", "\[CapitalGamma]v"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858504585175846*^9, {3.858504633549769*^9, 3.8585046509569263`*^9}, {
   3.85850476435886*^9, 3.85850479806849*^9}},
 CellLabel->
  "Out[213]=",ExpressionUUID->"55114efe-89dd-4f96-9e3c-eb0deac32398"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"eq", "[", 
   RowBox[{"ieq_", ",", "ilin_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"lhs", "[", "t", "]"}], ".", 
      RowBox[{"s", "[", "ieq", "]"}]}], "]"}], " ", "==", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"rhs", "[", 
       RowBox[{"t", ",", "ilin"}], "]"}], ".", 
      RowBox[{"s", "[", "ieq", "]"}]}], "]"}]}], " ", "//", 
   "FullSimplify"}]}], "\[IndentingNewLine]", 
 RowBox[{"EQ1", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"eq", "[", 
     RowBox[{"ieq", ",", "1"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"ieq", ",", "1", ",", "3"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"EQ2", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"eq", "[", 
     RowBox[{"ieq", ",", "2"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"ieq", ",", "1", ",", "3"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"EQ3", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"eq", "[", 
     RowBox[{"ieq", ",", "3"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"ieq", ",", "1", ",", "3"}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.8584221278444147`*^9, 3.8584223311802464`*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"b9e217e1-752f-44e3-9f41-7ca218070965"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{
         RowBox[{"wL", " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "+", 
         RowBox[{"w2", " ", 
          RowBox[{"PAz", "[", "t", "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"t", " ", "w"}], "]"}]}]}], "\[Equal]", 
        RowBox[{
         SuperscriptBox["PAx", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"wL", " ", 
          RowBox[{"PAx", "[", "t", "]"}]}], "+", 
         RowBox[{"2", " ", "\[CapitalGamma]v", " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["PAy", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", 
        RowBox[{"w2", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"t", " ", "w"}], "]"}], " ", 
         RowBox[{"PAz", "[", "t", "]"}]}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"w2", " ", 
          RowBox[{"Cos", "[", 
           RowBox[{"t", " ", "w"}], "]"}], " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "+", 
         RowBox[{"2", " ", "\[CapitalGamma]v", " ", 
          RowBox[{"PAz", "[", "t", "]"}]}], "+", 
         RowBox[{"w2", " ", 
          RowBox[{"PAx", "[", "t", "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"t", " ", "w"}], "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["PAz", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", "0"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858503288834708*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"b8687ebb-c8f7-44e5-9305-bd73925f8f17"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{
         RowBox[{"2", " ", "\[CapitalGamma]v", " ", 
          RowBox[{"PAx", "[", "t", "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["PAx", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", 
        RowBox[{
         RowBox[{"wL", " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "+", 
         RowBox[{"w2", " ", 
          RowBox[{"PAz", "[", "t", "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"t", " ", "w"}], "]"}]}]}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"wL", " ", 
          RowBox[{"PAx", "[", "t", "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["PAy", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", 
        RowBox[{"w2", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"t", " ", "w"}], "]"}], " ", 
         RowBox[{"PAz", "[", "t", "]"}]}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"w2", " ", 
          RowBox[{"Cos", "[", 
           RowBox[{"t", " ", "w"}], "]"}], " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "+", 
         RowBox[{"2", " ", "\[CapitalGamma]v", " ", 
          RowBox[{"PAz", "[", "t", "]"}]}], "+", 
         RowBox[{"w2", " ", 
          RowBox[{"PAx", "[", "t", "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"t", " ", "w"}], "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["PAz", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", "0"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858503289973106*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"1662a33f-9e02-4679-b1d6-e30bcd1cc383"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{
         RowBox[{"2", " ", "\[CapitalGamma]v", " ", 
          RowBox[{"PAx", "[", "t", "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["PAx", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", 
        RowBox[{
         RowBox[{"wL", " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "+", 
         RowBox[{"w2", " ", 
          RowBox[{"PAz", "[", "t", "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"t", " ", "w"}], "]"}]}]}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"wL", " ", 
          RowBox[{"PAx", "[", "t", "]"}]}], "+", 
         RowBox[{"2", " ", "\[CapitalGamma]v", " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["PAy", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", 
        RowBox[{"w2", " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"t", " ", "w"}], "]"}], " ", 
         RowBox[{"PAz", "[", "t", "]"}]}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"w2", " ", 
          RowBox[{"Cos", "[", 
           RowBox[{"t", " ", "w"}], "]"}], " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "+", 
         RowBox[{"w2", " ", 
          RowBox[{"PAx", "[", "t", "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"t", " ", "w"}], "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["PAz", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", "0"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858503290250795*^9},
 CellLabel->"Out[34]=",ExpressionUUID->"096f0e70-81dc-4e92-a15b-774ba890603f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"p0x", "=", 
   RowBox[{"-", "0.1"}]}], ";", 
  RowBox[{"p0y", "=", "0.2"}], ";", 
  RowBox[{"p0z", "=", 
   RowBox[{"Sqrt", "[", 
    RowBox[{"1", "-", 
     RowBox[{"p0x", "^", "2"}], "-", 
     RowBox[{"p0y", "^", "2"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"wL", " ", "=", "100"}], ";", 
  RowBox[{"w2", "=", 
   RowBox[{
    RowBox[{"-", " ", "wL"}], "/", "20"}]}], ";", 
  RowBox[{"w", "=", "wL"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"\[CapitalGamma]v", "=", "1"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tend", "=", 
   RowBox[{"If", "[", 
    RowBox[{
     RowBox[{"w2", "==", "0"}], ",", 
     RowBox[{"6", 
      RowBox[{"Pi", "/", "wL"}]}], ",", 
     RowBox[{"Pi", "/", 
      RowBox[{"Abs", "[", "w2", "]"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"time", "=", "tend"}], ";"}]}], "Input",
 CellChangeTimes->{{3.858422604975751*^9, 3.858422613953123*^9}, 
   3.858424771285966*^9, {3.858424999641219*^9, 3.858425004883236*^9}, {
   3.858425285272872*^9, 3.858425285450492*^9}, 3.8584353223917303`*^9, 
   3.858435368394209*^9, 3.8584354971517553`*^9, {3.858435568984445*^9, 
   3.858435570074864*^9}, {3.858435620948537*^9, 3.8584356219377823`*^9}, {
   3.858435686412951*^9, 3.858435687113446*^9}, {3.8584357545998173`*^9, 
   3.858435762992359*^9}, 3.858436135576099*^9, 3.858436882609164*^9, 
   3.858437267523525*^9},
 CellLabel->"In[35]:=",ExpressionUUID->"c5e55228-ca89-409a-8757-bb93299ff829"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858503290308729*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"9d1f8b3e-bca2-433e-abe0-eb3657408882"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"EQ1x", "[", "u_", "]"}], ":=", 
  RowBox[{"EQ1", "/.", " ", 
   RowBox[{"t", "->", "u"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EQ2x", "[", "u_", "]"}], ":=", 
  RowBox[{"EQ2", "/.", " ", 
   RowBox[{"t", "->", "u"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EQ3x", "[", "u_", "]"}], ":=", 
  RowBox[{"EQ3", "/.", " ", 
   RowBox[{"t", "->", "u"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"EQ1x", "[", "t", "]"}], "\[IndentingNewLine]", 
 RowBox[{"EQ2x", "[", "t", "]"}], "\[IndentingNewLine]", 
 RowBox[{"EQ3x", "[", "t", "]"}]}], "Input",
 CellChangeTimes->{{3.858422890549802*^9, 3.858422962707939*^9}, {
  3.85842424087385*^9, 3.858424261732004*^9}, {3.858424503576889*^9, 
  3.858424512902671*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"6bcbb183-1096-4282-a1bc-2d2f8b628528"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{
         RowBox[{"100", " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "-", 
         RowBox[{"5", " ", 
          RowBox[{"PAz", "[", "t", "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"100", " ", "t"}], "]"}]}]}], "\[Equal]", 
        RowBox[{
         SuperscriptBox["PAx", "\[Prime]",
          MultilineFunction->None], "[", "t", "]"}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"100", " ", 
          RowBox[{"PAx", "[", "t", "]"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["PAy", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", 
        RowBox[{
         RowBox[{"-", "5"}], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"100", " ", "t"}], "]"}], " ", 
         RowBox[{"PAz", "[", "t", "]"}]}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"-", "5"}], " ", 
          RowBox[{"Cos", "[", 
           RowBox[{"100", " ", "t"}], "]"}], " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"PAz", "[", "t", "]"}]}], "-", 
         RowBox[{"5", " ", 
          RowBox[{"PAx", "[", "t", "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"100", " ", "t"}], "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["PAz", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", "0"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8585032903176394`*^9},
 CellLabel->"Out[43]=",ExpressionUUID->"b0ef2e5c-7d0e-4a60-a50c-6b8c4519067a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"PAx", "[", "t", "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["PAx", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", 
        RowBox[{
         RowBox[{"100", " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "-", 
         RowBox[{"5", " ", 
          RowBox[{"PAz", "[", "t", "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"100", " ", "t"}], "]"}]}]}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"100", " ", 
          RowBox[{"PAx", "[", "t", "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["PAy", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", 
        RowBox[{
         RowBox[{"-", "5"}], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"100", " ", "t"}], "]"}], " ", 
         RowBox[{"PAz", "[", "t", "]"}]}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"-", "5"}], " ", 
          RowBox[{"Cos", "[", 
           RowBox[{"100", " ", "t"}], "]"}], " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"PAz", "[", "t", "]"}]}], "-", 
         RowBox[{"5", " ", 
          RowBox[{"PAx", "[", "t", "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"100", " ", "t"}], "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["PAz", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", "0"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858503290322454*^9},
 CellLabel->"Out[44]=",ExpressionUUID->"f3973b69-e5c2-47e8-bad0-d43ad647390d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"PAx", "[", "t", "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["PAx", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", 
        RowBox[{
         RowBox[{"100", " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "-", 
         RowBox[{"5", " ", 
          RowBox[{"PAz", "[", "t", "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"100", " ", "t"}], "]"}]}]}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"100", " ", 
          RowBox[{"PAx", "[", "t", "]"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["PAy", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", 
        RowBox[{
         RowBox[{"-", "5"}], " ", 
         RowBox[{"Cos", "[", 
          RowBox[{"100", " ", "t"}], "]"}], " ", 
         RowBox[{"PAz", "[", "t", "]"}]}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"-", "5"}], " ", 
          RowBox[{"Cos", "[", 
           RowBox[{"100", " ", "t"}], "]"}], " ", 
          RowBox[{"PAy", "[", "t", "]"}]}], "-", 
         RowBox[{"5", " ", 
          RowBox[{"PAx", "[", "t", "]"}], " ", 
          RowBox[{"Sin", "[", 
           RowBox[{"100", " ", "t"}], "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["PAz", "\[Prime]",
           MultilineFunction->None], "[", "t", "]"}]}], "\[Equal]", "0"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858503290326511*^9},
 CellLabel->"Out[45]=",ExpressionUUID->"17a60985-cd7c-4617-9d2b-ee3bf7e825a1"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{
  "res1", ",", "res2", ",", "res3", ",", "plot1", ",", "plot2", ",", 
   "plot3"}], "]"}]], "Input",
 CellChangeTimes->{{3.858424589651417*^9, 3.858424599540326*^9}, {
  3.858436807337615*^9, 3.858436818381097*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"46e0bfe5-14b0-4a36-bdc7-6cda33049cc5"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"res1", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"EQ1x", "[", "t", "]"}], "&&", 
      RowBox[{
       RowBox[{"PAx", "[", "0", "]"}], "==", "p0x"}], "&&", 
      RowBox[{
       RowBox[{"PAy", "[", "0", "]"}], "==", "p0y"}], "&&", 
      RowBox[{
       RowBox[{"PAz", "[", "0", "]"}], "==", "p0z"}]}], ",", 
     RowBox[{"{", " ", 
      RowBox[{"PAx", ",", " ", "PAy", ",", " ", "PAz"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "tend"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plot1", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"PAx", "[", "t", "]"}], ",", 
         RowBox[{"PAy", "[", "t", "]"}], ",", 
         RowBox[{"PAz", "[", "t", "]"}]}], "}"}], "/.", "res1"}], "]"}], ",", 
     
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "tend"}], "}"}], ",", 
     RowBox[{"PlotRange", "->", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "1"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.858422339133659*^9, 3.858422421091105*^9}, {
   3.858422477983687*^9, 3.85842255553123*^9}, {3.858422687711802*^9, 
   3.8584226926833963`*^9}, {3.8584227228441267`*^9, 3.858422770127915*^9}, 
   3.858422985011032*^9, {3.858423017699903*^9, 3.858423028342503*^9}, {
   3.858423092446619*^9, 3.858423093754147*^9}, {3.85842318510226*^9, 
   3.8584232466283216`*^9}, 3.8584234241797047`*^9, {3.858423458076689*^9, 
   3.858423523845807*^9}, {3.858423559159532*^9, 3.858423589320353*^9}, {
   3.858423619718791*^9, 3.8584236210795937`*^9}, 3.858423933665403*^9, {
   3.858424122489032*^9, 3.858424128315774*^9}, {3.8584242075855427`*^9, 
   3.8584242267370377`*^9}, {3.8584242688328123`*^9, 3.858424290790893*^9}, {
   3.858424328782407*^9, 3.85842433573701*^9}, 3.858424368056837*^9, 
   3.858435292552803*^9},
 CellLabel->"In[47]:=",ExpressionUUID->"a243c287-22d6-4651-9360-6f2eb75683e0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"res2", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"EQ2x", "[", "t", "]"}], "&&", 
      RowBox[{
       RowBox[{"PAx", "[", "0", "]"}], "==", "p0x"}], "&&", 
      RowBox[{
       RowBox[{"PAy", "[", "0", "]"}], "==", "p0y"}], "&&", 
      RowBox[{
       RowBox[{"PAz", "[", "0", "]"}], "==", "p0z"}]}], ",", 
     RowBox[{"{", " ", 
      RowBox[{"PAx", ",", " ", "PAy", ",", " ", "PAz"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "tend"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plot2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"PAx", "[", "t", "]"}], ",", 
         RowBox[{"PAy", "[", "t", "]"}], ",", 
         RowBox[{"PAz", "[", "t", "]"}]}], "}"}], "/.", "res2"}], "]"}], ",", 
     
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "tend"}], "}"}], ",", 
     RowBox[{"PlotRange", "->", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "1"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.858422339133659*^9, 3.858422421091105*^9}, {
   3.858422477983687*^9, 3.85842255553123*^9}, {3.858422687711802*^9, 
   3.8584226926833963`*^9}, {3.8584227228441267`*^9, 3.858422770127915*^9}, 
   3.858422985011032*^9, {3.858423017699903*^9, 3.858423028342503*^9}, {
   3.858423092446619*^9, 3.858423093754147*^9}, {3.85842318510226*^9, 
   3.8584232466283216`*^9}, 3.8584234241797047`*^9, {3.858423458076689*^9, 
   3.858423523845807*^9}, {3.858423559159532*^9, 3.858423589320353*^9}, {
   3.858423619718791*^9, 3.8584236210795937`*^9}, 3.858423933665403*^9, {
   3.858424122489032*^9, 3.858424128315774*^9}, {3.8584242075855427`*^9, 
   3.8584242267370377`*^9}, {3.8584242688328123`*^9, 3.858424290790893*^9}, {
   3.858424328782407*^9, 3.858424379397049*^9}, 3.858435289695101*^9},
 CellLabel->"In[49]:=",ExpressionUUID->"dfb71d3e-bd7c-49c7-a7fa-d63491a92509"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"res3", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"EQ3x", "[", "t", "]"}], "&&", 
      RowBox[{
       RowBox[{"PAx", "[", "0", "]"}], "==", "p0x"}], "&&", 
      RowBox[{
       RowBox[{"PAy", "[", "0", "]"}], "==", "p0y"}], "&&", 
      RowBox[{
       RowBox[{"PAz", "[", "0", "]"}], "==", "p0z"}]}], ",", 
     RowBox[{"{", " ", 
      RowBox[{"PAx", ",", " ", "PAy", ",", " ", "PAz"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "tend"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plot3", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"PAx", "[", "t", "]"}], ",", 
         RowBox[{"PAy", "[", "t", "]"}], ",", 
         RowBox[{"PAz", "[", "t", "]"}]}], "}"}], "/.", "res3"}], "]"}], ",", 
     
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "tend"}], "}"}], ",", 
     RowBox[{"PlotRange", "->", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1"}], ",", "1"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.858424295965664*^9, 3.8584243209434633`*^9}, 
   3.8584243913898163`*^9, {3.858425410868668*^9, 3.8584254149407253`*^9}},
 CellLabel->"In[51]:=",ExpressionUUID->"9bef202a-513a-4081-b12e-ecbd6bf2c9d4"],

Cell[CellGroupData[{

Cell[BoxData[{"plot1", "\[IndentingNewLine]", "plot2", "\[IndentingNewLine]", \
"plot3"}], "Input",
 CellChangeTimes->{{3.858424400435553*^9, 3.858424420662446*^9}},
 CellLabel->"In[53]:=",ExpressionUUID->"bbf61ee1-44a5-444d-b16f-f5df921b6d0c"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwUV3c81d8bt5MWkZ2EaEpCVj0SKkXyRUhUFAmVFZWGTaSQrIhkZe99rnHt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        "]]},
      Annotation[#, "Charting`Private`Tag$5035#1"]& ], 
     TagBox[
      {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwUWnc81e8XR0bJKsrMl1IUSZIkOZLKSpKVylYqo4FQ2TskKxGpZGdlr8fe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        "]]},
      Annotation[#, "Charting`Private`Tag$5035#1"]& ], 
     TagBox[
      {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1nk0VW8XB3CVISEkXRqUokRlSIYGu6SQBnMZShmKKJRZRZIhJZRKyJgp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        "]]},
      Annotation[#, "Charting`Private`Tag$5035#1"]& ]}, {}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{None, None},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   ImagePadding->All,
   Method->{
    "DefaultBoundaryStyle" -> Automatic, 
     "DefaultGraphicsInteraction" -> {
      "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
       "Effects" -> {
        "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
         "Droplines" -> {
          "freeformCursorMode" -> True, 
           "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
     "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> None, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& )}},
   PlotRange->{{0., 0.6283185178951315}, {-1., 1.}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858503290797079*^9},
 CellLabel->"Out[53]=",ExpressionUUID->"8bc43949-083f-4fd0-b19c-122bca381f7c"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwUV3k81F8XllChQrKEUqnQJvlZog5SZCmVpeyiRFIUoZLsRNZkT2XNkjW7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        "]]},
      Annotation[#, "Charting`Private`Tag$5240#1"]& ], 
     TagBox[
      {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwUV3c81d8bV4mSFNVXIkmKkEpGSR5JyCgkO1lRIhJCZVcou2SvJHvvdWSP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        "]]},
      Annotation[#, "Charting`Private`Tag$5240#1"]& ], 
     TagBox[
      {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1nlUjP8XB/C+sqVCKZWIUmhViRZxlZAt7WnjpxTSqo0SodXSRquGaE/a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        "]]},
      Annotation[#, "Charting`Private`Tag$5240#1"]& ]}, {}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{None, None},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   ImagePadding->All,
   Method->{
    "DefaultBoundaryStyle" -> Automatic, 
     "DefaultGraphicsInteraction" -> {
      "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
       "Effects" -> {
        "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
         "Droplines" -> {
          "freeformCursorMode" -> True, 
           "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
     "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> None, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& )}},
   PlotRange->{{0., 0.6283185178951315}, {-1., 1.}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858503290816831*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"ce3dcb19-d6a9-48c1-807e-35a9a8e718aa"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwUWHc8FP4blyRfDQ0ZkaYISRKJPELISnYSQippCRllZY+UlVEoW7L3+th7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        "]]},
      Annotation[#, "Charting`Private`Tag$5316#1"]& ], 
     TagBox[
      {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwUWXc81P8ftysRKiHyRSqlKSnzJVFWki0iQpHRtJIVojJCNqnsLXu+7T3O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        "]]},
      Annotation[#, "Charting`Private`Tag$5316#1"]& ], 
     TagBox[
      {RGBColor[0.560181, 0.691569, 0.194885], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV1nc4lX0YB3CVVSIrEumlJSN7NdxILxmFokJDRlmh5JilKCp773WcQ/Yq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        "]]},
      Annotation[#, "Charting`Private`Tag$5316#1"]& ]}, {}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{None, None},
   AxesOrigin->{0, 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   ImagePadding->All,
   Method->{
    "DefaultBoundaryStyle" -> Automatic, 
     "DefaultGraphicsInteraction" -> {
      "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
       "Effects" -> {
        "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
         "Droplines" -> {
          "freeformCursorMode" -> True, 
           "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
     "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> None, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         (Identity[#]& )[
          Part[#, 1]], 
         (Identity[#]& )[
          Part[#, 2]]}& )}},
   PlotRange->{{0., 0.6283185178951315}, {-1., 1.}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858503290828166*^9},
 CellLabel->"Out[55]=",ExpressionUUID->"ea07f87a-11cf-45b3-9e50-a54a972ee0a5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"L", "=", "sp"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Adj", "[", "L", "]"}], "==", "sm"}]}], "Input",
 CellChangeTimes->{{3.8585112187011013`*^9, 3.858511262339658*^9}},
 CellLabel->
  "In[130]:=",ExpressionUUID->"bc262ba9-d348-45e5-815e-284d23fcbfbe"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0"},
     {"1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858511226687894*^9, 3.858511263927767*^9}},
 CellLabel->
  "Out[130]=",ExpressionUUID->"e13662c5-ff2e-4826-ada4-b50a5ded0a5f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Adj", "[", "L", "]"}], ".", "L"}], "==", 
  SubscriptBox["\[ScriptCapitalP]", "0"]}]], "Input",
 CellChangeTimes->{{3.858511299173677*^9, 3.858511328558208*^9}, {
  3.85851136059164*^9, 3.85851137275097*^9}},
 CellLabel->
  "In[140]:=",ExpressionUUID->"224ea6b1-ba39-41e7-855c-7b63effb25e1"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858511226687894*^9, 3.858511329911394*^9}, {
  3.8585113659893923`*^9, 3.858511373547874*^9}},
 CellLabel->
  "Out[140]=",ExpressionUUID->"14e517a3-717a-40e6-8ead-e7ce12eeeff0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Xa", "[", "t_", "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "/", "2"}], ")"}], "  ", 
   RowBox[{"(", "  ", 
    RowBox[{
     RowBox[{"s", "[", "0", "]"}], "  ", "+", " ", 
     RowBox[{
      RowBox[{"PAx", "[", "t", "]"}], "  ", 
      RowBox[{"s", "[", "1", "]"}]}], " ", "+", "  ", 
     RowBox[{
      RowBox[{"PAy", "[", "t", "]"}], " ", 
      RowBox[{"s", "[", "2", "]"}]}], "+", " ", 
     RowBox[{
      RowBox[{"PAz", "[", "t", "]"}], "  ", 
      RowBox[{"s", "[", "3", "]"}]}]}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"X", "=", 
  RowBox[{"Xa", "[", "0", "]"}]}]}], "Input",
 CellChangeTimes->{
  3.858511452558433*^9, {3.858511491686161*^9, 3.858511516448*^9}},
 CellLabel->
  "In[144]:=",ExpressionUUID->"480e9cc4-109c-45fd-8048-c17222e5a53c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"PAz", "[", "0", "]"}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"PAx", "[", "0", "]"}], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"PAy", "[", "0", "]"}]}]}], ")"}]}]},
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"PAx", "[", "0", "]"}], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"PAy", "[", "0", "]"}]}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"PAz", "[", "0", "]"}]}], ")"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858511501867999*^9, 3.858511542167385*^9},
 CellLabel->
  "Out[145]=",ExpressionUUID->"833fb39a-4dbb-4012-9aa5-a949aae00025"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"sp", ".", "X", ".", "sm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    FractionBox["1", "2"], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"PAz", "[", "0", "]"}]}], ")"}], 
    SubscriptBox["\[ScriptCapitalP]", "1"]}], "==", "%"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.858511187740428*^9, 3.8585112019827843`*^9}, {
  3.858511395823449*^9, 3.8585114005065413`*^9}, {3.858511530207078*^9, 
  3.858511534807913*^9}, {3.8585115888240013`*^9, 3.858511617834202*^9}},
 CellLabel->
  "In[153]:=",ExpressionUUID->"14bda36e-e3d7-4d5c-a747-1e3bf67952fc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0"},
     {"0", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"PAz", "[", "0", "]"}]}], ")"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8585115362835703`*^9, 3.858511550605785*^9}, {
  3.858511584211194*^9, 3.858511619312162*^9}},
 CellLabel->
  "Out[153]=",ExpressionUUID->"727e6b62-25ee-4380-9096-eb1d6b7f4686"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8585115362835703`*^9, 3.858511550605785*^9}, {
  3.858511584211194*^9, 3.858511619315641*^9}},
 CellLabel->
  "Out[154]=",ExpressionUUID->"f04c74ff-4e3a-487b-afea-4813026682db"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"(", 
  RowBox[{
   RowBox[{
    RowBox[{"Adj", "[", "L", "]"}], ".", "L", ".", "X"}], "+", 
   RowBox[{"X", ".", 
    RowBox[{"Adj", "[", "L", "]"}], ".", "L"}]}], 
  ")"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"PAz", "[", "0", "]"}]}], ")"}], " ", 
    SubscriptBox["\[ScriptCapitalP]", "0"]}], "+", 
   RowBox[{
    RowBox[{"1", "/", "2"}], " ", 
    RowBox[{"(", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"PAx", "[", "0", "]"}], " ", 
       RowBox[{"s", "[", "1", "]"}]}], " ", "+", 
      RowBox[{
       RowBox[{"PAy", "[", "0", "]"}], " ", 
       RowBox[{"s", "[", "2", "]"}]}]}], ")"}]}]}], "==", "%"}]}], "Input",
 CellChangeTimes->{
  3.858511657165501*^9, {3.8585116911183767`*^9, 3.8585118739906473`*^9}},
 CellLabel->
  "In[163]:=",ExpressionUUID->"8c8ebf4a-cd60-428f-921a-4788f40fa10a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"1", "+", 
       RowBox[{"PAz", "[", "0", "]"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"PAx", "[", "0", "]"}], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"PAy", "[", "0", "]"}]}]}], ")"}]}]},
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"PAx", "[", "0", "]"}], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"PAy", "[", "0", "]"}]}]}], ")"}]}], "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858511641605962*^9, 3.858511658875622*^9}, {
  3.85851181523345*^9, 3.858511835911388*^9}, {3.858511866353101*^9, 
  3.8585118751176367`*^9}},
 CellLabel->
  "Out[163]=",ExpressionUUID->"42e8b745-19f8-4ff8-968f-33e055b9ca94"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858511641605962*^9, 3.858511658875622*^9}, {
  3.85851181523345*^9, 3.858511835911388*^9}, {3.858511866353101*^9, 
  3.8585118751210403`*^9}},
 CellLabel->
  "Out[164]=",ExpressionUUID->"de164c72-e347-4f11-8e8b-a928a8fe0a6e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{"eqxp", "\[IndentingNewLine]", "eqyp", "\[IndentingNewLine]", \
"eqzp"}], "Input",
 CellChangeTimes->{{3.858514575986405*^9, 3.858514597418359*^9}},
 CellLabel->
  "In[165]:=",ExpressionUUID->"efb829e7-9102-47d3-8fa0-2c4ad908f450"],

Cell[BoxData[
 TagBox["eqxp",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858514599522533*^9},
 CellLabel->
  "Out[165]=",ExpressionUUID->"7920e729-2562-42c8-a255-32eec911036d"],

Cell[BoxData[
 TagBox["eqyp",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858514599525386*^9},
 CellLabel->
  "Out[166]=",ExpressionUUID->"4291c10a-7d08-45e4-b7c0-6b8f48e0be85"],

Cell[BoxData[
 TagBox["eqzp",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858514599527734*^9},
 CellLabel->
  "Out[167]=",ExpressionUUID->"ff4e7064-c46a-47f6-afbe-e5d904e539f1"]
}, Open  ]]
},
WindowSize->{808, 521},
WindowMargins->{{20, Automatic}, {41, Automatic}},
FrontEndVersion->"13.0 for Mac OS X x86 (64-bit) (December 2, 2021)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"ff13400f-cc06-41ad-ac9a-e543af9f946a"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 988, 26, 197, "Input",ExpressionUUID->"4f9b0d1c-d563-4b6c-92a3-0980e8924d28"],
Cell[1549, 48, 1492, 46, 73, "Input",ExpressionUUID->"b78239d3-0b93-4438-bbcd-f0801ae7b423"],
Cell[3044, 96, 497, 9, 94, "Input",ExpressionUUID->"46bdd709-69c0-440e-aef1-582bc1e99f0b"],
Cell[CellGroupData[{
Cell[3566, 109, 254, 5, 30, "Input",ExpressionUUID->"a31c007e-d7b4-4f5f-ba33-bd76cd824e36"],
Cell[3823, 116, 1380, 42, 65, "Output",ExpressionUUID->"973011ff-25d4-4556-bd83-4fd7719a052d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5240, 163, 2956, 87, 262, "Input",ExpressionUUID->"e19c84dc-ddfd-4a22-bcf2-25c9b01ce45e"],
Cell[8199, 252, 220, 6, 34, "Output",ExpressionUUID->"d519f5f7-51f1-44ec-ad34-cf475350acd6"],
Cell[8422, 260, 218, 6, 34, "Output",ExpressionUUID->"27a1a484-2dd0-443b-b2e2-4e5146bd4621"],
Cell[8643, 268, 218, 6, 34, "Output",ExpressionUUID->"9daa737a-a30d-49cb-9336-b654a67767fb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8898, 279, 1221, 36, 136, "Input",ExpressionUUID->"c94b791d-5504-406e-86b7-5e17542940af"],
Cell[10122, 317, 854, 22, 49, "Output",ExpressionUUID->"5773dfcf-341a-41c0-bfbd-904b69c2a93d"],
Cell[10979, 341, 854, 22, 49, "Output",ExpressionUUID->"94330ad0-9ef9-4428-b96d-1e68c45268cf"],
Cell[11836, 365, 467, 10, 34, "Output",ExpressionUUID->"91424cdb-ea95-4a0b-866b-268e28a5e338"],
Cell[12306, 377, 467, 10, 34, "Output",ExpressionUUID->"a51591d6-a83f-44ea-b5da-e81e8539340d"],
Cell[12776, 389, 465, 10, 34, "Output",ExpressionUUID->"b037ae76-1c6d-4215-967e-fb3c82d261bb"],
Cell[13244, 401, 465, 10, 34, "Output",ExpressionUUID->"e01bf637-a668-4d27-9221-431c89499bab"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13746, 416, 714, 19, 115, "Input",ExpressionUUID->"94b0bae7-d8c5-45cb-8f24-60c3346a5d01"],
Cell[14463, 437, 877, 22, 49, "Output",ExpressionUUID->"c58eb679-a5ac-4853-997a-9d4add143de9"],
Cell[15343, 461, 877, 22, 49, "Output",ExpressionUUID->"88e91470-2c06-4ed0-b6ea-b4c3e451b3fb"],
Cell[16223, 485, 490, 10, 34, "Output",ExpressionUUID->"676cebb3-c627-4ef6-a765-ca67e07e1949"],
Cell[16716, 497, 490, 10, 34, "Output",ExpressionUUID->"1794176d-f796-4a21-b40d-7ac9d21b92bf"],
Cell[17209, 509, 488, 10, 34, "Output",ExpressionUUID->"81b52e37-fc21-4510-94bf-e52ce0d4e297"]
}, Open  ]],
Cell[CellGroupData[{
Cell[17734, 524, 1088, 30, 94, "Input",ExpressionUUID->"6ebbbde4-dc34-43b0-846b-b721c4dc102a"],
Cell[18825, 556, 2976, 83, 65, "Output",ExpressionUUID->"0b1d4d07-119a-4bd1-8411-b8aa11470023"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21838, 644, 1421, 42, 94, "Input",ExpressionUUID->"6344ca12-251d-48a6-bd2c-f3079caf330d"],
Cell[23262, 688, 3345, 94, 65, "Output",ExpressionUUID->"f464f74d-5c67-4e89-9faf-935101614f27"],
Cell[26610, 784, 3347, 94, 65, "Output",ExpressionUUID->"02a81780-6a01-49a6-a996-a771bfe36552"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29994, 883, 993, 29, 136, "Input",ExpressionUUID->"4d02fe9f-f6e1-46bb-8a9c-38971ba3d5f5"],
Cell[30990, 914, 328, 9, 34, "Output",ExpressionUUID->"c8228a62-2f11-41ab-a575-5c9f9fe4f6a1"],
Cell[31321, 925, 330, 9, 34, "Output",ExpressionUUID->"3b1fc001-aa05-49ac-8957-92222cb625de"],
Cell[31654, 936, 328, 9, 34, "Output",ExpressionUUID->"a7fba50f-91a8-424c-be62-b21cc2703aff"],
Cell[31985, 947, 1701, 50, 67, "Output",ExpressionUUID->"0a01e845-4fbb-448c-9b38-8fbfcab059a0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33723, 1002, 1535, 44, 136, "Input",ExpressionUUID->"61fcf631-083f-43a8-a222-bef1a36bec5b"],
Cell[35261, 1048, 553, 17, 34, "Output",ExpressionUUID->"49c974b6-0916-41c1-9941-1fb849db084c"],
Cell[35817, 1067, 643, 19, 34, "Output",ExpressionUUID->"d2e8f89b-8956-4fc3-8cf9-216bf99fa764"],
Cell[36463, 1088, 727, 21, 34, "Output",ExpressionUUID->"7df57450-1303-46af-ab1d-05e9deb2d1eb"]
}, Open  ]],
Cell[37205, 1112, 2699, 83, 136, "Input",ExpressionUUID->"315b05da-9be1-4a03-9069-9cde9118e3c2"],
Cell[CellGroupData[{
Cell[39929, 1199, 241, 5, 52, "Input",ExpressionUUID->"8ca81bf4-67b2-411f-91ce-de469d8cec36"],
Cell[40173, 1206, 766, 21, 34, "Output",ExpressionUUID->"4258d675-8fa3-4347-a77e-d493134d339a"]
}, Open  ]],
Cell[40954, 1230, 1887, 60, 157, "Input",ExpressionUUID->"27c843b4-c4fa-480b-81e9-a033f2b7fae8"],
Cell[CellGroupData[{
Cell[42866, 1294, 422, 9, 52, "Input",ExpressionUUID->"a02755d6-1917-4860-8597-516b047db131"],
Cell[43291, 1305, 972, 28, 49, "Output",ExpressionUUID->"9a31e3a9-a263-4c4b-b7dd-893c2cf07bd2"]
}, Open  ]],
Cell[44278, 1336, 519, 15, 47, InheritFromParent,ExpressionUUID->"34af56aa-ffe1-45ef-8d6e-4840e3758c6f"],
Cell[44800, 1353, 948, 29, 47, InheritFromParent,ExpressionUUID->"46ef1a83-9ac1-487e-9ba7-ec94abb3127f"],
Cell[45751, 1384, 878, 28, 49, "Output",ExpressionUUID->"1f0d1c9d-3125-4e4c-92c8-04e4d65fe428"],
Cell[CellGroupData[{
Cell[46654, 1416, 248, 5, 30, "Input",ExpressionUUID->"025e216e-0822-4127-91f5-35cf6f070da1"],
Cell[46905, 1423, 241, 6, 34, "Output",ExpressionUUID->"6d1ee8b7-bb68-41a6-95f6-146633d9dccf"]
}, Open  ]],
Cell[CellGroupData[{
Cell[47183, 1434, 410, 11, 30, "Input",ExpressionUUID->"87b7a383-7ffc-448c-b428-31c002126d42"],
Cell[47596, 1447, 787, 25, 34, "Output",ExpressionUUID->"95d98fea-7803-4fac-afc7-e1a4bb0f655d"]
}, Open  ]],
Cell[48398, 1475, 796, 25, 30, "Input",ExpressionUUID->"bba8791d-80bd-4340-9d96-d0097a8923aa"],
Cell[CellGroupData[{
Cell[49219, 1504, 1031, 33, 94, "Input",ExpressionUUID->"b58a7123-9f8b-4cf8-a09c-bb57098b03bb"],
Cell[50253, 1539, 697, 21, 49, "Output",ExpressionUUID->"284bd079-1278-4e40-8fed-c95c9be9d870"]
}, Open  ]],
Cell[CellGroupData[{
Cell[50987, 1565, 469, 8, 94, "Input",ExpressionUUID->"64641f4e-9bee-44f9-bfe1-416454754d05"],
Cell[51459, 1575, 769, 23, 49, "Output",ExpressionUUID->"cea841ad-c151-4ef9-b1d3-7b565b166825"],
Cell[52231, 1600, 297, 8, 34, "Output",ExpressionUUID->"0e6e9d3e-9b61-4a74-9777-505968776839"],
Cell[52531, 1610, 760, 22, 34, "Output",ExpressionUUID->"5d1ac029-aa62-41e4-908d-62c0a3728204"],
Cell[53294, 1634, 297, 8, 34, "Output",ExpressionUUID->"2054f5fb-6083-4be0-85b4-b590df4c6cc5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[53628, 1647, 384, 6, 52, "Input",ExpressionUUID->"ed986542-a0da-428e-b115-033be2b63841"],
Cell[54015, 1655, 730, 21, 34, "Output",ExpressionUUID->"ab7aa5a9-0c8c-43ea-89bb-0dcc38b3ab8d"],
Cell[54748, 1678, 265, 7, 34, "Output",ExpressionUUID->"22df60dd-0717-49f4-a7d2-c25f38f3c79f"]
}, Open  ]],
Cell[55028, 1688, 451, 7, 73, "Input",ExpressionUUID->"2bee83c9-b198-46b9-b10f-caedc4dc38c3"],
Cell[CellGroupData[{
Cell[55504, 1699, 617, 17, 73, "Input",ExpressionUUID->"d63240ed-b370-4574-a647-a92487e66891"],
Cell[56124, 1718, 810, 25, 34, "Output",ExpressionUUID->"8ba85c87-4120-4c14-9486-0965bbc981ff"],
Cell[56937, 1745, 762, 22, 34, "Output",ExpressionUUID->"fd16fe88-981b-45e0-8ae0-ff51a817700a"],
Cell[57702, 1769, 371, 10, 34, "Output",ExpressionUUID->"55114efe-89dd-4f96-9e3c-eb0deac32398"]
}, Open  ]],
Cell[CellGroupData[{
Cell[58110, 1784, 1314, 40, 94, "Input",ExpressionUUID->"b9e217e1-752f-44e3-9f41-7ca218070965"],
Cell[59427, 1826, 2127, 59, 69, "Output",ExpressionUUID->"b8687ebb-c8f7-44e5-9305-bd73925f8f17"],
Cell[61557, 1887, 2149, 60, 69, "Output",ExpressionUUID->"1662a33f-9e02-4679-b1d6-e30bcd1cc383"],
Cell[63709, 1949, 2149, 60, 69, "Output",ExpressionUUID->"096f0e70-81dc-4e92-a15b-774ba890603f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[65895, 2014, 1511, 37, 115, "Input",ExpressionUUID->"c5e55228-ca89-409a-8757-bb93299ff829"],
Cell[67409, 2053, 211, 5, 34, "Output",ExpressionUUID->"9d1f8b3e-bca2-433e-abe0-eb3657408882"]
}, Open  ]],
Cell[CellGroupData[{
Cell[67657, 2063, 834, 19, 136, "Input",ExpressionUUID->"6bcbb183-1096-4282-a1bc-2d2f8b628528"],
Cell[68494, 2084, 2136, 61, 69, "Output",ExpressionUUID->"b0ef2e5c-7d0e-4a60-a50c-6b8c4519067a"],
Cell[70633, 2147, 2156, 62, 69, "Output",ExpressionUUID->"f3973b69-e5c2-47e8-bad0-d43ad647390d"],
Cell[72792, 2211, 2156, 62, 69, "Output",ExpressionUUID->"17a60985-cd7c-4617-9d2b-ee3bf7e825a1"]
}, Open  ]],
Cell[74963, 2276, 343, 7, 30, "Input",ExpressionUUID->"46e0bfe5-14b0-4a36-bdc7-6cda33049cc5"],
Cell[75309, 2285, 2046, 48, 73, "Input",ExpressionUUID->"a243c287-22d6-4651-9360-6f2eb75683e0"],
Cell[77358, 2335, 2021, 47, 73, "Input",ExpressionUUID->"dfb71d3e-bd7c-49c7-a7fa-d63491a92509"],
Cell[79382, 2384, 1359, 38, 73, "Input",ExpressionUUID->"9bef202a-513a-4081-b12e-ecbd6bf2c9d4"],
Cell[CellGroupData[{
Cell[80766, 2426, 244, 3, 73, "Input",ExpressionUUID->"bbf61ee1-44a5-444d-b16f-f5df921b6d0c"],
Cell[81013, 2431, 74678, 1247, 243, "Output",ExpressionUUID->"8bc43949-083f-4fd0-b19c-122bca381f7c"],
Cell[155694, 3680, 74515, 1244, 243, "Output",ExpressionUUID->"ce3dcb19-d6a9-48c1-807e-35a9a8e718aa"],
Cell[230212, 4926, 74089, 1238, 243, "Output",ExpressionUUID->"ea07f87a-11cf-45b3-9e50-a54a972ee0a5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[304338, 6169, 285, 6, 52, "Input",ExpressionUUID->"bc262ba9-d348-45e5-815e-284d23fcbfbe"],
Cell[304626, 6177, 631, 18, 49, "Output",ExpressionUUID->"e13662c5-ff2e-4826-ada4-b50a5ded0a5f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[305294, 6200, 338, 8, 30, "Input",ExpressionUUID->"224ea6b1-ba39-41e7-855c-7b63effb25e1"],
Cell[305635, 6210, 293, 7, 34, "Output",ExpressionUUID->"14e517a3-717a-40e6-8ead-e7ce12eeeff0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[305965, 6222, 816, 23, 52, "Input",ExpressionUUID->"480e9cc4-109c-45fd-8048-c17222e5a53c"],
Cell[306784, 6247, 1377, 42, 65, "Output",ExpressionUUID->"833fb39a-4dbb-4012-9aa5-a949aae00025"]
}, Open  ]],
Cell[CellGroupData[{
Cell[308198, 6294, 652, 15, 113, "Input",ExpressionUUID->"14bda36e-e3d7-4d5c-a747-1e3bf67952fc"],
Cell[308853, 6311, 829, 24, 57, "Output",ExpressionUUID->"727e6b62-25ee-4380-9096-eb1d6b7f4686"],
Cell[309685, 6337, 293, 7, 34, "Output",ExpressionUUID->"f04c74ff-4e3a-487b-afea-4813026682db"]
}, Open  ]],
Cell[CellGroupData[{
Cell[310015, 6349, 910, 28, 52, "Input",ExpressionUUID->"8c8ebf4a-cd60-428f-921a-4788f40fa10a"],
Cell[310928, 6379, 1246, 36, 65, "Output",ExpressionUUID->"42e8b745-19f8-4ff8-968f-33e055b9ca94"],
Cell[312177, 6417, 341, 8, 34, "Output",ExpressionUUID->"de164c72-e347-4f11-8e8b-a928a8fe0a6e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[312555, 6430, 245, 4, 73, "Input",ExpressionUUID->"efb829e7-9102-47d3-8fa0-2c4ad908f450"],
Cell[312803, 6436, 218, 6, 34, "Output",ExpressionUUID->"7920e729-2562-42c8-a255-32eec911036d"],
Cell[313024, 6444, 218, 6, 34, "Output",ExpressionUUID->"4291c10a-7d08-45e4-b7c0-6b8f48e0be85"],
Cell[313245, 6452, 218, 6, 34, "Output",ExpressionUUID->"ff4e7064-c46a-47f6-afbe-e5d904e539f1"]
}, Open  ]]
}
]
*)

