(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    452761,      11327]
NotebookOptionsPosition[    437642,      11085]
NotebookOutlinePosition[    438039,      11101]
CellTagsIndexPosition[    437996,      11098]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"Off", "[", 
     RowBox[{"General", "::", "shdw"}], "]"}], ";"}], "\[IndentingNewLine]", 
   " ", 
   RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Needs", "[", "\"\<QDENSITY`Circuits`\>\"", "]"}], ";"}], 
   " "}]}]], "Input",
 CellLabel->"In[1]:=",ExpressionUUID->"dba4aa57-44ee-4cc5-8980-278cb3b2efd3"],

Cell[BoxData["\<\"Type \\\"?intro\\\", \\\"?QDENSITY`Qdensity`*\\\" or \
\\\"?about for help.\"\>"], "Print",
 CellChangeTimes->{3.858799186415742*^9, 3.858799290313387*^9, 
  3.8587997796466846`*^9, 3.8588036126898813`*^9, 3.858807403419231*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"3ce66fd8-1afa-4f3f-9c12-cc104783615c"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"H", "[", "t_", "]"}], ":=", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"-", "wL"}], "/", "2"}], "  ", 
    RowBox[{"s", "[", "3", "]"}]}], " ", "-", " ", 
   RowBox[{
    RowBox[{"w2", "/", "2"}], 
    RowBox[{"(", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"s", "[", "1", "]"}], " ", 
       RowBox[{"Cos", "[", 
        RowBox[{"w", " ", "t"}], "]"}]}], "-", 
      RowBox[{
       RowBox[{"s", "[", "2", "]"}], " ", 
       RowBox[{"Sin", "[", " ", 
        RowBox[{"w", " ", "t"}], " ", "]"}]}]}], " ", 
     ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", "   ", 
   RowBox[{"Basic", " ", "Lindblad"}], "  ", "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{"\[ScriptCapitalL]1", "[", 
     RowBox[{
      RowBox[{"X_", "?", "MatrixQ"}], ",", 
      RowBox[{"L_", "?", "MatrixQ"}]}], "]"}], ":=", 
    RowBox[{"\[CapitalGamma]v", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"L", ".", "X", ".", 
        RowBox[{"Adj", "[", "L", "]"}]}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"Adj", "[", "L", "]"}], ".", "L", ".", "X"}], "+", 
          RowBox[{"X", ".", 
           RowBox[{"Adj", "[", "L", "]"}], ".", "L"}]}], ")"}], "/", "2"}]}], 
      ")"}]}]}], ";"}]}]}], "Input",
 CellChangeTimes->{3.8587626070329723`*^9},
 CellLabel->"In[4]:=",ExpressionUUID->"a5a51fbe-333c-4b7b-a483-ad145bac0ceb"],

Cell[BoxData[{
 RowBox[{"Clear", "[", "Rho", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rho", "[", "t_", "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "/", "2"}], ")"}], "  ", 
   RowBox[{"(", "  ", 
    RowBox[{
     RowBox[{"s", "[", "0", "]"}], "  ", "+", " ", 
     RowBox[{
      RowBox[{"PAx", "[", "t", "]"}], "  ", 
      RowBox[{"s", "[", "1", "]"}]}], " ", "+", "  ", 
     RowBox[{
      RowBox[{"PAy", "[", "t", "]"}], " ", 
      RowBox[{"s", "[", "2", "]"}]}], "+", " ", 
     RowBox[{
      RowBox[{"PAz", "[", "t", "]"}], "  ", 
      RowBox[{"s", "[", "3", "]"}]}]}], ")"}]}]}]}], "Input",
 CellLabel->"In[6]:=",ExpressionUUID->"92f81b20-4322-48a8-b33a-f5bafad9c6ce"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   StyleBox[
    RowBox[{
     RowBox[{"WR", "[", 
      RowBox[{"\[Phi]v_", ",", " ", "\[Theta]v_", " ", ",", "\[Gamma]v_"}], 
      " ", "]"}], ":=", 
     RowBox[{
      RowBox[{"RotZ", "[", "\[Phi]v", "]"}], ".", 
      RowBox[{"RotY", "[", "\[Theta]v", "]"}], ".", 
      RowBox[{"RotZ", "[", "\[Gamma]v", "]"}]}]}],
    FontFamily->"Times New Roman",
    FontSize->24,
    FontWeight->"Bold"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Times New Roman",
    FontSize->24,
    FontWeight->"Bold"], 
   StyleBox[
    RowBox[{
     RowBox[{"WRA", "[", 
      RowBox[{"\[Phi]v_", ",", " ", "\[Theta]v_", " ", ",", "\[Gamma]v_"}], 
      " ", "]"}], ":=", 
     RowBox[{
      RowBox[{"RotZ", "[", 
       RowBox[{"-", "\[Gamma]v"}], "]"}], ".", 
      RowBox[{"RotY", "[", 
       RowBox[{"-", "\[Theta]v"}], "]"}], ".", 
      RowBox[{"RotZ", "[", 
       RowBox[{"-", "\[Phi]v"}], "]"}]}]}],
    FontFamily->"Times New Roman",
    FontSize->24,
    FontWeight->"Bold"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Times New Roman",
    FontSize->24,
    FontWeight->"Bold"], 
   RowBox[{
    RowBox[{
     RowBox[{"WR", "[", 
      RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], " ", 
      "]"}], ".", 
     RowBox[{"WRA", "[", 
      RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], "]"}]}],
     "  ", "//", "FullSimplify"}], "\[IndentingNewLine]", 
   RowBox[{"%", "==", 
    RowBox[{"s", "[", "0", "]"}]}]}]}]], "Input",
 CellChangeTimes->{
  3.858762634994123*^9, {3.858762671039071*^9, 3.858762723554428*^9}, {
   3.858762782854618*^9, 3.858762797029995*^9}, {3.858764152191244*^9, 
   3.8587642019393253`*^9}, {3.858764319976583*^9, 3.858764320418549*^9}, {
   3.858799748058041*^9, 3.85879976140237*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"7b32d491-6d39-4b92-9877-865ba72b0346"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858764679680635*^9, 3.858799187618024*^9, 
  3.8587992912705927`*^9, 3.858799781410369*^9, 3.858803613895727*^9, 
  3.858807404378036*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"b32bdace-188f-409c-9a9a-e479a4ef4b99"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858764679680635*^9, 3.858799187618024*^9, 
  3.8587992912705927`*^9, 3.858799781410369*^9, 3.858803613895727*^9, 
  3.858807404381289*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"85655a6b-9ff4-4257-96cf-d25a244d130f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"RotZ", "[", "\[Phi]", "]"}]], "Input",
 CellChangeTimes->{3.858766132580821*^9},
 CellLabel->"In[12]:=",ExpressionUUID->"2953ab40-7985-4df2-878a-c58872074507"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}], "2"]}]], "0"},
     {"0", 
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}], "2"]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8587646796836*^9, 3.858766133768269*^9, 
  3.858799187626089*^9, 3.858799291279904*^9, 3.85879982176933*^9, 
  3.858803613906831*^9, 3.858807404387599*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"fd19752f-8a91-420c-a53c-7163e00e7f8d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"V", "[", "1", "]"}], "=", 
  RowBox[{
   RowBox[{"-", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"s", "[", "1", "]"}], "+", " ", 
      RowBox[{"I", " ", 
       RowBox[{"s", "[", "2", "]"}]}]}], ")"}]}], "/", 
   RowBox[{"Sqrt", "[", "2", "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V", "[", 
   RowBox[{"-", "1"}], "]"}], "=", 
  RowBox[{
   RowBox[{"+", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"s", "[", "1", "]"}], "-", " ", 
      RowBox[{"I", " ", 
       RowBox[{"s", "[", "2", "]"}]}]}], ")"}]}], "/", 
   RowBox[{"Sqrt", "[", "2", "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"V", "[", "0", "]"}], "=", 
  RowBox[{"s", "[", "3", "]"}]}]}], "Input",
 CellChangeTimes->{{3.8587989785230207`*^9, 3.858799020856474*^9}, {
  3.858800055896019*^9, 3.858800075740662*^9}, {3.858800328926092*^9, 
  3.858800343790374*^9}, {3.858800670683057*^9, 3.8588007039611692`*^9}, {
  3.8588019316232452`*^9, 3.858801932770492*^9}, {3.858802136501048*^9, 
  3.858802139481194*^9}, {3.858802218536889*^9, 3.858802242095026*^9}, {
  3.858803341133996*^9, 3.85880334147078*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"62102c60-c128-4671-9288-d6614937a063"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{"-", 
       SqrtBox["2"]}]},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858801952378335*^9, 3.858802147586658*^9, 
  3.8588033446013527`*^9, 3.858803613930994*^9, 3.858807404403405*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"63c52e57-fa14-46b5-8f5f-cb297db1268e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0"},
     {
      SqrtBox["2"], "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858801952378335*^9, 3.858802147586658*^9, 
  3.8588033446013527`*^9, 3.858803613930994*^9, 3.858807404405714*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"1569765e-ecfa-494e-a83f-0164010143e3"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858801952378335*^9, 3.858802147586658*^9, 
  3.8588033446013527`*^9, 3.858803613930994*^9, 3.85880740440784*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"91e38e61-4c84-4bb8-9983-49ab9dd09c47"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Clear", "[", "RhoT", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RhoT", "[", "t_", "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "/", "2"}], ")"}], "  ", 
   RowBox[{"(", "  ", 
    RowBox[{
     RowBox[{"s", "[", "0", "]"}], "  ", "+", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"PAx", "[", "t", "]"}], "+", " ", 
         RowBox[{"I", " ", 
          RowBox[{"PAy", "[", "t", "]"}]}]}], ")"}], "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "  ", 
      RowBox[{"V", "[", 
       RowBox[{"-", "1"}], "]"}]}], " ", "+", "  ", 
     RowBox[{
      RowBox[{"PAz", "[", "t", "]"}], " ", 
      RowBox[{"V", "[", "0", "]"}]}], " ", "-", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"PAx", "[", "t", "]"}], "-", " ", 
         RowBox[{"I", " ", 
          RowBox[{"PAy", "[", "t", "]"}]}]}], ")"}], "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], "  ", 
      RowBox[{"V", "[", "1", "]"}]}]}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"RhoT", "[", "t", "]"}], ".", 
      RowBox[{"V", "[", 
       RowBox[{"-", "1"}], "]"}]}], "]"}], ",", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"RhoT", "[", "t", "]"}], ".", 
      RowBox[{"V", "[", "0", "]"}]}], "]"}], ",", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"RhoT", "[", "t", "]"}], ".", 
      RowBox[{"V", "[", "1", "]"}]}], "]"}]}], "}"}], " ", "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"RhoT", "[", "t", "]"}], ".", 
      RowBox[{"s", "[", "1", "]"}]}], "]"}], ",", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"RhoT", "[", "t", "]"}], ".", 
      RowBox[{"s", "[", "2", "]"}]}], "]"}], ",", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"RhoT", "[", "t", "]"}], ".", 
      RowBox[{"s", "[", "3", "]"}]}], "]"}]}], "}"}], "  ", "//", 
  "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.858806647042557*^9, 3.858806768161737*^9}, {
  3.858806799810616*^9, 3.85880682694415*^9}, {3.858806874331221*^9, 
  3.858806904199646*^9}, {3.858807005511984*^9, 3.858807171458517*^9}, {
  3.8588072059637127`*^9, 3.8588072391437387`*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"2953131f-56c7-41d5-8f76-fb53399eb196"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       FractionBox[
        RowBox[{
         RowBox[{"PAx", "[", "t", "]"}], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"PAy", "[", "t", "]"}]}]}], 
        SqrtBox["2"]]},
      {
       RowBox[{"PAz", "[", "t", "]"}]},
      {
       RowBox[{"-", 
        FractionBox[
         RowBox[{
          RowBox[{"PAx", "[", "t", "]"}], "+", 
          RowBox[{"\[ImaginaryI]", " ", 
           RowBox[{"PAy", "[", "t", "]"}]}]}], 
         SqrtBox["2"]]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.85880674463179*^9, 3.858806769123145*^9}, {
   3.8588068161505537`*^9, 3.858806832754648*^9}, 3.8588069086561623`*^9, {
   3.8588070771437807`*^9, 3.858807127431591*^9}, {3.858807159279035*^9, 
   3.85880717238638*^9}, {3.858807226648044*^9, 3.858807240259282*^9}, 
   3.8588074044570932`*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"9de54ae9-533e-4ca2-888c-2d41b35e9489"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"PAx", "[", "t", "]"}]},
      {
       RowBox[{"PAy", "[", "t", "]"}]},
      {
       RowBox[{"PAz", "[", "t", "]"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.85880674463179*^9, 3.858806769123145*^9}, {
   3.8588068161505537`*^9, 3.858806832754648*^9}, 3.8588069086561623`*^9, {
   3.8588070771437807`*^9, 3.858807127431591*^9}, {3.858807159279035*^9, 
   3.85880717238638*^9}, {3.858807226648044*^9, 3.858807240259282*^9}, 
   3.858807404461007*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"5cea347c-08b1-40d5-959f-37a58e114e96"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"\[Gamma]", ",", "\[Theta]", ",", "\[Phi]"}], "]"}]], "Input",
 CellChangeTimes->{{3.8587997173776093`*^9, 3.858799726718998*^9}},
 CellLabel->"In[20]:=",ExpressionUUID->"f014d32d-3baa-4cd1-a557-77dfc9fbfc49"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"U", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"WignerD", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "/", "2"}], ",", "m1", ",", "m2"}], "}"}], ",", "\[Phi]",
       ",", "\[Theta]", ",", "\[Gamma]"}], " ", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"m1", ",", 
      RowBox[{
       RowBox[{"-", "1"}], "/", "2"}], ",", 
      RowBox[{"1", "/", "2"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"m2", ",", 
      RowBox[{
       RowBox[{"-", "1"}], "/", "2"}], ",", 
      RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"WR", "[", 
   RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], " ", "]"}],
   "  ", "//", "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "-", "%%"}], " ", "//", "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.8587994510414143`*^9, 3.858799506890665*^9}, {
   3.8587995421580677`*^9, 3.858799645618013*^9}, 3.858799839566476*^9, {
   3.858799920121422*^9, 3.858799975840377*^9}, 3.858800355263476*^9},
 CellLabel->"In[21]:=",ExpressionUUID->"5aa368bc-ab92-48ab-9388-541f9cbb00b3"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"\[ImaginaryI]", " ", "\[Gamma]"}], "2"]}], "-", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}], "2"]}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}], 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          FractionBox[
           RowBox[{"\[ImaginaryI]", " ", "\[Gamma]"}], "2"], "-", 
          FractionBox[
           RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}], "2"]}]]}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"\[ImaginaryI]", " ", "\[Gamma]"}], "2"]}], "+", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}], "2"]}]], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "\[Gamma]"}], "2"], "+", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}], "2"]}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8587995129633923`*^9, {3.858799586387164*^9, 3.858799649227647*^9}, 
   3.858799731114684*^9, {3.858799833755279*^9, 3.8587998408194923`*^9}, {
   3.8587999295712633`*^9, 3.858799977229409*^9}, 3.858801952416943*^9, 
   3.858802147627936*^9, 3.8588036139712963`*^9, 3.858807404483032*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"d4790d56-04df-4ded-89d7-204237a8561e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", "2"]}], " ", "\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Gamma]", "+", "\[Phi]"}], ")"}]}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}], 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
          RowBox[{"(", 
           RowBox[{"\[Gamma]", "-", "\[Phi]"}], ")"}]}]]}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", "2"]}], " ", "\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Gamma]", "-", "\[Phi]"}], ")"}]}]], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Gamma]", "+", "\[Phi]"}], ")"}]}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8587995129633923`*^9, {3.858799586387164*^9, 3.858799649227647*^9}, 
   3.858799731114684*^9, {3.858799833755279*^9, 3.8587998408194923`*^9}, {
   3.8587999295712633`*^9, 3.858799977229409*^9}, 3.858801952416943*^9, 
   3.858802147627936*^9, 3.8588036139712963`*^9, 3.8588074045921392`*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"5cd89901-12b2-4eae-a8e4-c8671af3055e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8587995129633923`*^9, {3.858799586387164*^9, 3.858799649227647*^9}, 
   3.858799731114684*^9, {3.858799833755279*^9, 3.8587998408194923`*^9}, {
   3.8587999295712633`*^9, 3.858799977229409*^9}, 3.858801952416943*^9, 
   3.858802147627936*^9, 3.8588036139712963`*^9, 3.858807404596018*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"b552b60f-c31e-44d2-9605-600f29dac502"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"WR1", "[", 
   RowBox[{"\[Phi]_", ",", " ", "\[Theta]_", " ", ",", "\[Gamma]_"}], "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"WignerD", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "m1", ",", "m2"}], "}"}], ",", "\[Phi]", ",", 
      "\[Theta]", ",", "\[Gamma]"}], " ", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"m1", ",", 
      RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"m2", ",", 
      RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"WR1", "[", 
   RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], " ", "]"}],
   " ", "//", "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.8587999972032557`*^9, 3.858800022313552*^9}, {
  3.858800206456604*^9, 3.8588003093287363`*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"9e86a959-a608-4c7f-9ceb-7cfe69f87440"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", 
         RowBox[{"(", 
          RowBox[{"\[Gamma]", "+", "\[Phi]"}], ")"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ")"}]}], 
      RowBox[{"-", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", 
         RowBox[{"Sin", "[", "\[Theta]", "]"}]}], 
        SqrtBox["2"]]}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Gamma]", "-", "\[Phi]"}], ")"}]}]], " ", 
       SuperscriptBox[
        RowBox[{"Sin", "[", 
         FractionBox["\[Theta]", "2"], "]"}], "2"]}]},
     {
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Gamma]"}]], " ", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}]}], 
       SqrtBox["2"]], 
      RowBox[{"Cos", "[", "\[Theta]", "]"}], 
      RowBox[{"-", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"\[ImaginaryI]", " ", "\[Gamma]"}]], " ", 
         RowBox[{"Sin", "[", "\[Theta]", "]"}]}], 
        SqrtBox["2"]]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", 
         RowBox[{"(", 
          RowBox[{"\[Gamma]", "-", "\[Phi]"}], ")"}]}]], " ", 
       SuperscriptBox[
        RowBox[{"Sin", "[", 
         FractionBox["\[Theta]", "2"], "]"}], "2"]}], 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}]}], 
       SqrtBox["2"]], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Gamma]", "+", "\[Phi]"}], ")"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ")"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858800304235703*^9, 3.858800310590088*^9}, 
   3.8588019524428263`*^9, 3.858802147654262*^9, 3.85880361448461*^9, 
   3.8588074048322763`*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"b174a34a-039b-44dd-bbe5-94ea0e42be4b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"i", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"WR", "[", 
   RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", 
    RowBox[{"-", "\[Phi]"}]}], "]"}], ".", 
  RowBox[{"V", "[", 
   RowBox[{"i", "-", "2"}], "]"}], ".", 
  RowBox[{"WRA", "[", 
   RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", 
    RowBox[{"-", "\[Phi]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Sum", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"WR1", "[", 
      RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", 
       RowBox[{"-", "\[Phi]"}]}], " ", "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"i", ",", "j"}], "]"}], "]"}], " ", 
    RowBox[{"V", "[", 
     RowBox[{"j", "-", "2"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "-", "%%"}], " ", "//", "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.85879910188025*^9, 3.858799124143991*^9}, {
   3.8588003895756683`*^9, 3.858800395605441*^9}, {3.858800451260274*^9, 
   3.858800521303627*^9}, {3.858800760155733*^9, 3.858800767097126*^9}, {
   3.8588008299749413`*^9, 3.858800834508243*^9}, 3.85880090014177*^9, {
   3.858800935243948*^9, 3.8588009359392757`*^9}, {3.858801020001796*^9, 
   3.8588010393511667`*^9}, {3.858801096985649*^9, 3.858801120555107*^9}, {
   3.858801151740879*^9, 3.85880121920665*^9}, {3.8588012572445602`*^9, 
   3.858801305868622*^9}, {3.858801442073245*^9, 3.8588015065025463`*^9}, {
   3.858801546003346*^9, 3.858801560469635*^9}, {3.8588017361524687`*^9, 
   3.858801738435563*^9}, {3.858801819797098*^9, 3.858801831249084*^9}, {
   3.858802351078291*^9, 3.858802357985161*^9}, {3.85880240135131*^9, 
   3.858802404669178*^9}, {3.858802500297476*^9, 3.858802514215743*^9}, {
   3.858802583705626*^9, 3.8588026209653387`*^9}, 3.858803189788899*^9, {
   3.858803514750783*^9, 3.858803579234517*^9}, {3.858803638274209*^9, 
   3.8588036947261066`*^9}, {3.858803807064271*^9, 3.8588038394069977`*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"f81dcd2e-9867-4b9e-a90e-760d919c6faf"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", 
        SqrtBox["2"]}], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}], 
      RowBox[{
       RowBox[{"-", 
        SqrtBox["2"]}], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       SuperscriptBox[
        RowBox[{"Sin", "[", 
         FractionBox["\[Theta]", "2"], "]"}], "2"]}]},
     {
      RowBox[{
       SqrtBox["2"], " ", 
       SuperscriptBox[
        RowBox[{"Cos", "[", 
         FractionBox["\[Theta]", "2"], "]"}], "2"]}], 
      RowBox[{
       SqrtBox["2"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858802603393498*^9, 3.8588026223554163`*^9}, 
   3.8588032455570498`*^9, 3.8588033535134783`*^9, {3.858803520075966*^9, 
   3.85880358061232*^9}, 3.858803614497662*^9, {3.858803648674357*^9, 
   3.858803695620899*^9}, {3.858803811418158*^9, 3.858803841391407*^9}, 
   3.858807404843061*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"bfd66a7d-34ba-4885-a88a-62d66939fe42"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", 
        SqrtBox["2"]}], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}], 
      RowBox[{
       RowBox[{"-", 
        SqrtBox["2"]}], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       SuperscriptBox[
        RowBox[{"Sin", "[", 
         FractionBox["\[Theta]", "2"], "]"}], "2"]}]},
     {
      RowBox[{
       SqrtBox["2"], " ", 
       SuperscriptBox[
        RowBox[{"Cos", "[", 
         FractionBox["\[Theta]", "2"], "]"}], "2"]}], 
      RowBox[{
       SqrtBox["2"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858802603393498*^9, 3.8588026223554163`*^9}, 
   3.8588032455570498`*^9, 3.8588033535134783`*^9, {3.858803520075966*^9, 
   3.85880358061232*^9}, 3.858803614497662*^9, {3.858803648674357*^9, 
   3.858803695620899*^9}, {3.858803811418158*^9, 3.858803841391407*^9}, 
   3.8588074048466253`*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"b9856866-adbf-4190-96f4-a7c4d170dd7c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858802603393498*^9, 3.8588026223554163`*^9}, 
   3.8588032455570498`*^9, 3.8588033535134783`*^9, {3.858803520075966*^9, 
   3.85880358061232*^9}, 3.858803614497662*^9, {3.858803648674357*^9, 
   3.858803695620899*^9}, {3.858803811418158*^9, 3.858803841391407*^9}, 
   3.858807404849719*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"5580c5f3-6eb9-4a97-babd-7055c0bd6362"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"i", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"WR", "[", 
   RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", 
    RowBox[{"-", "\[Phi]"}]}], "]"}], ".", 
  RowBox[{"V", "[", 
   RowBox[{"i", "-", "2"}], "]"}], ".", 
  RowBox[{"WRA", "[", 
   RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", 
    RowBox[{"-", "\[Phi]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Sum", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"WR1", "[", 
      RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", 
       RowBox[{"-", "\[Phi]"}]}], " ", "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"i", ",", "j"}], "]"}], "]"}], " ", 
    RowBox[{"V", "[", 
     RowBox[{"j", "-", "2"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "-", "%%"}], " ", "//", "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.858801853186791*^9, 3.858801853602977*^9}, {
   3.8588020038606453`*^9, 3.8588020044228287`*^9}, {3.8588030801563063`*^9, 
   3.8588030876810617`*^9}, 3.858803121883546*^9, {3.8588034429292297`*^9, 
   3.8588034773955183`*^9}, {3.8588047582402153`*^9, 3.8588047701324873`*^9}},
 
 CellLabel->"In[30]:=",ExpressionUUID->"8255bbb3-16cc-4595-a40e-abb3485e7ca4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SuperscriptBox[
        RowBox[{"Cos", "[", 
         FractionBox["\[Theta]", "2"], "]"}], "2"], "-", 
       SuperscriptBox[
        RowBox[{"Sin", "[", 
         FractionBox["\[Theta]", "2"], "]"}], "2"]}], 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}]},
     {
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}], 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox[
         RowBox[{"Cos", "[", 
          FractionBox["\[Theta]", "2"], "]"}], "2"]}], "+", 
       SuperscriptBox[
        RowBox[{"Sin", "[", 
         FractionBox["\[Theta]", "2"], "]"}], "2"]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858802005348256*^9, 3.858802147690275*^9, 3.858803089744515*^9, 
   3.858803251225432*^9, 3.8588033956304073`*^9, {3.858803444226095*^9, 
   3.858803478964718*^9}, 3.858804771281289*^9, 3.8588074048657827`*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"8d2653d6-cdc5-4a98-a327-2d1071e42f34"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "\[Theta]", "]"}], 
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}]},
     {
      RowBox[{"2", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}], 
      RowBox[{"-", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858802005348256*^9, 3.858802147690275*^9, 3.858803089744515*^9, 
   3.858803251225432*^9, 3.8588033956304073`*^9, {3.858803444226095*^9, 
   3.858803478964718*^9}, 3.858804771281289*^9, 3.858807404869336*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"374e689e-65a2-463e-b596-3002bf0efbac"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858802005348256*^9, 3.858802147690275*^9, 3.858803089744515*^9, 
   3.858803251225432*^9, 3.8588033956304073`*^9, {3.858803444226095*^9, 
   3.858803478964718*^9}, 3.858804771281289*^9, 3.8588074048722153`*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"17645423-81c5-4090-9d91-4969d9cbb440"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"i", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"WR", "[", 
   RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", 
    RowBox[{"-", "\[Phi]"}]}], "]"}], ".", 
  RowBox[{"V", "[", 
   RowBox[{"i", "-", "2"}], "]"}], ".", 
  RowBox[{"WRA", "[", 
   RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", 
    RowBox[{"-", "\[Phi]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Sum", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"WR1", "[", 
      RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", 
       RowBox[{"-", "\[Phi]"}]}], " ", "]"}], "[", 
     RowBox[{"[", 
      RowBox[{"i", ",", "j"}], "]"}], "]"}], " ", 
    RowBox[{"V", "[", 
     RowBox[{"j", "-", "2"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "-", "%%"}], " ", "//", "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.858806061809372*^9, 3.8588060623263683`*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"d92ecc94-6805-40a3-a73d-346704001f4d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SqrtBox["2"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}], 
      RowBox[{
       RowBox[{"-", 
        SqrtBox["2"]}], " ", 
       SuperscriptBox[
        RowBox[{"Cos", "[", 
         FractionBox["\[Theta]", "2"], "]"}], "2"]}]},
     {
      RowBox[{
       SqrtBox["2"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       SuperscriptBox[
        RowBox[{"Sin", "[", 
         FractionBox["\[Theta]", "2"], "]"}], "2"]}], 
      RowBox[{
       RowBox[{"-", 
        SqrtBox["2"]}], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858806063141096*^9, 3.8588074048816566`*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"668971b7-dbe0-4db8-b6e1-2fe94115c692"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SqrtBox["2"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}], 
      RowBox[{
       RowBox[{"-", 
        SqrtBox["2"]}], " ", 
       SuperscriptBox[
        RowBox[{"Cos", "[", 
         FractionBox["\[Theta]", "2"], "]"}], "2"]}]},
     {
      RowBox[{
       SqrtBox["2"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       SuperscriptBox[
        RowBox[{"Sin", "[", 
         FractionBox["\[Theta]", "2"], "]"}], "2"]}], 
      RowBox[{
       RowBox[{"-", 
        SqrtBox["2"]}], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858806063141096*^9, 3.8588074048856697`*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"9deca5e1-a8b6-4785-932b-a4d536c15a22"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858806063141096*^9, 3.858807404889249*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"2f7fb5ce-4fc0-42d5-bbdd-199714701438"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Rho", "[", "t", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Pvec", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Tr", "[", 
       RowBox[{
        RowBox[{"V", "[", 
         RowBox[{"-", "1"}], "]"}], ".", 
        RowBox[{"Rho", "[", "t", "]"}]}], "]"}], ",", 
      RowBox[{"Tr", "[", 
       RowBox[{
        RowBox[{"V", "[", "0", "]"}], ".", 
        RowBox[{"Rho", "[", "t", "]"}]}], "]"}], ",", 
      RowBox[{"Tr", "[", 
       RowBox[{
        RowBox[{"V", "[", "1", "]"}], ".", 
        RowBox[{"Rho", "[", "t", "]"}]}], "]"}]}], "  ", "}"}], "  ", "//", 
    "FullSimplify"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PvecC", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"Tr", "[", 
        RowBox[{
         RowBox[{"V", "[", 
          RowBox[{"+", "1"}], "]"}], ".", 
         RowBox[{"Rho", "[", "t", "]"}]}], "]"}]}], ",", 
      RowBox[{"Tr", "[", 
       RowBox[{
        RowBox[{"V", "[", "0", "]"}], ".", 
        RowBox[{"Rho", "[", "t", "]"}]}], "]"}], ",", 
      RowBox[{"-", 
       RowBox[{"Tr", "[", 
        RowBox[{
         RowBox[{"V", "[", 
          RowBox[{"-", "1"}], "]"}], ".", 
         RowBox[{"Rho", "[", "t", "]"}]}], "]"}]}]}], "  ", "}"}], "  ", "//",
     "FullSimplify"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Pvec", ".", "PvecC"}], " ", "//", "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.858801853186791*^9, 3.858801853602977*^9}, {
   3.8588031322223473`*^9, 3.8588031738656197`*^9}, {3.858803232333744*^9, 
   3.858803233325624*^9}, 3.858803860423661*^9, {3.858804429565405*^9, 
   3.858804442379027*^9}, {3.858804553541403*^9, 3.8588046223690987`*^9}, {
   3.858806148401986*^9, 3.8588062155440273`*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"044fc0c8-c1c9-4582-ab85-824a168b4e5b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"PAz", "[", "t", "]"}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"PAx", "[", "t", "]"}], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"PAy", "[", "t", "]"}]}]}], ")"}]}]},
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"PAx", "[", "t", "]"}], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"PAy", "[", "t", "]"}]}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"PAz", "[", "t", "]"}]}], ")"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8587991751308603`*^9, 3.8587992913356867`*^9, 3.8588003976436243`*^9, 
   3.858800800895269*^9, 3.8588009473494883`*^9, 3.8588012275882196`*^9, 
   3.858801265100573*^9, 3.858801307413555*^9, {3.858801468401483*^9, 
   3.858801507993566*^9}, {3.858801547301673*^9, 3.858801561934268*^9}, 
   3.8588017638175507`*^9, {3.858801826987979*^9, 3.8588018545626717`*^9}, 
   3.85880195247511*^9, 3.858801984805603*^9, 3.8588021477034073`*^9, 
   3.858803235960404*^9, 3.858803861682995*^9, 3.8588044361820917`*^9, {
   3.858804550696978*^9, 3.85880457575135*^9}, {3.858804609773449*^9, 
   3.858804623217557*^9}, {3.858806186298688*^9, 3.8588062195088177`*^9}, 
   3.858807404906098*^9},
 CellLabel->"Out[38]=",ExpressionUUID->"af7322c3-067c-44b0-b05d-6298405ae77b"],

Cell[BoxData[
 TagBox[
  RowBox[{
   SuperscriptBox[
    RowBox[{"PAx", "[", "t", "]"}], "2"], "+", 
   SuperscriptBox[
    RowBox[{"PAy", "[", "t", "]"}], "2"], "+", 
   SuperscriptBox[
    RowBox[{"PAz", "[", "t", "]"}], "2"]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8587991751308603`*^9, 3.8587992913356867`*^9, 3.8588003976436243`*^9, 
   3.858800800895269*^9, 3.8588009473494883`*^9, 3.8588012275882196`*^9, 
   3.858801265100573*^9, 3.858801307413555*^9, {3.858801468401483*^9, 
   3.858801507993566*^9}, {3.858801547301673*^9, 3.858801561934268*^9}, 
   3.8588017638175507`*^9, {3.858801826987979*^9, 3.8588018545626717`*^9}, 
   3.85880195247511*^9, 3.858801984805603*^9, 3.8588021477034073`*^9, 
   3.858803235960404*^9, 3.858803861682995*^9, 3.8588044361820917`*^9, {
   3.858804550696978*^9, 3.85880457575135*^9}, {3.858804609773449*^9, 
   3.858804623217557*^9}, {3.858806186298688*^9, 3.8588062195088177`*^9}, 
   3.8588074049140997`*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"a582d5eb-b076-467b-88ed-0c46ad006191"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"RhoR", "[", "t", "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"WR", "[", 
      RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", 
       RowBox[{"-", "\[Phi]"}]}], "]"}], ".", 
     RowBox[{"RhoT", "[", "t", "]"}], ".", 
     RowBox[{"WRA", "[", 
      RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", 
       RowBox[{"-", "\[Phi]"}]}], "]"}]}], " ", "//", "FullSimplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PRvec", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Tr", "[", 
       RowBox[{
        RowBox[{"V", "[", 
         RowBox[{"-", "1"}], "]"}], ".", 
        RowBox[{"RhoR", "[", "t", "]"}]}], "]"}], ",", 
      RowBox[{"Tr", "[", 
       RowBox[{
        RowBox[{"V", "[", "0", "]"}], ".", 
        RowBox[{"RhoR", "[", "t", "]"}]}], "]"}], ",", 
      RowBox[{"Tr", "[", 
       RowBox[{
        RowBox[{"V", "[", "1", "]"}], ".", 
        RowBox[{"RhoR", "[", "t", "]"}]}], "]"}]}], "  ", "}"}], "  ", "//", 
    "FullSimplify"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PRvecC", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"Tr", "[", 
        RowBox[{
         RowBox[{"V", "[", 
          RowBox[{"+", "1"}], "]"}], ".", 
         RowBox[{"RhoR", "[", "t", "]"}]}], "]"}]}], ",", 
      RowBox[{"Tr", "[", 
       RowBox[{
        RowBox[{"V", "[", "0", "]"}], ".", 
        RowBox[{"RhoR", "[", "t", "]"}]}], "]"}], ",", 
      RowBox[{"-", 
       RowBox[{"Tr", "[", 
        RowBox[{
         RowBox[{"V", "[", 
          RowBox[{"-", "1"}], "]"}], ".", 
         RowBox[{"RhoR", "[", "t", "]"}]}], "]"}]}]}], "  ", "}"}], "  ", "//",
     "FullSimplify"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PRvec", ".", "PRvecC"}], "  ", "//", 
  "FullSimplify"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.85880465974288*^9, 3.858804703370821*^9}, {
   3.858804782754801*^9, 3.8588048064901943`*^9}, {3.8588048403431797`*^9, 
   3.85880496407085*^9}, {3.8588050589378767`*^9, 3.858805109681923*^9}, {
   3.8588062687116737`*^9, 3.858806293371642*^9}, {3.85880633982412*^9, 
   3.8588063764366407`*^9}, 3.858807340020028*^9},
 CellLabel->"In[70]:=",ExpressionUUID->"c62d9cff-9d18-47a2-b7a5-366e9b56209f"],

Cell[BoxData[
 TagBox[
  RowBox[{
   SuperscriptBox[
    RowBox[{"PAx", "[", "t", "]"}], "2"], "+", 
   SuperscriptBox[
    RowBox[{"PAy", "[", "t", "]"}], "2"], "+", 
   SuperscriptBox[
    RowBox[{"PAz", "[", "t", "]"}], "2"]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858808158337175*^9},
 CellLabel->"Out[73]=",ExpressionUUID->"0df37073-6f3a-43af-af16-6b23808e1689"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"RhoR", "[", "t", "]"}], " ", "/.", " ", 
     RowBox[{
      RowBox[{"PAx", "[", "t", "]"}], "->", 
      RowBox[{"0", " ", "P", "  ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
       RowBox[{"Cos", "[", "\[Phi]", "]"}]}]}]}], "  ", "/.", " ", 
    RowBox[{
     RowBox[{"PAy", "[", "t", "]"}], "->", 
     RowBox[{"0", " ", "P", "  ", 
      RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
      RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}]}], "  ", "/.", " ", 
   RowBox[{
    RowBox[{"PAz", "[", "t", "]"}], "->", " ", "P"}]}], "  ", "//", 
  "FullSimplify"}]], "Input",
 CellChangeTimes->{{3.858808099371189*^9, 3.858808126917025*^9}},
 CellLabel->"In[69]:=",ExpressionUUID->"30149cac-a3c8-478d-8468-2f333a4ae84c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"P", " ", 
          RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", "P", " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}]},
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", "P", " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"P", " ", 
          RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}], ")"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858808101720008*^9, 3.858808129048368*^9}},
 CellLabel->"Out[69]=",ExpressionUUID->"d6899f3e-e4a6-4b88-9892-6cad7a01d4b7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"s", "[", "1", "]"}], ".", 
       RowBox[{"RhoR", "[", "t", "]"}]}], "]"}], "/.", " ", 
     RowBox[{
      RowBox[{"PAx", "[", "t", "]"}], "->", 
      RowBox[{"0", " ", "P", "  ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
       RowBox[{"Cos", "[", "\[Phi]", "]"}]}]}]}], "  ", "/.", " ", 
    RowBox[{
     RowBox[{"PAy", "[", "t", "]"}], "->", 
     RowBox[{"0", " ", "P", "  ", 
      RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
      RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}]}], "  ", "/.", " ", 
   RowBox[{
    RowBox[{"PAz", "[", "t", "]"}], "->", " ", "P"}]}], "  ", "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"s", "[", "2", "]"}], ".", 
       RowBox[{"RhoR", "[", "t", "]"}]}], "]"}], "/.", " ", 
     RowBox[{
      RowBox[{"PAx", "[", "t", "]"}], "->", 
      RowBox[{"0", " ", "P", "  ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
       RowBox[{"Cos", "[", "\[Phi]", "]"}]}]}]}], "  ", "/.", " ", 
    RowBox[{
     RowBox[{"PAy", "[", "t", "]"}], "->", 
     RowBox[{"0", " ", "P", "  ", 
      RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
      RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}]}], "  ", "/.", " ", 
   RowBox[{
    RowBox[{"PAz", "[", "t", "]"}], "->", " ", "P"}]}], "  ", "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"s", "[", "3", "]"}], ".", 
       RowBox[{"RhoR", "[", "t", "]"}]}], "]"}], "/.", " ", 
     RowBox[{
      RowBox[{"PAx", "[", "t", "]"}], "->", 
      RowBox[{"0", " ", "P", "  ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
       RowBox[{"Cos", "[", "\[Phi]", "]"}]}]}]}], "  ", "/.", " ", 
    RowBox[{
     RowBox[{"PAy", "[", "t", "]"}], "->", 
     RowBox[{"0", " ", "P", "  ", 
      RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
      RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}]}], "  ", "/.", " ", 
   RowBox[{
    RowBox[{"PAz", "[", "t", "]"}], "->", " ", "P"}]}], "  ", "//", 
  "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.858807897028078*^9, 3.858807932655797*^9}},
 CellLabel->"In[65]:=",ExpressionUUID->"44d35469-582b-455c-a3a4-33d77578d5cb"],

Cell[BoxData[
 TagBox[
  RowBox[{"P", " ", 
   RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
   RowBox[{"Sin", "[", "\[Theta]", "]"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858807862707839*^9, 3.858807933835782*^9},
 CellLabel->"Out[65]=",ExpressionUUID->"0a9e087e-60b5-444f-af7a-097b16fdb1b3"],

Cell[BoxData[
 TagBox[
  RowBox[{"P", " ", 
   RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
   RowBox[{"Sin", "[", "\[Phi]", "]"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858807862707839*^9, 3.858807933871743*^9},
 CellLabel->"Out[66]=",ExpressionUUID->"9e6c8da8-5d55-410c-96b4-0316fca5948b"],

Cell[BoxData[
 TagBox[
  RowBox[{"P", " ", 
   RowBox[{"Cos", "[", "\[Theta]", "]"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858807862707839*^9, 3.858807933875183*^9},
 CellLabel->"Out[67]=",ExpressionUUID->"906c5ab9-e303-4037-9ae6-7bdfb5a91a89"],

Cell[BoxData[
 TagBox[
  RowBox[{"P", " ", 
   RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
   RowBox[{"Sin", "[", 
    RowBox[{"2", " ", "\[Theta]"}], "]"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858807360337057*^9, 3.8588074108850718`*^9, {3.8588076810677547`*^9, 
   3.8588077031962433`*^9}},
 CellLabel->"Out[61]=",ExpressionUUID->"3fbe8df1-fd54-4a57-a41f-691e84ff1bde"],

Cell[BoxData[
 TagBox[
  RowBox[{"P", " ", 
   RowBox[{"Sin", "[", 
    RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
   RowBox[{"Sin", "[", "\[Phi]", "]"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858807360337057*^9, 3.8588074108850718`*^9, {3.8588076810677547`*^9, 
   3.85880770325607*^9}},
 CellLabel->"Out[62]=",ExpressionUUID->"cf5391a8-ca55-4a76-a6e9-3dd21c388bc4"],

Cell[BoxData[
 TagBox[
  RowBox[{"P", " ", 
   RowBox[{"Cos", "[", 
    RowBox[{"2", " ", "\[Theta]"}], "]"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858807360337057*^9, 3.8588074108850718`*^9, {3.8588076810677547`*^9, 
   3.858807703271607*^9}},
 CellLabel->"Out[63]=",ExpressionUUID->"9072dc98-e29d-4bea-9372-9ab34253012b"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"Clear", "[", 
  RowBox[{"RhoR2", ",", "PR2vec"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"RhoR2", "[", "t", "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"WRA", "[", 
      RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", 
       RowBox[{"-", "\[Phi]"}]}], "]"}], ".", 
     RowBox[{"RhoT", "[", "t", "]"}], ".", 
     RowBox[{"WR", "[", 
      RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", 
       RowBox[{"-", "\[Phi]"}]}], "]"}]}], " ", "//", "FullSimplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"PR2vec", "=", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Tr", "[", 
         RowBox[{
          RowBox[{"V", "[", 
           RowBox[{"-", "1"}], "]"}], ".", 
          RowBox[{"RhoR2", "[", "t", "]"}]}], "]"}], ",", 
        RowBox[{"Tr", "[", 
         RowBox[{
          RowBox[{"V", "[", "0", "]"}], ".", 
          RowBox[{"RhoR2", "[", "t", "]"}]}], "]"}], ",", 
        RowBox[{"Tr", "[", 
         RowBox[{
          RowBox[{"V", "[", "1", "]"}], ".", 
          RowBox[{"RhoR2", "[", "t", "]"}]}], "]"}]}], "  ", "}"}], "  ", "//", 
      RowBox[{"FullSimplify", "\[IndentingNewLine]", 
       RowBox[{"PR2vecC", "=", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"Tr", "[", 
             RowBox[{
              RowBox[{"V", "[", 
               RowBox[{"+", "1"}], "]"}], ".", 
              RowBox[{"RhoR2", "[", "t", "]"}]}], "]"}]}], ",", 
           RowBox[{"Tr", "[", 
            RowBox[{
             RowBox[{"V", "[", "0", "]"}], ".", 
             RowBox[{"RhoR2", "[", "t", "]"}]}], "]"}], ",", 
           RowBox[{"-", 
            RowBox[{"Tr", "[", 
             RowBox[{
              RowBox[{"V", "[", 
               RowBox[{"-", "1"}], "]"}], ".", 
              RowBox[{"RhoR2", "[", "t", "]"}]}], "]"}]}]}], "  ", "}"}], 
         "  ", "//", "FullSimplify"}]}]}]}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"PR2vec", ".", "PR2vecC"}], "  ", "//", "FullSimplify"}]}], " ", 
   "*)"}]}]}], "Input",
 CellChangeTimes->{
  3.858805143819489*^9, 3.858805444988866*^9, {3.858806313385779*^9, 
   3.858806328179729*^9}, {3.858808219877297*^9, 3.8588082694989557`*^9}, {
   3.8588084410631723`*^9, 3.858808466960575*^9}, 3.858808513232801*^9, {
   3.858808583759626*^9, 3.8588085985534573`*^9}, {3.8588086298067513`*^9, 
   3.8588086522170877`*^9}, {3.8588086894254*^9, 3.858808705970724*^9}, {
   3.8588090657288723`*^9, 3.858809076044293*^9}},
 CellLabel->
  "In[125]:=",ExpressionUUID->"5e7688d1-18a0-4f5d-9cbe-0119f9ae5f53"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PR2vec", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Tr", "[", 
         RowBox[{
          RowBox[{"s", "[", "1", "]"}], ".", 
          RowBox[{"RhoR2", "[", "t", "]"}]}], "]"}], ",", 
        RowBox[{"Tr", "[", 
         RowBox[{
          RowBox[{"s", "[", "2", "]"}], ".", 
          RowBox[{"RhoR2", "[", "t", "]"}]}], "]"}], ",", 
        RowBox[{"Tr", "[", 
         RowBox[{
          RowBox[{"s", "[", "3", "]"}], ".", 
          RowBox[{"RhoR2", "[", "t", "]"}]}], "]"}]}], "  ", "}"}], "  ", "/.",
       " ", 
      RowBox[{
       RowBox[{"PAx", "[", "t", "]"}], "->", " ", 
       RowBox[{"P", "  ", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}]}]}], "  ", "/.", " ", 
     RowBox[{
      RowBox[{"PAy", "[", "t", "]"}], "->", " ", 
      RowBox[{"P", "  ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
       RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}]}], "  ", "/.", " ", 
    RowBox[{
     RowBox[{"PAz", "[", "t", "]"}], "->", " ", 
     RowBox[{"P", " ", 
      RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}]}], " ", "//", 
   "FullSimplify"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"PR2vec", "[", 
      RowBox[{"[", "1", "]"}], "]"}], " ", "/.", " ", 
     RowBox[{
      RowBox[{"PAx", "[", "t", "]"}], "->", " ", 
      RowBox[{"P", "  ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
       RowBox[{"Cos", "[", "\[Phi]", "]"}]}]}]}], "  ", "/.", " ", 
    RowBox[{
     RowBox[{"PAy", "[", "t", "]"}], "->", " ", 
     RowBox[{"P", "  ", 
      RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
      RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}]}], "  ", "/.", " ", 
   RowBox[{
    RowBox[{"PAz", "[", "t", "]"}], "->", " ", 
    RowBox[{"P", " ", 
     RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}]}], " ", "//", 
  "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.858808751927484*^9, 3.85880882824784*^9}, 
   3.858808862385035*^9, {3.8588089023700323`*^9, 3.858808961207172*^9}, {
   3.85880917804338*^9, 3.858809204277687*^9}},
 CellLabel->
  "In[131]:=",ExpressionUUID->"86fcea39-5b93-4740-ac12-0ddaea7decdf"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"P"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858804808678669*^9, {3.858804845425551*^9, 3.85880496825593*^9}, 
   3.858805060726873*^9, {3.858805093352566*^9, 3.858805110860342*^9}, 
   3.858805146181382*^9, 3.858806414965629*^9, 3.858807470893955*^9, 
   3.8588082762435703`*^9, 3.858808472967746*^9, 3.858808514935824*^9, 
   3.858808601248226*^9, 3.858808653661249*^9, 3.858808708652089*^9, {
   3.85880875389917*^9, 3.8588088298797626`*^9}, 3.858808865265325*^9, {
   3.8588089290211477`*^9, 3.858808952093789*^9}, 3.8588090988982067`*^9, {
   3.858809179594591*^9, 3.858809205587566*^9}},
 CellLabel->
  "Out[131]=",ExpressionUUID->"52fae3a0-cfc7-4684-804c-e20e8e57582c"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858804808678669*^9, {3.858804845425551*^9, 3.85880496825593*^9}, 
   3.858805060726873*^9, {3.858805093352566*^9, 3.858805110860342*^9}, 
   3.858805146181382*^9, 3.858806414965629*^9, 3.858807470893955*^9, 
   3.8588082762435703`*^9, 3.858808472967746*^9, 3.858808514935824*^9, 
   3.858808601248226*^9, 3.858808653661249*^9, 3.858808708652089*^9, {
   3.85880875389917*^9, 3.8588088298797626`*^9}, 3.858808865265325*^9, {
   3.8588089290211477`*^9, 3.858808952093789*^9}, 3.8588090988982067`*^9, {
   3.858809179594591*^9, 3.8588092055918627`*^9}},
 CellLabel->
  "Out[132]=",ExpressionUUID->"8b856380-2bff-4a6f-acf9-d17175215ec1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"s", "[", "1", "]"}], ".", 
       RowBox[{"RhoR2", "[", "t", "]"}]}], "]"}], " ", "/.", " ", 
     RowBox[{
      RowBox[{"PAx", "[", "t", "]"}], "->", " ", 
      RowBox[{"P", "  ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
       RowBox[{"Cos", "[", "\[Phi]", "]"}]}]}]}], "  ", "/.", " ", 
    RowBox[{
     RowBox[{"PAy", "[", "t", "]"}], "->", " ", 
     RowBox[{"P", "  ", 
      RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
      RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}]}], "  ", "/.", " ", 
   RowBox[{
    RowBox[{"PAz", "[", "t", "]"}], "->", " ", 
    RowBox[{"P", " ", 
     RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}]}], " ", "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"s", "[", "2", "]"}], ".", 
       RowBox[{"RhoR2", "[", "t", "]"}]}], "]"}], "  ", "/.", " ", 
     RowBox[{
      RowBox[{"PAx", "[", "t", "]"}], "->", " ", 
      RowBox[{"P", "  ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
       RowBox[{"Cos", "[", "\[Phi]", "]"}]}]}]}], "  ", "/.", " ", 
    RowBox[{
     RowBox[{"PAy", "[", "t", "]"}], "->", " ", 
     RowBox[{"P", "  ", 
      RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
      RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}]}], "  ", "/.", " ", 
   RowBox[{
    RowBox[{"PAz", "[", "t", "]"}], "->", " ", 
    RowBox[{"P", " ", 
     RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}]}], " ", "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"s", "[", "3", "]"}], ".", 
       RowBox[{"RhoR2", "[", "t", "]"}]}], "]"}], "  ", "/.", " ", 
     RowBox[{
      RowBox[{"PAx", "[", "t", "]"}], "->", " ", 
      RowBox[{"P", "  ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
       RowBox[{"Cos", "[", "\[Phi]", "]"}]}]}]}], "  ", "/.", " ", 
    RowBox[{
     RowBox[{"PAy", "[", "t", "]"}], "->", " ", 
     RowBox[{"P", "  ", 
      RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
      RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}]}], "  ", "/.", " ", 
   RowBox[{
    RowBox[{"PAz", "[", "t", "]"}], "->", " ", 
    RowBox[{"P", " ", 
     RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}]}], " ", "//", 
  "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.858807664749653*^9, 3.858807701093574*^9}, {
  3.858807815992437*^9, 3.858807858709075*^9}, {3.85880834527871*^9, 
  3.8588083975382423`*^9}, {3.8588092373042507`*^9, 3.858809260628047*^9}},
 CellLabel->
  "In[133]:=",ExpressionUUID->"1c1e2c91-3553-4acf-9f20-5d680bd0095f"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858808373507619*^9, 3.858808399338007*^9}, 
   3.8588084779560423`*^9, 3.85880852917741*^9, 3.858808606826146*^9, 
   3.858809261755788*^9},
 CellLabel->
  "Out[133]=",ExpressionUUID->"5d2eadb6-f7b1-4d26-bb14-dc07e3203d1f"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858808373507619*^9, 3.858808399338007*^9}, 
   3.8588084779560423`*^9, 3.85880852917741*^9, 3.858808606826146*^9, 
   3.858809261759301*^9},
 CellLabel->
  "Out[134]=",ExpressionUUID->"dd83ab23-b6db-4e5e-b7b2-29905e2e5374"],

Cell[BoxData[
 TagBox["P",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858808373507619*^9, 3.858808399338007*^9}, 
   3.8588084779560423`*^9, 3.85880852917741*^9, 3.858808606826146*^9, 
   3.858809261762439*^9},
 CellLabel->
  "Out[135]=",ExpressionUUID->"a6fd8649-cfb2-4b6c-9cbd-f6a78b39e0c5"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{
   RowBox[{"===", "==="}], "=", "   ", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"switches", " ", "P", " ", "to", " ", "z"}], "-", "direction"}],
      " ", "===", "==="}], "=", 
    RowBox[{
     RowBox[{"==", 
      RowBox[{"==", 
       RowBox[{
       "===", "===", "===", "===", "===", "===", "===", "===", "==="}]}]}], 
     "="}]}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.8588065018711348`*^9, 3.858806509364614*^9}, {
  3.858809271842239*^9, 
  3.8588092866586933`*^9}},ExpressionUUID->"1c3151f4-3b8c-456a-af80-\
d32a58688d76"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.858806516578964*^9, 
  3.858806517631475*^9}},ExpressionUUID->"31acb5f8-9c9c-4464-8657-\
abfe0aded0a3"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Tr", "[", 
   RowBox[{
    RowBox[{"RhoR", "[", "t", "]"}], ".", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"WR1", "[", 
         RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", 
          RowBox[{"-", "\[Phi]"}]}], " ", "]"}], "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "j"}], "]"}], "]"}], " ", 
       RowBox[{"V", "[", 
        RowBox[{"j", "-", "2"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], "]"}]}], "]"}], "  ", "//",
   "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tr", "[", 
   RowBox[{
    RowBox[{"RhoR", "[", "t", "]"}], ".", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"WR1", "[", 
         RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", 
          RowBox[{"-", "\[Phi]"}]}], " ", "]"}], "[", 
        RowBox[{"[", 
         RowBox[{"3", ",", "j"}], "]"}], "]"}], " ", 
       RowBox[{"V", "[", 
        RowBox[{"j", "-", "2"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], "]"}]}], "]"}], "  ", "//",
   "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.858805459444302*^9, 3.858805499896559*^9}, {
  3.858805653394382*^9, 3.858805677176393*^9}, {3.858805743035541*^9, 
  3.858805753509601*^9}},
 CellLabel->
  "In[108]:=",ExpressionUUID->"d3d6bd43-431a-4b84-9475-04f72102a2b7"],

Cell[BoxData[
 TagBox[
  FractionBox[
   RowBox[{
    RowBox[{"PAx", "[", "t", "]"}], "-", 
    RowBox[{"\[ImaginaryI]", " ", 
     RowBox[{"PAy", "[", "t", "]"}]}]}], 
   SqrtBox["2"]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858805754943982*^9},
 CellLabel->
  "Out[108]=",ExpressionUUID->"bff878ae-0439-44a5-b742-7a3bac0501f2"],

Cell[BoxData[
 TagBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     RowBox[{"PAx", "[", "t", "]"}], "+", 
     RowBox[{"\[ImaginaryI]", " ", 
      RowBox[{"PAy", "[", "t", "]"}]}]}], 
    SqrtBox["2"]]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8588057549624*^9},
 CellLabel->
  "Out[109]=",ExpressionUUID->"8b311158-f09f-40e2-9e6b-a1a2acfbef3c"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  TagBox[
   RowBox[{"PAx", "[", "t", "]"}],
   Function[BoxForm`e$, 
    MatrixForm[BoxForm`e$]]], "=", " ", 
  RowBox[{"P", " ", 
   RowBox[{"Sin", "[", 
    RowBox[{"2", "\[Theta]"}], "]"}], " ", 
   RowBox[{"Cos", "[", "\[Phi]", "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  TagBox[
   RowBox[{"PAy", "[", "t", "]"}],
   Function[BoxForm`e$, 
    MatrixForm[BoxForm`e$]]], "=", " ", 
  RowBox[{"P", " ", 
   RowBox[{"Sin", "[", 
    RowBox[{"2", "\[Theta]"}], "]"}], " ", 
   RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.858805919437508*^9, 
  3.8588059774662313`*^9}},ExpressionUUID->"e74030ba-3884-43e9-a3bd-\
2f97b5a3188c"],

Cell[BoxData[{
 RowBox[{
  TagBox[
   RowBox[{
    RowBox[{"PAx", "[", "t", "]"}], "-", 
    RowBox[{"\[ImaginaryI]", " ", 
     RowBox[{"PAy", "[", "t", "]"}]}]}],
   Function[BoxForm`e$, 
    MatrixForm[BoxForm`e$]]], "=", " ", 
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{
     RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", "P", " ", 
   RowBox[{"Sin", "[", 
    RowBox[{"2", "\[Theta]"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"PAx", "[", "t", "]"}], "+", 
   RowBox[{"\[ImaginaryI]", " ", 
    RowBox[{"PAy", "[", "t", "]"}]}]}], "=", 
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", "P", "  ", 
   RowBox[{"Sin", "[", 
    RowBox[{"2", "\[Theta]"}], "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.858805715370739*^9, 3.858805732058407*^9}, {
  3.858805781885564*^9, 
  3.8588059025095043`*^9}},ExpressionUUID->"08330d62-c9f3-4659-89d0-\
db0d86062bcc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8587781865997477`*^9, 3.8587782348099833`*^9, {3.858778271738755*^9, 
   3.858778280944674*^9}, 3.858778348349915*^9, {3.858778572345058*^9, 
   3.858778624466259*^9}, {3.858778666009975*^9, 3.858778675945228*^9}, {
   3.858778738327038*^9, 3.8587787545575953`*^9}, {3.858778902320188*^9, 
   3.8587789130749063`*^9}, {3.858778978271537*^9, 3.858778984005293*^9}, 
   3.858779021792056*^9, 3.858779055932869*^9, {3.858779110071718*^9, 
   3.85877921861917*^9}, 3.858779254841848*^9, 3.858779638107201*^9, {
   3.858779680855091*^9, 3.8587796920699*^9}, 3.858799187774798*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"3948a06c-40b0-4b5e-a899-546cd17d65d7"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"WR", "[", 
     RowBox[{"\[Phi]v", ",", " ", "\[Theta]v", " ", ",", "\[Gamma]v"}], " ", 
     "]"}], ".", 
    RowBox[{"s", "[", "3", "]"}], ".", 
    RowBox[{"WRA", "[", 
     RowBox[{"\[Phi]v", ",", " ", "\[Theta]v", " ", ",", "\[Gamma]v"}], 
     "]"}]}], " ", "/.", " ", 
   RowBox[{"\[Gamma]v", "->", "0"}]}], "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sR", "[", "3", "]"}], "=", "%"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"(", "  ", 
    RowBox[{
     RowBox[{
      RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
      RowBox[{"s", "[", "3", "]"}]}], "+", 
     RowBox[{
      RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
      RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
      RowBox[{"s", "[", "1", "]"}]}], "+", 
     RowBox[{
      RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
      RowBox[{"Sin", "[", "\[Phi]v", "]"}], "  ", 
      RowBox[{"s", "[", "2", "]"}]}]}], " ", ")"}], " ", "//", 
   "FullSimplify"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"%", "-", "%%"}], "  ", "//", "FullSimplify"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"%", "==", 
  RowBox[{"ZeroMatrix", "[", "2", "]"}]}]}], "Input",
 CellChangeTimes->{{3.858779267268099*^9, 3.8587792676620693`*^9}, {
  3.858779303554346*^9, 3.8587794172667913`*^9}, {3.858779499044677*^9, 
  3.858779512645767*^9}, {3.858779658842074*^9, 3.85877966493933*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"396f1870-90e9-49b6-9924-202795a56c11"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "\[Theta]v", "]"}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]v"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]v"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], 
      RowBox[{"-", 
       RowBox[{"Cos", "[", "\[Theta]v", "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8587797971305933`*^9, 3.858799187803895*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"00ed6c5f-d562-4bc8-a1d3-62b8600d56fc"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8587797971305933`*^9, 3.858799187824201*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"8521a65c-9ced-4634-996e-e535c5b894af"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"sR", "[", "1", "]"}], " ", "Pnx"}], "+", 
   RowBox[{
    RowBox[{"sR", "[", "2", "]"}], " ", "Pny"}], "+", 
   RowBox[{
    RowBox[{"sR", "[", "3", "]"}], " ", "Pnz"}]}], " ", "//", 
  "FullSimplify"}]], "Input",
 CellChangeTimes->{{3.858779713405573*^9, 3.858779770634185*^9}, {
  3.858779808480315*^9, 3.858779816703848*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"9485432c-3065-46f5-97e5-e823cc0da0da"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"Pnz", " ", 
        RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], "-", 
       RowBox[{"Pnx", " ", 
        RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]v"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "\[ImaginaryI]"}], " ", "Pny"}], "+", 
         RowBox[{"Pnx", " ", 
          RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], "+", 
         RowBox[{"Pnz", " ", 
          RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}], ")"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]v"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[ImaginaryI]", " ", "Pny"}], "+", 
         RowBox[{"Pnx", " ", 
          RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], "+", 
         RowBox[{"Pnz", " ", 
          RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}], ")"}]}], 
      RowBox[{
       RowBox[{
        RowBox[{"-", "Pnz"}], " ", 
        RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], "+", 
       RowBox[{"Pnx", " ", 
        RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858779272448361*^9, {3.8587793118384037`*^9, 3.858779318595215*^9}, 
   3.8587794474808207`*^9, {3.8587795016309643`*^9, 3.858779515283245*^9}, {
   3.858779729025508*^9, 3.858779741938981*^9}, {3.8587797768399982`*^9, 
   3.858779817935862*^9}, 3.858799187931869*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"c1fb1cdb-56e5-4694-8d7e-5f0832c6bba9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"rR", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "/", "2"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"s", "[", "0", "]"}], "+", 
        RowBox[{
         RowBox[{"sR", "[", "1", "]"}], " ", "Pnx"}], "+", 
        RowBox[{
         RowBox[{"sR", "[", "2", "]"}], " ", "Pny"}], "+", 
        RowBox[{
         RowBox[{"sR", "[", "3", "]"}], " ", "Pnz"}]}], ")"}]}], "//", 
     "FullSimplify"}]}], "\[IndentingNewLine]", 
   RowBox[{"P", "=", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Tr", "[", 
        RowBox[{
         RowBox[{"s", "[", "1", "]"}], ".", "rR"}], "]"}], ",", 
       RowBox[{"Tr", "[", 
        RowBox[{
         RowBox[{"s", "[", "2", "]"}], ".", "rR"}], "]"}], ",", 
       RowBox[{"Tr", "[", 
        RowBox[{
         RowBox[{"s", "[", "3", "]"}], ".", "rR"}], "]"}]}], "}"}], " ", "//",
      "FullSimplify"}]}]}]}]], "Input",
 CellChangeTimes->{{3.858779860807172*^9, 3.85877997890149*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"c580e53a-e7ea-4d4e-99fa-79502e036b5d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"Pnz", " ", 
          RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], "-", 
         RowBox[{"Pnx", " ", 
          RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]v"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "\[ImaginaryI]"}], " ", "Pny"}], "+", 
         RowBox[{"Pnx", " ", 
          RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], "+", 
         RowBox[{"Pnz", " ", 
          RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}], ")"}]}]},
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]v"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[ImaginaryI]", " ", "Pny"}], "+", 
         RowBox[{"Pnx", " ", 
          RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], "+", 
         RowBox[{"Pnz", " ", 
          RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"Pnz", " ", 
          RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], "+", 
         RowBox[{"Pnx", " ", 
          RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}], ")"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858779964229734*^9, 3.858779980109087*^9}, 
   3.858799188009354*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"ec956f96-ead1-480c-a07d-3180302c8ac2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{"Pnx", " ", 
         RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
         RowBox[{"Cos", "[", "\[Phi]v", "]"}]}], "+", 
        RowBox[{"Pnz", " ", 
         RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
         RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "-", 
        RowBox[{"Pny", " ", 
         RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}]},
      {
       RowBox[{
        RowBox[{"Pny", " ", 
         RowBox[{"Cos", "[", "\[Phi]v", "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Pnx", " ", 
            RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], "+", 
           RowBox[{"Pnz", " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}], ")"}], " ", 
         RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}]},
      {
       RowBox[{
        RowBox[{"Pnz", " ", 
         RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], "-", 
        RowBox[{"Pnx", " ", 
         RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858779964229734*^9, 3.858779980109087*^9}, 
   3.858799188687044*^9},
 CellLabel->"Out[38]=",ExpressionUUID->"0f527bbf-872a-4e25-a2d4-7170bda9ead1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"UR", "=", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {
       RowBox[{
        RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
        RowBox[{"Cos", "[", "\[Phi]v", "]"}]}], 
       RowBox[{"-", " ", 
        RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], 
       RowBox[{" ", 
        RowBox[{
         RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
         RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}]},
      {
       RowBox[{
        RowBox[{"Cos", "[", "\[Theta]v", "]"}], "  ", 
        RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], 
       RowBox[{" ", 
        RowBox[{"Cos", "[", "\[Phi]v", "]"}]}], 
       RowBox[{
        RowBox[{"Sin", "[", "\[Theta]v", "]"}], "  ", 
        RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]},
      {
       RowBox[{"-", 
        RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "0", 
       RowBox[{"Cos", "[", "\[Theta]v", "]"}]}
     },
     GridBoxDividers->{"Columns" -> {{True}}, "Rows" -> {{True}}}], 
    "\[NoBreak]", ")"}]}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"UR", ".", 
  RowBox[{"{", 
   RowBox[{"Pnx", ",", "Pny", ",", "Pnz"}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.8587802340172586`*^9, 3.858780249396385*^9}, {
  3.8587802845320597`*^9, 3.8587805098834753`*^9}, {3.858780626019293*^9, 
  3.8587806795731697`*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"77dd6833-3d95-4422-8f55-0183b4487b60"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
       RowBox[{"Cos", "[", "\[Phi]v", "]"}]}], 
      RowBox[{"-", 
       RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], 
      RowBox[{
       RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
       RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]},
     {
      RowBox[{
       RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
       RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], 
      RowBox[{"Cos", "[", "\[Phi]v", "]"}], 
      RowBox[{
       RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
       RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]},
     {
      RowBox[{"-", 
       RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "0", 
      RowBox[{"Cos", "[", "\[Theta]v", "]"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858780512767436*^9, 3.858780627262548*^9, {3.858780667099662*^9, 
   3.858780685277217*^9}, 3.8587991887443943`*^9},
 CellLabel->"Out[39]=",ExpressionUUID->"5c19be35-1225-40c2-97fc-ed8e5c948f83"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{"Pnx", " ", 
         RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
         RowBox[{"Cos", "[", "\[Phi]v", "]"}]}], "+", 
        RowBox[{"Pnz", " ", 
         RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
         RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "-", 
        RowBox[{"Pny", " ", 
         RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}]},
      {
       RowBox[{
        RowBox[{"Pny", " ", 
         RowBox[{"Cos", "[", "\[Phi]v", "]"}]}], "+", 
        RowBox[{"Pnx", " ", 
         RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
         RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
        RowBox[{"Pnz", " ", 
         RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
         RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}]},
      {
       RowBox[{
        RowBox[{"Pnz", " ", 
         RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], "-", 
        RowBox[{"Pnx", " ", 
         RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858780512767436*^9, 3.858780627262548*^9, {3.858780667099662*^9, 
   3.858780685277217*^9}, 3.8587991887465763`*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"85297e05-9719-4cc6-8282-18e6e1212abc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Transpose", "[", "UR", "]"}], ".", "UR"}], "  ", "//", 
  "FullSimplify"}]], "Input",
 CellChangeTimes->{{3.858780697434121*^9, 3.8587807040713053`*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"e253da45-59fe-4786-afbc-08db245b6428"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0"},
     {"0", "1", "0"},
     {"0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8587806936569967`*^9, 3.858780705223284*^9}, 
   3.8587991887527027`*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"baed9cd3-0982-4338-99c9-6bb85984bce0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"UR", " ", "/.", " ", 
  RowBox[{"\[Theta]v", "->", "0"}]}], "\[IndentingNewLine]", 
 RowBox[{"UR", " ", "/.", " ", 
  RowBox[{"\[Phi]v", "->", "0"}]}]}], "Input",
 CellChangeTimes->{{3.858780765835155*^9, 3.85878083245049*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"73c9d101-ad81-441c-b9d1-e53045cef6dd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "\[Phi]v", "]"}], 
      RowBox[{"-", 
       RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "0"},
     {
      RowBox[{"Sin", "[", "\[Phi]v", "]"}], 
      RowBox[{"Cos", "[", "\[Phi]v", "]"}], "0"},
     {"0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858780781500287*^9, 3.858780833553719*^9, 
  3.858799188772583*^9},
 CellLabel->"Out[42]=",ExpressionUUID->"fa5d23af-64f9-4954-befb-67a8968e3e8b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "\[Theta]v", "]"}], "0", 
      RowBox[{"Sin", "[", "\[Theta]v", "]"}]},
     {"0", "1", "0"},
     {
      RowBox[{"-", 
       RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "0", 
      RowBox[{"Cos", "[", "\[Theta]v", "]"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858780781500287*^9, 3.858780833553719*^9, 
  3.858799188774602*^9},
 CellLabel->"Out[43]=",ExpressionUUID->"29ac953d-3691-4805-858c-c63c2899c40a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"RhoW", "[", "t_", "]"}], ":=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"WR", "[", 
      RowBox[{"\[Phi]v", ",", " ", "\[Theta]v", " ", ",", "\[Gamma]v"}], " ", 
      "]"}], ".", 
     RowBox[{"Rho", "[", "t", "]"}], ".", 
     RowBox[{"WRA", "[", 
      RowBox[{"\[Phi]v", ",", " ", "\[Theta]v", " ", ",", "\[Gamma]v"}], 
      "]"}]}], " ", "/.", " ", 
    RowBox[{"\[Gamma]v", "->", 
     RowBox[{"-", "\[Phi]v"}]}]}], " ", "//", 
   "FullSimplify"}]}], "\[IndentingNewLine]", 
 RowBox[{"PvecR", "=", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"s", "[", "1", "]"}], ".", 
       RowBox[{"RhoW", "[", "t", "]"}]}], "]"}], ",", 
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"s", "[", "2", "]"}], ".", 
       RowBox[{"RhoW", "[", "t", "]"}]}], "]"}], ",", 
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"s", "[", "3", "]"}], ".", 
       RowBox[{"RhoW", "[", "t", "]"}]}], "]"}]}], "  ", "}"}], "  ", "//", 
   "FullSimplify"}]}]}], "Input",
 CellChangeTimes->{{3.858762664918726*^9, 3.858762665368389*^9}, {
   3.858764107238186*^9, 3.8587641393349524`*^9}, {3.858764225259933*^9, 
   3.858764356572534*^9}, {3.8587644093140917`*^9, 3.858764434412456*^9}, {
   3.858764495077405*^9, 3.858764539151641*^9}, 3.858764673479011*^9, {
   3.8587657226291523`*^9, 3.8587657270125647`*^9}},
 CellLabel->"In[44]:=",ExpressionUUID->"1271841e-25c3-4a8a-8ca9-608cbfe37cfd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{
         RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
         RowBox[{"PAz", "[", "t", "]"}], " ", 
         RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "+", 
        RowBox[{
         RowBox[{"PAx", "[", "t", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
            SuperscriptBox[
             RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"]}], "+", 
           SuperscriptBox[
            RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], ")"}]}], "-", 
        RowBox[{
         RowBox[{"PAy", "[", "t", "]"}], " ", 
         SuperscriptBox[
          RowBox[{"Sin", "[", 
           FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
         RowBox[{"Sin", "[", 
          RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
            RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAz", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}], ")"}], " ", 
         RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
        RowBox[{
         RowBox[{"PAy", "[", "t", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
            SuperscriptBox[
             RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
         RowBox[{"PAz", "[", "t", "]"}]}], "-", 
        RowBox[{
         RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858764110266938*^9, 3.85876412241201*^9}, {
   3.85876425618128*^9, 3.8587643117713423`*^9}, 3.858764362617531*^9, {
   3.858764411210627*^9, 3.858764441057447*^9}, 3.858764543295886*^9, 
   3.8587646893807383`*^9, 3.858765736518002*^9, 3.8587991932307158`*^9},
 CellLabel->"Out[45]=",ExpressionUUID->"9e301884-439f-4b1b-b9d3-2a54b94e8353"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"PvecR", " ", ".", "PvecR"}], "  ", "//", "FullSimplify"}]], "Input",\

 CellChangeTimes->{{3.8587645590527143`*^9, 3.858764601060712*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"dbeeb938-0c20-44f5-a7e2-140a2843aa8e"],

Cell[BoxData[
 TagBox[
  RowBox[{
   SuperscriptBox[
    RowBox[{"PAx", "[", "t", "]"}], "2"], "+", 
   SuperscriptBox[
    RowBox[{"PAy", "[", "t", "]"}], "2"], "+", 
   SuperscriptBox[
    RowBox[{"PAz", "[", "t", "]"}], "2"]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858764592007227*^9, 3.858764622761835*^9, 
  3.858764700042098*^9, 3.858799193275174*^9},
 CellLabel->"Out[46]=",ExpressionUUID->"37a9b3b0-d455-431e-8d45-a755c5a2c64d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"P", "=", "Pvec"}]], "Input",
 CellChangeTimes->{{3.858764752894022*^9, 3.85876475596402*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"3e02c527-a0a0-4d85-bfd9-2724e7d28c8f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"PAx", "[", "t", "]"}]},
      {
       RowBox[{"PAy", "[", "t", "]"}]},
      {
       RowBox[{"PAz", "[", "t", "]"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858799193281521*^9},
 CellLabel->"Out[47]=",ExpressionUUID->"c61aae22-ee36-4b01-b190-7ff1252ed4e7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"res", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"PvecR", "  ", "/.", " ", 
      RowBox[{
       RowBox[{"PAx", "[", "t", "]"}], "->", " ", 
       RowBox[{"P", "  ", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
        RowBox[{"Cos", "[", "\[Phi]", "]"}]}]}]}], "  ", "/.", " ", 
     RowBox[{
      RowBox[{"PAy", "[", "t", "]"}], "->", " ", 
      RowBox[{"P", "  ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
       RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}]}], "  ", "/.", " ", 
    RowBox[{
     RowBox[{"PAz", "[", "t", "]"}], "->", " ", 
     RowBox[{"P", " ", 
      RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}]}], " ", "//", 
   "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.858764714732416*^9, 3.85876486338133*^9}, {
  3.858764930177718*^9, 3.858764939873166*^9}, {3.85876497799892*^9, 
  3.858764999937504*^9}, {3.8587651098855047`*^9, 3.8587651245441227`*^9}, {
  3.858765825845511*^9, 3.8587658270263653`*^9}},
 CellLabel->"In[48]:=",ExpressionUUID->"4f0de634-f430-464e-862f-3f71fb67f955"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          RowBox[{
           RowBox[{"PAx", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
              RowBox[{"Cos", "[", 
               RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
              RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "-", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Sin", "[", 
                RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
            RowBox[{"PAz", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Sin", "[", 
                RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}]}]},
         {
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"]}], "+", 
              SuperscriptBox[
               RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], ")"}]}], "-", 
           RowBox[{
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            SuperscriptBox[
             RowBox[{"Sin", "[", 
              FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"]}], "+", 
              SuperscriptBox[
               RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], ")"}]}], "+", 
           RowBox[{
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", 
                 FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
               RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], ")"}]}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
            RowBox[{"PAz", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"]}], "+", 
              SuperscriptBox[
               RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], ")"}]}], "-", 
           RowBox[{
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            SuperscriptBox[
             RowBox[{"Sin", "[", 
              FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}]},
         {
          RowBox[{
           RowBox[{"PAx", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
              RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
              SuperscriptBox[
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], " ", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              SuperscriptBox[
               RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], "+", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Sin", "[", "\[Theta]v", "]"}], "-", 
                RowBox[{"2", " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
                 SuperscriptBox[
                  RowBox[{"Sin", "[", 
                   FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
                 RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}]}], ")"}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"]}], "+", 
              SuperscriptBox[
               RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], ")"}]}], "+", 
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", 
                 FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
               RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], ")"}]}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"]}], "+", 
              SuperscriptBox[
               RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], ")"}]}], "+", 
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"PAz", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", 
                 FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
               RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], ")"}]}]}]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          RowBox[{
           RowBox[{"PAx", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"]}], "+", 
                   SuperscriptBox[
                    RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], ")"}]}], 
                "-", 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"Sin", "[", 
                   FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], ")"}]}]}], 
            ")"}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                  SuperscriptBox[
                   RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"]}], "+", 
                 SuperscriptBox[
                  RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], ")"}]}], "-", 
              
              RowBox[{
               SuperscriptBox[
                RowBox[{"Sin", "[", 
                 FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], ")"}]}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
            RowBox[{"PAz", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                  SuperscriptBox[
                   RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"]}], "+", 
                 SuperscriptBox[
                  RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], ")"}]}], "-", 
              
              RowBox[{
               SuperscriptBox[
                RowBox[{"Sin", "[", 
                 FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], ")"}]}]}]},
         {
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                  SuperscriptBox[
                   RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"]}], "+", 
                 SuperscriptBox[
                  RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], ")"}]}], "-", 
              
              RowBox[{
               SuperscriptBox[
                RowBox[{"Sin", "[", 
                 FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], ")"}]}]}], 
          RowBox[{
           RowBox[{"PAy", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"]}], "+", 
                   SuperscriptBox[
                    RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], ")"}]}], 
                "-", 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"Sin", "[", 
                   FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
                 RowBox[{"Sin", "[", 
                  RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], ")"}]}]}], 
            ")"}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
            RowBox[{"PAz", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                  SuperscriptBox[
                   RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"]}], "+", 
                 SuperscriptBox[
                  RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], ")"}]}], "-", 
              
              RowBox[{
               SuperscriptBox[
                RowBox[{"Sin", "[", 
                 FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], ")"}]}]}]},
         {
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"PAx", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
              SuperscriptBox[
               RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                 SuperscriptBox[
                  RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"]}], "+", 
                SuperscriptBox[
                 RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], ")"}]}], "-", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              SuperscriptBox[
               RowBox[{"Sin", "[", 
                FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], ")"}]}], 
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"PAy", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
              SuperscriptBox[
               RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                 SuperscriptBox[
                  RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"]}], "+", 
                SuperscriptBox[
                 RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], ")"}]}], "-", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              SuperscriptBox[
               RowBox[{"Sin", "[", 
                FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], ")"}]}], 
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"PAz", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
              SuperscriptBox[
               RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                 SuperscriptBox[
                  RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"]}], "+", 
                SuperscriptBox[
                 RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], ")"}]}], "-", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              SuperscriptBox[
               RowBox[{"Sin", "[", 
                FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], ")"}]}]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          RowBox[{
           RowBox[{"PAx", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                 SuperscriptBox[
                  RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"]}], "+", 
                SuperscriptBox[
                 RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], ")"}]}], "-", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              SuperscriptBox[
               RowBox[{"Sin", "[", 
                FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], ")"}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                  RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                  RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                  RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
                 RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], ")"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}], "-", 
           
           RowBox[{
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            SuperscriptBox[
             RowBox[{"Sin", "[", 
              FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"PAz", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                  RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                  RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                  RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
                 RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], ")"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}], "-", 
           
           RowBox[{
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            SuperscriptBox[
             RowBox[{"Sin", "[", 
              FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}]},
         {
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                  RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                  RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                  RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
                 RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], ")"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}], "-", 
           
           RowBox[{
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            SuperscriptBox[
             RowBox[{"Sin", "[", 
              FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], 
          RowBox[{
           RowBox[{"PAy", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                 SuperscriptBox[
                  RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"]}], "+", 
                SuperscriptBox[
                 RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], ")"}]}], "-", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              SuperscriptBox[
               RowBox[{"Sin", "[", 
                FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], ")"}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"PAz", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                  RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                  RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                  RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
                 RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], ")"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}], "-", 
           
           RowBox[{
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            SuperscriptBox[
             RowBox[{"Sin", "[", 
              FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}]},
         {
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"PAx", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                 RowBox[{"Cos", "[", 
                  RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
                RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], ")"}]}], "-", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}], 
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"PAy", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                 RowBox[{"Cos", "[", 
                  RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
                RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], ")"}]}], "-", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}], 
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"PAz", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                 RowBox[{"Cos", "[", 
                  RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
                RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], ")"}]}], "-", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", 
               RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          RowBox[{
           RowBox[{"PAx", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", 
                   RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
                RowBox[{
                 RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}], ")"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
                RowBox[{
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                 SuperscriptBox[
                  RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}], 
            ")"}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"PAz", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}]}]},
         {
          RowBox[{
           RowBox[{
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}], ")"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
            RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
                 RowBox[{
                  RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                  SuperscriptBox[
                   RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}], 
             ")"}]}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}], ")"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}]},
         {
          RowBox[{
           RowBox[{"PAx", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
              RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
                RowBox[{
                 RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"(", 
                  RowBox[{
                   SuperscriptBox[
                    RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
                   RowBox[{
                    RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                    SuperscriptBox[
                    RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}],
                ")"}]}]}], ")"}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
            RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
                 RowBox[{
                  RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                  SuperscriptBox[
                   RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}], 
             ")"}]}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
            RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"PAz", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
                 RowBox[{
                  RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                  SuperscriptBox[
                   RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}], 
             ")"}]}]}]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          RowBox[{
           RowBox[{"PAx", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", 
                   RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
                RowBox[{
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                 SuperscriptBox[
                  RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}], 
            ")"}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", 
                 FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], ")"}]}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"PAz", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", 
                 FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], ")"}]}]}]},
         {
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", 
                 FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], ")"}]}]}], 
          RowBox[{
           RowBox[{"PAy", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", 
                   RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
                RowBox[{
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                 SuperscriptBox[
                  RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}], 
            ")"}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"PAz", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", 
                 FractionBox["\[Theta]v", "2"], "]"}], "2"], " ", 
               RowBox[{"Sin", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}]}]}], ")"}]}]}]},
         {
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"PAx", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", 
                   RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
                RowBox[{
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                 SuperscriptBox[
                  RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}], 
            ")"}]}], 
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"PAy", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", 
                   RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
                RowBox[{
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                 SuperscriptBox[
                  RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}], 
            ")"}]}], 
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"PAz", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", 
                   RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
                RowBox[{
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                 SuperscriptBox[
                  RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}], 
            ")"}]}]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          RowBox[{
           RowBox[{"PAx", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", 
                   RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
                RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
                RowBox[{
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                 SuperscriptBox[
                  RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}], 
            ")"}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"PAz", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}]},
         {
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}], 
          RowBox[{
           RowBox[{"PAy", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", 
                   RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
                RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
                RowBox[{
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                 SuperscriptBox[
                  RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}], 
            ")"}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"PAz", "[", "t", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox[
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
               SuperscriptBox[
                RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}]},
         {
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"PAx", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", 
                   RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
                RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
                RowBox[{
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                 SuperscriptBox[
                  RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}], 
            ")"}]}], 
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"PAy", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", 
                   RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
                RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
                RowBox[{
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                 SuperscriptBox[
                  RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}], 
            ")"}]}], 
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"PAz", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "+", 
                   RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
                RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], ")"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], "2"], "+", 
                RowBox[{
                 RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
                 SuperscriptBox[
                  RowBox[{"Sin", "[", "\[Phi]v", "]"}], "2"]}]}], ")"}]}]}], 
            ")"}]}]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          RowBox[{
           RowBox[{"PAx", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], "-", 
             RowBox[{
              RowBox[{"Cos", "[", 
               RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}], ")"}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"PAy", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{"Cos", "[", 
             RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"PAz", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{"Cos", "[", 
             RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}]},
         {
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"PAy", "[", "t", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"PAy", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"PAy", "[", "t", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"PAz", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"PAy", "[", "t", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}]}]},
         {
          RowBox[{
           RowBox[{"PAx", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", 
               RowBox[{"Cos", "[", "\[Phi]", "]"}]}], " ", 
              RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], "+", 
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Cos", "[", "\[Theta]v", "]"}], "-", 
                RowBox[{
                 RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}]}], ")"}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"PAy", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"PAz", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}]}]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          RowBox[{
           RowBox[{"PAx", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], "-", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
                RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], ")"}]}]}], ")"}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"PAy", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], ")"}]}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"PAz", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{"PAx", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], ")"}]}]}]},
         {
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], ")"}]}]}], 
          RowBox[{
           RowBox[{"PAy", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Cos", "[", "\[Theta]v", "]"}]}], "-", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
                RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], ")"}]}]}], ")"}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"PAz", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{"PAy", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], ")"}]}]}]},
         {
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"PAx", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Cos", "[", "\[Theta]v", "]"}], "-", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
                RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], ")"}]}]}], ")"}]}], 
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"PAy", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Cos", "[", "\[Theta]v", "]"}], "-", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
                RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], ")"}]}]}], ")"}]}], 
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"PAz", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Cos", "[", "\[Theta]v", "]"}], "-", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
                RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], ")"}]}]}], ")"}]}]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          RowBox[{
           RowBox[{"PAx", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Cos", "[", "\[Theta]v", "]"}], "-", 
                RowBox[{
                 RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}], ")"}]}], "-", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"PAy", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"PAx", "[", "t", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"PAz", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"PAx", "[", "t", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}]}]},
         {
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"PAy", "[", "t", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}]}], 
          RowBox[{
           RowBox[{"PAy", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Cos", "[", "\[Theta]v", "]"}], "-", 
                RowBox[{
                 RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
                 RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
                 RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}], ")"}]}], "-", 
             RowBox[{
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}], 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"PAz", "[", "t", "]"}]}], "-", 
           RowBox[{
            RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"PAy", "[", "t", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]", "]"}], " ", 
               RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}], ")"}]}]}]},
         {
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"PAx", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Cos", "[", "\[Theta]v", "]"}], "-", 
             RowBox[{
              RowBox[{"Cos", "[", 
               RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}], ")"}]}], 
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"PAy", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Cos", "[", "\[Theta]v", "]"}], "-", 
             RowBox[{
              RowBox[{"Cos", "[", 
               RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}], ")"}]}], 
          RowBox[{
           RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"PAz", "[", "t", "]"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"Cos", "[", "\[Theta]v", "]"}], "-", 
             RowBox[{
              RowBox[{"Cos", "[", 
               RowBox[{"\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
              RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]}], ")"}]}]}
        },
        GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.7]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858764846733253*^9, 3.858764865161251*^9}, 
   3.8587649410675993`*^9, 3.858765015743155*^9, 3.858765065214541*^9, 
   3.858765127132977*^9, 3.858765747559842*^9, {3.858765809860692*^9, 
   3.858765838955419*^9}, 3.858799242832114*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"057ba203-bb71-46dc-94e3-f6377490ea72"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"res", "[", 
   RowBox[{"[", "3", "]"}], "]"}], "  ", "//", 
  "TrigReduce"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", " ", "/.", 
   RowBox[{"\[Phi]", "->", "\[Phi]v"}]}], " ", "/.", 
  RowBox[{"\[Theta]v", "->", "\[Theta]"}]}]}], "Input",
 CellChangeTimes->{{3.858764953203939*^9, 3.858765049395062*^9}, {
  3.85876576984166*^9, 3.858765797775906*^9}, {3.858765831088148*^9, 
  3.8587658314702177`*^9}, {3.858766070952012*^9, 3.858766089065136*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"f178454a-34fd-4071-b26e-1faba81cceba"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            FractionBox["1", "4"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "4"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                RowBox[{"Cos", "[", 
                 RowBox[{
                 "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", 
                  "\[Phi]v"}], "]"}]}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "4"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                RowBox[{"Cos", "[", 
                 RowBox[{
                 "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", 
                  "\[Phi]v"}], "]"}]}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}]}], ")"}]}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            FractionBox["1", "8"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "8"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                RowBox[{"Cos", "[", 
                 RowBox[{
                 "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", 
                  "\[Phi]v"}], "]"}]}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "8"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                RowBox[{"Cos", "[", 
                 RowBox[{
                 "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", 
                  "\[Phi]v"}], "]"}]}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}]}], ")"}]}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            FractionBox["1", "16"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "16"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "2"}], " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "16"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "2"}], " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}]}], ")"}]}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}]}]},
          {
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              FractionBox["1", "32"]}], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}]}]},
          {
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              FractionBox["1", "32"]}], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}]}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}]}]},
          {
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}]}]},
          {
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              FractionBox["1", "32"]}], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
              "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}], 
              "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}]}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}]}]},
          {
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}]}]},
          {
           RowBox[{
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
               "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
               "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
               RowBox[{"2", " ", "\[Phi]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}]}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            FractionBox["1", "16"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "16"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "16"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}]}], ")"}]}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            FractionBox["1", "16"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "16"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "16"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "-", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "-", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "-", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                "\[Theta]", "+", "\[Theta]v", "+", "\[Phi]", "+", "\[Phi]v"}],
                 "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}]}], ")"}]}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            FractionBox["1", "8"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "8"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "8"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "+", 
                 "\[Phi]", "-", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", "\[Theta]v", "-", 
                 "\[Phi]", "+", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}]}], ")"}]}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858764962308803*^9, 3.858764985306836*^9}, 
   3.858765015781589*^9, {3.8587650512262697`*^9, 3.858765065253419*^9}, 
   3.858765151568914*^9, 3.858765747590221*^9, {3.8587657881859694`*^9, 
   3.858765838994224*^9}, 3.858799242963883*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"575d8d0b-95f3-4860-8182-f760dfd41ed6"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            RowBox[{"Cos", "[", 
             RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}]}]},
          {
           RowBox[{
            FractionBox["1", "4"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "2"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "4"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "2"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}]}], ")"}]}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            FractionBox["1", "8"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"6", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "8"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "2"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"6", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "8"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "2"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}]}], ")"}]}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            FractionBox["1", "16"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"12", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"3", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"3", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"3", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "16"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "4"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"3", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"3", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"3", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "16"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "4"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"3", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"3", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"3", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}]}], ")"}]}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            FractionBox[
             RowBox[{"PAx", "[", "t", "]"}], "4"], "+", 
            RowBox[{
             FractionBox["3", "4"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}]}]},
          {
           RowBox[{
            RowBox[{"-", 
             FractionBox[
              RowBox[{"PAx", "[", "t", "]"}], "4"]}], "+", 
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            FractionBox[
             RowBox[{"PAy", "[", "t", "]"}], "2"], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}]}]},
          {
           RowBox[{
            RowBox[{"-", 
             FractionBox[
              RowBox[{"PAx", "[", "t", "]"}], "4"]}], "+", 
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            FractionBox[
             RowBox[{"PAz", "[", "t", "]"}], "2"], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}]}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            FractionBox[
             RowBox[{"PAx", "[", "t", "]"}], "2"], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            FractionBox[
             RowBox[{"PAy", "[", "t", "]"}], "4"], "+", 
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}]}]},
          {
           RowBox[{
            FractionBox[
             RowBox[{"PAy", "[", "t", "]"}], "4"], "+", 
            RowBox[{
             FractionBox["3", "4"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}]}]},
          {
           RowBox[{
            RowBox[{"-", 
             FractionBox[
              RowBox[{"PAy", "[", "t", "]"}], "4"]}], "+", 
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "4"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["3", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            FractionBox[
             RowBox[{"PAz", "[", "t", "]"}], "2"], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}]}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            FractionBox[
             RowBox[{"PAx", "[", "t", "]"}], "2"], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"3", " ", "\[Theta]"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"4", " ", "\[Theta]"}], "-", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"4", " ", "\[Theta]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"4", " ", "\[Theta]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"4", " ", "\[Theta]"}], "+", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAx", "[", "t", "]"}]}]}]},
          {
           RowBox[{
            FractionBox[
             RowBox[{"PAy", "[", "t", "]"}], "2"], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"3", " ", "\[Theta]"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"4", " ", "\[Theta]"}], "-", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"4", " ", "\[Theta]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"4", " ", "\[Theta]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"4", " ", "\[Theta]"}], "+", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAy", "[", "t", "]"}]}]}]},
          {
           RowBox[{
            FractionBox[
             RowBox[{"PAz", "[", "t", "]"}], "2"], "-", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "2"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "8"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"3", " ", "\[Theta]"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"4", " ", "\[Theta]"}], "-", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "-", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "-", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"4", " ", "\[Theta]"}], "-", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"4", " ", "\[Theta]"}], "+", "\[Phi]v"}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{"\[Theta]", "+", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "16"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"3", " ", "\[Theta]"}], "+", 
               RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "+", 
            RowBox[{
             FractionBox["1", "32"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"2", " ", "\[Theta]"}], "+", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}], "-", 
            RowBox[{
             FractionBox["1", "64"], " ", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{"4", " ", "\[Theta]"}], "+", 
               RowBox[{"3", " ", "\[Phi]v"}]}], "]"}], " ", 
             RowBox[{"PAz", "[", "t", "]"}]}]}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            FractionBox["1", "16"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"12", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"3", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"3", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"3", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "16"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "4"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"3", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"3", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"3", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "16"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "4"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"3", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"3", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"3", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}]}], ")"}]}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            FractionBox["1", "16"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"8", " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"3", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"3", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"3", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"4", " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "16"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"12", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"3", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"3", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"3", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "16"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "4"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Phi]v"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"2", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{"8", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"3", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"3", " ", "\[Theta]"}], "-", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{"\[Theta]", "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 RowBox[{"3", " ", "\[Theta]"}], "+", 
                 RowBox[{"2", " ", "\[Phi]v"}]}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}]}], ")"}]}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {
           RowBox[{
            FractionBox["1", "8"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"3", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAx", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "8"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"3", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAy", "[", "t", "]"}]}]}], ")"}]}]},
          {
           RowBox[{
            FractionBox["1", "8"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "-", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{"4", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}], "+", 
              RowBox[{"2", " ", 
               RowBox[{"Cos", "[", 
                RowBox[{"3", " ", "\[Theta]"}], "]"}], " ", 
               RowBox[{"PAz", "[", "t", "]"}]}]}], ")"}]}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858764962308803*^9, 3.858764985306836*^9}, 
   3.858765015781589*^9, {3.8587650512262697`*^9, 3.858765065253419*^9}, 
   3.858765151568914*^9, 3.858765747590221*^9, {3.8587657881859694`*^9, 
   3.858765838994224*^9}, 3.8587992430007772`*^9},
 CellLabel->"Out[50]=",ExpressionUUID->"776d54b7-13b2-49f2-b96f-8b4c08476138"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"res", "[", 
    RowBox[{"[", "1", "]"}], "]"}], "  ", "//", "TrigReduce"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"%", " ", "/.", 
    RowBox[{"\[Phi]", "->", "\[Phi]v"}]}], "   ", "/.", 
   RowBox[{"\[Theta]v", "->", "\[Theta]"}]}], "//", 
  "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.858765865839226*^9, 3.85876589732841*^9}, {
  3.858766096872045*^9, 3.858766097494195*^9}},
 CellLabel->"In[51]:=",ExpressionUUID->"21e8d6b8-da28-48ca-a295-73259ad9a257"],

Cell[BoxData[
 TagBox[
  RowBox[{"P", " ", 
   RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
   RowBox[{"Sin", "[", 
    RowBox[{"\[Theta]", "+", "\[Theta]v"}], "]"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858765867206437*^9, 3.858765899328491*^9}},
 CellLabel->"Out[85]=",ExpressionUUID->"b1f9e713-bbc6-4f5c-9dd8-9042a34fe73b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"res", "[", 
    RowBox[{"[", "2", "]"}], "]"}], "  ", "//", "TrigReduce"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"%", " ", "/.", 
    RowBox[{"\[Phi]", "->", "\[Phi]v"}]}], "  ", "/.", 
   RowBox[{"\[Theta]v", "->", "\[Theta]"}]}], "//", 
  "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.858765924069704*^9, 3.858765924463758*^9}, 
   3.858766100880858*^9},
 CellLabel->"In[88]:=",ExpressionUUID->"3662ba1d-d62b-4aff-be63-991ffc484733"],

Cell[BoxData[
 TagBox[
  RowBox[{"P", " ", 
   RowBox[{"Sin", "[", 
    RowBox[{"2", " ", "\[Theta]"}], "]"}], " ", 
   RowBox[{"Sin", "[", "\[Phi]v", "]"}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8587659256732283`*^9, 3.8587661025500593`*^9},
 CellLabel->"Out[89]=",ExpressionUUID->"318500b2-b44d-4a32-8163-a67b02bb07aa"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"RotX", "[", "\[Theta]v", "]"}], ".", 
   RowBox[{"s", "[", "3", "]"}], ".", 
   RowBox[{"RotX", "[", 
    RowBox[{"-", "\[Theta]v"}], "]"}]}], "  ", "//", 
  "FullSimplify"}]], "Input",
 CellChangeTimes->{{3.858781038033169*^9, 3.8587810765193996`*^9}, 
   3.8587811301409817`*^9, {3.858781173181363*^9, 3.858781194466371*^9}, {
   3.858781611093652*^9, 3.858781615919961*^9}},
 CellLabel->
  "In[235]:=",ExpressionUUID->"07e38143-eaa9-433a-833f-957e785c9c8f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "\[Theta]v", "]"}], 
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "\[ImaginaryI]"}], " ", 
       RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], 
      RowBox[{"-", 
       RowBox[{"Cos", "[", "\[Theta]v", "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858781044601293*^9, 3.858781078324683*^9}, 
   3.85878113165277*^9, 3.8587812018596163`*^9, 3.8587816172395763`*^9},
 CellLabel->
  "Out[235]=",ExpressionUUID->"822640fd-03c7-4fe0-a471-dd34afa7dcf1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"RotZ", "[", "\[Phi]v", " ", "]"}], ".", 
   RowBox[{"RotX", "[", "\[Theta]v", "]"}], ".", 
   RowBox[{"s", "[", "3", "]"}], ".", 
   RowBox[{"RotX", "[", 
    RowBox[{"-", "\[Theta]v"}], "]"}], ".", 
   RowBox[{"RotZ", "[", 
    RowBox[{"-", "\[Phi]v"}], " ", "]"}]}], "  ", "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Cos", "[", "\[Theta]v", "]"}], " ", 
    RowBox[{"s", "[", "3", "]"}]}], " ", "+", " ", 
   RowBox[{
    RowBox[{"Sin", "[", "\[Theta]v", "]"}], "  ", 
    RowBox[{"Sin", "[", "\[Phi]v", "]"}], " ", 
    RowBox[{"s", "[", "1", "]"}]}], " ", "-", " ", 
   RowBox[{
    RowBox[{"Sin", "[", "\[Theta]v", "]"}], "  ", 
    RowBox[{"Cos", "[", "\[Phi]v", "]"}], " ", 
    RowBox[{"s", "[", "2", "]"}]}]}], " ", "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "-", "%%"}], " "}], "\[IndentingNewLine]", 
 RowBox[{"%", " ", "//", "FullSimplify"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.858781681758919*^9, 3.858781731942415*^9}, {
  3.858781829200881*^9, 3.858782007279806*^9}},
 CellLabel->
  "In[253]:=",ExpressionUUID->"e446bd68-7044-4fc1-82ae-ec794ebf99d6"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "\[Theta]v", "]"}], 
      RowBox[{
       RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"Cos", "[", "\[Phi]v", "]"}]}], "+", 
         RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], ")"}]}]},
     {
      RowBox[{
       RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "\[ImaginaryI]"}], " ", 
          RowBox[{"Cos", "[", "\[Phi]v", "]"}]}], "+", 
         RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], ")"}]}], 
      RowBox[{"-", 
       RowBox[{"Cos", "[", "\[Theta]v", "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8587817198206387`*^9, 3.858781732984503*^9}, {
  3.858781926259677*^9, 3.858782008510029*^9}},
 CellLabel->
  "Out[253]=",ExpressionUUID->"0459a339-6d7f-4004-bddd-c7501630570e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "\[Theta]v", "]"}], 
      RowBox[{
       RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"Cos", "[", "\[Phi]v", "]"}]}], "+", 
         RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], ")"}]}]},
     {
      RowBox[{
       RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "\[ImaginaryI]"}], " ", 
          RowBox[{"Cos", "[", "\[Phi]v", "]"}]}], "+", 
         RowBox[{"Sin", "[", "\[Phi]v", "]"}]}], ")"}]}], 
      RowBox[{"-", 
       RowBox[{"Cos", "[", "\[Theta]v", "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8587817198206387`*^9, 3.858781732984503*^9}, {
  3.858781926259677*^9, 3.858782008513679*^9}},
 CellLabel->
  "Out[254]=",ExpressionUUID->"81b77c08-3f42-4eeb-bda1-64e54bcbea7c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8587817198206387`*^9, 3.858781732984503*^9}, {
  3.858781926259677*^9, 3.858782008516725*^9}},
 CellLabel->
  "Out[255]=",ExpressionUUID->"90fbc7c4-3191-487a-9329-0d75e3aa21b7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8587817198206387`*^9, 3.858781732984503*^9}, {
  3.858781926259677*^9, 3.858782008519732*^9}},
 CellLabel->
  "Out[256]=",ExpressionUUID->"d991d883-ea9a-4cdc-af7d-3e5c1e310f4b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Clear", "[", 
  RowBox[{"r0", ",", "r", ",", "rf", ",", "\[Theta]v", ",", "\[Phi]v"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r0", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"s", "[", "0", "]"}], " ", "+", " ", 
      RowBox[{"Pv", " ", 
       RowBox[{"s", "[", "3", "]"}]}]}], ")"}], "/", "2"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"RotZ", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "Pi"}], "/", "2"}], "+", "\[Phi]v"}], " ", "]"}], ".", 
    RowBox[{"RotX", "[", 
     RowBox[{"-", "\[Theta]v"}], "]"}], ".", "r0", ".", 
    RowBox[{"RotX", "[", "\[Theta]v", "]"}], ".", 
    RowBox[{"RotZ", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"+", "Pi"}], "/", "2"}], " ", "-", "\[Phi]v"}], " ", "]"}]}], 
   "  ", "//", "FullSimplify"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"r", "=", "%"}], "\[IndentingNewLine]", 
 RowBox[{"rf", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"s", "[", "0", "]"}], " ", "+", " ", 
         RowBox[{"Px", " ", 
          RowBox[{"s", "[", "1", "]"}]}], "+", " ", 
         RowBox[{"Py", " ", 
          RowBox[{"s", "[", "2", "]"}]}], "+", " ", 
         RowBox[{"Pz", " ", 
          RowBox[{"s", "[", "3", "]"}]}]}], ")"}], "/", "2"}], " ", "/.", " ", 
      RowBox[{"Pz", "->", 
       RowBox[{"Pv", "  ", 
        RowBox[{"Cos", "[", "\[Theta]v", "]"}]}]}]}], " ", "/.", " ", 
     RowBox[{"Px", "->", 
      RowBox[{"Pv", "  ", 
       RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
       RowBox[{"Cos", "[", "\[Phi]v", "]"}]}]}]}], " ", "/.", " ", 
    RowBox[{"Py", "->", 
     RowBox[{"Pv", "  ", 
      RowBox[{"Sin", "[", "\[Theta]v", "]"}], 
      RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}]}], " ", "//", 
   "FullSimplify"}]}]}], "Input",
 CellChangeTimes->{{3.8587837138315763`*^9, 3.858783906063344*^9}, {
   3.858783950187098*^9, 3.8587839815660477`*^9}, {3.8587840224237547`*^9, 
   3.858784054242489*^9}, {3.858784101276391*^9, 3.858784114326804*^9}, {
   3.858784150519692*^9, 3.858784196701679*^9}, {3.858784258813805*^9, 
   3.858784270863845*^9}, {3.858784423099781*^9, 3.8587844319872026`*^9}, {
   3.858784468505612*^9, 3.858784475165532*^9}, {3.858784539622406*^9, 
   3.8587845601484737`*^9}, 3.858784593394226*^9, {3.858784683867689*^9, 
   3.8587847182517223`*^9}, {3.8587849011994123`*^9, 3.858784910772294*^9}, {
   3.8587850195283337`*^9, 3.8587850279088163`*^9}, {3.858785088817751*^9, 
   3.858785093023814*^9}, {3.85878517902077*^9, 3.858785186073958*^9}, {
   3.858785235653967*^9, 3.858785260212305*^9}, {3.8587853070809402`*^9, 
   3.8587853211432467`*^9}, {3.858785361926268*^9, 3.8587853939432707`*^9}, {
   3.8587854597792788`*^9, 3.858785469352742*^9}, {3.85878552626889*^9, 
   3.858785533008811*^9}, {3.85878560128454*^9, 3.858785627688767*^9}, {
   3.858785800468607*^9, 3.8587858589161253`*^9}, {3.858785912407707*^9, 
   3.8587859163335876`*^9}, {3.858785953886718*^9, 3.858785998178306*^9}, {
   3.8587860587729588`*^9, 3.858786069414288*^9}, {3.8587861474918823`*^9, 
   3.858786151743205*^9}, {3.858786185584584*^9, 3.858786204249508*^9}, {
   3.858786259711684*^9, 3.858786266978764*^9}},
 CellLabel->
  "In[462]:=",ExpressionUUID->"fb5faa8d-f693-43c9-8d41-6b46f656a399"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"Pv", " ", 
          RowBox[{"Cos", "[", "\[Theta]v", "]"}]}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]v"}]], " ", "Pv", " ", 
       RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]},
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]v"}]], " ", "Pv", " ", 
       RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"Pv", " ", 
          RowBox[{"Cos", "[", "\[Theta]v", "]"}]}]}], ")"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8587859994628143`*^9, 3.85878607436869*^9, 
  3.8587861528986273`*^9, 3.858786187853767*^9, 3.858786225323818*^9, 
  3.8587862724013147`*^9},
 CellLabel->
  "Out[465]=",ExpressionUUID->"1227f407-6caf-46fa-aff5-96c0bd6e70ca"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"Pv", " ", 
          RowBox[{"Cos", "[", "\[Theta]v", "]"}]}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]v"}]], " ", "Pv", " ", 
       RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]},
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]v"}]], " ", "Pv", " ", 
       RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"Pv", " ", 
          RowBox[{"Cos", "[", "\[Theta]v", "]"}]}]}], ")"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8587859994628143`*^9, 3.85878607436869*^9, 
  3.8587861528986273`*^9, 3.858786187853767*^9, 3.858786225323818*^9, 
  3.858786272405457*^9},
 CellLabel->
  "Out[466]=",ExpressionUUID->"227514f5-6474-4ebc-8875-6c32d760ee2b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"r", "-", "rf"}], " ", "//", "FullSimplify"}]], "Input",
 CellChangeTimes->{{3.858783912149926*^9, 3.85878392248932*^9}, {
  3.8587840005649223`*^9, 3.8587840129074078`*^9}},
 CellLabel->
  "In[467]:=",ExpressionUUID->"1f719b29-6e65-4595-8597-dea55dd1d9a7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858783755628593*^9, {3.858783791609179*^9, 3.858783810859248*^9}, {
   3.858783878538425*^9, 3.858783923479306*^9}, {3.858783992749197*^9, 
   3.858784014254582*^9}, 3.858784060180744*^9, 3.858784122752364*^9, {
   3.858784159554879*^9, 3.8587841815664873`*^9}, 3.858784211845408*^9, 
   3.858784439929837*^9, 3.858784480835842*^9, 3.85878456869278*^9, 
   3.85878474520652*^9, 3.85878491822316*^9, 3.858786016103681*^9, 
   3.858786079672226*^9, 3.858786161884692*^9, 3.8587862724449167`*^9},
 CellLabel->
  "Out[467]=",ExpressionUUID->"e6343d87-e8f2-496e-8cbc-8fe01d2ac500"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"rrf", "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"s", "[", "0", "]"}], " ", "+", " ", 
         RowBox[{"Px", " ", 
          RowBox[{"s", "[", "1", "]"}]}], "+", " ", 
         RowBox[{"Py", " ", 
          RowBox[{"s", "[", "2", "]"}]}], "+", " ", 
         RowBox[{"Pz", " ", 
          RowBox[{"s", "[", "3", "]"}]}]}], ")"}], "/", "2"}], " ", "/.", " ", 
      RowBox[{"Pz", "->", 
       RowBox[{"Pv", "  ", 
        RowBox[{"Cos", "[", "\[Theta]v", "]"}]}]}]}], " ", "/.", " ", 
     RowBox[{"Px", "->", 
      RowBox[{"Pv", "  ", 
       RowBox[{"Sin", "[", "\[Theta]v", "]"}], " ", 
       RowBox[{"Cos", "[", "\[Phi]v", "]"}]}]}]}], " ", "/.", " ", 
    RowBox[{"Py", "->", 
     RowBox[{"Pv", "  ", 
      RowBox[{"Sin", "[", "\[Theta]v", "]"}], 
      RowBox[{"Sin", "[", "\[Phi]v", "]"}]}]}]}], " ", "//", 
   "FullSimplify"}]}]], "Input",
 CellChangeTimes->{3.858786370705388*^9},
 CellLabel->
  "In[468]:=",ExpressionUUID->"3641bc08-df5f-4fbd-8cce-6993d20baac0"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"Pv", " ", 
          RowBox[{"Cos", "[", "\[Theta]v", "]"}]}]}], ")"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]v"}]], " ", "Pv", " ", 
       RowBox[{"Sin", "[", "\[Theta]v", "]"}]}]},
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]v"}]], " ", "Pv", " ", 
       RowBox[{"Sin", "[", "\[Theta]v", "]"}]}], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"Pv", " ", 
          RowBox[{"Cos", "[", "\[Theta]v", "]"}]}]}], ")"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858786375094522*^9},
 CellLabel->
  "Out[468]=",ExpressionUUID->"b3c06038-0efb-45fb-af41-62231ee23459"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"RotX", "[", "\[Theta]v", "]"}], ".", 
   RowBox[{"RotZ", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"+", "Pi"}], "/", "2"}], " ", "-", "\[Phi]v"}], " ", "]"}], ".",
    "rrf", ".", 
   RowBox[{"RotZ", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "Pi"}], "/", "2"}], "+", "\[Phi]v"}], " ", "]"}], ".", 
   RowBox[{"RotX", "[", 
    RowBox[{"-", "\[Theta]v"}], "]"}]}], "  ", "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{"r0", "==", "%"}]}], "Input",
 CellChangeTimes->{{3.8587863942290983`*^9, 3.858786428869651*^9}, 
   3.858786471252179*^9, {3.858786509795691*^9, 3.858786596799699*^9}},
 CellLabel->
  "In[476]:=",ExpressionUUID->"35dc980c-6c46-4344-ba40-1326157d8cf7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox[
       RowBox[{"1", "+", "Pv"}], "2"], "0"},
     {"0", 
      FractionBox[
       RowBox[{"1", "-", "Pv"}], "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858786429835288*^9, {3.858786528992749*^9, 3.8587865977209587`*^9}},
 CellLabel->
  "Out[476]=",ExpressionUUID->"ffd88c72-f6f2-427f-896e-909f83b500e8"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858786429835288*^9, {3.858786528992749*^9, 3.8587865977247458`*^9}},
 CellLabel->
  "Out[477]=",ExpressionUUID->"34dd1f5b-a5eb-4b82-86ae-0ee7610cba4c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Clear", "[", " ", 
  RowBox[{
  "\[Theta]v", ",", " ", "\[Phi]v", ",", "\[Phi]v", ",", "\[Gamma]v"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RotX", "[", "\[Theta]v", "]"}], ".", 
  RowBox[{"RotZ", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"+", "Pi"}], "/", "2"}], " ", "-", "\[Phi]v"}], " ", 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"WR", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Pi", "/", "2"}], " ", "-", "\[Phi]v"}], ",", " ", 
    RowBox[{"-", "\[Theta]v"}], " ", ",", 
    RowBox[{"4", " ", "Pi"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.858786756496538*^9, 3.8587867795472097`*^9}, 
   3.858786928556384*^9, {3.8587884668348503`*^9, 3.858788499505251*^9}, {
   3.858788530882873*^9, 3.858788542619046*^9}, 3.858788724092379*^9, 
   3.858788919297245*^9, {3.858789128222748*^9, 3.858789176767872*^9}, {
   3.858789294590275*^9, 3.858789313592185*^9}, {3.858789347028006*^9, 
   3.85878935316037*^9}, {3.858789417352785*^9, 3.858789460058106*^9}},
 CellLabel->
  "In[602]:=",ExpressionUUID->"fb121c85-f90f-4716-9cb5-9a22eaca0892"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", "4"]}], " ", "\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Pi]", "-", 
           RowBox[{"2", " ", "\[Phi]v"}]}], ")"}]}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}], 
      RowBox[{
       RowBox[{"-", "\[ImaginaryI]"}], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         FractionBox["1", "4"], " ", "\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Pi]", "-", 
           RowBox[{"2", " ", "\[Phi]v"}]}], ")"}]}]], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "\[ImaginaryI]"}], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", "4"]}], " ", "\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Pi]", "-", 
           RowBox[{"2", " ", "\[Phi]v"}]}], ")"}]}]], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         FractionBox["1", "4"], " ", "\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Pi]", "-", 
           RowBox[{"2", " ", "\[Phi]v"}]}], ")"}]}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858788725992831*^9, {3.858789130075223*^9, 3.858789177970098*^9}, 
   3.8587893153903513`*^9, 3.858789355145564*^9, {3.85878942035399*^9, 
   3.858789460888682*^9}},
 CellLabel->
  "Out[603]=",ExpressionUUID->"4637dd83-2709-4178-b867-bea456502970"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", "4"]}], " ", "\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Pi]", "-", 
           RowBox[{"2", " ", "\[Phi]v"}]}], ")"}]}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", "4"]}], " ", "\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Pi]", "-", 
           RowBox[{"2", " ", "\[Phi]v"}]}], ")"}]}]], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}]},
     {
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          FractionBox["1", "4"], " ", "\[ImaginaryI]", " ", 
          RowBox[{"(", 
           RowBox[{"\[Pi]", "-", 
            RowBox[{"2", " ", "\[Phi]v"}]}], ")"}]}]]}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         FractionBox["1", "4"], " ", "\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Pi]", "-", 
           RowBox[{"2", " ", "\[Phi]v"}]}], ")"}]}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858788725992831*^9, {3.858789130075223*^9, 3.858789177970098*^9}, 
   3.8587893153903513`*^9, 3.858789355145564*^9, {3.85878942035399*^9, 
   3.858789460894046*^9}},
 CellLabel->
  "Out[604]=",ExpressionUUID->"a5ae459f-cb02-4298-944f-2c922ace9cd7"]
}, Open  ]],

Cell[BoxData[
 SuperscriptBox["\[ExponentialE]", 
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", "4"]}], " ", "\[ImaginaryI]", " ", 
   RowBox[{"(", "\[Pi]", ")"}]}]]], "Input",
 CellChangeTimes->{{3.8587885989795113`*^9, 3.858788605650651*^9}},
 CellLabel->
  "In[558]:=",ExpressionUUID->"a100e005-0a13-418a-9c3a-a04eda04b4c6"],

Cell[CellGroupData[{

Cell[BoxData[
 SuperscriptBox[
  RowBox[{"(", 
   RowBox[{"-", "1"}], ")"}], 
  RowBox[{"3", "/", "4"}]]], "Input",ExpressionUUID->"c01bfbd7-2d51-452c-882f-\
68fbe8d00c79"],

Cell[BoxData[
 TagBox[
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"\[ImaginaryI]", " ", "\[Pi]"}], "4"]}]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.85878674313763*^9, 3.858786781072776*^9, 
  3.858786929821789*^9, 3.8587885061964893`*^9, 3.85878854658314*^9, 
  3.8587886076359377`*^9},
 CellLabel->
  "Out[558]=",ExpressionUUID->"518234a4-f7ec-4ce3-a3b8-cb578658d1ab"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"WR", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Pi", "/", "2"}], " ", "-", "\[Phi]v"}], ",", " ", "\[Theta]v", 
   " ", ",", 
   RowBox[{"4", " ", "Pi"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.858788662103754*^9, {3.858788808191608*^9, 3.858788824500558*^9}, 
   3.858788932573106*^9, {3.858789055511469*^9, 3.858789057400794*^9}},
 CellLabel->
  "In[574]:=",ExpressionUUID->"b4750aa6-5e0f-476d-9ca3-a8e0bd6957cd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", "4"]}], " ", "\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Pi]", "-", 
           RowBox[{"2", " ", "\[Phi]v"}]}], ")"}]}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}], 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "4"]}], " ", "\[ImaginaryI]", " ", 
          RowBox[{"(", 
           RowBox[{"\[Pi]", "-", 
            RowBox[{"2", " ", "\[Phi]v"}]}], ")"}]}]]}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         FractionBox["1", "4"], " ", "\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Pi]", "-", 
           RowBox[{"2", " ", "\[Phi]v"}]}], ")"}]}]], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         FractionBox["1", "4"], " ", "\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Pi]", "-", 
           RowBox[{"2", " ", "\[Phi]v"}]}], ")"}]}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858788663467499*^9, {3.8587888101974983`*^9, 3.858788825765091*^9}, 
   3.85878893386926*^9, 3.8587890585443573`*^9},
 CellLabel->
  "Out[574]=",ExpressionUUID->"9d61ea8d-e456-4eb2-91a1-5167b0157194"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"WR", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Pi", "/", "2"}], " ", "-", "\[Phi]v"}], ",", " ", "\[Theta]v", 
     " ", ",", 
     RowBox[{"4", "  ", "Pi"}]}], "]"}], "-", 
   RowBox[{
    RowBox[{"RotX", "[", "\[Theta]v", "]"}], ".", 
    RowBox[{"RotZ", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"+", "Pi"}], "/", "2"}], " ", "-", "\[Phi]v"}], " ", "]"}]}]}],
   " ", "//", "FullSimplify"}]], "Input",
 CellChangeTimes->{{3.858788846122693*^9, 3.8587888813132067`*^9}, {
  3.8587889658625526`*^9, 3.858789005144079*^9}},
 CellLabel->
  "In[573]:=",ExpressionUUID->"9babe32b-d3e8-4bf2-ab5c-31437fb6914f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], 
        RowBox[{"3", "/", "4"}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Phi]v", "2"], "]"}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}]},
     {
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], 
        RowBox[{"1", "/", "4"}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Phi]v", "2"], "]"}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}], "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858788862373744*^9, 3.858788882610621*^9}, {
  3.858788967545102*^9, 3.858789006516732*^9}},
 CellLabel->
  "Out[573]=",ExpressionUUID->"8a022d91-deac-4e60-b8e4-0e8d62bd6f35"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"WR", "[", 
    RowBox[{"\[Phi]v", ",", " ", "\[Theta]v", " ", ",", "\[Gamma]v"}], "]"}], 
   " ", "/.", " ", 
   RowBox[{"\[Phi]v", "->", "\[Phi]v"}]}], "    ", "//", 
  "FullSimplify"}]], "Input",
 CellChangeTimes->{{3.858787653931754*^9, 3.858787657543172*^9}, 
   3.858787689910342*^9, {3.858787748275874*^9, 3.858787751526833*^9}, {
   3.85878784673771*^9, 3.8587878749202337`*^9}, {3.858787946428897*^9, 
   3.858787955919935*^9}, 3.858788049375654*^9, {3.858788082450691*^9, 
   3.8587881437638807`*^9}, 3.858788175861113*^9, 3.858788219342971*^9, {
   3.8587882523394136`*^9, 3.85878826122707*^9}, {3.8587883037898903`*^9, 
   3.858788380490231*^9}, {3.858788410955854*^9, 3.8587884509836407`*^9}, 
   3.858788570362797*^9, 3.8587886898699293`*^9},
 CellLabel->
  "In[560]:=",ExpressionUUID->"a97f67d9-c479-43c5-86b0-f4168daf8670"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", "2"]}], " ", "\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Gamma]v", "+", "\[Phi]v"}], ")"}]}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}], 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
          RowBox[{"(", 
           RowBox[{"\[Gamma]v", "-", "\[Phi]v"}], ")"}]}]]}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", "2"]}], " ", "\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Gamma]v", "-", "\[Phi]v"}], ")"}]}]], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Gamma]v", "+", "\[Phi]v"}], ")"}]}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8587876594270144`*^9, 3.858787691906148*^9, 3.8587877528074903`*^9, {
   3.858787848204979*^9, 3.858787876184956*^9}, 3.8587879575576878`*^9, 
   3.858788050784088*^9, {3.858788084128542*^9, 3.858788145133128*^9}, 
   3.858788177608363*^9, 3.858788220901959*^9, {3.858788256595532*^9, 
   3.858788261949883*^9}, 3.8587883057542887`*^9, {3.858788346870322*^9, 
   3.8587883819420156`*^9}, {3.858788422066182*^9, 3.858788453158539*^9}, 
   3.8587885062348843`*^9, 3.8587885718871803`*^9, 3.858788691579337*^9},
 CellLabel->
  "Out[560]=",ExpressionUUID->"d5614459-e4da-4d29-bf8e-7b7ab2191dbc"]
}, Open  ]],

Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"WR", "[", 
    RowBox[{"\[Phi]v_", ",", " ", "\[Theta]v_", " ", ",", "\[Gamma]v_"}], " ",
     "]"}], ":=", 
   RowBox[{
    RowBox[{"RotZ", "[", "\[Phi]v", "]"}], ".", 
    RowBox[{"RotY", "[", "\[Theta]v", "]"}], ".", 
    RowBox[{"RotZ", "[", "\[Gamma]v", "]"}]}]}],
  FontFamily->"Times New Roman",
  FontSize->24,
  FontWeight->"Bold"]], "Input",ExpressionUUID->"abe96517-b35d-4a35-9b73-\
d395e77dc1d4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"WR", "[", 
   RowBox[{"\[Phi]v", ",", " ", "\[Theta]v", " ", ",", "\[Gamma]v"}], "]"}], 
  " ", "/.", " ", 
  RowBox[{"\[Phi]v", "->", 
   RowBox[{
    RowBox[{"Pi", "/", "2"}], " ", "-", "\[Phi]v", " "}]}]}]], "Input",
 CellChangeTimes->{{3.8587867935087137`*^9, 3.85878683171418*^9}, {
   3.858786862274085*^9, 3.858786894121913*^9}, 3.858786953858076*^9, {
   3.858786995449481*^9, 3.858787079014817*^9}, 3.858787303129978*^9, 
   3.858787352048305*^9},
 CellLabel->
  "In[509]:=",ExpressionUUID->"83b357af-1f22-40ce-a588-f0ccec73b364"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"\[ImaginaryI]", " ", "\[Gamma]v"}], "2"]}], "-", 
         RowBox[{
          FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
          RowBox[{"(", 
           RowBox[{
            FractionBox["\[Pi]", "2"], "-", "\[Phi]v"}], ")"}]}]}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}], 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          FractionBox[
           RowBox[{"\[ImaginaryI]", " ", "\[Gamma]v"}], "2"], "-", 
          RowBox[{
           FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
           RowBox[{"(", 
            RowBox[{
             FractionBox["\[Pi]", "2"], "-", "\[Phi]v"}], ")"}]}]}]]}], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"\[ImaginaryI]", " ", "\[Gamma]v"}], "2"]}], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
          RowBox[{"(", 
           RowBox[{
            FractionBox["\[Pi]", "2"], "-", "\[Phi]v"}], ")"}]}]}]], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "\[Gamma]v"}], "2"], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
          RowBox[{"(", 
           RowBox[{
            FractionBox["\[Pi]", "2"], "-", "\[Phi]v"}], ")"}]}]}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]v", "2"], "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8587868329318867`*^9, 3.8587868648731403`*^9, 3.858786895711722*^9, 
   3.858786955515003*^9, {3.858787005678421*^9, 3.858787018945712*^9}, 
   3.85878704966931*^9, 3.858787080493042*^9, 3.858787304551119*^9, 
   3.85878735951036*^9},
 CellLabel->
  "Out[509]=",ExpressionUUID->"9f695d4c-a21f-4154-8813-2fcd20c2711a"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"\[ImaginaryI]", " ", "\[Gamma]v"}], "2"]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox["\[Pi]", "2"], "-", "\[Phi]v"}], ")"}]}]}]], 
  ";"}]], "Input",
 CellChangeTimes->{3.858787175181493*^9},
 CellLabel->
  "In[510]:=",ExpressionUUID->"1718f380-ba11-4492-893e-f6513751daaa"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", "4"]}], " ", "\[ImaginaryI]", " ", 
    RowBox[{"(", 
     RowBox[{"\[Pi]", "-", 
      RowBox[{"2", " ", "\[Phi]v"}]}], ")"}]}]], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  TagBox[
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", "\[Gamma]v"}], "2"]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["\[Pi]", "2"], "-", "\[Phi]v"}], ")"}]}]}]],
   Function[BoxForm`e$, 
    MatrixForm[BoxForm`e$]]], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%%", "/", "%"}], "  ", "//", "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.858787177894663*^9, 3.858787250275827*^9}, 
   3.858787330470623*^9, {3.858787370488467*^9, 3.858787396959691*^9}},
 CellLabel->
  "In[520]:=",ExpressionUUID->"bde127f0-ed68-470e-b136-9257764bf1f3"],

Cell[BoxData[
 TagBox[
  SuperscriptBox["\[ExponentialE]", 
   FractionBox[
    RowBox[{"\[ImaginaryI]", " ", "\[Gamma]v"}], "2"]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8587871871672277`*^9, 3.858787251821224*^9}, {
  3.858787332371456*^9, 3.8587873987016773`*^9}},
 CellLabel->
  "Out[522]=",ExpressionUUID->"b86abf44-7226-401b-b3f2-43defafcdc4a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 SuperscriptBox["\[ExponentialE]", 
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", "4"]}], " ", "\[ImaginaryI]", " ", 
   RowBox[{"(", 
    RowBox[{"\[Pi]", "-", 
     RowBox[{"2", " ", "\[Phi]v"}]}], ")"}]}]]], "Input",
 CellLabel->
  "In[492]:=",ExpressionUUID->"66eac8df-078e-43ed-a6f3-f51d9658c272"],

Cell[BoxData[
 TagBox[
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", "4"]}], " ", "\[ImaginaryI]", " ", 
    RowBox[{"(", 
     RowBox[{"\[Pi]", "-", 
      RowBox[{"2", " ", "\[Phi]v"}]}], ")"}]}]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8587871358680143`*^9},
 CellLabel->
  "Out[492]=",ExpressionUUID->"97b1f2b3-99d2-4472-9018-d59c55d7d10a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"%%", "/", "%"}]], "Input",
 CellChangeTimes->{{3.858787119211864*^9, 3.8587871214273443`*^9}},
 CellLabel->
  "In[493]:=",ExpressionUUID->"33dc09ee-2170-423a-a89f-1289edf5e30c"],

Cell[BoxData[
 TagBox[
  SuperscriptBox["\[ExponentialE]", 
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"\[ImaginaryI]", " ", "\[Gamma]v"}], "2"]}], "+", 
    RowBox[{
     FractionBox["1", "4"], " ", "\[ImaginaryI]", " ", 
     RowBox[{"(", 
      RowBox[{"\[Pi]", "-", 
       RowBox[{"2", " ", "\[Phi]v"}]}], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox["\[Pi]", "2"], "-", "\[Phi]v"}], ")"}]}]}]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.8587871231500473`*^9, 3.8587871358914633`*^9}},
 CellLabel->
  "Out[493]=",ExpressionUUID->"0d014019-2b54-4c3c-a422-cc896d426011"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"-", 
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{
     FractionBox[
      RowBox[{"\[ImaginaryI]", " ", "\[Gamma]v"}], "2"], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["\[Pi]", "2"], "-", "\[Phi]v"}], ")"}]}]}]]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"-", "\[ImaginaryI]"}], " ", 
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{
     FractionBox["1", "4"], " ", "\[ImaginaryI]", " ", 
     RowBox[{"(", 
      RowBox[{"\[Pi]", "-", 
       RowBox[{"2", " ", "\[Phi]v"}]}], ")"}]}]]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%%", "/", "%"}], "  ", "//", "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.8587874455221653`*^9, 3.8587874759199133`*^9}},
 CellLabel->
  "In[526]:=",ExpressionUUID->"2f0a2f80-b454-4d36-97c9-63aa844509e6"],

Cell[BoxData[
 TagBox[
  RowBox[{"-", 
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{
     FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
     RowBox[{"(", 
      RowBox[{"\[Gamma]v", "+", 
       RowBox[{"2", " ", "\[Phi]v"}]}], ")"}]}]]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.858787457642436*^9, 3.85878747782543*^9}},
 CellLabel->
  "Out[528]=",ExpressionUUID->"cf1afd31-7429-4856-a9a2-e6bd38d802be"]
}, Open  ]]
},
WindowSize->{951, 439},
WindowMargins->{{Automatic, -240}, {Automatic, 0}},
FrontEndVersion->"13.0 for Mac OS X x86 (64-bit) (December 2, 2021)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"da87d126-2c4b-4487-87b1-4215e616bec8"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 436, 12, 73, "Input",ExpressionUUID->"dba4aa57-44ee-4cc5-8980-278cb3b2efd3"],
Cell[1019, 36, 350, 6, 24, "Print",ExpressionUUID->"3ce66fd8-1afa-4f3f-9c12-cc104783615c"]
}, Open  ]],
Cell[1384, 45, 1436, 44, 52, "Input",ExpressionUUID->"a5a51fbe-333c-4b7b-a483-ad145bac0ceb"],
Cell[2823, 91, 706, 19, 52, "Input",ExpressionUUID->"92f81b20-4322-48a8-b33a-f5bafad9c6ce"],
Cell[CellGroupData[{
Cell[3554, 114, 1905, 53, 128, "Input",ExpressionUUID->"7b32d491-6d39-4b92-9877-865ba72b0346"],
Cell[5462, 169, 721, 19, 49, "Output",ExpressionUUID->"b32bdace-188f-409c-9a9a-e479a4ef4b99"],
Cell[6186, 190, 332, 7, 34, "Output",ExpressionUUID->"85655a6b-9ff4-4257-96cf-d25a244d130f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6555, 202, 183, 3, 30, "Input",ExpressionUUID->"2953ab40-7985-4df2-878a-c58872074507"],
Cell[6741, 207, 991, 26, 71, "Output",ExpressionUUID->"fd19752f-8a91-420c-a53c-7163e00e7f8d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7769, 238, 1213, 31, 73, "Input",ExpressionUUID->"62102c60-c128-4671-9288-d6614937a063"],
Cell[8985, 271, 735, 20, 53, "Output",ExpressionUUID->"63c52e57-fa14-46b5-8f5f-cb297db1268e"],
Cell[9723, 293, 712, 19, 53, "Output",ExpressionUUID->"1569765e-ecfa-494e-a83f-0164010143e3"],
Cell[10438, 314, 717, 19, 49, "Output",ExpressionUUID->"91e38e61-4c84-4bb8-9983-49ab9dd09c47"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11192, 338, 2403, 69, 115, "Input",ExpressionUUID->"2953131f-56c7-41d5-8f76-fb53399eb196"],
Cell[13598, 409, 1374, 38, 89, "Output",ExpressionUUID->"9de54ae9-533e-4ca2-888c-2d41b35e9489"],
Cell[14975, 449, 1033, 27, 69, "Output",ExpressionUUID->"5cea347c-08b1-40d5-959f-37a58e114e96"]
}, Open  ]],
Cell[16023, 479, 257, 4, 30, "Input",ExpressionUUID->"f014d32d-3baa-4cd1-a557-77dfc9fbfc49"],
Cell[CellGroupData[{
Cell[16305, 487, 1156, 29, 73, "Input",ExpressionUUID->"5aa368bc-ab92-48ab-9388-541f9cbb00b3"],
Cell[17464, 518, 2245, 60, 81, "Output",ExpressionUUID->"d4790d56-04df-4ded-89d7-204237a8561e"],
Cell[19712, 580, 2120, 56, 81, "Output",ExpressionUUID->"5cd89901-12b2-4eae-a8e4-c8671af3055e"],
Cell[21835, 638, 874, 21, 49, "Output",ExpressionUUID->"b552b60f-c31e-44d2-9605-600f29dac502"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22746, 664, 928, 23, 52, "Input",ExpressionUUID->"9e86a959-a608-4c7f-9ceb-7cfe69f87440"],
Cell[23677, 689, 2988, 85, 111, "Output",ExpressionUUID->"b174a34a-039b-44dd-bbe5-94ea0e42be4b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26702, 779, 2104, 43, 94, "Input",ExpressionUUID->"f81dcd2e-9867-4b9e-a90e-760d919c6faf"],
Cell[28809, 824, 1976, 54, 71, "Output",ExpressionUUID->"bfd66a7d-34ba-4885-a88a-62d66939fe42"],
Cell[30788, 880, 1978, 54, 71, "Output",ExpressionUUID->"b9856866-adbf-4190-96f4-a7c4d170dd7c"],
Cell[32769, 936, 874, 21, 49, "Output",ExpressionUUID->"5580c5f3-6eb9-4a97-babd-7055c0bd6362"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33680, 962, 1304, 33, 94, "Input",ExpressionUUID->"8255bbb3-16cc-4595-a40e-abb3485e7ca4"],
Cell[34987, 997, 1849, 50, 71, "Output",ExpressionUUID->"8d2653d6-cdc5-4a98-a327-2d1071e42f34"],
Cell[36839, 1049, 1472, 38, 71, "Output",ExpressionUUID->"374e689e-65a2-463e-b596-3002bf0efbac"],
Cell[38314, 1089, 796, 20, 49, "Output",ExpressionUUID->"17645423-81c5-4090-9d91-4969d9cbb440"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39147, 1114, 1070, 29, 94, "Input",ExpressionUUID->"d92ecc94-6805-40a3-a73d-346704001f4d"],
Cell[40220, 1145, 1654, 47, 71, "Output",ExpressionUUID->"668971b7-dbe0-4db8-b6e1-2fe94115c692"],
Cell[41877, 1194, 1654, 47, 71, "Output",ExpressionUUID->"9deca5e1-a8b6-4785-932b-a4d536c15a22"],
Cell[43534, 1243, 625, 17, 49, "Output",ExpressionUUID->"2f7fb5ce-4fc0-42d5-bbdd-199714701438"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44196, 1265, 1862, 50, 94, "Input",ExpressionUUID->"044fc0c8-c1c9-4582-ab85-824a168b4e5b"],
Cell[46061, 1317, 2014, 51, 65, "Output",ExpressionUUID->"af7322c3-067c-44b0-b05d-6298405ae77b"],
Cell[48078, 1370, 1080, 22, 34, "Output",ExpressionUUID->"a582d5eb-b076-467b-88ed-0c46ad006191"]
}, Open  ]],
Cell[CellGroupData[{
Cell[49195, 1397, 2293, 63, 115, "Input",ExpressionUUID->"c62d9cff-9d18-47a2-b7a5-366e9b56209f"],
Cell[51491, 1462, 415, 12, 34, "Output",ExpressionUUID->"0df37073-6f3a-43af-af16-6b23808e1689"]
}, Open  ]],
Cell[CellGroupData[{
Cell[51943, 1479, 795, 20, 30, "Input",ExpressionUUID->"30149cac-a3c8-478d-8468-2f333a4ae84c"],
Cell[52741, 1501, 1430, 40, 65, "Output",ExpressionUUID->"d6899f3e-e4a6-4b88-9892-6cad7a01d4b7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[54208, 1546, 2366, 65, 94, "Input",ExpressionUUID->"44d35469-582b-455c-a3a4-33d77578d5cb"],
Cell[56577, 1613, 340, 8, 34, "Output",ExpressionUUID->"0a9e087e-60b5-444f-af7a-097b16fdb1b3"],
Cell[56920, 1623, 340, 8, 34, "Output",ExpressionUUID->"9e6c8da8-5d55-410c-96b4-0316fca5948b"],
Cell[57263, 1633, 294, 7, 34, "Output",ExpressionUUID->"906c5ab9-e303-4037-9ae6-7bdfb5a91a89"],
Cell[57560, 1642, 424, 11, 34, "Output",ExpressionUUID->"3fbe8df1-fd54-4a57-a41f-691e84ff1bde"],
Cell[57987, 1655, 421, 11, 34, "Output",ExpressionUUID->"cf5391a8-ca55-4a76-a6e9-3dd21c388bc4"],
Cell[58411, 1668, 376, 10, 34, "Output",ExpressionUUID->"9072dc98-e29d-4bea-9372-9ab34253012b"]
}, Open  ]],
Cell[58802, 1681, 2666, 69, 115, "Input",ExpressionUUID->"5e7688d1-18a0-4f5d-9cbe-0119f9ae5f53"],
Cell[CellGroupData[{
Cell[61493, 1754, 2225, 61, 115, "Input",ExpressionUUID->"86fcea39-5b93-4740-ac12-0ddaea7decdf"],
Cell[63721, 1817, 1191, 29, 65, "Output",ExpressionUUID->"52fae3a0-cfc7-4684-804c-e20e8e57582c"],
Cell[64915, 1848, 748, 14, 34, "Output",ExpressionUUID->"8b856380-2bff-4a6f-acf9-d17175215ec1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[65700, 1867, 2699, 74, 136, "Input",ExpressionUUID->"1c1e2c91-3553-4acf-9f20-5d680bd0095f"],
Cell[68402, 1943, 336, 8, 34, "Output",ExpressionUUID->"5d2eadb6-f7b1-4d26-bb14-dc07e3203d1f"],
Cell[68741, 1953, 336, 8, 34, "Output",ExpressionUUID->"dd83ab23-b6db-4e5e-b7b2-29905e2e5374"],
Cell[69080, 1963, 336, 8, 34, "Output",ExpressionUUID->"a6fd8649-cfb2-4b6c-9cbd-f6a78b39e0c5"]
}, Open  ]],
Cell[69431, 1974, 597, 18, 30, "Input",ExpressionUUID->"1c3151f4-3b8c-456a-af80-d32a58688d76"],
Cell[70031, 1994, 327, 6, 178, "Input",ExpressionUUID->"31acb5f8-9c9c-4464-8657-abfe0aded0a3"],
Cell[CellGroupData[{
Cell[70383, 2004, 1438, 41, 52, "Input",ExpressionUUID->"d3d6bd43-431a-4b84-9475-04f72102a2b7"],
Cell[71824, 2047, 375, 12, 54, "Output",ExpressionUUID->"bff878ae-0439-44a5-b742-7a3bac0501f2"],
Cell[72202, 2061, 397, 13, 54, "Output",ExpressionUUID->"8b311158-f09f-40e2-9e6b-a1a2acfbef3c"]
}, Open  ]],
Cell[72614, 2077, 685, 21, 52, "Input",ExpressionUUID->"e74030ba-3884-43e9-a3bd-2f97b5a3188c"],
Cell[73302, 2100, 962, 28, 52, InheritFromParent,ExpressionUUID->"08330d62-c9f3-4659-89d0-db0d86062bcc"],
Cell[74267, 2130, 1161, 25, 49, "Output",ExpressionUUID->"3948a06c-40b0-4b5e-a899-546cd17d65d7"],
Cell[CellGroupData[{
Cell[75453, 2159, 1565, 41, 115, "Input",ExpressionUUID->"396f1870-90e9-49b6-9924-202795a56c11"],
Cell[77021, 2202, 1079, 29, 55, "Output",ExpressionUUID->"00ed6c5f-d562-4bc8-a1d3-62b8600d56fc"],
Cell[78103, 2233, 238, 5, 34, "Output",ExpressionUUID->"8521a65c-9ced-4634-996e-e535c5b894af"]
}, Open  ]],
Cell[CellGroupData[{
Cell[78378, 2243, 467, 12, 30, "Input",ExpressionUUID->"9485432c-3065-46f5-97e5-e823cc0da0da"],
Cell[78848, 2257, 2047, 54, 55, "Output",ExpressionUUID->"c1fb1cdb-56e5-4694-8d7e-5f0832c6bba9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[80932, 2316, 1092, 32, 52, "Input",ExpressionUUID->"c580e53a-e7ea-4d4e-99fa-79502e036b5d"],
Cell[82027, 2350, 2096, 58, 65, "Output",ExpressionUUID->"ec956f96-ead1-480c-a07d-3180302c8ac2"],
Cell[84126, 2410, 1655, 46, 69, "Output",ExpressionUUID->"0f527bbf-872a-4e25-a2d4-7170bda9ead1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[85818, 2461, 1388, 36, 122, "Input",ExpressionUUID->"77dd6833-3d95-4422-8f55-0183b4487b60"],
Cell[87209, 2499, 1388, 38, 69, "Output",ExpressionUUID->"5c19be35-1225-40c2-97fc-ed8e5c948f83"],
Cell[88600, 2539, 1675, 45, 69, "Output",ExpressionUUID->"85297e05-9719-4cc6-8282-18e6e1212abc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[90312, 2589, 279, 6, 30, "Input",ExpressionUUID->"e253da45-59fe-4786-afbc-08db245b6428"],
Cell[90594, 2597, 689, 19, 65, "Output",ExpressionUUID->"baed9cd3-0982-4338-99c9-6bb85984bce0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[91320, 2621, 331, 6, 52, "Input",ExpressionUUID->"73c9d101-ad81-441c-b9d1-e53045cef6dd"],
Cell[91654, 2629, 865, 24, 67, "Output",ExpressionUUID->"fa5d23af-64f9-4954-befb-67a8968e3e8b"],
Cell[92522, 2655, 873, 24, 67, "Output",ExpressionUUID->"29ac953d-3691-4805-858c-c63c2899c40a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[93432, 2684, 1483, 38, 52, "Input",ExpressionUUID->"1271841e-25c3-4a8a-8ca9-608cbfe37cfd"],
Cell[94918, 2724, 3157, 84, 83, "Output",ExpressionUUID->"9e301884-439f-4b1b-b9d3-2a54b94e8353"]
}, Open  ]],
Cell[CellGroupData[{
Cell[98112, 2813, 252, 5, 30, "Input",ExpressionUUID->"dbeeb938-0c20-44f5-a7e2-140a2843aa8e"],
Cell[98367, 2820, 484, 13, 34, "Output",ExpressionUUID->"37a9b3b0-d455-431e-8d45-a755c5a2c64d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[98888, 2838, 196, 3, 30, "Input",ExpressionUUID->"3e02c527-a0a0-4d85-bfd9-2724e7d28c8f"],
Cell[99087, 2843, 761, 23, 69, "Output",ExpressionUUID->"c61aae22-ee36-4b01-b190-7ff1252ed4e7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[99885, 2871, 1060, 25, 30, "Input",ExpressionUUID->"4f0de634-f430-464e-862f-3f71fb67f955"],
Cell[100948, 2898, 89719, 2091, 239, "Output",ExpressionUUID->"057ba203-bb71-46dc-94e3-f6377490ea72"]
}, Open  ]],
Cell[CellGroupData[{
Cell[190704, 4994, 574, 12, 52, "Input",ExpressionUUID->"f178454a-34fd-4071-b26e-1faba81cceba"],
Cell[191281, 5008, 131735, 3072, 243, "Output",ExpressionUUID->"575d8d0b-95f3-4860-8182-f760dfd41ed6"],
Cell[323019, 8082, 70485, 1699, 245, "Output",ExpressionUUID->"776d54b7-13b2-49f2-b96f-8b4c08476138"]
}, Open  ]],
Cell[CellGroupData[{
Cell[393541, 9786, 540, 14, 52, "Input",ExpressionUUID->"21e8d6b8-da28-48ca-a295-73259ad9a257"],
Cell[394084, 9802, 376, 9, 34, "Output",ExpressionUUID->"b1f9e713-bbc6-4f5c-9dd8-9042a34fe73b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[394497, 9816, 517, 14, 52, "Input",ExpressionUUID->"3662ba1d-d62b-4aff-be63-991ffc484733"],
Cell[395017, 9832, 370, 9, 34, "Output",ExpressionUUID->"318500b2-b44d-4a32-8163-a67b02bb07aa"]
}, Open  ]],
Cell[CellGroupData[{
Cell[395424, 9846, 507, 12, 30, "Input",ExpressionUUID->"07e38143-eaa9-433a-833f-957e785c9c8f"],
Cell[395934, 9860, 998, 27, 51, "Output",ExpressionUUID->"822640fd-03c7-4fe0-a471-dd34afa7dcf1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[396969, 9892, 1220, 31, 115, "Input",ExpressionUUID->"e446bd68-7044-4fc1-82ae-ec794ebf99d6"],
Cell[398192, 9925, 1327, 37, 51, "Output",ExpressionUUID->"0459a339-6d7f-4004-bddd-c7501630570e"],
Cell[399522, 9964, 1327, 37, 51, "Output",ExpressionUUID->"81b77c08-3f42-4eeb-bda1-64e54bcbea7c"],
Cell[400852, 10003, 682, 19, 49, "Output",ExpressionUUID->"90fbc7c4-3191-487a-9329-0d75e3aa21b7"],
Cell[401537, 10024, 682, 19, 49, "Output",ExpressionUUID->"d991d883-ea9a-4cdc-af7d-3e5c1e310f4b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[402256, 10048, 3356, 76, 136, "Input",ExpressionUUID->"fb5faa8d-f693-43c9-8d41-6b46f656a399"],
Cell[405615, 10126, 1541, 43, 65, "Output",ExpressionUUID->"1227f407-6caf-46fa-aff5-96c0bd6e70ca"],
Cell[407159, 10171, 1539, 43, 65, "Output",ExpressionUUID->"227514f5-6474-4ebc-8875-6c32d760ee2b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[408735, 10219, 291, 6, 30, "Input",ExpressionUUID->"1f719b29-6e65-4595-8597-dea55dd1d9a7"],
Cell[409029, 10227, 1083, 25, 49, "Output",ExpressionUUID->"e6343d87-e8f2-496e-8cbc-8fe01d2ac500"]
}, Open  ]],
Cell[CellGroupData[{
Cell[410149, 10257, 1084, 30, 52, "Input",ExpressionUUID->"3641bc08-df5f-4fbd-8cce-6993d20baac0"],
Cell[411236, 10289, 1420, 41, 65, "Output",ExpressionUUID->"b3c06038-0efb-45fb-af41-62231ee23459"]
}, Open  ]],
Cell[CellGroupData[{
Cell[412693, 10335, 745, 20, 52, "Input",ExpressionUUID->"35dc980c-6c46-4344-ba40-1326157d8cf7"],
Cell[413441, 10357, 766, 23, 65, "Output",ExpressionUUID->"ffd88c72-f6f2-427f-896e-909f83b500e8"],
Cell[414210, 10382, 269, 7, 34, "Output",ExpressionUUID->"34dd1f5b-a5eb-4b82-86ae-0ee7610cba4c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[414516, 10394, 1151, 27, 115, "Input",ExpressionUUID->"fb121c85-f90f-4716-9cb5-9a22eaca0892"],
Cell[415670, 10423, 2185, 61, 81, "Output",ExpressionUUID->"4637dd83-2709-4178-b867-bea456502970"],
Cell[417858, 10486, 2124, 60, 81, "Output",ExpressionUUID->"a5ae459f-cb02-4298-944f-2c922ace9cd7"]
}, Open  ]],
Cell[419997, 10549, 330, 8, 38, "Input",ExpressionUUID->"a100e005-0a13-418a-9c3a-a04eda04b4c6"],
Cell[CellGroupData[{
Cell[420352, 10561, 172, 5, 30, "Input",ExpressionUUID->"c01bfbd7-2d51-452c-882f-68fbe8d00c79"],
Cell[420527, 10568, 455, 12, 42, "Output",ExpressionUUID->"518234a4-f7ec-4ce3-a3b8-cb578658d1ab"]
}, Open  ]],
Cell[CellGroupData[{
Cell[421019, 10585, 442, 11, 30, "Input",ExpressionUUID->"b4750aa6-5e0f-476d-9ca3-a8e0bd6957cd"],
Cell[421464, 10598, 2077, 59, 81, "Output",ExpressionUUID->"9d61ea8d-e456-4eb2-91a1-5167b0157194"]
}, Open  ]],
Cell[CellGroupData[{
Cell[423578, 10662, 667, 19, 30, "Input",ExpressionUUID->"9babe32b-d3e8-4bf2-ab5c-31437fb6914f"],
Cell[424248, 10683, 1274, 37, 71, "Output",ExpressionUUID->"8a022d91-deac-4e60-b8e4-0e8d62bd6f35"]
}, Open  ]],
Cell[CellGroupData[{
Cell[425559, 10725, 885, 17, 30, "Input",ExpressionUUID->"a97f67d9-c479-43c5-86b0-f4168daf8670"],
Cell[426447, 10744, 2354, 60, 81, "Output",ExpressionUUID->"d5614459-e4da-4d29-bf8e-7b7ab2191dbc"]
}, Open  ]],
Cell[428816, 10807, 456, 13, 40, "Input",ExpressionUUID->"abe96517-b35d-4a35-9b73-d395e77dc1d4"],
Cell[CellGroupData[{
Cell[429297, 10824, 574, 13, 30, "Input",ExpressionUUID->"83b357af-1f22-40ce-a588-f0ccec73b364"],
Cell[429874, 10839, 2642, 73, 81, "Output",ExpressionUUID->"9f695d4c-a21f-4154-8813-2fcd20c2711a"]
}, Open  ]],
Cell[432531, 10915, 485, 15, 38, "Input",ExpressionUUID->"1718f380-ba11-4492-893e-f6513751daaa"],
Cell[CellGroupData[{
Cell[433041, 10934, 1008, 28, 91, "Input",ExpressionUUID->"bde127f0-ed68-470e-b136-9257764bf1f3"],
Cell[434052, 10964, 397, 10, 42, "Output",ExpressionUUID->"b86abf44-7226-401b-b3f2-43defafcdc4a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[434486, 10979, 319, 9, 38, "Input",ExpressionUUID->"66eac8df-078e-43ed-a6f3-f51d9658c272"],
Cell[434808, 10990, 433, 13, 42, "Output",ExpressionUUID->"97b1f2b3-99d2-4472-9018-d59c55d7d10a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[435278, 11008, 201, 4, 30, "Input",ExpressionUUID->"33dc09ee-2170-423a-a89f-1289edf5e30c"],
Cell[435482, 11014, 728, 21, 42, "Output",ExpressionUUID->"0d014019-2b54-4c3c-a422-cc896d426011"]
}, Open  ]],
Cell[CellGroupData[{
Cell[436247, 11040, 915, 27, 91, "Input",ExpressionUUID->"2f0a2f80-b454-4d36-97c9-63aa844509e6"],
Cell[437165, 11069, 461, 13, 42, "Output",ExpressionUUID->"cf1afd31-7429-4856-a9a2-e6bd38d802be"]
}, Open  ]]
}
]
*)

