(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     45280,        973]
NotebookOptionsPosition[     42205,        927]
NotebookOutlinePosition[     42600,        943]
CellTagsIndexPosition[     42557,        940]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"loads", " ", "the", " ", "package"}], " ", "-", " ", 
    RowBox[{"after", " ", "installation"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"Needs", "[", "\"\<ToPython`\>\"", "]"}]}]], "Input",
 CellChangeTimes->{{3.70181767476367*^9, 3.701817694205203*^9}, {
  3.7018181976937943`*^9, 3.701818211998588*^9}, {3.8598001448933764`*^9, 
  3.8598001471643476`*^9}},ExpressionUUID->"3b1911b0-7e43-447c-97f9-\
52cb5fc7bff1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "ToPython"}]], "Input",
 CellChangeTimes->{{3.70181815383568*^9, 3.7018181578773003`*^9}, 
   3.701818214459565*^9},
 CellLabel->"In[2]:=",ExpressionUUID->"3da2fbb5-b218-4951-bf9c-cc1ab4ed889a"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"ToPython[expression,numpystring] converts \
Mathematica expression to a Numpy compatible expression.\\n because Numpy can \
be imported in several ways, numpystring is a string that will be added to \
appended to function names, e.g., Cos->numpy.cos\"\>", "InformationUsageText",
             
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[
           TagBox[GridBox[{
              {
               StyleBox[
                TagBox[
                 TooltipBox[
                  StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                   StripOnInput->False],
                  "\"Definitions\"",
                  TooltipStyle->"TextStyling"],
                 Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                StripOnInput->False]},
              {
               TemplateBox[{"\"\[ThinSpace]\"", 
                 GridBox[{{
                    RowBox[{
                    RowBox[{"ToPython", "[", 
                    RowBox[{"Private`x_", ",", 
                    RowBox[{"Private`numpyprefix_", ":", "\"numpy\""}]}], 
                    "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Private`expression", "=", "Private`x"}], ",", 
                    "Private`greekrule", ",", "Private`PythonForm", ",", 
                    RowBox[{"Private`numpypre", "=", "Private`numpyprefix"}], 
                    ",", "Private`lp", ",", "Private`rp", ",", "Private`a", 
                    ",", "Private`b"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"Private`numpyprefix", "\[Equal]", "\"\""}], ",", 
                    
                    RowBox[{"Private`sep", "=", "\"\""}], ",", 
                    RowBox[{"Private`sep", "=", "\".\""}]}], "]"}], ";", 
                    RowBox[{"Private`lp", "=", "\"( \""}], ";", 
                    RowBox[{"Private`rp", "=", "\" )\""}], ";", 
                    RowBox[{
                    RowBox[{"Private`PythonForm", "[", 
                    RowBox[{"Rational", "[", 
                    RowBox[{"Private`a_", ",", "Private`b_"}], "]"}], "]"}], 
                    ":=", 
                    RowBox[{
                    RowBox[{"Private`PythonForm", "[", "Private`a", "]"}], 
                    "<>", "\"/\"", "<>", 
                    RowBox[{"Private`PythonForm", "[", "Private`b", "]"}]}]}],
                     ";", 
                    RowBox[{
                    RowBox[{"Private`PythonForm", "[", 
                    RowBox[{"Complex", "[", 
                    RowBox[{"Private`a_", ",", "Private`b_"}], "]"}], "]"}], 
                    ":=", 
                    RowBox[{"\"complex\"", "<>", "Private`lp", "<>", 
                    RowBox[{"Private`PythonForm", "[", "Private`a", "]"}], 
                    "<>", "\",\"", "<>", 
                    RowBox[{"Private`PythonForm", "[", "Private`b", "]"}], 
                    "<>", "Private`rp"}]}], ";", 
                    RowBox[{
                    RowBox[{"Private`PythonForm", "[", 
                    RowBox[{"Private`a_", " ", "Private`b_"}], "]"}], ":=", 
                    RowBox[{
                    RowBox[{"Private`PythonForm", "[", "Private`a", "]"}], 
                    "<>", "\" * \"", "<>", 
                    RowBox[{"Private`PythonForm", "[", "Private`b", "]"}]}]}],
                     ";", 
                    RowBox[{
                    RowBox[{"Private`PythonForm", "[", 
                    RowBox[{"Private`a_", "+", "Private`b_"}], "]"}], ":=", 
                    RowBox[{"Private`lp", "<>", 
                    RowBox[{"Private`PythonForm", "[", "Private`a", "]"}], 
                    "<>", "\" + \"", "<>", 
                    RowBox[{"Private`PythonForm", "[", "Private`b", "]"}], 
                    "<>", "Private`rp"}]}], ";", 
                    RowBox[{
                    RowBox[{"Private`PythonForm", "[", 
                    RowBox[{"Private`h_", "[", "Private`args__", "]"}], "]"}],
                     ":=", 
                    RowBox[{"Private`numpypre", "<>", "Private`sep", "<>", 
                    RowBox[{"ToLowerCase", "[", 
                    RowBox[{"Private`PythonForm", "[", "Private`h", "]"}], 
                    "]"}], "<>", "Private`lp", "<>", 
                    RowBox[{"Private`PythonForm", "[", "Private`args", "]"}], 
                    "<>", "Private`rp"}]}], ";", 
                    RowBox[{
                    RowBox[{"Private`PythonForm", "[", 
                    SuperscriptBox["Private`a_", "Private`b_"], "]"}], ":=", 
                    RowBox[{"Private`lp", "<>", 
                    RowBox[{"Private`PythonForm", "[", "Private`a", "]"}], 
                    "<>", "Private`rp", "<>", "\"**\"", "<>", "Private`lp", 
                    "<>", 
                    RowBox[{"Private`PythonForm", "[", "Private`b", "]"}], 
                    "<>", "Private`rp"}]}], ";", 
                    RowBox[{
                    
                    RowBox[{"Private`PythonForm", "[", "Private`a_ListQ", 
                    "]"}], ":=", 
                    
                    RowBox[{"Private`numpypre", "<>", "Private`sep", "<>", 
                    "\"array\"", "<>", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", "Private`a", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\"{\"", "\[Rule]", "\"[\""}], ",", 
                    RowBox[{"\"}\"", "\[Rule]", "\"]\""}]}], "}"}]}], 
                    "]"}]}]}], ";", 
                    RowBox[{
                    RowBox[{"Private`PythonForm", "[", "Arg", "]"}], "=", 
                    
                    RowBox[{"Private`numpypre", "<>", "Private`sep", "<>", 
                    "\"angle\""}]}], ";", 
                    RowBox[{
                    RowBox[{"Private`PythonForm", "[", "Csc", "]"}], ":=", 
                    
                    RowBox[{"\"1/\"", "<>", "Private`numpypre", "<>", 
                    "Private`sep", "<>", "\"sin\""}]}], ";", 
                    RowBox[{
                    RowBox[{"Private`PythonForm", "[", "Sec", "]"}], ":=", 
                    
                    RowBox[{"\"1/\"", "<>", "Private`numpypre", "<>", 
                    "Private`sep", "<>", "\"cos\""}]}], ";", 
                    RowBox[{
                    RowBox[{"Private`PythonForm", "[", "Cot", "]"}], ":=", 
                    
                    RowBox[{"\"1/\"", "<>", "Private`numpypre", "<>", 
                    "Private`sep", "<>", "\"tan\""}]}], ";", 
                    RowBox[{
                    RowBox[{"Private`PythonForm", "[", "Csch", "]"}], ":=", 
                    
                    RowBox[{"\"1/\"", "<>", "Private`numpypre", "<>", 
                    "Private`sep", "<>", "\"sinh\""}]}], ";", 
                    RowBox[{
                    RowBox[{"Private`PythonForm", "[", "Sech", "]"}], ":=", 
                    
                    RowBox[{"\"1/\"", "<>", "Private`numpypre", "<>", 
                    "Private`sep", "<>", "\"cosh\""}]}], ";", 
                    RowBox[{
                    RowBox[{"Private`PythonForm", "[", "Coth", "]"}], ":=", 
                    
                    RowBox[{"\"1/\"", "<>", "Private`numpypre", "<>", 
                    "Private`sep", "<>", "\"tanh\""}]}], ";", 
                    RowBox[{
                    RowBox[{"Private`PythonForm", "[", 
                    RowBox[{"{", "Private`args__", "}"}], "]"}], ":=", 
                    
                    RowBox[{"Private`numpypre", "<>", "Private`sep", "<>", 
                    "\"array\"", "<>", "Private`lp", "<>", "\"[\"", "<>", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Private`PythonForm", "[", 
                    RowBox[{
                    RowBox[{"{", "Private`args", "}"}], 
                    "\[LeftDoubleBracket]", "Private`ii", 
                    "\[RightDoubleBracket]"}], "]"}], "<>", "\",\""}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`ii", ",", "1", ",", 
                    RowBox[{"Length", "[", 
                    RowBox[{"{", "Private`args", "}"}], "]"}]}], "}"}]}], 
                    "]"}], "<>", "\"]\"", "<>", "Private`rp"}]}], ";", 
                    RowBox[{
                    RowBox[{"Private`PythonForm", "[", "\[Pi]", "]"}], "=", 
                    
                    RowBox[{"Private`numpypre", "<>", "Private`sep", "<>", 
                    "\"pi\""}]}], ";", 
                    RowBox[{
                    
                    RowBox[{"Private`PythonForm", "[", "\[ExponentialE]", 
                    "]"}], "=", 
                    
                    RowBox[{"Private`numpypre", "<>", "Private`sep", "<>", 
                    "\"e\""}]}], ";", 
                    RowBox[{
                    
                    RowBox[{"Private`PythonForm", "[", "Private`r_Real", 
                    "]"}], ":=", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Private`a", "=", 
                    RowBox[{"MantissaExponent", "[", "Private`r", "]"}]}], 
                    "}"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"Private`r", "\[GreaterEqual]", "0"}], ",", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    RowBox[{"N", "[", 
                    RowBox[{
                    
                    RowBox[{"Private`a", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", "6"}], "]"}], "]"}], "<>",
                     "\"e\"", "<>", 
                    RowBox[{"ToString", "[", 
                    
                    RowBox[{"Private`a", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "]"}]}], ",", 
                    RowBox[{"\"(\"", "<>", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"N", "[", 
                    RowBox[{
                    
                    RowBox[{"Private`a", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", "6"}], "]"}], "]"}], "<>",
                     "\"e\"", "<>", 
                    RowBox[{"ToString", "[", 
                    
                    RowBox[{"Private`a", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "]"}], "<>", "\")\""}]}], 
                    "]"}]}], "]"}]}], ";", 
                    RowBox[{"Private`greekrule", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\"\[Alpha]\"", "\[Rule]", "\"alpha\""}], ",", 
                    RowBox[{"\"\[Beta]\"", "\[Rule]", "\"beta\""}], ",", 
                    RowBox[{"\"\[Gamma]\"", "\[Rule]", "\"gamma\""}], ",", 
                    RowBox[{"\"\[Delta]\"", "\[Rule]", "\"delta\""}], ",", 
                    
                    RowBox[{"\"\[CurlyEpsilon]\"", "\[Rule]", 
                    "\"curlyepsilon\""}], ",", 
                    RowBox[{"\"\[Zeta]\"", "\[Rule]", "\"zeta\""}], ",", 
                    RowBox[{"\"\[Eta]\"", "\[Rule]", "\"eta\""}], ",", 
                    RowBox[{"\"\[Theta]\"", "\[Rule]", "\"theta\""}], ",", 
                    RowBox[{"\"\[Iota]\"", "\[Rule]", "\"iota\""}], ",", 
                    RowBox[{"\"\[Kappa]\"", "\[Rule]", "\"kappa\""}], ",", 
                    RowBox[{"\"\[Lambda]\"", "\[Rule]", "\"lambda\""}], ",", 
                    RowBox[{"\"\[Mu]\"", "\[Rule]", "\"mu\""}], ",", 
                    RowBox[{"\"\[Nu]\"", "\[Rule]", "\"nu\""}], ",", 
                    RowBox[{"\"\[Xi]\"", "\[Rule]", "\"xi\""}], ",", 
                    RowBox[{"\"\[Omicron]\"", "\[Rule]", "\"omicron\""}], ",", 
                    RowBox[{"\"\[Pi]\"", "\[Rule]", "\"pi\""}], ",", 
                    RowBox[{"\"\[Rho]\"", "\[Rule]", "\"rho\""}], ",", 
                    
                    RowBox[{"\"\[FinalSigma]\"", "\[Rule]", 
                    "\"finalsigma\""}], ",", 
                    RowBox[{"\"\[Sigma]\"", "\[Rule]", "\"sigma\""}], ",", 
                    RowBox[{"\"\[Tau]\"", "\[Rule]", "\"tau\""}], ",", 
                    RowBox[{"\"\[Upsilon]\"", "\[Rule]", "\"upsilon\""}], ",", 
                    RowBox[{"\"\[CurlyPhi]\"", "\[Rule]", "\"curlyphi\""}], 
                    ",", 
                    RowBox[{"\"\[Chi]\"", "\[Rule]", "\"chi\""}], ",", 
                    RowBox[{"\"\[Psi]\"", "\[Rule]", "\"psi\""}], ",", 
                    RowBox[{"\"\[Omega]\"", "\[Rule]", "\"omega\""}], ",", 
                    RowBox[{"\"\[CapitalAlpha]\"", "\[Rule]", "\"Alpha\""}], 
                    ",", 
                    RowBox[{"\"\[CapitalBeta]\"", "\[Rule]", "\"Beta\""}], 
                    ",", 
                    RowBox[{"\"\[CapitalGamma]\"", "\[Rule]", "\"Gamma\""}], 
                    ",", 
                    RowBox[{"\"\[CapitalDelta]\"", "\[Rule]", "\"Delta\""}], 
                    ",", 
                    
                    RowBox[{"\"\[CapitalEpsilon]\"", "\[Rule]", 
                    "\"CurlyEpsilon\""}], ",", 
                    RowBox[{"\"\[CapitalZeta]\"", "\[Rule]", "\"Zeta\""}], 
                    ",", 
                    RowBox[{"\"\[CapitalEta]\"", "\[Rule]", "\"Eta\""}], ",", 
                    
                    RowBox[{"\"\[CapitalTheta]\"", "\[Rule]", "\"Theta\""}], 
                    ",", 
                    RowBox[{"\"\[CapitalIota]\"", "\[Rule]", "\"Iota\""}], 
                    ",", 
                    RowBox[{"\"\[CapitalKappa]\"", "\[Rule]", "\"Kappa\""}], 
                    ",", 
                    RowBox[{"\"\[CapitalLambda]\"", "\[Rule]", "\"Lambda\""}],
                     ",", 
                    RowBox[{"\"\[CapitalMu]\"", "\[Rule]", "\"Mu\""}], ",", 
                    RowBox[{"\"\[CapitalNu]\"", "\[Rule]", "\"Nu\""}], ",", 
                    RowBox[{"\"\[CapitalXi]\"", "\[Rule]", "\"Xi\""}], ",", 
                    
                    RowBox[{"\"\[CapitalOmicron]\"", "\[Rule]", 
                    "\"Omicron\""}], ",", 
                    RowBox[{"\"\[CapitalPi]\"", "\[Rule]", "\"Pi\""}], ",", 
                    RowBox[{"\"\[CapitalRho]\"", "\[Rule]", "\"Rho\""}], ",", 
                    
                    RowBox[{"\"\[CapitalSigma]\"", "\[Rule]", "\"Sigma\""}], 
                    ",", 
                    RowBox[{"\"\[CapitalTau]\"", "\[Rule]", "\"Tau\""}], ",", 
                    
                    
                    RowBox[{"\"\[CapitalUpsilon]\"", "\[Rule]", 
                    "\"Upsilon\""}], ",", 
                    RowBox[{"\"\[CapitalPhi]\"", "\[Rule]", "\"CurlyPhi\""}], 
                    ",", 
                    RowBox[{"\"\[CapitalChi]\"", "\[Rule]", "\"Chi\""}], ",", 
                    
                    RowBox[{"\"\[CapitalPsi]\"", "\[Rule]", "\"Psi\""}], ",", 
                    
                    RowBox[{"\"\[CapitalOmega]\"", "\[Rule]", "\"Omega\""}]}],
                     "}"}]}], ";", 
                    RowBox[{
                    
                    RowBox[{"Private`PythonForm", "[", "Private`allOther_", 
                    "]"}], ":=", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    RowBox[{"Private`allOther", ",", "FortranForm"}], "]"}], 
                    ",", "Private`greekrule"}], "]"}]}], ";", 
                    RowBox[{"CopyToClipboard", "[", 
                    
                    RowBox[{"Private`PythonForm", "[", "Private`expression", 
                    "]"}], "]"}], ";", 
                    
                    RowBox[{"Private`PythonForm", "[", "Private`expression", 
                    "]"}]}]}], "]"}]}]}, {" "}}, 
                  GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                "RowDefault"]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
            "Column"],
           FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"ToPython`ToPython\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->{{6, 6}, {6, 3}}], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"ToPython[expression,numpystring] converts \
Mathematica expression to a Numpy compatible expression.\\n because Numpy can \
be imported in several ways, numpystring is a string that will be added to \
appended to function names, e.g., Cos->numpy.cos\"\>", "InformationUsageText",
             
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{10., {2., 8.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[<|
   "ObjectType" -> "Symbol", "Usage" -> 
    "ToPython[expression,numpystring] converts Mathematica expression to a \
Numpy compatible expression.\n because Numpy can be imported in several ways, \
numpystring is a string that will be added to appended to function names, \
e.g., Cos->numpy.cos", "Documentation" -> None, "OwnValues" -> None, 
    "UpValues" -> None, "DownValues" -> 
    Information`InformationValueForm[
     DownValues, ToPython`ToPython, {ToPython`ToPython[
         Pattern[Private`x, 
          Blank[]], 
         Optional[
          Pattern[Private`numpyprefix, 
           Blank[]], "numpy"]] :> 
       Module[{Private`expression = Private`x, Private`greekrule, 
          Private`PythonForm, Private`numpypre = Private`numpyprefix, 
          Private`lp, Private`rp, Private`a, Private`b}, 
         If[Private`numpyprefix == "", Private`sep = "", Private`sep = "."]; 
         Private`lp = "( "; Private`rp = " )"; Private`PythonForm[
            Rational[
             Pattern[Private`a, 
              Blank[]], 
             Pattern[Private`b, 
              Blank[]]]] := 
          Private`PythonForm[Private`a] <> "/" <> 
           Private`PythonForm[Private`b]; Private`PythonForm[
            Complex[
             Pattern[Private`a, 
              Blank[]], 
             Pattern[Private`b, 
              Blank[]]]] := 
          "complex" <> Private`lp <> Private`PythonForm[Private`a] <> "," <> 
           Private`PythonForm[Private`b] <> Private`rp; 
         Private`PythonForm[Pattern[Private`a, 
              Blank[]] Pattern[Private`b, 
              Blank[]]] := 
          Private`PythonForm[Private`a] <> " * " <> 
           Private`PythonForm[Private`b]; 
         Private`PythonForm[Pattern[Private`a, 
              Blank[]] + Pattern[Private`b, 
              Blank[]]] := 
          Private`lp <> Private`PythonForm[Private`a] <> " + " <> 
           Private`PythonForm[Private`b] <> Private`rp; Private`PythonForm[
            Pattern[Private`h, 
             Blank[]][
             Pattern[Private`args, 
              BlankSequence[]]]] := 
          Private`numpypre <> Private`sep <> ToLowerCase[
             Private`PythonForm[Private`h]] <> Private`lp <> 
           Private`PythonForm[Private`args] <> Private`rp; 
         Private`PythonForm[Pattern[Private`a, 
              Blank[]]^Pattern[Private`b, 
              Blank[]]] := 
          Private`lp <> Private`PythonForm[Private`a] <> Private`rp <> "**" <> 
           Private`lp <> Private`PythonForm[Private`b] <> Private`rp; 
         Private`PythonForm[
            Pattern[Private`a, 
             Blank[ListQ]]] := 
          Private`numpypre <> Private`sep <> "array" <> StringReplace[
             ToString[Private`a], {"{" -> "[", "}" -> "]"}]; 
         Private`PythonForm[Arg] = Private`numpypre <> Private`sep <> "angle"; 
         Private`PythonForm[Csc] := 
          "1/" <> Private`numpypre <> Private`sep <> "sin"; 
         Private`PythonForm[Sec] := 
          "1/" <> Private`numpypre <> Private`sep <> "cos"; 
         Private`PythonForm[Cot] := 
          "1/" <> Private`numpypre <> Private`sep <> "tan"; 
         Private`PythonForm[Csch] := 
          "1/" <> Private`numpypre <> Private`sep <> "sinh"; 
         Private`PythonForm[Sech] := 
          "1/" <> Private`numpypre <> Private`sep <> "cosh"; 
         Private`PythonForm[Coth] := 
          "1/" <> Private`numpypre <> Private`sep <> "tanh"; 
         Private`PythonForm[{
             Pattern[Private`args, 
              BlankSequence[]]}] := 
          Private`numpypre <> Private`sep <> "array" <> Private`lp <> "[" <> 
           Table[Private`PythonForm[
               Part[{Private`args}, Private`ii]] <> ",", {Private`ii, 1, 
              Length[{Private`args}]}] <> "]" <> Private`rp; 
         Private`PythonForm[Pi] = Private`numpypre <> Private`sep <> "pi"; 
         Private`PythonForm[E] = Private`numpypre <> Private`sep <> "e"; 
         Private`PythonForm[
            Pattern[Private`r, 
             Blank[Real]]] := Block[{Private`a = MantissaExponent[Private`r]}, 
            If[Private`r >= 0, ToString[
               N[
                Part[Private`a, 1], 6]] <> "e" <> ToString[
               Part[Private`a, 2]], "(" <> ToString[
               N[
                Part[Private`a, 1], 6]] <> "e" <> ToString[
               Part[Private`a, 2]] <> ")"]]; 
         Private`greekrule = {
           "\[Alpha]" -> "alpha", "\[Beta]" -> "beta", "\[Gamma]" -> "gamma", 
            "\[Delta]" -> "delta", "\[CurlyEpsilon]" -> "curlyepsilon", 
            "\[Zeta]" -> "zeta", "\[Eta]" -> "eta", "\[Theta]" -> "theta", 
            "\[Iota]" -> "iota", "\[Kappa]" -> "kappa", "\[Lambda]" -> 
            "lambda", "\[Mu]" -> "mu", "\[Nu]" -> "nu", "\[Xi]" -> "xi", 
            "\[Omicron]" -> "omicron", "\[Pi]" -> "pi", "\[Rho]" -> "rho", 
            "\[FinalSigma]" -> "finalsigma", "\[Sigma]" -> "sigma", "\[Tau]" -> 
            "tau", "\[Upsilon]" -> "upsilon", "\[CurlyPhi]" -> "curlyphi", 
            "\[Chi]" -> "chi", "\[Psi]" -> "psi", "\[Omega]" -> "omega", 
            "\[CapitalAlpha]" -> "Alpha", "\[CapitalBeta]" -> "Beta", 
            "\[CapitalGamma]" -> "Gamma", "\[CapitalDelta]" -> "Delta", 
            "\[CapitalEpsilon]" -> "CurlyEpsilon", "\[CapitalZeta]" -> "Zeta",
             "\[CapitalEta]" -> "Eta", "\[CapitalTheta]" -> "Theta", 
            "\[CapitalIota]" -> "Iota", "\[CapitalKappa]" -> "Kappa", 
            "\[CapitalLambda]" -> "Lambda", "\[CapitalMu]" -> "Mu", 
            "\[CapitalNu]" -> "Nu", "\[CapitalXi]" -> "Xi", 
            "\[CapitalOmicron]" -> "Omicron", "\[CapitalPi]" -> "Pi", 
            "\[CapitalRho]" -> "Rho", "\[CapitalSigma]" -> "Sigma", 
            "\[CapitalTau]" -> "Tau", "\[CapitalUpsilon]" -> "Upsilon", 
            "\[CapitalPhi]" -> "CurlyPhi", "\[CapitalChi]" -> "Chi", 
            "\[CapitalPsi]" -> "Psi", "\[CapitalOmega]" -> "Omega"}; 
         Private`PythonForm[
            Pattern[Private`allOther, 
             Blank[]]] := StringReplace[
            ToString[Private`allOther, FortranForm], Private`greekrule]; 
         CopyToClipboard[
           Private`PythonForm[Private`expression]]; 
         Private`PythonForm[Private`expression]]}], "SubValues" -> None, 
    "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
    "Options" -> None, "Attributes" -> {}, "FullName" -> 
    "ToPython`ToPython"|>, False]]], "Output",
 CellChangeTimes->{3.859799503760536*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"cbd1e36a-e0f9-49e6-b3c8-25de8a43ccf8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Expression", " ", "examples"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ToPython", "[", 
    RowBox[{"a", "+", "b"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{"a", "*", "b"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{"a", "/", "b"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"a", "+", "b"}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"d", "+", "e", "+", "g"}], ")"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"a", "+", "b"}], ")"}], "^", 
     RowBox[{"(", 
      RowBox[{"d", "+", "e", "+", "g"}], ")"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{"Exp", "[", 
     RowBox[{"a", "+", "b"}], "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{
     RowBox[{"Sin", "[", 
      RowBox[{"(", 
       RowBox[{"a", "+", "b"}], ")"}], "]"}], "/", 
     RowBox[{"Cos", "[", 
      RowBox[{"d", "+", "e"}], "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{
     RowBox[{"Sin", "[", 
      RowBox[{"(", 
       RowBox[{"a", "+", "b"}], ")"}], "]"}], "/", 
     RowBox[{"Tanh", "[", 
      RowBox[{"d", "+", "e"}], "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{"\[Pi]", " ", 
     RowBox[{"Cosh", "[", "a", "]"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{"Log10", "[", "x", "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Expression", " ", "with", " ", "greek", " ", "letters"}], "*)"}],
    "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{"Sin", "[", 
     RowBox[{"\[Alpha]", "+", "\[Beta]"}], "]"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Numeric", " ", "examples"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", "2", "]"}], "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{"1", "/", "3"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{"1.0", "/", "3"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", "2.31", "]"}], "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{"2.31", "+", 
     RowBox[{"5.3", "I"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Array", " ", "handling"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3"}], "}"}], "}"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{"Cos", "[", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "3"}], "}"}], "]"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Example", " ", "with", " ", "numpy", " ", "as", " ", "np"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{
     RowBox[{"\[Pi]", " ", 
      RowBox[{
       RowBox[{"Cosh", "[", "a", "]"}], "/", 
       RowBox[{"Sin", "[", "b", "]"}]}]}], ",", "\"\<np\>\""}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{"a", "+", "b"}], "]"}], ",", "\"\<np\>\""}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{
     RowBox[{"Cos", "[", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "3"}], "}"}], "]"}], ",", "\"\<np\>\""}], 
    "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "Example", " ", "with", " ", "numpy", " ", "as", " ", 
     "\"\<from numpy import *\>\""}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{
     RowBox[{"\[Pi]", " ", 
      RowBox[{
       RowBox[{"Cosh", "[", "a", "]"}], "/", 
       RowBox[{"Sin", "[", "b", "]"}]}]}], ",", "\"\<\>\""}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{"a", "+", "b"}], "]"}], ",", "\"\<\>\""}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"ToPython", "[", 
    RowBox[{
     RowBox[{"Cos", "[", 
      RowBox[{"{", 
       RowBox[{"1", ",", "2", ",", "3"}], "}"}], "]"}], ",", "\"\<\>\""}], 
    "]"}]}]}]], "Input",
 CellLabel->"In[3]:=",ExpressionUUID->"cf76d76c-0875-4d84-9cc4-2a9371de12cd"],

Cell[BoxData["\<\"( a + b )\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.859799503846311*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"15b21de0-7d2d-4f6d-b154-a554267c5d2e"],

Cell[BoxData["\<\"a * b\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.8597995038669777`*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"142a2257-c515-4432-a6d1-1a2fe5b20f1f"],

Cell[BoxData["\<\"a * ( b )**( -1 )\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.859799503920228*^9},
 CellLabel->"Out[5]=",ExpressionUUID->"1c6145f4-476d-4fc0-847c-57cf6d33df8c"],

Cell[BoxData["\<\"( a + b ) * ( ( d + ( e + g ) ) )**( -1 )\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.859799503940935*^9},
 CellLabel->"Out[6]=",ExpressionUUID->"ca70bc90-ee8a-4433-9018-a5441518e60a"],

Cell[BoxData["\<\"( ( a + b ) )**( ( d + ( e + g ) ) )\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.8597995039966383`*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"b299efb0-be5c-45cd-82d4-f3fea226a00b"],

Cell[BoxData["\<\"( numpy.e )**( ( a + b ) )\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.859799504017112*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"f91cdaf0-c356-4835-a28c-82e9beb19035"],

Cell[BoxData["\<\"numpy.1/numpy.cos( ( d + e ) ) * numpy.sin( ( a + b ) \
)\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.859799504074339*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"2d94e0b3-aa08-46a5-8fde-926666e7bdbb"],

Cell[BoxData["\<\"numpy.1/numpy.tanh( ( d + e ) ) * numpy.sin( ( a + b ) \
)\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.859799504095475*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"cb65ea35-5dd2-4088-850d-0366cba5b6a6"],

Cell[BoxData["\<\"numpy.pi * numpy.cosh( a )\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.859799504156402*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"5d316097-04a2-472b-82ab-9cc3cbcbddbc"],

Cell[BoxData["\<\"( numpy.log( 10 ) )**( -1 ) * numpy.log( x )\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.859799504176886*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"4804ab25-6e09-458c-a2f2-163397f79127"],

Cell[BoxData["\<\"numpy.sin( ( alpha + beta ) )\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.859799504236607*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"2e75ee0f-6404-4bf9-9261-f1580b188723"],

Cell[BoxData["\<\"2\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.859799504257472*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"71a68c30-6c43-430c-8295-cb35ce523176"],

Cell[BoxData["\<\"1/3\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.859799504309826*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"cdea8570-47b0-432f-abe4-ac33bf59883c"],

Cell[BoxData["\<\"0.333333e0\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.859799504367469*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"fedd3459-80af-43c3-8250-f2efe83cb808"],

Cell[BoxData["\<\"0.231e1\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.85979950438765*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"76f3de31-0829-4942-bb53-d79910054adb"],

Cell[BoxData["\<\"complex( 0.231e1,0.53e1 )\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.8597995044381866`*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"fa2b9bec-f300-4f02-9526-fac7a3028967"],

Cell[BoxData["\<\"numpy.array( [1,2,3,] )\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.859799504458823*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"c8aabb39-14c8-4d02-a7e8-0cd575e9b159"],

Cell[BoxData["\<\"numpy.array( [numpy.array( [1,2,3,] ),] )\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.8597995045102577`*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"db2778b8-adf2-4356-be30-9bd7a9397e6b"],

Cell[BoxData["\<\"numpy.array( [numpy.cos( 1 ),numpy.cos( 2 ),numpy.cos( 3 \
),] )\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.859799504531308*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"9d880707-ee2f-45e0-86fa-3536a2518e1e"],

Cell[BoxData["\<\"np.pi * np.cosh( a ) * np.1/np.sin( b )\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.8597995045827007`*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"da8e9daa-fbcb-47f4-8ef5-cabb106918ee"],

Cell[BoxData["\<\"( np.e )**( ( a + b ) )\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.8597995046035147`*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"81861f2a-3c71-4050-9bae-13b2ab5bbbed"],

Cell[BoxData["\<\"np.array( [np.cos( 1 ),np.cos( 2 ),np.cos( 3 ),] )\"\>"], \
"Output",
 CellChangeTimes->{3.701817713973694*^9, 3.859799504654401*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"ad90a76c-a317-403e-b0e9-91238e6f8cbb"],

Cell[BoxData["\<\"pi * cosh( a ) * 1/sin( b )\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.859799504675062*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"faf63be7-f79e-488c-90e9-c8d5f96745e3"],

Cell[BoxData["\<\"( e )**( ( a + b ) )\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.859799504727064*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"c58cbe50-8d05-4dd7-b255-03b85584a58d"],

Cell[BoxData["\<\"array( [cos( 1 ),cos( 2 ),cos( 3 ),] )\"\>"], "Output",
 CellChangeTimes->{3.701817713973694*^9, 3.8597995047479258`*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"80348eca-9238-4345-86c3-f49425a858ff"]
}, Open  ]]
},
WindowSize->{808, 622},
WindowMargins->{{36, Automatic}, {Automatic, 0}},
FrontEndVersion->"13.0 for Mac OS X x86 (64-bit) (December 2, 2021)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"ac4b0d48-9a68-4c74-bc76-a4140db96c68"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 487, 10, 52, "Input",ExpressionUUID->"3b1911b0-7e43-447c-97f9-52cb5fc7bff1"],
Cell[CellGroupData[{
Cell[1070, 34, 222, 4, 30, "Input",ExpressionUUID->"3da2fbb5-b218-4951-bf9c-cc1ab4ed889a"],
Cell[1295, 40, 31118, 652, 143, "Output",ExpressionUUID->"cbd1e36a-e0f9-49e6-b3c8-25de8a43ccf8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32450, 697, 4487, 123, 661, "Input",ExpressionUUID->"cf76d76c-0875-4d84-9cc4-2a9371de12cd"],
Cell[36940, 822, 186, 2, 34, "Output",ExpressionUUID->"15b21de0-7d2d-4f6d-b154-a554267c5d2e"],
Cell[37129, 826, 184, 2, 34, "Output",ExpressionUUID->"142a2257-c515-4432-a6d1-1a2fe5b20f1f"],
Cell[37316, 830, 194, 2, 34, "Output",ExpressionUUID->"1c6145f4-476d-4fc0-847c-57cf6d33df8c"],
Cell[37513, 834, 218, 2, 34, "Output",ExpressionUUID->"ca70bc90-ee8a-4433-9018-a5441518e60a"],
Cell[37734, 838, 215, 2, 34, "Output",ExpressionUUID->"b299efb0-be5c-45cd-82d4-f3fea226a00b"],
Cell[37952, 842, 203, 2, 34, "Output",ExpressionUUID->"f91cdaf0-c356-4835-a28c-82e9beb19035"],
Cell[38158, 846, 234, 3, 34, "Output",ExpressionUUID->"2d94e0b3-aa08-46a5-8fde-926666e7bdbb"],
Cell[38395, 851, 236, 3, 34, "Output",ExpressionUUID->"cb65ea35-5dd2-4088-850d-0366cba5b6a6"],
Cell[38634, 856, 204, 2, 34, "Output",ExpressionUUID->"5d316097-04a2-472b-82ab-9cc3cbcbddbc"],
Cell[38841, 860, 222, 2, 34, "Output",ExpressionUUID->"4804ab25-6e09-458c-a2f2-163397f79127"],
Cell[39066, 864, 207, 2, 34, "Output",ExpressionUUID->"2e75ee0f-6404-4bf9-9261-f1580b188723"],
Cell[39276, 868, 179, 2, 34, "Output",ExpressionUUID->"71a68c30-6c43-430c-8295-cb35ce523176"],
Cell[39458, 872, 181, 2, 34, "Output",ExpressionUUID->"cdea8570-47b0-432f-abe4-ac33bf59883c"],
Cell[39642, 876, 188, 2, 34, "Output",ExpressionUUID->"fedd3459-80af-43c3-8250-f2efe83cb808"],
Cell[39833, 880, 184, 2, 34, "Output",ExpressionUUID->"76f3de31-0829-4942-bb53-d79910054adb"],
Cell[40020, 884, 205, 2, 34, "Output",ExpressionUUID->"fa2b9bec-f300-4f02-9526-fac7a3028967"],
Cell[40228, 888, 201, 2, 34, "Output",ExpressionUUID->"c8aabb39-14c8-4d02-a7e8-0cd575e9b159"],
Cell[40432, 892, 221, 2, 34, "Output",ExpressionUUID->"db2778b8-adf2-4356-be30-9bd7a9397e6b"],
Cell[40656, 896, 242, 3, 34, "Output",ExpressionUUID->"9d880707-ee2f-45e0-86fa-3536a2518e1e"],
Cell[40901, 901, 219, 2, 34, "Output",ExpressionUUID->"da8e9daa-fbcb-47f4-8ef5-cabb106918ee"],
Cell[41123, 905, 203, 2, 34, "Output",ExpressionUUID->"81861f2a-3c71-4050-9bae-13b2ab5bbbed"],
Cell[41329, 909, 230, 3, 34, "Output",ExpressionUUID->"ad90a76c-a317-403e-b0e9-91238e6f8cbb"],
Cell[41562, 914, 205, 2, 34, "Output",ExpressionUUID->"faf63be7-f79e-488c-90e9-c8d5f96745e3"],
Cell[41770, 918, 198, 2, 34, "Output",ExpressionUUID->"c58cbe50-8d05-4dd7-b255-03b85584a58d"],
Cell[41971, 922, 218, 2, 34, "Output",ExpressionUUID->"80348eca-9238-4345-86c3-f49425a858ff"]
}, Open  ]]
}
]
*)

