(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     86656,       2440]
NotebookOptionsPosition[     79387,       2326]
NotebookOutlinePosition[     79784,       2342]
CellTagsIndexPosition[     79741,       2339]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "shdw"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Needs", "[", "\"\<QDENSITY`QCWave`\>\"", "]"}], ";"}], 
  " "}]}], "Input",
 CellChangeTimes->{
  3.665870195964622*^9, {3.6660222313273*^9, 3.666022231833284*^9}, {
   3.6660489430044403`*^9, 3.666048943488016*^9}, {3.730106624043407*^9, 
   3.730106625075302*^9}, {3.756672202967491*^9, 3.7566722073308353`*^9}, {
   3.857893652145809*^9, 3.857893658539785*^9}, 3.857894337014324*^9},
 FontFamily->"Times New Roman",
 FontSize->18,
 FontWeight->"Bold",
 FontColor->RGBColor[0., 0., 0.],
 CellLabel->"In[1]:=",ExpressionUUID->"33146775-bfdb-4060-b6da-fe481760d0d2"],

Cell[BoxData["\<\"Type \\\"?intro\\\", \\\"?QDENSITY`Qdensity`*\\\" or \
\\\"?about for help.\"\>"], "Print",
 CellChangeTimes->{3.8583346343910103`*^9, 3.859369602780554*^9, 
  3.859372047989521*^9, 3.860156693567979*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"21f9b459-2f76-40c1-b1e7-4b3bedd4986a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox["\[IndentingNewLine]",
   FontFamily->"Times New Roman",
   FontSize->18,
   FontWeight->"Bold"], 
  RowBox[{
   StyleBox[
    RowBox[{
     RowBox[{"WR", "[", 
      RowBox[{"\[Phi]v_", ",", " ", "\[Theta]v_", " ", ",", "\[Gamma]v_"}], 
      " ", "]"}], ":=", 
     RowBox[{
      RowBox[{"RotZ", "[", "\[Phi]v", "]"}], ".", 
      RowBox[{"RotY", "[", "\[Theta]v", "]"}], ".", 
      RowBox[{"RotZ", "[", "\[Gamma]v", "]"}]}]}],
    FontFamily->"Times New Roman",
    FontSize->24,
    FontWeight->"Bold"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Times New Roman",
    FontSize->18,
    FontWeight->"Bold"], 
   RowBox[{
    StyleBox[
     RowBox[{"WRA", "[", 
      RowBox[{"\[Phi]v_", ",", " ", "\[Theta]v_", " ", ",", "\[Gamma]v_"}], 
      " ", "]"}],
     FontFamily->"Times New Roman",
     FontSize->24,
     FontWeight->"Bold"], 
    StyleBox[":=",
     FontFamily->"Times New Roman",
     FontSize->24,
     FontWeight->"Bold"], 
    RowBox[{
     RowBox[{"RotZ", "[", 
      RowBox[{"-", "\[Gamma]v"}], "]"}], ".", 
     RowBox[{"RotY", "[", 
      RowBox[{"-", "\[Theta]v"}], "]"}], ".", 
     RowBox[{"RotZ", "[", 
      RowBox[{"-", "\[Phi]v"}], "]"}]}]}], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Times New Roman",
    FontSize->18,
    FontWeight->"Bold"], 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Times New Roman",
    FontSize->24,
    FontWeight->"Bold"], 
   RowBox[{
    RowBox[{"U", "[", 
     StyleBox[
      RowBox[{"\[Phi]v_", ",", " ", "\[Theta]v_", " ", ",", "\[Gamma]v_"}],
      FontFamily->"Times New Roman",
      FontSize->24,
      FontWeight->"Bold"], 
     StyleBox[" ",
      FontFamily->"Times New Roman",
      FontSize->24,
      FontWeight->"Bold"], 
     StyleBox["]",
      FontFamily->"Times New Roman",
      FontSize->24,
      FontWeight->"Bold"]}], 
    StyleBox[":=",
     FontFamily->"Times New Roman",
     FontSize->24,
     FontWeight->"Bold"], 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"WignerD", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "/", "2"}], ",", "m1", ",", "m2"}], "}"}], ",", 
        "\[Phi]v", ",", "\[Theta]v", ",", "\[Gamma]v"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"m1", ",", 
        RowBox[{
         RowBox[{"-", "1"}], "/", "2"}], ",", 
        RowBox[{"1", "/", "2"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"m2", ",", 
        RowBox[{
         RowBox[{"-", "1"}], "/", "2"}], ",", 
        RowBox[{"1", "/", "2"}]}], "}"}]}], "]"}]}], " ", 
   StyleBox["\[IndentingNewLine]",
    FontFamily->"Times New Roman",
    FontSize->24,
    FontWeight->"Bold"], 
   RowBox[{
    RowBox[{"WR", "[", 
     RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], " ", 
     "]"}], "==", 
    RowBox[{"U", "[", 
     RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"WRA", "[", 
      RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], " ", 
      "]"}], ".", 
     RowBox[{"WR", "[", 
      RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], " ", 
      "]"}]}], "  ", "//", "FullSimplify"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"WR", "[", 
      RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], " ", 
      "]"}], ".", 
     RowBox[{"WRA", "[", 
      RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], " ", 
      "]"}]}], "  ", "//", "FullSimplify"}], "\[IndentingNewLine]", 
   RowBox[{"%", "==", "%%"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7591723119022007`*^9, 3.7591727196390553`*^9}, {
   3.759172782034658*^9, 3.759173097891862*^9}, 3.759173234459547*^9, {
   3.759173345892139*^9, 3.759173364173749*^9}, {3.857888527044969*^9, 
   3.8578885321752977`*^9}, {3.8578935241950397`*^9, 3.857893531672372*^9}, {
   3.857893898473455*^9, 3.8578939115936003`*^9}, 3.857893955263556*^9, {
   3.8578939935491877`*^9, 3.857894011132045*^9}, {3.857894042002185*^9, 
   3.857894147011215*^9}, {3.857894533728805*^9, 3.85789473679294*^9}, {
   3.857894792623301*^9, 3.857894795327688*^9}, {3.857894839675157*^9, 
   3.857894955696238*^9}, {3.8578951948280487`*^9, 3.8578952012756863`*^9}, {
   3.857895530019919*^9, 3.857895540673053*^9}, {3.857895586368297*^9, 
   3.85789558976611*^9}, {3.857895620680073*^9, 3.85789562181954*^9}, {
   3.857896044767742*^9, 3.857896167585541*^9}, {3.858330607689938*^9, 
   3.858330848960473*^9}, 3.858330922422412*^9, {3.858331003932632*^9, 
   3.8583310101859827`*^9}, {3.85833104925898*^9, 3.858331058052305*^9}, {
   3.858331121102515*^9, 3.858331134421998*^9}, {3.8583311722369347`*^9, 
   3.8583312332077*^9}, {3.8583313058258133`*^9, 3.8583313065493717`*^9}, {
   3.858331400801668*^9, 3.858331446779851*^9}},
 FontFamily->"Times New Roman",
 FontSize->18,
 FontWeight->"Bold",
 CellLabel->"In[4]:=",ExpressionUUID->"e6084059-ab27-4c56-849e-64cbded5c104"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635236597*^9, 3.859369604134465*^9, 
  3.859372048746909*^9, 3.860156694398411*^9},
 CellLabel->"Out[7]=",ExpressionUUID->"c88c5887-84cf-488a-88a5-47646b623866"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635236597*^9, 3.859369604134465*^9, 
  3.859372048746909*^9, 3.86015669441593*^9},
 CellLabel->"Out[8]=",ExpressionUUID->"4221568f-df2e-42da-b1b0-63f42a6980fc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635236597*^9, 3.859369604134465*^9, 
  3.859372048746909*^9, 3.860156694418021*^9},
 CellLabel->"Out[9]=",ExpressionUUID->"1f4d1c2e-bd0e-4896-8859-493f3a2f5139"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635236597*^9, 3.859369604134465*^9, 
  3.859372048746909*^9, 3.860156694419793*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"61194f95-8234-45ae-8733-359bd2e888c9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"res", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"WR", "[", 
      RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], "]"}], 
     ".", 
     RowBox[{"s", "[", "3", "]"}], ".", 
     RowBox[{"WRA", "[", 
      RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], " ", 
      "]"}]}], "  ", "//", "FullSimplify"}]}]}]], "Input",
 CellChangeTimes->{{3.8583210986899633`*^9, 3.858321163996551*^9}, {
  3.8583212484444532`*^9, 3.858321288873735*^9}, {3.858321479429613*^9, 
  3.85832149658573*^9}, {3.858330863213696*^9, 3.858330869041726*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"2d689b4a-19e0-497a-b240-74c6d5c9d8dd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "\[Theta]", "]"}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}], 
      RowBox[{"-", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635304422*^9, 3.859369604196113*^9, 
  3.859372048817772*^9, 3.860156694470087*^9},
 CellLabel->"Out[11]=",ExpressionUUID->"cc79d6df-1c66-45ed-85a5-ce9a7876bfd7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"nv", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Sin", "[", "\[Theta]", "]"}], "  ", 
      RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", 
     RowBox[{
      RowBox[{"Sin", "[", "\[Theta]", "]"}], "  ", 
      RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", 
     RowBox[{"Cos", "[", "\[Theta]", "]"}]}], " ", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sv", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"s", "[", "1", "]"}], ",", 
     RowBox[{"s", "[", "2", "]"}], ",", 
     RowBox[{"s", "[", "3", "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nv", ".", "sv"}], " ", "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{"res", "==", "%"}]}], "Input",
 CellChangeTimes->{{3.858321306042397*^9, 3.858321456775002*^9}, {
  3.858321500185504*^9, 3.858321508015552*^9}, {3.858331502501926*^9, 
  3.858331505630982*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"7c2c4a6b-ca27-4d99-87bd-20f3da7e8956"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "\[Theta]", "]"}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}], 
      RowBox[{"-", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.85833463533112*^9, 3.8593696042258787`*^9, 
  3.85937204884708*^9, 3.8601566944974747`*^9},
 CellLabel->"Out[14]=",ExpressionUUID->"dbd41610-f5d7-438f-9f99-575f00777066"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.85833463533112*^9, 3.8593696042258787`*^9, 
  3.85937204884708*^9, 3.8601566944994698`*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"3a00a4c2-fdf2-4565-a1c3-60b9daa3df3f"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.857896260905892*^9, 3.8578962636838293`*^9}, 
   3.858331518869919*^9},
 CellLabel->"In[16]:=",ExpressionUUID->"f2cb7f8d-d325-481a-b79b-fe7ff45a8983"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"RotZ", "[", "\[Phi]", "]"}], ".", 
  RowBox[{"RotY", "[", "\[Theta]", "]"}], ".", 
  RowBox[{"Ket", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ket1", "[", 
   RowBox[{"\[Theta]", ",", " ", "\[Phi]"}], "]"}], "==", 
  "%"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"WR", "[", 
   RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "0"}], "]"}], ".", 
  RowBox[{"Ket", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ket1", "[", 
   RowBox[{"\[Theta]", ",", " ", "\[Phi]"}], "]"}], "==", "%"}]}], "Input",
 CellChangeTimes->{{3.8578970713443413`*^9, 3.85789714393054*^9}, {
  3.8583315517546597`*^9, 3.85833160584899*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"918a9bbf-a2b0-4213-8f74-dfa4e18a38bd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}], "2"]}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}], "2"]], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635355319*^9, 3.859369604254814*^9, 
  3.8593720488748817`*^9, 3.8601566945243673`*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"11fa4bf9-cd35-4464-8ac7-bf49109e822a"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635355319*^9, 3.859369604254814*^9, 
  3.8593720488748817`*^9, 3.8601566945263023`*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"912f6f5c-4a66-4e81-9282-70b66f3919e1"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}], "2"]}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}], "2"]], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635355319*^9, 3.859369604254814*^9, 
  3.8593720488748817`*^9, 3.860156694528079*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"631b37ed-5148-4983-949d-7a1c5ae65fe1"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635355319*^9, 3.859369604254814*^9, 
  3.8593720488748817`*^9, 3.860156694530019*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"e40433ae-92fe-4cb5-9b7f-293e23bf78c8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"WR", "[", 
    RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "0"}], "]"}], ".", 
   RowBox[{"s", "[", "3", "]"}], ".", 
   RowBox[{"WRA", "[", 
    RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "0"}], "]"}]}], " ", "//",
   "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
    RowBox[{"Cos", "[", " ", "\[Phi]", "]"}], "  ", 
    RowBox[{"s", "[", "1", "]"}]}], "+", 
   RowBox[{
    RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
    RowBox[{"Sin", "[", " ", "\[Phi]", "]"}], " ", 
    RowBox[{"s", "[", "2", "]"}]}], "+", " ", 
   RowBox[{
    RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
    RowBox[{"s", "[", "3", "]"}]}]}], "  ", "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{"%", "==", "%%"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"WR", "[", 
     RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "0"}], "]"}], ".", 
    RowBox[{"s", "[", "3", "]"}], ".", 
    RowBox[{"WRA", "[", 
     RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "0"}], "]"}]}], " ", "==", 
   RowBox[{"nv", ".", "sv"}]}], " ", "//", "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.857897241041973*^9, 3.857897291623825*^9}, {
  3.8583316326244173`*^9, 3.8583316390218077`*^9}, {3.8583322089791603`*^9, 
  3.858332211406139*^9}, {3.8583326163235703`*^9, 3.858332624230596*^9}, {
  3.8583326605354843`*^9, 3.858332690529572*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"8f037f6c-dc94-46cf-81c2-e902ad9a42a8"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "\[Theta]", "]"}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}], 
      RowBox[{"-", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635367713*^9, 3.859369604279334*^9, 
  3.859372048890583*^9, 3.860156694540299*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"34bb4403-869a-457f-a783-39f5b4c7ff5f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "\[Theta]", "]"}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}], 
      RowBox[{"-", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635367713*^9, 3.859369604279334*^9, 
  3.859372048890583*^9, 3.860156694542727*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"d5868baa-fc9f-47ea-8e7f-f5e8ad363047"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635367713*^9, 3.859369604279334*^9, 
  3.859372048890583*^9, 3.860156694544477*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"0d51bbbd-122b-4bd8-ac54-816fb10168f4"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635367713*^9, 3.859369604279334*^9, 
  3.859372048890583*^9, 3.860156694545977*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"523a3189-9f83-4e22-abeb-8be38caed0b4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"WR", "[", 
    RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], "]"}], 
   ".", 
   RowBox[{"s", "[", "3", "]"}], ".", 
   RowBox[{"WRA", "[", 
    RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], "]"}]}], 
  " ", "//", "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
    RowBox[{"Cos", "[", " ", "\[Phi]", "]"}], "  ", 
    RowBox[{"s", "[", "1", "]"}]}], "+", 
   RowBox[{
    RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
    RowBox[{"Sin", "[", " ", "\[Phi]", "]"}], " ", 
    RowBox[{"s", "[", "2", "]"}]}], "+", " ", 
   RowBox[{
    RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
    RowBox[{"s", "[", "3", "]"}]}]}], "  ", "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{"%", "==", "%%"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"WR", "[", 
     RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], "]"}], 
    ".", 
    RowBox[{"s", "[", "3", "]"}], ".", 
    RowBox[{"WRA", "[", 
     RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], "]"}]}], 
   " ", "==", 
   RowBox[{"nv", ".", "sv"}]}], " ", "//", "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.857897241041973*^9, 3.857897291623825*^9}, {
  3.8583316326244173`*^9, 3.8583316390218077`*^9}, {3.8583322089791603`*^9, 
  3.858332211406139*^9}, {3.8583326163235703`*^9, 3.858332624230596*^9}, {
  3.8583326605354843`*^9, 3.858332690529572*^9}, {3.858332727972096*^9, 
  3.8583327432381687`*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"455f0a4c-9844-4020-90e9-82f8debb162b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "\[Theta]", "]"}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}], 
      RowBox[{"-", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635394856*^9, 3.8593696043073797`*^9, 
  3.8593720489174623`*^9, 3.860156694565621*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"e9c933d6-f651-4706-9720-9440d1cf0acd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "\[Theta]", "]"}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}], 
      RowBox[{"-", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635394856*^9, 3.8593696043073797`*^9, 
  3.8593720489174623`*^9, 3.8601566945678787`*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"a2c11c2c-8faa-4535-883d-6758717da378"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635394856*^9, 3.8593696043073797`*^9, 
  3.8593720489174623`*^9, 3.860156694569618*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"3e2fcdb3-08c9-457e-ad8f-cf661dcd3822"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635394856*^9, 3.8593696043073797`*^9, 
  3.8593720489174623`*^9, 3.860156694571097*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"3df2c23e-db23-43a5-b830-8fb660203ada"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{"\[ScriptCapitalH]", "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"had", "[", 
   RowBox[{"1", ",", "1"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Had", "[", 
   RowBox[{"1", ",", " ", 
    RowBox[{"{", "1", "}"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"HALL", "[", "4", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"WR", "[", 
    RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], "]"}], 
   ".", 
   RowBox[{"s", "[", "3", "]"}], ".", 
   RowBox[{"WRA", "[", 
    RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], " ", 
    "]"}]}], " ", "//", "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", " ", "/.", "   ", 
   RowBox[{"\[Theta]", "->", 
    RowBox[{"Pi", "/", "4"}]}]}], " ", "/.", " ", 
  RowBox[{"\[Phi]", "->", "0"}]}], "\[IndentingNewLine]", 
 RowBox[{"%", "==", "\[ScriptCapitalH]"}]}], "Input",
 CellChangeTimes->{{3.858334741795747*^9, 3.858334807056287*^9}, {
  3.858335602376019*^9, 3.858335687284238*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"b8eed785-5e50-430e-9566-55aa2640fd9e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858335613320204*^9, {3.8583356494745092`*^9, 3.8583356886020403`*^9}, 
   3.859369604324904*^9, 3.859372048933119*^9, 3.8601566945819674`*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"7e1678fc-29c8-4821-97e0-c6cf745aa5a3"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "\[Theta]", "]"}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}], 
      RowBox[{"-", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858335613320204*^9, {3.8583356494745092`*^9, 3.8583356886020403`*^9}, 
   3.859369604324904*^9, 3.859372048933119*^9, 3.8601566945846024`*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"5c370b01-45e9-4e37-86b0-e7aa26df9fe5"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858335613320204*^9, {3.8583356494745092`*^9, 3.8583356886020403`*^9}, 
   3.859369604324904*^9, 3.859372048933119*^9, 3.860156694586567*^9},
 CellLabel->"Out[34]=",ExpressionUUID->"c26b0084-78cf-4fa2-b927-fe4291a1d27a"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.858335613320204*^9, {3.8583356494745092`*^9, 3.8583356886020403`*^9}, 
   3.859369604324904*^9, 3.859372048933119*^9, 3.860156694588481*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"2c79a899-95a2-4310-9ba9-4f9564a2dd31"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"WR", "[", 
    RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], "]"}], 
   ".", 
   RowBox[{"s", "[", "1", "]"}], ".", 
   RowBox[{"WRA", "[", 
    RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], " ", 
    "]"}]}], " ", "//", "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"WR", "[", 
    RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], "]"}], 
   ".", 
   RowBox[{"s", "[", "2", "]"}], ".", 
   RowBox[{"WRA", "[", 
    RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], " ", 
    "]"}]}], " ", "//", "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"WR", "[", 
    RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], "]"}], 
   ".", 
   RowBox[{"s", "[", "3", "]"}], ".", 
   RowBox[{"WRA", "[", 
    RowBox[{"\[Phi]", ",", " ", "\[Theta]", " ", ",", "\[Gamma]"}], " ", 
    "]"}]}], " ", "//", "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.858335423026442*^9, 3.8583354378790007`*^9}, {
  3.858335481156042*^9, 3.8583355093481913`*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"9a872cbc-a8e9-4dbd-ba06-b9fd8bf464f6"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Cos", "[", "\[Gamma]", "]"}]}], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"Cos", "[", "\[Gamma]", "]"}], " ", 
          RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"Sin", "[", "\[Gamma]", "]"}]}]}], ")"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"Cos", "[", "\[Gamma]", "]"}], " ", 
          RowBox[{"Cos", "[", "\[Theta]", "]"}]}], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"Sin", "[", "\[Gamma]", "]"}]}]}], ")"}]}], 
      RowBox[{
       RowBox[{"Cos", "[", "\[Gamma]", "]"}], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858335249628873*^9, 3.8583354402643223`*^9, 
  3.858335511571419*^9, 3.859369605523683*^9, 3.859372049278055*^9, 
  3.860156694922966*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"49e5831e-b760-49cd-81e4-4fcf0e360f44"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"Sin", "[", "\[Gamma]", "]"}], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "\[ImaginaryI]"}], " ", 
          RowBox[{"Cos", "[", "\[Gamma]", "]"}]}], "-", 
         RowBox[{
          RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
          RowBox[{"Sin", "[", "\[Gamma]", "]"}]}]}], ")"}]}]},
     {
      RowBox[{"\[ImaginaryI]", " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Cos", "[", "\[Gamma]", "]"}], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
          RowBox[{"Sin", "[", "\[Gamma]", "]"}]}]}], ")"}]}], 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Sin", "[", "\[Gamma]", "]"}]}], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858335249628873*^9, 3.8583354402643223`*^9, 
  3.858335511571419*^9, 3.859369605523683*^9, 3.859372049278055*^9, 
  3.8601566960532*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"128e5878-1a15-4fc7-80a8-321acac94b68"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "\[Theta]", "]"}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}], 
      RowBox[{"-", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858335249628873*^9, 3.8583354402643223`*^9, 
  3.858335511571419*^9, 3.859369605523683*^9, 3.859372049278055*^9, 
  3.860156696056281*^9},
 CellLabel->"Out[38]=",ExpressionUUID->"24a0edc6-a59c-4fb1-9806-2bd52280c1dc"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.759173253617556*^9, 3.759173351022298*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"80ecd181-b719-4974-a58e-b56117a9a30d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Rho1", "[", "t_", "]"}], ":=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "/", "2"}], ")"}], "   ", 
   RowBox[{"(", 
    StyleBox[
     RowBox[{" ", 
      StyleBox[" ",
       ScriptLevel->0]}]], 
    RowBox[{
     StyleBox[
      RowBox[{"s", "[", "0", "]"}],
      ScriptLevel->0], "  ", "+", " ", 
     RowBox[{
      RowBox[{"PAx", "[", "t", "]"}], 
      RowBox[{"s", "[", "1", "]"}]}], " ", "+", 
     RowBox[{
      RowBox[{"PAy", "[", "t", "]"}], 
      RowBox[{"s", "[", "2", "]"}]}], "+", 
     RowBox[{
      RowBox[{"PAz", "[", "t", "]"}], 
      RowBox[{"s", "[", "3", "]"}]}]}], "  ", 
    ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"s", "[", "1", "]"}], ".", 
      RowBox[{"Rho1", "[", "t", "]"}]}], "]"}], ",", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"s", "[", "2", "]"}], ".", 
      RowBox[{"Rho1", "[", "t", "]"}]}], "]"}], ",", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"s", "[", "3", "]"}], ".", 
      RowBox[{"Rho1", "[", "t", "]"}]}], "]"}]}], "}"}], "//", 
  "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.857897391784*^9, 3.857897542501505*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"e2bcccdc-464a-43d7-b81f-1041df11a9a9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"PAx", "[", "t", "]"}]},
      {
       RowBox[{"PAy", "[", "t", "]"}]},
      {
       RowBox[{"PAz", "[", "t", "]"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635637404*^9, 3.859369605957436*^9, 
  3.859372049642267*^9, 3.860156696136147*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"2b2e7583-d56f-41a0-93a6-b286427a5f75"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"RotX", "[", 
    RowBox[{"-", "\[Theta]"}], "]"}], ".", 
   RowBox[{"Rho1", "[", "t", "]"}], ".", 
   RowBox[{"RotX", "[", "\[Theta]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"s", "[", "1", "]"}], ".", "%"}], "]"}], ",", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"s", "[", "2", "]"}], ".", "%"}], "]"}], ",", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"s", "[", "3", "]"}], ".", "%"}], "]"}]}], "}"}], "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"RotY", "[", 
    RowBox[{"-", "\[Theta]"}], "]"}], ".", 
   RowBox[{"Rho1", "[", "t", "]"}], ".", 
   RowBox[{"RotY", "[", "\[Theta]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"s", "[", "1", "]"}], ".", "%"}], "]"}], ",", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"s", "[", "2", "]"}], ".", "%"}], "]"}], ",", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"s", "[", "3", "]"}], ".", "%"}], "]"}]}], "}"}], "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"RotZ", "[", 
    RowBox[{"-", "\[Theta]"}], "]"}], ".", 
   RowBox[{"Rho1", "[", "t", "]"}], ".", 
   RowBox[{"RotZ", "[", "\[Theta]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"s", "[", "1", "]"}], ".", "%"}], "]"}], ",", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"s", "[", "2", "]"}], ".", "%"}], "]"}], ",", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"s", "[", "3", "]"}], ".", "%"}], "]"}]}], "}"}], "//", 
  "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.857898035485724*^9, 3.8578981422162333`*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"a3f93a94-6b0b-48aa-babd-fedea375789f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"PAx", "[", "t", "]"}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
         RowBox[{"PAy", "[", "t", "]"}]}], "+", 
        RowBox[{
         RowBox[{"PAz", "[", "t", "]"}], " ", 
         RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
         RowBox[{"PAz", "[", "t", "]"}]}], "-", 
        RowBox[{
         RowBox[{"PAy", "[", "t", "]"}], " ", 
         RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635699519*^9, 3.85936960603869*^9, 
  3.8593720505823298`*^9, 3.8601566962240763`*^9},
 CellLabel->"Out[43]=",ExpressionUUID->"b09ef5e6-d74f-4caf-ad42-f0d3867591c2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{
         RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
         RowBox[{"PAx", "[", "t", "]"}]}], "-", 
        RowBox[{
         RowBox[{"PAz", "[", "t", "]"}], " ", 
         RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}]},
      {
       RowBox[{"PAy", "[", "t", "]"}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
         RowBox[{"PAz", "[", "t", "]"}]}], "+", 
        RowBox[{
         RowBox[{"PAx", "[", "t", "]"}], " ", 
         RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635699519*^9, 3.85936960603869*^9, 
  3.8593720505823298`*^9, 3.86015669625585*^9},
 CellLabel->"Out[45]=",ExpressionUUID->"57315f96-8799-489b-85ca-056eec5ed77e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{
         RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
         RowBox[{"PAx", "[", "t", "]"}]}], "+", 
        RowBox[{
         RowBox[{"PAy", "[", "t", "]"}], " ", 
         RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
         RowBox[{"PAy", "[", "t", "]"}]}], "-", 
        RowBox[{
         RowBox[{"PAx", "[", "t", "]"}], " ", 
         RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}]},
      {
       RowBox[{"PAz", "[", "t", "]"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334635699519*^9, 3.85936960603869*^9, 
  3.8593720505823298`*^9, 3.860156696352895*^9},
 CellLabel->"Out[47]=",ExpressionUUID->"dcf7bc65-3101-4767-b26a-d5fd71e3379b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"RotZ", "[", "\[Phi]", "]"}], ".", 
   RowBox[{"RotY", "[", "\[Theta]", "]"}], ".", 
   RowBox[{"Rho1", "[", "t", "]"}], ".", 
   RowBox[{"RotY", "[", 
    RowBox[{"-", "\[Theta]"}], "]"}], ".", 
   RowBox[{"RotZ", "[", 
    RowBox[{"-", "\[Phi]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"s", "[", "1", "]"}], ".", "%"}], "]"}], ",", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"s", "[", "2", "]"}], ".", "%"}], "]"}], ",", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"s", "[", "3", "]"}], ".", "%"}], "]"}]}], "}"}], "//", 
  "FullSimplify"}], "\[IndentingNewLine]", 
 RowBox[{"%", "  ", "/.", " ", 
  RowBox[{"\[Phi]", "->", "0"}]}]}], "Input",
 CellChangeTimes->{{3.857898197454146*^9, 3.857898266250053*^9}, {
  3.857898313511318*^9, 3.857898328890203*^9}},
 CellLabel->"In[48]:=",ExpressionUUID->"15c42946-2f24-434b-8854-58a9963c1479"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{
         RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
         RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
         RowBox[{"PAx", "[", "t", "]"}]}], "+", 
        RowBox[{
         RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
         RowBox[{"PAz", "[", "t", "]"}], " ", 
         RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "-", 
        RowBox[{
         RowBox[{"PAy", "[", "t", "]"}], " ", 
         RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
         RowBox[{"PAy", "[", "t", "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
            RowBox[{"PAx", "[", "t", "]"}]}], "+", 
           RowBox[{
            RowBox[{"PAz", "[", "t", "]"}], " ", 
            RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], ")"}], " ", 
         RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
         RowBox[{"PAz", "[", "t", "]"}]}], "-", 
        RowBox[{
         RowBox[{"PAx", "[", "t", "]"}], " ", 
         RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334637414695*^9, 3.8593696073025417`*^9, 
  3.8593720517279*^9, 3.860156697318984*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"ac94d128-f486-40d1-8555-a64dd58bc25f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{
         RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
         RowBox[{"PAx", "[", "t", "]"}]}], "+", 
        RowBox[{
         RowBox[{"PAz", "[", "t", "]"}], " ", 
         RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}]},
      {
       RowBox[{"PAy", "[", "t", "]"}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"Cos", "[", "\[Theta]", "]"}], " ", 
         RowBox[{"PAz", "[", "t", "]"}]}], "-", 
        RowBox[{
         RowBox[{"PAx", "[", "t", "]"}], " ", 
         RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334637414695*^9, 3.8593696073025417`*^9, 
  3.8593720517279*^9, 3.860156697321846*^9},
 CellLabel->"Out[50]=",ExpressionUUID->"3ddb8fae-5ecd-438f-96e4-b45fc9810881"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{
  3.857897381804454*^9, {3.857898539627449*^9, 3.8578985396439*^9}, 
   3.857898638191956*^9},
 CellLabel->"In[51]:=",ExpressionUUID->"743f0d5e-3d48-4c9c-9fb3-2d2811732156"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Ua", "=", 
   RowBox[{"MatrixExp", "[", 
    RowBox[{
     RowBox[{"I", "/", "2"}], "  ", "\[Chi]A", "  ", 
     RowBox[{"s", "[", "2", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UAa", "=", 
   RowBox[{"MatrixExp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "I"}], "/", "2"}], "  ", "\[Chi]A", "  ", 
     RowBox[{"s", "[", "2", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rnew1", "=", " ", 
   RowBox[{"Ua", 
    StyleBox[".",
     ScriptLevel->0], 
    RowBox[{"Rho1", "[", "t", "]"}], ".", "UAa"}]}], 
  StyleBox[";",
   ScriptLevel->0]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"s", "[", "1", "]"}], ".", "%"}], "]"}], ",", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"s", "[", "2", "]"}], ".", "%"}], "]"}], ",", 
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{"s", "[", "3", "]"}], ".", "%"}], "]"}]}], "}"}], "//", 
  "FullSimplify"}]}], "Input",
 CellChangeTimes->{{3.7592396636958923`*^9, 3.759239850087336*^9}, 
   3.857898430321891*^9, {3.8578985396464167`*^9, 3.8578985396483727`*^9}, {
   3.857898586655136*^9, 3.857898597570133*^9}, {3.857898646866987*^9, 
   3.857898738880151*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"22dcab27-8443-4bd0-960c-d98c3a8ced7f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{
         RowBox[{"Cos", "[", "\[Chi]A", "]"}], " ", 
         RowBox[{"PAx", "[", "t", "]"}]}], "-", 
        RowBox[{
         RowBox[{"PAz", "[", "t", "]"}], " ", 
         RowBox[{"Sin", "[", "\[Chi]A", "]"}]}]}]},
      {
       RowBox[{"PAy", "[", "t", "]"}]},
      {
       RowBox[{
        RowBox[{
         RowBox[{"Cos", "[", "\[Chi]A", "]"}], " ", 
         RowBox[{"PAz", "[", "t", "]"}]}], "+", 
        RowBox[{
         RowBox[{"PAx", "[", "t", "]"}], " ", 
         RowBox[{"Sin", "[", "\[Chi]A", "]"}]}]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334637530498*^9, 3.859369607405246*^9, 
  3.859372051825782*^9, 3.86015669742621*^9},
 CellLabel->"Out[55]=",ExpressionUUID->"aba0ef89-e5db-46f0-9c2e-0ec8a27c501e"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"Rho2", "[", "t_", "]"}], ":=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "/", "4"}], ")"}], "   ", 
   RowBox[{"(", " ", 
    RowBox[{
     RowBox[{"AF", "[", 
      StyleBox[" ",
       ScriptLevel->0], 
      StyleBox[
       RowBox[{
        RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
        RowBox[{"s", "[", "0", "]"}]}],
       ScriptLevel->0], 
      StyleBox["]",
       ScriptLevel->0]}], "  ", "+", " ", 
     RowBox[{
      RowBox[{"PAx", "[", "t", "]"}], "  ", 
      RowBox[{"AF", "[", 
       StyleBox[" ",
        ScriptLevel->0], 
       StyleBox[
        RowBox[{
         RowBox[{"s", "[", "1", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"s", "[", "0", "]"}]}],
        ScriptLevel->0], 
       StyleBox["]",
        ScriptLevel->0]}]}], "  ", "+", "  ", 
     RowBox[{
      RowBox[{"PAy", "[", "t", "]"}], "  ", 
      RowBox[{"AF", "[", 
       StyleBox[" ",
        ScriptLevel->0], 
       StyleBox[
        RowBox[{
         RowBox[{"s", "[", "2", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"s", "[", "0", "]"}]}],
        ScriptLevel->0], 
       StyleBox["]",
        ScriptLevel->0]}]}], "+", " ", 
     RowBox[{
      RowBox[{"PAz", "[", "t", "]"}], "  ", 
      RowBox[{"AF", "[", 
       StyleBox[" ",
        ScriptLevel->0], 
       StyleBox[
        RowBox[{
         RowBox[{"s", "[", "3", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"s", "[", "0", "]"}]}],
        ScriptLevel->0], 
       StyleBox["]",
        ScriptLevel->0]}]}], "+", " ", 
     RowBox[{
      RowBox[{"PBx", "[", "t", "]"}], "  ", 
      RowBox[{"AF", "[", 
       StyleBox[" ",
        ScriptLevel->0], 
       StyleBox[
        RowBox[{
         RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"s", "[", "1", "]"}]}],
        ScriptLevel->0], 
       StyleBox["]",
        ScriptLevel->0]}]}], "  ", "+", "  ", 
     RowBox[{
      RowBox[{"PBy", "[", "t", "]"}], "  ", 
      RowBox[{"AF", "[", 
       StyleBox[" ",
        ScriptLevel->0], 
       StyleBox[
        RowBox[{
         RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"s", "[", "2", "]"}]}],
        ScriptLevel->0], 
       StyleBox["]",
        ScriptLevel->0]}]}], "+", " ", 
     RowBox[{
      RowBox[{"PBz", "[", "t", "]"}], "  ", 
      RowBox[{"AF", "[", 
       StyleBox[" ",
        ScriptLevel->0], 
       StyleBox[
        RowBox[{
         RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"s", "[", "3", "]"}]}],
        ScriptLevel->0], 
       StyleBox["]",
        ScriptLevel->0]}]}], 
     StyleBox["+",
      ScriptLevel->0], 
     StyleBox["\[IndentingNewLine]",
      ScriptLevel->0], 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"T", "[", "t", "]"}], "[", 
         RowBox[{"i", ",", "j"}], "]"}], "  ", 
        RowBox[{"AF", "[", 
         StyleBox[" ",
          ScriptLevel->0], 
         StyleBox[
          RowBox[{
           RowBox[{"s", "[", "i", "]"}], "\[CircleTimes]", " ", 
           RowBox[{"s", "[", "j", "]"}]}],
          ScriptLevel->0], 
         StyleBox["]",
          ScriptLevel->0]}]}], 
       StyleBox[",",
        ScriptLevel->0], 
       StyleBox[
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "3"}], "}"}],
        ScriptLevel->0], 
       StyleBox[",",
        ScriptLevel->0], 
       StyleBox[
        RowBox[{"{", 
         RowBox[{"j", ",", "1", ",", "3"}], "}"}],
        ScriptLevel->0]}], 
      StyleBox["]",
       ScriptLevel->0]}]}], "  ", ")"}]}]}]], "Input",
 CellChangeTimes->{
  3.857897381804454*^9, {3.857898539627449*^9, 3.8578985396439*^9}},
 CellLabel->"In[56]:=",ExpressionUUID->"ba966e06-7e77-43cf-8bd1-4d53a1afabdc"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Ua", "=", 
   RowBox[{"MatrixExp", "[", 
    RowBox[{
     RowBox[{"I", "/", "2"}], "  ", "\[Chi]A", "  ", 
     RowBox[{"s", "[", "2", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UAa", "=", 
   RowBox[{"MatrixExp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "I"}], "/", "2"}], "  ", "\[Chi]A", "  ", 
     RowBox[{"s", "[", "2", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ub", " ", "=", 
   RowBox[{"MatrixExp", "[", 
    RowBox[{
     RowBox[{"I", "/", "2"}], "  ", "\[Chi]B", "  ", 
     RowBox[{"s", "[", "2", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UAb", " ", "=", 
   RowBox[{"MatrixExp", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "I"}], "/", "2"}], "  ", "\[Chi]B", "  ", 
     RowBox[{"s", "[", "2", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rnew", "=", " ", 
   RowBox[{
    RowBox[{"AF", "[", 
     RowBox[{"Ua", 
      StyleBox["\[CircleTimes]",
       ScriptLevel->0], 
      StyleBox[" ",
       ScriptLevel->0], 
      StyleBox["Ub",
       ScriptLevel->0]}], 
     StyleBox["]",
      ScriptLevel->0]}], 
    StyleBox[".",
     ScriptLevel->0], 
    RowBox[{"Rho2", "[", "t", "]"}], ".", 
    RowBox[{"AF", "[", 
     RowBox[{"UAa", 
      StyleBox["\[CircleTimes]",
       ScriptLevel->0], 
      StyleBox[" ",
       ScriptLevel->0], 
      StyleBox["UAb",
       ScriptLevel->0]}], 
     StyleBox["]",
      ScriptLevel->0]}]}]}], 
  StyleBox[";",
   ScriptLevel->0]}], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox["SO",
   ScriptLevel->0], 
  StyleBox["=",
   ScriptLevel->0], 
  RowBox[{"SpinObs", "[", "Rnew", "]"}]}]}], "Input",
 CellChangeTimes->{{3.7592396636958923`*^9, 3.759239850087336*^9}, 
   3.857898430321891*^9, {3.8578985396464167`*^9, 3.8578985396483727`*^9}, {
   3.857898586655136*^9, 3.857898597570133*^9}, {3.8578987869754467`*^9, 
   3.857898811545046*^9}},
 CellLabel->"In[57]:=",ExpressionUUID->"b97d63bf-a7f5-4391-9e9a-8f0dddaf07f9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"\<\"PA=\"\>", " ", 
        TagBox[
         RowBox[{"(", "\[NoBreak]", 
          TagBox[GridBox[{
             {
              RowBox[{
               RowBox[{
                RowBox[{"Cos", "[", "\[Chi]A", "]"}], " ", 
                RowBox[{"PAx", "[", "t", "]"}]}], "-", 
               RowBox[{
                RowBox[{"PAz", "[", "t", "]"}], " ", 
                RowBox[{"Sin", "[", "\[Chi]A", "]"}]}]}]},
             {
              RowBox[{"PAy", "[", "t", "]"}]},
             {
              RowBox[{
               RowBox[{
                RowBox[{"Cos", "[", "\[Chi]A", "]"}], " ", 
                RowBox[{"PAz", "[", "t", "]"}]}], "+", 
               RowBox[{
                RowBox[{"PAx", "[", "t", "]"}], " ", 
                RowBox[{"Sin", "[", "\[Chi]A", "]"}]}]}]}
            },
            
            GridBoxAlignment->{
             "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}],
           Column], "\[NoBreak]", ")"}],
         Function[BoxForm`e$, 
          MatrixForm[BoxForm`e$]]]}]},
      {
       RowBox[{"\<\"PB=\"\>", " ", 
        TagBox[
         RowBox[{"(", "\[NoBreak]", 
          TagBox[GridBox[{
             {
              RowBox[{
               RowBox[{
                RowBox[{"Cos", "[", "\[Chi]B", "]"}], " ", 
                RowBox[{"PBx", "[", "t", "]"}]}], "-", 
               RowBox[{
                RowBox[{"PBz", "[", "t", "]"}], " ", 
                RowBox[{"Sin", "[", "\[Chi]B", "]"}]}]}]},
             {
              RowBox[{"PBy", "[", "t", "]"}]},
             {
              RowBox[{
               RowBox[{
                RowBox[{"Cos", "[", "\[Chi]B", "]"}], " ", 
                RowBox[{"PBz", "[", "t", "]"}]}], "+", 
               RowBox[{
                RowBox[{"PBx", "[", "t", "]"}], " ", 
                RowBox[{"Sin", "[", "\[Chi]B", "]"}]}]}]}
            },
            
            GridBoxAlignment->{
             "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[0.4]}, 
                Offset[0.2]}}],
           Column], "\[NoBreak]", ")"}],
         Function[BoxForm`e$, 
          MatrixForm[BoxForm`e$]]]}]},
      {
       RowBox[{"\<\"TAB=\"\>", " ", 
        TagBox[
         RowBox[{"(", "\[NoBreak]", GridBox[{
            {
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Chi]A", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Cos", "[", "\[Chi]B", "]"}], " ", 
                  RowBox[{
                   RowBox[{"T", "[", "t", "]"}], "[", 
                   RowBox[{"1", ",", "1"}], "]"}]}], "-", 
                 RowBox[{
                  RowBox[{"Sin", "[", "\[Chi]B", "]"}], " ", 
                  RowBox[{
                   RowBox[{"T", "[", "t", "]"}], "[", 
                   RowBox[{"1", ",", "3"}], "]"}]}]}], ")"}]}], "+", 
              RowBox[{
               RowBox[{"Sin", "[", "\[Chi]A", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", 
                   RowBox[{"Cos", "[", "\[Chi]B", "]"}]}], " ", 
                  RowBox[{
                   RowBox[{"T", "[", "t", "]"}], "[", 
                   RowBox[{"3", ",", "1"}], "]"}]}], "+", 
                 RowBox[{
                  RowBox[{"Sin", "[", "\[Chi]B", "]"}], " ", 
                  RowBox[{
                   RowBox[{"T", "[", "t", "]"}], "[", 
                   RowBox[{"3", ",", "3"}], "]"}]}]}], ")"}]}]}], 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Chi]A", "]"}], " ", 
               RowBox[{
                RowBox[{"T", "[", "t", "]"}], "[", 
                RowBox[{"1", ",", "2"}], "]"}]}], "-", 
              RowBox[{
               RowBox[{"Sin", "[", "\[Chi]A", "]"}], " ", 
               RowBox[{
                RowBox[{"T", "[", "t", "]"}], "[", 
                RowBox[{"3", ",", "2"}], "]"}]}]}], 
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Chi]A", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Sin", "[", "\[Chi]B", "]"}], " ", 
                  RowBox[{
                   RowBox[{"T", "[", "t", "]"}], "[", 
                   RowBox[{"1", ",", "1"}], "]"}]}], "+", 
                 RowBox[{
                  RowBox[{"Cos", "[", "\[Chi]B", "]"}], " ", 
                  RowBox[{
                   RowBox[{"T", "[", "t", "]"}], "[", 
                   RowBox[{"1", ",", "3"}], "]"}]}]}], ")"}]}], "-", 
              RowBox[{
               RowBox[{"Sin", "[", "\[Chi]A", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Sin", "[", "\[Chi]B", "]"}], " ", 
                  RowBox[{
                   RowBox[{"T", "[", "t", "]"}], "[", 
                   RowBox[{"3", ",", "1"}], "]"}]}], "+", 
                 RowBox[{
                  RowBox[{"Cos", "[", "\[Chi]B", "]"}], " ", 
                  RowBox[{
                   RowBox[{"T", "[", "t", "]"}], "[", 
                   RowBox[{"3", ",", "3"}], "]"}]}]}], ")"}]}]}]},
            {
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Chi]B", "]"}], " ", 
               RowBox[{
                RowBox[{"T", "[", "t", "]"}], "[", 
                RowBox[{"2", ",", "1"}], "]"}]}], "-", 
              RowBox[{
               RowBox[{"Sin", "[", "\[Chi]B", "]"}], " ", 
               RowBox[{
                RowBox[{"T", "[", "t", "]"}], "[", 
                RowBox[{"2", ",", "3"}], "]"}]}]}], 
             RowBox[{
              RowBox[{"T", "[", "t", "]"}], "[", 
              RowBox[{"2", ",", "2"}], "]"}], 
             RowBox[{
              RowBox[{
               RowBox[{"Sin", "[", "\[Chi]B", "]"}], " ", 
               RowBox[{
                RowBox[{"T", "[", "t", "]"}], "[", 
                RowBox[{"2", ",", "1"}], "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Chi]B", "]"}], " ", 
               RowBox[{
                RowBox[{"T", "[", "t", "]"}], "[", 
                RowBox[{"2", ",", "3"}], "]"}]}]}]},
            {
             RowBox[{
              RowBox[{
               RowBox[{"Cos", "[", "\[Chi]B", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Sin", "[", "\[Chi]A", "]"}], " ", 
                  RowBox[{
                   RowBox[{"T", "[", "t", "]"}], "[", 
                   RowBox[{"1", ",", "1"}], "]"}]}], "+", 
                 RowBox[{
                  RowBox[{"Cos", "[", "\[Chi]A", "]"}], " ", 
                  RowBox[{
                   RowBox[{"T", "[", "t", "]"}], "[", 
                   RowBox[{"3", ",", "1"}], "]"}]}]}], ")"}]}], "-", 
              RowBox[{
               RowBox[{"Sin", "[", "\[Chi]B", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Sin", "[", "\[Chi]A", "]"}], " ", 
                  RowBox[{
                   RowBox[{"T", "[", "t", "]"}], "[", 
                   RowBox[{"1", ",", "3"}], "]"}]}], "+", 
                 RowBox[{
                  RowBox[{"Cos", "[", "\[Chi]A", "]"}], " ", 
                  RowBox[{
                   RowBox[{"T", "[", "t", "]"}], "[", 
                   RowBox[{"3", ",", "3"}], "]"}]}]}], ")"}]}]}], 
             RowBox[{
              RowBox[{
               RowBox[{"Sin", "[", "\[Chi]A", "]"}], " ", 
               RowBox[{
                RowBox[{"T", "[", "t", "]"}], "[", 
                RowBox[{"1", ",", "2"}], "]"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Chi]A", "]"}], " ", 
               RowBox[{
                RowBox[{"T", "[", "t", "]"}], "[", 
                RowBox[{"3", ",", "2"}], "]"}]}]}], 
             RowBox[{
              RowBox[{
               RowBox[{"Sin", "[", "\[Chi]A", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Sin", "[", "\[Chi]B", "]"}], " ", 
                  RowBox[{
                   RowBox[{"T", "[", "t", "]"}], "[", 
                   RowBox[{"1", ",", "1"}], "]"}]}], "+", 
                 RowBox[{
                  RowBox[{"Cos", "[", "\[Chi]B", "]"}], " ", 
                  RowBox[{
                   RowBox[{"T", "[", "t", "]"}], "[", 
                   RowBox[{"1", ",", "3"}], "]"}]}]}], ")"}]}], "+", 
              RowBox[{
               RowBox[{"Cos", "[", "\[Chi]A", "]"}], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Sin", "[", "\[Chi]B", "]"}], " ", 
                  RowBox[{
                   RowBox[{"T", "[", "t", "]"}], "[", 
                   RowBox[{"3", ",", "1"}], "]"}]}], "+", 
                 RowBox[{
                  RowBox[{"Cos", "[", "\[Chi]B", "]"}], " ", 
                  RowBox[{
                   RowBox[{"T", "[", "t", "]"}], "[", 
                   RowBox[{"3", ",", "3"}], "]"}]}]}], ")"}]}]}]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.7]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}], "\[NoBreak]", ")"}],
         Function[BoxForm`e$, 
          MatrixForm[BoxForm`e$]]]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8583346379958067`*^9, 3.859369607742579*^9, 
  3.8593720522695827`*^9, 3.860156697839675*^9},
 CellLabel->"Out[62]=",ExpressionUUID->"d75f4ba4-22af-49a4-bfc3-2c965512217c"]
}, Open  ]],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{{3.7592395568455257`*^9, 3.7592395655035467`*^9}, {
   3.759239597040653*^9, 3.759239609536508*^9}, {3.759239858010028*^9, 
   3.759239859267922*^9}, {3.7592399134170628`*^9, 3.759239936411097*^9}, {
   3.8578984385345793`*^9, 3.857898446096243*^9}, 3.8578984769437304`*^9, 
   3.8578985949400997`*^9},
 CellLabel->"In[63]:=",ExpressionUUID->"4ea912c7-fc1a-4888-baee-2e860da24661"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.759239897699863*^9},
 CellLabel->"In[64]:=",ExpressionUUID->"f56023dd-7140-4b18-ab9a-ef7e981d6aa3"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"SO", "[", 
      RowBox[{"[", "3", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", "1"}], "]"}], "]"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SO", "[", 
     RowBox[{"[", "3", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "2"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SO", "[", 
     RowBox[{"[", "3", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], "[", 
  RowBox[{"[", 
   RowBox[{"1", ",", "3"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.75923994115184*^9, 3.759240030259575*^9}, {
   3.75924012802544*^9, 3.759240153190693*^9}, 3.759240644464278*^9},
 CellLabel->"In[65]:=",ExpressionUUID->"9a9f26a0-0c14-4115-8e2d-4a98148940f4"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{
    RowBox[{"Cos", "[", "\[Chi]A", "]"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Cos", "[", "\[Chi]B", "]"}], " ", 
       RowBox[{
        RowBox[{"T", "[", "t", "]"}], "[", 
        RowBox[{"1", ",", "1"}], "]"}]}], "-", 
      RowBox[{
       RowBox[{"Sin", "[", "\[Chi]B", "]"}], " ", 
       RowBox[{
        RowBox[{"T", "[", "t", "]"}], "[", 
        RowBox[{"1", ",", "3"}], "]"}]}]}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"Sin", "[", "\[Chi]A", "]"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Cos", "[", "\[Chi]B", "]"}]}], " ", 
       RowBox[{
        RowBox[{"T", "[", "t", "]"}], "[", 
        RowBox[{"3", ",", "1"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"Sin", "[", "\[Chi]B", "]"}], " ", 
       RowBox[{
        RowBox[{"T", "[", "t", "]"}], "[", 
        RowBox[{"3", ",", "3"}], "]"}]}]}], ")"}]}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8583346380274353`*^9, 3.859369607779316*^9, 
  3.85937205231989*^9, 3.860156697874152*^9},
 CellLabel->"Out[65]=",ExpressionUUID->"d4bb0b3a-655b-4ee1-b80d-4b33c5162b78"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{
    RowBox[{"Cos", "[", "\[Chi]A", "]"}], " ", 
    RowBox[{
     RowBox[{"T", "[", "t", "]"}], "[", 
     RowBox[{"1", ",", "2"}], "]"}]}], "-", 
   RowBox[{
    RowBox[{"Sin", "[", "\[Chi]A", "]"}], " ", 
    RowBox[{
     RowBox[{"T", "[", "t", "]"}], "[", 
     RowBox[{"3", ",", "2"}], "]"}]}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8583346380274353`*^9, 3.859369607779316*^9, 
  3.85937205231989*^9, 3.860156697876768*^9},
 CellLabel->"Out[66]=",ExpressionUUID->"31c285e7-31e4-4b5f-89be-508631189995"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{
    RowBox[{"Cos", "[", "\[Chi]A", "]"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Sin", "[", "\[Chi]B", "]"}], " ", 
       RowBox[{
        RowBox[{"T", "[", "t", "]"}], "[", 
        RowBox[{"1", ",", "1"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"Cos", "[", "\[Chi]B", "]"}], " ", 
       RowBox[{
        RowBox[{"T", "[", "t", "]"}], "[", 
        RowBox[{"1", ",", "3"}], "]"}]}]}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"Sin", "[", "\[Chi]A", "]"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Sin", "[", "\[Chi]B", "]"}], " ", 
       RowBox[{
        RowBox[{"T", "[", "t", "]"}], "[", 
        RowBox[{"3", ",", "1"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"Cos", "[", "\[Chi]B", "]"}], " ", 
       RowBox[{
        RowBox[{"T", "[", "t", "]"}], "[", 
        RowBox[{"3", ",", "3"}], "]"}]}]}], ")"}]}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8583346380274353`*^9, 3.859369607779316*^9, 
  3.85937205231989*^9, 3.860156697878847*^9},
 CellLabel->"Out[67]=",ExpressionUUID->"2acca94f-511e-4928-85ae-0fd87a46e73c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SO", "[", 
     RowBox[{"[", "3", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], "[", 
  RowBox[{"[", 
   RowBox[{"2", ",", "1"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SO", "[", 
     RowBox[{"[", "3", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], "[", 
  RowBox[{"[", 
   RowBox[{"2", ",", "2"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SO", "[", 
     RowBox[{"[", "3", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], "[", 
  RowBox[{"[", 
   RowBox[{"2", ",", "3"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.759240041949738*^9, 3.759240047259053*^9}},
 CellLabel->"In[68]:=",ExpressionUUID->"64080eda-ee76-46d4-ac98-b716192d5b1a"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{
    RowBox[{"Cos", "[", "\[Chi]B", "]"}], " ", 
    RowBox[{
     RowBox[{"T", "[", "t", "]"}], "[", 
     RowBox[{"2", ",", "1"}], "]"}]}], "-", 
   RowBox[{
    RowBox[{"Sin", "[", "\[Chi]B", "]"}], " ", 
    RowBox[{
     RowBox[{"T", "[", "t", "]"}], "[", 
     RowBox[{"2", ",", "3"}], "]"}]}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334638053136*^9, 3.859369607805545*^9, 
  3.859372052353518*^9, 3.860156697901022*^9},
 CellLabel->"Out[68]=",ExpressionUUID->"0e7e5f74-d5ef-4530-a41f-b8d948e28400"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{"T", "[", "t", "]"}], "[", 
   RowBox[{"2", ",", "2"}], "]"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334638053136*^9, 3.859369607805545*^9, 
  3.859372052353518*^9, 3.860156697903178*^9},
 CellLabel->"Out[69]=",ExpressionUUID->"86f8a413-04db-451a-961f-a5e35297e797"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{
    RowBox[{"Sin", "[", "\[Chi]B", "]"}], " ", 
    RowBox[{
     RowBox[{"T", "[", "t", "]"}], "[", 
     RowBox[{"2", ",", "1"}], "]"}]}], "+", 
   RowBox[{
    RowBox[{"Cos", "[", "\[Chi]B", "]"}], " ", 
    RowBox[{
     RowBox[{"T", "[", "t", "]"}], "[", 
     RowBox[{"2", ",", "3"}], "]"}]}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334638053136*^9, 3.859369607805545*^9, 
  3.859372052353518*^9, 3.860156697905086*^9},
 CellLabel->"Out[70]=",ExpressionUUID->"f39ef053-0d9b-4d0c-840e-a354f21a17e0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SO", "[", 
     RowBox[{"[", "3", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], "[", 
  RowBox[{"[", 
   RowBox[{"3", ",", "1"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SO", "[", 
     RowBox[{"[", "3", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], "[", 
  RowBox[{"[", 
   RowBox[{"3", ",", "2"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"SO", "[", 
     RowBox[{"[", "3", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}], "[", 
  RowBox[{"[", 
   RowBox[{"3", ",", "3"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.759240057114909*^9, 3.759240065213883*^9}},
 CellLabel->"In[71]:=",ExpressionUUID->"cf658a9a-74ce-4763-9bc7-ab363b8fcf07"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{
    RowBox[{"Cos", "[", "\[Chi]B", "]"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Sin", "[", "\[Chi]A", "]"}], " ", 
       RowBox[{
        RowBox[{"T", "[", "t", "]"}], "[", 
        RowBox[{"1", ",", "1"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"Cos", "[", "\[Chi]A", "]"}], " ", 
       RowBox[{
        RowBox[{"T", "[", "t", "]"}], "[", 
        RowBox[{"3", ",", "1"}], "]"}]}]}], ")"}]}], "-", 
   RowBox[{
    RowBox[{"Sin", "[", "\[Chi]B", "]"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Sin", "[", "\[Chi]A", "]"}], " ", 
       RowBox[{
        RowBox[{"T", "[", "t", "]"}], "[", 
        RowBox[{"1", ",", "3"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"Cos", "[", "\[Chi]A", "]"}], " ", 
       RowBox[{
        RowBox[{"T", "[", "t", "]"}], "[", 
        RowBox[{"3", ",", "3"}], "]"}]}]}], ")"}]}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334638066551*^9, 3.8593696078202667`*^9, 
  3.8593720523753157`*^9, 3.8601566979162493`*^9},
 CellLabel->"Out[71]=",ExpressionUUID->"41fc868a-3eed-472a-8206-550dc8ea96b4"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{
    RowBox[{"Sin", "[", "\[Chi]A", "]"}], " ", 
    RowBox[{
     RowBox[{"T", "[", "t", "]"}], "[", 
     RowBox[{"1", ",", "2"}], "]"}]}], "+", 
   RowBox[{
    RowBox[{"Cos", "[", "\[Chi]A", "]"}], " ", 
    RowBox[{
     RowBox[{"T", "[", "t", "]"}], "[", 
     RowBox[{"3", ",", "2"}], "]"}]}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334638066551*^9, 3.8593696078202667`*^9, 
  3.8593720523753157`*^9, 3.860156697919072*^9},
 CellLabel->"Out[72]=",ExpressionUUID->"822e9a74-ef5b-4e34-964f-736d4696064e"],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{
    RowBox[{"Sin", "[", "\[Chi]A", "]"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Sin", "[", "\[Chi]B", "]"}], " ", 
       RowBox[{
        RowBox[{"T", "[", "t", "]"}], "[", 
        RowBox[{"1", ",", "1"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"Cos", "[", "\[Chi]B", "]"}], " ", 
       RowBox[{
        RowBox[{"T", "[", "t", "]"}], "[", 
        RowBox[{"1", ",", "3"}], "]"}]}]}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"Cos", "[", "\[Chi]A", "]"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"Sin", "[", "\[Chi]B", "]"}], " ", 
       RowBox[{
        RowBox[{"T", "[", "t", "]"}], "[", 
        RowBox[{"3", ",", "1"}], "]"}]}], "+", 
      RowBox[{
       RowBox[{"Cos", "[", "\[Chi]B", "]"}], " ", 
       RowBox[{
        RowBox[{"T", "[", "t", "]"}], "[", 
        RowBox[{"3", ",", "3"}], "]"}]}]}], ")"}]}]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.858334638066551*^9, 3.8593696078202667`*^9, 
  3.8593720523753157`*^9, 3.860156697921486*^9},
 CellLabel->"Out[73]=",ExpressionUUID->"ee46383c-f6bf-47e8-a130-1f220115af4d"]
}, Open  ]]
},
WindowSize->{964, 613},
WindowMargins->{{83, Automatic}, {-42, Automatic}},
FrontEndVersion->"13.0 for Mac OS X x86 (64-bit) (December 2, 2021)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"ac00ec3b-a1bd-4199-966d-c91c5d7ea671"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 810, 19, 87, "Input",ExpressionUUID->"33146775-bfdb-4060-b6da-fe481760d0d2"],
Cell[1393, 43, 326, 6, 24, "Print",ExpressionUUID->"21f9b459-2f76-40c1-b1e7-4b3bedd4986a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1756, 54, 5041, 136, 298, "Input",ExpressionUUID->"e6084059-ab27-4c56-849e-64cbded5c104"],
Cell[6800, 192, 282, 6, 34, "Output",ExpressionUUID->"c88c5887-84cf-488a-88a5-47646b623866"],
Cell[7085, 200, 670, 18, 49, "Output",ExpressionUUID->"4221568f-df2e-42da-b1b0-63f42a6980fc"],
Cell[7758, 220, 671, 18, 49, "Output",ExpressionUUID->"1f4d1c2e-bd0e-4896-8859-493f3a2f5139"],
Cell[8432, 240, 283, 6, 34, "Output",ExpressionUUID->"61194f95-8234-45ae-8733-359bd2e888c9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8752, 251, 684, 15, 30, "Input",ExpressionUUID->"2d689b4a-19e0-497a-b240-74c6d5c9d8dd"],
Cell[9439, 268, 1118, 30, 55, "Output",ExpressionUUID->"cc79d6df-1c66-45ed-85a5-ce9a7876bfd7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10594, 303, 1008, 27, 94, "Input",ExpressionUUID->"7c2c4a6b-ca27-4d99-87bd-20f3da7e8956"],
Cell[11605, 332, 1120, 30, 55, "Output",ExpressionUUID->"dbd41610-f5d7-438f-9f99-575f00777066"],
Cell[12728, 364, 285, 6, 34, "Output",ExpressionUUID->"3a00a4c2-fdf2-4565-a1c3-60b9daa3df3f"]
}, Open  ]],
Cell[13028, 373, 199, 3, 30, "Input",ExpressionUUID->"f2cb7f8d-d325-481a-b79b-fe7ff45a8983"],
Cell[CellGroupData[{
Cell[13252, 380, 775, 18, 94, "Input",ExpressionUUID->"918a9bbf-a2b0-4213-8f74-dfa4e18a38bd"],
Cell[14030, 400, 1118, 31, 81, "Output",ExpressionUUID->"11fa4bf9-cd35-4464-8ac7-bf49109e822a"],
Cell[15151, 433, 287, 6, 34, "Output",ExpressionUUID->"912f6f5c-4a66-4e81-9282-70b66f3919e1"],
Cell[15441, 441, 1116, 31, 81, "Output",ExpressionUUID->"631b37ed-5148-4983-949d-7a1c5ae65fe1"],
Cell[16560, 474, 285, 6, 34, "Output",ExpressionUUID->"e40433ae-92fe-4cb5-9b7f-293e23bf78c8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16882, 485, 1566, 37, 94, "Input",ExpressionUUID->"8f037f6c-dc94-46cf-81c2-e902ad9a42a8"],
Cell[18451, 524, 1118, 30, 55, "Output",ExpressionUUID->"34bb4403-869a-457f-a783-39f5b4c7ff5f"],
Cell[19572, 556, 1118, 30, 55, "Output",ExpressionUUID->"d5868baa-fc9f-47ea-8e7f-f5e8ad363047"],
Cell[20693, 588, 283, 6, 34, "Output",ExpressionUUID->"0d51bbbd-122b-4bd8-ac54-816fb10168f4"],
Cell[20979, 596, 283, 6, 34, "Output",ExpressionUUID->"523a3189-9f83-4e22-abeb-8be38caed0b4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21299, 607, 1658, 41, 94, "Input",ExpressionUUID->"455f0a4c-9844-4020-90e9-82f8debb162b"],
Cell[22960, 650, 1122, 30, 55, "Output",ExpressionUUID->"e9c933d6-f651-4706-9720-9440d1cf0acd"],
Cell[24085, 682, 1124, 30, 55, "Output",ExpressionUUID->"a2c11c2c-8faa-4535-883d-6758717da378"],
Cell[25212, 714, 287, 6, 34, "Output",ExpressionUUID->"3e2fcdb3-08c9-457e-ad8f-cf661dcd3822"],
Cell[25502, 722, 287, 6, 34, "Output",ExpressionUUID->"3df2c23e-db23-43a5-b830-8fb660203ada"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25826, 733, 1126, 27, 157, "Input",ExpressionUUID->"b8eed785-5e50-430e-9566-55aa2640fd9e"],
Cell[26955, 762, 920, 28, 69, "Output",ExpressionUUID->"7e1678fc-29c8-4821-97e0-c6cf745aa5a3"],
Cell[27878, 792, 1174, 31, 55, "Output",ExpressionUUID->"5c370b01-45e9-4e37-86b0-e7aa26df9fe5"],
Cell[29055, 825, 918, 28, 69, "Output",ExpressionUUID->"c26b0084-78cf-4fa2-b927-fe4291a1d27a"],
Cell[29976, 855, 337, 7, 34, "Output",ExpressionUUID->"2c79a899-95a2-4310-9ba9-4f9564a2dd31"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30350, 867, 1195, 30, 73, "Input",ExpressionUUID->"9a872cbc-a8e9-4dbd-ba06-b9fd8bf464f6"],
Cell[31548, 899, 1752, 47, 55, "Output",ExpressionUUID->"49e5831e-b760-49cd-81e4-4fcf0e360f44"],
Cell[33303, 948, 1777, 47, 55, "Output",ExpressionUUID->"128e5878-1a15-4fc7-80a8-321acac94b68"],
Cell[35083, 997, 1167, 31, 55, "Output",ExpressionUUID->"24a0edc6-a59c-4fb1-9806-2bd52280c1dc"]
}, Open  ]],
Cell[36265, 1031, 171, 2, 30, "Input",ExpressionUUID->"80ecd181-b719-4974-a58e-b56117a9a30d"],
Cell[CellGroupData[{
Cell[36461, 1037, 1307, 42, 52, "Input",ExpressionUUID->"e2bcccdc-464a-43d7-b81f-1041df11a9a9"],
Cell[37771, 1081, 830, 24, 69, "Output",ExpressionUUID->"2b2e7583-d56f-41a0-93a6-b286427a5f75"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38638, 1110, 1939, 59, 136, "Input",ExpressionUUID->"a3f93a94-6b0b-48aa-babd-fedea375789f"],
Cell[40580, 1171, 1259, 36, 69, "Output",ExpressionUUID->"b09ef5e6-d74f-4caf-ad42-f0d3867591c2"],
Cell[41842, 1209, 1256, 36, 69, "Output",ExpressionUUID->"57315f96-8799-489b-85ca-056eec5ed77e"],
Cell[43101, 1247, 1257, 36, 69, "Output",ExpressionUUID->"dcf7bc65-3101-4767-b26a-d5fd71e3379b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44395, 1288, 997, 27, 73, "Input",ExpressionUUID->"15c42946-2f24-434b-8854-58a9963c1479"],
Cell[45395, 1317, 1949, 54, 69, "Output",ExpressionUUID->"ac94d128-f486-40d1-8555-a64dd58bc25f"],
Cell[47347, 1373, 1256, 36, 69, "Output",ExpressionUUID->"3ddb8fae-5ecd-438f-96e4-b45fc9810881"]
}, Open  ]],
Cell[48618, 1412, 220, 4, 30, "Input",ExpressionUUID->"743f0d5e-3d48-4c9c-9fb3-2d2811732156"],
Cell[CellGroupData[{
Cell[48863, 1420, 1363, 39, 94, "Input",ExpressionUUID->"22dcab27-8443-4bd0-960c-d98c3a8ced7f"],
Cell[50229, 1461, 1251, 36, 69, "Output",ExpressionUUID->"aba0ef89-e5db-46f0-9c2e-0ec8a27c501e"]
}, Open  ]],
Cell[51495, 1500, 3766, 126, 94, "Input",ExpressionUUID->"ba966e06-7e77-43cf-8bd1-4d53a1afabdc"],
Cell[CellGroupData[{
Cell[55286, 1630, 2041, 65, 137, "Input",ExpressionUUID->"b97d63bf-a7f5-4391-9e9a-8f0dddaf07f9"],
Cell[57330, 1697, 10839, 274, 179, "Output",ExpressionUUID->"d75f4ba4-22af-49a4-bfc3-2c965512217c"]
}, Open  ]],
Cell[68184, 1974, 446, 6, 52, "Input",ExpressionUUID->"4ea912c7-fc1a-4888-baee-2e860da24661"],
Cell[68633, 1982, 147, 2, 30, "Input",ExpressionUUID->"f56023dd-7140-4b18-ab9a-ef7e981d6aa3"],
Cell[CellGroupData[{
Cell[68805, 1988, 1037, 31, 73, "Input",ExpressionUUID->"9a9f26a0-0c14-4115-8e2d-4a98148940f4"],
Cell[69845, 2021, 1210, 36, 34, "Output",ExpressionUUID->"d4bb0b3a-655b-4ee1-b80d-4b33c5162b78"],
Cell[71058, 2059, 602, 17, 34, "Output",ExpressionUUID->"31c285e7-31e4-4b5f-89be-508631189995"],
Cell[71663, 2078, 1186, 35, 34, "Output",ExpressionUUID->"2acca94f-511e-4928-85ae-0fd87a46e73c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[72886, 2118, 941, 29, 73, "Input",ExpressionUUID->"64080eda-ee76-46d4-ac98-b716192d5b1a"],
Cell[73830, 2149, 601, 17, 34, "Output",ExpressionUUID->"0e7e5f74-d5ef-4530-a41f-b8d948e28400"],
Cell[74434, 2168, 361, 9, 34, "Output",ExpressionUUID->"86f8a413-04db-451a-961f-a5e35297e797"],
Cell[74798, 2179, 601, 17, 34, "Output",ExpressionUUID->"f39ef053-0d9b-4d0c-840e-a354f21a17e0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[75436, 2201, 941, 29, 73, "Input",ExpressionUUID->"cf658a9a-74ce-4763-9bc7-ab363b8fcf07"],
Cell[76380, 2232, 1191, 35, 34, "Output",ExpressionUUID->"41fc868a-3eed-472a-8206-550dc8ea96b4"],
Cell[77574, 2269, 605, 17, 34, "Output",ExpressionUUID->"822e9a74-ef5b-4e34-964f-736d4696064e"],
Cell[78182, 2288, 1189, 35, 34, "Output",ExpressionUUID->"ee46383c-f6bf-47e8-a130-1f220115af4d"]
}, Open  ]]
}
]
*)

