(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[   1152590,      29117]
NotebookOptionsPosition[   1082895,      28025]
NotebookOutlinePosition[   1093171,      28231]
CellTagsIndexPosition[   1092965,      28221]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Introductory Tutorial  Tour of Functions in QDensity", "Title",
 CellChangeTimes->{{3.614245752001307*^9, 3.61424575865956*^9}, {
  3.61442223595407*^9, 3.614422242848609*^9}},
 CellTags->"c:1",ExpressionUUID->"4ca7a274-aa93-4a97-ad6d-4c824f7c42d9"],

Cell["Basic tools in QDENSITY", "Subtitle",ExpressionUUID->"a9d7b9ea-4e50-41bb-9166-d5dabec60f99"],

Cell[TextData[{
 "Version: 5.0-July 2014--For ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 9.0 and 10.3"
}], "Abstract",
 CellChangeTimes->{{3.395090887981901*^9, 3.395090925377634*^9}, {
  3.5122043095457993`*^9, 3.512204334243861*^9}, {3.512204716872068*^9, 
  3.512204717487535*^9}, {3.61332114153409*^9, 3.61332117425388*^9}, {
  3.614245762990281*^9, 3.614245774903561*^9}, {3.655397820173614*^9, 
  3.655397820585164*^9}},
 FontSize->24,ExpressionUUID->"0a36bf1a-dc08-473b-8667-7de5f5180797"],

Cell[TextData[StyleBox["In this tutorial, we provide simple examples of the \
commands  contained in the  QDensity package: \nOther tutorials are provided \
for QCWave and for special applications in other notebook files.",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.61451053161129*^9, 3.614510600783663*^9}, {
  3.6157266998820877`*^9, 3.615726725879055*^9}, {3.8571282953907757`*^9, 
  3.857128322661446*^9}},
 FontFamily->"Courier New",
 FontSize->24,
 CellTags->"b:5.0",ExpressionUUID->"73db5300-6cee-4ff3-9540-4c562bf1a08c"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Getting started                To  open   double   \
click at down arrow  --------------------------->>",
 FontSize->24]], "Section",
 CellChangeTimes->{{3.5122044149751883`*^9, 3.512204420963462*^9}, {
  3.512204654694922*^9, 3.512204703295166*^9}},
 FontFamily->"Times",
 CellTags->{
  "c:2", "b:5.0"},ExpressionUUID->"32643420-bf41-4fbb-817e-c3dee2754b3c"],

Cell[TextData[{
 StyleBox["All the codes simulating quantum circuits will start by loading \
the ",
  FontFamily->"Helvetica"],
 "QDENSITY and QCWave",
 StyleBox[" packages.\nTo make the package fully available copy the QDENSITY  \
directory to this location on \nyour user account:",
  FontFamily->"Helvetica"]
}], "Text",
 CellChangeTimes->{{3.6140757541788397`*^9, 3.6140758077373037`*^9}},
 TextJustification->0,
 FontFamily->"Courier New",
 CellTags->"b:5.0",ExpressionUUID->"0c40d619-7113-4431-a54f-27d92527ee07"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ToFileName", "[", " ", 
  RowBox[{"{", 
   RowBox[{"$UserBaseDirectory", ",", " ", "\"\<Applications\>\""}], "}"}], 
  "]"}]], "Input",
 CellTags->"b:5.0",ExpressionUUID->"90c6b5d8-4e32-4734-a028-4dee907fa563"],

Cell[BoxData["\<\"/Users/franktabakin/Library/Mathematica/Applications/\"\>"],\
 "Output",
 CellChangeTimes->{3.859373523294647*^9},
 CellTags->"b:5.0",ExpressionUUID->"adda2a60-5fdb-40e9-89bc-32dd13f8eb4c"]
}, Open  ]],

Cell[TextData[{
 StyleBox["Then you can load the packages ",
  FontFamily->"Helvetica"],
 "QDENSITY",
 StyleBox[" and ",
  FontFamily->"Helvetica"],
 "QCWave ....",
 StyleBox["  using:",
  FontFamily->"Helvetica"]
}], "Text",
 CellChangeTimes->{{3.613321198283746*^9, 3.6133212155955057`*^9}, {
  3.624626119284376*^9, 3.624626120386023*^9}},
 TextJustification->0,
 FontFamily->"Courier New",
 CellTags->"b:5.0",ExpressionUUID->"37f0d980-4f4c-4bc8-80dc-99e2a2212f2b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"Off", "[", 
     RowBox[{"General", "::", "shdw"}], "]"}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", "]"}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.483432390978092*^9, 3.483432400626445*^9}, {
   3.53079499934487*^9, 3.530795001544505*^9}, 3.5437525607932043`*^9, {
   3.548070897892881*^9, 3.548070916184149*^9}, {3.548070957087976*^9, 
   3.5480709578212748`*^9}, {3.548071305010578*^9, 3.548071306230961*^9}, {
   3.5480713947805653`*^9, 3.5480713956338*^9}, {3.548072099176927*^9, 
   3.548072101620358*^9}, {3.5480722624525137`*^9, 3.5480722637314672`*^9}, {
   3.548105051099502*^9, 3.548105052472144*^9}, {3.548369028268242*^9, 
   3.548369035859907*^9}, {3.548944622457534*^9, 3.548944629293009*^9}, {
   3.548947550869351*^9, 3.548947560976862*^9}, 3.549272600983625*^9, {
   3.656261941192224*^9, 3.656261941675263*^9}, {3.860155366740061*^9, 
   3.860155367861865*^9}},
 FontFamily->"Courier New",
 FontSize->16,
 CellTags->"b:5.0",ExpressionUUID->"87eb449a-2b3c-4627-8ab6-863c3af46eab"],

Cell[BoxData["\<\"Type \\\"?intro\\\", \\\"?QDENSITY`Qdensity`*\\\" or \
\\\"?about for help.\"\>"], "Print",
 CellChangeTimes->{3.859373523476931*^9},
 CellTags->"b:5.0",ExpressionUUID->"b5c56eb7-ca1c-470a-8b60-6fdb9a1955a2"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"Needs", "[", "\"\<QDENSITY`Circuits`\>\"", "]"}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Needs", "[", "\"\<QDENSITY`QCWave`\>\"", "]"}], ";"}], 
   " "}]}]], "Input",
 CellChangeTimes->{{3.483432390978092*^9, 3.483432400626445*^9}, {
   3.53079499934487*^9, 3.530795001544505*^9}, 3.5437525607932043`*^9, {
   3.548070897892881*^9, 3.548070916184149*^9}, {3.548070957087976*^9, 
   3.5480709578212748`*^9}, {3.548071305010578*^9, 3.548071306230961*^9}, {
   3.5480713947805653`*^9, 3.5480713956338*^9}, {3.548072099176927*^9, 
   3.548072101620358*^9}, {3.5480722624525137`*^9, 3.5480722637314672`*^9}, {
   3.548105051099502*^9, 3.548105052472144*^9}, {3.548369028268242*^9, 
   3.548369035859907*^9}, {3.548944622457534*^9, 3.548944629293009*^9}, {
   3.548947550869351*^9, 3.548947560976862*^9}, 3.549272600983625*^9, {
   3.6562619520480824`*^9, 3.656261954781238*^9}},
 FontFamily->"Courier New",
 FontSize->16,
 CellTags->"b:5.0",ExpressionUUID->"06e2c9f5-50aa-4df1-9f5f-4d20d3e76e71"]
}, Open  ]],

Cell[TextData[StyleBox["Load the BTSystem package:",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.481314350813511*^9, 3.481314355400663*^9}, {
   3.530794984354582*^9, 3.530794993929948*^9}, 3.5437520569132357`*^9, 
   3.54375256079274*^9, {3.543831400003991*^9, 3.5438314111768208`*^9}, {
   3.5490989705948277`*^9, 3.54909897772147*^9}, 3.54927260098381*^9},
 TextJustification->0,
 FontFamily->"Courier New",
 FontSize->16,
 CellTags->"b:5.0",ExpressionUUID->"06a5712a-ca90-4193-8551-dd0af6b5703d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<QDENSITY`BTSystem`\>\"", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.548105830878007*^9, 3.548105833803213*^9}, {
   3.548105995819116*^9, 3.548105998543726*^9}, {3.548199704121345*^9, 
   3.548199705758276*^9}, {3.548349113316387*^9, 3.5483491159930687`*^9}, {
   3.548349560312273*^9, 3.548349562679538*^9}, 3.549272600984004*^9},
 FontSize->16,ExpressionUUID->"065d1d47-1280-4f31-b17a-fa55ad47faeb"],

Cell[BoxData["\<\"Type \\\"?introBT\\\", \\\"?QDENSITY`BTSystem`*\\\" or \
\\\"?aboutBT for help.\"\>"], "Print",
 CellChangeTimes->{
  3.85937352413874*^9},ExpressionUUID->"1ce679b9-7ad6-4dcf-8527-11f2c75f81b3"]
}, Open  ]],

Cell[TextData[StyleBox["To see all the commands contained in the package:  ",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.0",ExpressionUUID->"ba250584-0fb3-46fe-a2a2-6fa1f1185be8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "QDENSITY`Qdensity`*"}]], "Input",
 CellChangeTimes->{{3.613321230783722*^9, 3.6133212398385773`*^9}, 
   3.6133971194048977`*^9, 3.613397155369432*^9},
 FontFamily->"Courier New",
 CellTags->"b:5.0",ExpressionUUID->"d3708ee5-5ebb-4384-8efe-fbd947dd000e"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["about", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "about", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Discord", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Discord", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "MeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "RandomBra2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma0", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Sigma0", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ws", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "ws", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Adj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Adj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "EnTropy", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiProjCBasis", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "MultiProjCBasis", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBraN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "RandomBraN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Sigma1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["AF", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "AF", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "EnTropy2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiQProj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "MultiQProj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "RandomKet1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Sigma2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Bra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Bra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Fidelity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Fidelity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Mutual", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Mutual", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "RandomKet2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Sigma3", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "BraV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["FidelityB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "FidelityB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "nb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKetN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "RandomKetN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Snos", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Snos", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "BraX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["neg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "neg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "RandomQubit1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SP", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "SP", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroMatrix", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "ZeroMatrix", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "BraY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nneg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "nneg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "RandomQubit2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SpinObs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "SpinObs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "ZeroT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CNOT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "CNOT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Hadamard", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Hadamard", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nq", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "nq", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubitN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "RandomQubitN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stA", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "stA", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalH]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "\[ScriptCapitalH]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Coeff", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Coeff", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["HALL", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "HALL", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OneOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "OneOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsDate", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "rcsDate", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "stB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "\[ScriptCapitalP]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Comm", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Comm", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["i8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "i8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Oracle", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Oracle", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsRevision", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "rcsRevision", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Swap", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Swap", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]X", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "\[ScriptCapitalP]X", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompMeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "CompMeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["intro", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "intro", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTrace", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "PartialTrace", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "res1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "s$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]Y", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "\[ScriptCapitalP]Y", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompPTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "CompPTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["j8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "j8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTraceGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "PartialTraceGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "res1$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ThreeOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "ThreeOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[DoubleStruckCapitalI]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "\[DoubleStruckCapitalI]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "ControlledX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Ket1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Ket1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTranspose", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "PartialTranspose", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "res2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Toffoli", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Toffoli", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "\[Rho]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "ControlledY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "KetV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ProjG", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "ProjG", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "res2$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "ts", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "\[Rho]$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "ControlledZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "KetX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "PTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Rotqbit", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Rotqbit", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "ts$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Sigma]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "\[Sigma]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASE", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "CPHASE", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "KetY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTrGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "PTrGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "RotX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["TwoOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "TwoOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "\[Phi]A1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASEV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "CPHASEV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "mc", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Purity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Purity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "RotY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["U", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "U", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "\[Phi]A2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["cRQN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "cRQN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "mcl", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "PX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "RotZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "v", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "\[Phi]B1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Definef", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Definef", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "mcl$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "PY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Vs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Vs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "\[Phi]B2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["DForm2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "DForm2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "mc$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "RandomBra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Schmidt", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "Schmidt", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "v$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[CapitalOmega]s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-c14f548b-cd11-4cc0-85a8-cdca4ebe8a35", {
                    "\[CapitalOmega]s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.15833333333333333`]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.859373524228085*^9},
 CellTags->"b:5.0",ExpressionUUID->"6a722c4c-c53a-4686-a795-c85eb41e7b30"]
}, Open  ]],

Cell[TextData[StyleBox["If you click on any entry in the display above, \
information about it will appear above this line.\nWe now illustrate most of \
the items in the above list.",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.615726750302065*^9, 3.615726801577874*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0",ExpressionUUID->"44ae50a6-5d5d-4f9f-a124-c14ddb792039"],

Cell["Basic Functions in roughly alphabetic order", "Section",
 CellChangeTimes->{{3.614245836034204*^9, 3.614245838451766*^9}, {
  3.614245883720427*^9, 3.614245902652607*^9}, {3.615726809058713*^9, 
  3.615726818935968*^9}},
 FontFamily->"Times",
 CellTags->"c:3",ExpressionUUID->"dab17cc2-a1ad-47ea-a38e-fd3c87670521"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Adj"}]], "Input",
 CellChangeTimes->{{3.614245973539517*^9, 
  3.6142459754182787`*^9}},ExpressionUUID->"9b4ce209-0e11-4155-94af-\
969f56b7c334"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Adj[A]\\n\\n\\t gives the adjoint of matrix \
A.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Adj", "[", "Private`x_", "]"}], ":=", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Conjugate", "[", "Private`x", "]"}], "]"}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Adj\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Adj[A]\\n\\n\\t gives the adjoint of matrix \
A.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Adj[A]\n\n\t gives the adjoint of matrix A.", "Documentation" -> None, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Adj, {QDENSITY`Qdensity`Adj[
          Pattern[Private`x, 
           Blank[]]] :> Transpose[
          Conjugate[Private`x]]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`Adj"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735243150063`*^9},ExpressionUUID->"a228f297-6b5f-492e-84e0-\
16ff43c0057f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"state", "=", "RandomKet1"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "state", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Adj", "[", "state", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.6142459929567957`*^9, 
  3.614246085064147*^9}},ExpressionUUID->"462bc9cd-2a85-4ea1-847d-\
3506fa2c9ff0"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "0.6507937206982394`"}], "+", 
       RowBox[{"0.20907587168510328`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.7178007178122066`"}], "-", 
       RowBox[{"0.1323515866438225`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524376389*^9},ExpressionUUID->"5b67ddf8-bed4-4d54-a9bb-\
32c53f3a4a15"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.6507937206982394`"}], "+", 
      RowBox[{"0.20907587168510328`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.7178007178122066`"}], "-", 
      RowBox[{"0.1323515866438225`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524379815*^9},ExpressionUUID->"00a2bdc8-1a8e-431c-804e-\
a564b09ebaa4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "0.6507937206982394`"}], "-", 
       RowBox[{"0.20907587168510328`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.7178007178122066`"}], "+", 
       RowBox[{"0.1323515866438225`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524383284*^9},ExpressionUUID->"a753e16c-1e8c-4efb-af4c-\
cb1c0e025025"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.6507937206982394`"}], "-", 
      RowBox[{"0.20907587168510328`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.7178007178122066`"}], "+", 
      RowBox[{"0.1323515866438225`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937352438619*^9},ExpressionUUID->"2d529057-69e1-4a92-b9f0-8d16fe21de60"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "AF"}]], "Input",
 CellChangeTimes->{{3.6142461128797913`*^9, 
  3.614246113974354*^9}},ExpressionUUID->"0aaf9e82-85b8-425d-bfb0-\
c736b58b1a2e"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"AF[state]\\n\\n   AF denotes ArrayFlatten, \
produces a correct matrix when needed for \\nthe older Tensorproduct setup.  \
Acts only on matrix. Defined by\\nAF=ArrayFlatten\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"AF", "[", 
                    RowBox[{"Private`st_", "?", "MatrixQ"}], "]"}], ":=", 
                    RowBox[{"ArrayFlatten", "[", "Private`st", "]"}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`AF\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"AF[state]\\n\\n   AF denotes ArrayFlatten, \
produces a correct matrix when needed for \\nthe older Tensorproduct setup.  \
Acts only on matrix. Defined by\\nAF=ArrayFlatten\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "AF[state]\n\n   AF denotes ArrayFlatten, produces a correct matrix when \
needed for \nthe older Tensorproduct setup.  Acts only on matrix. Defined by\n\
AF=ArrayFlatten", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> 
     None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`AF, {QDENSITY`Qdensity`AF[
          PatternTest[
           Pattern[Private`st, 
            Blank[]], MatrixQ]] :> ArrayFlatten[Private`st]}], "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`AF"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524468667*^9},ExpressionUUID->"29461a77-fd5a-4b89-9485-\
4109b9c6cab9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Ket", "[", "0", "]"}], " ", "\[TensorProduct]", " ", 
  RowBox[{"Ket", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AF", "[", 
  RowBox[{
   RowBox[{"Ket", "[", "0", "]"}], " ", "\[TensorProduct]", " ", 
   RowBox[{"Ket", "[", "0", "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.614246220823657*^9, 
  3.6142462597006607`*^9}},ExpressionUUID->"1fefedfe-d99a-4ba3-8398-\
bb74d6c2c683"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1"},
     {"0"},
     {"0"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524480607*^9},ExpressionUUID->"91e57299-6cec-45db-9aaf-\
f3ec184ad5b5"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1"},
     {"0"},
     {"0"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524483686*^9},ExpressionUUID->"3b0f6c39-0418-47a2-ac05-\
355e6d557349"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"00\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524485744*^9},ExpressionUUID->"7b7194e5-3648-4131-89bb-\
6f6b7e38aa31"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  TemplateBox[{"0"},
   "Ket"], "\[TensorProduct]", 
  TemplateBox[{"0"},
   "Ket"]}], "\n", 
 RowBox[{"AF", "[", 
  RowBox[{
   TemplateBox[{"0"},
    "Ket"], "\[TensorProduct]", 
   TemplateBox[{"0"},
    "Ket"]}], "]"}], "\n", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.614246220823657*^9, 
  3.614246282164315*^9}},ExpressionUUID->"8dbdb6f5-2afe-4717-a127-\
ca6962554218"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1"},
     {"0"},
     {"0"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524554409*^9},ExpressionUUID->"062cfe3e-76f1-4df4-899e-\
bb7bd57b8bd7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1"},
     {"0"},
     {"0"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524570941*^9},ExpressionUUID->"13771ffc-8bf3-428a-86df-\
94737185a02d"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"00\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735245740833`*^9},ExpressionUUID->"6c72456a-9192-4c6e-977f-\
2c05914942c5"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Bra1"}]], "Input",
 CellChangeTimes->{{3.614246322163365*^9, 
  3.614246324845842*^9}},ExpressionUUID->"4bffca31-ca4e-441e-bbc9-\
77034ab292f1"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Bra1[\[Theta],\[Phi]],\\n\\n\\t returns a general \
one qubit bra state . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Bra1", "[", 
                    RowBox[{"Private`a_", ",", "Private`b_"}], "]"}], ":=", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    FractionBox["Private`a", "2"], "]"}], " ", 
                    RowBox[{"Exp", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{"+", "\[ImaginaryI]"}], ")"}], " ", "Private`b"}],
                     "]"}], " ", 
                    TemplateBox[{"0"}, "Bra"]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    FractionBox["Private`a", "2"], "]"}], " ", 
                    TemplateBox[{"1"}, "Bra"], " ", 
                    RowBox[{"Exp", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{"-", "\[ImaginaryI]"}], ")"}], " ", "Private`b"}],
                     "]"}]}]}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Bra1\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Bra1[\[Theta],\[Phi]],\\n\\n\\t returns a general \
one qubit bra state . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Bra1[\[Theta],\[Phi]],\n\n\t returns a general one qubit bra state . ", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Bra1, {QDENSITY`Qdensity`Bra1[
          Pattern[Private`a, 
           Blank[]], 
          Pattern[Private`b, 
           Blank[]]] :> 
        Cos[Private`a/2] Exp[Plus[I] (Private`b/2)] Bra[0] + 
         Sin[Private`a/2] Bra[1] Exp[(-I) (Private`b/2)]}], "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`Bra1"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524663158*^9},ExpressionUUID->"75a8f67f-cd48-4c9a-ab0a-\
04fab0caebd4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Bra1", "[", 
  RowBox[{"a", ",", "b"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.614246333795867*^9, 
  3.6142463871689034`*^9}},ExpressionUUID->"194eb1fb-2666-45d3-b2eb-\
24287649322c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"\[ImaginaryI]", " ", "b"}], "2"]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["a", "2"], "]"}]}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "b"}], "2"]}]], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["a", "2"], "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524674774*^9},ExpressionUUID->"8ba9a568-35d7-48b8-ad74-\
3e1a3d8e5690"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "b"}], "2"]], " ", 
      RowBox[{"Cos", "[", 
        FractionBox["a", "2"], "]"}]}], "\" ) \"", "\" < \"", "\"0\"", 
    "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "b"}], "2"]}]], " ", 
      RowBox[{"Sin", "[", 
        FractionBox["a", "2"], "]"}]}], "\" ) \"", "\" < \"", "\"1\"", 
    "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524678481*^9},ExpressionUUID->"b6e6a077-3e79-46b4-8f66-\
b4c03329a3c1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "BraV"}]], "Input",
 CellChangeTimes->{{3.6142466507943993`*^9, 
  3.614246653218107*^9}},ExpressionUUID->"ad4ecbe0-779f-4803-a82f-\
86e69fc2e659"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"BraV[a_] is a multi-qubit state vector \
bra,\\n\\n\\t variable a must be list .\\n\\n\\t Example of use, \
\\nBraV[{a,b,c}]=Bra[a]\[CircleTimes]Bra[b]\[CircleTimes]Bra[c],\\nwith a,b \
and c {0,1}\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"BraV", "[", 
                    RowBox[{"Private`a_", "?", "ListQ"}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "O", "}"}], ",", 
                    RowBox[{
                    RowBox[{"O", "=", 
                    TemplateBox[{
                    
                    RowBox[{"Private`a", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}, "Bra"]}], ";", 
                    RowBox[{"Private`L", "=", 
                    RowBox[{"Length", "[", "Private`a", "]"}]}], ";", 
                    RowBox[{"Do", "[", 
                    RowBox[{
                    RowBox[{"O", "=", 
                    RowBox[{"AF", "[", 
                    RowBox[{"O", "\[CircleTimes]", 
                    TemplateBox[{
                    
                    RowBox[{"Private`a", "\[LeftDoubleBracket]", "Private`i", 
                    "\[RightDoubleBracket]"}]}, "Bra"]}], "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`i", ",", "2", ",", "Private`L"}], 
                    "}"}]}], "]"}], ";", "O"}]}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`BraV\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"BraV[a_] is a multi-qubit state vector \
bra,\\n\\n\\t variable a must be list .\\n\\n\\t Example of use, \
\\nBraV[{a,b,c}]=Bra[a]\[CircleTimes]Bra[b]\[CircleTimes]Bra[c],\\nwith a,b \
and c {0,1}\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "BraV[a_] is a multi-qubit state vector bra,\n\n\t variable a must be \
list .\n\n\t Example of use, \nBraV[{a,b,c}]=Bra[a]\[CircleTimes]Bra[b]\
\[CircleTimes]Bra[c],\nwith a,b and c {0,1}", "Documentation" -> None, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`BraV, {QDENSITY`Qdensity`BraV[
          PatternTest[
           Pattern[Private`a, 
            Blank[]], ListQ]] :> Module[{O}, O = Bra[
             Part[Private`a, 1]]; Private`L = Length[Private`a]; 
          Do[O = QDENSITY`Qdensity`AF[
              CircleTimes[O, 
               Bra[
                Part[Private`a, Private`i]]]], {Private`i, 2, Private`L}]; 
          O]}], "SubValues" -> None, "DefaultValues" -> None, "NValues" -> 
     None, "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`BraV"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735247663*^9},ExpressionUUID->"bbe1f2d3-9038-4de5-b62b-7fad2e4517dd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"BraV", "[", 
  RowBox[{"{", 
   RowBox[{"0", ",", "0", ",", "0"}], "}"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"BraV", "[", 
  RowBox[{"{", 
   RowBox[{"1", ",", "1", ",", "0", ",", "1"}], "}"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.6142466732326727`*^9, 
  3.6142467446759567`*^9}},ExpressionUUID->"dd0da52b-9223-4302-b52d-\
e5c1e8f6b233"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524778216*^9},ExpressionUUID->"a7bde6ae-27bd-4f57-842c-\
4b920e043ee3"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\" ( \"", "1", "\" ) \"", "\" < \"", "\"000\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735247815037`*^9},ExpressionUUID->"89ba96e8-5086-4032-8cea-\
3776c1fc20b9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", 
      "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524784136*^9},ExpressionUUID->"7faae0bc-4662-4b2a-8d4d-\
f86a5351ad89"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\" ( \"", "1", "\" ) \"", "\" < \"", "\"1101\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524787162*^9},ExpressionUUID->"473b63f0-e30b-4a80-9235-\
90cfe76dfa3d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "BraX"}]], "Input",
 CellChangeTimes->{{3.6142467767662163`*^9, 
  3.614246778818458*^9}},ExpressionUUID->"b6eef3c5-19d2-4402-a5b6-\
8ae245ee75da"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"BraX[0], BraX[1],\\n\\n\\t one qubit \
\[LeftAngleBracket]+|, \[LeftAngleBracket]-|, respectively . \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"BraX", "[", "0", "]"}], ":=", 
                    RowBox[{"Adj", "[", 
                    RowBox[{"KetX", "[", "0", "]"}], "]"}]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"BraX", "[", "1", "]"}], ":=", 
                    RowBox[{"Adj", "[", 
                    RowBox[{"KetX", "[", "1", "]"}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`BraX\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"BraX[0], BraX[1],\\n\\n\\t one qubit \
\[LeftAngleBracket]+|, \[LeftAngleBracket]-|, respectively . \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "BraX[0], BraX[1],\n\n\t one qubit \[LeftAngleBracket]+|, \
\[LeftAngleBracket]-|, respectively . ", "Documentation" -> None, "OwnValues" -> 
     None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`BraX, {
       QDENSITY`Qdensity`BraX[0] :> QDENSITY`Qdensity`Adj[
          QDENSITY`Qdensity`KetX[0]], QDENSITY`Qdensity`BraX[1] :> 
        QDENSITY`Qdensity`Adj[
          QDENSITY`Qdensity`KetX[1]]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`BraX"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735248687763`*^9},ExpressionUUID->"fc5ec653-7043-4b18-b342-\
b0b9e1633bca"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"BraX", "[", "0", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"BraX", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.6142467868128767`*^9, 
  3.6142468220723877`*^9}},ExpressionUUID->"bb4b6b84-90cf-4b8c-bc3b-\
2c9e61e396bc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["1", 
       SqrtBox["2"]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735248803797`*^9},ExpressionUUID->"806c0bc8-feb2-4c6c-8d34-\
2622b60b4f24"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    FractionBox["1", 
     SqrtBox["2"]], "\" ) \"", "\" < \"", "\"0\"", "\" |\"", "\" + \"", 
    "\" ( \"", 
    FractionBox["1", 
     SqrtBox["2"]], "\" ) \"", "\" < \"", "\"1\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524883874*^9},ExpressionUUID->"2d593e8e-5814-4f5e-a80a-\
a6be9fa8d25d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735248870564`*^9},ExpressionUUID->"dda42ffa-7b23-4577-a945-\
067f788dd3b8"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    FractionBox["1", 
     SqrtBox["2"]], "\" ) \"", "\" < \"", "\"0\"", "\" |\"", "\" + \"", 
    "\" ( \"", 
    RowBox[{"-", 
      FractionBox["1", 
       SqrtBox["2"]]}], "\" ) \"", "\" < \"", "\"1\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524890381*^9},ExpressionUUID->"3ee210ff-4ad9-4554-83ae-\
f895f750dc26"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "BraY"}]], "Input",
 CellChangeTimes->{{3.614246849249104*^9, 
  3.6142468524237967`*^9}},ExpressionUUID->"f9f7a677-42d7-4cee-b74f-\
85c0bbccd165"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"BraY[0], BraY[1],\\n\\n\\t one qubit eigenstates \
of Sigma[2], respectively . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"BraY", "[", "0", "]"}], ":=", 
                    RowBox[{"Adj", "[", 
                    RowBox[{"KetY", "[", "0", "]"}], "]"}]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"BraY", "[", "1", "]"}], ":=", 
                    RowBox[{"Adj", "[", 
                    RowBox[{"KetY", "[", "1", "]"}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`BraY\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"BraY[0], BraY[1],\\n\\n\\t one qubit eigenstates \
of Sigma[2], respectively . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "BraY[0], BraY[1],\n\n\t one qubit eigenstates of Sigma[2], respectively \
. ", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`BraY, {
       QDENSITY`Qdensity`BraY[0] :> QDENSITY`Qdensity`Adj[
          QDENSITY`Qdensity`KetY[0]], QDENSITY`Qdensity`BraY[1] :> 
        QDENSITY`Qdensity`Adj[
          QDENSITY`Qdensity`KetY[1]]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`BraY"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524972631*^9},ExpressionUUID->"0664e3e8-bf15-4387-9308-\
cf76d1f9c278"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"BraY", "[", "0", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"BraY", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"BraY", "[", "0", "]"}], ".", 
   RowBox[{"s", "[", "2", "]"}]}], "==", 
  RowBox[{"BraY", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"BraY", "[", "1", "]"}], ".", 
   RowBox[{"s", "[", "2", "]"}]}], "\[Equal]", " ", 
  RowBox[{"-", " ", 
   RowBox[{"BraY", "[", "1", "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.614247006311235*^9, 3.614247009150887*^9}, {
  3.614248319852743*^9, 
  3.614248507164525*^9}},ExpressionUUID->"33ef5dba-179a-41f4-9300-\
7d6d6432f5e7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524984645*^9},ExpressionUUID->"c8261574-1aac-466c-aa7b-\
8e5e9170deae"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    FractionBox["1", 
     SqrtBox["2"]], "\" ) \"", "\" < \"", "\"0\"", "\" |\"", "\" + \"", 
    "\" ( \"", 
    RowBox[{"-", 
      FractionBox["\[ImaginaryI]", 
       SqrtBox["2"]]}], "\" ) \"", "\" < \"", "\"1\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524988031*^9},ExpressionUUID->"1637993c-169c-4255-97fe-\
a5efe9447135"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["\[ImaginaryI]", 
       SqrtBox["2"]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735249915657`*^9},ExpressionUUID->"f60f6878-addf-49e9-92e7-\
3590f5a5348c"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    FractionBox["1", 
     SqrtBox["2"]], "\" ) \"", "\" < \"", "\"0\"", "\" |\"", "\" + \"", 
    "\" ( \"", 
    FractionBox["\[ImaginaryI]", 
     SqrtBox["2"]], "\" ) \"", "\" < \"", "\"1\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373524995021*^9},ExpressionUUID->"e5d7facd-cf5b-4f77-a870-\
edb637dfaf45"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735249987993`*^9},ExpressionUUID->"6b6f1357-fac0-487a-9d3e-\
cd0f6a9552b1"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735250016613`*^9},ExpressionUUID->"1ce24a91-e040-429e-87e7-\
3a570a2d0835"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "CNOT"}]], "Input",
 CellChangeTimes->{{3.614248534002109*^9, 
  3.614248535772028*^9}},ExpressionUUID->"b4b0619d-feef-41dd-a64b-\
3308317d6eab"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"CNOT[nqv,q1,q2]\\n\\n\\t Returns the CNOT operator \
with q1 qubit as control, \\n\\n q2 qubit as target within nqv qubits--same \
as ControlledX . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"CNOT", "[", 
                    
                    RowBox[{
                    "Private`nqv_", ",", "Private`q1_", ",", "Private`q2_"}], 
                    "]"}], ":=", 
                    RowBox[{"AF", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "0", ",", "0"}], "]"}], "+", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "3", ",", "0"}], "]"}], "+", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "0", ",", "1"}], "]"}], "-", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "3", ",", "1"}], "]"}]}], ")"}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`CNOT\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"CNOT[nqv,q1,q2]\\n\\n\\t Returns the CNOT operator \
with q1 qubit as control, \\n\\n q2 qubit as target within nqv qubits--same \
as ControlledX . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "CNOT[nqv,q1,q2]\n\n\t Returns the CNOT operator with q1 qubit as \
control, \n\n q2 qubit as target within nqv qubits--same as ControlledX . ", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`CNOT, {QDENSITY`Qdensity`CNOT[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q1, 
           Blank[]], 
          Pattern[Private`q2, 
           Blank[]]] :> 
        QDENSITY`Qdensity`AF[(
           QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 0, 0] + 
           QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 3, 0] + 
           QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 0, 1] - 
           QDENSITY`Qdensity`TwoOp[
           Private`nqv, Private`q1, Private`q2, 3, 1])/2]}], "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`CNOT"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525081819*^9},ExpressionUUID->"86715a88-0429-4330-aa99-\
44950babb5b0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CNOT", "[", 
  RowBox[{"2", ",", "1", ",", "2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CNOT", "[", 
   RowBox[{"2", ",", "1", ",", "2"}], "]"}], ".", 
  RowBox[{"CNOT", "[", 
   RowBox[{"2", ",", "1", ",", "2"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"2", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"0"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"0"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"0"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"0"},
     "Ket"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"2", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"0"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"1"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"0"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"1"},
     "Ket"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"2", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"1"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"0"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"1"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"1"},
     "Ket"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"2", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"1"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"1"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"1"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"0"},
     "Ket"]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6142485410539303`*^9, 3.614248637119021*^9}, 
   3.614248668913207*^9, {3.61424870598875*^9, 
   3.614248826764021*^9}},ExpressionUUID->"f9a89c20-6ce0-4a99-816c-\
bccfa34638f2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "0", "1"},
     {"0", "0", "1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525094063*^9},ExpressionUUID->"b46b7412-33ae-457c-8e36-\
59366a648782"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "1", "0"},
     {"0", "0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735250973577`*^9},ExpressionUUID->"1c57d285-d317-4986-b242-\
2249d1ad5796"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735251148367`*^9},ExpressionUUID->"ee98c4ae-a113-40be-9e44-\
6eaa33af76e5"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525121621*^9},ExpressionUUID->"724f99cd-115c-49f6-bdc1-\
9c36057c8b93"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525137807*^9},ExpressionUUID->"f8b2cb5b-3454-4371-9fc8-\
3f70ab620025"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525153696*^9},ExpressionUUID->"3842cc19-d681-4d92-bbae-\
dc2081f34b98"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CNOT", "[", 
  RowBox[{"3", ",", "1", ",", "3"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"0"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"0"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"0"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"0"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"0"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"0"},
     "Ket"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"0"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"0"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"1"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"0"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"0"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"1"},
     "Ket"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"0"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"1"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"0"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"0"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"1"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"0"},
     "Ket"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"CNOT", "[", 
     RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
    RowBox[{"AF", "[", 
     RowBox[{
      TemplateBox[{"0"},
       "Ket"], "\[TensorProduct]", 
      TemplateBox[{"1"},
       "Ket"], "\[TensorProduct]", 
      TemplateBox[{"1"},
       "Ket"]}], "]"}]}], "==", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"0"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"1"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"1"},
      "Ket"]}], "]"}]}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"1"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"0"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"0"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"1"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"1"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"0"},
     "Ket"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"1"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"0"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"1"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"1"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"1"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"1"},
     "Ket"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"1"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"1"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"0"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"1"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"0"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"0"},
     "Ket"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"1"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"1"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"1"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"1"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"0"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"1"},
     "Ket"]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6142488479457607`*^9, 3.6142488991657143`*^9}, {
  3.614248931293337*^9, 3.61424893608473*^9}, {3.6142519543755198`*^9, 
  3.614252121754683*^9}},ExpressionUUID->"2c6221ae-7d51-4686-a304-\
40d8ab831436"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0"},
     {"0", "0", "0", "0", "1", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1"},
     {"0", "0", "0", "0", "0", "0", "1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937352516061*^9},ExpressionUUID->"5e3ce08a-1d17-42c9-9998-53a5493cafcf"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735251868153`*^9},ExpressionUUID->"520fb304-a718-493b-b4e7-\
27cdfe3bd4e4"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525203802*^9},ExpressionUUID->"b7e4dfce-a4e1-405b-acfe-\
4354141fba16"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525222043*^9},ExpressionUUID->"555126b2-3595-44b5-b7ff-\
d37656f95f94"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525239691*^9},ExpressionUUID->"b183c5e6-c2e5-4d52-a358-\
6ed2ab320b34"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735252558393`*^9},ExpressionUUID->"7e8d74b7-971f-49c2-b0d7-\
0fe032742f38"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525273118*^9},ExpressionUUID->"45a7c4a7-73ec-4e7c-87f9-\
3a59e0c6ff70"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525290215*^9},ExpressionUUID->"433931aa-566a-4680-ba3d-\
b2f35d919008"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735253070717`*^9},ExpressionUUID->"2978b378-b48e-493f-8171-\
dc63fcef2cd9"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Comm"}]], "Input",
 CellChangeTimes->{
  3.6142521505535316`*^9, {3.61433508228055*^9, 3.6143350854284077`*^9}, {
   3.614335122113619*^9, 3.6143351275484047`*^9}, 3.614362461276052*^9, {
   3.614362552632021*^9, 
   3.614362554197974*^9}},ExpressionUUID->"7784d8db-0de7-4e37-91f9-\
eedd05f3bce4"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Comm[A,B]\\n\\n\\t gives the commutator of A and B \
defined as AB-BA . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Comm", "[", 
                    RowBox[{
                    RowBox[{"Private`x_", "?", "MatrixQ"}], ",", 
                    RowBox[{"Private`y_", "?", "MatrixQ"}]}], "]"}], ":=", 
                    RowBox[{
                    RowBox[{"Private`x", ".", "Private`y"}], "-", 
                    RowBox[{"Private`y", ".", "Private`x"}]}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Comm\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Comm[A,B]\\n\\n\\t gives the commutator of A and B \
defined as AB-BA . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Comm[A,B]\n\n\t gives the commutator of A and B defined as AB-BA . ", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Comm, {QDENSITY`Qdensity`Comm[
          PatternTest[
           Pattern[Private`x, 
            Blank[]], MatrixQ], 
          PatternTest[
           Pattern[Private`y, 
            Blank[]], MatrixQ]] :> 
        Dot[Private`x, Private`y] - Dot[Private`y, Private`x]}], "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`Comm"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735253873034`*^9},ExpressionUUID->"0888adab-299c-4463-a1dc-\
0c5942478d12"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Comm", "[", 
  RowBox[{
   RowBox[{"s", "[", "1", "]"}], ",", " ", 
   RowBox[{"s", "[", "2", "]"}]}], "]"}], "\n", 
 RowBox[{"2", "*", "I", "*", 
  RowBox[{"s", "[", "3", "]"}]}]}], "Input",
 CellChangeTimes->{{3.614334288635127*^9, 3.6143343148174963`*^9}, 
   3.614334720065689*^9},ExpressionUUID->"48aab966-5af5-42c1-a3f3-\
f225bc587c05"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"2", " ", "\[ImaginaryI]"}], "0"},
     {"0", 
      RowBox[{
       RowBox[{"-", "2"}], " ", "\[ImaginaryI]"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525426149*^9},ExpressionUUID->"dc40e6d5-5a86-4fe1-96ed-\
e3a2a3bc1e69"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"2", " ", "\[ImaginaryI]"}], "0"},
     {"0", 
      RowBox[{
       RowBox[{"-", "2"}], " ", "\[ImaginaryI]"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525429824*^9},ExpressionUUID->"5a848396-1102-4402-9fd1-\
29075b113579"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "ControlledX"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ControlledX", "[", 
   RowBox[{"3", ",", "1", ",", "2"}], "]"}], "\[Equal]", 
  RowBox[{"CNOT", "[", 
   RowBox[{"3", ",", "1", ",", "2"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.614362614538291*^9, 
  3.614362699525647*^9}},ExpressionUUID->"184513f6-dfa3-4667-a490-\
1b2a45e0b165"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ControlledX[nqv,q1,q2]\\n\\n\\t Returns the \
ControlledX operator with q1 qubit as control, \\n\\n q2 qubit as target \
within nqv qubits--same as CNOT \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"ControlledX", "[", 
                    
                    RowBox[{
                    "Private`nqv_", ",", "Private`q1_", ",", "Private`q2_"}], 
                    "]"}], ":=", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "0", ",", "0"}], "]"}], "+", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "3", ",", "0"}], "]"}], "+", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "0", ",", "1"}], "]"}], "-", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "3", ",", "1"}], "]"}]}], ")"}]}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`ControlledX\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ControlledX[nqv,q1,q2]\\n\\n\\t Returns the \
ControlledX operator with q1 qubit as control, \\n\\n q2 qubit as target \
within nqv qubits--same as CNOT \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "ControlledX[nqv,q1,q2]\n\n\t Returns the ControlledX operator with q1 \
qubit as control, \n\n q2 qubit as target within nqv qubits--same as CNOT ", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`ControlledX, {
       QDENSITY`Qdensity`ControlledX[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q1, 
           Blank[]], 
          Pattern[Private`q2, 
           Blank[]]] :> (
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 0, 0] + 
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 3, 0] + 
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 0, 1] - 
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 3, 1])/
         2}], "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None,
      "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`ControlledX"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525506379*^9},ExpressionUUID->"53579907-2a23-489a-9335-\
b5f52c8fb1bd"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735255140743`*^9},ExpressionUUID->"b784b131-613e-4446-8fe9-\
b9aca7e3dd17"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "ControlledY"}], "\[IndentingNewLine]", 
 RowBox[{"ControlledY", "[", 
  RowBox[{"2", ",", "1", ",", "2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ControlledY", "[", 
  RowBox[{"3", ",", "1", ",", "2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.614362732759206*^9, 
  3.614362771657608*^9}},ExpressionUUID->"db7b6b7c-50a4-4cc1-ae11-\
487716ec4540"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ControlledY[nqv,q1,q2]\\n\\n\\t Returns the \
ControlledY operator with q1 qubit as control,\\n\\n q2 qubit as target \
within nqv qubits \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"ControlledY", "[", 
                    
                    RowBox[{
                    "Private`nqv_", ",", "Private`q1_", ",", "Private`q2_"}], 
                    "]"}], ":=", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "0", ",", "0"}], "]"}], "+", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "3", ",", "0"}], "]"}], "+", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "0", ",", "2"}], "]"}], "-", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "3", ",", "2"}], "]"}]}], ")"}]}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`ControlledY\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ControlledY[nqv,q1,q2]\\n\\n\\t Returns the \
ControlledY operator with q1 qubit as control,\\n\\n q2 qubit as target \
within nqv qubits \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "ControlledY[nqv,q1,q2]\n\n\t Returns the ControlledY operator with q1 \
qubit as control,\n\n q2 qubit as target within nqv qubits ", "Documentation" -> 
     None, "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`ControlledY, {
       QDENSITY`Qdensity`ControlledY[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q1, 
           Blank[]], 
          Pattern[Private`q2, 
           Blank[]]] :> (
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 0, 0] + 
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 3, 0] + 
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 0, 2] - 
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 3, 2])/
         2}], "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None,
      "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`ControlledY"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525591853*^9},ExpressionUUID->"8b2e2325-d2bd-4e00-b45e-\
7bfa09d261cf"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}]},
     {"0", "0", "\[ImaginaryI]", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937352559984*^9},ExpressionUUID->"f49969c0-d9b5-4868-bfd5-28c94374d3da"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0"},
     {"0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}]},
     {"0", "0", "0", "0", "\[ImaginaryI]", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "\[ImaginaryI]", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525602318*^9},ExpressionUUID->"5a3fe317-261d-46f2-af25-\
6192be2a951e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "ControlledZ"}], "\[IndentingNewLine]", 
 RowBox[{"ControlledZ", "[", 
  RowBox[{"2", ",", "1", ",", "2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ControlledZ", "[", 
  RowBox[{"3", ",", "1", ",", "2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.614362732759206*^9, 
  3.614362797935917*^9}},ExpressionUUID->"872a0b10-db08-4295-b6d0-\
44c5e9e7b1ce"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ControlledZ[nqv,q1,q2]\\n\\n\\t Returns the \
ControlledY operator with q1 qubit as control,\\n\\n q2 qubit as target \
within nqv qubits \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"ControlledZ", "[", 
                    
                    RowBox[{
                    "Private`nqv_", ",", "Private`q1_", ",", "Private`q2_"}], 
                    "]"}], ":=", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "0", ",", "0"}], "]"}], "+", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "3", ",", "0"}], "]"}], "+", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "0", ",", "3"}], "]"}], "-", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "3", ",", "3"}], "]"}]}], ")"}]}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`ControlledZ\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ControlledZ[nqv,q1,q2]\\n\\n\\t Returns the \
ControlledY operator with q1 qubit as control,\\n\\n q2 qubit as target \
within nqv qubits \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "ControlledZ[nqv,q1,q2]\n\n\t Returns the ControlledY operator with q1 \
qubit as control,\n\n q2 qubit as target within nqv qubits ", "Documentation" -> 
     None, "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`ControlledZ, {
       QDENSITY`Qdensity`ControlledZ[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q1, 
           Blank[]], 
          Pattern[Private`q2, 
           Blank[]]] :> (
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 0, 0] + 
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 3, 0] + 
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 0, 3] - 
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 3, 3])/
         2}], "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None,
      "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`ControlledZ"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735256831923`*^9},ExpressionUUID->"7b7dff00-3a78-4dd9-ae83-\
c06879dbcee3"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "1", "0"},
     {"0", "0", "0", 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937352569138*^9},ExpressionUUID->"b9c6ad9e-e0b1-4575-8aa2-2aa86b9e8254"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "1", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0"},
     {"0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}], "0"},
     {"0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525694098*^9},ExpressionUUID->"04e1fb6d-0d8f-464e-b36e-\
a9765f2f7e8f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "CPHASE"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ControlledZ", "[", 
   RowBox[{"2", ",", "1", ",", "2"}], "]"}], "\[Equal]", 
  RowBox[{"CPHASE", "[", 
   RowBox[{"2", ",", "1", ",", "2"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ControlledZ", "[", 
   RowBox[{"3", ",", "1", ",", "2"}], "]"}], "\[Equal]", 
  RowBox[{"CPHASE", "[", 
   RowBox[{"3", ",", "1", ",", "2"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ControlledZ", "[", 
   RowBox[{"4", ",", "1", ",", "3"}], "]"}], "\[Equal]", 
  RowBox[{"CPHASE", "[", 
   RowBox[{"4", ",", "1", ",", "3"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.614362826874774*^9, 3.6143628297387123`*^9}, {
  3.614362861654415*^9, 
  3.614362913670909*^9}},ExpressionUUID->"e342610c-b8a2-4009-bcb1-\
da5b8f057815"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"CPHASE[nqv,q1,q2]\\n\\n\\t Returns the CPHASE \
operator of q1 and q2 within nqv qubits . \\n\\n Its action on twoqubits is \
|ab\[RightAngleBracket]-->(-)^(ab)|ab\[RightAngleBracket]\\n\\n --same as \
ControlledZ . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"CPHASE", "[", 
                    
                    RowBox[{
                    "Private`nqv_", ",", "Private`q1_", ",", "Private`q2_"}], 
                    "]"}], ":=", 
                    RowBox[{"AF", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "0", ",", "0"}], "]"}], "+", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "3", ",", "0"}], "]"}], "+", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "0", ",", "3"}], "]"}], "-", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "3", ",", "3"}], "]"}]}], ")"}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`CPHASE\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"CPHASE[nqv,q1,q2]\\n\\n\\t Returns the CPHASE \
operator of q1 and q2 within nqv qubits . \\n\\n Its action on twoqubits is \
|ab\[RightAngleBracket]-->(-)^(ab)|ab\[RightAngleBracket]\\n\\n --same as \
ControlledZ . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "CPHASE[nqv,q1,q2]\n\n\t Returns the CPHASE operator of q1 and q2 within \
nqv qubits . \n\n Its action on twoqubits is \
|ab\[RightAngleBracket]-->(-)^(ab)|ab\[RightAngleBracket]\n\n --same as \
ControlledZ . ", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> 
     None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`CPHASE, {QDENSITY`Qdensity`CPHASE[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q1, 
           Blank[]], 
          Pattern[Private`q2, 
           Blank[]]] :> 
        QDENSITY`Qdensity`AF[(
           QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 0, 0] + 
           QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 3, 0] + 
           QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 0, 3] - 
           QDENSITY`Qdensity`TwoOp[
           Private`nqv, Private`q1, Private`q2, 3, 3])/2]}], "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`CPHASE"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735257764606`*^9},ExpressionUUID->"7bd7a2f1-06e3-405c-9c61-\
0e04f9094021"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735257845917`*^9},ExpressionUUID->"7fab5ce5-107d-421a-b8c6-\
8df398da63f7"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735257867527`*^9},ExpressionUUID->"5a4ff423-c902-4404-bafb-\
e2142f8ae480"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525789485*^9},ExpressionUUID->"11dccee1-b320-41c0-82af-\
55583ad2a919"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "CPHASEV"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"state2", "=", 
   RowBox[{
    RowBox[{"a", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "0", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], "+", " ", 
    RowBox[{"b", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "0", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}], "+", 
    RowBox[{"c", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "1", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], " ", "+", 
    RowBox[{"d", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "1", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}]}]}], ";", 
  RowBox[{"DForm", "[", "state2", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", 
  RowBox[{"CPHASEV", "[", 
   RowBox[{"1", ",", "2", ",", " ", "state2"}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", 
  RowBox[{"CPHASEV", "[", 
   RowBox[{"2", ",", "1", ",", " ", "state2"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.614362927474474*^9, 3.614362999628557*^9}, {
  3.614363054110908*^9, 3.6143631520813923`*^9}, {3.614363195628676*^9, 
  3.614363214256654*^9}, {3.614363286883906*^9, 
  3.614363409682499*^9}},ExpressionUUID->"546217ec-7740-4042-8027-\
1c93a703238d"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"CPHASEV[q1,q2,A],\\n\\n\\t returns the CPHASE \
operated on the vector A, which should be a list of Lenght 2^n . \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"CPHASEV", "[", 
                    RowBox[{"Private`i_", ",", "Private`j_", ",", 
                    RowBox[{"Private`vec_", "?", "ListQ"}]}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Private`NN", ",", "Private`vat"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"Private`NN", "=", 
                    RowBox[{"Length", "[", "Private`vec", "]"}]}], ";", 
                    RowBox[{"Private`nqL", "=", 
                    RowBox[{"Log", "[", 
                    RowBox[{"2", ",", "Private`NN"}], "]"}]}], ";", 
                    RowBox[{"Private`vat", "=", "Private`vec"}], ";", 
                    RowBox[{"Do", "[", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"IntegerDigits", "[", 
                    RowBox[{"Private`num", ",", "2", ",", "Private`nqL"}], 
                    "]"}], "\[LeftDoubleBracket]", "Private`i", 
                    "\[RightDoubleBracket]"}], "\[Equal]", "1"}], "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"IntegerDigits", "[", 
                    RowBox[{"Private`num", ",", "2", ",", "Private`nqL"}], 
                    "]"}], "\[LeftDoubleBracket]", "Private`j", 
                    "\[RightDoubleBracket]"}], "\[Equal]", "1"}]}], ",", 
                    RowBox[{
                    RowBox[{"Private`vat", "\[LeftDoubleBracket]", 
                    RowBox[{"Private`num", "+", "1"}], 
                    "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"-", 
                    RowBox[{"Private`vec", "\[LeftDoubleBracket]", 
                    RowBox[{"Private`num", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`num", ",", "0", ",", 
                    RowBox[{"Private`NN", "-", "1"}]}], "}"}]}], "]"}], ";", 
                    "Private`vat"}]}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`CPHASEV\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"CPHASEV[q1,q2,A],\\n\\n\\t returns the CPHASE \
operated on the vector A, which should be a list of Lenght 2^n . \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "CPHASEV[q1,q2,A],\n\n\t returns the CPHASE operated on the vector A, \
which should be a list of Lenght 2^n . ", "Documentation" -> None, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`CPHASEV, {QDENSITY`Qdensity`CPHASEV[
          Pattern[Private`i, 
           Blank[]], 
          Pattern[Private`j, 
           Blank[]], 
          PatternTest[
           Pattern[Private`vec, 
            Blank[]], ListQ]] :> 
        Module[{Private`NN, Private`vat}, Private`NN = Length[Private`vec]; 
          Private`nqL = Log[2, Private`NN]; Private`vat = Private`vec; Do[
            If[
             And[Part[
                IntegerDigits[Private`num, 2, Private`nqL], Private`i] == 1, 
              Part[
                IntegerDigits[Private`num, 2, Private`nqL], Private`j] == 1], 
             Part[Private`vat, Private`num + 1] = -
              Part[Private`vec, Private`num + 1]], {
            Private`num, 0, Private`NN - 1}]; Private`vat]}], "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`CPHASEV"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525872632*^9},ExpressionUUID->"a03a6f3d-32e1-4499-85ec-\
9613fa3819cd"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a", "\")\"", "\" |\"", "\"00\"", "\" >\"", "\" + \"", 
    "\"(\"", "b", "\")\"", "\" |\"", "\"01\"", "\" >\"", "\" + \"", "\"(\"", 
    "c", "\")\"", "\" |\"", "\"10\"", "\" >\"", "\" + \"", "\"(\"", "d", 
    "\")\"", "\" |\"", "\"11\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525880563*^9},ExpressionUUID->"77a2f394-27e6-4a65-8e76-\
fd83ff64e361"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a", "\")\"", "\" |\"", "\"00\"", "\" >\"", "\" + \"", 
    "\"(\"", "b", "\")\"", "\" |\"", "\"01\"", "\" >\"", "\" + \"", "\"(\"", 
    "c", "\")\"", "\" |\"", "\"10\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"-", "d"}], "\")\"", "\" |\"", "\"11\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937352588452*^9},ExpressionUUID->"4aa7db8d-29f2-44c1-a57b-b3dde30ec2b6"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a", "\")\"", "\" |\"", "\"00\"", "\" >\"", "\" + \"", 
    "\"(\"", "b", "\")\"", "\" |\"", "\"01\"", "\" >\"", "\" + \"", "\"(\"", 
    "c", "\")\"", "\" |\"", "\"10\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"-", "d"}], "\")\"", "\" |\"", "\"11\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525889146*^9},ExpressionUUID->"e3a44cff-5f71-4439-83dd-\
821caada05f2"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"state3", "=", 
   RowBox[{
    RowBox[{"a000", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "0", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "0", "]"}], "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], "+", " ", 
    RowBox[{"a001", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "0", "]"}], "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "0", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}], "+", 
    RowBox[{"a010", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "0", "]"}], " ", "\[TensorProduct]", 
       RowBox[{"Ket", "[", "1", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], " ", "+", 
    RowBox[{"a011", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "0", "]"}], " ", "\[TensorProduct]", 
       RowBox[{"Ket", "[", "1", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}], "+", 
    RowBox[{"a100", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "1", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "0", "]"}], "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], "+", " ", 
    RowBox[{"a101", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "1", "]"}], "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "0", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}], "+", 
    RowBox[{"a110", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "1", "]"}], " ", "\[TensorProduct]", 
       RowBox[{"Ket", "[", "1", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], " ", "+", 
    RowBox[{"a111", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "1", "]"}], " ", "\[TensorProduct]", 
       RowBox[{"Ket", "[", "1", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}]}]}], ";", 
  RowBox[{"DForm", "[", "state3", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", 
  RowBox[{"CPHASEV", "[", 
   RowBox[{"1", ",", "2", ",", " ", "state3"}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", 
  RowBox[{"CPHASEV", "[", 
   RowBox[{"2", ",", "1", ",", " ", "state3"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.614363424770273*^9, 3.6143634845168123`*^9}, {
  3.6143635363301573`*^9, 
  3.6143636919767227`*^9}},ExpressionUUID->"bf367a9e-1bef-473d-80e1-\
e6a75941969c"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a000", "\")\"", "\" |\"", "\"000\"", "\" >\"", 
    "\" + \"", "\"(\"", "a001", "\")\"", "\" |\"", "\"001\"", "\" >\"", 
    "\" + \"", "\"(\"", "a010", "\")\"", "\" |\"", "\"010\"", "\" >\"", 
    "\" + \"", "\"(\"", "a011", "\")\"", "\" |\"", "\"011\"", "\" >\"", 
    "\" + \"", "\"(\"", "a100", "\")\"", "\" |\"", "\"100\"", "\" >\"", 
    "\" + \"", "\"(\"", "a101", "\")\"", "\" |\"", "\"101\"", "\" >\"", 
    "\" + \"", "\"(\"", "a110", "\")\"", "\" |\"", "\"110\"", "\" >\"", 
    "\" + \"", "\"(\"", "a111", "\")\"", "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735258985443`*^9},ExpressionUUID->"5d5256dc-0688-4835-bcfb-\
8eac9cf7181d"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a000", "\")\"", "\" |\"", "\"000\"", "\" >\"", 
    "\" + \"", "\"(\"", "a001", "\")\"", "\" |\"", "\"001\"", "\" >\"", 
    "\" + \"", "\"(\"", "a010", "\")\"", "\" |\"", "\"010\"", "\" >\"", 
    "\" + \"", "\"(\"", "a011", "\")\"", "\" |\"", "\"011\"", "\" >\"", 
    "\" + \"", "\"(\"", "a100", "\")\"", "\" |\"", "\"100\"", "\" >\"", 
    "\" + \"", "\"(\"", "a101", "\")\"", "\" |\"", "\"101\"", "\" >\"", 
    "\" + \"", "\"(\"", 
    RowBox[{"-", "a110"}], "\")\"", "\" |\"", "\"110\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    RowBox[{"-", "a111"}], "\")\"", "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525904996*^9},ExpressionUUID->"8ed9a15b-a7e2-471d-be1a-\
cc6283e9f214"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a000", "\")\"", "\" |\"", "\"000\"", "\" >\"", 
    "\" + \"", "\"(\"", "a001", "\")\"", "\" |\"", "\"001\"", "\" >\"", 
    "\" + \"", "\"(\"", "a010", "\")\"", "\" |\"", "\"010\"", "\" >\"", 
    "\" + \"", "\"(\"", "a011", "\")\"", "\" |\"", "\"011\"", "\" >\"", 
    "\" + \"", "\"(\"", "a100", "\")\"", "\" |\"", "\"100\"", "\" >\"", 
    "\" + \"", "\"(\"", "a101", "\")\"", "\" |\"", "\"101\"", "\" >\"", 
    "\" + \"", "\"(\"", 
    RowBox[{"-", "a110"}], "\")\"", "\" |\"", "\"110\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    RowBox[{"-", "a111"}], "\")\"", "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525910573*^9},ExpressionUUID->"9775e718-d376-4da6-be62-\
97d0eee5f7f4"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"CPHASEV", "[", 
   RowBox[{"1", ",", "2", ",", " ", "state2"}], "]"}], "==", 
  RowBox[{"CPHASEV", "[", 
   RowBox[{"2", ",", "1", ",", " ", "state2"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CPHASEV", "[", 
   RowBox[{"1", ",", "2", ",", " ", "state3"}], "]"}], "==", 
  RowBox[{"CPHASEV", "[", 
   RowBox[{"2", ",", "1", ",", " ", "state3"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CPHASEV", "[", 
   RowBox[{"1", ",", "3", ",", " ", "state3"}], "]"}], "==", 
  RowBox[{"CPHASEV", "[", 
   RowBox[{"3", ",", "1", ",", " ", "state3"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CPHASEV", "[", 
   RowBox[{"2", ",", "3", ",", " ", "state3"}], "]"}], "==", 
  RowBox[{"CPHASEV", "[", 
   RowBox[{"3", ",", "2", ",", " ", "state3"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6143637944936657`*^9, 
  3.61436385735527*^9}},ExpressionUUID->"21e4b071-ec03-497d-a54a-\
9121d448045c"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525931686*^9},ExpressionUUID->"a1124889-04df-45aa-b48f-\
fbbdff435ce4"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735259350863`*^9},ExpressionUUID->"e0b6afa4-ec54-4a50-96fa-\
14af37f6b592"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735259372587`*^9},ExpressionUUID->"33c3258b-bef9-4b82-a575-\
021bfb194396"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373525940131*^9},ExpressionUUID->"8b698f59-7457-4b60-b962-\
27813fa2d446"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "EnTropy"}], "\[IndentingNewLine]", 
 RowBox[{"?", "Entropy"}]}], "Input",
 CellChangeTimes->{{3.6143639613051023`*^9, 
  3.614363987624148*^9}},ExpressionUUID->"51eb1791-bc88-45d0-9d8c-\
4513faeccd35"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"\\nEnTropy[\[Rho]],\\n\\n\\t gives the entropy of \
the system described by the \\n\\n density matrix \[Rho] . Defined = -Tr[ \
\[Rho] . Log[\[Rho],2]] . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"EnTropy", "[", 
                    RowBox[{"O_", "?", "MatrixQ"}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "}"}], ",", 
                    RowBox[{
                    RowBox[{"Private`M", "=", 
                    RowBox[{"Chop", "[", 
                    RowBox[{"Eigenvalues", "[", "O", "]"}], "]"}]}], ";", 
                    RowBox[{"Private`MOPO", "=", 
                    RowBox[{"DeleteCases", "[", 
                    RowBox[{"Private`M", ",", "0"}], "]"}]}], ";", 
                    RowBox[{"Private`OLOGO", "=", 
                    RowBox[{"-", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"Private`i", "=", "1"}], 
                    RowBox[{"Length", "[", "Private`MOPO", "]"}]], 
                    RowBox[{
                    
                    RowBox[{"Private`MOPO", "\[LeftDoubleBracket]", 
                    "Private`i", "\[RightDoubleBracket]"}], " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"2", ",", 
                    
                    RowBox[{"Private`MOPO", "\[LeftDoubleBracket]", 
                    "Private`i", "\[RightDoubleBracket]"}]}], "]"}]}]}]}]}], 
                    ";", "Private`OLOGO"}]}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`EnTropy\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"\\nEnTropy[\[Rho]],\\n\\n\\t gives the entropy of \
the system described by the \\n\\n density matrix \[Rho] . Defined = -Tr[ \
\[Rho] . Log[\[Rho],2]] . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "\nEnTropy[\[Rho]],\n\n\t gives the entropy of the system described by \
the \n\n density matrix \[Rho] . Defined = -Tr[ \[Rho] . Log[\[Rho],2]] . ", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`EnTropy, {QDENSITY`Qdensity`EnTropy[
          PatternTest[
           Pattern[O, 
            Blank[]], MatrixQ]] :> Module[{}, Private`M = Chop[
             Eigenvalues[O]]; Private`MOPO = DeleteCases[Private`M, 0]; 
          Private`OLOGO = -Sum[Part[Private`MOPO, Private`i] Log[2, 
                Part[Private`MOPO, Private`i]], {Private`i, 1, 
               Length[Private`MOPO]}]; Private`OLOGO]}], "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`EnTropy"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373526020562*^9},ExpressionUUID->"737c2af9-8e44-47de-9393-\
17e3283dfa29"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"]], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"]]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               ButtonData->"paclet:ref/Entropy",
               ButtonNote->"paclet:ref/Entropy"],
              "\"paclet:ref/Entropy\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"\\!\\(\\*RowBox[{\\\"Entropy\\\", \\\"[\\\", \
StyleBox[\\\"list\\\", \\\"TI\\\"], \\\"]\\\"}]\\) gives the base \
\[ExponentialE] information entropy of the values in \
\\!\\(\\*StyleBox[\\\"list\\\", \
\\\"TI\\\"]\\).\\n\\!\\(\\*RowBox[{\\\"Entropy\\\", \\\"[\\\", \
RowBox[{StyleBox[\\\"k\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"list\\\", \\\
\"TI\\\"]}], \\\"]\\\"}]\\) gives the base \\!\\(\\*StyleBox[\\\"k\\\", \
\\\"TI\\\"]\\) information entropy.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Documentation\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Documentation\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Documentation", "Tooltip"]& ], 
                    TemplateBox[{
                    
                    TemplateBox[{
                    "\"Local \[RightGuillemet]\"", "paclet:ref/Entropy", 
                    "paclet:ref/Entropy", "Link", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"], "\"  \"", 
                    StyleBox[
                    "\"|\"", "InformationRowLabel", StripOnInput -> False], 
                    "\"  \"", 
                    TemplateBox[{"\"Web \[RightGuillemet]\"", {
                    URL[
                    "http://reference.wolfram.com/language/ref/Entropy.html"],
                     None}, 
                    "http://reference.wolfram.com/language/ref/Entropy.html", 
                    "Hyperlink", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"]},
                    "RowDefault"]},
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Attributes\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Attributes\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Attributes", "Tooltip"]& ], 
                    RowBox[{"{", 
                    RowBox[{"Protected", ",", "ReadProtected"}], "}"}]},
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"System`Entropy\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"],
                 ImageSizeCache->{13., {4., 9.}}], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"],
                 ImageSizeCache->{13., {4., 9.}}]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               ButtonData->"paclet:ref/Entropy",
               ButtonNote->"paclet:ref/Entropy"],
              "\"paclet:ref/Entropy\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"\\!\\(\\*RowBox[{\\\"Entropy\\\", \\\"[\\\", \
StyleBox[\\\"list\\\", \\\"TI\\\"], \\\"]\\\"}]\\) gives the base \
\[ExponentialE] information entropy of the values in \
\\!\\(\\*StyleBox[\\\"list\\\", \
\\\"TI\\\"]\\).\\n\\!\\(\\*RowBox[{\\\"Entropy\\\", \\\"[\\\", \
RowBox[{StyleBox[\\\"k\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"list\\\", \\\
\"TI\\\"]}], \\\"]\\\"}]\\) gives the base \\!\\(\\*StyleBox[\\\"k\\\", \
\\\"TI\\\"]\\) information entropy.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "\!\(\*RowBox[{\"Entropy\", \"[\", StyleBox[\"list\", \"TI\"], \"]\"}]\) \
gives the base \[ExponentialE] information entropy of the values in \
\!\(\*StyleBox[\"list\", \"TI\"]\).\n\!\(\*RowBox[{\"Entropy\", \"[\", \
RowBox[{StyleBox[\"k\", \"TI\"], \",\", StyleBox[\"list\", \"TI\"]}], \"]\"}]\
\) gives the base \!\(\*StyleBox[\"k\", \"TI\"]\) information entropy.", 
     "Documentation" -> <|
      "Local" -> "paclet:ref/Entropy", "Web" -> 
       "http://reference.wolfram.com/language/ref/Entropy.html"|>, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> None, 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {Protected, ReadProtected}, "FullName" -> 
     "System`Entropy"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373526093639*^9},ExpressionUUID->"e95b5a85-2025-40d2-8219-\
2f7f567d2617"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"rho4", "=", 
   RowBox[{"RandomQubitN", "[", "4", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", "rho4", "]"}], "\[IndentingNewLine]", 
 RowBox[{"EnTropy", "[", "rho4", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ev", "=", 
  RowBox[{"Eigenvalues", "[", "rho4", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "rho4", "]"}], "\[IndentingNewLine]", 
 RowBox[{"-", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"ev", "[", 
      RowBox[{"[", "i", "]"}], "]"}], 
     RowBox[{"Log", "[", 
      RowBox[{"2", ",", 
       RowBox[{"ev", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", 
      RowBox[{"Length", "[", "ev", "]"}]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EnTropy2", "[", "rho4", "]"}], "\[Equal]", 
  RowBox[{"EnTropy", "[", "rho4", "]"}]}]}], "Input",
 CellChangeTimes->{{3.61436400261379*^9, 3.614364353929431*^9}, {
  3.614364384123972*^9, 3.6143644461635857`*^9}, {3.6144198799778557`*^9, 
  3.614419892969673*^9}, {3.6144199299252043`*^9, 3.61441993008107*^9}, {
  3.6144203067033653`*^9, 3.614420307275901*^9}, {3.6144203862826853`*^9, 
  3.6144204008149157`*^9}},ExpressionUUID->"43db15c7-2a52-41ef-ac35-\
2729e7dd7d45"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735261082172`*^9},ExpressionUUID->"a5e2c092-2f72-4fdc-8d5e-\
3520f9c12cee"],

Cell[BoxData[
 TagBox["3.385600188785727`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373526111774*^9},ExpressionUUID->"6242dd41-481a-46a5-86bc-\
d16f71978579"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0.17772304000743194`"},
      {"0.16070932575945063`"},
      {"0.14567788587052832`"},
      {"0.10366565369116619`"},
      {"0.08105860413887267`"},
      {"0.07937603877437352`"},
      {"0.05836767268246766`"},
      {"0.049229944008946876`"},
      {"0.040915750020281735`"},
      {"0.03897401990975257`"},
      {"0.03269880809944661`"},
      {"0.01908069372511359`"},
      {"0.0075115811069120745`"},
      {"0.0031117924987554813`"},
      {"0.0018490054509712533`"},
      {"0.00005018425552900885`"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373526114118*^9},ExpressionUUID->"dc07a997-efb4-453c-8d30-\
8fc76e63c315"],

Cell[BoxData[
 TagBox["16",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373526117145*^9},ExpressionUUID->"b729b2b1-e7dc-4c54-9711-\
573141296604"],

Cell[BoxData[
 TagBox["3.385600188785727`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735261200666`*^9},ExpressionUUID->"8c2b6235-0e2b-40c2-b9ae-\
ff4b557d683d"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373526122801*^9},ExpressionUUID->"0c08f953-4054-467d-a208-\
2c9f8901d617"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "Fidelity"}], "\[IndentingNewLine]", 
 RowBox[{"?", "FidelityB"}]}], "Input",
 CellChangeTimes->{{3.614420460182651*^9, 3.614420463508287*^9}, {
  3.614420925806958*^9, 
  3.614420927820056*^9}},ExpressionUUID->"85898ae9-356b-4de4-8f1e-\
14f514eac52c"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Fidelity[Op1,Op2] or FidelityB[Op1,Op2]\\n\\n\\t \
returns the concurrence of operators Op1 and Op2\\n\\n defined as \
=MatrixPower[ MatrixPower[Op1,1/2] . Op2 . MatrixPower[Op1,1/2],1/2] .\\nNow \
have FidelityB[Op1,Op2] as an alternative method which uses eigenvalues \
of\\nOp1 . Op2\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Fidelity", "[", 
                    RowBox[{
                    RowBox[{"O_", "?", "MatrixQ"}], ",", 
                    RowBox[{"Private`P_", "?", "MatrixQ"}]}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "}"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"NumberQ", "[", 
                    RowBox[{
                    
                    RowBox[{"O", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", 
                    RowBox[{"Private`SQO", "=", 
                    RowBox[{"SetAccuracy", "[", 
                    RowBox[{
                    RowBox[{"MatrixPower", "[", 
                    RowBox[{"O", ",", 
                    FractionBox["1", "2"]}], "]"}], ",", "20"}], "]"}]}], ",", 
                    RowBox[{"Private`SQO", "=", 
                    RowBox[{"MatrixPower", "[", 
                    RowBox[{"O", ",", 
                    FractionBox["1", "2"]}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"NumberQ", "[", 
                    RowBox[{
                    
                    RowBox[{"O", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", 
                    RowBox[{"Private`FideM", "=", 
                    RowBox[{"SetAccuracy", "[", 
                    RowBox[{
                    RowBox[{"MatrixPower", "[", 
                    RowBox[{
                    RowBox[{"Private`SQO", ".", "Private`P", ".", 
                    "Private`SQO"}], ",", 
                    FractionBox["1", "2"]}], "]"}], ",", "20"}], "]"}]}], ",", 
                    RowBox[{"Private`FideM", "=", 
                    RowBox[{"MatrixPower", "[", 
                    RowBox[{
                    
                    RowBox[{"Private`SQO", ".", "Private`P", ".", 
                    "Private`SQO"}], ",", 
                    FractionBox["1", "2"]}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"Chop", "[", 
                    RowBox[{"Tr", "[", "Private`FideM", "]"}], "]"}]}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Fidelity\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Fidelity[Op1,Op2] or FidelityB[Op1,Op2]\\n\\n\\t \
returns the concurrence of operators Op1 and Op2\\n\\n defined as \
=MatrixPower[ MatrixPower[Op1,1/2] . Op2 . MatrixPower[Op1,1/2],1/2] .\\nNow \
have FidelityB[Op1,Op2] as an alternative method which uses eigenvalues \
of\\nOp1 . Op2\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Fidelity[Op1,Op2] or FidelityB[Op1,Op2]\n\n\t returns the concurrence \
of operators Op1 and Op2\n\n defined as =MatrixPower[ MatrixPower[Op1,1/2] . \
Op2 . MatrixPower[Op1,1/2],1/2] .\nNow have FidelityB[Op1,Op2] as an \
alternative method which uses eigenvalues of\nOp1 . Op2", "Documentation" -> 
     None, "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Fidelity, {QDENSITY`Qdensity`Fidelity[
          PatternTest[
           Pattern[O, 
            Blank[]], MatrixQ], 
          PatternTest[
           Pattern[Private`P, 
            Blank[]], MatrixQ]] :> Module[{}, If[
            NumberQ[
             Part[
              Part[O, 1], 1]], Private`SQO = SetAccuracy[
              MatrixPower[O, 1/2], 20], Private`SQO = MatrixPower[O, 1/2]]; If[
            NumberQ[
             Part[
              Part[O, 1], 1]], Private`FideM = SetAccuracy[
              MatrixPower[
               Dot[Private`SQO, Private`P, Private`SQO], 1/2], 20], 
            Private`FideM = MatrixPower[
              Dot[Private`SQO, Private`P, Private`SQO], 1/2]]; Chop[
            Tr[Private`FideM]]]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`Fidelity"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735262011127`*^9},ExpressionUUID->"7d812012-fe73-4d82-a5fb-\
c4d6c43c985b"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"FidelityB[Op1,Op2]\\n\\n\\t Now have \
FidelityB[Op1,Op2] as an alternative method which uses eigenvalues of\\nOp1 . \
Op2\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"FidelityB", "[", 
                    RowBox[{
                    RowBox[{"O_", "?", "MatrixQ"}], ",", 
                    RowBox[{"Private`P_", "?", "MatrixQ"}]}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "}"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"NumberQ", "[", 
                    RowBox[{
                    
                    RowBox[{"O", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", 
                    RowBox[{"Private`SQB", "=", 
                    RowBox[{"SetAccuracy", "[", 
                    RowBox[{
                    RowBox[{"O", ".", "Private`P"}], ",", "20"}], "]"}]}], 
                    ",", 
                    RowBox[{"Private`SQB", "=", 
                    RowBox[{"O", ".", "Private`P"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"NumberQ", "[", 
                    RowBox[{
                    
                    RowBox[{"O", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", 
                    RowBox[{"Private`FideB", "=", 
                    RowBox[{"SetAccuracy", "[", 
                    RowBox[{
                    SqrtBox[
                    RowBox[{"Eigenvalues", "[", "Private`SQB", "]"}]], ",", 
                    "20"}], "]"}]}], ",", 
                    RowBox[{"Private`FideB", "=", 
                    SqrtBox[
                    RowBox[{"Eigenvalues", "[", "Private`SQB", "]"}]]}]}], 
                    "]"}], ";", 
                    RowBox[{"Re", "[", 
                    RowBox[{"Tr", "[", "Private`FideB", "]"}], "]"}]}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`FidelityB\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"FidelityB[Op1,Op2]\\n\\n\\t Now have \
FidelityB[Op1,Op2] as an alternative method which uses eigenvalues of\\nOp1 . \
Op2\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "FidelityB[Op1,Op2]\n\n\t Now have FidelityB[Op1,Op2] as an alternative \
method which uses eigenvalues of\nOp1 . Op2", "Documentation" -> None, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`FidelityB, {QDENSITY`Qdensity`FidelityB[
          PatternTest[
           Pattern[O, 
            Blank[]], MatrixQ], 
          PatternTest[
           Pattern[Private`P, 
            Blank[]], MatrixQ]] :> Module[{}, If[
            NumberQ[
             Part[
              Part[O, 1], 1]], Private`SQB = SetAccuracy[
              Dot[O, Private`P], 20], Private`SQB = Dot[O, Private`P]]; If[
            NumberQ[
             Part[
              Part[O, 1], 1]], Private`FideB = SetAccuracy[
              Sqrt[
               Eigenvalues[Private`SQB]], 20], Private`FideB = Sqrt[
              Eigenvalues[Private`SQB]]]; Re[
            Tr[Private`FideB]]]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`FidelityB"|>, 
    False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937352627361*^9},ExpressionUUID->"909b3d4f-1cfe-402c-a7dd-a4f26eb1f2f4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"r1", "=", 
   RowBox[{"RandomQubitN", "[", "4", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r2", "=", 
   RowBox[{"RandomQubitN", "[", "4", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Fidelity", "[", 
  RowBox[{"r1", ",", "r2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"FidelityB", "[", 
  RowBox[{"r1", ",", "r2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.614420516095016*^9, 
  3.6144205831698227`*^9}},ExpressionUUID->"06aed984-cee6-43dd-a50d-\
fbb58fe89fd2"],

Cell[BoxData[
 TagBox["0.75830271099535168088934256047650706023`18.826237623804353",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373526295532*^9},ExpressionUUID->"e5493893-1269-45a9-a87b-\
5c7291025113"],

Cell[BoxData[
 TagBox["0.75830271099535079121214154135730688621`18.82623762380435",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735263091717`*^9},ExpressionUUID->"ec2215ab-81cc-4516-ad70-\
1e04192b77ab"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"?", "had"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.614420940704094*^9, 3.614420942004622*^9}, {
  3.614420976012958*^9, 3.614420993674203*^9}, {3.6144210301484337`*^9, 
  3.6144210824109707`*^9}, {3.614421123213375*^9, 
  3.614421132707284*^9}},ExpressionUUID->"074e6900-428a-47de-9e13-\
26a77249d0b3"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"had[nqv, q]  where L=n_q is the total number of \
qubits\\n and q designates the single qubit on which a Hadamard acts--see \
Hadamard . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"had", "[", 
                    RowBox[{"Private`nqv_", ",", "Private`q_"}], "]"}], ":=", 
                    RowBox[{"ArrayFlatten", "[", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"Private`q", ">", "0"}], ",", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"SP", "[", 
                    RowBox[{"Private`nqv", ",", 
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{
                    RowBox[{"ZeroT", "[", "Private`nqv", "]"}], ",", "3", ",",
                     "Private`q"}], "]"}]}], "]"}], "+", 
                    RowBox[{"SP", "[", 
                    RowBox[{"Private`nqv", ",", 
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{
                    RowBox[{"ZeroT", "[", "Private`nqv", "]"}], ",", "1", ",",
                     "Private`q"}], "]"}]}], "]"}]}], 
                    SqrtBox["2"]], ",", 
                    RowBox[{"s", "[", "0", "]"}]}], "]"}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`had\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"had[nqv, q]  where L=n_q is the total number of \
qubits\\n and q designates the single qubit on which a Hadamard acts--see \
Hadamard . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "had[nqv, q]  where L=n_q is the total number of qubits\n and q \
designates the single qubit on which a Hadamard acts--see Hadamard . ", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`had, {QDENSITY`Qdensity`had[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q, 
           Blank[]]] :> ArrayFlatten[
          If[Private`q > 0, (QDENSITY`Qdensity`SP[Private`nqv, 
              ReplacePart[
               QDENSITY`Qdensity`ZeroT[Private`nqv], 3, Private`q]] + 
            QDENSITY`Qdensity`SP[Private`nqv, 
              ReplacePart[
               QDENSITY`Qdensity`ZeroT[Private`nqv], 1, Private`q]])/Sqrt[2], 
           QDENSITY`Qdensity`s[0]]]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`had"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373526390224*^9},ExpressionUUID->"97765d46-4f34-492c-9b5d-\
2e8f87430df8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Had"}]], "Input",ExpressionUUID->"35018685-1ee2-48a0-b593-8b046150d065"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\"see Hadamard . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Had", "[", 
                    RowBox[{"Private`nqv_", ",", "Private`Q_"}], "]"}], ":=", 
                    RowBox[{
                    RowBox[{"Had", "[", 
                    RowBox[{"Private`nqv", ",", "Private`Q"}], "]"}], "=", 
                    RowBox[{"AF", "[", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"Private`nqv", ">", "1"}], ",", 
                    RowBox[{
                    RowBox[{"Had", "[", 
                    RowBox[{
                    RowBox[{"Private`nqv", "-", "1"}], ",", 
                    RowBox[{"Drop", "[", 
                    RowBox[{"Private`Q", ",", 
                    RowBox[{"-", "1"}]}], "]"}]}], "]"}], "\[CircleTimes]", 
                    RowBox[{"had", "[", 
                    RowBox[{"1", ",", 
                    
                    RowBox[{"Private`Q", "\[LeftDoubleBracket]", 
                    "Private`nqv", "\[RightDoubleBracket]"}]}], "]"}]}], ",", 
                    RowBox[{"had", "[", 
                    RowBox[{"1", ",", 
                    
                    RowBox[{"Private`Q", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], "]"}], "]"}]}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Had\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\"see Hadamard . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> "see Hadamard . ", "Documentation" -> 
     None, "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Had, {QDENSITY`Qdensity`Had[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`Q, 
           Blank[]]] :> (QDENSITY`Qdensity`Had[Private`nqv, Private`Q] = 
         QDENSITY`Qdensity`AF[
           If[Private`nqv > 1, 
            CircleTimes[
             QDENSITY`Qdensity`Had[Private`nqv - 1, 
              Drop[Private`Q, -1]], 
             QDENSITY`Qdensity`had[1, 
              Part[Private`Q, Private`nqv]]], 
            QDENSITY`Qdensity`had[1, 
             Part[Private`Q, 1]]]])}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`Had"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735264986773`*^9},ExpressionUUID->"2014c358-54dc-4b85-87c2-\
c659b3245bbb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Hadamard"}]], "Input",
 CellChangeTimes->{3.6144210979588203`*^9, 
  3.614422207067137*^9},ExpressionUUID->"12c8a687-4168-4df9-98c9-\
88ee4ae90c59"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Hadamard, had, Had, HALL:\\n\\n\\t \
\[ScriptCapitalH]\\n\\n Hadamard  acting on one qubit .\\n\\n\\t had[nqv,q] \
is a Hadamard acting on one qubit q out of nqv \\n\\n qubits (use as had[1,1] \
or had[2,2]) .\\n\\n\\t Had[nqv,Q]   acts on  all members of set \\n\\n \
Q={q1,q2,...} of the nqv qubits,  where qi>0 indicated that\\n\\n the ith \
qubit is acted on by a Hadamard, whereas qj=0 \\n\\n designates that the jth \
qubit is acted on by a unit 2x2 operator .\\n\\n\\t For example, \
Had[3,{1,0,1}] has a Hadamard acting on \\n\\n qubits 1 and 3 and a unit 2x2 \
acts on qubit 2.\\n\\n To get a Hadamard acting on all qubits, include all \
\\n\\n qubits in Q, e . g ., use Q={1,1,1,... .} .\\n\\n\\t \
HALL[nqv]=Had[nqv,{1,1,1... .}] is also provided where \\n\\n the array of \
1's has length nqv of all the qubits \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Hadamard\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Hadamard, had, Had, HALL:\\n\\n\\t \
\[ScriptCapitalH]\\n\\n Hadamard  acting on one qubit .\\n\\n\\t had[nqv,q] \
is a Hadamard acting on one qubit q out of nqv \\n\\n qubits (use as had[1,1] \
or had[2,2]) .\\n\\n\\t Had[nqv,Q]   acts on  all members of set \\n\\n \
Q={q1,q2,...} of the nqv qubits,  where qi>0 indicated that\\n\\n the ith \
qubit is acted on by a Hadamard, whereas qj=0 \\n\\n designates that the jth \
qubit is acted on by a unit 2x2 operator .\\n\\n\\t For example, \
Had[3,{1,0,1}] has a Hadamard acting on \\n\\n qubits 1 and 3 and a unit 2x2 \
acts on qubit 2.\\n\\n To get a Hadamard acting on all qubits, include all \
\\n\\n qubits in Q, e . g ., use Q={1,1,1,... .} .\\n\\n\\t \
HALL[nqv]=Had[nqv,{1,1,1... .}] is also provided where \\n\\n the array of \
1's has length nqv of all the qubits \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Hadamard, had, Had, HALL:\n\n\t \[ScriptCapitalH]\n\n Hadamard  acting \
on one qubit .\n\n\t had[nqv,q] is a Hadamard acting on one qubit q out of \
nqv \n\n qubits (use as had[1,1] or had[2,2]) .\n\n\t Had[nqv,Q]   acts on  \
all members of set \n\n Q={q1,q2,...} of the nqv qubits,  where qi>0 \
indicated that\n\n the ith qubit is acted on by a Hadamard, whereas qj=0 \n\n \
designates that the jth qubit is acted on by a unit 2x2 operator .\n\n\t For \
example, Had[3,{1,0,1}] has a Hadamard acting on \n\n qubits 1 and 3 and a \
unit 2x2 acts on qubit 2.\n\n To get a Hadamard acting on all qubits, include \
all \n\n qubits in Q, e . g ., use Q={1,1,1,... .} .\n\n\t \
HALL[nqv]=Had[nqv,{1,1,1... .}] is also provided where \n\n the array of 1's \
has length nqv of all the qubits ", "Documentation" -> None, "OwnValues" -> 
     None, "UpValues" -> None, "DownValues" -> None, "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`Hadamard"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373526583561*^9},ExpressionUUID->"58abc69f-b297-43b6-9a1c-\
5d1cbc2f4e8f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "HALL"}]], "Input",ExpressionUUID->"ebc1f426-e0c0-4c8e-8359-7c65d74085c5"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"HALL[nqv]\\n\\n\\t returns a Hadamard applied to \
each of the nqv qubits\\n\\n of a nqv qubit system-see Hadamard . \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"HALL", "[", "Private`nqv_", "]"}], ":=", 
                    RowBox[{
                    RowBox[{"HALL", "[", "Private`nqv", "]"}], "=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "Private`Q", "}"}], ",", 
                    RowBox[{
                    RowBox[{"Private`Q", "=", 
                    RowBox[{"Table", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{"{", "Private`nqv", "}"}]}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"Private`nqv", ">", "1"}], ",", 
                    RowBox[{
                    RowBox[{"Had", "[", 
                    RowBox[{
                    RowBox[{"Private`nqv", "-", "1"}], ",", 
                    RowBox[{"Drop", "[", 
                    RowBox[{"Private`Q", ",", 
                    RowBox[{"-", "1"}]}], "]"}]}], "]"}], "\[CircleTimes]", 
                    RowBox[{"had", "[", 
                    RowBox[{"1", ",", 
                    
                    RowBox[{"Private`Q", "\[LeftDoubleBracket]", 
                    "Private`nqv", "\[RightDoubleBracket]"}]}], "]"}]}], ",", 
                    RowBox[{"had", "[", 
                    RowBox[{"1", ",", 
                    
                    RowBox[{"Private`Q", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], "]"}]}]}], 
                    "]"}]}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`HALL\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"HALL[nqv]\\n\\n\\t returns a Hadamard applied to \
each of the nqv qubits\\n\\n of a nqv qubit system-see Hadamard . \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "HALL[nqv]\n\n\t returns a Hadamard applied to each of the nqv qubits\n\n\
 of a nqv qubit system-see Hadamard . ", "Documentation" -> None, "OwnValues" -> 
     None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`HALL, {QDENSITY`Qdensity`HALL[
          Pattern[Private`nqv, 
           Blank[]]] :> (QDENSITY`Qdensity`HALL[Private`nqv] = 
         Module[{Private`Q}, Private`Q = Table[1, {Private`nqv}]; 
           If[Private`nqv > 1, 
             CircleTimes[
              QDENSITY`Qdensity`Had[Private`nqv - 1, 
               Drop[Private`Q, -1]], 
              QDENSITY`Qdensity`had[1, 
               Part[Private`Q, Private`nqv]]], 
             QDENSITY`Qdensity`had[1, 
              Part[Private`Q, 1]]]])}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`HALL"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373526669903*^9},ExpressionUUID->"52e5d3ce-8406-4b5a-aa5b-\
9e956e0fc77c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "\[ScriptCapitalH]"}]], "Input",
 CellChangeTimes->{{3.614422142173387*^9, 
  3.614422143111677*^9}},ExpressionUUID->"030941ad-4ac9-4b64-9e46-\
5a29b4e00ab0"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"The single qubit Hadamard--See Hadamard \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Assignment\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"OwnValues\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "OwnValues", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{"\[ScriptCapitalH]", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    FractionBox["1", 
                    SqrtBox["2"]], ",", 
                    FractionBox["1", 
                    SqrtBox["2"]]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    FractionBox["1", 
                    SqrtBox["2"]], ",", 
                    RowBox[{"-", 
                    FractionBox["1", 
                    SqrtBox["2"]]}]}], "}"}]}], "}"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`\[ScriptCapitalH]\"\
\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"The single qubit Hadamard--See Hadamard \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "The single qubit Hadamard--See Hadamard ", "Documentation" -> None, 
     "OwnValues" -> 
     Information`InformationValueForm[
      OwnValues, QDENSITY`Qdensity`\[ScriptCapitalH], {
       QDENSITY`Qdensity`\[ScriptCapitalH] -> {{
          2^Rational[-1, 2], 2^Rational[-1, 2]}, {
          2^Rational[-1, 2], -2^Rational[-1, 2]}}}], "UpValues" -> None, 
     "DownValues" -> None, "SubValues" -> None, "DefaultValues" -> None, 
     "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`\[ScriptCapitalH]"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735267564783`*^9},ExpressionUUID->"cfe17c7d-8430-44e0-8c96-\
6ee50c5986b5"]
}, Open  ]],

Cell[TextData[{
 StyleBox["The ",
  FontFamily->"Helvetica"],
 StyleBox["Hadamard operator",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" for one qubit is defined as \nHad |0\[RightAngleBracket] = (|0\
\[RightAngleBracket] + |1\[RightAngleBracket])/ ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]],ExpressionUUID->
  "3e24ff73-b21a-4031-8a28-0d36095541a6"],
 "  and Had |1\[RightAngleBracket] = ",
 StyleBox[" (|0\[RightAngleBracket] - |1\[RightAngleBracket])/ ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]],ExpressionUUID->
  "6360ea82-474e-472e-824f-6e94700a8372"],
 StyleBox[", \nthis is equivalent to Had = (",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    StyleBox["\[Sigma]",
     FontFamily->"Helvetica"], "1"], TraditionalForm]],ExpressionUUID->
  "676dd56e-7577-4826-a3a8-e7dbfc57a860"],
 StyleBox[" + ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    StyleBox["\[Sigma]",
     FontFamily->"Helvetica"], "3"], TraditionalForm]],ExpressionUUID->
  "914d2b4d-ddc4-4536-a496-f06392fbbf80"],
 StyleBox["\[RightAngleBracket]/ ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]],ExpressionUUID->
  "90c20f38-1f25-4249-a68d-b9437bf8912b"],
 StyleBox["\nTo Hadamard qubit-one in a one qubit system use:",
  FontFamily->"Helvetica"]
}], "Text",
 CellChangeTimes->{{3.613395051437973*^9, 3.613395051953808*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"9094231e-bfa4-4000-83a8-1997ee5c3735"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"HA", " ", "=", " ", 
  RowBox[{"had", "[", 
   RowBox[{"1", ",", "1"}], "]"}]}]], "Input",
 CellTags->"b:5.2.0",ExpressionUUID->"f400f43f-8a76-46e6-9cac-66adb3ba3e82"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.85937352676959*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"141f5855-90e4-4078-9620-93d9e79a0409"],

Cell[TextData[StyleBox["or the script form:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"b089494c-89fa-4fe7-9819-5115a2f80ee3"],

Cell[CellGroupData[{

Cell[BoxData["\[ScriptCapitalH]"], "Input",
 CellTags->"b:5.2.0",ExpressionUUID->"85fe2ce5-7c96-4fe4-9d3a-1acd3793f56d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.859373526787279*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"d4b94581-8a7f-405d-ae05-3eef817bc3da"]
}, Open  ]],

Cell[TextData[StyleBox["If we have 3 qubits and want to Hadamard the second \
one,",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"0737f639-304c-4b99-9e53-093de5452c80"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"HAD32", "=", 
  RowBox[{"had", "[", 
   RowBox[{"3", ",", "2"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.613395079179223*^9, 3.613395086367363*^9}, {
  3.613395131040553*^9, 3.613395145640243*^9}, {3.61339538195849*^9, 
  3.613395393218055*^9}, {3.613395619570511*^9, 3.613395623461936*^9}, {
  3.6135049161353807`*^9, 3.6135049204543056`*^9}},
 CellTags->"b:5.2.0",ExpressionUUID->"96502799-c501-4eb1-8ba0-8fef6d6d7e8f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", "0", "0", "0", "0"},
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", "0", "0", "0"},
     {
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0", "0", "0", "0", "0"},
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0", "0", "0", "0"},
     {"0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0"},
     {"0", "0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]]},
     {"0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0"},
     {"0", "0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8593735268124027`*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"0bb24458-ff1a-4bfb-b7d7-f5ef62424cad"],

Cell[TextData[StyleBox["which  is equivalent to",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"1e23644b-283f-4ea2-8567-c033ab0841d5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AF", "[", 
  RowBox[{
  "\[DoubleStruckCapitalI]", "  ", "\[TensorProduct]", " ", 
   "\[ScriptCapitalH]", " ", "\[TensorProduct]", "\[DoubleStruckCapitalI]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6133959477066393`*^9, 3.613395950338436*^9}, {
   3.614015919554443*^9, 3.614015932928617*^9}, 3.614075965489653*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"873eaf26-fb14-4719-bc28-2a894b858e1f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", "0", "0", "0", "0"},
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", "0", "0", "0"},
     {
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0", "0", "0", "0", "0"},
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0", "0", "0", "0"},
     {"0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0"},
     {"0", "0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]]},
     {"0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0"},
     {"0", "0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.859373526830928*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"1c05f922-b990-4312-acf2-5db2fde58189"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[TextData[StyleBox["If we want to apply Hadamards as above to an initial \
system of |000\[RightAngleBracket],  we construct the initial density matrix \
and transform to the new density matrix, also we check the subsystems 2 and 1 \
to verify that it is only qubit 2 that has been subjected to a Hadamard:",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.614015951445463*^9, 3.614015952625804*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"0630e717-28d4-4756-9f30-b2c1880a1d7b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"\[Rho]000", "=", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "0"], "\[TensorProduct]", 
    SubscriptBox["\[ScriptCapitalP]", "0"], "\[TensorProduct]", 
    SubscriptBox["\[ScriptCapitalP]", "0"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Rho]FINAL", "=", 
   RowBox[{"HAD32", " ", ".", " ", "\[Rho]000", " ", ".", " ", 
    RowBox[{"Adj", "[", "HAD32", "]"}]}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{"PTr", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "3"}], "}"}], ",", "\[Rho]FINAL"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"PTr", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", "\[Rho]FINAL"}], "]"}]}], "Input",
 CellChangeTimes->{{3.6140159800992002`*^9, 3.61401603406218*^9}, 
   3.6140759655067387`*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"683e3bb8-4047-4723-8924-a04ef84459a1"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.859373526857162*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"4146a769-fba8-4768-b785-446b0972fe2e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0", 
      FractionBox["1", "2"], "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {
      FractionBox["1", "2"], "0", 
      FractionBox["1", "2"], "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.859373526861788*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"bcc06682-f368-4c1d-8b55-c620de7d563d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], 
      FractionBox["1", "2"]},
     {
      FractionBox["1", "2"], 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8593735268652267`*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"91f6960a-c88b-471b-b587-25c07e28506d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.859373526868803*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"27d4fcb6-5b02-4cd8-a8d2-bf203a37ac79"]
}, Open  ]],

Cell[TextData[{
 StyleBox["Sometimes we need a ",
  FontFamily->"Helvetica"],
 StyleBox["Hadamard on every one of the qubits;",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" in that case you may use the command ",
  FontFamily->"Helvetica"],
 StyleBox["HALL",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[":",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"990a16f1-bdf2-4764-89fa-5e41981f8cb1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"HALL", "[", "3", "]"}], ".", "\[Rho]000", " ", ".", 
  RowBox[{"Adj", "[", 
   RowBox[{"HALL", "[", "3", "]"}], "]"}]}]], "Input",
 CellTags->{
  "i:2", "b:5.2.0"},ExpressionUUID->"28bcfd83-0455-4fd7-9e83-6da758c7b0c9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.859373526876926*^9},
 CellTags->{
  "i:2", "b:5.2.0"},ExpressionUUID->"2bb4494c-5771-4fcd-9941-77daa9c09a67"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"HALL", "[", "3", "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     RowBox[{"Ket", "[", "0", "]"}], "\[TensorProduct]", "  ", 
     RowBox[{"Ket", "[", "0", "]"}], " ", "\[TensorProduct]", " ", 
     RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.614596436026184*^9, 
  3.6145964927323923`*^9}},ExpressionUUID->"33021d99-b127-4fa6-8c47-\
4e91d91d0b5f"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"000\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"001\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"010\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"011\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"100\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"101\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"110\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735268963137`*^9},ExpressionUUID->"c6bc272f-b228-4fa1-a5bb-\
6ca7054bdb01"]
}, Open  ]],

Cell[TextData[StyleBox["The action of a Hadamard on state vectors is  also \
simple to evaluatel, ",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"ea674191-91e9-46f3-b19e-efc7a3177561"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"had", "[", 
   RowBox[{"1", ",", "1"}], "]"}], ".", 
  RowBox[{"Ket", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"had", "[", 
   RowBox[{"1", ",", "1"}], "]"}], ".", 
  RowBox[{"KetX", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"had", "[", 
   RowBox[{"1", ",", "1"}], "]"}], ".", 
  RowBox[{"Ket", "[", "1", "]"}]}]}], "Input",
 CellTags->"b:5.2.0",ExpressionUUID->"576f1076-769c-4a4f-b6ed-f76cb506f033"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["1", 
       SqrtBox["2"]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.859373526909095*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"96db2c3b-0498-4254-984a-be60277b2b70"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.859373526913493*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"207f5cf2-81b1-4bc7-88c9-fdbddddd734f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8593735269164124`*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"cd9cdc4b-724b-4473-8b89-cba6feb0a6b5"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Ket"}]], "Input",ExpressionUUID->"ea24faef-20ef-4845-a31f-ff625a90a798"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"]], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"]]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               
               ButtonData->
                "http://reference.wolfram.com/language/ref/Ket.html",
               
               ButtonNote->
                "http://reference.wolfram.com/language/ref/Ket.html"],
              "\"http://reference.wolfram.com/language/ref/Ket.html\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Ket[0], Ket[1],\\n\\n\\t one qubit |0\
\[RightAngleBracket] and |1\[RightAngleBracket] state, respectively .  Now \
that MM has Ket \\nand Bra built-in,  use ket and Bra for our definitions \
\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    TemplateBox[{"0"}, "Ket"], ":=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "1", "}"}], ",", 
                    RowBox[{"{", "0", "}"}]}], "}"}]}]}, {" "}, {
                    RowBox[{
                    TemplateBox[{"1"}, "Ket"], ":=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "0", "}"}], ",", 
                    RowBox[{"{", "1", "}"}]}], "}"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Documentation\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Documentation\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Documentation", "Tooltip"]& ], 
                    TemplateBox[{
                    TemplateBox[{"\"Web \[RightGuillemet]\"", {
                    URL["http://reference.wolfram.com/language/ref/Ket.html"],
                     None}, 
                    "http://reference.wolfram.com/language/ref/Ket.html", 
                    "Hyperlink", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"]},
                    "RowDefault"]},
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"System`Ket\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"],
                 ImageSizeCache->{13., {4., 9.}}], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"],
                 ImageSizeCache->{13., {4., 9.}}]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               
               ButtonData->
                "http://reference.wolfram.com/language/ref/Ket.html",
               
               ButtonNote->
                "http://reference.wolfram.com/language/ref/Ket.html"],
              "\"http://reference.wolfram.com/language/ref/Ket.html\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Ket[0], Ket[1],\\n\\n\\t one qubit |0\
\[RightAngleBracket] and |1\[RightAngleBracket] state, respectively .  Now \
that MM has Ket \\nand Bra built-in,  use ket and Bra for our definitions \
\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Ket[0], Ket[1],\n\n\t one qubit |0\[RightAngleBracket] and |1\
\[RightAngleBracket] state, respectively .  Now that MM has Ket \nand Bra \
built-in,  use ket and Bra for our definitions ", 
     "Documentation" -> <|
      "Web" -> "http://reference.wolfram.com/language/ref/Ket.html"|>, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, Ket, {Ket[0] :> {{1}, {0}}, Ket[1] :> {{0}, {1}}}], 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "System`Ket"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373526992697*^9},ExpressionUUID->"e8f6c2ce-b64b-476d-b731-\
e214f2bf20f4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Ket", "[", "0", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Ket", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", " ", 
  RowBox[{
   RowBox[{"a", " ", 
    RowBox[{"Ket", "[", "0", "]"}]}], "+", " ", 
   RowBox[{"b", " ", 
    RowBox[{"Ket", "[", "1", "]"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.614422466663094*^9, 
  3.614422509766438*^9}},ExpressionUUID->"6760ff4a-6afa-4487-9e16-\
5ba087f85102"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527008169*^9},ExpressionUUID->"1b62c1db-973e-478f-825e-\
fb343f120961"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"0\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527012006*^9},ExpressionUUID->"9a1a7fe6-ab3c-4938-ba92-\
82f88c4a0db4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0"},
     {"1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527015069*^9},ExpressionUUID->"5903a473-9db7-4f29-aec4-\
b6599c0a6a2d"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527018176*^9},ExpressionUUID->"84d8cc40-ea17-4039-afea-\
a657e5b52e25"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a", "\")\"", "\" |\"", "\"0\"", "\" >\"", "\" + \"", 
    "\"(\"", "b", "\")\"", "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937352702155*^9},ExpressionUUID->"df3dbb12-eb8e-41e2-bba8-8ed3dffccc38"],

Cell[CellGroupData[{

Cell[BoxData[{
 TemplateBox[{"0"},
  "Ket"], "\n", 
 TemplateBox[{"1"},
  "Ket"]}], "Input",
 CellChangeTimes->{{3.614422517802367*^9, 
  3.614422546462709*^9}},ExpressionUUID->"55a053cf-e8ba-4321-9b60-\
2df8aaa28e8b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527040052*^9},ExpressionUUID->"732f51e4-ae7a-4908-9265-\
4d9746d10e22"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0"},
     {"1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735270485773`*^9},ExpressionUUID->"dd4e19a9-61a4-47d1-b855-\
15c840c415c9"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Ket1"}]], "Input",ExpressionUUID->"e701bd4d-d3e0-4657-b372-29a50f323116"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Ket1[\[Theta],\[Phi]],\\n\\n\\t returns a general \
one qubit ket state of the form\\n\\n \
=Cos[\[Theta]/2]*Exp[-I*\[Phi]/2]*Ket[0]+Sin[\[Theta]/2]*Ket[1]*Exp[I*\[Phi]/\
2]  \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Ket1", "[", 
                    RowBox[{"Private`a_", ",", "Private`b_"}], "]"}], ":=", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    FractionBox["Private`a", "2"], "]"}], " ", 
                    RowBox[{"Exp", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{"-", "\[ImaginaryI]"}], ")"}], " ", "Private`b"}],
                     "]"}], " ", 
                    TemplateBox[{"0"}, "Ket"]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    FractionBox["Private`a", "2"], "]"}], " ", 
                    TemplateBox[{"1"}, "Ket"], " ", 
                    RowBox[{"Exp", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{"+", "\[ImaginaryI]"}], ")"}], " ", "Private`b"}],
                     "]"}]}]}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Ket1\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Ket1[\[Theta],\[Phi]],\\n\\n\\t returns a general \
one qubit ket state of the form\\n\\n \
=Cos[\[Theta]/2]*Exp[-I*\[Phi]/2]*Ket[0]+Sin[\[Theta]/2]*Ket[1]*Exp[I*\[Phi]/\
2]  \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Ket1[\[Theta],\[Phi]],\n\n\t returns a general one qubit ket state of \
the form\n\n \
=Cos[\[Theta]/2]*Exp[-I*\[Phi]/2]*Ket[0]+Sin[\[Theta]/2]*Ket[1]*Exp[I*\[Phi]/\
2]  ", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Ket1, {QDENSITY`Qdensity`Ket1[
          Pattern[Private`a, 
           Blank[]], 
          Pattern[Private`b, 
           Blank[]]] :> 
        Cos[Private`a/2] Exp[(-I) (Private`b/2)] Ket[0] + 
         Sin[Private`a/2] Ket[1] Exp[Plus[I] (Private`b/2)]}], "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`Ket1"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527130278*^9},ExpressionUUID->"1da467c3-12e2-48d3-afaf-\
d0bd0093fd63"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Ket1", "[", 
  RowBox[{"a", ",", "b"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.614422572418518*^9, 
  3.614422587544961*^9}},ExpressionUUID->"f2ee9e6f-ffc3-4426-a5cc-\
b18a392132e7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "b"}], "2"]}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["a", "2"], "]"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"\[ImaginaryI]", " ", "b"}], "2"]], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["a", "2"], "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527143136*^9},ExpressionUUID->"d6a551f5-4014-44d9-a5df-\
ef9410b3a9be"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "b"}], "2"]}]], " ", 
      RowBox[{"Cos", "[", 
        FractionBox["a", "2"], "]"}]}], "\")\"", "\" |\"", "\"0\"", "\" >\"", 
    "\" + \"", "\"(\"", 
    RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "b"}], "2"]], " ", 
      RowBox[{"Sin", "[", 
        FractionBox["a", "2"], "]"}]}], "\")\"", "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527147216*^9},ExpressionUUID->"5f8e5732-4975-416b-bbe8-\
087288b57477"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "KetV"}]], "Input",ExpressionUUID->"04b6729a-93a5-45fe-8b76-bd8fe09ddcfe"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"KetV[a_] is a multi-qubit state vector \
ket,\\n\\n\\t variable a must be list of Length[a]=2^n . Example of \\nuse, \
KetV[{0,1,1}]=Ket[0]\[CircleTimes]Ket[1]\[CircleTimes]Ket[1]  . \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"KetV", "[", 
                    RowBox[{"Private`b_", "?", "ListQ"}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"O", ",", 
                    RowBox[{"Private`a", "=", "Private`b"}]}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"O", "=", 
                    TemplateBox[{
                    
                    RowBox[{"Private`a", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}, "Ket"]}], ";", 
                    RowBox[{"Private`L", "=", 
                    RowBox[{"Length", "[", "Private`a", "]"}]}], ";", 
                    RowBox[{"Do", "[", 
                    RowBox[{
                    RowBox[{"O", "=", 
                    RowBox[{"AF", "[", 
                    RowBox[{"O", "\[CircleTimes]", 
                    TemplateBox[{
                    
                    RowBox[{"Private`a", "\[LeftDoubleBracket]", "Private`iK",
                     "\[RightDoubleBracket]"}]}, "Ket"]}], "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`iK", ",", "2", ",", "Private`L"}], 
                    "}"}]}], "]"}], ";", "O"}]}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`KetV\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"KetV[a_] is a multi-qubit state vector \
ket,\\n\\n\\t variable a must be list of Length[a]=2^n . Example of \\nuse, \
KetV[{0,1,1}]=Ket[0]\[CircleTimes]Ket[1]\[CircleTimes]Ket[1]  . \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "KetV[a_] is a multi-qubit state vector ket,\n\n\t variable a must be \
list of Length[a]=2^n . Example of \nuse, \
KetV[{0,1,1}]=Ket[0]\[CircleTimes]Ket[1]\[CircleTimes]Ket[1]  . ", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`KetV, {QDENSITY`Qdensity`KetV[
          PatternTest[
           Pattern[Private`b, 
            Blank[]], ListQ]] :> Module[{O, Private`a = Private`b}, O = Ket[
             Part[Private`a, 1]]; Private`L = Length[Private`a]; 
          Do[O = QDENSITY`Qdensity`AF[
              CircleTimes[O, 
               Ket[
                Part[Private`a, Private`iK]]]], {Private`iK, 2, Private`L}]; 
          O]}], "SubValues" -> None, "DefaultValues" -> None, "NValues" -> 
     None, "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`KetV"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527230945*^9},ExpressionUUID->"57fd2d4c-246e-4e9b-8916-\
415790fd580d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"KetV", "[", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1"}], "}"}], "]"}], " ", "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"Ket", "[", "1", "]"}], "\[TensorProduct]", " ", 
    RowBox[{"Ket", "[", "1", "]"}], "\[TensorProduct]", " ", 
    RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"KetV", "[", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "0"}], "}"}], "]"}], " ", "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"Ket", "[", "1", "]"}], "\[TensorProduct]", " ", 
    RowBox[{"Ket", "[", "1", "]"}], "\[TensorProduct]", " ", 
    RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6144226108476686`*^9, 3.6144226813871927`*^9}, {
  3.6144412022134857`*^9, 
  3.614441226420148*^9}},ExpressionUUID->"600f618b-0c12-4377-9755-\
262cb484b6f9"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937352724467*^9},ExpressionUUID->"25f429ea-842f-493e-9e1f-3c249a4ea9cb"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527248646*^9},ExpressionUUID->"7d76862f-4b08-42a9-9eb7-\
c2e9ad3488b1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "KetX"}]], "Input",
 CellChangeTimes->{{3.614441258259615*^9, 
  3.614441259077114*^9}},ExpressionUUID->"eb97989b-c295-4c20-97c7-\
0b96b90f49a0"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"KetX[0], KetX[1], \\n\\n\\t one qubit |+\
\[RightAngleBracket], |-\[RightAngleBracket], states, respectively . \\n\\n \
Eigenvectors of Sigma1 . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"KetX", "[", "0", "]"}], ":=", 
                    FractionBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "1", "}"}], ",", 
                    RowBox[{"{", "1", "}"}]}], "}"}], 
                    SqrtBox["2"]]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"KetX", "[", "1", "]"}], ":=", 
                    FractionBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "1", "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"-", "1"}], "}"}]}], "}"}], 
                    SqrtBox["2"]]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`KetX\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"KetX[0], KetX[1], \\n\\n\\t one qubit |+\
\[RightAngleBracket], |-\[RightAngleBracket], states, respectively . \\n\\n \
Eigenvectors of Sigma1 . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "KetX[0], KetX[1], \n\n\t one qubit |+\[RightAngleBracket], |-\
\[RightAngleBracket], states, respectively . \n\n Eigenvectors of Sigma1 . ", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`KetX, {
       QDENSITY`Qdensity`KetX[0] :> (1/Sqrt[2]) {{1}, {1}}, 
        QDENSITY`Qdensity`KetX[1] :> (1/Sqrt[2]) {{1}, {-1}}}], "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`KetX"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527332453*^9},ExpressionUUID->"489a21bd-52ca-45b8-af68-\
2c5432aab45d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"KetX", "[", "0", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"KetX", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.6144412739120626`*^9, 
  3.6144413121182327`*^9}},ExpressionUUID->"1d049906-e1fb-4088-9836-\
6c4c1273b8bd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["1", 
       SqrtBox["2"]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527344865*^9},ExpressionUUID->"713ed357-1c36-4c4b-aa16-\
df4a7efb44e7"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    FractionBox["1", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
    FractionBox["1", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527348789*^9},ExpressionUUID->"eb27b19f-b4d1-47fa-99e3-\
7d64a8ff1c9a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527352704*^9},ExpressionUUID->"49c420e4-d6f1-42d8-9300-\
7cf41387c11f"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    FractionBox["1", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"-", 
      FractionBox["1", 
       SqrtBox["2"]]}], "\")\"", "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527356378*^9},ExpressionUUID->"ad7523f5-067f-44e1-a878-\
aad223e3fe37"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"s", "[", "1", "]"}], ".", 
   RowBox[{"KetX", "[", "0", "]"}]}], "==", 
  RowBox[{"KetX", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"s", "[", "1", "]"}], ".", 
   RowBox[{"KetX", "[", "1", "]"}]}], "\[Equal]", 
  RowBox[{"-", 
   RowBox[{"KetX", "[", "1", "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.6144413773435087`*^9, 
  3.6144414423539057`*^9}},ExpressionUUID->"923fdfa5-c166-43f7-bf3d-\
5a24897a3a23"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527375329*^9},ExpressionUUID->"c2d8b770-14e4-434f-be0c-\
800167940cec"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527379389*^9},ExpressionUUID->"f912b078-872f-4b29-b93a-\
fced5d338b90"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "KetY"}]], "Input",
 CellChangeTimes->{{3.614441329107194*^9, 
  3.614441329813712*^9}},ExpressionUUID->"5f0ee731-1207-4d1d-9ee5-\
d1adb71e9374"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"KetY[0], KetY[1], \\n\\n Eigenvectors of Sigma2 . \
\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"KetY", "[", "0", "]"}], ":=", 
                    FractionBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "1", "}"}], ",", 
                    RowBox[{"{", "\[ImaginaryI]", "}"}]}], "}"}], 
                    SqrtBox["2"]]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"KetY", "[", "1", "]"}], ":=", 
                    FractionBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "1", "}"}], ",", 
                    RowBox[{"-", 
                    RowBox[{"{", "\[ImaginaryI]", "}"}]}]}], "}"}], 
                    SqrtBox["2"]]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`KetY\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"KetY[0], KetY[1], \\n\\n Eigenvectors of Sigma2 . \
\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "KetY[0], KetY[1], \n\n Eigenvectors of Sigma2 . ", "Documentation" -> 
     None, "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`KetY, {
       QDENSITY`Qdensity`KetY[0] :> (1/Sqrt[2]) {{1}, {I}}, 
        QDENSITY`Qdensity`KetY[1] :> (1/Sqrt[2]) {{1}, -{I}}}], "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`KetY"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527462027*^9},ExpressionUUID->"43db1023-707a-40bc-8823-\
e6e2337d8940"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"KetY", "[", "0", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"KetY", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.6144413448997917`*^9, 
  3.614441354236189*^9}},ExpressionUUID->"f3a9f1ea-df17-4ce6-b257-\
a19cde016021"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["\[ImaginaryI]", 
       SqrtBox["2"]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527492244*^9},ExpressionUUID->"2510d19f-6466-46fd-a071-\
1cafa413208c"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    FractionBox["1", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
    FractionBox["\[ImaginaryI]", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527496373*^9},ExpressionUUID->"3e02e253-a511-4ac5-8b1a-\
91c45823c06b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527500412*^9},ExpressionUUID->"c1e6d2cb-fdc7-4a8e-b89b-\
df32950ff2fc"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    FractionBox["1", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"-", 
      FractionBox["\[ImaginaryI]", 
       SqrtBox["2"]]}], "\")\"", "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937352750369*^9},ExpressionUUID->"2211e241-e633-4d7d-b162-10f2af460115"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"s", "[", "2", "]"}], ".", 
   RowBox[{"KetY", "[", "0", "]"}]}], "==", 
  RowBox[{"KetY", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"s", "[", "2", "]"}], ".", 
   RowBox[{"KetY", "[", "1", "]"}]}], "\[Equal]", " ", 
  RowBox[{"-", 
   RowBox[{"KetY", "[", "1", "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.614441454199959*^9, 
  3.614441498195979*^9}},ExpressionUUID->"4855d1e8-7392-40b7-a2e5-\
fcbf868d519b"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527522258*^9},ExpressionUUID->"d5a9d09e-fada-498d-8453-\
7bfc9d0efd56"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527526039*^9},ExpressionUUID->"ece2696b-d372-411e-a534-\
b11e702d07fb"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "MeasureKet"}]], "Input",
 CellChangeTimes->{{3.6144415373817377`*^9, 3.614441541709017*^9}, {
  3.614592273157029*^9, 3.614592274821485*^9}, {3.6145939063792067`*^9, 
  3.614593906929339*^9}},ExpressionUUID->"a3857921-7cff-441d-93b0-\
82b0c9510b3e"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"MeasureKet[V,M,MV],\\n\\n\\t Performs the \
measurement on qubits in list M={m1,..,mn},\\n\\n with possible measured \
computational basis values input in list \\n\\n MV={0,1,...0,0,1}, on the \
original ket V . The output is normalized \\n\\n to 1.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"MeasureKet", "[", 
                    RowBox[{
                    RowBox[{"Private`stateV_", "?", "ListQ"}], ",", 
                    RowBox[{"Private`MQ_", "?", "ListQ"}], ",", 
                    RowBox[{"Private`MV_", "?", "ListQ"}]}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "O", "}"}], ",", 
                    RowBox[{
                    RowBox[{"O", "=", "Private`stateV"}], ";", 
                    RowBox[{"Private`ON", "=", 
                    RowBox[{"Length", "[", "O", "]"}]}], ";", 
                    RowBox[{"Private`LM", "=", 
                    RowBox[{"Length", "[", "Private`MQ", "]"}]}], ";", 
                    RowBox[{"Private`LMV", "=", 
                    RowBox[{"Length", "[", "Private`MV", "]"}]}], ";", 
                    RowBox[{"Private`NQ", "=", 
                    RowBox[{"Log", "[", 
                    RowBox[{"2", ",", "Private`ON"}], "]"}]}], ";", 
                    RowBox[{"Private`ListN", "=", 
                    RowBox[{"Table", "[", 
                    RowBox[{"Private`i", ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`i", ",", "1", ",", "Private`NQ"}], 
                    "}"}]}], "]"}]}], ";", 
                    RowBox[{"Private`OutV", "=", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`i", ",", "1", ",", 
                    SuperscriptBox["2", 
                    RowBox[{"Private`NQ", "-", "Private`LM"}]]}], "}"}]}], 
                    "]"}]}], ";", 
                    RowBox[{"Private`MM", "=", 
                    RowBox[{"Complement", "[", 
                    RowBox[{"Private`ListN", ",", "Private`MQ"}], "]"}]}], 
                    ";", 
                    RowBox[{"Private`Seq", "=", 
                    RowBox[{"Array", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Private`w", "[", 
                    
                    RowBox[{"Private`MM", "\[LeftDoubleBracket]", "#1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", "0", ",", "1"}], 
                    "}"}], "}"}], "&"}], ",", 
                    RowBox[{"Length", "[", "Private`MM", "]"}]}], "]"}]}], 
                    ";", 
                    RowBox[{"Private`Seq", "=", 
                    RowBox[{"Partition", "[", 
                    RowBox[{
                    RowBox[{"Flatten", "[", "Private`Seq", "]"}], ",", "3"}], 
                    "]"}]}], ";", 
                    RowBox[{"Private`MesNumber", "=", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"Private`i", "=", "1"}], "Private`LM"], 
                    RowBox[{
                    
                    RowBox[{"Private`MV", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}], " ", 
                    SuperscriptBox["2", 
                    RowBox[{"Private`NQ", "-", 
                    
                    RowBox[{"Private`MQ", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}]}]]}]}]}], ";", 
                    RowBox[{"Private`NonMeas", "=", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"Private`i", "=", "1"}], 
                    RowBox[{"Private`NQ", "-", "Private`LM"}]], 
                    RowBox[{
                    RowBox[{"Private`w", "[", 
                    
                    RowBox[{"Private`MM", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}], "]"}], " ", 
                    SuperscriptBox["2", 
                    RowBox[{"Private`NQ", "-", 
                    
                    RowBox[{"Private`MM", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}]}]]}]}]}], ";", 
                    RowBox[{"Private`Posit", "=", 
                    RowBox[{
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"Private`i", "=", "1"}], 
                    RowBox[{"Private`NQ", "-", "Private`LM"}]], 
                    RowBox[{
                    RowBox[{"Private`w", "[", 
                    
                    RowBox[{"Private`MM", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}], "]"}], " ", 
                    SuperscriptBox["2", 
                    RowBox[{"Private`NQ", "-", 
                    RowBox[{"Length", "[", "Private`MQ", "]"}], "-", 
                    "Private`i"}]]}]}], "+", "1"}]}], ";", 
                    RowBox[{"Do", "[", 
                    RowBox[{
                    RowBox[{"Private`OutV", "=", 
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{"Private`OutV", ",", 
                    RowBox[{"O", "\[LeftDoubleBracket]", 
                    
                    RowBox[{"Private`MesNumber", "+", "Private`NonMeas", "+", 
                    "1"}], "\[RightDoubleBracket]"}], ",", "Private`Posit"}], 
                    "]"}]}], ",", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"Sequence", "@@", "Private`Seq"}], "]"}]}], "]"}],
                     ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{"Flatten", "[", "Private`OutV", "]"}], "]"}], 
                    "\[Equal]", "0"}], ",", 
                    RowBox[{"Private`OutW", "=", 
                    RowBox[{"ZeroT", "[", 
                    RowBox[{"Length", "[", "Private`OutV", "]"}], "]"}]}], 
                    ",", 
                    RowBox[{"Private`OutW", "=", 
                    FractionBox["Private`OutV", 
                    RowBox[{"Norm", "[", 
                    RowBox[{"Flatten", "[", "Private`OutV", "]"}], "]"}]]}], 
                    ",", 
                    RowBox[{"Private`OutW", "=", 
                    FractionBox["Private`OutV", 
                    RowBox[{"Norm", "[", 
                    RowBox[{"Flatten", "[", "Private`OutV", "]"}], "]"}]]}]}],
                     "]"}], ";", "Private`OutW"}]}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`MeasureKet\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"MeasureKet[V,M,MV],\\n\\n\\t Performs the \
measurement on qubits in list M={m1,..,mn},\\n\\n with possible measured \
computational basis values input in list \\n\\n MV={0,1,...0,0,1}, on the \
original ket V . The output is normalized \\n\\n to 1.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "MeasureKet[V,M,MV],\n\n\t Performs the measurement on qubits in list \
M={m1,..,mn},\n\n with possible measured computational basis values input in \
list \n\n MV={0,1,...0,0,1}, on the original ket V . The output is normalized \
\n\n to 1.", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None,
      "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`MeasureKet, {QDENSITY`Qdensity`MeasureKet[
          PatternTest[
           Pattern[Private`stateV, 
            Blank[]], ListQ], 
          PatternTest[
           Pattern[Private`MQ, 
            Blank[]], ListQ], 
          PatternTest[
           Pattern[Private`MV, 
            Blank[]], ListQ]] :> 
        Module[{O}, O = Private`stateV; Private`ON = Length[O]; 
          Private`LM = Length[Private`MQ]; Private`LMV = Length[Private`MV]; 
          Private`NQ = Log[2, Private`ON]; 
          Private`ListN = Table[Private`i, {Private`i, 1, Private`NQ}]; 
          Private`OutV = 
           Table[0, {Private`i, 1, 2^(Private`NQ - Private`LM)}]; 
          Private`MM = Complement[Private`ListN, Private`MQ]; 
          Private`Seq = Array[{{
               Private`w[
                Part[Private`MM, #]], 0, 1}}& , 
             Length[Private`MM]]; Private`Seq = Partition[
             Flatten[Private`Seq], 3]; 
          Private`MesNumber = 
           Sum[Part[Private`MV, Private`i] 
             2^(Private`NQ - Part[Private`MQ, Private`i]), {
             Private`i, 1, Private`LM}]; Private`NonMeas = Sum[Private`w[
               Part[Private`MM, Private`i]] 
             2^(Private`NQ - Part[Private`MM, Private`i]), {
             Private`i, 1, Private`NQ - Private`LM}]; 
          Private`Posit = Sum[Private`w[
                Part[Private`MM, Private`i]] 
              2^(Private`NQ - Length[Private`MQ] - Private`i), {
              Private`i, 1, Private`NQ - Private`LM}] + 1; 
          Do[Private`OutV = ReplacePart[Private`OutV, 
              Part[O, Private`MesNumber + Private`NonMeas + 1], 
              Private`Posit], 
            Evaluate[
             Apply[Sequence, Private`Seq]]]; If[Norm[
              Flatten[Private`OutV]] == 0, Private`OutW = 
            QDENSITY`Qdensity`ZeroT[
              Length[Private`OutV]], Private`OutW = Private`OutV/Norm[
              Flatten[Private`OutV]], Private`OutW = Private`OutV/Norm[
              Flatten[Private`OutV]]]; Private`OutW]}], "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`MeasureKet"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527606463*^9},ExpressionUUID->"7bde7153-0bb5-42ad-bca2-\
e3eae120741f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"V", "=", " ", 
   RowBox[{
    RowBox[{"a", " ", 
     RowBox[{"KetV", "[", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "1"}], "}"}], "]"}]}], " ", "+", " ", 
    RowBox[{"b", " ", 
     RowBox[{"KetV", "[", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1"}], "}"}], "]"}]}]}]}], " ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"M", "=", 
  RowBox[{"{", 
   RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"MV", "=", 
  RowBox[{"{", 
   RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"VIN", "=", "V"}], "\[IndentingNewLine]", 
 RowBox[{"MeasureKet", "[", 
  RowBox[{"VIN", ",", "M", ",", "MV"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"MV", "=", 
  RowBox[{"{", 
   RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"VIN", "=", "V"}], "\[IndentingNewLine]", 
 RowBox[{"MeasureKet", "[", 
  RowBox[{"VIN", ",", "M", ",", "MV"}], "]"}]}], "Input",
 CellChangeTimes->{{3.614441561399622*^9, 3.614441787442144*^9}, 
   3.614591743746738*^9, {3.614591806855259*^9, 3.6145918221757927`*^9}, {
   3.6145923662578373`*^9, 3.614592383277123*^9}, {3.614592414135347*^9, 
   3.614592564754755*^9}, {3.614592679915752*^9, 3.614592691535849*^9}, {
   3.614592748930993*^9, 3.614592752193014*^9}, {3.6145927895195303`*^9, 
   3.614592820026711*^9}, {3.614593663681929*^9, 3.614593692333312*^9}, 
   3.6145939011474333`*^9, 3.614594006881509*^9, {3.6162752100285397`*^9, 
   3.616275246173676*^9}},ExpressionUUID->"9c39bcff-9355-4d35-a022-\
c8b8bef6037c"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a", "\")\"", "\" |\"", "\"011\"", "\" >\"", "\" + \"",
     "\"(\"", "b", "\")\"", "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527619603*^9},ExpressionUUID->"d302596f-4715-4891-99d8-\
481a21e6b9d2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"2"},
      {"3"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527624302*^9},ExpressionUUID->"c0589fae-821a-4ab0-b3a5-\
1b5eeb8167fb"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"1"},
      {"1"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527627068*^9},ExpressionUUID->"be7ea475-1231-48cf-9238-\
19bfcc4e11a6"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0"},
     {"0"},
     {"0"},
     {"a"},
     {"0"},
     {"0"},
     {"0"},
     {"b"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735276304007`*^9},ExpressionUUID->"177593e3-59bc-4e5f-b32b-\
f617b7b0c82f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["b", 
       RowBox[{"Abs", "[", "b", "]"}]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527633712*^9},ExpressionUUID->"ee592cda-c6dd-4620-940b-\
fa32de1f42f4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"1"},
      {"1"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527637053*^9},ExpressionUUID->"cab83357-7899-4980-8130-\
907cfe73b39b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0"},
     {"0"},
     {"0"},
     {"a"},
     {"0"},
     {"0"},
     {"0"},
     {"b"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527640359*^9},ExpressionUUID->"69d79225-3748-414b-9b26-\
ed69fc3638ed"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["a", 
       RowBox[{"Abs", "[", "a", "]"}]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527644429*^9},ExpressionUUID->"91949a79-2f23-4659-8dbd-\
e7571c383085"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"V2", "=", " ", 
  RowBox[{"RandomKetN", "[", "3", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "V2", "]"}]}], "Input",
 CellChangeTimes->{{3.614441809935204*^9, 3.614441887137776*^9}, {
   3.614441951640544*^9, 3.6144420690841513`*^9}, {3.614447068022142*^9, 
   3.6144471412105923`*^9}, {3.614447247620689*^9, 3.6144472546502542`*^9}, {
   3.614447290784616*^9, 3.614447451999667*^9}, {3.61444754790277*^9, 
   3.614447558538529*^9}, {3.614447595094149*^9, 3.6144476294743156`*^9}, {
   3.61444765990373*^9, 3.614447709163107*^9}, {3.6144479111467743`*^9, 
   3.614447924342799*^9}, {3.6144485580838223`*^9, 3.614448561265571*^9}, {
   3.614448609448677*^9, 3.614448613608323*^9}, {3.614505450860712*^9, 
   3.6145054691082172`*^9}, 3.614505578453307*^9, 3.6145058482061367`*^9, {
   3.614505894203332*^9, 3.6145058975561857`*^9}, {3.614507404141903*^9, 
   3.614507426999959*^9}, {3.616274117730371*^9, 3.616274125514978*^9}, {
   3.616274714456523*^9, 
   3.616274757316812*^9}},ExpressionUUID->"4dbd1a8e-c54c-499c-9ca6-\
1423e795bcd1"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.31728386186037766`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.24300632738575018`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.27812600521646896`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.29403931138106965`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.30139850797411927`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.28361061451807634`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.27419726296028235`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.12684601840249954`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.2854353667614317`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.26058065911388056`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.040654268999786164`"}], "-", 
       RowBox[{"0.2645419778876512`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.29866059732780587`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.12391959613158109`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.29617019074985035`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.025174094164680277`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735276624613`*^9},ExpressionUUID->"7f4cd2fd-a910-4d30-b926-\
a1c75b146b63"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{"0.31728386186037766`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.24300632738575018`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"000\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.27812600521646896`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.29403931138106965`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"001\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.30139850797411927`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.28361061451807634`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"010\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.27419726296028235`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.12684601840249954`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"011\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.2854353667614317`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.26058065911388056`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"100\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.040654268999786164`"}], "-", 
      RowBox[{"0.2645419778876512`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"101\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.29866059732780587`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.12391959613158109`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"110\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.29617019074985035`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.025174094164680277`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527666973*^9},ExpressionUUID->"4c6fab57-3349-468c-b45f-\
8671cea63678"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"M", "=", 
  RowBox[{"{", 
   RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"MV", "=", 
  RowBox[{"{", 
   RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VIN", "=", "V2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"M1", "=", 
  RowBox[{"MeasureKet", "[", 
   RowBox[{"VIN", ",", "M", ",", "MV"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"coefM", "=", 
  RowBox[{
   RowBox[{"BraV", "[", "MV", "]"}], ".", "VIN"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"coefM", "/", 
   RowBox[{"Abs", "[", "coefM", "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.614447845664352*^9, 3.6144478620539293`*^9}, {
   3.614448670083866*^9, 3.6144486899135237`*^9}, {3.614448749493156*^9, 
   3.6144487548116283`*^9}, {3.6145052899949427`*^9, 3.614505292715643*^9}, {
   3.614505369460784*^9, 3.6145054362375174`*^9}, {3.6145075537031193`*^9, 
   3.614507556660602*^9}, {3.6145919154577293`*^9, 3.614591916166312*^9}, {
   3.614593731393724*^9, 3.614593739368225*^9}, 3.61459377510005*^9, 
   3.614594025105673*^9, 3.614594175386559*^9, {3.616274953305228*^9, 
   3.616274957490177*^9}, {3.616275281913205*^9, 3.616275316121235*^9}, 
   3.616275464896818*^9},ExpressionUUID->"eadfe12c-e552-4e60-aabb-\
94be47617fdf"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"2"},
      {"3"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735276983747`*^9},ExpressionUUID->"fc3d03ea-0ec4-4082-9e33-\
3f8f329aba09"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"1"},
      {"1"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527702573*^9},ExpressionUUID->"073f0832-5de0-4525-9886-\
be9d6005767b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.9964070637448516`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.08469334873154567`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527705542*^9},ExpressionUUID->"b90c47a6-9563-4a03-b3fc-\
af27b574648d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.29617019074985035`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.025174094164680277`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527709161*^9},ExpressionUUID->"c90c4287-2788-4179-9f3c-\
0909c105bde5"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.9964070637448516`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.08469334873154567`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527712759*^9},ExpressionUUID->"2c7514b7-4432-4380-8cca-\
5e911d4d2fbf"],

Cell[CellGroupData[{

Cell[BoxData[{"M", "\[IndentingNewLine]", "MV", "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "V2", "]"}]}], "Input",
 CellChangeTimes->{{3.614505251976288*^9, 3.61450526153181*^9}, {
   3.6145068005619183`*^9, 3.614506804723233*^9}, {3.614506849442808*^9, 
   3.614506849880166*^9}, {3.61450737236136*^9, 3.614507376691518*^9}, 
   3.616274969324851*^9, {3.6162751269300747`*^9, 3.616275127345277*^9}, {
   3.616275487384389*^9, 
   3.6162754879809732`*^9}},ExpressionUUID->"47dbe950-6319-4072-a3e1-\
61b1bd9ab0d9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"2"},
      {"3"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735277306843`*^9},ExpressionUUID->"4e2ecce6-b7a2-43c2-87dc-\
7851eb68acc0"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"1"},
      {"1"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527735114*^9},ExpressionUUID->"78a99189-edea-48d9-b6ab-\
03bb4a510d07"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{"0.31728386186037766`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.24300632738575018`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"000\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.27812600521646896`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.29403931138106965`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"001\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.30139850797411927`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.28361061451807634`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"010\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.27419726296028235`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.12684601840249954`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"011\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.2854353667614317`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.26058065911388056`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"100\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.040654268999786164`"}], "-", 
      RowBox[{"0.2645419778876512`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"101\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.29866059732780587`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.12391959613158109`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"110\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.29617019074985035`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.025174094164680277`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735277385063`*^9},ExpressionUUID->"5f4ac8eb-ae4d-483e-9f15-\
5f3f3db4f0ea"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"MV", "=", 
  RowBox[{"{", 
   RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VIN", "=", "V2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"MeasureKet", "[", 
  RowBox[{"VIN", ",", "M", ",", "MV"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"coefM", "=", 
  RowBox[{
   RowBox[{"BraV", "[", "MV", "]"}], ".", "VIN"}]}], "\[IndentingNewLine]", 
 RowBox[{"coefM", "/", 
  RowBox[{"Abs", "[", "coefM", "]"}]}]}], "Input",
 CellChangeTimes->{{3.6145942951955147`*^9, 3.614594308704638*^9}, {
   3.6162749861342688`*^9, 3.61627499587253*^9}, {3.6162753573526773`*^9, 
   3.616275372335478*^9}, 
   3.616275500679903*^9},ExpressionUUID->"90e5d829-cd52-4eb7-b2e5-\
bd3b0e5d5149"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"1"},
      {"1"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735277507257`*^9},ExpressionUUID->"8b845be5-66c9-448b-af8f-\
da84aef6457c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.9075894758920598`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.4198587182017019`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735277551622`*^9},ExpressionUUID->"0d1ab074-9dee-467c-b191-\
1df16cb74950"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.27419726296028235`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.12684601840249954`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735277583313`*^9},ExpressionUUID->"f1d9e5a3-3b59-4d69-9dbb-\
1f75433568b1"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.9075894758920598`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.4198587182017019`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527762053*^9},ExpressionUUID->"c5365d06-eb96-4aa6-babf-\
3caf8ebc9aa9"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "CompMeasureKet"}]], "Input",
 CellChangeTimes->{{3.614448847815399*^9, 
  3.61444884875624*^9}},ExpressionUUID->"0b9d19f6-ef1c-4448-b1d6-\
147d8b3b4e25"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"CompMeasureKet, \\n\\n\\t Precompiled version of \
MeasureKet.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Assignment\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"OwnValues\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "OwnValues", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{"CompMeasureKet", "=", 
                    TagBox[
                    RowBox[{"CompiledFunction", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"Private`A", ",", "Private`M", ",", 
                    "Private`vM"}], "}"}], ",", 
                    RowBox[{"MeasureKet", "[", 
                    
                    RowBox[{"Private`A", ",", "Private`M", ",", 
                    "Private`vM"}], "]"}], ",", "\"-CompiledCode-\""}], "]"}],
                     False, Editable -> False, SelectWithContents -> 
                    True]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`CompMeasureKet\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"CompMeasureKet, \\n\\n\\t Precompiled version of \
MeasureKet.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "CompMeasureKet, \n\n\t Precompiled version of MeasureKet.", 
     "Documentation" -> None, "OwnValues" -> 
     Information`InformationValueForm[
      OwnValues, QDENSITY`Qdensity`CompMeasureKet, {
       QDENSITY`Qdensity`CompMeasureKet -> CompiledFunction[{11, 13., 5468}, {{
            Blank[Complex], 1}, {
            Blank[Integer], 1}, {
            Blank[Integer], 1}}, {{4, 1, 0}, {2, 1, 1}, {2, 1, 2}, {4, 1, 
          3}}, {}, {0, 0, 0, 0, 
          4}, {{47, QDENSITY`Qdensity`MeasureKet, 4, 1, 0, 2, 1, 1, 2, 1, 2, 
            4, 1, 3}, {1}}, 
          Function[{Private`A, Private`M, Private`vM}, 
           QDENSITY`Qdensity`MeasureKet[Private`A, Private`M, Private`vM]], 
          Evaluate]}], "UpValues" -> None, "DownValues" -> None, "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`CompMeasureKet"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937352788418*^9},ExpressionUUID->"32ae2ac4-becc-4655-b620-1daa7cf4377a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DForm", "[", "V2", "]"}]], "Input",
 CellChangeTimes->{
  3.61627502897992*^9},ExpressionUUID->"45e3b26b-fc64-4fe6-b9cb-721988cc3437"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{"0.31728386186037766`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.24300632738575018`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"000\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.27812600521646896`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.29403931138106965`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"001\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.30139850797411927`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.28361061451807634`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"010\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.27419726296028235`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.12684601840249954`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"011\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.2854353667614317`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.26058065911388056`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"100\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.040654268999786164`"}], "-", 
      RowBox[{"0.2645419778876512`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"101\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.29866059732780587`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.12391959613158109`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"110\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.29617019074985035`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.025174094164680277`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527896937*^9},ExpressionUUID->"13370f54-7972-409c-8769-\
6bda68905293"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{"M", "\[IndentingNewLine]", "MV", "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VIN", "=", "V2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"CompMeasureKet", "[", 
  RowBox[{
   RowBox[{"Flatten", "[", "VIN", "]"}], ",", "M", ",", "MV"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"coef", "=", 
  RowBox[{
   RowBox[{"BraV", "[", "MV", "]"}], ".", "VIN"}]}], "\[IndentingNewLine]", 
 RowBox[{"coef", "/", 
  RowBox[{"Abs", "[", "coef", "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.614448839127489*^9, 3.614448840318677*^9}, {
   3.614448899604739*^9, 3.614448905082274*^9}, {3.6144489484954767`*^9, 
   3.614448952735024*^9}, {3.614449005001347*^9, 3.614449011334914*^9}, {
   3.6144492218122253`*^9, 3.614449227075783*^9}, {3.6144492757083883`*^9, 
   3.614449276799939*^9}, {3.614450676330131*^9, 3.614450682436977*^9}, {
   3.614505694369494*^9, 3.614505696144351*^9}, {3.6145074865779533`*^9, 
   3.6145074912685423`*^9}, {3.614594324073798*^9, 3.6145943368506317`*^9}, 
   3.616273881853422*^9, {3.616275574039041*^9, 
   3.616275599686981*^9}},ExpressionUUID->"e8a2f548-67b2-42be-ba96-\
017d8d179fee"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"2"},
      {"3"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735279198027`*^9},ExpressionUUID->"c618080e-fa94-4281-8f88-\
0e041346631b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"1"},
      {"1"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527924047*^9},ExpressionUUID->"aebacbf4-ec82-4702-9f4d-\
719ca97fd346"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"0.9075894758920598`", "\[VeryThinSpace]", "-", 
        RowBox[{"0.4198587182017019`", " ", "\[ImaginaryI]"}]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527926931*^9},ExpressionUUID->"8dc2a47c-2303-470c-be7f-\
50c8d5d7e620"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.27419726296028235`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.12684601840249954`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735279310513`*^9},ExpressionUUID->"2c57f6d1-7889-4457-83d6-\
023e75fd9435"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.9075894758920598`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.4198587182017019`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373527934626*^9},ExpressionUUID->"f09be9ff-adaf-4a52-babe-\
30e6f16c7b5b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"?", "MultiQProj"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.614508455427945*^9, 3.614508484337957*^9}, {
  3.6145085334985332`*^9, 3.614508534183443*^9}, {3.6145086375110197`*^9, 
  3.614508677007021*^9}},ExpressionUUID->"a58f653f-a47c-430f-b37d-\
c44523d54f0b"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"MultiQProj[{a1,a2,..,an},{b1,b2,...,bn}]\\n\\n\\t  \
ai={0,1,2,3} and bi={0,1} builds the following multi-qubit projector \\n\\n \
operator: \\n\\n    ai correspond to: (0) no measurement,(1)X, (2)Y and (3)Z.\
\\n\\n    bi (0,1) correspond to the measured values in the same order. \
\\n\\n The length of both lists should be the same. The values b \\n\\n for \
the unmeasured qubits are not relevant.\\n\\n Examples:\\n\\n \
A={1,3,2};B={0,0,1};resP=MultiQProj[A,B]\[IndentingNewLine]\\n resP==AF[ \
PX[0]\[CircleTimes] \\!\\(\\*SubscriptBox[\\(\[ScriptCapitalP]\\), \
\\(0\\)]\\) \[CircleTimes] PY[1]]\\n\\n another \
case:\\nA={1,0,2,3};B={0,0,1,1};resP=MultiQProj[A,B]; same as\
\[IndentingNewLine]resP==AF[ PX[0]\[CircleTimes] \[DoubleStruckCapitalI] \
\[CircleTimes] PY[1] \[CircleTimes] \
\\!\\(\\*SubscriptBox[\\(\[ScriptCapitalP]\\), \\(1\\)]\\)]\\n\\n where qubit \
2 is not measured.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"MultiQProj", "[", 
                    RowBox[{
                    RowBox[{"Private`aa_", "?", "ListQ"}], ",", 
                    RowBox[{"Private`bb_", "?", "ListQ"}]}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "}"}], ",", 
                    RowBox[{
                    RowBox[{"Private`la", "=", 
                    RowBox[{"Length", "[", "Private`bb", "]"}]}], ";", 
                    RowBox[{"Private`cc", ":=", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"Private`aa", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}], "/.", "\[VeryThinSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"0", "\[Rule]", 
                    RowBox[{"s", "[", "0", "]"}]}], ",", 
                    RowBox[{"1", "\[Rule]", 
                    RowBox[{"PX", "[", 
                    
                    RowBox[{"Private`bb", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}], "]"}]}], ",", 
                    RowBox[{"2", "\[Rule]", 
                    RowBox[{"PY", "[", 
                    
                    RowBox[{"Private`bb", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}], "]"}]}], ",", 
                    RowBox[{"3", "\[Rule]", 
                    RowBox[{"Private`PJ", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{"Private`bb", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}], "}"}]}], "]"}]}]}], "}"}]}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`i", ",", "1", ",", "Private`la"}], 
                    "}"}]}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"Private`resul", "[", "1", "]"}], ":=", 
                    
                    RowBox[{"Private`cc", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{
                    RowBox[{"Private`resul", "[", "Private`j_", "]"}], ":=", 
                    RowBox[{"AF", "[", 
                    RowBox[{
                    RowBox[{"Private`resul", "[", 
                    RowBox[{"Private`j", "-", "1"}], "]"}], "\[CircleTimes]", 
                    
                    RowBox[{"Private`cc", "\[LeftDoubleBracket]", "Private`j",
                     "\[RightDoubleBracket]"}]}], "]"}]}], ";", 
                    RowBox[{"Private`resul", "[", "Private`la", "]"}]}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`MultiQProj\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"MultiQProj[{a1,a2,..,an},{b1,b2,...,bn}]\\n\\n\\t  \
ai={0,1,2,3} and bi={0,1} builds the following multi-qubit projector \\n\\n \
operator: \\n\\n    ai correspond to: (0) no measurement,(1)X, (2)Y and (3)Z.\
\\n\\n    bi (0,1) correspond to the measured values in the same order. \
\\n\\n The length of both lists should be the same. The values b \\n\\n for \
the unmeasured qubits are not relevant.\\n\\n Examples:\\n\\n \
A={1,3,2};B={0,0,1};resP=MultiQProj[A,B]\[IndentingNewLine]\\n resP==AF[ \
PX[0]\[CircleTimes] \\!\\(\\*SubscriptBox[\\(\[ScriptCapitalP]\\), \
\\(0\\)]\\) \[CircleTimes] PY[1]]\\n\\n another \
case:\\nA={1,0,2,3};B={0,0,1,1};resP=MultiQProj[A,B]; same as\
\[IndentingNewLine]resP==AF[ PX[0]\[CircleTimes] \[DoubleStruckCapitalI] \
\[CircleTimes] PY[1] \[CircleTimes] \
\\!\\(\\*SubscriptBox[\\(\[ScriptCapitalP]\\), \\(1\\)]\\)]\\n\\n where qubit \
2 is not measured.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "MultiQProj[{a1,a2,..,an},{b1,b2,...,bn}]\n\n\t  ai={0,1,2,3} and \
bi={0,1} builds the following multi-qubit projector \n\n operator: \n\n    ai \
correspond to: (0) no measurement,(1)X, (2)Y and (3)Z.\n\n    bi (0,1) \
correspond to the measured values in the same order. \n\n The length of both \
lists should be the same. The values b \n\n for the unmeasured qubits are not \
relevant.\n\n Examples:\n\n A={1,3,2};B={0,0,1};resP=MultiQProj[A,B]\
\[IndentingNewLine]\n resP==AF[ PX[0]\[CircleTimes] \!\(\*SubscriptBox[\(\
\[ScriptCapitalP]\), \(0\)]\) \[CircleTimes] PY[1]]\n\n another case:\n\
A={1,0,2,3};B={0,0,1,1};resP=MultiQProj[A,B]; same \
as\[IndentingNewLine]resP==AF[ PX[0]\[CircleTimes] \[DoubleStruckCapitalI] \
\[CircleTimes] PY[1] \[CircleTimes] \!\(\*SubscriptBox[\(\[ScriptCapitalP]\), \
\(1\)]\)]\n\n where qubit 2 is not measured.", "Documentation" -> None, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`MultiQProj, {QDENSITY`Qdensity`MultiQProj[
          PatternTest[
           Pattern[Private`aa, 
            Blank[]], ListQ], 
          PatternTest[
           Pattern[Private`bb, 
            Blank[]], ListQ]] :> 
        Module[{}, Private`la = Length[Private`bb]; Private`cc := Table[
             ReplaceAll[
              Part[Private`aa, Private`i], {
              0 -> QDENSITY`Qdensity`s[0], 1 -> QDENSITY`Qdensity`PX[
                 Part[Private`bb, Private`i]], 2 -> QDENSITY`Qdensity`PY[
                 Part[Private`bb, Private`i]], 3 -> Private`PJ[1, {
                  Part[Private`bb, Private`i]}]}], {
             Private`i, 1, Private`la}]; 
          Private`resul[1] := Part[Private`cc, 1]; Private`resul[
             Pattern[Private`j, 
              Blank[]]] := QDENSITY`Qdensity`AF[
             CircleTimes[
              Private`resul[Private`j - 1], 
              Part[Private`cc, Private`j]]]; Private`resul[Private`la]]}], 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`MultiQProj"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735280154667`*^9},ExpressionUUID->"649542a3-b276-477e-9e6b-\
fed7074c86e6"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"{", 
    RowBox[{"3", ",", "0", ",", "1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"resP", "=", 
  RowBox[{
   RowBox[{"MultiQProj", "[", 
    RowBox[{"A", ",", "B"}], "]"}], "==", " ", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", " ", 
    "\[DoubleStruckCapitalI]", " ", "\[CircleTimes]", " ", 
    RowBox[{"PX", "[", "1", "]"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.8570349133813477`*^9, 3.857034932677085*^9}, 
   3.857035042863675*^9, {3.8593734071434517`*^9, 
   3.859373407144696*^9}},ExpressionUUID->"66bbb2d4-3b23-43f0-8d7d-\
861eda7355e6"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528029307*^9},ExpressionUUID->"f2c8dc39-c0b5-403a-9f02-\
2a4880f147ae"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "2", ",", "3"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1", ",", "1"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"resP", "=", 
  RowBox[{
   RowBox[{"MultiQProj", "[", 
    RowBox[{"A", ",", "B"}], "]"}], "==", 
   RowBox[{
    RowBox[{"PX", "[", "  ", "0", "]"}], "\[CircleTimes]", " ", 
    "\[DoubleStruckCapitalI]", " ", "\[CircleTimes]", " ", 
    RowBox[{"PY", "[", "  ", "1", "]"}], "\[CircleTimes]", " ", 
    SubscriptBox["\[ScriptCapitalP]", 
     "1"]}]}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.614508695355081*^9, 3.6145087264591637`*^9}, {
   3.614508756879928*^9, 3.614508782909286*^9}, {3.614508843860021*^9, 
   3.614508890342486*^9}, {3.614508988775113*^9, 3.6145090018922586`*^9}, {
   3.6145092738476067`*^9, 3.614509278313364*^9}, {3.614509309531726*^9, 
   3.614509310565604*^9}, {3.61450935294333*^9, 3.6145093533482103`*^9}, {
   3.6145093879178057`*^9, 3.614509400032482*^9}, {3.614509487229842*^9, 
   3.614509488239806*^9}, {3.614509525937937*^9, 3.614509538425111*^9}, {
   3.61450957584088*^9, 3.6145095821505537`*^9}, {3.8570656432000093`*^9, 
   3.857065660009223*^9}, {3.857066341916336*^9, 3.857066412109079*^9}, 
   3.85706717547106*^9, {3.857067366854941*^9, 3.857067440790723*^9}, {
   3.857067527768914*^9, 3.8570676606094646`*^9}, {3.857068873106016*^9, 
   3.857068967438676*^9}, {3.8593734071460876`*^9, 
   3.859373407148573*^9}},ExpressionUUID->"795a5e21-ef77-4092-a901-\
4c442a25f7ea"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937352804783*^9},ExpressionUUID->"68f80940-9599-4ae6-a28c-aa6e6d39f387"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"{", 
    RowBox[{"3", ",", "0", ",", "2"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"resP", "=", 
  RowBox[{
   RowBox[{"MultiQProj", "[", 
    RowBox[{"A", ",", "B"}], "]"}], "==", " ", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "0"], " ", "\[CircleTimes]", "  ", 
    "\[DoubleStruckCapitalI]", "\[CircleTimes]", " ", 
    RowBox[{"PY", "[", "1", "]"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.614508695355081*^9, 3.6145087264591637`*^9}, {
   3.614508756879928*^9, 3.614508782909286*^9}, {3.614508843860021*^9, 
   3.614508890342486*^9}, {3.614508988775113*^9, 3.6145090018922586`*^9}, {
   3.6145092738476067`*^9, 3.614509278313364*^9}, {3.614509309531726*^9, 
   3.614509310565604*^9}, {3.61450935294333*^9, 3.6145093533482103`*^9}, {
   3.6145093879178057`*^9, 3.614509400032482*^9}, {3.614509487229842*^9, 
   3.614509488239806*^9}, {3.614509525937937*^9, 3.614509538425111*^9}, {
   3.61450957584088*^9, 3.6145095821505537`*^9}, {3.8570656432000093`*^9, 
   3.857065660009223*^9}, {3.857066341916336*^9, 3.857066412109079*^9}, 
   3.85706717547106*^9, {3.857067712370483*^9, 3.857067796453095*^9}, {
   3.857069227588758*^9, 3.8570692972145863`*^9}, {3.8593734071500196`*^9, 
   3.859373407151167*^9}},ExpressionUUID->"f3cad44e-85f5-4a74-8265-\
937685320839"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528056272*^9},ExpressionUUID->"de12d1bb-9861-4316-a3bc-\
f1d417fd3575"],

Cell[BoxData[{
 RowBox[{"Clear", "[", "AF", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AF", "[", "st_", "]"}], ":=", 
  RowBox[{"ArrayFlatten", "[", "st", "]"}]}]}], "Input",
 CellChangeTimes->{{3.857033987434656*^9, 
  3.857034011363002*^9}},ExpressionUUID->"15f31189-483f-4b95-836c-\
488ebf1e4bbd"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"{", 
    RowBox[{"3", ",", "0", ",", "2"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"resP", "=", 
  RowBox[{"MultiQProj", "[", 
   RowBox[{"A", ",", "B"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"%", "==", 
  RowBox[{"KroneckerProduct", "[", " ", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "0"], ",", " ", 
    "\[DoubleStruckCapitalI]", " ", ",", " ", 
    RowBox[{"PY", "[", "0", "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.614508695355081*^9, 3.6145087264591637`*^9}, {
  3.614508756879928*^9, 3.614508782909286*^9}, {3.614508843860021*^9, 
  3.614508890342486*^9}, {3.614508988775113*^9, 3.6145090018922586`*^9}, {
  3.6145092738476067`*^9, 3.614509278313364*^9}, {3.614509309531726*^9, 
  3.614509310565604*^9}, {3.61450935294333*^9, 3.6145093533482103`*^9}, {
  3.6145093879178057`*^9, 3.614509400032482*^9}, {3.614509487229842*^9, 
  3.614509488239806*^9}, {3.614509525937937*^9, 3.614509538425111*^9}, {
  3.614509585604697*^9, 3.6145095906663933`*^9}, {3.6145097369116297`*^9, 
  3.614509737608274*^9}, {3.857033826939576*^9, 3.857033878015242*^9}, {
  3.8570339234435987`*^9, 3.857033981799382*^9}, {3.857067819538783*^9, 
  3.8570678504991198`*^9}},ExpressionUUID->"41381973-0725-4a45-9683-\
651883125342"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", "2"]}], "0", "0", "0", "0", "0", "0"},
     {
      FractionBox["\[ImaginaryI]", "2"], 
      FractionBox["1", "2"], "0", "0", "0", "0", "0", "0"},
     {"0", "0", 
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", "2"]}], "0", "0", "0", "0"},
     {"0", "0", 
      FractionBox["\[ImaginaryI]", "2"], 
      FractionBox["1", "2"], "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528087199*^9},ExpressionUUID->"848d5edc-f40d-44b4-8487-\
b009e3879fca"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528091682*^9},ExpressionUUID->"d1d1613d-2230-479b-99bd-\
c7e7a828c989"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", "3", ",", "2"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"resP", "=", 
  RowBox[{"MultiQProj", "[", 
   RowBox[{"A", ",", "B"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"PX", "[", "0", "]"}], " ", "\[CircleTimes]", " ", 
    SubscriptBox["\[ScriptCapitalP]", "0"], "  ", "\[CircleTimes]", " ", 
    RowBox[{"PY", "[", "1", "]"}]}], "==", "%"}]}]}], "Input",
 CellChangeTimes->{{3.614508695355081*^9, 3.6145087264591637`*^9}, {
  3.614508756879928*^9, 3.614508782909286*^9}, {3.614508843860021*^9, 
  3.614508890342486*^9}, {3.614508988775113*^9, 3.6145090018922586`*^9}, {
  3.6145092738476067`*^9, 3.614509278313364*^9}, {3.614509309531726*^9, 
  3.614509310565604*^9}, {3.61450935294333*^9, 3.6145093533482103`*^9}, {
  3.6145093879178057`*^9, 3.614509400032482*^9}, {3.614509487229842*^9, 
  3.614509488239806*^9}, {3.614509525937937*^9, 3.614509538425111*^9}, {
  3.614509585604697*^9, 3.6145097311287518`*^9}, {3.8570684799470377`*^9, 
  3.857068519079172*^9}, {3.857069348609371*^9, 3.857069358246613*^9}, {
  3.8593734071550093`*^9, 
  3.8593734071563387`*^9}},ExpressionUUID->"999dc95a-6eae-43c6-9bc3-\
bc98308547da"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "4"], 
      FractionBox["\[ImaginaryI]", "4"], "0", "0", 
      FractionBox["1", "4"], 
      FractionBox["\[ImaginaryI]", "4"], "0", "0"},
     {
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", "4"]}], 
      FractionBox["1", "4"], "0", "0", 
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", "4"]}], 
      FractionBox["1", "4"], "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {
      FractionBox["1", "4"], 
      FractionBox["\[ImaginaryI]", "4"], "0", "0", 
      FractionBox["1", "4"], 
      FractionBox["\[ImaginaryI]", "4"], "0", "0"},
     {
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", "4"]}], 
      FractionBox["1", "4"], "0", "0", 
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", "4"]}], 
      FractionBox["1", "4"], "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528109683*^9},ExpressionUUID->"3473e944-769d-4f18-bd38-\
7798a78af41b"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528114662*^9},ExpressionUUID->"0c7c59dd-7f4d-4027-996f-\
3f770e0a0ebc"],

Cell["\[AliasDelimiter]c@\[AliasDelimiter]", "SmallText",
 CellChangeTimes->{{3.857069611671496*^9, 
  3.857069643719933*^9}},ExpressionUUID->"cf3362eb-cfe1-462b-a728-\
640e07bc894b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "CircleTimes"}]], "Input",
 CellChangeTimes->{{3.857069729727796*^9, 
  3.857069734182322*^9}},ExpressionUUID->"8d52a9bb-f0ee-46f1-b465-\
001a68673a44"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"]], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"]]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               ButtonData->"paclet:ref/CircleTimes",
               ButtonNote->"paclet:ref/CircleTimes"],
              "\"paclet:ref/CircleTimes\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\" \[CircleTimes] \\n\\n used as A \[CircleTimes] B \
which is set as Kronecker product of A and B .\\nNo Array Flatten  AF is \
needed .  Use parenthesis to set priority .\\n\\n \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Assignment\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"OwnValues\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "OwnValues", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{"CircleTimes", "=", "KroneckerProduct"}]}, {" "}},
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Documentation\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Documentation\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Documentation", "Tooltip"]& ], 
                    TemplateBox[{
                    TemplateBox[{
                    "\"Local \[RightGuillemet]\"", "paclet:ref/CircleTimes", 
                    "paclet:ref/CircleTimes", "Link", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"], "\"  \"", 
                    StyleBox[
                    "\"|\"", "InformationRowLabel", StripOnInput -> False], 
                    "\"  \"", 
                    TemplateBox[{"\"Web \[RightGuillemet]\"", {
                    URL[
                    "http://reference.wolfram.com/language/ref/CircleTimes.\
html"], None}, "http://reference.wolfram.com/language/ref/CircleTimes.html", 
                    "Hyperlink", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"]},
                    "RowDefault"]},
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Attributes\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Attributes\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Attributes", "Tooltip"]& ], 
                    RowBox[{"{", "Listable", "}"}]},
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"System`CircleTimes\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"],
                 ImageSizeCache->{13., {4., 9.}}], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"],
                 ImageSizeCache->{13., {4., 9.}}]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               ButtonData->"paclet:ref/CircleTimes",
               ButtonNote->"paclet:ref/CircleTimes"],
              "\"paclet:ref/CircleTimes\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\" \[CircleTimes] \\n\\n used as A \[CircleTimes] B \
which is set as Kronecker product of A and B .\\nNo Array Flatten  AF is \
needed .  Use parenthesis to set priority .\\n\\n \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     " \[CircleTimes] \n\n used as A \[CircleTimes] B which is set as \
Kronecker product of A and B .\nNo Array Flatten  AF is needed .  Use \
parenthesis to set priority .\n\n ", 
     "Documentation" -> <|
      "Local" -> "paclet:ref/CircleTimes", "Web" -> 
       "http://reference.wolfram.com/language/ref/CircleTimes.html"|>, 
     "OwnValues" -> 
     Information`InformationValueForm[
      OwnValues, CircleTimes, {CircleTimes -> KroneckerProduct}], "UpValues" -> 
     None, "DownValues" -> None, "SubValues" -> None, "DefaultValues" -> None,
      "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {Listable}, "FullName" -> "System`CircleTimes"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735281888733`*^9},ExpressionUUID->"3e7b02cf-02f3-42d6-a61a-\
303ea2a01c84"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "2", ",", "3"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1", ",", "1"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resP", "=", 
   RowBox[{"MultiQProj", "[", 
    RowBox[{"A", ",", "B"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"resP", "==", 
  RowBox[{"AF", "[", " ", 
   RowBox[{
    RowBox[{"PX", "[", "0", "]"}], " ", "\[CircleTimes]", " ", 
    "\[DoubleStruckCapitalI]", "  ", "\[CircleTimes]", " ", 
    RowBox[{"PY", "[", "1", "]"}], "  ", "\[CircleTimes]", " ", 
    SubscriptBox["\[ScriptCapitalP]", "1"]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.614508695355081*^9, 3.6145087264591637`*^9}, {
  3.614508756879928*^9, 3.614508782909286*^9}, {3.614508843860021*^9, 
  3.614508890342486*^9}, {3.614508988775113*^9, 3.6145090018922586`*^9}, {
  3.6145092738476067`*^9, 3.614509278313364*^9}, {3.614509309531726*^9, 
  3.614509310565604*^9}, {3.61450935294333*^9, 3.6145093533482103`*^9}, {
  3.6145093879178057`*^9, 3.614509400032482*^9}, {3.614509487229842*^9, 
  3.614509488239806*^9}, {3.614509525937937*^9, 3.614509538425111*^9}, {
  3.614509585604697*^9, 3.6145097311287518`*^9}, {3.614509771682529*^9, 
  3.614509857291686*^9}, {3.614509928704132*^9, 3.614509943856105*^9}, {
  3.857068519082005*^9, 3.857068519084919*^9}, {3.8570693688595*^9, 
  3.85706937589047*^9}, {3.859373407197159*^9, 
  3.859373407199852*^9}},ExpressionUUID->"4f36cce1-905b-4502-b49c-\
c7e3d389853a"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528215219*^9},ExpressionUUID->"2426c026-57a5-41e4-a519-\
f58ea87ff72d"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "MultiProjCBasis"}]], "Input",ExpressionUUID->"6db14d3f-dec4-46a5-bd10-dbc92cdbf866"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"MultiProjCbasis[{a1,a2,..,an}]\\n\\n\\t ai={0,1} \
builds the multi-qubit projector operator \\nin the computational basis: \
\[ScriptCapitalP]a1 \[CircleTimes] \[ScriptCapitalP]an \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"MultiProjCBasis", "[", 
                    RowBox[{"Private`a_", "?", "ListQ"}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "Private`\[CapitalOmega]", "}"}], ",", 
                    RowBox[{
                    RowBox[{"Private`L", "=", 
                    RowBox[{"Length", "[", "Private`a", "]"}]}], ";", 
                    RowBox[{"Private`\[CapitalOmega]", "=", 
                    RowBox[{"Private`PJ", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{"Private`a", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "}"}]}], "]"}]}], ";", 
                    RowBox[{"Do", "[", 
                    RowBox[{
                    RowBox[{"Private`\[CapitalOmega]", "=", 
                    RowBox[{"Private`\[CapitalOmega]", "\[CircleTimes]", 
                    RowBox[{"Private`PJ", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{"Private`a", "\[LeftDoubleBracket]", "Private`i", 
                    "\[RightDoubleBracket]"}], "}"}]}], "]"}]}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`i", ",", "2", ",", "Private`L"}], 
                    "}"}]}], "]"}], ";", "Private`\[CapitalOmega]"}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`MultiProjCBasis\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"MultiProjCbasis[{a1,a2,..,an}]\\n\\n\\t ai={0,1} \
builds the multi-qubit projector operator \\nin the computational basis: \
\[ScriptCapitalP]a1 \[CircleTimes] \[ScriptCapitalP]an \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "MultiProjCbasis[{a1,a2,..,an}]\n\n\t ai={0,1} builds the multi-qubit \
projector operator \nin the computational basis: \[ScriptCapitalP]a1 \
\[CircleTimes] \[ScriptCapitalP]an ", "Documentation" -> None, "OwnValues" -> 
     None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`MultiProjCBasis, {
       QDENSITY`Qdensity`MultiProjCBasis[
          PatternTest[
           Pattern[Private`a, 
            Blank[]], ListQ]] :> 
        Module[{Private`\[CapitalOmega]}, Private`L = Length[Private`a]; 
          Private`\[CapitalOmega] = Private`PJ[1, {
              Part[Private`a, 1]}]; 
          Do[Private`\[CapitalOmega] = CircleTimes[Private`\[CapitalOmega], 
              Private`PJ[1, {
                Part[Private`a, Private`i]}]], {Private`i, 2, Private`L}]; 
          Private`\[CapitalOmega]]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`MultiProjCBasis"|>, 
    False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528307913*^9},ExpressionUUID->"92bd29f9-2b98-46ea-959e-\
badabc6b2ebf"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"MultiProjCBasis", "[", 
   RowBox[{"{", "0", "}"}], "]"}], "==", 
  SubscriptBox["\[ScriptCapitalP]", "0"]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MultiProjCBasis", "[", 
   RowBox[{"{", "1", "}"}], "]"}], "==", 
  SubscriptBox["\[ScriptCapitalP]", "1"]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MultiProjCBasis", "[", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0"}], "}"}], "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "1"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "0"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MultiProjCBasis", "[", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "1", ",", "1"}], "}"}], "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "1"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "1"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "1"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MultiProjCBasis", "[", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1"}],
     "}"}], "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "1"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "1"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "1"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "1"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "1"]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.614510252399572*^9, 3.614510261094627*^9}, {
  3.614510301436459*^9, 3.614510441019246*^9}, {3.857068519087824*^9, 
  3.857068519099197*^9}, {3.859373407216344*^9, 
  3.85937340722746*^9}},ExpressionUUID->"f4a2b230-cadb-4728-9f98-\
442a01b3bc1f"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528321944*^9},ExpressionUUID->"7ac9691b-a05f-4286-b11c-\
9632193a4843"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528326561*^9},ExpressionUUID->"50b0093d-9772-4507-87ca-\
963f2a8a2c4d"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528329376*^9},ExpressionUUID->"b3875892-69b3-4ef2-a04d-\
f1fd84782b33"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528332699*^9},ExpressionUUID->"6441888d-8267-4a37-8f54-\
694f9ee34b9d"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735283373747`*^9},ExpressionUUID->"717bcef7-be68-4491-a6bb-\
08fdb04a7767"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "nb"}], "\[IndentingNewLine]", "nb", "\[IndentingNewLine]", 
 RowBox[{"?", 
  "nq"}], "\[IndentingNewLine]", "nq", "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.614510624400877*^9, 3.614510645073004*^9}, {
   3.614510677787549*^9, 3.614510679035461*^9}, {3.614510726936481*^9, 
   3.614510728229434*^9}, 
   3.614510786695373*^9},ExpressionUUID->"088a1024-60b6-41ca-9f0b-\
e0bfaf966571"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Sets the basis  Preset to 2, i.e 0 and 1.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Assignment\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"OwnValues\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "OwnValues", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{"nb", "=", "2"}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`nb\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Sets the basis  Preset to 2, i.e 0 and 1.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Sets the basis  Preset to 2, i.e 0 and 1.", "Documentation" -> None, 
     "OwnValues" -> 
     Information`InformationValueForm[
      OwnValues, QDENSITY`Qdensity`nb, {QDENSITY`Qdensity`nb -> 2}], 
     "UpValues" -> None, "DownValues" -> None, "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`nb"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735284359283`*^9},ExpressionUUID->"9e0cd330-afad-44ae-a91a-\
ea4fb9339483"],

Cell[BoxData[
 TagBox["2",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528445863*^9},ExpressionUUID->"d5b1ae22-83e5-4c96-b7e2-\
b56b49af9753"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Returns the total number of qubits. Preset to \
6\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Assignment\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"OwnValues\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "OwnValues", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{"nq", ":=", "6"}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`nq\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Returns the total number of qubits. Preset to \
6\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Returns the total number of qubits. Preset to 6", "Documentation" -> 
     None, "OwnValues" -> 
     Information`InformationValueForm[
      OwnValues, QDENSITY`Qdensity`nq, {QDENSITY`Qdensity`nq :> 6}], 
     "UpValues" -> None, "DownValues" -> None, "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`nq"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528526906*^9},ExpressionUUID->"60818596-6687-47bf-857d-\
b7ae5a3786a5"],

Cell[BoxData[
 TagBox["6",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528535181*^9},ExpressionUUID->"14d02eb8-70bd-43a1-91b9-\
5018b5994a92"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "OneOp"}], "\[IndentingNewLine]", 
 RowBox[{"s", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OneOp", "[", 
   RowBox[{"1", ",", "1", ",", "1"}], "]"}], "\[Equal]", 
  RowBox[{"s", "[", "1", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"s", "[", "2", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OneOp", "[", 
   RowBox[{"1", ",", "1", ",", "2"}], "]"}], "\[Equal]", 
  RowBox[{"s", "[", "2", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OneOp", "[", 
   RowBox[{"2", ",", "1", ",", "2"}], "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"s", "[", "2", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OneOp", "[", 
   RowBox[{"4", ",", "3", ",", "1"}], "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "1", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}]}], "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6145108271720047`*^9, 3.61451091975165*^9}, 
   3.614510993798172*^9, {3.6145159079944468`*^9, 3.614515980618222*^9}, {
   3.61451601720253*^9, 3.614516149867836*^9}, {3.857068519102374*^9, 
   3.857068519105979*^9}, {3.8593734072386713`*^9, 
   3.859373407242833*^9}},ExpressionUUID->"374cb11c-588d-464e-9ae9-\
a83c1f8a8d88"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"OneOp[nqv_,q_,op_]\\n\\n\\t is the main ingredient \
used to \\nbuild one body operators from the Pauli matrices in a multiqubit \
system. It builds \\noperation Pauli operator op on q. For example, we have \
the equivalence for s[1] acting on qubit\\n3 in a 4 qubit \
system:\\nOneOp[4,3,1]\[Equal]AF[s[0]\[CircleTimes] s[0]\[CircleTimes] s[1]\
\[CircleTimes] s[0]] .\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"OneOp", "[", 
                    
                    RowBox[{
                    "Private`nqv_", ",", "Private`q1_", ",", "Private`op1_"}],
                     "]"}], ":=", 
                    RowBox[{"SP", "[", 
                    RowBox[{"Private`nqv", ",", 
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{
                    RowBox[{"ZeroT", "[", "Private`nqv", "]"}], ",", 
                    "Private`op1", ",", "Private`q1"}], "]"}]}], "]"}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`OneOp\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"OneOp[nqv_,q_,op_]\\n\\n\\t is the main ingredient \
used to \\nbuild one body operators from the Pauli matrices in a multiqubit \
system. It builds \\noperation Pauli operator op on q. For example, we have \
the equivalence for s[1] acting on qubit\\n3 in a 4 qubit \
system:\\nOneOp[4,3,1]\[Equal]AF[s[0]\[CircleTimes] s[0]\[CircleTimes] s[1]\
\[CircleTimes] s[0]] .\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "OneOp[nqv_,q_,op_]\n\n\t is the main ingredient used to \nbuild one \
body operators from the Pauli matrices in a multiqubit system. It builds \n\
operation Pauli operator op on q. For example, we have the equivalence for \
s[1] acting on qubit\n3 in a 4 qubit system:\nOneOp[4,3,1]\[Equal]AF[s[0]\
\[CircleTimes] s[0]\[CircleTimes] s[1]\[CircleTimes] s[0]] .", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`OneOp, {QDENSITY`Qdensity`OneOp[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q1, 
           Blank[]], 
          Pattern[Private`op1, 
           Blank[]]] :> QDENSITY`Qdensity`SP[Private`nqv, 
          ReplacePart[
           QDENSITY`Qdensity`ZeroT[Private`nqv], Private`op1, Private`q1]]}], 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`OneOp"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937352866267*^9},ExpressionUUID->"e0390539-2211-4014-bd8d-f24bc8a10033"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "1"},
     {"1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528671955*^9},ExpressionUUID->"f186e445-9b46-46cb-a2a3-\
665018afaf9a"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735286750383`*^9},ExpressionUUID->"c8027a2f-eed9-42e1-bb33-\
24a3f2e718c5"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{"-", "\[ImaginaryI]"}]},
     {"\[ImaginaryI]", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528678738*^9},ExpressionUUID->"2d700df5-a550-43cb-bc15-\
026184a7d3cf"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528682341*^9},ExpressionUUID->"628c22eb-28d6-4b29-a517-\
59e3432fa7da"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528685804*^9},ExpressionUUID->"5104a2dc-14b3-4d82-acd2-\
e587b8b839ba"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528689128*^9},ExpressionUUID->"c1e9e1a5-8798-492e-a020-\
7a7b1b09664c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "TwoOp"}]], "Input",
 CellChangeTimes->{{3.6145108271720047`*^9, 3.61451091975165*^9}, 
   3.614510993798172*^9, {3.6145159079944468`*^9, 3.614515980618222*^9}, {
   3.61451601720253*^9, 3.614516149867836*^9}, {3.6148562469383583`*^9, 
   3.614856371256057*^9}, {3.614892588880438*^9, 
   3.614892603819571*^9}},ExpressionUUID->"6a117c43-5955-4744-8244-\
3d4a476daa47"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"TwoOp[nqv_,q1_,q2_,op1_,op2_]\\n\\n\\t is the main \
ingredient used to \\nbuild two body operators from the Pauli matrices in a \
multiqubit system. It builds \\noperation op1 on q1 and op2 on q2.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{
                    "Private`nqv_", ",", "Private`q1_", ",", "Private`q2_", 
                    ",", "Private`op1_", ",", "Private`op2_"}], "]"}], ":=", 
                    RowBox[{"SP", "[", 
                    RowBox[{"Private`nqv", ",", 
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{
                    RowBox[{"ZeroT", "[", "Private`nqv", "]"}], ",", 
                    "Private`op1", ",", "Private`q1"}], "]"}], ",", 
                    "Private`op2", ",", "Private`q2"}], "]"}]}], "]"}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`TwoOp\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"TwoOp[nqv_,q1_,q2_,op1_,op2_]\\n\\n\\t is the main \
ingredient used to \\nbuild two body operators from the Pauli matrices in a \
multiqubit system. It builds \\noperation op1 on q1 and op2 on q2.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "TwoOp[nqv_,q1_,q2_,op1_,op2_]\n\n\t is the main ingredient used to \n\
build two body operators from the Pauli matrices in a multiqubit system. It \
builds \noperation op1 on q1 and op2 on q2.", "Documentation" -> None, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`TwoOp, {QDENSITY`Qdensity`TwoOp[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q1, 
           Blank[]], 
          Pattern[Private`q2, 
           Blank[]], 
          Pattern[Private`op1, 
           Blank[]], 
          Pattern[Private`op2, 
           Blank[]]] :> QDENSITY`Qdensity`SP[Private`nqv, 
          ReplacePart[
           ReplacePart[
            QDENSITY`Qdensity`ZeroT[Private`nqv], Private`op1, Private`q1], 
           Private`op2, Private`q2]]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`TwoOp"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528772928*^9},ExpressionUUID->"be260dbf-8a2d-4fc0-9b6e-\
e367bf8e7b55"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"TwoOp", "[", 
  RowBox[{"2", ",", "1", ",", "2", ",", "1", ",", "3"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"AF", "[", 
  RowBox[{
   RowBox[{"s", "[", "1", "]"}], "\[CircleTimes]", " ", 
   RowBox[{"s", "[", "3", "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.614892814320258*^9, 3.61489281452115*^9}, {
   3.857033498537055*^9, 3.857033499124196*^9}, 3.8570685191085052`*^9, 
   3.859373407279121*^9},ExpressionUUID->"35b1fb74-1eec-4c7b-990c-\
cead0268870a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "1", "0"},
     {"0", "0", "0", 
      RowBox[{"-", "1"}]},
     {"1", "0", "0", "0"},
     {"0", 
      RowBox[{"-", "1"}], "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937352878636*^9},ExpressionUUID->"624efb5e-db1c-4289-bc51-9c82bc057a28"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "1", "0"},
     {"0", "0", "0", 
      RowBox[{"-", "1"}]},
     {"1", "0", "0", "0"},
     {"0", 
      RowBox[{"-", "1"}], "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528790984*^9},ExpressionUUID->"7412091c-a3fc-4e5d-8285-\
4f06fdf9bbb0"]
}, Open  ]]
}, Open  ]],

Cell[RawData["Cell[BoxData[\"\\[CircleTimes]\"], \"Input\"]"], "Input"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"TwoOp", "[", 
   RowBox[{"2", ",", "1", ",", "2", ",", "1", ",", "3"}], "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"s", "[", "1", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "3", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TwoOp", "[", 
   RowBox[{"3", ",", "1", ",", "2", ",", "2", ",", "1"}], "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"s", "[", "2", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "1", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TwoOp", "[", 
   RowBox[{"4", ",", "1", ",", "3", ",", "2", ",", "1"}], "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"s", "[", "2", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "1", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6145108271720047`*^9, 3.61451091975165*^9}, 
   3.614510993798172*^9, {3.6145159079944468`*^9, 3.614515980618222*^9}, {
   3.61451601720253*^9, 3.614516149867836*^9}, {3.6148562469383583`*^9, 
   3.614856371256057*^9}, {3.614892588880438*^9, 3.614892718373517*^9}, {
   3.6148927492540083`*^9, 3.61489276559754*^9}, {3.614892805894182*^9, 
   3.6148928253110447`*^9}, {3.857068519110865*^9, 3.857068519116892*^9}, {
   3.85937340728347*^9, 
   3.8593734072894506`*^9}},ExpressionUUID->"8b7e5690-2737-4080-9540-\
0d22333d3e2b"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735288087378`*^9},ExpressionUUID->"7c49e62d-4ad4-4515-ae0c-\
81e0307e0ed3"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528813089*^9},ExpressionUUID->"340dc1cd-8cb3-402e-8e57-\
29a015724e8c"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528816121*^9},ExpressionUUID->"071bd2eb-29ee-49b4-abc0-\
44b7cb1f1544"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "ThreeOp"}]], "Input",
 CellChangeTimes->{{3.6145108271720047`*^9, 3.61451091975165*^9}, 
   3.614510993798172*^9, {3.6145159079944468`*^9, 3.614515980618222*^9}, {
   3.61451601720253*^9, 3.614516149867836*^9}, {3.6148562469383583`*^9, 
   3.614856371256057*^9}, {3.614892588880438*^9, 3.614892603819571*^9}, {
   3.614892960248869*^9, 
   3.614892968741435*^9}},ExpressionUUID->"2bda6964-1fcc-49d4-b9bc-\
ed5be6bb91d4"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ThreeOp[nqv_,q1_,q2_,q3_,op1_,op2_,op3_]\\n\\n\\t \
used to \\nbuild three body operators from the Pauli matrices in a multiqubit \
system. It builds \\noperation \[Sigma]op1 on q1, \[Sigma]op2 on q2 and \
\[Sigma]op3 on q3.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"ThreeOp", "[", 
                    
                    RowBox[{
                    "Private`nqv_", ",", "Private`q1_", ",", "Private`q2_", 
                    ",", "Private`q3_", ",", "Private`op1_", ",", 
                    "Private`op2_", ",", "Private`op3_"}], "]"}], ":=", 
                    RowBox[{"SP", "[", 
                    RowBox[{"Private`nqv", ",", 
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{
                    RowBox[{"ZeroT", "[", "Private`nqv", "]"}], ",", 
                    "Private`op1", ",", "Private`q1"}], "]"}], ",", 
                    "Private`op2", ",", "Private`q2"}], "]"}], ",", 
                    "Private`op3", ",", "Private`q3"}], "]"}]}], "]"}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`ThreeOp\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ThreeOp[nqv_,q1_,q2_,q3_,op1_,op2_,op3_]\\n\\n\\t \
used to \\nbuild three body operators from the Pauli matrices in a multiqubit \
system. It builds \\noperation \[Sigma]op1 on q1, \[Sigma]op2 on q2 and \
\[Sigma]op3 on q3.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "ThreeOp[nqv_,q1_,q2_,q3_,op1_,op2_,op3_]\n\n\t used to \nbuild three \
body operators from the Pauli matrices in a multiqubit system. It builds \n\
operation \[Sigma]op1 on q1, \[Sigma]op2 on q2 and \[Sigma]op3 on q3.", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`ThreeOp, {QDENSITY`Qdensity`ThreeOp[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q1, 
           Blank[]], 
          Pattern[Private`q2, 
           Blank[]], 
          Pattern[Private`q3, 
           Blank[]], 
          Pattern[Private`op1, 
           Blank[]], 
          Pattern[Private`op2, 
           Blank[]], 
          Pattern[Private`op3, 
           Blank[]]] :> QDENSITY`Qdensity`SP[Private`nqv, 
          ReplacePart[
           ReplacePart[
            ReplacePart[
             QDENSITY`Qdensity`ZeroT[Private`nqv], Private`op1, Private`q1], 
            Private`op2, Private`q2], Private`op3, Private`q3]]}], 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`ThreeOp"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735288974247`*^9},ExpressionUUID->"2b7f2935-c6aa-4abb-ae91-\
f680ac7be9a0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ThreeOp", "[", 
  RowBox[{"3", ",", "1", ",", "2", ",", "3", ",", "0", ",", "0", ",", "1"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.614892814320258*^9, 3.61489281452115*^9}, {
  3.614892983568767*^9, 3.614893013996725*^9}, {3.614893053383253*^9, 
  3.614893053696198*^9}},ExpressionUUID->"7796671a-dc3f-4093-a53f-\
2af269740591"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "1", "0", "0", "0", "0", "0", "0"},
     {"1", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0"},
     {"0", "0", "0", "0", "1", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1"},
     {"0", "0", "0", "0", "0", "0", "1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735289117193`*^9},ExpressionUUID->"dd575d32-a30f-4844-9374-\
61d34c50b689"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ThreeOp", "[", 
   RowBox[{"3", ",", "1", ",", "2", ",", "3", ",", "0", ",", "0", ",", "1"}], 
   "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "1", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThreeOp", "[", 
   RowBox[{"4", ",", "1", ",", "2", ",", "4", ",", "2", ",", "1", ",", "3"}], 
   "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"s", "[", "2", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "1", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "3", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThreeOp", "[", 
   RowBox[{"6", ",", "1", ",", "3", ",", "2", ",", "1", ",", "3", ",", "1"}], 
   "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"s", "[", "1", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "1", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "3", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6145108271720047`*^9, 3.61451091975165*^9}, 
   3.614510993798172*^9, {3.6145159079944468`*^9, 3.614515980618222*^9}, {
   3.61451601720253*^9, 3.614516149867836*^9}, {3.6148562469383583`*^9, 
   3.614856371256057*^9}, {3.614892588880438*^9, 3.614892718373517*^9}, {
   3.6148927492540083`*^9, 3.61489276559754*^9}, {3.614892805894182*^9, 
   3.6148928253110447`*^9}, {3.614893026013103*^9, 3.6148933390613937`*^9}, {
   3.8570685191194143`*^9, 3.857068519130476*^9}, {3.859373407302788*^9, 
   3.859373407313697*^9}},ExpressionUUID->"47c3b95f-40be-40ad-9cc9-\
d81602181007"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528931595*^9},ExpressionUUID->"30e01908-6f50-4ac1-a61d-\
6ab2b2259f36"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735289359713`*^9},ExpressionUUID->"7db73e39-078d-45cb-9a25-\
9141008b46a4"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373528939082*^9},ExpressionUUID->"1c64275f-f094-4e5d-b247-\
bc3f41096be6"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 OverscriptBox["n", "^"]], "Input",
 CellChangeTimes->{{3.6149398345723886`*^9, 
  3.6149398647164907`*^9}},ExpressionUUID->"ad2ad702-1853-43de-974d-\
6f491c7c01d4"],

Cell[BoxData[
 TagBox[
  OverscriptBox["n", "^"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735289473753`*^9},ExpressionUUID->"3992c107-f111-488a-9e66-\
53b259119688"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "PartialTrace"}], "\[IndentingNewLine]", 
 RowBox[{"?", "PTrGen"}]}], "Input",
 CellChangeTimes->{{3.614596353685004*^9, 3.614596358065962*^9}, {
  3.614596520474407*^9, 3.6145965407109737`*^9}, {3.614597568486021*^9, 
  3.614597620030398*^9}},ExpressionUUID->"7130f0d5-cee9-4636-bab5-\
b90a5c68342d"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"PTrS[q,L,V] and PTr[traceout,\[CapitalOmega]] \
\\n\\n\\n\\n PTr[traceout,\[CapitalOmega]] returns the partial trace \\n\\n \
of general operator \[CapitalOmega] over those qubits \\n\\n specified by the \
traceout array 'traceout'. \\n\\n\\n\\n PTrS[q, L,V] returns the partial \
trace of spin basis \\n\\n operator of length nqv over single qubit q within \
nqv qubits, \\n\\n with the array V specifying the spin basis operator.\\n\\n \
This method reduces the operator down to the requisite smaller \
arrays.\\n\\n\\n\\n  see also PTrGen\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`PartialTrace\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"PTrS[q,L,V] and PTr[traceout,\[CapitalOmega]] \
\\n\\n\\n\\n PTr[traceout,\[CapitalOmega]] returns the partial trace \\n\\n \
of general operator \[CapitalOmega] over those qubits \\n\\n specified by the \
traceout array 'traceout'. \\n\\n\\n\\n PTrS[q, L,V] returns the partial \
trace of spin basis \\n\\n operator of length nqv over single qubit q within \
nqv qubits, \\n\\n with the array V specifying the spin basis operator.\\n\\n \
This method reduces the operator down to the requisite smaller \
arrays.\\n\\n\\n\\n  see also PTrGen\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "PTrS[q,L,V] and PTr[traceout,\[CapitalOmega]] \n\n\n\n PTr[traceout,\
\[CapitalOmega]] returns the partial trace \n\n of general operator \
\[CapitalOmega] over those qubits \n\n specified by the traceout array \
'traceout'. \n\n\n\n PTrS[q, L,V] returns the partial trace of spin basis \n\n\
 operator of length nqv over single qubit q within nqv qubits, \n\n with the \
array V specifying the spin basis operator.\n\n This method reduces the \
operator down to the requisite smaller arrays.\n\n\n\n  see also PTrGen", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> None, "SubValues" -> None, "DefaultValues" -> None, 
     "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`PartialTrace"|>, 
    False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735290418787`*^9},ExpressionUUID->"e1768d48-4f0d-4ad1-a9a0-\
1ad78cab808b"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"PTrGen[traceout,\[CapitalOmega]] \\n\\n\\n\\n \
PTrGen[traceout,\[CapitalOmega]] returns the partial \\n\\n trace of a \
general operator \[CapitalOmega] over those\\n\\n qubits specified by the \
traceout array 'traceout'.  \\nThis method builds up the requisite arrays and \
can be faster. \\n\\n\\n\\n see also PTr\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"PTrGen", "[", 
                    RowBox[{
                    RowBox[{"Private`TO_", "/;", 
                    RowBox[{"VectorQ", "[", "Private`TO", "]"}]}], ",", 
                    RowBox[{"Private`\[CapitalOmega]_", "/;", 
                    
                    RowBox[{"MatrixQ", "[", "Private`\[CapitalOmega]", 
                    "]"}]}]}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"Private`nto", ",", "Private`n\[CapitalOmega]", 
                    ",", "Private`coef"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"Private`nto", "=", 
                    RowBox[{"Length", "[", "Private`TO", "]"}]}], ";", 
                    RowBox[{"Private`n\[CapitalOmega]", "=", 
                    RowBox[{"Log", "[", 
                    RowBox[{"2", ",", 
                    RowBox[{"Length", "[", "Private`\[CapitalOmega]", "]"}]}],
                     "]"}]}], ";", 
                    RowBox[{"Private`numLeft", "=", 
                    
                    RowBox[{"Private`n\[CapitalOmega]", "-", 
                    "Private`nto"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"Private`numLeft", ">", "0"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Private`plugZeros", "[", 
                    RowBox[{"Private`zeroPositions_", ",", "Private`W_"}], 
                    "]"}], ":=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "Private`zeroPositions", "]"}], 
                    ">", "1"}], ",", 
                    RowBox[{"Private`plugZeros", "[", 
                    RowBox[{
                    RowBox[{"Drop", "[", 
                    RowBox[{"Private`zeroPositions", ",", "1"}], "]"}], ",", 
                    RowBox[{"Insert", "[", 
                    RowBox[{"Private`W", ",", "0", ",", 
                    
                    RowBox[{"Private`zeroPositions", "\[LeftDoubleBracket]", 
                    "1", "\[RightDoubleBracket]"}]}], "]"}]}], "]"}], ",", 
                    RowBox[{"Insert", "[", 
                    RowBox[{"Private`W", ",", "0", ",", 
                    
                    RowBox[{"Private`zeroPositions", "\[LeftDoubleBracket]", 
                    "1", "\[RightDoubleBracket]"}]}], "]"}]}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"Private`coef", "[", 
                    RowBox[{"Private`outList1_", ",", 
                    RowBox[{"Private`\[CapitalOmega]1_", "?", "MatrixQ"}], 
                    ",", "Private`W_"}], "]"}], ":=", 
                    RowBox[{"Tr", "[", 
                    RowBox[{"Private`\[CapitalOmega]1", ".", 
                    RowBox[{"SP", "[", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"2", ",", 
                    
                    RowBox[{"Length", "[", "Private`\[CapitalOmega]1", 
                    "]"}]}], "]"}], ",", 
                    RowBox[{"Private`plugZeros", "[", 
                    RowBox[{
                    RowBox[{"Sort", "[", "Private`outList1", "]"}], ",", 
                    "Private`W"}], "]"}]}], "]"}]}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{
                    SubscriptBox["Private`Base4", 
                    RowBox[{"{", 
                    RowBox[{"Private`j_", ",", "Private`l_"}], "}"}]], "[", 
                    "Private`k_", "]"}], ":=", 
                    RowBox[{
                    RowBox[{
                    SubscriptBox["Private`Base4", 
                    RowBox[{"{", 
                    RowBox[{"Private`j", ",", "Private`l"}], "}"}]], "[", 
                    "Private`k", "]"}], "=", 
                    RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"Private`j", "-", 
                    RowBox[{
                    SuperscriptBox["4", 
                    RowBox[{"Private`l", "-", "Private`k", "+", "1"}]], " ", 
                    RowBox[{"Floor", "[", 
                    FractionBox["Private`j", 
                    SuperscriptBox["4", 
                    RowBox[{"Private`l", "-", "Private`k", "+", "1"}]]], 
                    "]"}]}]}], 
                    SuperscriptBox["4", 
                    RowBox[{"Private`l", "-", "Private`k"}]]], "]"}]}]}], ";", 
                    RowBox[{"Private`Xv", "=", 
                    FractionBox[
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"Private`i", "=", "0"}], 
                    RowBox[{
                    SuperscriptBox["4", "Private`numLeft"], "-", "1"}]], 
                    RowBox[{
                    RowBox[{"Private`coef", "[", 
                    RowBox[{"Private`TO", ",", "Private`\[CapitalOmega]", ",", 
                    RowBox[{"Array", "[", 
                    RowBox[{
                    SubscriptBox["Private`Base4", 
                    RowBox[{"{", 
                    RowBox[{"Private`i", ",", "Private`numLeft"}], "}"}]], 
                    ",", "Private`numLeft"}], "]"}]}], "]"}], " ", 
                    RowBox[{"SP", "[", 
                    RowBox[{"Private`numLeft", ",", 
                    RowBox[{"Array", "[", 
                    RowBox[{
                    SubscriptBox["Private`Base4", 
                    RowBox[{"{", 
                    RowBox[{"Private`i", ",", "Private`numLeft"}], "}"}]], 
                    ",", "Private`numLeft"}], "]"}]}], "]"}]}]}], 
                    SuperscriptBox["2", "Private`numLeft"]]}]}], "}"}], ",", 
                    RowBox[{"Private`Xv", "=", 
                    RowBox[{"Tr", "[", "Private`\[CapitalOmega]", "]"}]}]}], 
                    "]"}], ";", 
                    RowBox[{"Simplify", "[", "Private`Xv", "]"}]}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`PTrGen\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"PTrGen[traceout,\[CapitalOmega]] \\n\\n\\n\\n \
PTrGen[traceout,\[CapitalOmega]] returns the partial \\n\\n trace of a \
general operator \[CapitalOmega] over those\\n\\n qubits specified by the \
traceout array 'traceout'.  \\nThis method builds up the requisite arrays and \
can be faster. \\n\\n\\n\\n see also PTr\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "PTrGen[traceout,\[CapitalOmega]] \n\n\n\n PTrGen[traceout,\
\[CapitalOmega]] returns the partial \n\n trace of a general operator \
\[CapitalOmega] over those\n\n qubits specified by the traceout array \
'traceout'.  \nThis method builds up the requisite arrays and can be faster. \
\n\n\n\n see also PTr", "Documentation" -> None, "OwnValues" -> None, 
     "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`PTrGen, {QDENSITY`Qdensity`PTrGen[
          Condition[
           Pattern[Private`TO, 
            Blank[]], 
           VectorQ[Private`TO]], 
          Condition[
           Pattern[Private`\[CapitalOmega], 
            Blank[]], 
           MatrixQ[Private`\[CapitalOmega]]]] :> 
        Module[{Private`nto, Private`n\[CapitalOmega], Private`coef}, 
          Private`nto = Length[Private`TO]; Private`n\[CapitalOmega] = Log[2, 
             Length[Private`\[CapitalOmega]]]; 
          Private`numLeft = Private`n\[CapitalOmega] - Private`nto; 
          If[Private`numLeft > 0, {Private`plugZeros[
                Pattern[Private`zeroPositions, 
                 Blank[]], 
                Pattern[Private`W, 
                 Blank[]]] := If[Length[Private`zeroPositions] > 1, 
                Private`plugZeros[
                 Drop[Private`zeroPositions, 1], 
                 Insert[Private`W, 0, 
                  Part[Private`zeroPositions, 1]]], 
                Insert[Private`W, 0, 
                 Part[Private`zeroPositions, 1]]]; Private`coef[
                Pattern[Private`outList1, 
                 Blank[]], 
                PatternTest[
                 Pattern[Private`\[CapitalOmega]1, 
                  Blank[]], MatrixQ], 
                Pattern[Private`W, 
                 Blank[]]] := Tr[
                Dot[Private`\[CapitalOmega]1, 
                 QDENSITY`Qdensity`SP[
                  Log[2, 
                   Length[Private`\[CapitalOmega]1]], 
                  Private`plugZeros[
                   Sort[Private`outList1], Private`W]]]]; 
             Subscript[Private`Base4, {
                 Pattern[Private`j, 
                  Blank[]], 
                 Pattern[Private`l, 
                  Blank[]]}][
                Pattern[Private`k, 
                 Blank[]]] := (
               Subscript[Private`Base4, {Private`j, Private`l}][Private`k] = 
               Floor[(Private`j - 4^(Private`l - Private`k + 1) 
                  Floor[Private`j/4^(Private`l - Private`k + 1)])/
                 4^(Private`l - Private`k)]); 
             Private`Xv = 
              Sum[Private`coef[Private`TO, Private`\[CapitalOmega], 
                   Array[
                    Subscript[Private`Base4, {Private`i, Private`numLeft}], 
                    Private`numLeft]] QDENSITY`Qdensity`SP[Private`numLeft, 
                   Array[
                    Subscript[Private`Base4, {Private`i, Private`numLeft}], 
                    Private`numLeft]], {Private`i, 0, 4^Private`numLeft - 1}]/
               2^Private`numLeft}, Private`Xv = Tr[Private`\[CapitalOmega]]]; 
          Simplify[Private`Xv]]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`PTrGen"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529128378*^9},ExpressionUUID->"e2848c1c-3df0-41cf-ac67-\
73a9cb560318"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"rhoR", "=", " ", 
    RowBox[{"RandomQubitN", "[", "3", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"PTr", "[", 
    RowBox[{
     RowBox[{"{", "1", "}"}], ",", " ", "rhoR"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"PTr", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "3"}], "}"}], ",", " ", "rhoR"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PTrGen", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "3"}], "}"}], ",", "  ", "rhoR"}], "]"}], "\[Equal]",
     "%"}]}]}]], "Input",
 CellChangeTimes->{{3.6145965658679247`*^9, 3.614596704233473*^9}, {
  3.614596736520089*^9, 3.6145967400738792`*^9}, {3.614597634856848*^9, 
  3.6145977251675262`*^9}},ExpressionUUID->"3ab368b6-f19e-4743-83ed-\
d1d8f4d4aa43"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.16532190506856878`", 
      RowBox[{"0.008394416697664333`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.052298501748987154`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.023905435940784966`"}], "-", 
       RowBox[{"0.015836153923674105`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.048408033284514096`"}], "-", 
       RowBox[{"0.04249092304284993`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0600917955646824`"}], "+", 
       RowBox[{"0.08819903769236258`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.029996992687738408`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06766522108431217`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.04044750973848571`"}], "-", 
       RowBox[{"0.019702057123182983`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.04629863400767874`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.061433905600909555`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.008394416697664333`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.052298501748987154`", " ", "\[ImaginaryI]"}]}], 
      "0.14046422512044465`", 
      RowBox[{"0.03148693553125473`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.021940007985432386`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.07215979432525993`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.05269532560121018`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.027005932936446042`"}], "-", 
       RowBox[{"0.014846328640076253`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.022347152497984236`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0073704808757181816`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.021517163243664195`"}], "-", 
       RowBox[{"0.015136304674321229`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.012011123501659228`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.03163111471194778`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.023905435940784966`"}], "+", 
       RowBox[{"0.015836153923674105`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.03148693553125473`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.021940007985432386`", " ", "\[ImaginaryI]"}]}], 
      "0.06162443355368578`", 
      RowBox[{"0.030056090068841915`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.03238222410271272`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.000817259478997293`"}], "-", 
       RowBox[{"0.05286769427352732`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03227394585191841`"}], "-", 
       RowBox[{"0.01771409285478363`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.00004565186155032138`"}], "+", 
       RowBox[{"0.008764982072108444`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0004067055588352936`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.021544603851453816`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.048408033284514096`"}], "+", 
       RowBox[{"0.04249092304284993`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.07215979432525993`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.05269532560121018`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.030056090068841915`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.03238222410271272`", " ", "\[ImaginaryI]"}]}], 
      "0.1591130668039968`", 
      RowBox[{
       RowBox[{"-", "0.03031872734884987`"}], "-", 
       RowBox[{"0.06050215255124123`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.010921168856990586`"}], "+", 
       RowBox[{"0.012839156292849206`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0013051083811600646`"}], "+", 
       RowBox[{"0.040769581123642235`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.025787357719626598`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.028881132195281167`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.0600917955646824`"}], "-", 
       RowBox[{"0.08819903769236258`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.027005932936446042`"}], "+", 
       RowBox[{"0.014846328640076253`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.000817259478997293`"}], "+", 
       RowBox[{"0.05286769427352732`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03031872734884987`"}], "+", 
       RowBox[{"0.06050215255124123`", " ", "\[ImaginaryI]"}]}], 
      "0.1493339687306553`", 
      RowBox[{"0.0019431767091402888`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.032941241688440356`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.010279358880460913`"}], "+", 
       RowBox[{"0.003160087009271368`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07826639699978256`"}], "-", 
       RowBox[{"0.004793317754425534`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.029996992687738408`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06766522108431217`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.022347152497984236`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0073704808757181816`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03227394585191841`"}], "+", 
       RowBox[{"0.01771409285478363`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.010921168856990586`"}], "-", 
       RowBox[{"0.012839156292849206`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0019431767091402888`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.032941241688440356`", " ", "\[ImaginaryI]"}]}], 
      "0.11115794188163156`", 
      RowBox[{"0.012034645617490063`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.038986156416035284`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.003338816106357637`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.012667266740884444`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.04044750973848571`"}], "+", 
       RowBox[{"0.019702057123182983`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.021517163243664195`"}], "+", 
       RowBox[{"0.015136304674321229`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.00004565186155031943`"}], "-", 
       RowBox[{"0.008764982072108445`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0013051083811600802`"}], "-", 
       RowBox[{"0.040769581123642235`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.010279358880460913`"}], "-", 
       RowBox[{"0.003160087009271368`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.012034645617490063`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.038986156416035284`", " ", "\[ImaginaryI]"}]}], 
      "0.09640091563643485`", 
      RowBox[{"0.01117191140807986`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.016478957018177705`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.04629863400767874`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06143390560090956`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.012011123501659228`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.03163111471194778`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0004067055588352956`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.021544603851453806`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.025787357719626598`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.028881132195281167`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07826639699978256`"}], "+", 
       RowBox[{"0.004793317754425537`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0033388161063576385`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.01266726674088444`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.01117191140807986`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.016478957018177705`", " ", "\[ImaginaryI]"}]}], 
      "0.1165835432045823`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529144108*^9},ExpressionUUID->"5403e92a-9602-48f3-8c9d-\
bad907136b85"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.31465587379922405`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.01033759340680462`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0852397434374275`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03418479482124588`"}], "-", 
       RowBox[{"0.012676066914402734`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.12667443028429665`"}], "-", 
       RowBox[{"0.04728424079727547`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.01033759340680462`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0852397434374275`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.25162216700207624`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.043521581148744784`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.017046148430602898`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.07549861043161757`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06536259234209463`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.03418479482124588`"}], "+", 
       RowBox[{"0.012676066914402734`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.043521581148744784`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.017046148430602898`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.15802534919012062`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.04122800147692178`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.048861181120890426`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.12667443028429665`"}], "+", 
       RowBox[{"0.04728424079727547`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.07549861043161757`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06536259234209463`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.04122800147692178`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.048861181120890426`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.2756966100085791`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735291510057`*^9},ExpressionUUID->"66ba1c4d-08a9-418c-bcf0-\
028a42766a90"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.5662780408013003`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.04131381561037169`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07803865925649736`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.04131381561037169`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07803865925649736`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.4337219591986997`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529155739*^9},ExpressionUUID->"ade83eb5-d2f1-482a-b9ca-\
ac9d1228e2e4"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937352916033*^9},ExpressionUUID->"b5bbe272-d41f-46ea-94bb-220a858ba335"]
}, Open  ]],

Cell[RawData["\\[CircleTimes]"], "Input",
 CellChangeTimes->{3.857072231860972*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"psi", "=", 
   RowBox[{"AF", "[", 
    RowBox[{
     RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"rho", "=", 
  RowBox[{"AF", "[", 
   RowBox[{"psi", "\[CircleTimes]", " ", 
    RowBox[{"Adj", "[", "psi", "]"}]}], 
   "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.61459683500141*^9, 3.6145969517221003`*^9}, 
   3.614596987024096*^9, {3.8570685191332293`*^9, 3.857068519136796*^9}, {
   3.857072249250085*^9, 3.8570722617249126`*^9}, {3.859373407340744*^9, 
   3.8593734073442307`*^9}},ExpressionUUID->"8e00b309-96a1-4189-abb5-\
71902f9651c2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529179255*^9},ExpressionUUID->"25209450-98f7-44d5-947c-\
b252a42ba9bd"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Tr", "[", 
  RowBox[{
   RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
   RowBox[{"Bra", "[", "0", "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", 
  RowBox[{
   RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
   RowBox[{"Bra", "[", "1", "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.6145970412566433`*^9, 3.614597051302167*^9}, {
   3.614597161605191*^9, 3.614597166192556*^9}, {3.614597253331628*^9, 
   3.614597256458207*^9}, {3.8570685191418*^9, 3.857068519142969*^9}, 
   3.857128952361477*^9, 3.857129026756549*^9, {3.8593734073471518`*^9, 
   3.859373407348298*^9}},ExpressionUUID->"3a7373cd-1190-4e56-bdda-\
6f0810377b4f"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937352918958*^9},ExpressionUUID->"4830007c-ad52-489e-92f9-b2b5f01e103e"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937352919405*^9},ExpressionUUID->"c8960d8d-1acf-46f0-8fe1-e0af014ef630"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Tr", "[", 
  RowBox[{
   RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
   RowBox[{"Bra", "[", "0", "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", 
  RowBox[{
   RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
   RowBox[{"Bra", "[", "1", "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.857128988705763*^9, 3.857128989503812*^9}, {
  3.857129030893937*^9, 3.8571290655324097`*^9}, {3.859373407350686*^9, 
  3.859373407351815*^9}},ExpressionUUID->"ced8864c-ee52-4bc5-8ee1-\
2b567c63ee11"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529209621*^9},ExpressionUUID->"89272a0c-af2e-4067-8d6a-\
206108c2bd66"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735292141657`*^9},ExpressionUUID->"039cec5d-5e73-4bfb-92ad-\
8afdb9971658"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"PTr", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", "rho"}], " ", "]"}], 
  "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"Bra", "[", "0", "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6145971209935617`*^9, 3.614597131645557*^9}, {
   3.614597186905508*^9, 3.6145973176014633`*^9}, {3.614597347895032*^9, 
   3.6145973733086977`*^9}, {3.85706851915238*^9, 3.857068519156002*^9}, {
   3.857129119398841*^9, 3.857129120232593*^9}, 
   3.85937340735421*^9},ExpressionUUID->"e5269fd1-d0f8-4166-99f9-\
52151ae87379"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529221829*^9},ExpressionUUID->"9e7affae-2879-4a99-82a7-\
c2a79dcbecb5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{"rho", "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PTr", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "3"}], "}"}], ",", "rho"}], " ", "]"}], "==", 
  RowBox[{
   RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", "  ", 
   RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", 
   RowBox[{"Bra", "[", "0", "]"}], "\[CircleTimes]", " ", 
   RowBox[{"Bra", "[", "0", "]"}]}]}]}], "Input",
 CellChangeTimes->{
  3.8571291143919897`*^9, {3.857129407999552*^9, 3.8571294341798687`*^9}, {
   3.8571295124122334`*^9, 3.857129543114807*^9}, {3.8593734073566437`*^9, 
   3.859373407359104*^9}},ExpressionUUID->"9392d7c5-0abb-4c6f-82a4-\
e98a6b06574a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529239008*^9},ExpressionUUID->"8c1c9359-f9cf-4b57-be4a-\
4320e896d10f"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735292440147`*^9},ExpressionUUID->"9bf002f8-8abf-43ec-bffd-\
c9cb41002275"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"rho4", "=", 
   RowBox[{"RandomQubitN", "[", "4", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"resT", "=", 
  RowBox[{"PTr", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", "rho4"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PTrGen", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", "  ", "rho4"}], "]"}], 
  "\[Equal]", "%"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", "resT", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"resT", ".", "resT"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.614597414109103*^9, 3.6145974687590857`*^9}, {
  3.614597746002454*^9, 
  3.61459780320525*^9}},ExpressionUUID->"9a26dcad-7699-42a5-9721-\
6f5b5e21e97e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.5175027979072414`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0055184491885661435`"}], "+", 
       RowBox[{"0.037700230289964755`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.0055184491885661435`"}], "-", 
       RowBox[{"0.037700230289964755`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.48249720209275865`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529252695*^9},ExpressionUUID->"819f8859-ea64-4cc7-8514-\
4c1ac9caccf3"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529257543*^9},ExpressionUUID->"6937228a-1fbe-4ff9-8b4e-\
1a0b21977a54"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529260549*^9},ExpressionUUID->"3889c4f9-ea86-4c09-8eb4-\
cd082bb88588"],

Cell[BoxData[
 TagBox["0.5035162171598899`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735292641087`*^9},ExpressionUUID->"4ff86f99-3b9a-44d3-aa16-\
30e6bb451563"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "ProjG"}]], "Input",
 CellChangeTimes->{{3.614621779500534*^9, 
  3.614621783793659*^9}},ExpressionUUID->"0eefc36e-e8a5-492b-bc52-\
f856d11f8f66"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ProjG[a,vec], \\n\\n\\t  Projection operator into \
any direction defined by the unit three-vector vec. \\n\\n\\t Here a equals 0 \
or 1. \\n\\n\\t For example,\\n\\n\\t ProjG[0,nhat] equals (\
\[DoubleStruckCapitalI] + nhat.sigvec)/2 and\\n\\n\\t ProjG[1,nhat] equals (\
\[DoubleStruckCapitalI] - nhat.sigvec)/2,\\n\\n\\t where nhat is a unit \
direction vector and sigvec is the Pauli vector.\\n\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"ProjG", "[", 
                    RowBox[{"Private`a_", ",", 
                    RowBox[{"Private`v_", "?", "ListQ"}]}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "Private`w", "}"}], ",", 
                    RowBox[{
                    RowBox[{"Private`w", "=", 
                    FractionBox["Private`v", 
                    RowBox[{"Norm", "[", "Private`v", "]"}]]}], ";", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"s", "[", "0", "]"}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "Private`a"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"Private`w", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], " ", 
                    RowBox[{"s", "[", "1", "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"Private`w", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], " ", 
                    RowBox[{"s", "[", "2", "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"Private`w", "\[LeftDoubleBracket]", "3", 
                    "\[RightDoubleBracket]"}], " ", 
                    RowBox[{"s", "[", "3", "]"}]}]}], ")"}]}]}], ")"}]}]}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`ProjG\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ProjG[a,vec], \\n\\n\\t  Projection operator into \
any direction defined by the unit three-vector vec. \\n\\n\\t Here a equals 0 \
or 1. \\n\\n\\t For example,\\n\\n\\t ProjG[0,nhat] equals (\
\[DoubleStruckCapitalI] + nhat.sigvec)/2 and\\n\\n\\t ProjG[1,nhat] equals (\
\[DoubleStruckCapitalI] - nhat.sigvec)/2,\\n\\n\\t where nhat is a unit \
direction vector and sigvec is the Pauli vector.\\n\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "ProjG[a,vec], \n\n\t  Projection operator into any direction defined by \
the unit three-vector vec. \n\n\t Here a equals 0 or 1. \n\n\t For example,\n\
\n\t ProjG[0,nhat] equals (\[DoubleStruckCapitalI] + nhat.sigvec)/2 and\n\n\t \
ProjG[1,nhat] equals (\[DoubleStruckCapitalI] - nhat.sigvec)/2,\n\n\t where \
nhat is a unit direction vector and sigvec is the Pauli vector.\n", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`ProjG, {QDENSITY`Qdensity`ProjG[
          Pattern[Private`a, 
           Blank[]], 
          PatternTest[
           Pattern[Private`v, 
            Blank[]], ListQ]] :> 
        Module[{Private`w}, 
          Private`w = 
           Private`v/Norm[Private`v]; (
            QDENSITY`Qdensity`s[
             0] + (-1)^Private`a (Part[Private`w, 1] QDENSITY`Qdensity`s[1] + 
              Part[Private`w, 2] QDENSITY`Qdensity`s[2] + 
              Part[Private`w, 3] QDENSITY`Qdensity`s[3]))/2]}], "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`ProjG"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529345434*^9},ExpressionUUID->"8fe2461f-6961-4c30-a581-\
8d66df43eedf"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ProjG", "[", 
   RowBox[{"0", ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], "==", 
  SubscriptBox["\[ScriptCapitalP]", "0"]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ProjG", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], "==", 
  SubscriptBox["\[ScriptCapitalP]", "1"]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ProjG", "[", 
   RowBox[{"0", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], "\[Equal]", 
  RowBox[{"PX", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ProjG", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], "\[Equal]", 
  RowBox[{"PX", "[", "1", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ProjG", "[", 
   RowBox[{"0", ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}], "\[Equal]", 
  RowBox[{"PY", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ProjG", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}], "\[Equal]", 
  RowBox[{"PY", "[", "1", "]"}]}]}], "Input",
 CellChangeTimes->{{3.6146218072518997`*^9, 3.614621893360815*^9}, {
  3.6146219354019423`*^9, 
  3.614622040841241*^9}},ExpressionUUID->"e7db7c45-46f3-42b3-ba8a-\
16c793424d6f"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735293599157`*^9},ExpressionUUID->"032947bc-bb7b-4555-bdf1-\
790b2fd6935a"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735293644753`*^9},ExpressionUUID->"25ac3418-07a1-457a-9bf8-\
daa7e6b778d7"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529367661*^9},ExpressionUUID->"9daccc01-c546-4b4a-8081-\
d9877ac54fe2"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735293712873`*^9},ExpressionUUID->"3c41e442-2ef0-49f8-8876-\
70e920979aaf"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529374969*^9},ExpressionUUID->"92eded07-89f5-4a44-8b58-\
dc7e522f9a4b"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529378541*^9},ExpressionUUID->"9b76615f-45a5-4ad1-b49e-\
2dc815289739"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  OverscriptBox["\[Sigma]", "\[RightVector]"], "=", 
  RowBox[{"{", " ", 
   RowBox[{
    RowBox[{"s", "[", "1", "]"}], ",", " ", 
    RowBox[{"s", "[", "2", "]"}], ",", "  ", 
    RowBox[{"s", "[", "3", "]"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  OverscriptBox["n", "^"], "=", 
  RowBox[{"{", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Sin", "[", "\[Theta]", "]"}], "  ", 
     RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", "  ", 
    RowBox[{
     RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
     RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", " ", 
    RowBox[{"Cos", "[", "\[Theta]", "]"}]}], " ", 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  OverscriptBox["n", "^"], ".", 
  OverscriptBox["\[Sigma]", "\[RightVector]"]}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{
   OverscriptBox["n", "^"], ".", 
   OverscriptBox["n", "^"]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"\[DoubleStruckCapitalI]", " ", "+", 
     RowBox[{
      OverscriptBox["n", "^"], ".", 
      OverscriptBox["\[Sigma]", "\[RightVector]"]}]}], ")"}], "/", "2"}], " ",
   "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"AF", "[", 
    RowBox[{"ProjG", "[", 
     RowBox[{"0", ",", 
      OverscriptBox["n", "^"]}], "]"}], "]"}], ",", " ", 
   RowBox[{
    RowBox[{"Element", "[", 
     RowBox[{"\[Theta]", ",", " ", "Reals"}], "]"}], "&&", 
    RowBox[{"Element", "[", 
     RowBox[{"\[Phi]", ",", "Reals"}], "]"}]}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.614622700666028*^9, 3.614622742492999*^9}, {
   3.614623104245549*^9, 3.614623199052805*^9}, {3.614623264707073*^9, 
   3.614623346938325*^9}, {3.614623450209985*^9, 3.614623482663021*^9}, {
   3.614623513093705*^9, 3.6146235389324837`*^9}, {3.614623580747607*^9, 
   3.61462359244693*^9}, {3.614623721142283*^9, 3.614623752933078*^9}, {
   3.614623793667309*^9, 3.6146238020819387`*^9}, {3.614623934656144*^9, 
   3.6146239351394243`*^9}, 3.6146240586601877`*^9, {3.614785911147131*^9, 
   3.6147859217665033`*^9}, 3.6147859545722237`*^9, {3.614939929241047*^9, 
   3.614939929254902*^9}, {3.614940083980501*^9, 3.614940097670382*^9}, {
   3.615976644798956*^9, 
   3.615976666478043*^9}},ExpressionUUID->"7a5376f1-a984-4fa3-b097-\
2c885adbf122"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"1"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1"},
          {"0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"-", "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"\[ImaginaryI]"},
          {"0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1"},
          {"0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"-", "1"}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937352939637*^9},ExpressionUUID->"f41f3335-4d98-41bf-aaff-299432856034"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}]}]},
      {
       RowBox[{
        RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}]},
      {
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529402053*^9},ExpressionUUID->"f5f20574-cd00-4ab1-8d06-\
f18d4d1794b3"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "\[Theta]", "]"}], 
      RowBox[{
       RowBox[{
        RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "-", 
       RowBox[{"\[ImaginaryI]", " ", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
       RowBox[{"\[ImaginaryI]", " ", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], 
      RowBox[{"-", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529406057*^9},ExpressionUUID->"01f83e3c-fe7a-4de0-9895-\
02d5b0b7ec0a"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529410429*^9},ExpressionUUID->"3db00d10-c2ae-49d4-9b65-\
f370b78804d0"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SuperscriptBox[
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}], "2"], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Cos", "[", "\[Phi]", "]"}], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], ")"}]}]},
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Cos", "[", "\[Phi]", "]"}], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}], "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735294144278`*^9},ExpressionUUID->"cc770722-c5ff-4957-964c-\
934ffdd42246"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SuperscriptBox[
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}], "2"], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Cos", "[", "\[Phi]", "]"}], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], ")"}]}]},
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Cos", "[", "\[Phi]", "]"}], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}], "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735295010653`*^9},ExpressionUUID->"3bb38969-335f-418e-bac5-\
8bf82609e91a"],

Cell[CellGroupData[{

Cell[BoxData[{
 OverscriptBox["\[Sigma]", "\[RightVector]"], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   OverscriptBox["\[Sigma]", "\[RightVector]"], "[", 
   RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
  RowBox[{"s", "[", "1", "]"}], "==", 
  SubscriptBox["\[Sigma]", "1"]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   OverscriptBox["\[Sigma]", "\[RightVector]"], "[", 
   RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
  RowBox[{"s", "[", "2", "]"}], "==", 
  SubscriptBox["\[Sigma]", "2"]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   OverscriptBox["\[Sigma]", "\[RightVector]"], "[", 
   RowBox[{"[", "3", "]"}], "]"}], "\[Equal]", 
  RowBox[{"s", "[", "3", "]"}], "==", 
  SubscriptBox["\[Sigma]", "3"]}]}], "Input",
 CellChangeTimes->{{3.614940042996229*^9, 3.6149400674459057`*^9}, {
  3.615976497612711*^9, 3.615976506309054*^9}, {3.615976695593787*^9, 
  3.615976754779663*^9}, {3.615976793256731*^9, 
  3.61597681624091*^9}},ExpressionUUID->"f42c7d56-fff8-487c-8fcc-\
07673862d1cd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"1"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1"},
          {"0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"-", "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"\[ImaginaryI]"},
          {"0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1"},
          {"0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"-", "1"}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529511208*^9},ExpressionUUID->"05dbf853-3fea-4256-957c-\
aff44b9a58ed"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529516621*^9},ExpressionUUID->"0b09ffe6-6829-4c9c-8578-\
cd3cff5b2f26"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529519755*^9},ExpressionUUID->"da6c1603-b333-432c-bbbe-\
ede6ac055d3e"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529523368*^9},ExpressionUUID->"03069789-7d67-4573-9119-\
9d4c03541e3c"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"AF", "[", 
      RowBox[{"ProjG", "[", 
       RowBox[{"0", ",", 
        OverscriptBox["n", "^"]}], "]"}], "]"}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[DoubleStruckCapitalI]", " ", "+", 
        RowBox[{
         OverscriptBox["n", "^"], ".", 
         OverscriptBox["\[Sigma]", "\[RightVector]"]}]}], ")"}], "/", "2"}]}],
     ",", " ", 
    RowBox[{
     RowBox[{"Element", "[", 
      RowBox[{"\[Theta]", ",", " ", "Reals"}], "]"}], "&&", 
     RowBox[{"Element", "[", 
      RowBox[{"\[Phi]", ",", "Reals"}], "]"}]}]}], "]"}], "\[Equal]", 
  RowBox[{
   RowBox[{"s", "[", "0", "]"}], "-", 
   RowBox[{"s", "[", "0", "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"AF", "[", 
      RowBox[{"ProjG", "[", 
       RowBox[{"1", ",", 
        OverscriptBox["n", "^"]}], "]"}], "]"}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[DoubleStruckCapitalI]", " ", "-", 
        RowBox[{
         OverscriptBox["n", "^"], ".", 
         OverscriptBox["\[Sigma]", "\[RightVector]"]}]}], ")"}], "/", "2"}]}],
     ",", " ", 
    RowBox[{
     RowBox[{"Element", "[", 
      RowBox[{"\[Theta]", ",", " ", "Reals"}], "]"}], "&&", 
     RowBox[{"Element", "[", 
      RowBox[{"\[Phi]", ",", "Reals"}], "]"}]}]}], "]"}], "\[Equal]", 
  RowBox[{
   RowBox[{"s", "[", "0", "]"}], "-", 
   RowBox[{"s", "[", "0", "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.614623853378378*^9, 3.614623895508724*^9}, {
  3.614623993288425*^9, 3.614624002253435*^9}, {3.614624071888228*^9, 
  3.614624109991733*^9}, {3.6149399239556303`*^9, 3.614939929214218*^9}, {
  3.614940103891426*^9, 
  3.614940113421453*^9}},ExpressionUUID->"d493246f-5ef5-42d7-8232-\
5b946a64d5fb"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529552601*^9},ExpressionUUID->"9cb5b64d-5d39-45d9-a3dc-\
d45645482cd3"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529570294*^9},ExpressionUUID->"e2d9bb3b-abeb-4ee0-9952-\
5eeebee95dda"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "QDENSITY`Qdensity`Rot*"}]], "Input",
 CellChangeTimes->{{3.614785320884952*^9, 3.6147853278385973`*^9}, 
   3.6147853620737*^9, {3.6147854175106907`*^9, 
   3.614785470926012*^9}},ExpressionUUID->"a33de787-38fc-42cc-8516-\
22ff5460892f"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["Rotqbit", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2aba954-d5b7-4085-9ff2-e3d75ebb3140", {
                    "Rotqbit", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2aba954-d5b7-4085-9ff2-e3d75ebb3140", {
                    "RotX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2aba954-d5b7-4085-9ff2-e3d75ebb3140", {
                    "RotY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-a2aba954-d5b7-4085-9ff2-e3d75ebb3140", {
                    "RotZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.2375]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529651269*^9},ExpressionUUID->"cb0cc9bb-8980-4017-98c9-\
7c4c9e3d1ed0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "QDENSITY`Qdensity`Random*"}]], "Input",
 CellChangeTimes->{{3.614785320884952*^9, 3.6147853278385973`*^9}, 
   3.6147853620737*^9, {3.6147854175106907`*^9, 3.614785470926012*^9}, {
   3.614801734918335*^9, 
   3.614801737092087*^9}},ExpressionUUID->"dac7bf3d-44a2-46b5-ba05-\
42b50fac7e6d"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["RandomBra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d28e6b97-6105-4d9f-87ae-c16338691689", {
                    "RandomBra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBraN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d28e6b97-6105-4d9f-87ae-c16338691689", {
                    "RandomBraN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d28e6b97-6105-4d9f-87ae-c16338691689", {
                    "RandomKet2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d28e6b97-6105-4d9f-87ae-c16338691689", {
                    "RandomQubit1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubitN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d28e6b97-6105-4d9f-87ae-c16338691689", {
                    "RandomQubitN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["RandomBra2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d28e6b97-6105-4d9f-87ae-c16338691689", {
                    "RandomBra2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d28e6b97-6105-4d9f-87ae-c16338691689", {
                    "RandomKet1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKetN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d28e6b97-6105-4d9f-87ae-c16338691689", {
                    "RandomKetN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d28e6b97-6105-4d9f-87ae-c16338691689", {
                    "RandomQubit2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], ""}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.19]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735296831217`*^9},ExpressionUUID->"c964a30a-e7d6-4119-b2fb-\
c07e8cd9f8e3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ra1", "=", "RandomKet1"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "ra1", "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.614801760941936*^9, 3.614801902522766*^9}, {
   3.616278458196355*^9, 3.616278568191065*^9}, {3.616278606296336*^9, 
   3.616278680426774*^9}, {3.616279160206479*^9, 3.616279186236405*^9}, {
   3.6162793326466846`*^9, 3.616279334975986*^9}, {3.616279411820554*^9, 
   3.616279467819096*^9}, 
   3.616279942437193*^9},ExpressionUUID->"ddb12c9f-9d56-4793-8c7a-\
52e80b69bc95"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "0.5408481130807813`"}], "-", 
       RowBox[{"0.592148962113026`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.4254016182543398`"}], "-", 
       RowBox[{"0.41937618963409573`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529694057*^9},ExpressionUUID->"f08d238b-dcae-4d34-b1b0-\
33bfea088ba5"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.5408481130807813`"}], "-", 
      RowBox[{"0.592148962113026`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.4254016182543398`"}], "-", 
      RowBox[{"0.41937618963409573`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529698607*^9},ExpressionUUID->"cc12bacb-220a-41fd-a15d-\
55e6b2b73720"],

Cell[CellGroupData[{

Cell[BoxData[{"RandomKet2", "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",ExpressionUUID->"b222b19d-2af4-\
4cf7-ae99-3bdcdf968bdd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "0.4099571905329597`"}], "+", 
       RowBox[{"0.32398934034703686`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.4377041708013389`"}], "+", 
       RowBox[{"0.3134893048642446`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.0036290804587527222`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.4631906012557672`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.21040264053201627`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.4222292616709071`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735297163258`*^9},ExpressionUUID->"ed1194e8-9a94-44e1-928e-\
64cc39e96be6"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.4099571905329597`"}], "+", 
      RowBox[{"0.32398934034703686`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"00\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.4377041708013389`"}], "+", 
      RowBox[{"0.3134893048642446`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"01\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.0036290804587527222`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.4631906012557672`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"10\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.21040264053201627`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.4222292616709071`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"11\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529721377*^9},ExpressionUUID->"a1d13314-35a0-417d-86a8-\
f95e9bc725e5"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{"RandomBra1", "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", 
  "]"}], "\[IndentingNewLine]", "RandomBra2", "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.614801760941936*^9, 
  3.614801870010709*^9}},ExpressionUUID->"444eff7e-99ae-4b48-90ae-\
43321278c6ec"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.7798513447150912`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.28015024850754855`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.4366911371268462`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.3502121773469402`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529731789*^9},ExpressionUUID->"7c479936-cabf-44dd-b966-\
7aa98b4c4e13"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    RowBox[{"0.7798513447150912`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.28015024850754855`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.4366911371268462`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.3502121773469402`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735297367973`*^9},ExpressionUUID->"5cdab817-c02d-4a2b-81a1-\
9f0fe5c11740"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.03083914701376483`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.392242625502641`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.5389719361725525`"}], "+", 
       RowBox[{"0.025512427571361792`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.6013259007697564`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.08345037448631171`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.21516765933297044`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.373093972407476`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529741527*^9},ExpressionUUID->"a60100a2-b6cc-4fb3-88dd-\
e90c1852ab11"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    RowBox[{"0.03083914701376483`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.392242625502641`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"00\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.5389719361725525`"}], "+", 
      RowBox[{"0.025512427571361792`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"01\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.6013259007697564`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.08345037448631171`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"10\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.21516765933297044`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.373093972407476`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"11\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529745984*^9},ExpressionUUID->"25b1bb18-57ef-4cfa-81bb-\
e0156b7f4824"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"RandomKetN", "[", "4", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RandomBraN", "[", "4", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.6148156640920773`*^9, 
  3.6148157293882303`*^9}},ExpressionUUID->"3e4d6496-7068-4f3c-83bf-\
6eb0c5965fdb"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{"0.2422368175315622`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.06762143471090101`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0000\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.08318772444407024`"}], "+", 
      RowBox[{"0.02010629354418396`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0001\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.10926839963385127`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.046660204104149935`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0010\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.1581621026640511`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.1642786268535737`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0011\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.018327361995801525`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.04252529635030406`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0100\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.05374563959807407`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.15104528581256327`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0101\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.15096148071768073`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.2431611865354698`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0110\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.26443173555698757`"}], "-", 
      RowBox[{"0.12810651927307962`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0111\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.03505083923784616`"}], "-", 
      RowBox[{"0.029530677730585125`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1000\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.29367099871614677`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.07165981910502124`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1001\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.3021408618436016`"}], "+", 
      RowBox[{"0.12642222333599465`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1010\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.2809867526639455`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.23772567930534755`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1011\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.2593122647525798`"}], "-", 
      RowBox[{"0.0649940216940169`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1100\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.11308444975797974`"}], "+", 
      RowBox[{"0.2800057348179983`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1101\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.1539427175588176`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.14749613275117623`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1110\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.2540205900672401`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.2415565407464513`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529766164*^9},ExpressionUUID->"049656df-668f-4e4b-a7e2-\
2a173145f76e"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    RowBox[{"0.24468481406345013`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.2803920543726785`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0000\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.2769746104412714`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.28859138063824413`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0001\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.0922052134634171`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.15414352378958177`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0010\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.11692127319680615`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.020529652036442133`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0011\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.0748554200469286`"}], "-", 
      RowBox[{"0.1581929693020908`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0100\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.030232795245716988`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.20263473237724042`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0101\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.007575265149353451`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.24203291671055474`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0110\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.17690429985161352`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.12502094243951065`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0111\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.16715654860802193`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.005026657776900561`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1000\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.17967150078513064`"}], "+", 
      RowBox[{"0.2576025027630987`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1001\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.2772657387479156`"}], "-", 
      RowBox[{"0.02614128276508165`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1010\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.02810651642147794`"}], "+", 
      RowBox[{"0.13530963113784159`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1011\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.014647509407109582`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.11479490719915605`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1100\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.25238254012389694`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.24718446203095262`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1101\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.1551912628236461`"}], "-", 
      RowBox[{"0.16105380978871006`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1110\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.17583463120345225`"}], "-", 
      RowBox[{"0.18599446980588374`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1111\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529779438*^9},ExpressionUUID->"f1f593ea-8407-4a26-8542-\
2f52ea4ffeec"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{
  "Now", " ", "we", " ", "look", " ", "at", " ", "some", " ", "random", " ", 
   "qubit", " ", "density", " ", "matrices"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6148515915303917`*^9, 
  3.614851609365136*^9}},ExpressionUUID->"67086103-18c8-4976-a1ff-\
b46ec5e5ac4c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"r1", "=", "RandomQubit1"}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Pvec", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Chop", "[", 
     RowBox[{"Tr", "[", 
      RowBox[{"r1", ".", 
       RowBox[{"s", "[", "1", "]"}]}], "]"}], "]"}], ",", 
    RowBox[{"Chop", "[", 
     RowBox[{"Tr", "[", 
      RowBox[{"r1", ".", 
       RowBox[{"s", "[", "2", "]"}]}], "]"}], "]"}], ",", 
    RowBox[{"Chop", "[", 
     RowBox[{"Tr", "[", 
      RowBox[{"r1", ".", 
       RowBox[{"s", "[", "3", "]"}]}], "]"}], "]"}]}], 
   "}"}]}], "\[IndentingNewLine]", "RandomQubit2", "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.614815742039184*^9, 3.614815756814451*^9}, {
  3.614851541981352*^9, 3.614851549753937*^9}, {3.614851642012006*^9, 
  3.61485164270822*^9}, {3.614851715504431*^9, 3.614851715965639*^9}, {
  3.614851756419454*^9, 3.6148517756691313`*^9}, {3.6148518226899223`*^9, 
  3.6148518742002153`*^9}},ExpressionUUID->"b05e4b66-eb82-4046-bbe0-\
01b32e7f1fc1"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.478366603518208`", 
      RowBox[{"0.4321926203099293`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.08358249714927733`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.4321926203099293`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.08358249714927733`", " ", "\[ImaginaryI]"}]}], 
      "0.521633396481792`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529809821*^9},ExpressionUUID->"46dd662c-b3dc-4c4f-a8b7-\
635a2e2cbafb"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529815035*^9},ExpressionUUID->"44ae7d58-6105-48bd-8828-\
8c70eae9ce3a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0.8643852406198586`"},
      {
       RowBox[{"-", "0.16716499429855466`"}]},
      {
       RowBox[{"-", "0.04326679296358399`"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529818822*^9},ExpressionUUID->"5c84a443-8636-481e-8134-\
bcdd50471853"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.2041415897938164`", 
      RowBox[{"0.04313021553371942`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06105471711931141`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07344614878341575`"}], "+", 
       RowBox[{"0.011205083467257319`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.03902975930570697`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.09111454480255315`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.04313021553371942`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06105471711931141`", " ", "\[ImaginaryI]"}]}], 
      "0.2959653657931371`", 
      RowBox[{
       RowBox[{"-", "0.0924135458872987`"}], "+", 
       RowBox[{"0.12572555640790695`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.04909098946902221`"}], "+", 
       RowBox[{"0.12248183734800369`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.07344614878341575`"}], "-", 
       RowBox[{"0.011205083467257319`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0924135458872987`"}], "-", 
       RowBox[{"0.12572555640790695`", " ", "\[ImaginaryI]"}]}], 
      "0.27815380990970856`", 
      RowBox[{"0.08257097787045961`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0212749725370788`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.03902975930570697`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.09111454480255315`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.04909098946902221`"}], "-", 
       RowBox[{"0.12248183734800369`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.08257097787045961`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0212749725370788`", " ", "\[ImaginaryI]"}]}], 
      "0.22173923450333796`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937352982327*^9},ExpressionUUID->"3cedbf50-0624-45ea-827e-6a08620a1461"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529827898*^9},ExpressionUUID->"8e53c73e-6990-4412-a330-\
b49497d23e36"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"rho", "=."}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rho", "=", 
   RowBox[{"RandomQubitN", "[", "8", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", "rho", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Purity", "[", "rho", "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Eigenvalues", "[", "rho", "]"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"n", ",", "Ev"}], "}"}]}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", "Eigenvalues"}], ",", 
   RowBox[{"AxesOrigin", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}]}], ",", 
   RowBox[{"Joined", "\[Rule]", "False"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Thin", ",", 
      RowBox[{"PointSize", "[", "Small", "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.61484529851468*^9, 3.614845342016259*^9}, 
   3.6148454481442947`*^9, {3.6148454854699907`*^9, 3.614845488079021*^9}, {
   3.614845542122632*^9, 3.6148455554295464`*^9}, {3.614845625976268*^9, 
   3.614845627077035*^9}, {3.614845680311096*^9, 3.6148457053301287`*^9}, {
   3.614845772669839*^9, 
   3.614845773286627*^9}},ExpressionUUID->"6df3558f-b29d-4924-a58e-\
4b3ef32972d5"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529911605*^9},ExpressionUUID->"198d084c-9a32-4507-ae60-\
5076820c51c8"],

Cell[BoxData[
 TagBox["0.007843429505141958`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373529919306*^9},ExpressionUUID->"6c801cd2-0576-4804-a0fd-\
fa00b9dcae29"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{}, 
    {RGBColor[1, 0, 0], PointSize[Small], Thickness[Tiny], 
     PointBox[CompressedData["
1:eJw1zXs81Ycfx/GDFRWxkkoSpU1powuR8A6TSy7huF/OOc7VcdxG0ZRTWi4Z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      "]]}, {{}, {}}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["n", TraditionalForm], 
     FormBox["Ev", TraditionalForm]},
   AxesOrigin->{0., 0.},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& )}},
   PlotLabel->FormBox["Eigenvalues", TraditionalForm],
   PlotRange->{{0., 256}, {0., 0.015181752217252261`}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.02], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373530113323*^9},ExpressionUUID->"4479e85c-79ee-442a-9260-\
146d5fd2ad9c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Rotqbit"}]], "Input",
 CellChangeTimes->{{3.614785480038932*^9, 
  3.61478548925773*^9}},ExpressionUUID->"dc20293e-69f4-4e5e-ac10-\
397c4b8b747a"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Rotqbit[v,t],\\n\\n\\t builds the matrix \
corresponding to a rotation around \\n\\n axis v of an angle t: MatrixExp[-\
\[ImaginaryI] t/2 \[Sigma].v]\\n\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Rotqbit", "[", 
                    RowBox[{
                    RowBox[{"Private`v_", "?", "ListQ"}], ",", "Private`t_"}],
                     "]"}], ":=", 
                    RowBox[{"MatrixExp", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{"-", "\[ImaginaryI]"}], ")"}], " ", "Private`t", 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"s", "[", "1", "]"}], " ", 
                    
                    RowBox[{"Private`v", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "+", 
                    RowBox[{
                    RowBox[{"s", "[", "2", "]"}], " ", 
                    
                    RowBox[{"Private`v", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "+", 
                    RowBox[{
                    RowBox[{"s", "[", "3", "]"}], " ", 
                    
                    RowBox[{"Private`v", "\[LeftDoubleBracket]", "3", 
                    "\[RightDoubleBracket]"}]}]}], ")"}]}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Rotqbit\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Rotqbit[v,t],\\n\\n\\t builds the matrix \
corresponding to a rotation around \\n\\n axis v of an angle t: MatrixExp[-\
\[ImaginaryI] t/2 \[Sigma].v]\\n\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Rotqbit[v,t],\n\n\t builds the matrix corresponding to a rotation \
around \n\n axis v of an angle t: MatrixExp[-\[ImaginaryI] t/2 \[Sigma].v]\n",
      "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Rotqbit, {QDENSITY`Qdensity`Rotqbit[
          PatternTest[
           Pattern[Private`v, 
            Blank[]], ListQ], 
          Pattern[Private`t, 
           Blank[]]] :> 
        MatrixExp[(-I) (Private`t/2) (
           QDENSITY`Qdensity`s[1] Part[Private`v, 1] + 
           QDENSITY`Qdensity`s[2] Part[Private`v, 2] + 
           QDENSITY`Qdensity`s[3] Part[Private`v, 3])]}], "SubValues" -> None,
      "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`Rotqbit"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373530204574*^9},ExpressionUUID->"1b78b6a6-5ee5-4417-a900-\
2bc68fd4edb8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 OverscriptBox["n", "^"], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{
   OverscriptBox["n", "^"], ".", 
   OverscriptBox["n", "^"]}], "]"}]}], "Input",
 CellChangeTimes->{{3.6147855657483788`*^9, 3.614785600978034*^9}, {
   3.614939929218698*^9, 3.614939929225316*^9}, 
   3.614940254634865*^9},ExpressionUUID->"a3d0f7dc-b9d0-4e9d-ac45-\
dc49b93a5440"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}]}]},
      {
       RowBox[{
        RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}]},
      {
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937353021905*^9},ExpressionUUID->"a85d6162-1b58-4588-af1e-d3f90e3f5594"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373530223981*^9},ExpressionUUID->"575bf416-2a2f-45c9-b9f6-\
efcdb56a36df"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   OverscriptBox["n", "^"], ".", 
   OverscriptBox["\[Sigma]", "\[RightVector]"]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Eigenvalues", "[", "%", 
  "]"}], "\[IndentingNewLine]", "Ket1"}], "Input",
 CellChangeTimes->{{3.614785674340254*^9, 3.614785724225272*^9}, 
   3.614939929228693*^9, 3.614940121059119*^9, {3.615191145365663*^9, 
   3.615191222919488*^9}, {3.61519125320268*^9, 
   3.615191306885151*^9}},ExpressionUUID->"21da04c7-284a-4fcc-bac5-\
2a68f9d206d4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "\[Theta]", "]"}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}], 
      RowBox[{"-", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735302742*^9},ExpressionUUID->"ece67700-406d-4be0-b536-1efaee80b7d7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "1"}]},
      {"1"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373530279146*^9},ExpressionUUID->"e27fea17-0502-4eea-a58d-\
f0da36c77ddf"],

Cell[BoxData[
 TagBox["Ket1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735302829733`*^9},ExpressionUUID->"3cba7154-e5c5-4450-8834-\
b0846218fd5e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Eigen*"}]], "Input",
 CellChangeTimes->{{3.615191179141171*^9, 
  3.615191182386868*^9}},ExpressionUUID->"fa6f23ee-1ddd-437b-b9fd-\
6bb0954af633"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["System`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["System`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["Eigensystem", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8a5b7083-2cf7-4cfb-b2c5-f192295297c2", {
                    "Eigensystem", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Eigenvalues", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8a5b7083-2cf7-4cfb-b2c5-f192295297c2", {
                    "Eigenvalues", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EigenvectorCentrality", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8a5b7083-2cf7-4cfb-b2c5-f192295297c2", {
                    "EigenvectorCentrality", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Eigenvectors", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8a5b7083-2cf7-4cfb-b2c5-f192295297c2", {
                    "Eigenvectors", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic]}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.2375]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735303272457`*^9},ExpressionUUID->"3b08256d-444f-4a8d-a87f-\
b8ef4645a0cb"]
}, Open  ]]
}, Open  ]],

Cell[TextData[StyleBox["The following rotations are about a specific axis.  \
The Wigner rotations using Euler angles are illustrated in a separate \
notebook.",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.61572689893294*^9, 3.615726948250309*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"8d338c0d-e4b1-47a6-b98e-f47f826daff0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Rotation", " ", "about", " ", "x", " ", "axis"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Rotqbit", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", "\[Theta]"}], "]"}], 
     ".", 
     RowBox[{"Ket", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
   RowBox[{"DForm", "[", " ", 
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "I"}], " ", 
       RowBox[{"Pi", "/", "4"}]}], "]"}], 
     RowBox[{"Ket1", "[", 
      RowBox[{"\[Theta]", ",", 
       RowBox[{
        RowBox[{"-", "Pi"}], "/", "2"}]}], "]"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Rotation", " ", "about", " ", "y", " ", "axis"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Rotqbit", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "\[Theta]"}], "]"}], 
     ".", 
     RowBox[{"Ket", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
   RowBox[{"DForm", "[", 
    RowBox[{"Ket1", "[", 
     RowBox[{"\[Theta]", ",", " ", "0"}], "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Rotation", " ", "about", " ", "z", " ", "axis"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Rotqbit", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", "\[Theta]"}], "]"}], 
     ".", 
     RowBox[{"Ket", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"DForm", "[", "%", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.614786508360718*^9, 3.614786547529126*^9}, {
   3.614801221063384*^9, 3.61480131232961*^9}, {3.614801435512061*^9, 
   3.6148015208273153`*^9}, {3.6148015636914*^9, 3.614801609056766*^9}, 
   3.614801668085327*^9, {3.615191352266014*^9, 3.615191408041358*^9}, {
   3.615196734450344*^9, 3.6151967407273817`*^9}, {3.615196785579686*^9, 
   3.615196796546771*^9}, {3.615196844493659*^9, 3.6151968779808064`*^9}, {
   3.615196924622155*^9, 
   3.6151970306924562`*^9}},ExpressionUUID->"eede73a8-bb5e-4f9a-b089-\
1de4b58b7d02"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{"Cos", "[", 
      FractionBox["\[Theta]", "2"], "]"}], "\")\"", "\" |\"", "\"0\"", 
    "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], " ", 
      RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}], "\")\"", "\" |\"", "\"1\"", 
    "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937353035809*^9},ExpressionUUID->"fe811c62-21c9-4045-bc41-1cf721e1b991"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{"Cos", "[", 
      FractionBox["\[Theta]", "2"], "]"}], "\")\"", "\" |\"", "\"0\"", 
    "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], " ", 
      RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}], "\")\"", "\" |\"", "\"1\"", 
    "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373530364121*^9},ExpressionUUID->"6fbe56a0-3117-4feb-a91d-\
d00a525788da"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{"Cos", "[", 
      FractionBox["\[Theta]", "2"], "]"}], "\")\"", "\" |\"", "\"0\"", 
    "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"Sin", "[", 
      FractionBox["\[Theta]", "2"], "]"}], "\")\"", "\" |\"", "\"1\"", 
    "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373530369299*^9},ExpressionUUID->"d67203eb-171c-4122-a537-\
209cfd744a1e"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{"Cos", "[", 
      FractionBox["\[Theta]", "2"], "]"}], "\")\"", "\" |\"", "\"0\"", 
    "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"Sin", "[", 
      FractionBox["\[Theta]", "2"], "]"}], "\")\"", "\" |\"", "\"1\"", 
    "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735303743353`*^9},ExpressionUUID->"194acd1b-31f4-4200-9ad2-\
9d36c3a25e03"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"-", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}], "2"]}]], "\")\"", 
    "\" |\"", "\"0\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373530379298*^9},ExpressionUUID->"cf554983-8f53-463a-95e9-\
f65971d237d7"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Rotqbit", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", "\[Theta]"}], "]"}], 
  "\[Equal]", 
  RowBox[{"RotX", "[", "\[Theta]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rotqbit", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "\[Theta]"}], "]"}], 
  "\[Equal]", 
  RowBox[{"RotY", "[", "\[Theta]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rotqbit", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", "\[Theta]"}], "]"}], 
  "\[Equal]", 
  RowBox[{"RotZ", "[", "\[Theta]", "]"}]}]}], "Input",
 CellChangeTimes->{{3.614801572327919*^9, 
  3.614801594354293*^9}},ExpressionUUID->"1f48707e-b3ec-4f84-92a5-\
85cb2fd3858b"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735303983393`*^9},ExpressionUUID->"cd55d440-ad27-4a4b-9392-\
e251256e579b"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373530403141*^9},ExpressionUUID->"6c5477ed-26f3-49ba-9f98-\
00d23ba07cb4"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373530406641*^9},ExpressionUUID->"7454f928-66f9-4ba7-998f-\
8c0058d66329"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  OverscriptBox["n", "^"], " ", "/.", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"\[Theta]", "\[Rule]", " ", 
     RowBox[{"Pi", "/", "2"}]}], ",", 
    RowBox[{"\[Phi]", "\[Rule]", " ", 
     RowBox[{"Pi", "/", "2"}]}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.615029043823103*^9, 
  3.61502907175375*^9}},ExpressionUUID->"d25ea64c-507c-441e-ba89-\
28a15873e7bc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"1"},
      {"0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373530415914*^9},ExpressionUUID->"662c522c-a9a8-49f3-8670-\
a6bc9cfd3e52"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"MatrixExp", "[", 
     RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], " ", 
      RowBox[{"t", "/", "2"}], " ", 
      RowBox[{"s", "[", "3", "]"}]}], "]"}], " ", "/.", " ", 
    RowBox[{"{", 
     RowBox[{"t", "\[Rule]", " ", "Pi"}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"%", "\[Equal]", 
    RowBox[{
     RowBox[{"-", "\[ImaginaryI]"}], " ", 
     RowBox[{"s", "[", "3", "]"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.61504389387061*^9, 3.615043894548263*^9}, {
  3.615043934181923*^9, 3.615043989079728*^9}, {3.6151909187896633`*^9, 
  3.615191019685482*^9}},ExpressionUUID->"db4bc1ff-3731-4d97-bf24-\
5731288b6927"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", "\[ImaginaryI]"}], "0"},
     {"0", "\[ImaginaryI]"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373530434595*^9},ExpressionUUID->"62be49bd-7423-4d3b-a894-\
15027b67400f"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373530439489*^9},ExpressionUUID->"48bc4f72-a278-46f3-bd51-\
b842d26bb815"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"A", " ", 
     RowBox[{"Pi", "/", "2"}], " ", "spin", " ", 
     RowBox[{"1", "/", "2"}], " ", "rotation", " ", "about", " ", "the", " ", 
     "y"}], "-", 
    RowBox[{
    "axis", " ", "is", " ", "a", " ", "Hadamard", " ", "within", " ", "a", 
     " ", "phase"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Rotqbit", "[", 
     RowBox[{
      OverscriptBox["n", "^"], ",", 
      RowBox[{
       RowBox[{"-", "Pi"}], "/", "2"}]}], "]"}], " ", "/.", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]", "\[Rule]", " ", 
       RowBox[{"Pi", "/", "2"}]}], ",", 
      RowBox[{"\[Phi]", "\[Rule]", " ", 
       RowBox[{"Pi", "/", "2"}]}]}], "}"}]}], "\[IndentingNewLine]", " ", 
   RowBox[{"rotH", "=", 
    RowBox[{
     RowBox[{"s", "[", "3", "]"}], ".", 
     RowBox[{"Rotqbit", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{
        RowBox[{"-", "Pi"}], "/", "2"}]}], "]"}]}]}], "\[IndentingNewLine]", 
   StyleBox[" ", "MSG"], 
   StyleBox["\[ScriptCapitalH]", "MSG",
    FontSize->16], 
   StyleBox[" ", "MSG",
    FontSize->16], 
   StyleBox["\[IndentingNewLine]", "MSG",
    FontSize->16], 
   RowBox[{
    RowBox[{
     StyleBox["rotH", "MSG",
      FontSize->16], 
     StyleBox[".", "MSG",
      FontSize->16], 
     RowBox[{"Ket", "[", "0", "]"}]}], "\[Equal]", 
    RowBox[{"\[ScriptCapitalH]", ".", 
     RowBox[{"Ket", "[", "0", "]"}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     StyleBox["rotH", "MSG",
      FontSize->16], 
     StyleBox[".", "MSG",
      FontSize->16], 
     RowBox[{"Ket", "[", "1", "]"}]}], "\[Equal]", 
    RowBox[{"\[ScriptCapitalH]", ".", 
     RowBox[{"Ket", "[", "1", "]"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.614851996640057*^9, 3.61485200629327*^9}, {
   3.614852054959833*^9, 3.614852058567501*^9}, {3.6148521062555933`*^9, 
   3.6148521074013367`*^9}, {3.6148522256006203`*^9, 3.61485229334475*^9}, {
   3.614852395806662*^9, 3.6148524058968773`*^9}, 3.6148524518974752`*^9, {
   3.614852498737692*^9, 3.6148526130097446`*^9}, {3.614852664397533*^9, 
   3.614852733794731*^9}, {3.61502923280228*^9, 3.61502924488446*^9}, 
   3.615043529223188*^9, {3.615043573523369*^9, 3.615043621254875*^9}, {
   3.6150436644758177`*^9, 3.615043669694355*^9}, {3.6151908499091682`*^9, 
   3.6151908504386272`*^9}},ExpressionUUID->"55b3e53c-e523-4b4a-b3bd-\
1bca7ceb1cad"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], 
      FractionBox["1", 
       SqrtBox["2"]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735304606333`*^9},ExpressionUUID->"97623b93-93cc-4561-9b63-\
f41b2ed95f38"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735304664917`*^9},ExpressionUUID->"cc7d0e64-6b62-4965-ba68-\
bcb86da3e093"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735304706163`*^9},ExpressionUUID->"d718c1f8-5870-4422-a92c-\
f52d5a2ff12b"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373530474868*^9},ExpressionUUID->"b424f2a8-0e77-49f5-b5fa-\
9f18fd7c59a6"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373530478763*^9},ExpressionUUID->"ea345b71-5bd1-4ea3-8701-\
0fcc26ed21d7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Wigner*"}]], "Input",
 CellChangeTimes->{{3.615197729890328*^9, 
  3.6151977389484997`*^9}},ExpressionUUID->"8e3d5ffd-1519-4ce6-a58d-\
3e57a5d9ff89"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["System`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["System`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["WignerD", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-ecb40be6-a9d7-477c-a78c-62eea7d21318", {
                    "WignerD", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  
                  StyleBox["WignerSemicircleDistribution", 
                   "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-ecb40be6-a9d7-477c-a78c-62eea7d21318", {
                    "WignerSemicircleDistribution", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic]}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.475]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373530523201*^9},ExpressionUUID->"fcfc30f8-3ee1-492d-b1ba-\
cb9d3efb6cb3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Rotqbit", "[", 
   RowBox[{
    OverscriptBox["n", "^"], ",", "\[Theta]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rotqbit", "[", 
   RowBox[{
    OverscriptBox["n", "^"], ",", "\[Theta]"}], "]"}], ".", 
  RowBox[{"Ket", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"DForm", "[", "%", "]"}], ",", 
   RowBox[{"Trig", "\[Rule]", "False"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.614785522477777*^9, 3.614785558195698*^9}, {
  3.614785610887342*^9, 3.6147856668089037`*^9}, {3.6147857498647547`*^9, 
  3.6147857858612413`*^9}, {3.614785964559079*^9, 3.6147860011430264`*^9}, {
  3.614786072466282*^9, 3.614786186016363*^9}, {3.614786229034487*^9, 
  3.614786245224031*^9}, {3.6147863688332863`*^9, 3.614786474317567*^9}, {
  3.6149399292330112`*^9, 3.614939929236423*^9}, {3.615197105693131*^9, 
  3.61519717017575*^9}, {3.6151972057705803`*^9, 3.61519722065207*^9}, {
  3.615197267923493*^9, 3.615197270823805*^9}, {3.615197308353696*^9, 
  3.615197336442299*^9}, {3.6151973714529743`*^9, 3.61519740156769*^9}, {
  3.615197434560234*^9, 3.61519747538588*^9}, {3.61519757387516*^9, 
  3.615197596374447*^9}},ExpressionUUID->"fffcfb57-fb36-45ce-8c48-\
02f05bb6b0f7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}], "2"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "-", 
          RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ")"}]}], "+", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}], "2"]], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ")"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}], "2"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            RowBox[{"Cos", "[", "\[Phi]", "]"}]}], " ", 
           RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "-", 
          RowBox[{"\[ImaginaryI]", " ", 
           RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], ")"}]}], "+", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}], "2"]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            RowBox[{"Cos", "[", "\[Phi]", "]"}]}], " ", 
           RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "-", 
          RowBox[{"\[ImaginaryI]", " ", 
           RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], ")"}]}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373530545644*^9},ExpressionUUID->"9829cb8e-37a2-484e-86ab-\
b7faca02572a"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}], "+", 
      RowBox[{
        FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"Sin", "[", 
              FractionBox["\[Theta]", "2"], "]"}], "-", 
            RowBox[{"Sin", "[", 
              FractionBox[
               RowBox[{"3", " ", "\[Theta]"}], "2"], "]"}]}], ")"}]}]}], 
    "\")\"", "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}], " ", 
      RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
      RowBox[{"(", 
        RowBox[{
          RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], " ", 
            RowBox[{"Cos", "[", "\[Phi]", "]"}]}], "+", 
          RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ")"}]}], "\")\"", "\" |\"", 
    "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373530692843*^9},ExpressionUUID->"c7abeb45-ab2d-4ca0-a408-\
70153fc6ba18"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Trig"}]], "Input",
 CellChangeTimes->{{3.6151972348665*^9, 
  3.615197236974169*^9}},ExpressionUUID->"4212b21e-435b-4b64-a861-\
789ba62672b8"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"]], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"]]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               ButtonData->"paclet:ref/Trig",
               ButtonNote->"paclet:ref/Trig"],
              "\"paclet:ref/Trig\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Trig is an option for various polynomial \
manipulation functions that specifies whether trigonometric functions should \
be treated like polynomial elements.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Documentation\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Documentation\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Documentation", "Tooltip"]& ], 
                    TemplateBox[{
                    
                    TemplateBox[{
                    "\"Local \[RightGuillemet]\"", "paclet:ref/Trig", 
                    "paclet:ref/Trig", "Link", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"], "\"  \"", 
                    StyleBox[
                    "\"|\"", "InformationRowLabel", StripOnInput -> False], 
                    "\"  \"", 
                    TemplateBox[{"\"Web \[RightGuillemet]\"", {
                    URL[
                    "http://reference.wolfram.com/language/ref/Trig.html"], 
                    None}, "http://reference.wolfram.com/language/ref/Trig.\
html", "Hyperlink", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"]},
                    "RowDefault"]},
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Attributes\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Attributes\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Attributes", "Tooltip"]& ], 
                    RowBox[{"{", "Protected", "}"}]},
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"System`Trig\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"],
                 ImageSizeCache->{13., {4., 9.}}], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"],
                 ImageSizeCache->{13., {4., 9.}}]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               ButtonData->"paclet:ref/Trig",
               ButtonNote->"paclet:ref/Trig"],
              "\"paclet:ref/Trig\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Trig is an option for various polynomial \
manipulation functions that specifies whether trigonometric functions should \
be treated like polynomial elements.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Trig is an option for various polynomial manipulation functions that \
specifies whether trigonometric functions should be treated like polynomial \
elements.", 
     "Documentation" -> <|
      "Local" -> "paclet:ref/Trig", "Web" -> 
       "http://reference.wolfram.com/language/ref/Trig.html"|>, "OwnValues" -> 
     None, "UpValues" -> None, "DownValues" -> None, "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {Protected}, "FullName" -> 
     "System`Trig"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373530899798*^9},ExpressionUUID->"fb72c3c4-db27-4f95-9d0c-\
cb5048ec2e7b"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Pauli", " ", "Matrices", "  ", "Equivalent", " ", "Forms"}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.6148527839843616`*^9, 3.61485279782648*^9}, {
  3.614853642302339*^9, 
  3.614853647960286*^9}},ExpressionUUID->"a02072ce-30b2-4698-8ed7-\
806780083c0a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "PauliMatrix"}], "\[IndentingNewLine]", 
 RowBox[{"?", "s"}]}], "Input",
 CellChangeTimes->{{3.614852990130526*^9, 3.61485299300521*^9}, {
  3.6148530242906113`*^9, 3.6148530424685907`*^9}, {3.614853103694531*^9, 
  3.6148531667538652`*^9}, {3.614853213462365*^9, 
  3.614853219851118*^9}},ExpressionUUID->"81920f95-4f8e-47d3-af9c-\
e38997190309"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"]], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"]]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               ButtonData->"paclet:ref/PauliMatrix",
               ButtonNote->"paclet:ref/PauliMatrix"],
              "\"paclet:ref/PauliMatrix\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"\\!\\(\\*RowBox[{\\\"PauliMatrix\\\", \\\"[\\\", \
StyleBox[\\\"k\\\", \\\"TI\\\"], \\\"]\\\"}]\\) gives the \
\\!\\(\\*StyleBox[\\\"k\\\", \
\\\"TI\\\"]\\)\\!\\(\\*SuperscriptBox[\\\"\[Null]\\\", \\\"th\\\"]\\) Pauli \
spin matrix \\!\\(\\*SubscriptBox[\\\"\[Sigma]\\\", StyleBox[\\\"k\\\", \
\\\"TI\\\"]]\\).\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Documentation\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Documentation\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Documentation", "Tooltip"]& ], 
                    TemplateBox[{
                    
                    TemplateBox[{
                    "\"Local \[RightGuillemet]\"", "paclet:ref/PauliMatrix", 
                    "paclet:ref/PauliMatrix", "Link", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"], "\"  \"", 
                    StyleBox[
                    "\"|\"", "InformationRowLabel", StripOnInput -> False], 
                    "\"  \"", 
                    TemplateBox[{"\"Web \[RightGuillemet]\"", {
                    URL[
                    "http://reference.wolfram.com/language/ref/PauliMatrix.\
html"], None}, "http://reference.wolfram.com/language/ref/PauliMatrix.html", 
                    "Hyperlink", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"]},
                    "RowDefault"]},
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Attributes\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Attributes\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Attributes", "Tooltip"]& ], 
                    RowBox[{"{", 
                    RowBox[{"Protected", ",", "ReadProtected"}], "}"}]},
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"System`PauliMatrix\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"],
                 ImageSizeCache->{13., {4., 9.}}], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"],
                 ImageSizeCache->{13., {4., 9.}}]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               ButtonData->"paclet:ref/PauliMatrix",
               ButtonNote->"paclet:ref/PauliMatrix"],
              "\"paclet:ref/PauliMatrix\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"\\!\\(\\*RowBox[{\\\"PauliMatrix\\\", \\\"[\\\", \
StyleBox[\\\"k\\\", \\\"TI\\\"], \\\"]\\\"}]\\) gives the \
\\!\\(\\*StyleBox[\\\"k\\\", \
\\\"TI\\\"]\\)\\!\\(\\*SuperscriptBox[\\\"\[Null]\\\", \\\"th\\\"]\\) Pauli \
spin matrix \\!\\(\\*SubscriptBox[\\\"\[Sigma]\\\", StyleBox[\\\"k\\\", \
\\\"TI\\\"]]\\).\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "\!\(\*RowBox[{\"PauliMatrix\", \"[\", StyleBox[\"k\", \"TI\"], \
\"]\"}]\) gives the \!\(\*StyleBox[\"k\", \"TI\"]\)\!\(\*SuperscriptBox[\"\
\[Null]\", \"th\"]\) Pauli spin matrix \!\(\*SubscriptBox[\"\[Sigma]\", \
StyleBox[\"k\", \"TI\"]]\).", 
     "Documentation" -> <|
      "Local" -> "paclet:ref/PauliMatrix", "Web" -> 
       "http://reference.wolfram.com/language/ref/PauliMatrix.html"|>, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> None, 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {Protected, ReadProtected}, "FullName" -> 
     "System`PauliMatrix"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531004141*^9},ExpressionUUID->"8df6d4b4-e1dd-45eb-a0da-\
ed83f20b8003"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"s[i] with i={0,1,2,3}\\n\\n Returns the Pauli \
Sigma matrices.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"s", "[", "0", "]"}], ":=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"s", "[", "1", "]"}], ":=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], "}"}]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"s", "[", "2", "]"}], ":=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "\[ImaginaryI]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"\[ImaginaryI]", ",", "0"}], "}"}]}], "}"}]}]}, {
                    " "}, {
                    RowBox[{
                    RowBox[{"s", "[", "3", "]"}], ":=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "1"}]}], "}"}]}], "}"}]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"s", "[", "10", "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    FractionBox["1", 
                    SqrtBox["2"]], ",", 
                    FractionBox["1", 
                    SqrtBox["2"]]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    FractionBox["1", 
                    SqrtBox["2"]], ",", 
                    RowBox[{"-", 
                    FractionBox["1", 
                    SqrtBox["2"]]}]}], "}"}]}], "}"}]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"s", "[", "11", "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], "}"}]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"s", "[", "12", "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"s", "[", "13", "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"s", "[", "33", "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "1"}]}], "}"}]}], "}"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`s\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"s[i] with i={0,1,2,3}\\n\\n Returns the Pauli \
Sigma matrices.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "s[i] with i={0,1,2,3}\n\n Returns the Pauli Sigma matrices.", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`s, {
       QDENSITY`Qdensity`s[0] :> {{1, 0}, {0, 1}}, 
        QDENSITY`Qdensity`s[1] :> {{0, 1}, {1, 0}}, 
        QDENSITY`Qdensity`s[2] :> {{0, -I}, {I, 0}}, 
        QDENSITY`Qdensity`s[3] :> {{1, 0}, {0, -1}}, 
        QDENSITY`Qdensity`s[
         10] -> {{2^Rational[-1, 2], 2^Rational[-1, 2]}, {
          2^Rational[-1, 2], -2^Rational[-1, 2]}}, 
        QDENSITY`Qdensity`s[11] -> {{0, 1}, {1, 0}}, 
        QDENSITY`Qdensity`s[12] -> {{1, 0}, {0, 0}}, 
        QDENSITY`Qdensity`s[13] -> {{0, 0}, {0, 1}}, 
        QDENSITY`Qdensity`s[33] -> {{1, 0}, {0, -1}}}], "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`s"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531080613*^9},ExpressionUUID->"8e3594bd-a547-424a-a76c-\
2da6326c88cd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PauliMatrix", "[", "0", "]"}], "\[IndentingNewLine]", 
 RowBox[{"PauliMatrix", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"PauliMatrix", "[", "2", "]"}], "\[IndentingNewLine]", 
 RowBox[{"PauliMatrix", "[", "3", "]"}]}], "Input",
 CellChangeTimes->{{3.614853235195223*^9, 3.614853293781836*^9}, {
  3.614853396073605*^9, 
  3.6148533989306*^9}},ExpressionUUID->"bf840fd6-65ca-4b5d-b663-c50f64851b6b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531095408*^9},ExpressionUUID->"2b5c7560-c7b2-4333-b8fb-\
d90a37db8a0d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "1"},
     {"1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531100868*^9},ExpressionUUID->"d31ef796-d3f3-4bdd-b38b-\
9c230a21b184"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{"-", "\[ImaginaryI]"}]},
     {"\[ImaginaryI]", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531105068*^9},ExpressionUUID->"6fed06d5-4622-487e-85ca-\
48ae102bc308"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937353110991*^9},ExpressionUUID->"a22342ec-6534-4a19-99fb-ff721fe358c3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 SubscriptBox["\[Sigma]", "0"], "\[IndentingNewLine]", 
 SubscriptBox["\[Sigma]", "1"], "\[IndentingNewLine]", 
 SubscriptBox["\[Sigma]", "2"], "\[IndentingNewLine]", 
 SubscriptBox["\[Sigma]", "3"]}], "Input",
 CellChangeTimes->{{3.614853344845902*^9, 
  3.614853385273594*^9}},ExpressionUUID->"a07ce719-ef1a-4455-877d-\
980291b0af34"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735311278667`*^9},ExpressionUUID->"715e704c-1bb1-44e4-ac30-\
e3b01a1aede7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "1"},
     {"1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531133602*^9},ExpressionUUID->"e55ff1a4-17be-4ce6-b267-\
c1ab153dc4c1"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{"-", "\[ImaginaryI]"}]},
     {"\[ImaginaryI]", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735311381817`*^9},ExpressionUUID->"eab6f091-947b-4b6f-a2f1-\
986c5a890b26"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531143067*^9},ExpressionUUID->"4642c3f2-b642-46b1-8ec4-\
f11d629d36ae"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"PauliMatrix", "[", "0", "]"}], ",", 
    RowBox[{"PauliMatrix", "[", "1", "]"}], ",", 
    RowBox[{"PauliMatrix", "[", "2", "]"}], ",", 
    RowBox[{"PauliMatrix", "[", "3", "]"}]}], "}"}], "==", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"s", "[", "0", "]"}], ",", 
    RowBox[{"s", "[", "1", "]"}], ",", 
    RowBox[{"s", "[", "2", "]"}], ",", 
    RowBox[{"s", "[", "3", "]"}]}], "}"}], "==", 
  RowBox[{"{", 
   RowBox[{"Sigma0", ",", "Sigma1", ",", "Sigma2", ",", "Sigma3"}], "}"}], 
  "\[Equal]", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Sigma]", "0"], ",", 
    SubscriptBox["\[Sigma]", "1"], ",", 
    SubscriptBox["\[Sigma]", "2"], ",", 
    SubscriptBox["\[Sigma]", "3"]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.61485280432136*^9, 3.61485296208074*^9}, {
  3.614853246097472*^9, 3.6148532529361362`*^9}, {3.614853421554577*^9, 
  3.6148534242538843`*^9}, {3.614853592851345*^9, 
  3.6148536112644043`*^9}},ExpressionUUID->"aa91c26a-11ed-4874-9adb-\
6dd9de5c386f"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531152565*^9},ExpressionUUID->"6cf160ca-f7d7-4def-9afd-\
92afc62615c4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "SP"}]], "Input",
 CellChangeTimes->{{3.614853668755834*^9, 
  3.6148536700879583`*^9}},ExpressionUUID->"e333b42d-3855-4a39-b579-\
1993c1dcce01"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"SP[Length[V],V]\\n\\n\\t SP returns the tensor or \
spin product(SP) of \\n\\n Length[V] qubits with the components\\n\\n \
specified by the array V.  The array V={0, 1,2,q,...}has \\n\\n a length \
equal to the number of qubits\\n\\n and the entries in the array V specify \
the\\n\\n components of the qth Pauli operator.  \\n\\n\\t For example:  \
SP[2,{3,2}] returns the same 4X4 matrix as\\n\\n \
AF[Sigma3\[CircleTimes]Sigma2].  The advantage of SP is that it\\n\\n works \
for large dimensional matrices.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"SP", "[", 
                    RowBox[{"Private`nqv_", ",", "Private`Q_"}], "]"}], ":=", 
                    RowBox[{"ArrayFlatten", "[", 
                    RowBox[{"Private`Sp", "[", 
                    RowBox[{"Private`nqv", ",", "Private`Q"}], "]"}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`SP\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"SP[Length[V],V]\\n\\n\\t SP returns the tensor or \
spin product(SP) of \\n\\n Length[V] qubits with the components\\n\\n \
specified by the array V.  The array V={0, 1,2,q,...}has \\n\\n a length \
equal to the number of qubits\\n\\n and the entries in the array V specify \
the\\n\\n components of the qth Pauli operator.  \\n\\n\\t For example:  \
SP[2,{3,2}] returns the same 4X4 matrix as\\n\\n \
AF[Sigma3\[CircleTimes]Sigma2].  The advantage of SP is that it\\n\\n works \
for large dimensional matrices.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "SP[Length[V],V]\n\n\t SP returns the tensor or spin product(SP) of \n\n \
Length[V] qubits with the components\n\n specified by the array V.  The array \
V={0, 1,2,q,...}has \n\n a length equal to the number of qubits\n\n and the \
entries in the array V specify the\n\n components of the qth Pauli operator.  \
\n\n\t For example:  SP[2,{3,2}] returns the same 4X4 matrix as\n\n AF[Sigma3\
\[CircleTimes]Sigma2].  The advantage of SP is that it\n\n works for large \
dimensional matrices.", "Documentation" -> None, "OwnValues" -> None, 
     "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`SP, {QDENSITY`Qdensity`SP[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`Q, 
           Blank[]]] :> ArrayFlatten[
          Private`Sp[Private`nqv, Private`Q]]}], "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`SP"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937353124509*^9},ExpressionUUID->"9456e01d-c7bb-4e9b-99d1-b6bea4591a6a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SP", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", "0", "}"}]}], "]"}], "==", 
  RowBox[{"PauliMatrix", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SP", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", "1", "}"}]}], "]"}], "==", 
  RowBox[{"PauliMatrix", "[", "1", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SP", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", "2", "}"}]}], "]"}], "==", 
  RowBox[{"PauliMatrix", "[", "2", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SP", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", "3", "}"}]}], "]"}], "==", 
  RowBox[{"PauliMatrix", "[", "3", "]"}]}]}], "Input",
 CellChangeTimes->{{3.6148536800383663`*^9, 
  3.614853747878002*^9}},ExpressionUUID->"7b4af726-0d3b-47cb-993d-\
b5b976459c1b"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531260272*^9},ExpressionUUID->"c5c00a05-5696-45c5-ba5d-\
03e1e4fadf16"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531265786*^9},ExpressionUUID->"ad5b30f8-b2f1-43d7-afba-\
f0e299d68e74"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531269883*^9},ExpressionUUID->"256023df-d5d6-4178-9e2a-\
3d98d50e893b"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531274373*^9},ExpressionUUID->"73bd46cf-b3ad-4a37-a217-\
0ca0958b787b"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SP", "[", 
   RowBox[{"2", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[Sigma]", "1"], " ", "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "0"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SP", "[", 
   RowBox[{"4", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "1", ",", "0"}], "}"}]}], "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[Sigma]", "1"], " ", "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "0"], "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "1"], " ", "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "0"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SP", "[", 
   RowBox[{"6", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1"}], "}"}]}],
    "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[Sigma]", "1"], " ", "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "0"], "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "1"], " ", "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "0"], "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "1"], " ", "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "1"]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6148537593542633`*^9, 3.614853803202862*^9}, {
  3.6148538344332438`*^9, 3.614853927306975*^9}, {3.857068519172777*^9, 
  3.857068519182879*^9}, {3.859373407521422*^9, 
  3.859373407530348*^9}},ExpressionUUID->"c9ebbac2-8e74-4d5f-bbcd-\
8cc1ff401f6c"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531292903*^9},ExpressionUUID->"3aa114ae-23a6-486e-9b15-\
c9964ad38c0d"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531298769*^9},ExpressionUUID->"e49170ca-8bc5-4943-b198-\
d700fcb03012"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735313031178`*^9},ExpressionUUID->"c6f10ce2-4a65-41e5-8ae8-\
b08f1a7d126e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Swap"}]], "Input",
 CellChangeTimes->{{3.614853941635272*^9, 
  3.614853945396525*^9}},ExpressionUUID->"b7f53c7f-0ea0-4982-8415-\
749e2b90bcdb"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Swap[nqv,q1,q2]\\n\\n\\t swaps the content of \
qubits 1 and 2,  within nqv qubits.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Swap", "[", 
                    
                    RowBox[{
                    "Private`nqv_", ",", "Private`q1_", ",", "Private`q2_"}], 
                    "]"}], ":=", 
                    RowBox[{"AF", "[", 
                    RowBox[{
                    RowBox[{"CNOT", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2"}], "]"}], ".", 
                    RowBox[{"CNOT", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q2", ",", 
                    "Private`q1"}], "]"}], ".", 
                    RowBox[{"CNOT", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2"}], "]"}]}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Swap\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Swap[nqv,q1,q2]\\n\\n\\t swaps the content of \
qubits 1 and 2,  within nqv qubits.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Swap[nqv,q1,q2]\n\n\t swaps the content of qubits 1 and 2,  within nqv \
qubits.", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Swap, {QDENSITY`Qdensity`Swap[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q1, 
           Blank[]], 
          Pattern[Private`q2, 
           Blank[]]] :> QDENSITY`Qdensity`AF[
          Dot[
           QDENSITY`Qdensity`CNOT[Private`nqv, Private`q1, Private`q2], 
           QDENSITY`Qdensity`CNOT[Private`nqv, Private`q2, Private`q1], 
           QDENSITY`Qdensity`CNOT[Private`nqv, Private`q1, Private`q2]]]}], 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`Swap"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937353139002*^9},ExpressionUUID->"87032860-979b-4c5b-8b8e-5eb875a2970e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Swap", "[", 
  RowBox[{"2", ",", "1", ",", "2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Swap", "[", 
    RowBox[{"2", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Swap", "[", 
    RowBox[{"4", ",", "1", ",", "3"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.614853962558292*^9, 3.614854015413516*^9}, {
  3.614854056689136*^9, 3.614854132622916*^9}, {3.614854173008792*^9, 
  3.6148541936947308`*^9}, {3.857068519185739*^9, 3.8570685191938677`*^9}, {
  3.859373407542935*^9, 
  3.859373407551635*^9}},ExpressionUUID->"614e87ba-b470-4299-ba1c-\
8a1e4ff4f266"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "0", "1", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735314048243`*^9},ExpressionUUID->"eef2eb2a-1396-45c2-920e-\
3625b453ac6d"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735314100323`*^9},ExpressionUUID->"3eb0bcc4-a06d-4013-a954-\
6b27fb7a4502"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531413972*^9},ExpressionUUID->"8e278476-6634-48aa-b42c-\
a0bcd31e6648"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"example", "=", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"a", " ", 
        RowBox[{
         RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"Ket", "[", "0", "]"}]}]}], "-", 
       RowBox[{"b", " ", 
        RowBox[{
         RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"Ket", "[", "0", "]"}]}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Swap", "[", 
      RowBox[{"4", ",", "1", ",", "3"}], "]"}], ".", "example"}], "==", 
    RowBox[{"AF", "[", 
     RowBox[{
      RowBox[{"a", " ", 
       RowBox[{
        RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
        RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
        RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
        RowBox[{"Ket", "[", "0", "]"}]}]}], "-", 
      RowBox[{"b", " ", 
       RowBox[{
        RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
        RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
        RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
        RowBox[{"Ket", "[", "0", "]"}]}]}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.614854229952134*^9, 3.6148543953533573`*^9}, {
  3.857068519196542*^9, 3.857068519210553*^9}, {3.8593734075554934`*^9, 
  3.8593734075689707`*^9}},ExpressionUUID->"3c1842a9-90dd-4c0e-865f-\
c97a199227df"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531432042*^9},ExpressionUUID->"ccdf33bb-ca5d-47c6-984e-\
c6679a862c33"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"?", "KroneckerProduct"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.615985423703212*^9, 3.615985434547131*^9}, 
   3.857129233903081*^9, {3.8593734517593927`*^9, 
   3.859373458622302*^9}},ExpressionUUID->"ba1dd460-02bf-4461-8063-\
fa585a4c2a4a"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"]], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"]]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               ButtonData->"paclet:ref/KroneckerProduct",
               ButtonNote->"paclet:ref/KroneckerProduct"],
              "\"paclet:ref/KroneckerProduct\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"\\!\\(\\*RowBox[{\\\"KroneckerProduct\\\", \\\"[\\\
\", RowBox[{SubscriptBox[StyleBox[\\\"m\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \
\\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"m\\\", \\\"TI\\\"], \
StyleBox[\\\"2\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\
\"TR\\\"]}], \\\"]\\\"}]\\) constructs the Kronecker product of the arrays \
\\!\\(\\*SubscriptBox[StyleBox[\\\"m\\\", \\\"TI\\\"], StyleBox[\\\"i\\\", \\\
\"TI\\\"]]\\).\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Documentation\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Documentation\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Documentation", "Tooltip"]& ], 
                    TemplateBox[{
                    
                    TemplateBox[{
                    "\"Local \[RightGuillemet]\"", 
                    "paclet:ref/KroneckerProduct", 
                    "paclet:ref/KroneckerProduct", "Link", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"], "\"  \"", 
                    StyleBox[
                    "\"|\"", "InformationRowLabel", StripOnInput -> False], 
                    "\"  \"", 
                    TemplateBox[{"\"Web \[RightGuillemet]\"", {
                    URL[
                    "http://reference.wolfram.com/language/ref/\
KroneckerProduct.html"], None}, 
                    "http://reference.wolfram.com/language/ref/\
KroneckerProduct.html", "Hyperlink", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"]},
                    "RowDefault"]},
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Attributes\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Attributes\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Attributes", "Tooltip"]& ], 
                    RowBox[{"{", "Protected", "}"}]},
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"System`KroneckerProduct\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"],
                 ImageSizeCache->{13., {4., 9.}}], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"],
                 ImageSizeCache->{13., {4., 9.}}]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               ButtonData->"paclet:ref/KroneckerProduct",
               ButtonNote->"paclet:ref/KroneckerProduct"],
              "\"paclet:ref/KroneckerProduct\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"\\!\\(\\*RowBox[{\\\"KroneckerProduct\\\", \\\"[\\\
\", RowBox[{SubscriptBox[StyleBox[\\\"m\\\", \\\"TI\\\"], StyleBox[\\\"1\\\", \
\\\"TR\\\"]], \\\",\\\", SubscriptBox[StyleBox[\\\"m\\\", \\\"TI\\\"], \
StyleBox[\\\"2\\\", \\\"TR\\\"]], \\\",\\\", StyleBox[\\\"\[Ellipsis]\\\", \\\
\"TR\\\"]}], \\\"]\\\"}]\\) constructs the Kronecker product of the arrays \
\\!\\(\\*SubscriptBox[StyleBox[\\\"m\\\", \\\"TI\\\"], StyleBox[\\\"i\\\", \\\
\"TI\\\"]]\\).\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "\!\(\*RowBox[{\"KroneckerProduct\", \"[\", \
RowBox[{SubscriptBox[StyleBox[\"m\", \"TI\"], StyleBox[\"1\", \"TR\"]], \
\",\", SubscriptBox[StyleBox[\"m\", \"TI\"], StyleBox[\"2\", \"TR\"]], \",\", \
StyleBox[\"\[Ellipsis]\", \"TR\"]}], \"]\"}]\) constructs the Kronecker \
product of the arrays \!\(\*SubscriptBox[StyleBox[\"m\", \"TI\"], \
StyleBox[\"i\", \"TI\"]]\).", 
     "Documentation" -> <|
      "Local" -> "paclet:ref/KroneckerProduct", "Web" -> 
       "http://reference.wolfram.com/language/ref/KroneckerProduct.html"|>, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> None, 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {Protected}, 
     "FullName" -> "System`KroneckerProduct"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735315045023`*^9},ExpressionUUID->"0a7edca0-97ca-4ab0-89f5-\
6e13446d7a9b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Toffoli"}]], "Input",
 CellChangeTimes->{{3.615717495013706*^9, 
  3.615717509655819*^9}},ExpressionUUID->"e176442e-1890-4fa3-b672-\
9b45792ee551"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Toffoli[nqv,q1,q2, q3] \\n\\n\\tReturns the \
Toffoli operator with q1 and q2 as control qubits, \\n\\n q3 as target qubit \
within nqv qubits \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Toffoli", "[", 
                    
                    RowBox[{
                    "Private`nqv_", ",", "Private`q1_", ",", "Private`q2_", 
                    ",", "Private`q3_"}], "]"}], ":=", 
                    RowBox[{"AF", "[", 
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"3", " ", 
                    RowBox[{"ThreeOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "Private`q3", ",", "0", ",", "0", ",", 
                    "0"}], "]"}]}], "+", 
                    RowBox[{"ThreeOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "Private`q3", ",", "3", ",", "0", ",", 
                    "0"}], "]"}], "+", 
                    RowBox[{"ThreeOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "Private`q3", ",", "0", ",", "3", ",", 
                    "0"}], "]"}], "-", 
                    RowBox[{"ThreeOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "Private`q3", ",", "3", ",", "3", ",", 
                    "0"}], "]"}], "+", 
                    RowBox[{"ThreeOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "Private`q3", ",", "0", ",", "0", ",", 
                    "1"}], "]"}], "-", 
                    RowBox[{"ThreeOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "Private`q3", ",", "3", ",", "0", ",", 
                    "1"}], "]"}], "-", 
                    RowBox[{"ThreeOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "Private`q3", ",", "0", ",", "3", ",", 
                    "1"}], "]"}], "+", 
                    RowBox[{"ThreeOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "Private`q3", ",", "3", ",", "3", ",", 
                    "1"}], "]"}]}], ")"}]}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Toffoli\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Toffoli[nqv,q1,q2, q3] \\n\\n\\tReturns the \
Toffoli operator with q1 and q2 as control qubits, \\n\\n q3 as target qubit \
within nqv qubits \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Toffoli[nqv,q1,q2, q3] \n\n\tReturns the Toffoli operator with q1 and \
q2 as control qubits, \n\n q3 as target qubit within nqv qubits ", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Toffoli, {QDENSITY`Qdensity`Toffoli[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q1, 
           Blank[]], 
          Pattern[Private`q2, 
           Blank[]], 
          Pattern[Private`q3, 
           Blank[]]] :> 
        QDENSITY`Qdensity`AF[(
           3 QDENSITY`Qdensity`ThreeOp[
             Private`nqv, Private`q1, Private`q2, Private`q3, 0, 0, 0] + 
           QDENSITY`Qdensity`ThreeOp[
            Private`nqv, Private`q1, Private`q2, Private`q3, 3, 0, 0] + 
           QDENSITY`Qdensity`ThreeOp[
            Private`nqv, Private`q1, Private`q2, Private`q3, 0, 3, 0] - 
           QDENSITY`Qdensity`ThreeOp[
           Private`nqv, Private`q1, Private`q2, Private`q3, 3, 3, 0] + 
           QDENSITY`Qdensity`ThreeOp[
            Private`nqv, Private`q1, Private`q2, Private`q3, 0, 0, 1] - 
           QDENSITY`Qdensity`ThreeOp[
           Private`nqv, Private`q1, Private`q2, Private`q3, 3, 0, 1] - 
           QDENSITY`Qdensity`ThreeOp[
           Private`nqv, Private`q1, Private`q2, Private`q3, 0, 3, 1] + 
           QDENSITY`Qdensity`ThreeOp[
            Private`nqv, Private`q1, Private`q2, Private`q3, 3, 3, 1])/4]}], 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`Toffoli"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531588944*^9},ExpressionUUID->"c58d9ac9-1df6-4fcd-bebb-\
306a258ad364"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Toffoli", "[", 
  RowBox[{"3", ",", "1", ",", "2", ",", "3"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Toffoli", "[", 
  RowBox[{"3", ",", "3", ",", "2", ",", "1"}], "]"}]}], "Input",
 CellChangeTimes->{{3.615717522627043*^9, 
  3.615717567726281*^9}},ExpressionUUID->"76303c62-28e1-4ede-a837-\
6d47d0fa9ee6"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "1", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1"},
     {"0", "0", "0", "0", "0", "0", "1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531603657*^9},ExpressionUUID->"1bd710c5-b0ca-473f-a099-\
f12580d62bc7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1"},
     {"0", "0", "0", "0", "1", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "1", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531609303*^9},ExpressionUUID->"1f605541-c769-48b9-852d-\
38251bf31295"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"state3", "=", 
   RowBox[{"AF", "[", 
    RowBox[{
     RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Toffoli", "[", 
    RowBox[{"3", ",", "1", ",", "2", ",", "3"}], "]"}], ".", "state3"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"state3", "=", 
   RowBox[{"AF", "[", 
    RowBox[{
     RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Toffoli", "[", 
    RowBox[{"3", ",", "1", ",", "2", ",", "3"}], "]"}], ".", "state3"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"state3", "=", 
   RowBox[{"AF", "[", 
    RowBox[{
     RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Toffoli", "[", 
    RowBox[{"3", ",", "1", ",", "2", ",", "3"}], "]"}], ".", "state3"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{
  3.615717591092379*^9, {3.615717629319591*^9, 3.615717746325338*^9}, {
   3.857068519217671*^9, 3.857068519224051*^9}, {3.859373407596233*^9, 
   3.8593734076030397`*^9}},ExpressionUUID->"6b10a625-61e3-44ef-837d-\
ff6805a044a5"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735316279783`*^9},ExpressionUUID->"aacd02b4-0049-4eb6-82f3-\
d9bc468ca0bd"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"110\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937353163447*^9},ExpressionUUID->"2f0d9c41-8539-4920-8bf8-cd58ade116a7"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"110\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735316390142`*^9},ExpressionUUID->"a1a59310-445e-4cdc-88b2-\
48e995130dff"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735316439943`*^9},ExpressionUUID->"d525332b-3aaa-4313-8051-\
8be83bbdfb87"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"011\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531648542*^9},ExpressionUUID->"23259455-ff28-4d83-a729-\
a6193dd14661"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"011\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735316532173`*^9},ExpressionUUID->"fae0a0d9-4283-49f8-bcba-\
93516b063b65"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "xb"}], "\[IndentingNewLine]", "nq", "\[IndentingNewLine]", 
 RowBox[{"Row", "[", 
  RowBox[{"xb", "[", "5", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Row", "[", 
  RowBox[{"xb", "[", 
   RowBox[{
    RowBox[{"2", "^", "nq"}], "-", "1"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.615717770936335*^9, 3.615717839123303*^9}, {
  3.615890193588212*^9, 
  3.615890243538904*^9}},ExpressionUUID->"6b0c5f0c-c1d2-47f7-bc02-\
194d327075d3"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"xb[i]\\n\\n\\t returns number i in binary;  \\n\\n \
See Xb (note capital X) for the associated binary array from 0 to nb^nq -1.\"\
\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"xb", "[", "Private`i_", "]"}], ":=", 
                    RowBox[{"IntegerDigits", "[", 
                    RowBox[{
                    RowBox[{"xd", "[", "Private`i", "]"}], ",", "nb", ",", 
                    "nq"}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`xb\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"xb[i]\\n\\n\\t returns number i in binary;  \\n\\n \
See Xb (note capital X) for the associated binary array from 0 to nb^nq -1.\"\
\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "xb[i]\n\n\t returns number i in binary;  \n\n See Xb (note capital X) \
for the associated binary array from 0 to nb^nq -1.", "Documentation" -> None,
      "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`xb, {QDENSITY`Qdensity`xb[
          Pattern[Private`i, 
           Blank[]]] :> IntegerDigits[
          QDENSITY`Qdensity`xd[Private`i], QDENSITY`Qdensity`nb, 
          QDENSITY`Qdensity`nq]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`xb"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531736824*^9},ExpressionUUID->"ced7a156-65e0-46eb-9a91-\
6c8df35bfeb9"],

Cell[BoxData[
 TagBox["6",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531747211*^9},ExpressionUUID->"6925a26d-bbee-4e39-a58d-\
065ecb209605"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"0", "0", "0", "1", "0", "1"},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735317514553`*^9},ExpressionUUID->"b839d798-8ff4-4cfe-b036-\
d9699848b391"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"1", "1", "1", "1", "1", "1"},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531756446*^9},ExpressionUUID->"eb422fb2-207b-4805-8445-\
71c9b5e6ee81"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "Xb"}], "\[IndentingNewLine]", "nq", "\[IndentingNewLine]", 
 RowBox[{"2", "^", "nq"}], "\[IndentingNewLine]", "nb", "\[IndentingNewLine]", 
 RowBox[{"Xb", "[", 
  RowBox[{"2", "^", "nq"}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6157178557794447`*^9, 3.615717898622518*^9}, {
  3.615718025024171*^9, 3.615718067929324*^9}, {3.61572572005256*^9, 
  3.6157257457816057`*^9}, {3.615890085620804*^9, 3.615890125097165*^9}, {
  3.615890158588896*^9, 
  3.61589016656564*^9}},ExpressionUUID->"fb878eee-b6fe-4b81-b8b7-\
e74a3e34ce30"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Xb (note capital X)\\n\\n\\t returns the binary \
\\narray for the numbers 0 to nb^nq -1.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Xb", "[", "Private`n_", "]"}], ":=", 
                    RowBox[{"Array", "[", 
                    RowBox[{"xb", ",", "Private`n", ",", "0"}], "]"}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Xb\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Xb (note capital X)\\n\\n\\t returns the binary \
\\narray for the numbers 0 to nb^nq -1.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Xb (note capital X)\n\n\t returns the binary \narray for the numbers 0 \
to nb^nq -1.", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> 
     None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Xb, {QDENSITY`Qdensity`Xb[
          Pattern[Private`n, 
           Blank[]]] :> Array[QDENSITY`Qdensity`xb, Private`n, 0]}], 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`Xb"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531877555*^9},ExpressionUUID->"4208798e-039c-4f9e-a1aa-\
6db4113786bb"],

Cell[BoxData[
 TagBox["6",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531887813*^9},ExpressionUUID->"57153058-7837-438e-9e27-\
1386482c760d"],

Cell[BoxData[
 TagBox["64",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531891796*^9},ExpressionUUID->"faf2d2ad-2281-40b9-9e71-\
c54827a050cd"],

Cell[BoxData[
 TagBox["2",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937353189603*^9},ExpressionUUID->"cb037d86-5526-4941-9cdc-954b6aa6a2b6"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "1"},
     {"0", "0", "0", "0", "1", "0"},
     {"0", "0", "0", "0", "1", "1"},
     {"0", "0", "0", "1", "0", "0"},
     {"0", "0", "0", "1", "0", "1"},
     {"0", "0", "0", "1", "1", "0"},
     {"0", "0", "0", "1", "1", "1"},
     {"0", "0", "1", "0", "0", "0"},
     {"0", "0", "1", "0", "0", "1"},
     {"0", "0", "1", "0", "1", "0"},
     {"0", "0", "1", "0", "1", "1"},
     {"0", "0", "1", "1", "0", "0"},
     {"0", "0", "1", "1", "0", "1"},
     {"0", "0", "1", "1", "1", "0"},
     {"0", "0", "1", "1", "1", "1"},
     {"0", "1", "0", "0", "0", "0"},
     {"0", "1", "0", "0", "0", "1"},
     {"0", "1", "0", "0", "1", "0"},
     {"0", "1", "0", "0", "1", "1"},
     {"0", "1", "0", "1", "0", "0"},
     {"0", "1", "0", "1", "0", "1"},
     {"0", "1", "0", "1", "1", "0"},
     {"0", "1", "0", "1", "1", "1"},
     {"0", "1", "1", "0", "0", "0"},
     {"0", "1", "1", "0", "0", "1"},
     {"0", "1", "1", "0", "1", "0"},
     {"0", "1", "1", "0", "1", "1"},
     {"0", "1", "1", "1", "0", "0"},
     {"0", "1", "1", "1", "0", "1"},
     {"0", "1", "1", "1", "1", "0"},
     {"0", "1", "1", "1", "1", "1"},
     {"1", "0", "0", "0", "0", "0"},
     {"1", "0", "0", "0", "0", "1"},
     {"1", "0", "0", "0", "1", "0"},
     {"1", "0", "0", "0", "1", "1"},
     {"1", "0", "0", "1", "0", "0"},
     {"1", "0", "0", "1", "0", "1"},
     {"1", "0", "0", "1", "1", "0"},
     {"1", "0", "0", "1", "1", "1"},
     {"1", "0", "1", "0", "0", "0"},
     {"1", "0", "1", "0", "0", "1"},
     {"1", "0", "1", "0", "1", "0"},
     {"1", "0", "1", "0", "1", "1"},
     {"1", "0", "1", "1", "0", "0"},
     {"1", "0", "1", "1", "0", "1"},
     {"1", "0", "1", "1", "1", "0"},
     {"1", "0", "1", "1", "1", "1"},
     {"1", "1", "0", "0", "0", "0"},
     {"1", "1", "0", "0", "0", "1"},
     {"1", "1", "0", "0", "1", "0"},
     {"1", "1", "0", "0", "1", "1"},
     {"1", "1", "0", "1", "0", "0"},
     {"1", "1", "0", "1", "0", "1"},
     {"1", "1", "0", "1", "1", "0"},
     {"1", "1", "0", "1", "1", "1"},
     {"1", "1", "1", "0", "0", "0"},
     {"1", "1", "1", "0", "0", "1"},
     {"1", "1", "1", "0", "1", "0"},
     {"1", "1", "1", "0", "1", "1"},
     {"1", "1", "1", "1", "0", "0"},
     {"1", "1", "1", "1", "0", "1"},
     {"1", "1", "1", "1", "1", "0"},
     {"1", "1", "1", "1", "1", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937353190088*^9},ExpressionUUID->"92c1650b-2bc3-4148-a109-81f9316d5b23"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Row", "[", 
   RowBox[{
    RowBox[{"Xb", "[", "64", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "]"}], "\[Equal]", 
  RowBox[{"Row", "[", 
   RowBox[{"xb", "[", "0", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Row", "[", 
   RowBox[{
    RowBox[{"Xb", "[", "64", "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], " ", "]"}], "\[Equal]", 
  RowBox[{"Row", "[", 
   RowBox[{"xb", "[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Row", "[", 
   RowBox[{
    RowBox[{"Xb", "[", "64", "]"}], "[", 
    RowBox[{"[", "64", "]"}], "]"}], " ", "]"}], "\[Equal]", 
  RowBox[{"Row", "[", 
   RowBox[{"xb", "[", "63", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.615725756963025*^9, 3.615725883756158*^9}, 
   3.6158893185179043`*^9, {3.6158893539993753`*^9, 3.615889433592304*^9}, {
   3.6158898625077133`*^9, 3.615890015340971*^9}, {3.61589027560233*^9, 
   3.615890332448655*^9}},ExpressionUUID->"5335b5e8-0f4c-4271-a37a-\
2b76b1bd9c90"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735319113293`*^9},ExpressionUUID->"2dc17d92-61c3-489f-87b1-\
2b972369e891"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531916977*^9},ExpressionUUID->"c5bdb6e8-c198-402e-9f1b-\
2a8d28dac69d"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373531921253*^9},ExpressionUUID->"3a3f6ea4-cceb-44a4-99f7-\
56ab45c2fe38"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", 
  "Xd"}], "\[IndentingNewLine]", "nq", "\[IndentingNewLine]", "nb", "\
\[IndentingNewLine]", 
 RowBox[{"Xd", "[", "nq", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Xd", "[", "12", "]"}]}], "Input",
 CellChangeTimes->{{3.615717949466103*^9, 3.615717966244197*^9}, {
  3.6157180152826157`*^9, 3.615718016823469*^9}, {3.6157180771210003`*^9, 
  3.615718087133255*^9}},ExpressionUUID->"8ffc3bbe-7c98-4f21-98cd-\
fce2c91e5ef7"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Xd (note capital X)\\n\\n\\t the decimal array for \
\\nthe numbers 0 to nb^nq -1.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Xd", "[", "Private`n_", "]"}], ":=", 
                    RowBox[{"Array", "[", 
                    RowBox[{"xd", ",", "Private`n", ",", "0"}], "]"}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Xd\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Xd (note capital X)\\n\\n\\t the decimal array for \
\\nthe numbers 0 to nb^nq -1.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Xd (note capital X)\n\n\t the decimal array for \nthe numbers 0 to \
nb^nq -1.", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Xd, {QDENSITY`Qdensity`Xd[
          Pattern[Private`n, 
           Blank[]]] :> Array[QDENSITY`Qdensity`xd, Private`n, 0]}], 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`Xd"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532001183*^9},ExpressionUUID->"c4f59846-d7a6-47c6-a0cf-\
535b99716a58"],

Cell[BoxData[
 TagBox["6",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532011222*^9},ExpressionUUID->"2b0faf44-5b2c-4a63-bfd4-\
b99d0d1f5d0b"],

Cell[BoxData[
 TagBox["2",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735320149612`*^9},ExpressionUUID->"e61f2f84-3faa-4ac4-ac58-\
5fff02153629"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"1"},
      {"2"},
      {"3"},
      {"4"},
      {"5"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735320193872`*^9},ExpressionUUID->"e765c543-9ec0-46da-9927-\
fcb2e52e6580"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"1"},
      {"2"},
      {"3"},
      {"4"},
      {"5"},
      {"6"},
      {"7"},
      {"8"},
      {"9"},
      {"10"},
      {"11"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532024035*^9},ExpressionUUID->"bf80f71c-7e38-4d59-9514-\
feefc898c2d7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "ZeroT"}], "\[IndentingNewLine]", 
 RowBox[{"ZeroT", "[", "3", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ZeroT", "[", "8", "]"}]}], "Input",
 CellChangeTimes->{{3.615725911108685*^9, 
  3.6157259408143*^9}},ExpressionUUID->"d44971d4-9742-47d9-9a8e-5697801e6cda"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ZeroT[nqv]\\n\\n returns a table of 0 of length L.\
\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"ZeroT", "[", "Private`n_", "]"}], ":=", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", "Private`n", "}"}]}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`ZeroT\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ZeroT[nqv]\\n\\n returns a table of 0 of length L.\
\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "ZeroT[nqv]\n\n returns a table of 0 of length L.", "Documentation" -> 
     None, "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`ZeroT, {QDENSITY`Qdensity`ZeroT[
          Pattern[Private`n, 
           Blank[]]] :> Table[0, {Private`n}]}], "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`ZeroT"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532102818*^9},ExpressionUUID->"4988fafc-a8d7-4fad-ab10-\
65c9eea7e281"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532112403*^9},ExpressionUUID->"7346cc3b-1133-4d83-a49c-\
13516edc4e0e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532116322*^9},ExpressionUUID->"8d5b0ed5-cb58-4556-a774-\
27c609efeb69"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "\[ScriptCapitalH] "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[ScriptCapitalH]", " ", ".", "\[ScriptCapitalH]"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{"KroneckerProduct", "[", 
  RowBox[{"\[ScriptCapitalH]", ",", "\[ScriptCapitalH]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"%", ".", "%"}]}], "Input",
 CellChangeTimes->{{3.615726001640814*^9, 3.615726012171053*^9}, {
  3.6157260487112923`*^9, 3.615726150686191*^9}, {3.859373479198914*^9, 
  3.859373490012505*^9}},ExpressionUUID->"3c722456-e455-40ae-b06e-\
509b22dd6c9f"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"The single qubit Hadamard--See Hadamard \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Assignment\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"OwnValues\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "OwnValues", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{"\[ScriptCapitalH]", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    FractionBox["1", 
                    SqrtBox["2"]], ",", 
                    FractionBox["1", 
                    SqrtBox["2"]]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    FractionBox["1", 
                    SqrtBox["2"]], ",", 
                    RowBox[{"-", 
                    FractionBox["1", 
                    SqrtBox["2"]]}]}], "}"}]}], "}"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`\[ScriptCapitalH]\"\
\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"The single qubit Hadamard--See Hadamard \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "The single qubit Hadamard--See Hadamard ", "Documentation" -> None, 
     "OwnValues" -> 
     Information`InformationValueForm[
      OwnValues, QDENSITY`Qdensity`\[ScriptCapitalH], {
       QDENSITY`Qdensity`\[ScriptCapitalH] -> {{
          2^Rational[-1, 2], 2^Rational[-1, 2]}, {
          2^Rational[-1, 2], -2^Rational[-1, 2]}}}], "UpValues" -> None, 
     "DownValues" -> None, "SubValues" -> None, "DefaultValues" -> None, 
     "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`\[ScriptCapitalH]"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735321997137`*^9},ExpressionUUID->"798108ec-c52d-4208-abec-\
57cfc77d6a37"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532210121*^9},ExpressionUUID->"d5c124a7-2694-49af-9bee-\
f5267849bd52"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], 
      FractionBox["1", "2"], 
      FractionBox["1", "2"], 
      FractionBox["1", "2"]},
     {
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["1", "2"]}], 
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["1", "2"]}]},
     {
      FractionBox["1", "2"], 
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["1", "2"]}], 
      RowBox[{"-", 
       FractionBox["1", "2"]}]},
     {
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["1", "2"]}], 
      RowBox[{"-", 
       FractionBox["1", "2"]}], 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735322142763`*^9},ExpressionUUID->"353e303a-1fd7-40aa-8cba-\
5ae510620849"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "1", "0"},
     {"0", "0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532219185*^9},ExpressionUUID->"1dc4bd74-821d-44da-b754-\
69bc35835585"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Information", "[", 
  RowBox[{"\"\<\[ScriptCapitalP]\>\"", ",", 
   RowBox[{"LongForm", "\[Rule]", "False"}]}], "]"}]], "Input",ExpressionUUID->\
"13e099fc-bc97-4ddf-941e-e9791279beff"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Subscripted with 0 or 1 returns the one qubit \
projection operator\\n\\n |0\[RightAngleBracket]\[LeftAngleBracket]0| or |1\
\[RightAngleBracket]\[LeftAngleBracket]1| respectively.\\n\\n Commonly used \
together with \[CircleTimes] to \\nbuild density matrices.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`\[ScriptCapitalP]\"\
\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Subscripted with 0 or 1 returns the one qubit \
projection operator\\n\\n |0\[RightAngleBracket]\[LeftAngleBracket]0| or |1\
\[RightAngleBracket]\[LeftAngleBracket]1| respectively.\\n\\n Commonly used \
together with \[CircleTimes] to \\nbuild density matrices.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Subscripted with 0 or 1 returns the one qubit projection operator\n\n \
|0\[RightAngleBracket]\[LeftAngleBracket]0| or |1\[RightAngleBracket]\
\[LeftAngleBracket]1| respectively.\n\n Commonly used together with \
\[CircleTimes] to \nbuild density matrices.", "Documentation" -> None, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> None, 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`\[ScriptCapitalP]"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532299447*^9},ExpressionUUID->"00ca8c30-8812-423b-a6c1-\
2bc5d41b3ee7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 SubscriptBox["\[ScriptCapitalP]", "0"], "\n", 
 SubscriptBox["\[ScriptCapitalP]", "1"], "\n", 
 RowBox[{
  SubscriptBox["\[ScriptCapitalP]", "0"], ".", 
  SubscriptBox["\[ScriptCapitalP]", "1"]}], "\n", 
 RowBox[{
  RowBox[{
   SubscriptBox["\[ScriptCapitalP]", "0"], ".", 
   SubscriptBox["\[ScriptCapitalP]", "0"]}], "\[Equal]", 
  SubscriptBox["\[ScriptCapitalP]", "0"]}], "\n", 
 RowBox[{
  RowBox[{
   SubscriptBox["\[ScriptCapitalP]", "1"], ".", 
   SubscriptBox["\[ScriptCapitalP]", "1"]}], "\[Equal]", 
  SubscriptBox["\[ScriptCapitalP]", "1"]}], "\n", 
 RowBox[{
  SubscriptBox["\[ScriptCapitalP]", "0"], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"0"},
     "Ket"], "\[CircleTimes]", 
    TemplateBox[{"0"},
     "Bra"]}], "]"}]}], "\n", 
 RowBox[{
  SubscriptBox["\[ScriptCapitalP]", "1"], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"1"},
     "Ket"], "\[CircleTimes]", 
    TemplateBox[{"1"},
     "Bra"]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.615726267930459*^9, 3.615726398516514*^9}, {
  3.61572642918371*^9, 3.615726476354792*^9}, {3.857068519230865*^9, 
  3.857068519232728*^9}, {3.857130035356887*^9, 3.8571300454445343`*^9}, {
  3.859373407687388*^9, 
  3.8593734076885757`*^9}},ExpressionUUID->"2e6c1ae5-21be-4e36-95c7-\
4b665a51388a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532314021*^9},ExpressionUUID->"1d5a87d0-eb78-4026-b73b-\
2069ff10ba51"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532319911*^9},ExpressionUUID->"6dea5db8-77b7-4324-9269-\
d03efc8ac3fb"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532323802*^9},ExpressionUUID->"e845369e-44af-492d-a859-\
7aa25fcc0245"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532328253*^9},ExpressionUUID->"75b9e8da-390d-4f91-a9e7-\
a5bb12b33e9f"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532332686*^9},ExpressionUUID->"9556df8b-143f-4394-be19-\
d79a82192b0e"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532347761*^9},ExpressionUUID->"1fb3c1e6-95b9-4c48-b410-\
7294e234569a"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937353236127*^9},ExpressionUUID->"98647260-a75d-4115-8ead-58ea77620692"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", 
  "\[DoubleStruckCapitalI]"}], "\[IndentingNewLine]", \
"\[DoubleStruckCapitalI]"}], "Input",
 CellChangeTimes->{
  3.615726514398831*^9, {3.6157265489595222`*^9, 
   3.615726556674471*^9}},ExpressionUUID->"14c69827-d8f2-4dbd-a8fa-\
591a17b5fa66"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"\\n\[DoubleStruckCapitalI]\\n\\n returns the \
identity matrix for one qubit, 2x2 . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Assignment\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"OwnValues\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "OwnValues", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{"\[DoubleStruckCapitalI]", ":=", "Sigma0"}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`\
\[DoubleStruckCapitalI]\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"\\n\[DoubleStruckCapitalI]\\n\\n returns the \
identity matrix for one qubit, 2x2 . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "\n\[DoubleStruckCapitalI]\n\n returns the identity matrix for one \
qubit, 2x2 . ", "Documentation" -> None, "OwnValues" -> 
     Information`InformationValueForm[
      OwnValues, QDENSITY`Qdensity`\[DoubleStruckCapitalI], {
       QDENSITY`Qdensity`\[DoubleStruckCapitalI] :> 
        QDENSITY`Qdensity`Sigma0}], "UpValues" -> None, "DownValues" -> None, 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`\[DoubleStruckCapitalI]"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532441969*^9},ExpressionUUID->"affa4384-dcb2-464a-a616-\
741bf2978f78"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735324514713`*^9},ExpressionUUID->"100272aa-f8aa-4f9c-9163-\
180f917bb25e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "\[Sigma]"}]], "Input",
 CellChangeTimes->{{3.615726624824768*^9, 
  3.6157266331038237`*^9}},ExpressionUUID->"e0cff2dd-6aa3-41dd-9d2e-\
0ab49e802dbc"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Should be used with subscripts 0,1,2,3. Returns \
the \\ncorresponding Pauli Matrix.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`\[Sigma]\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Should be used with subscripts 0,1,2,3. Returns \
the \\ncorresponding Pauli Matrix.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Should be used with subscripts 0,1,2,3. Returns the \ncorresponding \
Pauli Matrix.", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> 
     None, "DownValues" -> None, "SubValues" -> None, "DefaultValues" -> None,
      "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`\[Sigma]"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532527073*^9},ExpressionUUID->"3c849b64-d52a-4d21-bea4-\
1aef93afb956"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 SubscriptBox["\[Sigma]", "0"], "\[IndentingNewLine]", 
 SubscriptBox["\[Sigma]", "1"], "\[IndentingNewLine]", 
 SubscriptBox["\[Sigma]", "2"], "\[IndentingNewLine]", 
 SubscriptBox["\[Sigma]", "3"]}], "Input",
 CellChangeTimes->{{3.614853344845902*^9, 
  3.614853385273594*^9}},ExpressionUUID->"52e6f1b1-c077-4dc1-8bd5-\
c8284066306d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532541409*^9},ExpressionUUID->"cb3cbf07-b721-4f8a-b016-\
d45307652fac"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "1"},
     {"1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532547186*^9},ExpressionUUID->"4dbe23f3-9981-4cca-a097-\
a6fc22973f84"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{"-", "\[ImaginaryI]"}]},
     {"\[ImaginaryI]", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532551303*^9},ExpressionUUID->"7189735e-00ad-4ac0-b666-\
44cc54f34c69"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532555951*^9},ExpressionUUID->"c79993d0-23a5-4a43-8f3b-\
79f719cfdd7b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"rho", "=", "RandomQubit2"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.624555344894073*^9, 3.624555391284725*^9}, {
   3.624555423191414*^9, 3.624555436378261*^9}, 
   3.624555493832679*^9},ExpressionUUID->"31d5a1fd-f1b2-4f1d-82d0-\
f7065245d86d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.23551319312399904`", 
      RowBox[{"0.14456240393356912`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0024047122252428693`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.025933783292417883`"}], "+", 
       RowBox[{"0.011660865884763288`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.07383984132419688`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.058681540610069256`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.14456240393356912`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0024047122252428693`", " ", "\[ImaginaryI]"}]}], 
      "0.27889849518362375`", 
      RowBox[{"0.010486924540951152`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.11933828528913723`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010123723755223801`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0070539954926885475`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.025933783292417883`"}], "-", 
       RowBox[{"0.011660865884763288`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010486924540951152`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.11933828528913723`", " ", "\[ImaginaryI]"}]}], 
      "0.09294568536806387`", 
      RowBox[{"0.05691983266696875`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07349563763855199`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.07383984132419688`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.058681540610069256`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010123723755223801`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0070539954926885475`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.05691983266696875`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07349563763855199`", " ", "\[ImaginaryI]"}]}], 
      "0.39264262632431324`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735325708513`*^9},ExpressionUUID->"191177b1-fc4f-47c0-852f-\
6e1f3a899758"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Schmidt"}]], "Input",
 CellChangeTimes->{{3.6245555476642923`*^9, 3.624555557169273*^9}, {
  3.624555590120469*^9, 3.6245555944732027`*^9}, {3.624555634220767*^9, 
  3.624555640778657*^9}},ExpressionUUID->"73ddca9e-d6da-4cb8-a8de-\
fd24efeab710"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Schmidt[statein]: Module Schmidt Decomposition for \
2 qubit statein.  Also generates the Schmidt number Snos.\\n\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Schmidt", "[", "\[CapitalOmega]s_", "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"mc", ",", "v", ",", "res1", ",", "res2", ",", 
                    "mcl"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"mc", "=", 
                    RowBox[{"Coeff", "[", "\[CapitalOmega]s", "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"U", ",", "ws", ",", "v"}], "}"}], "=", 
                    RowBox[{"SingularValueDecomposition", "[", "mc", "]"}]}], 
                    ";", 
                    RowBox[{"Vs", "=", 
                    RowBox[{"Adj", "[", "v", "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"stA", "[", "s_", "]"}], ":=", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"i8", "=", "1"}], "2"], 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"U", "\[LeftDoubleBracket]", "i8", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "s", 
                    "\[RightDoubleBracket]"}], " ", 
                    TemplateBox[{
                    RowBox[{"i8", "-", "1"}]}, "Ket"]}]}]}], ";", 
                    RowBox[{
                    RowBox[{"stB", "[", "ts_", "]"}], ":=", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"j8", "=", "1"}], "2"], 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"Vs", "\[LeftDoubleBracket]", "ts", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "j8", 
                    "\[RightDoubleBracket]"}], " ", 
                    TemplateBox[{
                    RowBox[{"j8", "-", "1"}]}, "Ket"]}]}]}], ";", 
                    RowBox[{"\[Phi]A1", "=", 
                    RowBox[{"DForm2", "[", 
                    RowBox[{"Chop", "[", 
                    RowBox[{"stA", "[", "1", "]"}], "]"}], "]"}]}], ";", 
                    RowBox[{"\[Phi]A2", "=", 
                    RowBox[{"DForm2", "[", 
                    RowBox[{"Chop", "[", 
                    RowBox[{"stA", "[", "2", "]"}], "]"}], "]"}]}], ";", 
                    RowBox[{"\[Phi]B1", "=", 
                    RowBox[{"DForm2", "[", 
                    RowBox[{"Chop", "[", 
                    RowBox[{"stB", "[", "1", "]"}], "]"}], "]"}]}], ";", 
                    RowBox[{"\[Phi]B2", "=", 
                    RowBox[{"DForm2", "[", 
                    RowBox[{"Chop", "[", 
                    RowBox[{"stB", "[", "2", "]"}], "]"}], "]"}]}], ";", 
                    RowBox[{"mcl", "=", 
                    RowBox[{"SingularValueList", "[", "mc", "]"}]}], ";", 
                    RowBox[{"Snos", "=", 
                    RowBox[{
                    RowBox[{"Length", "[", "mcl", "]"}], "-", 
                    RowBox[{"Count", "[", 
                    RowBox[{"mcl", ",", "0"}], "]"}]}]}], ";", 
                    RowBox[{"res1", "=", 
                    RowBox[{"{", 
                    
                    RowBox[{"\[Phi]A1", ",", "\[Phi]A2", ",", "\[Phi]B1", ",",
                     "\[Phi]B2"}], "}"}]}], ";", 
                    RowBox[{"res2", "=", 
                    RowBox[{"AF", "[", 
                    RowBox[{"Chop", "[", "ws", "]"}], "]"}]}], ";", 
                    RowBox[{"{", 
                    RowBox[{"res1", ",", "res2", ",", "Snos"}], "}"}]}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Schmidt\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Schmidt[statein]: Module Schmidt Decomposition for \
2 qubit statein.  Also generates the Schmidt number Snos.\\n\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Schmidt[statein]: Module Schmidt Decomposition for 2 qubit statein.  \
Also generates the Schmidt number Snos.\n", "Documentation" -> None, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Schmidt, {QDENSITY`Qdensity`Schmidt[
          Pattern[QDENSITY`Qdensity`\[CapitalOmega]s, 
           Blank[]]] :> 
        Module[{QDENSITY`Qdensity`mc, QDENSITY`Qdensity`v, 
           QDENSITY`Qdensity`res1, QDENSITY`Qdensity`res2, 
           QDENSITY`Qdensity`mcl}, 
          QDENSITY`Qdensity`mc = 
           QDENSITY`Qdensity`Coeff[QDENSITY`Qdensity`\[CapitalOmega]s]; {
            QDENSITY`Qdensity`U, QDENSITY`Qdensity`ws, QDENSITY`Qdensity`v} = 
           SingularValueDecomposition[QDENSITY`Qdensity`mc]; 
          QDENSITY`Qdensity`Vs = QDENSITY`Qdensity`Adj[QDENSITY`Qdensity`v]; 
          QDENSITY`Qdensity`stA[
             Pattern[QDENSITY`Qdensity`s, 
              Blank[]]] := Sum[Part[
               Part[QDENSITY`Qdensity`U, QDENSITY`Qdensity`i8], 
               QDENSITY`Qdensity`s] Ket[QDENSITY`Qdensity`i8 - 1], {
             QDENSITY`Qdensity`i8, 1, 2}]; QDENSITY`Qdensity`stB[
             Pattern[QDENSITY`Qdensity`ts, 
              Blank[]]] := Sum[Part[
               Part[QDENSITY`Qdensity`Vs, QDENSITY`Qdensity`ts], 
               QDENSITY`Qdensity`j8] Ket[QDENSITY`Qdensity`j8 - 1], {
             QDENSITY`Qdensity`j8, 1, 2}]; 
          QDENSITY`Qdensity`\[Phi]A1 = QDENSITY`Qdensity`DForm2[
             Chop[
              QDENSITY`Qdensity`stA[1]]]; 
          QDENSITY`Qdensity`\[Phi]A2 = QDENSITY`Qdensity`DForm2[
             Chop[
              QDENSITY`Qdensity`stA[2]]]; 
          QDENSITY`Qdensity`\[Phi]B1 = QDENSITY`Qdensity`DForm2[
             Chop[
              QDENSITY`Qdensity`stB[1]]]; 
          QDENSITY`Qdensity`\[Phi]B2 = QDENSITY`Qdensity`DForm2[
             Chop[
              QDENSITY`Qdensity`stB[2]]]; 
          QDENSITY`Qdensity`mcl = SingularValueList[QDENSITY`Qdensity`mc]; 
          QDENSITY`Qdensity`Snos = 
           Length[QDENSITY`Qdensity`mcl] - Count[QDENSITY`Qdensity`mcl, 0]; 
          QDENSITY`Qdensity`res1 = {
            QDENSITY`Qdensity`\[Phi]A1, QDENSITY`Qdensity`\[Phi]A2, 
             QDENSITY`Qdensity`\[Phi]B1, QDENSITY`Qdensity`\[Phi]B2}; 
          QDENSITY`Qdensity`res2 = QDENSITY`Qdensity`AF[
             Chop[QDENSITY`Qdensity`ws]]; {
           QDENSITY`Qdensity`res1, QDENSITY`Qdensity`res2, 
            QDENSITY`Qdensity`Snos}]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`Schmidt"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532654561*^9},ExpressionUUID->"43a554f1-a365-41f4-969c-\
207325942a2d"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Schmidt", "[", "rho", "]"}]], "Input",
 CellChangeTimes->{{3.6245559310268106`*^9, 
  3.624555936994074*^9}},ExpressionUUID->"f6c66dac-5000-4ba0-a605-\
ecc3ec64607f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"{", 
        RowBox[{
         TemplateBox[{"\" + \"", "\"(\"", 
           RowBox[{"-", "0.9940607915251013`"}], "\")\"", "\" |\"", "\"0\"", 
           "\" >\"", "\" + \"", "\"(\"", 
           RowBox[{
             RowBox[{"-", "0.06519940967235506`"}], "-", 
             RowBox[{"0.08713311500724423`", " ", "\[ImaginaryI]"}]}], 
           "\")\"", "\" |\"", "\"1\"", "\" >\""},
          "RowDefault"], ",", 
         TemplateBox[{
          "\" + \"", "\"(\"", "0.10882620434660595`", "\")\"", "\" |\"", 
           "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
           RowBox[{
             RowBox[{"-", "0.5955567151772299`"}], "-", 
             RowBox[{"0.7959076933004346`", " ", "\[ImaginaryI]"}]}], "\")\"",
            "\" |\"", "\"1\"", "\" >\""},
          "RowDefault"], ",", 
         TemplateBox[{"\" + \"", "\"(\"", 
           RowBox[{
             RowBox[{"-", "0.832965949653725`"}], "-", 
             RowBox[{"0.005397219964192611`", " ", "\[ImaginaryI]"}]}], 
           "\")\"", "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
           RowBox[{
             RowBox[{"-", "0.5530053277625239`"}], "+", 
             RowBox[{"0.017991781467951995`", " ", "\[ImaginaryI]"}]}], 
           "\")\"", "\" |\"", "\"1\"", "\" >\""},
          "RowDefault"], ",", 
         TemplateBox[{"\" + \"", "\"(\"", 
           RowBox[{"0.5339020024700095`", "\[VeryThinSpace]", "-", 
             RowBox[{"0.14521449133141265`", " ", "\[ImaginaryI]"}]}], 
           "\")\"", "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
           RowBox[{
             RowBox[{"-", "0.7946473065467498`"}], "+", 
             RowBox[{"0.24979403808711984`", " ", "\[ImaginaryI]"}]}], 
           "\")\"", "\" |\"", "\"1\"", "\" >\""},
          "RowDefault"]}], "}"}]},
      {
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0.277811495581768`", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0.09431696885617283`"}], "}"}]}], "}"}]},
      {"2"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735326693974`*^9},ExpressionUUID->"83e6f750-7849-4a91-b444-\
cbc059e78d7c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"?", "RandomKet*"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.624556338612381*^9, 3.624556353068204*^9}, {
   3.624556386988662*^9, 3.624556416293865*^9}, {3.657379006226432*^9, 
   3.657379010893365*^9}, 
   3.6573791670141478`*^9},ExpressionUUID->"9a5db825-a54b-4960-bd69-\
f517403a1ea9"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["RandomKet1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-f761e035-a520-48d6-9dd4-4307ecc74624", {
                    "RandomKet1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-f761e035-a520-48d6-9dd4-4307ecc74624", {
                    "RandomKet2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKetN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-f761e035-a520-48d6-9dd4-4307ecc74624", {
                    "RandomKetN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.31666666666666665`]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859373532709444*^9},ExpressionUUID->"4d6e845c-b9de-4b0f-9c6c-\
18faded53a7f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"?", "Oracle"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "See", " ", "Grover", " ", "search", " ", "notebook", " ", "for", " ", 
    "use", " ", "of", " ", "Oracle"}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.614516366211095*^9, 3.614516374262849*^9}, {
  3.616342693472596*^9, 3.616342717883381*^9}, {3.624555317620537*^9, 
  3.6245553291953707`*^9}},ExpressionUUID->"774c49a7-6237-4758-be49-\
47b4326fc9bd"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Oracle[nqx,nqy,itype]\\n\\n\\t is an Oracle for \
nqx Qubits in x and nqy Qubits in y. \\n\\n\\t Oracle | x, y\
\[RightAngleBracket] = | x, y+f(x)\[RightAngleBracket].\\n\\n \
Oracle[nqx,nqy,itype] provides an Oracle type\\n\\n itype=-1 ( a random \
function f(x)) and itype=-2 \\n\\n ( a f(x) with value 1 only at \\n a random \
marked value of x).\\n\\n The later is useful for Grover's search. \\n\\n See \
also Definef\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Oracle", "[", 
                    
                    RowBox[{
                    "Private`nqx_", ",", "Private`nqy_", ",", 
                    "Private`itype_"}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"Private`xv", ",", "Private`yv", ",", 
                    "Private`nx", ",", "Private`ny", ",", "Private`n", ",", 
                    "Private`i"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"Private`nx", "=", 
                    SuperscriptBox["nb", "Private`nqx"]}], ";", 
                    RowBox[{"Private`ny", "=", 
                    SuperscriptBox["nb", "Private`nqy"]}], ";", 
                    RowBox[{"Private`n", "=", 
                    RowBox[{"Private`nx", " ", "Private`ny"}]}], ";", 
                    RowBox[{"Definef", "[", 
                    
                    RowBox[{"Private`nx", ",", "Private`ny", ",", 
                    "Private`itype"}], "]"}], ";", 
                    RowBox[{
                    RowBox[{"Private`xv", "[", "Private`i_", "]"}], ":=", 
                    RowBox[{"FromDigits", "[", 
                    RowBox[{
                    RowBox[{"Take", "[", 
                    RowBox[{
                    RowBox[{"IntegerDigits", "[", 
                    RowBox[{"Private`i", ",", "2", ",", 
                    RowBox[{"Private`nqx", "+", "Private`nqy"}]}], "]"}], ",",
                     "Private`nqx"}], "]"}], ",", "2"}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"Private`yv", "[", "Private`i_", "]"}], ":=", 
                    RowBox[{"FromDigits", "[", 
                    RowBox[{
                    RowBox[{"Take", "[", 
                    RowBox[{
                    RowBox[{"IntegerDigits", "[", 
                    RowBox[{"Private`i", ",", "2", ",", 
                    RowBox[{"Private`nqx", "+", "Private`nqy"}]}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Private`nqx", "+", "1"}], ",", 
                    RowBox[{"Private`nqx", "+", "Private`nqy"}]}], "}"}]}], 
                    "]"}], ",", "2"}], "]"}]}], ";", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    TemplateBox[{
                    RowBox[{
                    RowBox[{"Private`xv", "[", "Private`i", "]"}], ",", 
                    RowBox[{"Private`xv", "[", "Private`j", "]"}]}]}, 
                    "KroneckerDeltaSeq"], " ", 
                    TemplateBox[{
                    RowBox[{
                    RowBox[{"Private`yv", "[", "Private`i", "]"}], ",", 
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Private`yv", "[", "Private`j", "]"}], "+", 
                    RowBox[{"Private`f", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"Private`xv", "[", "Private`i", "]"}], "+", "1"}],
                     "\[RightDoubleBracket]"}]}], ",", "Private`ny"}], 
                    "]"}]}]}, "KroneckerDeltaSeq"]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`i", ",", "0", ",", 
                    RowBox[{"Private`n", "-", "1"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`j", ",", "0", ",", 
                    RowBox[{"Private`n", "-", "1"}]}], "}"}]}], "]"}]}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Oracle\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Oracle[nqx,nqy,itype]\\n\\n\\t is an Oracle for \
nqx Qubits in x and nqy Qubits in y. \\n\\n\\t Oracle | x, y\
\[RightAngleBracket] = | x, y+f(x)\[RightAngleBracket].\\n\\n \
Oracle[nqx,nqy,itype] provides an Oracle type\\n\\n itype=-1 ( a random \
function f(x)) and itype=-2 \\n\\n ( a f(x) with value 1 only at \\n a random \
marked value of x).\\n\\n The later is useful for Grover's search. \\n\\n See \
also Definef\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Oracle[nqx,nqy,itype]\n\n\t is an Oracle for nqx Qubits in x and nqy \
Qubits in y. \n\n\t Oracle | x, y\[RightAngleBracket] = | x, y+f(x)\
\[RightAngleBracket].\n\n Oracle[nqx,nqy,itype] provides an Oracle type\n\n \
itype=-1 ( a random function f(x)) and itype=-2 \n\n ( a f(x) with value 1 \
only at \n a random marked value of x).\n\n The later is useful for Grover's \
search. \n\n See also Definef", "Documentation" -> None, "OwnValues" -> None, 
     "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Oracle, {QDENSITY`Qdensity`Oracle[
          Pattern[Private`nqx, 
           Blank[]], 
          Pattern[Private`nqy, 
           Blank[]], 
          Pattern[Private`itype, 
           Blank[]]] :> 
        Module[{Private`xv, Private`yv, Private`nx, Private`ny, Private`n, 
           Private`i}, Private`nx = QDENSITY`Qdensity`nb^Private`nqx; 
          Private`ny = QDENSITY`Qdensity`nb^Private`nqy; 
          Private`n = Private`nx Private`ny; 
          QDENSITY`Qdensity`Definef[Private`nx, Private`ny, Private`itype]; 
          Private`xv[
             Pattern[Private`i, 
              Blank[]]] := FromDigits[
             Take[
              IntegerDigits[Private`i, 2, Private`nqx + Private`nqy], 
              Private`nqx], 2]; Private`yv[
             Pattern[Private`i, 
              Blank[]]] := FromDigits[
             Take[
              IntegerDigits[Private`i, 2, Private`nqx + Private`nqy], {
              Private`nqx + 1, Private`nqx + Private`nqy}], 2]; 
          Table[KroneckerDelta[
              Private`xv[Private`i], 
              Private`xv[Private`j]] KroneckerDelta[
              Private`yv[Private`i], 
              Mod[
              Private`yv[Private`j] + 
               Part[Private`f, Private`xv[Private`i] + 1], Private`ny]], {
            Private`i, 0, Private`n - 1}, {Private`j, 0, Private`n - 1}]]}], 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`Oracle"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593735327986507`*^9},ExpressionUUID->"00b24ba9-174f-4f40-9cf9-\
835d9bc64130"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{"Quit", "[", "]"}], " "}]], "Input",
 CellChangeTimes->{{3.6142459628182993`*^9, 3.614245965043126*^9}, {
   3.614510650247691*^9, 3.614510657211667*^9}, 3.614510822253696*^9, {
   3.6146216913973627`*^9, 3.6146216989256563`*^9}, {3.857033574350768*^9, 
   3.85703357905361*^9}, {3.8571300930343723`*^9, 
   3.8571300969585752`*^9}},ExpressionUUID->"b5a89b15-2c09-4b87-aa16-\
c6f14a6ce603"]
},
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{1033, 536},
WindowMargins->{{107, Automatic}, {-119, Automatic}},
Visible->True,
PrintingCopies->1,
PrintingStartingPageNumber->1,
PrintingPageRange->{1, 32000},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{612, 792},
"PostScriptOutputFile":>FrontEnd`FileName[{"export", "home", "brunojd"}, 
  "t.ps", CharacterEncoding -> "WindowsANSI"]},
ShowSelection->True,
TaggingRules:>{
 "PaginationCache" -> {{2005, 8, 9, 3, 36, 18.585304`8.02174465349935}, {1, 1,
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
    2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4,
     4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 
    5, 5, 5, 5, 5, 5, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 7, 7, 7,
     7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 
    8, 8, 8, 8, 8, 8, 8, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 
    10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11, 11, 11, 11, 11, 
    11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 12, 12, 12, 12, 12, 12, 12, 
    12, 12, 12, 12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 
    13, 13, 13, 13, 13, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
    14, 14, 14}, Automatic}, "NextIndexingNumber" -> 5, 
  "IndexEntries" -> {{"i:1", "CNOT\t"}, {"i:2", "HALL"}, {
    "i:3", "bra", "Quantum Density package"}, {
    "i:4", "ket", "Quantum Density Package"}}},
CellLabelAutoDelete->True,
InputAliases->{"intt" -> RowBox[{"\[Integral]", 
     RowBox[{"\[SelectionPlaceholder]", 
       RowBox[{"\[DifferentialD]", "\[Placeholder]"}]}]}], "dintt" -> RowBox[{
     SubsuperscriptBox[
     "\[Integral]", "\[SelectionPlaceholder]", "\[Placeholder]"], 
     RowBox[{"\[Placeholder]", 
       RowBox[{"\[DifferentialD]", "\[Placeholder]"}]}]}], "sumt" -> RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"\[SelectionPlaceholder]", "=", "\[Placeholder]"}], 
      "\[Placeholder]"], "\[Placeholder]"}], "prodt" -> RowBox[{
     UnderoverscriptBox["\[Product]", 
      RowBox[{"\[SelectionPlaceholder]", "=", "\[Placeholder]"}], 
      "\[Placeholder]"], "\[Placeholder]"}], "dt" -> RowBox[{
     SubscriptBox["\[PartialD]", "\[Placeholder]"], " ", 
     "\[SelectionPlaceholder]"}], "notation" -> RowBox[{"Notation", "[", 
     RowBox[{
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> "NotationTemplateStyle"],
        " ", "\[DoubleLongLeftRightArrow]", " ", 
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> 
        "NotationTemplateStyle"]}], "]"}], "notation>" -> 
  RowBox[{"Notation", "[", 
     RowBox[{
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> "NotationTemplateStyle"],
        " ", "\[DoubleLongRightArrow]", " ", 
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> 
        "NotationTemplateStyle"]}], "]"}], "notation<" -> 
  RowBox[{"Notation", "[", 
     RowBox[{
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> "NotationTemplateStyle"],
        " ", "\[DoubleLongLeftArrow]", " ", 
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> 
        "NotationTemplateStyle"]}], "]"}], "symb" -> RowBox[{"Symbolize", "[", 
     TagBox[
     "\[Placeholder]", NotationBoxTag, TagStyle -> "NotationTemplateStyle"], 
     "]"}], "infixnotation" -> RowBox[{"InfixNotation", "[", 
     RowBox[{
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> "NotationTemplateStyle"],
        ",", "\[Placeholder]"}], "]"}], "addia" -> 
  RowBox[{"AddInputAlias", "[", 
     RowBox[{"\"\[Placeholder]\"", "\[Rule]", 
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> 
        "NotationTemplateStyle"]}], "]"}], "pattwraper" -> 
  TagBox["\[Placeholder]", NotationPatternTag, TagStyle -> 
    "NotationPatternWrapperStyle"], "madeboxeswraper" -> 
  TagBox["\[Placeholder]", NotationMadeBoxesTag, TagStyle -> 
    "NotationMadeBoxesWrapperStyle"]},
Magnification->1,
FrontEndVersion->"13.0 for Mac OS X x86 (64-bit) (December 2, 2021)",
StyleDefinitions->"Classroom.nb",
ExpressionUUID->"7f47394c-7a7d-4b2b-8c69-c837bb8e832b"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "c:1"->{
  Cell[545, 20, 255, 3, 51, "Title",ExpressionUUID->"4ca7a274-aa93-4a97-ad6d-4c824f7c42d9",
   CellTags->"c:1"]},
 "b:5.0"->{
  Cell[1415, 40, 544, 9, 103, "Text",ExpressionUUID->"73db5300-6cee-4ff3-9540-4c562bf1a08c",
   CellTags->"b:5.0"],
  Cell[1984, 53, 383, 7, 59, "Section",ExpressionUUID->"32643420-bf41-4fbb-817e-c3dee2754b3c",
   CellTags->{"c:2", "b:5.0"}],
  Cell[2370, 62, 519, 12, 80, "Text",ExpressionUUID->"0c40d619-7113-4431-a54f-27d92527ee07",
   CellTags->"b:5.0"],
  Cell[2914, 78, 234, 5, 48, "Input",ExpressionUUID->"90c6b5d8-4e32-4734-a028-4dee907fa563",
   CellTags->"b:5.0"],
  Cell[3151, 85, 207, 3, 48, "Output",ExpressionUUID->"adda2a60-5fdb-40e9-89bc-32dd13f8eb4c",
   CellTags->"b:5.0"],
  Cell[3373, 91, 468, 14, 24, "Text",ExpressionUUID->"37f0d980-4f4c-4bc8-80dc-99e2a2212f2b",
   CellTags->"b:5.0"],
  Cell[3878, 110, 1137, 23, 75, "Input",ExpressionUUID->"87eb449a-2b3c-4627-8ab6-863c3af46eab",
   CellTags->"b:5.0"],
  Cell[5018, 135, 226, 3, 24, "Print",ExpressionUUID->"b5c56eb7-ca1c-470a-8b60-6fdb9a1955a2",
   CellTags->"b:5.0"],
  Cell[5247, 140, 1082, 21, 75, "Input",ExpressionUUID->"06e2c9f5-50aa-4df1-9f5f-4d20d3e76e71",
   CellTags->"b:5.0"],
  Cell[6344, 164, 514, 9, 27, "Text",ExpressionUUID->"06a5712a-ca90-4193-8551-dd0af6b5703d",
   CellTags->"b:5.0"],
  Cell[7570, 192, 216, 3, 23, "Text",ExpressionUUID->"ba250584-0fb3-46fe-a2a2-6fa1f1185be8",
   CellTags->"b:5.0"],
  Cell[7811, 199, 283, 5, 46, "Input",ExpressionUUID->"d3708ee5-5ebb-4384-8efe-fbd947dd000e",
   CellTags->"b:5.0"],
  Cell[8097, 206, 56852, 1275, 425, "Output",ExpressionUUID->"6a722c4c-c53a-4686-a795-c85eb41e7b30",
   CellTags->"b:5.0"],
  Cell[64964, 1484, 388, 6, 51, "Text",ExpressionUUID->"44ae50a6-5d5d-4f9f-a124-c14ddb792039",
   CellTags->"b:5.0"]},
 "c:2"->{
  Cell[1984, 53, 383, 7, 59, "Section",ExpressionUUID->"32643420-bf41-4fbb-817e-c3dee2754b3c",
   CellTags->{"c:2", "b:5.0"}]},
 "c:3"->{
  Cell[65355, 1492, 321, 5, 51, "Section",ExpressionUUID->"dab17cc2-a1ad-47ea-a38e-fd3c87670521",
   CellTags->"c:3"]},
 "b:5.2.0"->{
  Cell[375409, 9525, 1618, 47, 109, "Text",ExpressionUUID->"9094231e-bfa4-4000-83a8-1997ee5c3735",
   CellTags->"b:5.2.0"],
  Cell[377052, 9576, 191, 4, 48, "Input",ExpressionUUID->"f400f43f-8a76-46e6-9cac-66adb3ba3e82",
   CellTags->"b:5.2.0"],
  Cell[377246, 9582, 792, 26, 84, "Output",ExpressionUUID->"141f5855-90e4-4078-9620-93d9e79a0409",
   CellTags->"b:5.2.0"],
  Cell[378041, 9610, 186, 3, 23, "Text",ExpressionUUID->"b089494c-89fa-4fe7-9819-5115a2f80ee3",
   CellTags->"b:5.2.0"],
  Cell[378252, 9617, 120, 1, 48, "Input",ExpressionUUID->"85fe2ce5-7c96-4fe4-9d3a-1acd3793f56d",
   CellTags->"b:5.2.0"],
  Cell[378375, 9620, 793, 26, 84, "Output",ExpressionUUID->"d4b94581-8a7f-405d-ae05-3eef817bc3da",
   CellTags->"b:5.2.0"],
  Cell[379183, 9649, 225, 4, 23, "Text",ExpressionUUID->"0737f639-304c-4b99-9e53-093de5452c80",
   CellTags->"b:5.2.0"],
  Cell[379433, 9657, 446, 8, 48, "Input",ExpressionUUID->"96502799-c501-4eb1-8ba0-8fef6d6d7e8f",
   CellTags->"b:5.2.0"],
  Cell[379882, 9667, 1713, 59, 246, "Output",ExpressionUUID->"0bb24458-ff1a-4bfb-b7d7-f5ef62424cad",
   CellTags->"b:5.2.0"],
  Cell[381598, 9728, 190, 3, 23, "Text",ExpressionUUID->"1e23644b-283f-4ea2-8567-c033ab0841d5",
   CellTags->"b:5.2.0"],
  Cell[381813, 9735, 421, 8, 48, "Input",ExpressionUUID->"873eaf26-fb14-4719-bc28-2a894b858e1f",
   CellTags->"b:5.2.0"],
  Cell[382237, 9745, 1711, 59, 246, "Output",ExpressionUUID->"1c05f922-b990-4312-acf2-5db2fde58189",
   CellTags->"b:5.2.0"],
  Cell[383987, 9809, 519, 7, 39, "Text",ExpressionUUID->"0630e717-28d4-4756-9f30-b2c1880a1d7b",
   CellTags->"b:5.2.0"],
  Cell[384531, 9820, 905, 22, 106, "Input",ExpressionUUID->"683e3bb8-4047-4723-8924-a04ef84459a1",
   CellTags->"b:5.2.0"],
  Cell[385439, 9844, 943, 23, 166, "Output",ExpressionUUID->"4146a769-fba8-4768-b785-446b0972fe2e",
   CellTags->"b:5.2.0"],
  Cell[386385, 9869, 1043, 27, 182, "Output",ExpressionUUID->"bcc06682-f368-4c1d-8b55-c620de7d563d",
   CellTags->"b:5.2.0"],
  Cell[387431, 9898, 703, 21, 80, "Output",ExpressionUUID->"91f6960a-c88b-471b-b587-25c07e28506d",
   CellTags->"b:5.2.0"],
  Cell[388137, 9921, 601, 17, 64, "Output",ExpressionUUID->"27d4fcb6-5b02-4cd8-a8d2-bf203a37ac79",
   CellTags->"b:5.2.0"],
  Cell[388753, 9941, 484, 15, 23, "Text",ExpressionUUID->"990a16f1-bdf2-4764-89fa-5e41981f8cb1",
   CellTags->"b:5.2.0"],
  Cell[389262, 9960, 254, 6, 48, "Input",ExpressionUUID->"28bcfd83-0455-4fd7-9e83-6da758c7b0c9",
   CellTags->{"i:2", "b:5.2.0"}],
  Cell[389519, 9968, 2555, 88, 230, "Output",ExpressionUUID->"2bb4494c-5771-4fcd-9941-77daa9c09a67",
   CellTags->{"i:2", "b:5.2.0"}],
  Cell[393934, 10117, 241, 4, 23, "Text",ExpressionUUID->"ea674191-91e9-46f3-b19e-efc7a3177561",
   CellTags->"b:5.2.0"],
  Cell[394200, 10125, 481, 13, 87, "Input",ExpressionUUID->"576f1076-769c-4a4f-b6ed-f76cb506f033",
   CellTags->"b:5.2.0"],
  Cell[394684, 10140, 675, 21, 84, "Output",ExpressionUUID->"96db2c3b-0498-4254-984a-be60277b2b70",
   CellTags->"b:5.2.0"],
  Cell[395362, 10163, 591, 17, 64, "Output",ExpressionUUID->"207f5cf2-81b1-4bc7-88c9-fdbddddd734f",
   CellTags->"b:5.2.0"],
  Cell[395956, 10182, 701, 22, 84, "Output",ExpressionUUID->"cd9cdc4b-724b-4473-8b89-cba6feb0a6b5",
   CellTags->"b:5.2.0"],
  Cell[804460, 20719, 367, 6, 23, "Text",ExpressionUUID->"8d338c0d-e4b1-47a6-b98e-f47f826daff0",
   CellTags->"b:5.2.0"]},
 "i:2"->{
  Cell[389262, 9960, 254, 6, 48, "Input",ExpressionUUID->"28bcfd83-0455-4fd7-9e83-6da758c7b0c9",
   CellTags->{"i:2", "b:5.2.0"}],
  Cell[389519, 9968, 2555, 88, 230, "Output",ExpressionUUID->"2bb4494c-5771-4fcd-9941-77daa9c09a67",
   CellTags->{"i:2", "b:5.2.0"}]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"c:1", 1087251, 28120},
 {"b:5.0", 1087377, 28123},
 {"c:2", 1089042, 28152},
 {"c:3", 1089180, 28155},
 {"b:5.2.0", 1089314, 28158},
 {"i:2", 1092675, 28213}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 255, 3, 51, "Title",ExpressionUUID->"4ca7a274-aa93-4a97-ad6d-4c824f7c42d9",
 CellTags->"c:1"],
Cell[803, 25, 98, 0, 35, "Subtitle",ExpressionUUID->"a9d7b9ea-4e50-41bb-9166-d5dabec60f99"],
Cell[904, 27, 508, 11, 73, "Abstract",ExpressionUUID->"0a36bf1a-dc08-473b-8667-7de5f5180797"],
Cell[1415, 40, 544, 9, 103, "Text",ExpressionUUID->"73db5300-6cee-4ff3-9540-4c562bf1a08c",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[1984, 53, 383, 7, 59, "Section",ExpressionUUID->"32643420-bf41-4fbb-817e-c3dee2754b3c",
 CellTags->{"c:2", "b:5.0"}],
Cell[2370, 62, 519, 12, 80, "Text",ExpressionUUID->"0c40d619-7113-4431-a54f-27d92527ee07",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[2914, 78, 234, 5, 48, "Input",ExpressionUUID->"90c6b5d8-4e32-4734-a028-4dee907fa563",
 CellTags->"b:5.0"],
Cell[3151, 85, 207, 3, 48, "Output",ExpressionUUID->"adda2a60-5fdb-40e9-89bc-32dd13f8eb4c",
 CellTags->"b:5.0"]
}, Open  ]],
Cell[3373, 91, 468, 14, 24, "Text",ExpressionUUID->"37f0d980-4f4c-4bc8-80dc-99e2a2212f2b",
 CellTags->"b:5.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3878, 110, 1137, 23, 75, "Input",ExpressionUUID->"87eb449a-2b3c-4627-8ab6-863c3af46eab",
 CellTags->"b:5.0"],
Cell[5018, 135, 226, 3, 24, "Print",ExpressionUUID->"b5c56eb7-ca1c-470a-8b60-6fdb9a1955a2",
 CellTags->"b:5.0"],
Cell[5247, 140, 1082, 21, 75, "Input",ExpressionUUID->"06e2c9f5-50aa-4df1-9f5f-4d20d3e76e71",
 CellTags->"b:5.0"]
}, Open  ]],
Cell[6344, 164, 514, 9, 27, "Text",ExpressionUUID->"06a5712a-ca90-4193-8551-dd0af6b5703d",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[6883, 177, 457, 7, 53, "Input",ExpressionUUID->"065d1d47-1280-4f31-b17a-fa55ad47faeb"],
Cell[7343, 186, 212, 3, 24, "Print",ExpressionUUID->"1ce679b9-7ad6-4dcf-8527-11f2c75f81b3"]
}, Open  ]],
Cell[7570, 192, 216, 3, 23, "Text",ExpressionUUID->"ba250584-0fb3-46fe-a2a2-6fa1f1185be8",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[7811, 199, 283, 5, 46, "Input",ExpressionUUID->"d3708ee5-5ebb-4384-8efe-fbd947dd000e",
 CellTags->"b:5.0"],
Cell[8097, 206, 56852, 1275, 425, "Output",ExpressionUUID->"6a722c4c-c53a-4686-a795-c85eb41e7b30",
 CellTags->"b:5.0"]
}, Open  ]],
Cell[64964, 1484, 388, 6, 51, "Text",ExpressionUUID->"44ae50a6-5d5d-4f9f-a124-c14ddb792039",
 CellTags->"b:5.0"],
Cell[65355, 1492, 321, 5, 51, "Section",ExpressionUUID->"dab17cc2-a1ad-47ea-a38e-fd3c87670521",
 CellTags->"c:3"],
Cell[CellGroupData[{
Cell[65701, 1501, 174, 4, 44, "Input",ExpressionUUID->"9b4ce209-0e11-4155-94af-969f56b7c334"],
Cell[65878, 1507, 10043, 250, 157, "Output",ExpressionUUID->"a228f297-6b5f-492e-84e0-16ff43c0057f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[75958, 1762, 376, 7, 106, "Input",ExpressionUUID->"462bc9cd-2a85-4ea1-847d-3506fa2c9ff0"],
Cell[76337, 1771, 827, 24, 64, "Output",ExpressionUUID->"5b67ddf8-bed4-4d54-a9bb-32c53f3a4a15"],
Cell[77167, 1797, 603, 16, 48, "Output",ExpressionUUID->"00a2bdc8-1a8e-431c-804e-a564b09ebaa4"],
Cell[77773, 1815, 820, 23, 49, "Output",ExpressionUUID->"a753e16c-1e8c-4efb-af4c-cb1c0e025025"],
Cell[78596, 1840, 610, 15, 48, "Output",ExpressionUUID->"2d529057-69e1-4a92-b9f0-8d16fe21de60"]
}, Open  ]],
Cell[CellGroupData[{
Cell[79243, 1860, 173, 4, 48, "Input",ExpressionUUID->"0aaf9e82-85b8-425d-bfb0-c736b58b1a2e"],
Cell[79419, 1866, 10434, 255, 204, "Output",ExpressionUUID->"29461a77-fd5a-4b89-9485-4109b9c6cab9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[89890, 2126, 489, 11, 87, "Input",ExpressionUUID->"1fefedfe-d99a-4ba3-8398-bb74d6c2c683"],
Cell[90382, 2139, 598, 20, 98, "Output",ExpressionUUID->"91e57299-6cec-45db-9aaf-f3ec184ad5b5"],
Cell[90983, 2161, 598, 20, 98, "Output",ExpressionUUID->"3b0f6c39-0418-47a2-ac05-355e6d557349"],
Cell[91584, 2183, 286, 8, 48, "Output",ExpressionUUID->"7b7194e5-3648-4131-89bb-6f6b7e38aa31"],
Cell[CellGroupData[{
Cell[91895, 2195, 427, 15, 94, "Input",ExpressionUUID->"8dbdb6f5-2afe-4717-a127-ca6962554218"],
Cell[92325, 2212, 598, 20, 98, "Output",ExpressionUUID->"062cfe3e-76f1-4df4-899e-bb7bd57b8bd7"],
Cell[92926, 2234, 598, 20, 98, "Output",ExpressionUUID->"13771ffc-8bf3-428a-86df-94737185a02d"],
Cell[93527, 2256, 288, 8, 48, "Output",ExpressionUUID->"6c72456a-9192-4c6e-977f-2c05914942c5"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[93864, 2270, 173, 4, 48, "Input",ExpressionUUID->"4bffca31-ca4e-441e-bbc9-77034ab292f1"],
Cell[94040, 2276, 11129, 275, 157, "Output",ExpressionUUID->"75a8f67f-cd48-4c9a-ab0a-04fab0caebd4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[105206, 2556, 270, 6, 68, "Input",ExpressionUUID->"194eb1fb-2666-45d3-b2eb-24287649322c"],
Cell[105479, 2564, 995, 30, 62, "Output",ExpressionUUID->"8ba9a568-35d7-48b8-ad74-3e1a3d8e5690"],
Cell[106477, 2596, 785, 23, 65, "Output",ExpressionUUID->"b6e6a077-3e79-46b4-8f66-b4c03329a3c1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[107299, 2624, 175, 4, 48, "Input",ExpressionUUID->"ad4ecbe0-779f-4803-a82f-86e69fc2e659"],
Cell[107477, 2630, 11717, 282, 251, "Output",ExpressionUUID->"bbe1f2d3-9038-4de5-b62b-7fad2e4517dd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[119231, 2917, 494, 12, 106, "Input",ExpressionUUID->"dd0da52b-9223-4302-b52d-e5c1e8f6b233"],
Cell[119728, 2931, 597, 17, 49, "Output",ExpressionUUID->"a7bde6ae-27bd-4f57-842c-4b920e043ee3"],
Cell[120328, 2950, 298, 9, 48, "Output",ExpressionUUID->"89ba96e8-5086-4032-8cea-3776c1fc20b9"],
Cell[120629, 2961, 644, 18, 49, "Output",ExpressionUUID->"7faae0bc-4662-4b2a-8d4d-f86a5351ad89"],
Cell[121276, 2981, 297, 9, 48, "Output",ExpressionUUID->"473b63f0-e30b-4a80-9235-90cfe76dfa3d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[121610, 2995, 175, 4, 48, "Input",ExpressionUUID->"b6eef3c5-19d2-4402-a5b6-8ae245ee75da"],
Cell[121788, 3001, 10484, 258, 157, "Output",ExpressionUUID->"fc5ec653-7043-4b18-b342-b0b9e1633bca"]
}, Open  ]],
Cell[CellGroupData[{
Cell[132309, 3264, 367, 7, 106, "Input",ExpressionUUID->"bb4b6b84-90cf-4b8c-bc3b-2c9e61e396bc"],
Cell[132679, 3273, 653, 21, 56, "Output",ExpressionUUID->"806c0bc8-feb2-4c6c-8d34-2622b60b4f24"],
Cell[133335, 3296, 439, 13, 67, "Output",ExpressionUUID->"2d593e8e-5814-4f5e-a80a-a6be9fa8d25d"],
Cell[133777, 3311, 677, 22, 56, "Output",ExpressionUUID->"dda42ffa-7b23-4577-a945-067f788dd3b8"],
Cell[134457, 3335, 463, 14, 67, "Output",ExpressionUUID->"3ee210ff-4ad9-4554-83ae-f895f750dc26"]
}, Open  ]],
Cell[CellGroupData[{
Cell[134957, 3354, 175, 4, 48, "Input",ExpressionUUID->"f9f7a677-42d7-4cee-b74f-85c0bbccd165"],
Cell[135135, 3360, 10389, 256, 157, "Output",ExpressionUUID->"0664e3e8-bf15-4387-9308-cf76d1f9c278"]
}, Open  ]],
Cell[CellGroupData[{
Cell[145561, 3621, 779, 19, 144, "Input",ExpressionUUID->"33ef5dba-179a-41f4-9300-7d6d6432f5e7"],
Cell[146343, 3642, 687, 22, 56, "Output",ExpressionUUID->"c8261574-1aac-466c-aa7b-8e5e9170deae"],
Cell[147033, 3666, 475, 14, 67, "Output",ExpressionUUID->"1637993c-169c-4255-97fe-a5efe9447135"],
Cell[147511, 3682, 665, 21, 56, "Output",ExpressionUUID->"f60f6878-addf-49e9-92e7-3590f5a5348c"],
Cell[148179, 3705, 451, 13, 67, "Output",ExpressionUUID->"e5d7facd-cf5b-4f77-a870-edb637dfaf45"],
Cell[148633, 3720, 197, 6, 48, "Output",ExpressionUUID->"6b6f1357-fac0-487a-9d3e-cd0f6a9552b1"],
Cell[148833, 3728, 197, 6, 48, "Output",ExpressionUUID->"1ce24a91-e040-429e-87e7-3a570a2d0835"]
}, Open  ]],
Cell[CellGroupData[{
Cell[149067, 3739, 173, 4, 48, "Input",ExpressionUUID->"b4b0619d-feef-41dd-a64b-3308317d6eab"],
Cell[149243, 3745, 11823, 288, 204, "Output",ExpressionUUID->"86715a88-0429-4330-aa99-44950babb5b0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[161103, 4038, 2116, 75, 160, "Input",ExpressionUUID->"f9a89c20-6ce0-4a99-816c-bccfa34638f2"],
Cell[163222, 4115, 658, 20, 98, "Output",ExpressionUUID->"b46b7412-33ae-457c-8e36-59366a648782"],
Cell[163883, 4137, 660, 20, 98, "Output",ExpressionUUID->"1c57d285-d317-4986-b242-2249d1ad5796"],
Cell[164546, 4159, 197, 6, 48, "Output",ExpressionUUID->"ee98c4ae-a113-40be-9e44-6eaa33af76e5"],
Cell[164746, 4167, 195, 6, 48, "Output",ExpressionUUID->"724f99cd-115c-49f6-bdc1-9c36057c8b93"],
Cell[164944, 4175, 195, 6, 48, "Output",ExpressionUUID->"f8b2cb5b-3454-4371-9fc8-3f70ab620025"],
Cell[165142, 4183, 195, 6, 48, "Output",ExpressionUUID->"3842cc19-d681-4d92-bbae-dc2081f34b98"],
Cell[CellGroupData[{
Cell[165362, 4193, 4589, 167, 252, "Input",ExpressionUUID->"2c6221ae-7d51-4686-a304-40d8ab831436"],
Cell[169954, 4362, 923, 23, 166, "Output",ExpressionUUID->"5e3ce08a-1d17-42c9-9998-53a5493cafcf"],
Cell[170880, 4387, 197, 6, 48, "Output",ExpressionUUID->"520fb304-a718-493b-b4e7-27cdfe3bd4e4"],
Cell[171080, 4395, 195, 6, 48, "Output",ExpressionUUID->"b7e4dfce-a4e1-405b-acfe-4354141fba16"],
Cell[171278, 4403, 195, 6, 48, "Output",ExpressionUUID->"555126b2-3595-44b5-b7ff-d37656f95f94"],
Cell[171476, 4411, 195, 6, 48, "Output",ExpressionUUID->"b183c5e6-c2e5-4d52-a358-6ed2ab320b34"],
Cell[171674, 4419, 197, 6, 48, "Output",ExpressionUUID->"7e8d74b7-971f-49c2-b0d7-0fe032742f38"],
Cell[171874, 4427, 195, 6, 48, "Output",ExpressionUUID->"45a7c4a7-73ec-4e7c-87f9-3a59e0c6ff70"],
Cell[172072, 4435, 195, 6, 48, "Output",ExpressionUUID->"433931aa-566a-4680-ba3d-b2f35d919008"],
Cell[172270, 4443, 197, 6, 48, "Output",ExpressionUUID->"2978b378-b48e-493f-8171-dc63fcef2cd9"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[172516, 4455, 326, 7, 48, "Input",ExpressionUUID->"7784d8db-0de7-4e37-91f9-eedd05f3bce4"],
Cell[172845, 4464, 10456, 260, 157, "Output",ExpressionUUID->"0888adab-299c-4463-a1dc-0c5942478d12"]
}, Open  ]],
Cell[CellGroupData[{
Cell[183338, 4729, 367, 9, 68, "Input",ExpressionUUID->"48aab966-5af5-42c1-a3f3-f225bc587c05"],
Cell[183708, 4740, 685, 21, 64, "Output",ExpressionUUID->"dc40e6d5-5a86-4fe1-96ed-e3a2a3bc1e69"],
Cell[184396, 4763, 685, 21, 64, "Output",ExpressionUUID->"5a848396-1102-4402-9fd1-29075b113579"]
}, Open  ]],
Cell[CellGroupData[{
Cell[185118, 4789, 376, 9, 68, "Input",ExpressionUUID->"184513f6-dfa3-4667-a490-1b2a45e0b165"],
Cell[185497, 4800, 11771, 285, 204, "Output",ExpressionUUID->"53579907-2a23-489a-9335-b5f52c8fb1bd"],
Cell[197271, 5087, 197, 6, 48, "Output",ExpressionUUID->"b784b131-613e-4446-8fe9-b9aca7e3dd17"]
}, Open  ]],
Cell[CellGroupData[{
Cell[197505, 5098, 378, 8, 87, "Input",ExpressionUUID->"db7b6b7c-50a4-4cc1-ae11-487716ec4540"],
Cell[197886, 5108, 11720, 284, 204, "Output",ExpressionUUID->"8b2e2325-d2bd-4e00-b45e-7bfa09d261cf"],
Cell[209609, 5394, 701, 20, 98, "Output",ExpressionUUID->"f49969c0-d9b5-4868-bfd5-28c94374d3da"],
Cell[210313, 5416, 1018, 26, 166, "Output",ExpressionUUID->"5a3fe317-261d-46f2-af25-6192be2a951e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[211368, 5447, 378, 8, 87, "Input",ExpressionUUID->"872a0b10-db08-4295-b6d0-44c5e9e7b1ce"],
Cell[211749, 5457, 11722, 284, 204, "Output",ExpressionUUID->"7b7dff00-3a78-4dd9-ae83-c06879dbcee3"],
Cell[223474, 5743, 677, 20, 98, "Output",ExpressionUUID->"b9c6ad9e-e0b1-4575-8aa2-2aa86b9e8254"],
Cell[224154, 5765, 970, 26, 166, "Output",ExpressionUUID->"04e1fb6d-0d8f-464e-b36e-a9765f2f7e8f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[225161, 5796, 816, 20, 106, "Input",ExpressionUUID->"e342610c-b8a2-4009-bcb1-da5b8f057815"],
Cell[225980, 5818, 12017, 290, 249, "Output",ExpressionUUID->"7bd7a2f1-06e3-405c-9c61-0e04f9094021"],
Cell[238000, 6110, 197, 6, 48, "Output",ExpressionUUID->"7fab5ce5-107d-421a-b8c6-8df398da63f7"],
Cell[238200, 6118, 197, 6, 48, "Output",ExpressionUUID->"5a4ff423-c902-4404-bafb-e2142f8ae480"],
Cell[238400, 6126, 195, 6, 48, "Output",ExpressionUUID->"11dccee1-b320-41c0-82af-55583ad2a919"]
}, Open  ]],
Cell[CellGroupData[{
Cell[238632, 6137, 1486, 37, 106, "Input",ExpressionUUID->"546217ec-7740-4042-8027-1c93a703238d"],
Cell[240121, 6176, 12943, 308, 157, "Output",ExpressionUUID->"a03a6f3d-32e1-4499-85ec-9613fa3819cd"],
Cell[253067, 6486, 497, 12, 48, "Output",ExpressionUUID->"77a2f394-27e6-4a65-8e76-fd83ff64e361"],
Cell[253567, 6500, 509, 11, 48, "Output",ExpressionUUID->"4aa7db8d-29f2-44c1-a57b-b3dde30ec2b6"],
Cell[254079, 6513, 512, 12, 48, "Output",ExpressionUUID->"e3a44cff-5f71-4439-83dd-821caada05f2"],
Cell[CellGroupData[{
Cell[254616, 6529, 2654, 63, 144, "Input",ExpressionUUID->"bf367a9e-1bef-473d-80e1-e6a75941969c"],
Cell[257273, 6594, 807, 16, 68, "Output",ExpressionUUID->"5d5256dc-0688-4835-bcfb-8eac9cf7181d"],
Cell[258083, 6612, 845, 18, 68, "Output",ExpressionUUID->"8ed9a15b-a7e2-471d-be1a-cc6283e9f214"],
Cell[258931, 6632, 845, 18, 68, "Output",ExpressionUUID->"9775e718-d376-4da6-be62-97d0eee5f7f4"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[259825, 6656, 968, 26, 106, "Input",ExpressionUUID->"21e4b071-ec03-497d-a54a-9121d448045c"],
Cell[260796, 6684, 195, 6, 48, "Output",ExpressionUUID->"a1124889-04df-45aa-b48f-fbbdff435ce4"],
Cell[260994, 6692, 197, 6, 48, "Output",ExpressionUUID->"e0b6afa4-ec54-4a50-96fa-14af37f6b592"],
Cell[261194, 6700, 197, 6, 48, "Output",ExpressionUUID->"33c3258b-bef9-4b82-a575-021bfb194396"],
Cell[261394, 6708, 195, 6, 48, "Output",ExpressionUUID->"8b698f59-7457-4b60-b962-27813fa2d446"]
}, Open  ]],
Cell[CellGroupData[{
Cell[261626, 6719, 231, 5, 68, "Input",ExpressionUUID->"51eb1791-bc88-45d0-9d8c-4513faeccd35"],
Cell[261860, 6726, 11830, 284, 227, "Output",ExpressionUUID->"737c2af9-8e44-47de-9393-17e3283dfa29"],
Cell[273693, 7012, 13175, 310, 134, "Output",ExpressionUUID->"e95b5a85-2025-40d2-8219-2f7f567d2617"]
}, Open  ]],
Cell[CellGroupData[{
Cell[286905, 7327, 1301, 31, 163, "Input",ExpressionUUID->"43db15c7-2a52-41ef-ac35-2729e7dd7d45"],
Cell[288209, 7360, 196, 6, 48, "Output",ExpressionUUID->"a5e2c092-2f72-4fdc-8d5e-3520f9c12cee"],
Cell[288408, 7368, 209, 6, 48, "Output",ExpressionUUID->"6242dd41-481a-46a5-86bc-d16f71978579"],
Cell[288620, 7376, 1121, 34, 302, "Output",ExpressionUUID->"dc07a997-efb4-453c-8d30-8fc76e63c315"],
Cell[289744, 7412, 193, 6, 48, "Output",ExpressionUUID->"b729b2b1-e7dc-4c54-9711-573141296604"],
Cell[289940, 7420, 211, 6, 48, "Output",ExpressionUUID->"8c2b6235-0e2b-40c2-b9ae-ff4b557d683d"],
Cell[290154, 7428, 195, 6, 48, "Output",ExpressionUUID->"0c08f953-4054-467d-a208-2c9f8901d617"]
}, Open  ]],
Cell[CellGroupData[{
Cell[290386, 7439, 281, 6, 68, "Input",ExpressionUUID->"85898ae9-356b-4de4-8f1e-14f514eac52c"],
Cell[290670, 7447, 13642, 323, 251, "Output",ExpressionUUID->"7d812012-fe73-4d82-a5fb-c4d6c43c985b"],
Cell[304315, 7772, 12669, 308, 181, "Output",ExpressionUUID->"909b3d4f-1cfe-402c-a7dd-a4f26eb1f2f4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[317021, 8085, 522, 13, 106, "Input",ExpressionUUID->"06aed984-cee6-43dd-a50d-fbb58fe89fd2"],
Cell[317546, 8100, 250, 6, 48, "Output",ExpressionUUID->"e5493893-1269-45a9-a87b-5c7291025113"],
Cell[317799, 8108, 251, 6, 48, "Output",ExpressionUUID->"ec2215ab-81cc-4516-ad70-1e04192b77ab"]
}, Open  ]],
Cell[CellGroupData[{
Cell[318087, 8119, 356, 7, 68, "Input",ExpressionUUID->"074e6900-428a-47de-9e13-26a77249d0b3"],
Cell[318446, 8128, 11575, 281, 134, "Output",ExpressionUUID->"97765d46-4f34-492c-9b5d-2e8f87430df8"],
Cell[CellGroupData[{
Cell[330046, 8413, 101, 1, 48, "Input",ExpressionUUID->"35018685-1ee2-48a0-b593-8b046150d065"],
Cell[330150, 8416, 11380, 278, 110, "Output",ExpressionUUID->"2014c358-54dc-4b85-87c2-c659b3245bbb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[341567, 8699, 177, 4, 48, "Input",ExpressionUUID->"12c8a687-4168-4df9-98c9-88ee4ae90c59"],
Cell[341747, 8705, 10768, 243, 766, "Output",ExpressionUUID->"58abc69f-b297-43b6-9a1c-5d1cbc2f4e8f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[352552, 8953, 102, 1, 48, "Input",ExpressionUUID->"ebc1f426-e0c0-4c8e-8359-7c65d74085c5"],
Cell[352657, 8956, 11977, 290, 202, "Output",ExpressionUUID->"52e5d3ce-8406-4b5a-aa5b-9e956e0fc77c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[364671, 9251, 186, 4, 48, "Input",ExpressionUUID->"030941ad-4ac9-4b64-9e46-5a29b4e00ab0"],
Cell[364860, 9257, 10534, 265, 110, "Output",ExpressionUUID->"cfe17c7d-8430-44e0-8c96-6ee50c5986b5"]
}, Open  ]],
Cell[375409, 9525, 1618, 47, 109, "Text",ExpressionUUID->"9094231e-bfa4-4000-83a8-1997ee5c3735",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[377052, 9576, 191, 4, 48, "Input",ExpressionUUID->"f400f43f-8a76-46e6-9cac-66adb3ba3e82",
 CellTags->"b:5.2.0"],
Cell[377246, 9582, 792, 26, 84, "Output",ExpressionUUID->"141f5855-90e4-4078-9620-93d9e79a0409",
 CellTags->"b:5.2.0"],
Cell[378041, 9610, 186, 3, 23, "Text",ExpressionUUID->"b089494c-89fa-4fe7-9819-5115a2f80ee3",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[378252, 9617, 120, 1, 48, "Input",ExpressionUUID->"85fe2ce5-7c96-4fe4-9d3a-1acd3793f56d",
 CellTags->"b:5.2.0"],
Cell[378375, 9620, 793, 26, 84, "Output",ExpressionUUID->"d4b94581-8a7f-405d-ae05-3eef817bc3da",
 CellTags->"b:5.2.0"]
}, Open  ]],
Cell[379183, 9649, 225, 4, 23, "Text",ExpressionUUID->"0737f639-304c-4b99-9e53-093de5452c80",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[379433, 9657, 446, 8, 48, "Input",ExpressionUUID->"96502799-c501-4eb1-8ba0-8fef6d6d7e8f",
 CellTags->"b:5.2.0"],
Cell[379882, 9667, 1713, 59, 246, "Output",ExpressionUUID->"0bb24458-ff1a-4bfb-b7d7-f5ef62424cad",
 CellTags->"b:5.2.0"],
Cell[381598, 9728, 190, 3, 23, "Text",ExpressionUUID->"1e23644b-283f-4ea2-8567-c033ab0841d5",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[381813, 9735, 421, 8, 48, "Input",ExpressionUUID->"873eaf26-fb14-4719-bc28-2a894b858e1f",
 CellTags->"b:5.2.0"],
Cell[382237, 9745, 1711, 59, 246, "Output",ExpressionUUID->"1c05f922-b990-4312-acf2-5db2fde58189",
 CellTags->"b:5.2.0"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[383987, 9809, 519, 7, 39, "Text",ExpressionUUID->"0630e717-28d4-4756-9f30-b2c1880a1d7b",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[384531, 9820, 905, 22, 106, "Input",ExpressionUUID->"683e3bb8-4047-4723-8924-a04ef84459a1",
 CellTags->"b:5.2.0"],
Cell[385439, 9844, 943, 23, 166, "Output",ExpressionUUID->"4146a769-fba8-4768-b785-446b0972fe2e",
 CellTags->"b:5.2.0"],
Cell[386385, 9869, 1043, 27, 182, "Output",ExpressionUUID->"bcc06682-f368-4c1d-8b55-c620de7d563d",
 CellTags->"b:5.2.0"],
Cell[387431, 9898, 703, 21, 80, "Output",ExpressionUUID->"91f6960a-c88b-471b-b587-25c07e28506d",
 CellTags->"b:5.2.0"],
Cell[388137, 9921, 601, 17, 64, "Output",ExpressionUUID->"27d4fcb6-5b02-4cd8-a8d2-bf203a37ac79",
 CellTags->"b:5.2.0"]
}, Open  ]],
Cell[388753, 9941, 484, 15, 23, "Text",ExpressionUUID->"990a16f1-bdf2-4764-89fa-5e41981f8cb1",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[389262, 9960, 254, 6, 48, "Input",ExpressionUUID->"28bcfd83-0455-4fd7-9e83-6da758c7b0c9",
 CellTags->{"i:2", "b:5.2.0"}],
Cell[389519, 9968, 2555, 88, 230, "Output",ExpressionUUID->"2bb4494c-5771-4fcd-9941-77daa9c09a67",
 CellTags->{"i:2", "b:5.2.0"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[392111, 10061, 498, 12, 68, "Input",ExpressionUUID->"33021d99-b127-4fa6-8c47-4e91d91d0b5f"],
Cell[392612, 10075, 1307, 39, 109, "Output",ExpressionUUID->"c6bc272f-b228-4fa1-a5bb-6ca7054bdb01"]
}, Open  ]],
Cell[393934, 10117, 241, 4, 23, "Text",ExpressionUUID->"ea674191-91e9-46f3-b19e-efc7a3177561",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[394200, 10125, 481, 13, 87, "Input",ExpressionUUID->"576f1076-769c-4a4f-b6ed-f76cb506f033",
 CellTags->"b:5.2.0"],
Cell[394684, 10140, 675, 21, 84, "Output",ExpressionUUID->"96db2c3b-0498-4254-984a-be60277b2b70",
 CellTags->"b:5.2.0"],
Cell[395362, 10163, 591, 17, 64, "Output",ExpressionUUID->"207f5cf2-81b1-4bc7-88c9-fdbddddd734f",
 CellTags->"b:5.2.0"],
Cell[395956, 10182, 701, 22, 84, "Output",ExpressionUUID->"cd9cdc4b-724b-4473-8b89-cba6feb0a6b5",
 CellTags->"b:5.2.0"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[396706, 10210, 101, 1, 48, "Input",ExpressionUUID->"ea24faef-20ef-4845-a31f-ff625a90a798"],
Cell[396810, 10213, 13444, 327, 181, "Output",ExpressionUUID->"e8f6c2ce-b64b-476d-b731-e214f2bf20f4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[410291, 10545, 563, 13, 125, "Input",ExpressionUUID->"6760ff4a-6afa-4487-9e16-5ba087f85102"],
Cell[410857, 10560, 574, 18, 64, "Output",ExpressionUUID->"1b62c1db-973e-478f-825e-fb343f120961"],
Cell[411434, 10580, 285, 8, 48, "Output",ExpressionUUID->"9a1a7fe6-ab3c-4938-ba92-82f88c4a0db4"],
Cell[411722, 10590, 574, 18, 64, "Output",ExpressionUUID->"5903a473-9db7-4f29-aec4-b6599c0a6a2d"],
Cell[412299, 10610, 285, 8, 48, "Output",ExpressionUUID->"84d8cc40-ea17-4039-afea-a657e5b52e25"],
Cell[412587, 10620, 354, 9, 48, "Output",ExpressionUUID->"df3dbb12-eb8e-41e2-bba8-8ed3dffccc38"],
Cell[CellGroupData[{
Cell[412966, 10633, 218, 7, 75, "Input",ExpressionUUID->"55a053cf-e8ba-4321-9b60-2df8aaa28e8b"],
Cell[413187, 10642, 574, 18, 64, "Output",ExpressionUUID->"732f51e4-ae7a-4908-9265-4d9746d10e22"],
Cell[413764, 10662, 576, 18, 64, "Output",ExpressionUUID->"dd4e19a9-61a4-47d1-b855-15c840c415c9"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[414389, 10686, 102, 1, 48, "Input",ExpressionUUID->"e701bd4d-d3e0-4657-b372-29a50f323116"],
Cell[414494, 10689, 11410, 280, 204, "Output",ExpressionUUID->"1da467c3-12e2-48d3-afaf-d0bd0093fd63"],
Cell[CellGroupData[{
Cell[425929, 10973, 267, 6, 68, "Input",ExpressionUUID->"f2ee9e6f-ffc3-4426-a5cc-b18a392132e7"],
Cell[426199, 10981, 1002, 31, 96, "Output",ExpressionUUID->"d6a551f5-4014-44d9-a5df-ef9410b3a9be"],
Cell[427204, 11014, 770, 22, 65, "Output",ExpressionUUID->"5f8e5732-4975-416b-bbe8-087288b57477"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[428023, 11042, 102, 1, 48, "Input",ExpressionUUID->"04b6729a-93a5-45fe-8b76-bd8fe09ddcfe"],
Cell[428128, 11045, 11846, 286, 181, "Output",ExpressionUUID->"57fd2d4c-246e-4e9b-8916-415790fd580d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[440011, 11336, 884, 22, 68, "Input",ExpressionUUID->"600f618b-0c12-4377-9755-262cb484b6f9"],
Cell[440898, 11360, 192, 5, 48, "Output",ExpressionUUID->"25f429ea-842f-493e-9e1f-3c249a4ea9cb"],
Cell[441093, 11367, 195, 6, 48, "Output",ExpressionUUID->"7d76862f-4b08-42a9-9eb7-c2e9ad3488b1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[441325, 11378, 173, 4, 48, "Input",ExpressionUUID->"eb97989b-c295-4c20-97c7-0b96b90f49a0"],
Cell[441501, 11384, 10830, 267, 204, "Output",ExpressionUUID->"489a21bd-52ca-45b8-af68-2c5432aab45d"],
Cell[CellGroupData[{
Cell[452356, 11655, 365, 7, 106, "Input",ExpressionUUID->"1d049906-e1fb-4088-9836-6c4c1273b8bd"],
Cell[452724, 11664, 658, 22, 84, "Output",ExpressionUUID->"713ed357-1c36-4c4b-aa16-df4a7efb44e7"],
Cell[453385, 11688, 424, 12, 67, "Output",ExpressionUUID->"eb27b19f-b4d1-47fa-99e3-7d64a8ff1c9a"],
Cell[453812, 11702, 682, 23, 84, "Output",ExpressionUUID->"49c420e4-d6f1-42d8-9300-7cf41387c11f"],
Cell[454497, 11727, 448, 13, 67, "Output",ExpressionUUID->"ad7523f5-067f-44e1-a878-aad223e3fe37"],
Cell[CellGroupData[{
Cell[454970, 11744, 488, 14, 68, "Input",ExpressionUUID->"923fdfa5-c166-43f7-bf3d-5a24897a3a23"],
Cell[455461, 11760, 195, 6, 48, "Output",ExpressionUUID->"c2d8b770-14e4-434f-be0c-800167940cec"],
Cell[455659, 11768, 195, 6, 48, "Output",ExpressionUUID->"f912b078-872f-4b29-b93a-fced5d338b90"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[455915, 11781, 173, 4, 48, "Input",ExpressionUUID->"5f0ee731-1207-4d1d-9ee5-d1adb71e9374"],
Cell[456091, 11787, 10572, 263, 157, "Output",ExpressionUUID->"43db1023-707a-40bc-8823-e6e2337d8940"]
}, Open  ]],
Cell[CellGroupData[{
Cell[466700, 12055, 363, 7, 106, "Input",ExpressionUUID->"f3a9f1ea-df17-4ce6-b257-a19cde016021"],
Cell[467066, 12064, 670, 22, 84, "Output",ExpressionUUID->"2510d19f-6466-46fd-a071-1cafa413208c"],
Cell[467739, 12088, 436, 12, 67, "Output",ExpressionUUID->"3e02e253-a511-4ac5-8b1a-91c45823c06b"],
Cell[468178, 12102, 694, 23, 84, "Output",ExpressionUUID->"c1e6d2cb-fdc7-4a8e-b89b-df32950ff2fc"],
Cell[468875, 12127, 457, 12, 67, "Output",ExpressionUUID->"2211e241-e633-4d7d-b162-10f2af460115"],
Cell[CellGroupData[{
Cell[469357, 12143, 489, 14, 68, "Input",ExpressionUUID->"4855d1e8-7392-40b7-a2e5-fcbf868d519b"],
Cell[469849, 12159, 195, 6, 48, "Output",ExpressionUUID->"d5a9d09e-fada-498d-8453-7bfc9d0efd56"],
Cell[470047, 12167, 195, 6, 48, "Output",ExpressionUUID->"ece2696b-d372-411e-a534-b11e702d07fb"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[470291, 12179, 278, 5, 48, "Input",ExpressionUUID->"a3857921-7cff-441d-93b0-82b0c9510b3e"],
Cell[470572, 12186, 18873, 428, 297, "Output",ExpressionUUID->"7bde7153-0bb5-42ad-bca2-e3eae120741f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[489482, 12619, 1645, 37, 201, "Input",ExpressionUUID->"9c39bcff-9355-4d35-a022-c8b8bef6037c"],
Cell[491130, 12658, 361, 10, 48, "Output",ExpressionUUID->"d302596f-4715-4891-99d8-481a21e6b9d2"],
Cell[491494, 12670, 637, 21, 80, "Output",ExpressionUUID->"c0589fae-821a-4ab0-b3a5-1b5eeb8167fb"],
Cell[492134, 12693, 637, 21, 80, "Output",ExpressionUUID->"be7ea475-1231-48cf-9238-19bfcc4e11a6"],
Cell[492774, 12716, 648, 24, 166, "Output",ExpressionUUID->"177593e3-59bc-4e5f-b32b-f617b7b0c82f"],
Cell[493425, 12742, 622, 19, 58, "Output",ExpressionUUID->"ee592cda-c6dd-4620-940b-fa32de1f42f4"],
Cell[494050, 12763, 637, 21, 80, "Output",ExpressionUUID->"cab83357-7899-4980-8130-907cfe73b39b"],
Cell[494690, 12786, 646, 24, 166, "Output",ExpressionUUID->"69d79225-3748-414b-9b26-ed69fc3638ed"],
Cell[495339, 12812, 622, 19, 56, "Output",ExpressionUUID->"91949a79-2f23-4659-8dbd-e7571c383085"],
Cell[CellGroupData[{
Cell[495986, 12835, 1075, 17, 68, "Input",ExpressionUUID->"4dbd1a8e-c54c-499c-9ca6-1423e795bcd1"],
Cell[497064, 12854, 1651, 41, 166, "Output",ExpressionUUID->"7f4cd2fd-a910-4d30-b926-a1c75b146b63"],
Cell[498718, 12897, 1760, 33, 87, "Output",ExpressionUUID->"4c6fab57-3349-468c-b45f-8671cea63678"],
Cell[CellGroupData[{
Cell[500503, 12934, 1345, 28, 182, "Input",ExpressionUUID->"eadfe12c-e552-4e60-aabb-94be47617fdf"],
Cell[501851, 12964, 639, 21, 80, "Output",ExpressionUUID->"fc3d03ea-0ec4-4082-9e33-3f8f329aba09"],
Cell[502493, 12987, 637, 21, 80, "Output",ExpressionUUID->"073f0832-5de0-4525-9886-be9d6005767b"],
Cell[503133, 13010, 686, 19, 49, "Output",ExpressionUUID->"b90c47a6-9563-4a03-b3fc-af27b574648d"],
Cell[503822, 13031, 688, 19, 49, "Output",ExpressionUUID->"c90c4287-2788-4179-9f3c-0909c105bde5"],
Cell[504513, 13052, 686, 19, 49, "Output",ExpressionUUID->"2c7514b7-4432-4380-8cca-5e911d4d2fbf"],
Cell[CellGroupData[{
Cell[505224, 13075, 517, 8, 87, "Input",ExpressionUUID->"47dbe950-6319-4072-a3e1-61b1bd9ab0d9"],
Cell[505744, 13085, 639, 21, 80, "Output",ExpressionUUID->"4e2ecce6-b7a2-43c2-87dc-7851eb68acc0"],
Cell[506386, 13108, 637, 21, 80, "Output",ExpressionUUID->"78a99189-edea-48d9-b6ab-03bb4a510d07"],
Cell[507026, 13131, 1762, 33, 87, "Output",ExpressionUUID->"5f4ac8eb-ae4d-483e-9f15-5f3f3db4f0ea"]
}, Open  ]],
Cell[CellGroupData[{
Cell[508825, 13169, 734, 17, 125, "Input",ExpressionUUID->"90e5d829-cd52-4eb7-b2e5-bd3b0e5d5149"],
Cell[509562, 13188, 639, 21, 80, "Output",ExpressionUUID->"8b845be5-66c9-448b-af8f-da84aef6457c"],
Cell[510204, 13211, 687, 19, 49, "Output",ExpressionUUID->"0d1ab074-9dee-467c-b191-1df16cb74950"],
Cell[510894, 13232, 689, 19, 49, "Output",ExpressionUUID->"f1d9e5a3-3b59-4d69-9dbb-1f75433568b1"],
Cell[511586, 13253, 685, 19, 49, "Output",ExpressionUUID->"c5365d06-eb96-4aa6-babf-3caf8ebc9aa9"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[512344, 13280, 182, 4, 48, "Input",ExpressionUUID->"0b9d19f6-ef1c-4448-b1d6-147d8b3b4e25"],
Cell[512529, 13286, 10918, 266, 157, "Output",ExpressionUUID->"32ae2ac4-becc-4655-b620-1daa7cf4377a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[523484, 13557, 158, 3, 48, "Input",ExpressionUUID->"45e3b26b-fc64-4fe6-b9cb-721988cc3437"],
Cell[523645, 13562, 1760, 33, 87, "Output",ExpressionUUID->"13370f54-7972-409c-8769-6bda68905293"]
}, Open  ]],
Cell[CellGroupData[{
Cell[525442, 13600, 1140, 21, 163, "Input",ExpressionUUID->"e8a2f548-67b2-42be-ba96-017d8d179fee"],
Cell[526585, 13623, 639, 21, 80, "Output",ExpressionUUID->"c618080e-fa94-4281-8f88-0e041346631b"],
Cell[527227, 13646, 637, 21, 80, "Output",ExpressionUUID->"aebacbf4-ec82-4702-9f4d-719ca97fd346"],
Cell[527867, 13669, 736, 21, 49, "Output",ExpressionUUID->"8dc2a47c-2303-470c-be7f-50c8d5d7e620"],
Cell[528606, 13692, 689, 19, 49, "Output",ExpressionUUID->"2c57f6d1-7889-4457-83d6-023e75fd9435"],
Cell[529298, 13713, 685, 19, 49, "Output",ExpressionUUID->"f09be9ff-adaf-4a52-babe-30e6f16c7b5b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[530020, 13737, 314, 6, 68, "Input",ExpressionUUID->"a58f653f-a47c-430f-b37d-c44523d54f0b"],
Cell[530337, 13745, 16020, 358, 671, "Output",ExpressionUUID->"649542a3-b276-477e-9e6b-fed7074c86e6"],
Cell[CellGroupData[{
Cell[546382, 14107, 776, 20, 87, "Input",ExpressionUUID->"66bbb2d4-3b23-43f0-8d7d-861eda7355e6"],
Cell[547161, 14129, 195, 6, 48, "Output",ExpressionUUID->"f2c8dc39-c0b5-403a-9f02-2a4880f147ae"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[547405, 14141, 1638, 34, 106, "Input",ExpressionUUID->"795a5e21-ef77-4092-a901-4c442a25f7ea"],
Cell[549046, 14177, 192, 5, 48, "Output",ExpressionUUID->"68f80940-9599-4ae6-a28c-aa6e6d39f387"]
}, Open  ]],
Cell[CellGroupData[{
Cell[549275, 14187, 1468, 29, 87, "Input",ExpressionUUID->"f3cad44e-85f5-4a74-8265-937685320839"],
Cell[550746, 14218, 195, 6, 48, "Output",ExpressionUUID->"de12d1bb-9861-4316-a3bc-f1d417fd3575"],
Cell[550944, 14226, 309, 7, 68, "Input",ExpressionUUID->"15f31189-483f-4b95-836c-488ebf1e4bbd"],
Cell[CellGroupData[{
Cell[551278, 14237, 1429, 29, 106, "Input",ExpressionUUID->"41381973-0725-4a45-9683-651883125342"],
Cell[552710, 14268, 1220, 34, 198, "Output",ExpressionUUID->"848d5edc-f40d-44b4-8487-b009e3879fca"],
Cell[553933, 14304, 195, 6, 48, "Output",ExpressionUUID->"d1d1613d-2230-479b-99bd-c7e7a828c989"],
Cell[CellGroupData[{
Cell[554153, 14314, 1389, 29, 106, "Input",ExpressionUUID->"999dc95a-6eae-43c6-9bc3-bc98308547da"],
Cell[555545, 14345, 1514, 44, 198, "Output",ExpressionUUID->"3473e944-769d-4f18-bd38-7798a78af41b"],
Cell[557062, 14391, 195, 6, 48, "Output",ExpressionUUID->"0c7c59dd-7f4d-4027-996f-3f770e0a0ebc"],
Cell[557260, 14399, 183, 3, 22, "SmallText",ExpressionUUID->"cf3362eb-cfe1-462b-a728-640e07bc894b"],
Cell[CellGroupData[{
Cell[557468, 14406, 180, 4, 48, "Input",ExpressionUUID->"8d52a9bb-f0ee-46f1-b465-001a68673a44"],
Cell[557651, 14412, 13702, 328, 226, "Output",ExpressionUUID->"3e7b02cf-02f3-42d6-a61a-303ea2a01c84"]
}, Open  ]],
Cell[CellGroupData[{
Cell[571390, 14745, 1601, 34, 106, "Input",ExpressionUUID->"4f36cce1-905b-4502-b49c-c7e3d389853a"],
Cell[572994, 14781, 195, 6, 48, "Output",ExpressionUUID->"2426c026-57a5-41e4-a519-f58ea87ff72d"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[573262, 14795, 113, 1, 48, "Input",ExpressionUUID->"6db14d3f-dec4-46a5-bd10-dbc92cdbf866"],
Cell[573378, 14798, 12182, 291, 181, "Output",ExpressionUUID->"92bd29f9-2b98-46ea-959e-badabc6b2ebf"]
}, Open  ]],
Cell[CellGroupData[{
Cell[585597, 15094, 1978, 45, 125, "Input",ExpressionUUID->"f4a2b230-cadb-4728-9f98-442a01b3bc1f"],
Cell[587578, 15141, 195, 6, 48, "Output",ExpressionUUID->"7ac9691b-a05f-4286-b11c-9632193a4843"],
Cell[587776, 15149, 195, 6, 48, "Output",ExpressionUUID->"50b0093d-9772-4507-87ca-963f2a8a2c4d"],
Cell[587974, 15157, 195, 6, 48, "Output",ExpressionUUID->"b3875892-69b3-4ef2-a04d-f1fd84782b33"],
Cell[588172, 15165, 195, 6, 48, "Output",ExpressionUUID->"6441888d-8267-4a37-8f54-694f9ee34b9d"],
Cell[588370, 15173, 197, 6, 48, "Output",ExpressionUUID->"717bcef7-be68-4491-a6bb-08fdb04a7767"]
}, Open  ]],
Cell[CellGroupData[{
Cell[588604, 15184, 426, 8, 125, "Input",ExpressionUUID->"088a1024-60b6-41ca-9f0b-e0bfaf966571"],
Cell[589033, 15194, 9778, 245, 110, "Output",ExpressionUUID->"9e0cd330-afad-44ae-a91a-ea4fb9339483"],
Cell[598814, 15441, 192, 6, 48, "Output",ExpressionUUID->"d5b1ae22-83e5-4c96-b7e2-b56b49af9753"],
Cell[599009, 15449, 9769, 245, 110, "Output",ExpressionUUID->"60818596-6687-47bf-857d-b7ae5a3786a5"],
Cell[608781, 15696, 192, 6, 48, "Output",ExpressionUUID->"14d02eb8-70bd-43a1-91b9-5018b5994a92"]
}, Open  ]],
Cell[CellGroupData[{
Cell[609010, 15707, 1458, 33, 182, "Input",ExpressionUUID->"374cb11c-588d-464e-9ae9-a83c1f8a8d88"],
Cell[610471, 15742, 11541, 276, 253, "Output",ExpressionUUID->"e0390539-2211-4014-bd8d-f24bc8a10033"],
Cell[622015, 16020, 584, 18, 64, "Output",ExpressionUUID->"f186e445-9b46-46cb-a2a3-665018afaf9a"],
Cell[622602, 16040, 197, 6, 48, "Output",ExpressionUUID->"c8027a2f-eed9-42e1-bb33-24a3f2e718c5"],
Cell[622802, 16048, 630, 19, 64, "Output",ExpressionUUID->"2d700df5-a550-43cb-bc15-026184a7d3cf"],
Cell[623435, 16069, 195, 6, 48, "Output",ExpressionUUID->"628c22eb-28d6-4b29-a517-59e3432fa7da"],
Cell[623633, 16077, 195, 6, 48, "Output",ExpressionUUID->"5104a2dc-14b3-4d82-acd2-e587b8b839ba"],
Cell[623831, 16085, 195, 6, 48, "Output",ExpressionUUID->"c1e9e1a5-8798-492e-a020-7a7b1b09664c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[624063, 16096, 397, 7, 48, "Input",ExpressionUUID->"6a117c43-5955-4744-8244-3d4a476daa47"],
Cell[624463, 16105, 11411, 278, 205, "Output",ExpressionUUID->"be260dbf-8a2d-4fc0-9b6e-e367bf8e7b55"],
Cell[CellGroupData[{
Cell[635899, 16387, 493, 11, 68, "Input",ExpressionUUID->"35b1fb74-1eec-4c7b-990c-cead0268870a"],
Cell[636395, 16400, 699, 21, 98, "Output",ExpressionUUID->"624efb5e-db1c-4289-bc51-9c82bc057a28"],
Cell[637097, 16423, 702, 22, 98, "Output",ExpressionUUID->"7412091c-a3fc-4e5d-8285-4f06fdf9bbb0"]
}, Open  ]]
}, Open  ]],
Cell[637826, 16449, 71, 0, 24, "Input",ExpressionUUID->"b51ecc80-2bd3-4788-9a86-8a70e5fa69e3"],
Cell[CellGroupData[{
Cell[637922, 16453, 1546, 33, 87, "Input",ExpressionUUID->"8b7e5690-2737-4080-9540-0d22333d3e2b"],
Cell[639471, 16488, 197, 6, 48, "Output",ExpressionUUID->"7c49e62d-4ad4-4515-ae0c-81e0307e0ed3"],
Cell[639671, 16496, 195, 6, 48, "Output",ExpressionUUID->"340dc1cd-8cb3-402e-8e57-29a015724e8c"],
Cell[639869, 16504, 195, 6, 48, "Output",ExpressionUUID->"071bd2eb-29ee-49b4-abc0-44b7cb1f1544"]
}, Open  ]],
Cell[CellGroupData[{
Cell[640101, 16515, 449, 8, 48, "Input",ExpressionUUID->"2bda6964-1fcc-49d4-b9bc-ed5be6bb91d4"],
Cell[640553, 16525, 11832, 288, 204, "Output",ExpressionUUID->"2b7f2935-c6aa-4abb-ae91-f680ac7be9a0"],
Cell[CellGroupData[{
Cell[652410, 16817, 356, 7, 48, "Input",ExpressionUUID->"7796671a-dc3f-4093-a53f-2af269740591"],
Cell[652769, 16826, 928, 24, 166, "Output",ExpressionUUID->"dd575d32-a30f-4844-9374-61d34c50b689"]
}, Open  ]],
Cell[CellGroupData[{
Cell[653734, 16855, 1905, 40, 87, "Input",ExpressionUUID->"47c3b95f-40be-40ad-9cc9-d81602181007"],
Cell[655642, 16897, 195, 6, 48, "Output",ExpressionUUID->"30e01908-6f50-4ac1-a61d-6ab2b2259f36"],
Cell[655840, 16905, 197, 6, 48, "Output",ExpressionUUID->"7db73e39-078d-45cb-9a25-9141008b46a4"],
Cell[656040, 16913, 195, 6, 48, "Output",ExpressionUUID->"1c64275f-f094-4e5d-b247-bc3f41096be6"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[656284, 16925, 179, 4, 48, "Input",ExpressionUUID->"ad2ad702-1853-43de-974d-6f491c7c01d4"],
Cell[656466, 16931, 217, 7, 48, "Output",ExpressionUUID->"3992c107-f111-488a-9e66-53b259119688"]
}, Open  ]],
Cell[CellGroupData[{
Cell[656720, 16943, 330, 6, 68, "Input",ExpressionUUID->"7130f0d5-cee9-4636-bab5-b90a5c68342d"],
Cell[657053, 16951, 9932, 231, 624, "Output",ExpressionUUID->"e1768d48-4f0d-4ad1-a9a0-1ad78cab808b"],
Cell[666988, 17184, 19321, 437, 414, "Output",ExpressionUUID->"e2848c1c-3df0-41cf-ac67-73a9cb560318"]
}, Open  ]],
Cell[CellGroupData[{
Cell[686346, 17626, 817, 23, 106, "Input",ExpressionUUID->"3ab368b6-f19e-4743-83ed-d1d8f4d4aa43"],
Cell[687166, 17651, 8293, 171, 166, "Output",ExpressionUUID->"5403e92a-9602-48f3-8c9d-bad907136b85"],
Cell[695462, 17824, 2609, 56, 98, "Output",ExpressionUUID->"66ba1c4d-08a9-418c-bcf0-028a42766a90"],
Cell[698074, 17882, 1048, 26, 64, "Output",ExpressionUUID->"ade83eb5-d2f1-482a-b9ca-ac9d1228e2e4"],
Cell[699125, 17910, 192, 5, 48, "Output",ExpressionUUID->"b5bbe272-d41f-46ea-94bb-220a858ba335"]
}, Open  ]],
Cell[699332, 17918, 83, 1, 24, "Input",ExpressionUUID->"1bdd14ab-e0a1-47a8-9aec-8c9d8d4435ca"],
Cell[CellGroupData[{
Cell[699440, 17923, 820, 18, 87, "Input",ExpressionUUID->"8e00b309-96a1-4189-abb5-71902f9651c2"],
Cell[700263, 17943, 2054, 48, 302, "Output",ExpressionUUID->"25209450-98f7-44d5-947c-b252a42ba9bd"],
Cell[CellGroupData[{
Cell[702342, 17995, 688, 14, 68, "Input",ExpressionUUID->"3a7373cd-1190-4e56-bdda-6f0810377b4f"],
Cell[703033, 18011, 189, 5, 48, "Output",ExpressionUUID->"4830007c-ad52-489e-92f9-b2b5f01e103e"],
Cell[703225, 18018, 189, 5, 48, "Output",ExpressionUUID->"c8960d8d-1acf-46f0-8fe1-e0af014ef630"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[703463, 18029, 542, 12, 68, "Input",ExpressionUUID->"ced8864c-ee52-4bc5-8ee1-2b567c63ee11"],
Cell[704008, 18043, 192, 6, 48, "Output",ExpressionUUID->"89272a0c-af2e-4067-8d6a-206108c2bd66"],
Cell[704203, 18051, 194, 6, 48, "Output",ExpressionUUID->"039cec5d-5e73-4bfb-92ad-8afdb9971658"]
}, Open  ]],
Cell[CellGroupData[{
Cell[704434, 18062, 665, 16, 48, "Input",ExpressionUUID->"e5269fd1-d0f8-4166-99f9-52151ae87379"],
Cell[705102, 18080, 195, 6, 48, "Output",ExpressionUUID->"9e7affae-2879-4a99-82a7-c2a79dcbecb5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[705334, 18091, 667, 15, 68, "Input",ExpressionUUID->"9392d7c5-0abb-4c6f-82a4-e98a6b06574a"],
Cell[706004, 18108, 2054, 48, 302, "Output",ExpressionUUID->"8c1c9359-f9cf-4b57-be4a-4320e896d10f"],
Cell[708061, 18158, 197, 6, 48, "Output",ExpressionUUID->"9bf002f8-8abf-43ec-bffd-c9cb41002275"]
}, Open  ]],
Cell[CellGroupData[{
Cell[708295, 18169, 857, 24, 125, "Input",ExpressionUUID->"9a26dcad-7699-42a5-9721-6f5b5e21e97e"],
Cell[709155, 18195, 1061, 28, 64, "Output",ExpressionUUID->"819f8859-ea64-4cc7-8514-4c1ac9caccf3"],
Cell[710219, 18225, 195, 6, 48, "Output",ExpressionUUID->"6937228a-1fbe-4ff9-8b4e-1a0b21977a54"],
Cell[710417, 18233, 194, 6, 48, "Output",ExpressionUUID->"3889c4f9-ea86-4c09-8eb4-cd082bb88588"],
Cell[710614, 18241, 212, 6, 48, "Output",ExpressionUUID->"4ff86f99-3b9a-44d3-aa16-30e6bb451563"]
}, Open  ]],
Cell[CellGroupData[{
Cell[710863, 18252, 174, 4, 48, "Input",ExpressionUUID->"0eefc36e-e8a5-492b-bc52-f856d11f8f66"],
Cell[711040, 18258, 12930, 307, 415, "Output",ExpressionUUID->"8fe2461f-6961-4c30-a581-8d66df43eedf"],
Cell[CellGroupData[{
Cell[723995, 18569, 1404, 40, 144, "Input",ExpressionUUID->"e7db7c45-46f3-42b3-ba8a-16c793424d6f"],
Cell[725402, 18611, 197, 6, 48, "Output",ExpressionUUID->"032947bc-bb7b-4555-bdf1-790b2fd6935a"],
Cell[725602, 18619, 197, 6, 48, "Output",ExpressionUUID->"25ac3418-07a1-457a-9bf8-daa7e6b778d7"],
Cell[725802, 18627, 195, 6, 48, "Output",ExpressionUUID->"9daccc01-c546-4b4a-8081-d9877ac54fe2"],
Cell[726000, 18635, 197, 6, 48, "Output",ExpressionUUID->"3c41e442-2ef0-49f8-8876-70e920979aaf"],
Cell[726200, 18643, 195, 6, 48, "Output",ExpressionUUID->"92eded07-89f5-4a44-8b58-dc7e522f9a4b"],
Cell[726398, 18651, 195, 6, 48, "Output",ExpressionUUID->"9b76615f-45a5-4ad1-b49e-2dc815289739"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[726642, 18663, 2353, 58, 172, "Input",ExpressionUUID->"7a5376f1-a984-4fa3-b097-2c885adbf122"],
Cell[728998, 18723, 3604, 104, 134, "Output",ExpressionUUID->"f41f3335-4d98-41bf-aaff-299432856034"],
Cell[732605, 18829, 903, 28, 80, "Output",ExpressionUUID->"f5f20574-cd00-4ab1-8d06-f18d4d1794b3"],
Cell[733511, 18859, 1235, 35, 64, "Output",ExpressionUUID->"01f83e3c-fe7a-4de0-9895-02d5b0b7ec0a"],
Cell[734749, 18896, 192, 6, 48, "Output",ExpressionUUID->"3db00d10-c2ae-49d4-9b65-f370b78804d0"],
Cell[734944, 18904, 1358, 40, 84, "Output",ExpressionUUID->"cc770722-c5ff-4957-964c-934ffdd42246"],
Cell[736305, 18946, 1358, 40, 84, "Output",ExpressionUUID->"3bb38969-335f-418e-bac5-8bf82609e91a"],
Cell[CellGroupData[{
Cell[737688, 18990, 1005, 24, 106, "Input",ExpressionUUID->"f42c7d56-fff8-487c-8fcc-07673862d1cd"],
Cell[738696, 19016, 3607, 105, 134, "Output",ExpressionUUID->"05dbf853-3fea-4256-957c-aff44b9a58ed"],
Cell[742306, 19123, 195, 6, 48, "Output",ExpressionUUID->"0b09ffe6-6829-4c9c-8578-cd3cff5b2f26"],
Cell[742504, 19131, 195, 6, 48, "Output",ExpressionUUID->"da6c1603-b333-432c-bbbe-ede6ac055d3e"],
Cell[742702, 19139, 195, 6, 48, "Output",ExpressionUUID->"03069789-7d67-4573-9119-9d4c03541e3c"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[742946, 19151, 1828, 52, 73, "Input",ExpressionUUID->"d493246f-5ef5-42d7-8232-5b946a64d5fb"],
Cell[744777, 19205, 195, 6, 48, "Output",ExpressionUUID->"9cb5b64d-5d39-45d9-a3dc-d45645482cd3"],
Cell[744975, 19213, 195, 6, 48, "Output",ExpressionUUID->"e2d9bb3b-abeb-4ee0-9952-5eeebee95dda"]
}, Open  ]],
Cell[CellGroupData[{
Cell[745207, 19224, 266, 5, 48, "Input",ExpressionUUID->"a33de787-38fc-42cc-8516-22ff5460892f"],
Cell[745476, 19231, 4146, 102, 102, "Output",ExpressionUUID->"cb0cc9bb-8980-4017-98c9-7c4c9e3d1ed0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[749659, 19338, 319, 6, 48, "Input",ExpressionUUID->"dac7bf3d-44a2-46b5-ba05-42b50fac7e6d"],
Cell[749981, 19346, 6517, 153, 119, "Output",ExpressionUUID->"c964a30a-e7d6-4119-b2fb-c07e8cd9f8e3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[756535, 19504, 582, 11, 106, "Input",ExpressionUUID->"ddb12c9f-9d56-4793-8c7a-52e80b69bc95"],
Cell[757120, 19517, 826, 24, 64, "Output",ExpressionUUID->"f08d238b-dcae-4d34-b1b0-33bfea088ba5"],
Cell[757949, 19543, 602, 16, 48, "Output",ExpressionUUID->"cc12bacb-220a-41fd-a15d-55e6b2b73720"],
Cell[CellGroupData[{
Cell[758576, 19563, 154, 2, 68, "Input",ExpressionUUID->"b222b19d-2af4-4cf7-ae99-3bdcdf968bdd"],
Cell[758733, 19567, 1103, 30, 98, "Output",ExpressionUUID->"ed1194e8-9a94-44e1-928e-64cc39e96be6"],
Cell[759839, 19599, 987, 22, 48, "Output",ExpressionUUID->"a1d13314-35a0-417d-86a8-f95e9bc725e5"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[760875, 19627, 324, 6, 106, "Input",ExpressionUUID->"444eff7e-99ae-4b48-90ae-43321278c6ec"],
Cell[761202, 19635, 814, 21, 49, "Output",ExpressionUUID->"7c479936-cabf-44dd-b966-7aa98b4c4e13"],
Cell[762019, 19658, 611, 14, 48, "Output",ExpressionUUID->"5cdab817-c02d-4a2b-81a1-9f0fe5c11740"],
Cell[762633, 19674, 1075, 26, 49, "Output",ExpressionUUID->"a60100a2-b6cc-4fb3-88dd-e90c1852ab11"],
Cell[763711, 19702, 1003, 21, 68, "Output",ExpressionUUID->"25b1bb18-57ef-4cfa-81bb-e0156b7f4824"]
}, Open  ]],
Cell[CellGroupData[{
Cell[764751, 19728, 414, 9, 106, "Input",ExpressionUUID->"3e4d6496-7068-4f3c-83bf-6eb0c5965fdb"],
Cell[765168, 19739, 3313, 62, 125, "Output",ExpressionUUID->"049656df-668f-4e4b-a7e2-2a173145f76e"],
Cell[768484, 19803, 3399, 62, 144, "Output",ExpressionUUID->"f1f593ea-8407-4a26-8542-2f52ea4ffeec"]
}, Open  ]],
Cell[771898, 19868, 322, 7, 48, "Input",ExpressionUUID->"67086103-18c8-4976-a1ff-b46ec5e5ac4c"],
Cell[CellGroupData[{
Cell[772245, 19879, 1076, 25, 125, "Input",ExpressionUUID->"b05e4b66-eb82-4046-bbe0-01b32e7f1fc1"],
Cell[773324, 19906, 873, 23, 64, "Output",ExpressionUUID->"46dd662c-b3dc-4c4f-a8b7-635a2e2cbafb"],
Cell[774200, 19931, 194, 6, 48, "Output",ExpressionUUID->"44ae7d58-6105-48bd-8828-8c70eae9ce3a"],
Cell[774397, 19939, 739, 23, 80, "Output",ExpressionUUID->"5c84a443-8636-481e-8134-bcdd50471853"],
Cell[775139, 19964, 2266, 52, 98, "Output",ExpressionUUID->"3cedbf50-0624-45ea-827e-6a08620a1461"],
Cell[777408, 20018, 194, 6, 48, "Output",ExpressionUUID->"8e53c73e-6990-4412-a330-b49497d23e36"]
}, Open  ]],
Cell[CellGroupData[{
Cell[777639, 20029, 1355, 31, 182, "Input",ExpressionUUID->"6df3558f-b29d-4924-a58e-4b3ef32972d5"],
Cell[778997, 20062, 194, 6, 48, "Output",ExpressionUUID->"198d084c-9a32-4507-ae60-5076820c51c8"],
Cell[779194, 20070, 212, 6, 48, "Output",ExpressionUUID->"6c801cd2-0576-4804-a0fd-fa00b9dcae29"],
Cell[779409, 20078, 4886, 100, 282, "Output",ExpressionUUID->"4479e85c-79ee-442a-9260-146d5fd2ad9c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[784332, 20183, 175, 4, 48, "Input",ExpressionUUID->"dc20293e-69f4-4e5e-ac10-397c4b8b747a"],
Cell[784510, 20189, 11644, 284, 228, "Output",ExpressionUUID->"1b78b6a6-5ee5-4417-a900-2bc68fd4edb8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[796191, 20478, 385, 9, 71, "Input",ExpressionUUID->"a3d0f7dc-b9d0-4e9d-ac45-dc49b93a5440"],
Cell[796579, 20489, 900, 27, 80, "Output",ExpressionUUID->"a85d6162-1b58-4588-af1e-d3f90e3f5594"],
Cell[797482, 20518, 192, 6, 48, "Output",ExpressionUUID->"575bf416-2a2f-45c9-b9f6-efcdb56a36df"]
}, Open  ]],
Cell[CellGroupData[{
Cell[797711, 20529, 530, 12, 89, "Input",ExpressionUUID->"21da04c7-284a-4fcc-bac5-2a68f9d206d4"],
Cell[798244, 20543, 1026, 29, 68, "Output",ExpressionUUID->"ece67700-406d-4be0-b536-1efaee80b7d7"],
Cell[799273, 20574, 647, 21, 64, "Output",ExpressionUUID->"e27fea17-0502-4eea-a58d-f0da36c77ddf"],
Cell[799923, 20597, 197, 6, 48, "Output",ExpressionUUID->"3cba7154-e5c5-4450-8834-b0846218fd5e"],
Cell[CellGroupData[{
Cell[800145, 20607, 175, 4, 48, "Input",ExpressionUUID->"fa6f23ee-1ddd-437b-b9fd-6bb0954af633"],
Cell[800323, 20613, 4110, 102, 102, "Output",ExpressionUUID->"3b08256d-444f-4a8d-a87f-b8ef4645a0cb"]
}, Open  ]]
}, Open  ]],
Cell[804460, 20719, 367, 6, 23, "Text",ExpressionUUID->"8d338c0d-e4b1-47a6-b98e-f47f826daff0",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[804852, 20729, 2333, 61, 239, "Input",ExpressionUUID->"eede73a8-bb5e-4f9a-b089-1de4b58b7d02"],
Cell[807188, 20792, 546, 15, 62, "Output",ExpressionUUID->"fe811c62-21c9-4045-bc41-1cf721e1b991"],
Cell[807737, 20809, 549, 16, 62, "Output",ExpressionUUID->"6fbe56a0-3117-4feb-a91d-d00a525788da"],
Cell[808289, 20827, 486, 14, 62, "Output",ExpressionUUID->"d67203eb-171c-4122-a537-209cfd744a1e"],
Cell[808778, 20843, 488, 14, 62, "Output",ExpressionUUID->"194acd1b-31f4-4200-9ad2-9d36c3a25e03"],
Cell[809269, 20859, 425, 13, 56, "Output",ExpressionUUID->"cf554983-8f53-463a-95e9-f65971d237d7"],
Cell[CellGroupData[{
Cell[809719, 20876, 799, 24, 87, "Input",ExpressionUUID->"1f48707e-b3ec-4f84-92a5-85cb2fd3858b"],
Cell[810521, 20902, 197, 6, 48, "Output",ExpressionUUID->"cd55d440-ad27-4a4b-9392-e251256e579b"],
Cell[810721, 20910, 195, 6, 48, "Output",ExpressionUUID->"6c5477ed-26f3-49ba-9f98-00d23ba07cb4"],
Cell[810919, 20918, 195, 6, 48, "Output",ExpressionUUID->"7454f928-66f9-4ba7-998f-8c0058d66329"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[811163, 20930, 393, 11, 48, "Input",ExpressionUUID->"d25ea64c-507c-441e-ba89-28a15873e7bc"],
Cell[811559, 20943, 637, 21, 80, "Output",ExpressionUUID->"662c522c-a9a8-49f3-8670-a6bc9cfd3e52"]
}, Open  ]],
Cell[CellGroupData[{
Cell[812233, 20969, 692, 18, 68, "Input",ExpressionUUID->"db4bc1ff-3731-4d97-bf24-5731288b6927"],
Cell[812928, 20989, 630, 19, 64, "Output",ExpressionUUID->"62be49bd-7423-4d3b-a894-15027b67400f"],
Cell[813561, 21010, 195, 6, 48, "Output",ExpressionUUID->"48bc4f72-a278-46f3-bd51-b842d26bb815"]
}, Open  ]],
Cell[CellGroupData[{
Cell[813793, 21021, 2503, 67, 151, "Input",ExpressionUUID->"55b3e53c-e523-4b4a-b3bd-1bca7ceb1cad"],
Cell[816299, 21090, 778, 27, 84, "Output",ExpressionUUID->"97623b93-93cc-4561-9b63-f41b2ed95f38"],
Cell[817080, 21119, 778, 27, 84, "Output",ExpressionUUID->"cc7d0e64-6b62-4965-ba68-bcb86da3e093"],
Cell[817861, 21148, 778, 27, 84, "Output",ExpressionUUID->"d718c1f8-5870-4422-a92c-f52d5a2ff12b"],
Cell[818642, 21177, 195, 6, 48, "Output",ExpressionUUID->"b424f2a8-0e77-49f5-b5fa-9f18fd7c59a6"],
Cell[818840, 21185, 195, 6, 48, "Output",ExpressionUUID->"ea345b71-5bd1-4ea3-8701-0fcc26ed21d7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[819072, 21196, 178, 4, 48, "Input",ExpressionUUID->"8e3d5ffd-1519-4ce6-a58d-3e57a5d9ff89"],
Cell[819253, 21202, 3272, 84, 102, "Output",ExpressionUUID->"fcfc30f8-3ee1-492d-b1ba-cb9d3efb6cb3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[822562, 21291, 1276, 26, 92, "Input",ExpressionUUID->"fffcfb57-fb36-45ce-8c48-02f05bb6b0f7"],
Cell[823841, 21319, 2416, 69, 94, "Output",ExpressionUUID->"9829cb8e-37a2-484e-86ab-b7faca02572a"],
Cell[826260, 21390, 1142, 32, 63, "Output",ExpressionUUID->"c7abeb45-ab2d-4ca0-a408-70153fc6ba18"],
Cell[CellGroupData[{
Cell[827427, 21426, 171, 4, 48, "Input",ExpressionUUID->"4212b21e-435b-4b64-a861-789ba62672b8"],
Cell[827601, 21432, 12197, 294, 110, "Output",ExpressionUUID->"fb72c3c4-db27-4f95-9d0c-cb5048ec2e7b"]
}, Open  ]]
}, Open  ]],
Cell[839825, 21730, 308, 7, 48, "Input",ExpressionUUID->"a02072ce-30b2-4698-8ed7-806780083c0a"],
Cell[CellGroupData[{
Cell[840158, 21741, 376, 7, 68, "Input",ExpressionUUID->"81920f95-4f8e-47d3-af9c-e38997190309"],
Cell[840537, 21750, 12773, 304, 111, "Output",ExpressionUUID->"8df6d4b4-e1dd-45eb-a0da-ed83f20b8003"],
Cell[853313, 22056, 13909, 341, 157, "Output",ExpressionUUID->"8e3594bd-a547-424a-a76c-2da6326c88cd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[867259, 22402, 432, 7, 106, "Input",ExpressionUUID->"bf840fd6-65ca-4b5d-b663-c50f64851b6b"],
Cell[867694, 22411, 584, 18, 64, "Output",ExpressionUUID->"2b5c7560-c7b2-4333-b8fb-d90a37db8a0d"],
Cell[868281, 22431, 584, 18, 64, "Output",ExpressionUUID->"d31ef796-d3f3-4bdd-b38b-9c230a21b184"],
Cell[868868, 22451, 630, 19, 64, "Output",ExpressionUUID->"6fed06d5-4622-487e-85ca-48ae102bc308"],
Cell[869501, 22472, 603, 18, 64, "Output",ExpressionUUID->"a22342ec-6534-4a19-99fb-ff721fe358c3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[870141, 22495, 351, 7, 106, "Input",ExpressionUUID->"a07ce719-ef1a-4455-877d-980291b0af34"],
Cell[870495, 22504, 586, 18, 64, "Output",ExpressionUUID->"715e704c-1bb1-44e4-ac30-e3b01a1aede7"],
Cell[871084, 22524, 584, 18, 64, "Output",ExpressionUUID->"e55ff1a4-17be-4ce6-b267-c1ab153dc4c1"],
Cell[871671, 22544, 632, 19, 64, "Output",ExpressionUUID->"eab6f091-947b-4b6f-a2f1-986c5a890b26"],
Cell[872306, 22565, 606, 19, 64, "Output",ExpressionUUID->"4642c3f2-b642-46b1-8ec4-f11d629d36ae"]
}, Open  ]],
Cell[CellGroupData[{
Cell[872949, 22589, 1047, 27, 68, "Input",ExpressionUUID->"aa91c26a-11ed-4874-9adb-6dd9de5c386f"],
Cell[873999, 22618, 195, 6, 48, "Output",ExpressionUUID->"6cf160ca-f7d7-4def-9afd-92afc62615c4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[874231, 22629, 173, 4, 48, "Input",ExpressionUUID->"e333b42d-3855-4a39-b579-1993c1dcce01"],
Cell[874407, 22635, 11609, 273, 531, "Output",ExpressionUUID->"9456e01d-c7bb-4e9b-99d1-b6bea4591a6a"],
Cell[CellGroupData[{
Cell[886041, 22912, 797, 23, 106, "Input",ExpressionUUID->"7b4af726-0d3b-47cb-993d-b5b976459c1b"],
Cell[886841, 22937, 195, 6, 48, "Output",ExpressionUUID->"c5c00a05-5696-45c5-ba5d-03e1e4fadf16"],
Cell[887039, 22945, 195, 6, 48, "Output",ExpressionUUID->"ad5b30f8-b2f1-43d7-afba-f0e299d68e74"],
Cell[887237, 22953, 195, 6, 48, "Output",ExpressionUUID->"256023df-d5d6-4178-9e2a-3d98d50e893b"],
Cell[887435, 22961, 195, 6, 48, "Output",ExpressionUUID->"73bd46cf-b3ad-4a37-a217-0ca0958b787b"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[887679, 22973, 1605, 39, 87, "Input",ExpressionUUID->"c9ebbac2-8e74-4d5f-bbcd-8cc1ff401f6c"],
Cell[889287, 23014, 195, 6, 48, "Output",ExpressionUUID->"3aa114ae-23a6-486e-9b15-c9964ad38c0d"],
Cell[889485, 23022, 195, 6, 48, "Output",ExpressionUUID->"e49170ca-8bc5-4943-b198-d700fcb03012"],
Cell[889683, 23030, 197, 6, 48, "Output",ExpressionUUID->"c6f10ce2-4a65-41e5-8ae8-b08f1a7d126e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[889917, 23041, 173, 4, 48, "Input",ExpressionUUID->"b7f53c7f-0ea0-4982-8415-749e2b90bcdb"],
Cell[890093, 23047, 11088, 273, 157, "Output",ExpressionUUID->"87032860-979b-4c5b-8b8e-5eb875a2970e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[901218, 23325, 1487, 36, 87, "Input",ExpressionUUID->"614e87ba-b470-4299-ba1c-8a1e4ff4f266"],
Cell[902708, 23363, 660, 20, 98, "Output",ExpressionUUID->"eef2eb2a-1396-45c2-920e-3625b453ac6d"],
Cell[903371, 23385, 197, 6, 48, "Output",ExpressionUUID->"3eb0bcc4-a06d-4013-a954-6b27fb7a4502"],
Cell[903571, 23393, 195, 6, 48, "Output",ExpressionUUID->"8e278476-6634-48aa-b42c-a0bcd31e6648"],
Cell[CellGroupData[{
Cell[903791, 23403, 1713, 41, 68, "Input",ExpressionUUID->"3c1842a9-90dd-4c0e-865f-c97a199227df"],
Cell[905507, 23446, 195, 6, 48, "Output",ExpressionUUID->"ccdf33bb-ca5d-47c6-984e-c6679a862c33"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[905751, 23458, 296, 6, 68, "Input",ExpressionUUID->"ba1dd460-02bf-4461-8063-fa585a4c2a4a"],
Cell[906050, 23466, 13208, 308, 110, "Output",ExpressionUUID->"0a7edca0-97ca-4ab0-89f5-6e13446d7a9b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[919295, 23779, 176, 4, 48, "Input",ExpressionUUID->"e176442e-1890-4fa3-b672-9b45792ee551"],
Cell[919474, 23785, 13688, 325, 204, "Output",ExpressionUUID->"c58d9ac9-1df6-4fcd-bebb-306a258ad364"]
}, Open  ]],
Cell[CellGroupData[{
Cell[933199, 24115, 335, 7, 68, "Input",ExpressionUUID->"76303c62-28e1-4ede-a837-6d47d0fa9ee6"],
Cell[933537, 24124, 926, 24, 166, "Output",ExpressionUUID->"1bd710c5-b0ca-473f-a099-f12580d62bc7"],
Cell[934466, 24150, 926, 24, 166, "Output",ExpressionUUID->"1f605541-c769-48b9-852d-38251bf31295"],
Cell[CellGroupData[{
Cell[935417, 24178, 1892, 47, 258, "Input",ExpressionUUID->"6b10a625-61e3-44ef-837d-ff6805a044a5"],
Cell[937312, 24227, 293, 9, 48, "Output",ExpressionUUID->"aacd02b4-0049-4eb6-82f3-d9bc468ca0bd"],
Cell[937608, 24238, 288, 8, 48, "Output",ExpressionUUID->"2f0d9c41-8539-4920-8bf8-cd58ade116a7"],
Cell[937899, 24248, 293, 9, 48, "Output",ExpressionUUID->"a1a59310-445e-4cdc-88b2-48e995130dff"],
Cell[938195, 24259, 293, 9, 48, "Output",ExpressionUUID->"d525332b-3aaa-4313-8051-8be83bbdfb87"],
Cell[938491, 24270, 291, 9, 48, "Output",ExpressionUUID->"23259455-ff28-4d83-a729-a6193dd14661"],
Cell[938785, 24281, 293, 9, 48, "Output",ExpressionUUID->"fae0a0d9-4283-49f8-bcba-93516b063b65"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[939127, 24296, 473, 11, 106, "Input",ExpressionUUID->"6b0c5f0c-c1d2-47f7-bc02-194d327075d3"],
Cell[939603, 24309, 10420, 256, 203, "Output",ExpressionUUID->"ced7a156-65e0-46eb-9a91-6c8df35bfeb9"],
Cell[950026, 24567, 192, 6, 48, "Output",ExpressionUUID->"6925a26d-bbee-4e39-a58d-065ecb209605"],
Cell[950221, 24575, 254, 8, 48, "Output",ExpressionUUID->"b839d798-8ff4-4cfe-b036-d9699848b391"],
Cell[950478, 24585, 252, 8, 48, "Output",ExpressionUUID->"eb422fb2-207b-4805-8445-71c9b5e6ee81"]
}, Open  ]],
Cell[CellGroupData[{
Cell[950767, 24598, 580, 10, 144, "Input",ExpressionUUID->"fb878eee-b6fe-4b81-b8b7-e74a3e34ce30"],
Cell[951350, 24610, 10144, 250, 180, "Output",ExpressionUUID->"4208798e-039c-4f9e-a1aa-6db4113786bb"],
Cell[961497, 24862, 192, 6, 48, "Output",ExpressionUUID->"57153058-7837-438e-9e27-1386482c760d"],
Cell[961692, 24870, 193, 6, 48, "Output",ExpressionUUID->"faf2d2ad-2281-40b9-9e71-c54827a050cd"],
Cell[961888, 24878, 189, 5, 48, "Output",ExpressionUUID->"cb037d86-5526-4941-9cdc-954b6aa6a2b6"],
Cell[962080, 24885, 2915, 79, 1118, "Output",ExpressionUUID->"92c1650b-2bc3-4148-a109-81f9316d5b23"],
Cell[CellGroupData[{
Cell[965020, 24968, 1012, 26, 87, "Input",ExpressionUUID->"5335b5e8-0f4c-4271-a37a-2b76b1bd9c90"],
Cell[966035, 24996, 197, 6, 48, "Output",ExpressionUUID->"2dc17d92-61c3-489f-87b1-2b972369e891"],
Cell[966235, 25004, 195, 6, 48, "Output",ExpressionUUID->"c5bdb6e8-c198-402e-9f1b-2a8d28dac69d"],
Cell[966433, 25012, 195, 6, 48, "Output",ExpressionUUID->"3a3f6ea4-cceb-44a4-99f7-56ab45c2fe38"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[966677, 25024, 449, 9, 125, "Input",ExpressionUUID->"8ffc3bbe-7c98-4f21-98cd-fce2c91e5ef7"],
Cell[967129, 25035, 10123, 250, 180, "Output",ExpressionUUID->"c4f59846-d7a6-47c6-a0cf-535b99716a58"],
Cell[977255, 25287, 192, 6, 48, "Output",ExpressionUUID->"2b0faf44-5b2c-4a63-bfd4-b99d0d1f5d0b"],
Cell[977450, 25295, 194, 6, 48, "Output",ExpressionUUID->"e61f2f84-3faa-4ac4-ac58-5fff02153629"],
Cell[977647, 25303, 678, 24, 132, "Output",ExpressionUUID->"e765c543-9ec0-46da-9927-fcb2e52e6580"],
Cell[978328, 25329, 756, 30, 234, "Output",ExpressionUUID->"bf80f71c-7e38-4d59-9514-feefc898c2d7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[979121, 25364, 290, 5, 87, "Input",ExpressionUUID->"d44971d4-9742-47d9-9a8e-5697801e6cda"],
Cell[979414, 25371, 10072, 251, 156, "Output",ExpressionUUID->"4988fafc-a8d7-4fad-ab10-65c9eea7e281"],
Cell[989489, 25624, 637, 21, 80, "Output",ExpressionUUID->"7346cc3b-1133-4d83-a49c-13516edc4e0e"],
Cell[990129, 25647, 702, 26, 166, "Output",ExpressionUUID->"8d5b0ed5-cb58-4556-a774-27c609efeb69"]
}, Open  ]],
Cell[CellGroupData[{
Cell[990868, 25678, 572, 12, 106, "Input",ExpressionUUID->"3c722456-e455-40ae-b06e-509b22dd6c9f"],
Cell[991443, 25692, 10534, 265, 110, "Output",ExpressionUUID->"798108ec-c52d-4208-abec-57cfc77d6a37"],
Cell[1001980, 25959, 584, 18, 64, "Output",ExpressionUUID->"d5c124a7-2694-49af-9bee-f5267849bd52"],
Cell[1002567, 25979, 1198, 42, 130, "Output",ExpressionUUID->"353e303a-1fd7-40aa-8cba-5ae510620849"],
Cell[1003768, 26023, 658, 20, 98, "Output",ExpressionUUID->"1dc4bd74-821d-44da-b754-69bc35835585"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1004463, 26048, 209, 4, 48, "Input",ExpressionUUID->"13e099fc-bc97-4ddf-941e-e9791279beff"],
Cell[1004675, 26054, 9162, 223, 228, "Output",ExpressionUUID->"00ca8c30-8812-423b-a6c1-2bc5d41b3ee7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1013874, 26282, 1319, 37, 171, "Input",ExpressionUUID->"2e6c1ae5-21be-4e36-95c7-4b665a51388a"],
Cell[1015196, 26321, 584, 18, 64, "Output",ExpressionUUID->"1d5a87d0-eb78-4026-b73b-2069ff10ba51"],
Cell[1015783, 26341, 584, 18, 64, "Output",ExpressionUUID->"6dea5db8-77b7-4324-9269-d03efc8ac3fb"],
Cell[1016370, 26361, 584, 18, 64, "Output",ExpressionUUID->"e845369e-44af-492d-a859-7aa25fcc0245"],
Cell[1016957, 26381, 195, 6, 48, "Output",ExpressionUUID->"75b9e8da-390d-4f91-a9e7-a5bb12b33e9f"],
Cell[1017155, 26389, 195, 6, 48, "Output",ExpressionUUID->"9556df8b-143f-4394-be19-d79a82192b0e"],
Cell[1017353, 26397, 195, 6, 48, "Output",ExpressionUUID->"1fb3c1e6-95b9-4c48-b410-7294e234569a"],
Cell[1017551, 26405, 192, 5, 48, "Output",ExpressionUUID->"98647260-a75d-4115-8ead-58ea77620692"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1017780, 26415, 277, 7, 68, "Input",ExpressionUUID->"14c69827-d8f2-4dbd-a8fa-591a17b5fa66"],
Cell[1018060, 26424, 10028, 248, 179, "Output",ExpressionUUID->"affa4384-dcb2-464a-a616-741bf2978f78"],
Cell[1028091, 26674, 586, 18, 64, "Output",ExpressionUUID->"100272aa-f8aa-4f9c-9163-180f917bb25e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1028714, 26697, 179, 4, 48, "Input",ExpressionUUID->"e0cff2dd-6aa3-41dd-9d2e-0ab49e802dbc"],
Cell[1028896, 26703, 8579, 213, 134, "Output",ExpressionUUID->"3c849b64-d52a-4d21-bea4-1aef93afb956"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1037512, 26921, 351, 7, 106, "Input",ExpressionUUID->"52e6f1b1-c077-4dc1-8bd5-c8284066306d"],
Cell[1037866, 26930, 584, 18, 64, "Output",ExpressionUUID->"cb3cbf07-b721-4f8a-b016-d45307652fac"],
Cell[1038453, 26950, 584, 18, 64, "Output",ExpressionUUID->"4dbe23f3-9981-4cca-a097-a6fc22973f84"],
Cell[1039040, 26970, 630, 19, 64, "Output",ExpressionUUID->"7189735e-00ad-4ac0-b666-44cc54f34c69"],
Cell[1039673, 26991, 606, 19, 64, "Output",ExpressionUUID->"c79993d0-23a5-4a43-8f3b-79f719cfdd7b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1040316, 27015, 297, 6, 68, "Input",ExpressionUUID->"31d5a1fd-f1b2-4f1d-82d0-f7065245d86d"],
Cell[1040616, 27023, 2281, 49, 98, "Output",ExpressionUUID->"191177b1-fc4f-47c0-852f-6e1f3a899758"],
Cell[CellGroupData[{
Cell[1042922, 27076, 275, 5, 48, "Input",ExpressionUUID->"73ddca9e-d6da-4cb8-a8de-fd24efeab710"],
Cell[1043200, 27083, 15905, 367, 134, "Output",ExpressionUUID->"43a554f1-a365-41f4-969c-207325942a2d"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1059154, 27456, 190, 4, 48, "Input",ExpressionUUID->"f6c66dac-5000-4ba0-a605-ecc3ec64607f"],
Cell[1059347, 27462, 2638, 64, 80, "Output",ExpressionUUID->"83e6f750-7849-4a91-b444-cbc059e78d7c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1062022, 27531, 340, 7, 68, "Input",ExpressionUUID->"9a5db825-a54b-4960-bd69-f517403a1ea9"],
Cell[1062365, 27540, 3743, 92, 102, "Output",ExpressionUUID->"4d6e845c-b9de-4b0f-9c6c-18faded53a7f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1066145, 27637, 507, 11, 87, "Input",ExpressionUUID->"774c49a7-6237-4758-be49-47b4326fc9bd"],
Cell[1066655, 27650, 15791, 362, 461, "Output",ExpressionUUID->"00b24ba9-174f-4f40-9cf9-835d9bc64130"]
}, Open  ]],
Cell[1082461, 28015, 430, 8, 48, "Input",ExpressionUUID->"b5a89b15-2c09-4b87-aa16-c6f14a6ce603"]
}
]
*)

