(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[   1123341,      28404]
NotebookOptionsPosition[   1054902,      27333]
NotebookOutlinePosition[   1065177,      27539]
CellTagsIndexPosition[   1064971,      27529]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Introductory Tutorial  Tour of Functions in QDensity", "Title",
 CellChangeTimes->{{3.614245752001307*^9, 3.61424575865956*^9}, {
  3.61442223595407*^9, 3.614422242848609*^9}},
 CellTags->"c:1",ExpressionUUID->"4ca7a274-aa93-4a97-ad6d-4c824f7c42d9"],

Cell["Basic tools in QDENSITY", "Subtitle",ExpressionUUID->"a9d7b9ea-4e50-41bb-9166-d5dabec60f99"],

Cell[TextData[{
 "Version: 5.0-July 2014--For ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 9.0 and 10.3"
}], "Abstract",
 CellChangeTimes->{{3.395090887981901*^9, 3.395090925377634*^9}, {
  3.5122043095457993`*^9, 3.512204334243861*^9}, {3.512204716872068*^9, 
  3.512204717487535*^9}, {3.61332114153409*^9, 3.61332117425388*^9}, {
  3.614245762990281*^9, 3.614245774903561*^9}, {3.655397820173614*^9, 
  3.655397820585164*^9}},
 FontSize->24,ExpressionUUID->"0a36bf1a-dc08-473b-8667-7de5f5180797"],

Cell[TextData[StyleBox["In this tutorial we provide simple examples of the \
commands  contained in the  QDensity package: \nOther tutorials are provided \
for QCWave and for special applications in other notebook files.",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.61451053161129*^9, 3.614510600783663*^9}, {
   3.6157266998820877`*^9, 3.615726725879055*^9}, 3.8571282953907757`*^9},
 FontFamily->"Courier New",
 FontSize->24,
 CellTags->"b:5.0",ExpressionUUID->"73db5300-6cee-4ff3-9540-4c562bf1a08c"],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Getting started                To  open   double   \
click at down arrow  --------------------------->>",
 FontSize->24]], "Section",
 CellChangeTimes->{{3.5122044149751883`*^9, 3.512204420963462*^9}, {
  3.512204654694922*^9, 3.512204703295166*^9}},
 FontFamily->"Times",
 CellTags->{
  "c:2", "b:5.0"},ExpressionUUID->"32643420-bf41-4fbb-817e-c3dee2754b3c"],

Cell[TextData[{
 StyleBox["All the codes simulating quantum circuits will start by loading \
the ",
  FontFamily->"Helvetica"],
 "QDENSITY and QCWave",
 StyleBox[" packages.\nTo make the package fully available copy the QDENSITY  \
directory to this location on \nyour user account:",
  FontFamily->"Helvetica"]
}], "Text",
 CellChangeTimes->{{3.6140757541788397`*^9, 3.6140758077373037`*^9}},
 TextJustification->0,
 FontFamily->"Courier New",
 CellTags->"b:5.0",ExpressionUUID->"0c40d619-7113-4431-a54f-27d92527ee07"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ToFileName", "[", " ", 
  RowBox[{"{", 
   RowBox[{"$UserBaseDirectory", ",", " ", "\"\<Applications\>\""}], "}"}], 
  "]"}]], "Input",
 CellTags->"b:5.0",ExpressionUUID->"90c6b5d8-4e32-4734-a028-4dee907fa563"],

Cell[BoxData["\<\"/Users/franktabakin/Library/Mathematica/Applications/\"\>"],\
 "Output",
 CellChangeTimes->{3.859374590643004*^9},
 CellTags->"b:5.0",ExpressionUUID->"24ee4165-5271-4842-b6f8-fca7994f08fa"]
}, Open  ]],

Cell[TextData[{
 StyleBox["Then you can load the packages ",
  FontFamily->"Helvetica"],
 "QDENSITY",
 StyleBox[" and ",
  FontFamily->"Helvetica"],
 "QCWave ....",
 StyleBox["  using:",
  FontFamily->"Helvetica"]
}], "Text",
 CellChangeTimes->{{3.613321198283746*^9, 3.6133212155955057`*^9}, {
  3.624626119284376*^9, 3.624626120386023*^9}},
 TextJustification->0,
 FontFamily->"Courier New",
 CellTags->"b:5.0",ExpressionUUID->"37f0d980-4f4c-4bc8-80dc-99e2a2212f2b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"Off", "[", 
     RowBox[{"General", "::", "shdw"}], "]"}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", "]"}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.483432390978092*^9, 3.483432400626445*^9}, {
   3.53079499934487*^9, 3.530795001544505*^9}, 3.5437525607932043`*^9, {
   3.548070897892881*^9, 3.548070916184149*^9}, {3.548070957087976*^9, 
   3.5480709578212748`*^9}, {3.548071305010578*^9, 3.548071306230961*^9}, {
   3.5480713947805653`*^9, 3.5480713956338*^9}, {3.548072099176927*^9, 
   3.548072101620358*^9}, {3.5480722624525137`*^9, 3.5480722637314672`*^9}, {
   3.548105051099502*^9, 3.548105052472144*^9}, {3.548369028268242*^9, 
   3.548369035859907*^9}, {3.548944622457534*^9, 3.548944629293009*^9}, {
   3.548947550869351*^9, 3.548947560976862*^9}, 3.549272600983625*^9, {
   3.656261941192224*^9, 3.656261941675263*^9}, {3.860155343160047*^9, 
   3.860155344540259*^9}},
 FontFamily->"Courier New",
 FontSize->16,
 CellTags->"b:5.0",ExpressionUUID->"87eb449a-2b3c-4627-8ab6-863c3af46eab"],

Cell[BoxData["\<\"Type \\\"?intro\\\", \\\"?QDENSITY`Qdensity`*\\\" or \
\\\"?about for help.\"\>"], "Print",
 CellChangeTimes->{3.859374590752449*^9},
 CellTags->"b:5.0",ExpressionUUID->"8bbd8502-8618-4d29-ad5d-7e468ba2a078"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"Needs", "[", "\"\<QDENSITY`Circuits`\>\"", "]"}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Needs", "[", "\"\<QDENSITY`QCWave`\>\"", "]"}], ";"}], 
   " "}]}]], "Input",
 CellChangeTimes->{{3.483432390978092*^9, 3.483432400626445*^9}, {
   3.53079499934487*^9, 3.530795001544505*^9}, 3.5437525607932043`*^9, {
   3.548070897892881*^9, 3.548070916184149*^9}, {3.548070957087976*^9, 
   3.5480709578212748`*^9}, {3.548071305010578*^9, 3.548071306230961*^9}, {
   3.5480713947805653`*^9, 3.5480713956338*^9}, {3.548072099176927*^9, 
   3.548072101620358*^9}, {3.5480722624525137`*^9, 3.5480722637314672`*^9}, {
   3.548105051099502*^9, 3.548105052472144*^9}, {3.548369028268242*^9, 
   3.548369035859907*^9}, {3.548944622457534*^9, 3.548944629293009*^9}, {
   3.548947550869351*^9, 3.548947560976862*^9}, 3.549272600983625*^9, {
   3.6562619520480824`*^9, 3.656261954781238*^9}},
 FontFamily->"Courier New",
 FontSize->16,
 CellTags->"b:5.0",ExpressionUUID->"06e2c9f5-50aa-4df1-9f5f-4d20d3e76e71"]
}, Open  ]],

Cell[TextData[StyleBox["Load the BTSystem package:",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.481314350813511*^9, 3.481314355400663*^9}, {
   3.530794984354582*^9, 3.530794993929948*^9}, 3.5437520569132357`*^9, 
   3.54375256079274*^9, {3.543831400003991*^9, 3.5438314111768208`*^9}, {
   3.5490989705948277`*^9, 3.54909897772147*^9}, 3.54927260098381*^9},
 TextJustification->0,
 FontFamily->"Courier New",
 FontSize->16,
 CellTags->"b:5.0",ExpressionUUID->"06a5712a-ca90-4193-8551-dd0af6b5703d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<QDENSITY`BTSystem`\>\"", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.548105830878007*^9, 3.548105833803213*^9}, {
   3.548105995819116*^9, 3.548105998543726*^9}, {3.548199704121345*^9, 
   3.548199705758276*^9}, {3.548349113316387*^9, 3.5483491159930687`*^9}, {
   3.548349560312273*^9, 3.548349562679538*^9}, 3.549272600984004*^9},
 FontSize->16,ExpressionUUID->"065d1d47-1280-4f31-b17a-fa55ad47faeb"],

Cell[BoxData["\<\"Type \\\"?introBT\\\", \\\"?QDENSITY`BTSystem`*\\\" or \
\\\"?aboutBT for help.\"\>"], "Print",
 CellChangeTimes->{
  3.859374591449019*^9},ExpressionUUID->"36eba7b6-ebe2-4cd4-a1d6-\
dd492bf3c6b3"]
}, Open  ]],

Cell[TextData[StyleBox["To see all the commands contained in the package:  ",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.0",ExpressionUUID->"ba250584-0fb3-46fe-a2a2-6fa1f1185be8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "QDENSITY`Qdensity`*"}]], "Input",
 CellChangeTimes->{{3.613321230783722*^9, 3.6133212398385773`*^9}, 
   3.6133971194048977`*^9, 3.613397155369432*^9},
 FontFamily->"Courier New",
 CellTags->"b:5.0",ExpressionUUID->"d3708ee5-5ebb-4384-8efe-fbd947dd000e"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["about", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "about", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Discord", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Discord", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "MeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "RandomBra2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma0", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Sigma0", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ws", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "ws", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Adj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Adj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "EnTropy", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiProjCBasis", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "MultiProjCBasis", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBraN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "RandomBraN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Sigma1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["AF", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "AF", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "EnTropy2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiQProj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "MultiQProj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "RandomKet1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Sigma2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Bra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Bra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Fidelity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Fidelity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Mutual", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Mutual", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "RandomKet2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Sigma3", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "BraV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["FidelityB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "FidelityB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "nb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKetN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "RandomKetN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Snos", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Snos", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "BraX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["neg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "neg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "RandomQubit1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SP", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "SP", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroMatrix", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "ZeroMatrix", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "BraY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nneg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "nneg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "RandomQubit2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SpinObs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "SpinObs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "ZeroT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CNOT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "CNOT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Hadamard", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Hadamard", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nq", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "nq", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubitN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "RandomQubitN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stA", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "stA", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalH]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "\[ScriptCapitalH]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Coeff", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Coeff", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["HALL", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "HALL", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OneOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "OneOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsDate", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "rcsDate", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "stB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "\[ScriptCapitalP]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Comm", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Comm", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["i8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "i8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Oracle", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Oracle", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsRevision", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "rcsRevision", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Swap", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Swap", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]X", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "\[ScriptCapitalP]X", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompMeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "CompMeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["intro", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "intro", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTrace", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "PartialTrace", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "res1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "s$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]Y", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "\[ScriptCapitalP]Y", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompPTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "CompPTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["j8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "j8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTraceGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "PartialTraceGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "res1$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ThreeOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "ThreeOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[DoubleStruckCapitalI]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "\[DoubleStruckCapitalI]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "ControlledX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Ket1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Ket1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTranspose", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "PartialTranspose", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "res2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Toffoli", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Toffoli", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "\[Rho]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "ControlledY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "KetV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ProjG", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "ProjG", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "res2$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "ts", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "\[Rho]$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "ControlledZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "KetX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "PTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Rotqbit", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Rotqbit", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "ts$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Sigma]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "\[Sigma]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASE", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "CPHASE", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "KetY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTrGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "PTrGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "RotX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["TwoOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "TwoOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "\[Phi]A1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASEV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "CPHASEV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "mc", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Purity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Purity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "RotY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["U", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "U", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "\[Phi]A2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["cRQN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "cRQN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "mcl", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "PX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "RotZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "v", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "\[Phi]B1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Definef", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Definef", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "mcl$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "PY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Vs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Vs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "\[Phi]B2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["DForm2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "DForm2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "mc$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "RandomBra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Schmidt", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "Schmidt", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "v$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[CapitalOmega]s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-2b4b54c8-9079-440d-bdd5-2119dd735fa2", {
                    "\[CapitalOmega]s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.15833333333333333`]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.859374591536145*^9},
 CellTags->"b:5.0",ExpressionUUID->"a789630f-8801-42c7-a436-69c37aa56255"]
}, Open  ]],

Cell[TextData[StyleBox["If you click on any entry in the display above, \
information about it will appear above this line.\nWe now illustrate most of \
the items in the above list.",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.615726750302065*^9, 3.615726801577874*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0",ExpressionUUID->"44ae50a6-5d5d-4f9f-a124-c14ddb792039"],

Cell["Basic Functions in roughly alphabetic order", "Section",
 CellChangeTimes->{{3.614245836034204*^9, 3.614245838451766*^9}, {
  3.614245883720427*^9, 3.614245902652607*^9}, {3.615726809058713*^9, 
  3.615726818935968*^9}},
 FontFamily->"Times",
 CellTags->"c:3",ExpressionUUID->"dab17cc2-a1ad-47ea-a38e-fd3c87670521"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Adj"}]], "Input",
 CellChangeTimes->{{3.614245973539517*^9, 
  3.6142459754182787`*^9}},ExpressionUUID->"9b4ce209-0e11-4155-94af-\
969f56b7c334"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Adj[A]\\n\\n\\t gives the adjoint of matrix \
A.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Adj", "[", "Private`x_", "]"}], ":=", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Conjugate", "[", "Private`x", "]"}], "]"}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Adj\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Adj[A]\\n\\n\\t gives the adjoint of matrix \
A.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Adj[A]\n\n\t gives the adjoint of matrix A.", "Documentation" -> None, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Adj, {QDENSITY`Qdensity`Adj[
          Pattern[Private`x, 
           Blank[]]] :> Transpose[
          Conjugate[Private`x]]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`Adj"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745916487093`*^9},ExpressionUUID->"bbb23733-f641-456a-9aa8-\
0c9ba0b01f38"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"state", "=", "RandomKet1"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "state", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Adj", "[", "state", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.6142459929567957`*^9, 
  3.614246085064147*^9}},ExpressionUUID->"462bc9cd-2a85-4ea1-847d-\
3506fa2c9ff0"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.6148282288946262`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.1421747153950149`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.010543638102601992`"}], "-", 
       RowBox[{"0.7756683769190317`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374591722733*^9},ExpressionUUID->"15e0f8bb-499d-49bf-9102-\
2f39a8376cdc"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{"0.6148282288946262`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.1421747153950149`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.010543638102601992`"}], "-", 
      RowBox[{"0.7756683769190317`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745917286377`*^9},ExpressionUUID->"9cde9181-d9b0-4cc2-81ff-\
3f1bf99c63dd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.6148282288946262`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.1421747153950149`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.010543638102601992`"}], "+", 
       RowBox[{"0.7756683769190317`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374591734126*^9},ExpressionUUID->"e6b56d0e-e782-47a0-ae19-\
a7cbd289cfaf"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    RowBox[{"0.6148282288946262`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.1421747153950149`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.010543638102601992`"}], "+", 
      RowBox[{"0.7756683769190317`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937459173834*^9},ExpressionUUID->"a99bb797-bd1f-4ee7-bee2-04a9dd8af021"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "AF"}]], "Input",
 CellChangeTimes->{{3.6142461128797913`*^9, 
  3.614246113974354*^9}},ExpressionUUID->"0aaf9e82-85b8-425d-bfb0-\
c736b58b1a2e"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"AF[state]\\n\\n   AF denotes ArrayFlatten, \
produces a correct matrix when needed for \\nthe older Tensorproduct setup.  \
Acts only on matrix. Defined by\\nAF=ArrayFlatten\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"AF", "[", 
                    RowBox[{"Private`st_", "?", "MatrixQ"}], "]"}], ":=", 
                    RowBox[{"ArrayFlatten", "[", "Private`st", "]"}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`AF\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"AF[state]\\n\\n   AF denotes ArrayFlatten, \
produces a correct matrix when needed for \\nthe older Tensorproduct setup.  \
Acts only on matrix. Defined by\\nAF=ArrayFlatten\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "AF[state]\n\n   AF denotes ArrayFlatten, produces a correct matrix when \
needed for \nthe older Tensorproduct setup.  Acts only on matrix. Defined by\n\
AF=ArrayFlatten", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> 
     None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`AF, {QDENSITY`Qdensity`AF[
          PatternTest[
           Pattern[Private`st, 
            Blank[]], MatrixQ]] :> ArrayFlatten[Private`st]}], "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`AF"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374591819043*^9},ExpressionUUID->"7e2762db-11a7-4d22-90aa-\
9ddcd19ab200"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Ket", "[", "0", "]"}], " ", "\[TensorProduct]", " ", 
  RowBox[{"Ket", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AF", "[", 
  RowBox[{
   RowBox[{"Ket", "[", "0", "]"}], " ", "\[TensorProduct]", " ", 
   RowBox[{"Ket", "[", "0", "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.614246220823657*^9, 
  3.6142462597006607`*^9}},ExpressionUUID->"1fefedfe-d99a-4ba3-8398-\
bb74d6c2c683"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1"},
     {"0"},
     {"0"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745918337584`*^9},ExpressionUUID->"286eb2eb-9e8e-47b9-a93e-\
f82cda18fa7a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1"},
     {"0"},
     {"0"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374591839283*^9},ExpressionUUID->"849a3c82-c1fe-464c-881f-\
48ae8a4e5e61"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"00\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745918430967`*^9},ExpressionUUID->"73bb02ef-1bd4-4041-b4f4-\
31cd07d83bfb"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  TemplateBox[{"0"},
   "Ket"], "\[TensorProduct]", 
  TemplateBox[{"0"},
   "Ket"]}], "\n", 
 RowBox[{"AF", "[", 
  RowBox[{
   TemplateBox[{"0"},
    "Ket"], "\[TensorProduct]", 
   TemplateBox[{"0"},
    "Ket"]}], "]"}], "\n", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.614246220823657*^9, 
  3.614246282164315*^9}},ExpressionUUID->"8dbdb6f5-2afe-4717-a127-\
ca6962554218"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1"},
     {"0"},
     {"0"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374591914812*^9},ExpressionUUID->"c00ead69-f7c0-421b-81bc-\
f6650d73182c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1"},
     {"0"},
     {"0"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937459193158*^9},ExpressionUUID->"79b47175-d74d-489c-9dde-9f94b4e57fdf"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"00\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374591936842*^9},ExpressionUUID->"5dd3105b-2fbb-42fc-b7b1-\
118673e5c2cc"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Bra1"}]], "Input",
 CellChangeTimes->{{3.614246322163365*^9, 
  3.614246324845842*^9}},ExpressionUUID->"4bffca31-ca4e-441e-bbc9-\
77034ab292f1"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Bra1[\[Theta],\[Phi]],\\n\\n\\t returns a general \
one qubit bra state . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Bra1", "[", 
                    RowBox[{"Private`a_", ",", "Private`b_"}], "]"}], ":=", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    FractionBox["Private`a", "2"], "]"}], " ", 
                    RowBox[{"Exp", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{"+", "\[ImaginaryI]"}], ")"}], " ", "Private`b"}],
                     "]"}], " ", 
                    TemplateBox[{"0"}, "Bra"]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    FractionBox["Private`a", "2"], "]"}], " ", 
                    TemplateBox[{"1"}, "Bra"], " ", 
                    RowBox[{"Exp", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{"-", "\[ImaginaryI]"}], ")"}], " ", "Private`b"}],
                     "]"}]}]}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Bra1\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Bra1[\[Theta],\[Phi]],\\n\\n\\t returns a general \
one qubit bra state . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Bra1[\[Theta],\[Phi]],\n\n\t returns a general one qubit bra state . ", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Bra1, {QDENSITY`Qdensity`Bra1[
          Pattern[Private`a, 
           Blank[]], 
          Pattern[Private`b, 
           Blank[]]] :> 
        Cos[Private`a/2] Exp[Plus[I] (Private`b/2)] Bra[0] + 
         Sin[Private`a/2] Bra[1] Exp[(-I) (Private`b/2)]}], "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`Bra1"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374592019444*^9},ExpressionUUID->"71753f94-368d-4f25-9ea2-\
dcf52c8d96be"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Bra1", "[", 
  RowBox[{"a", ",", "b"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.614246333795867*^9, 
  3.6142463871689034`*^9}},ExpressionUUID->"194eb1fb-2666-45d3-b2eb-\
24287649322c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"\[ImaginaryI]", " ", "b"}], "2"]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["a", "2"], "]"}]}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "b"}], "2"]}]], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["a", "2"], "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745920334167`*^9},ExpressionUUID->"8d60f8d5-0231-4a02-9934-\
a4279ac3bb31"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "b"}], "2"]], " ", 
      RowBox[{"Cos", "[", 
        FractionBox["a", "2"], "]"}]}], "\" ) \"", "\" < \"", "\"0\"", 
    "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "b"}], "2"]}]], " ", 
      RowBox[{"Sin", "[", 
        FractionBox["a", "2"], "]"}]}], "\" ) \"", "\" < \"", "\"1\"", 
    "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745920393*^9},ExpressionUUID->"26c4b768-2afa-44c5-9149-25e369369747"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "BraV"}]], "Input",
 CellChangeTimes->{{3.6142466507943993`*^9, 
  3.614246653218107*^9}},ExpressionUUID->"ad4ecbe0-779f-4803-a82f-\
86e69fc2e659"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"BraV[a_] is a multi-qubit state vector \
bra,\\n\\n\\t variable a must be list .\\n\\n\\t Example of use, \
\\nBraV[{a,b,c}]=Bra[a]\[CircleTimes]Bra[b]\[CircleTimes]Bra[c],\\nwith a,b \
and c {0,1}\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"BraV", "[", 
                    RowBox[{"Private`a_", "?", "ListQ"}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "O", "}"}], ",", 
                    RowBox[{
                    RowBox[{"O", "=", 
                    TemplateBox[{
                    
                    RowBox[{"Private`a", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}, "Bra"]}], ";", 
                    RowBox[{"Private`L", "=", 
                    RowBox[{"Length", "[", "Private`a", "]"}]}], ";", 
                    RowBox[{"Do", "[", 
                    RowBox[{
                    RowBox[{"O", "=", 
                    RowBox[{"AF", "[", 
                    RowBox[{"O", "\[CircleTimes]", 
                    TemplateBox[{
                    
                    RowBox[{"Private`a", "\[LeftDoubleBracket]", "Private`i", 
                    "\[RightDoubleBracket]"}]}, "Bra"]}], "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`i", ",", "2", ",", "Private`L"}], 
                    "}"}]}], "]"}], ";", "O"}]}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`BraV\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"BraV[a_] is a multi-qubit state vector \
bra,\\n\\n\\t variable a must be list .\\n\\n\\t Example of use, \
\\nBraV[{a,b,c}]=Bra[a]\[CircleTimes]Bra[b]\[CircleTimes]Bra[c],\\nwith a,b \
and c {0,1}\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "BraV[a_] is a multi-qubit state vector bra,\n\n\t variable a must be \
list .\n\n\t Example of use, \nBraV[{a,b,c}]=Bra[a]\[CircleTimes]Bra[b]\
\[CircleTimes]Bra[c],\nwith a,b and c {0,1}", "Documentation" -> None, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`BraV, {QDENSITY`Qdensity`BraV[
          PatternTest[
           Pattern[Private`a, 
            Blank[]], ListQ]] :> Module[{O}, O = Bra[
             Part[Private`a, 1]]; Private`L = Length[Private`a]; 
          Do[O = QDENSITY`Qdensity`AF[
              CircleTimes[O, 
               Bra[
                Part[Private`a, Private`i]]]], {Private`i, 2, Private`L}]; 
          O]}], "SubValues" -> None, "DefaultValues" -> None, "NValues" -> 
     None, "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`BraV"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745921236553`*^9},ExpressionUUID->"9a48a34f-57f0-486c-8f21-\
4cd0060ca2b1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"BraV", "[", 
  RowBox[{"{", 
   RowBox[{"0", ",", "0", ",", "0"}], "}"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"BraV", "[", 
  RowBox[{"{", 
   RowBox[{"1", ",", "1", ",", "0", ",", "1"}], "}"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.6142466732326727`*^9, 
  3.6142467446759567`*^9}},ExpressionUUID->"dd0da52b-9223-4302-b52d-\
e5c1e8f6b233"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745921393023`*^9},ExpressionUUID->"bd1772de-8201-4024-a25b-\
1eb996440bfe"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\" ( \"", "1", "\" ) \"", "\" < \"", "\"000\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374592145156*^9},ExpressionUUID->"8b0a991f-28d5-4f97-88fa-\
b122ad915092"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", 
      "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745921499777`*^9},ExpressionUUID->"fa23bdcb-4749-4042-ade2-\
7f57f30bfcd7"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\" ( \"", "1", "\" ) \"", "\" < \"", "\"1101\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745921548243`*^9},ExpressionUUID->"6681450b-fc88-4bb9-bee0-\
afdaf0479f4a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "BraX"}]], "Input",
 CellChangeTimes->{{3.6142467767662163`*^9, 
  3.614246778818458*^9}},ExpressionUUID->"b6eef3c5-19d2-4402-a5b6-\
8ae245ee75da"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"BraX[0], BraX[1],\\n\\n\\t one qubit \
\[LeftAngleBracket]+|, \[LeftAngleBracket]-|, respectively . \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"BraX", "[", "0", "]"}], ":=", 
                    RowBox[{"Adj", "[", 
                    RowBox[{"KetX", "[", "0", "]"}], "]"}]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"BraX", "[", "1", "]"}], ":=", 
                    RowBox[{"Adj", "[", 
                    RowBox[{"KetX", "[", "1", "]"}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`BraX\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"BraX[0], BraX[1],\\n\\n\\t one qubit \
\[LeftAngleBracket]+|, \[LeftAngleBracket]-|, respectively . \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "BraX[0], BraX[1],\n\n\t one qubit \[LeftAngleBracket]+|, \
\[LeftAngleBracket]-|, respectively . ", "Documentation" -> None, "OwnValues" -> 
     None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`BraX, {
       QDENSITY`Qdensity`BraX[0] :> QDENSITY`Qdensity`Adj[
          QDENSITY`Qdensity`KetX[0]], QDENSITY`Qdensity`BraX[1] :> 
        QDENSITY`Qdensity`Adj[
          QDENSITY`Qdensity`KetX[1]]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`BraX"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374592236236*^9},ExpressionUUID->"8158762e-6e18-451f-b77d-\
c06eda4ed5e1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"BraX", "[", "0", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"BraX", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.6142467868128767`*^9, 
  3.6142468220723877`*^9}},ExpressionUUID->"bb4b6b84-90cf-4b8c-bc3b-\
2c9e61e396bc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["1", 
       SqrtBox["2"]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374592250752*^9},ExpressionUUID->"9a44c4e7-6623-4535-96d1-\
3c20b24a8e94"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    FractionBox["1", 
     SqrtBox["2"]], "\" ) \"", "\" < \"", "\"0\"", "\" |\"", "\" + \"", 
    "\" ( \"", 
    FractionBox["1", 
     SqrtBox["2"]], "\" ) \"", "\" < \"", "\"1\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745922559566`*^9},ExpressionUUID->"2808abae-e341-4f39-b3cd-\
7e8ba966641e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374592260868*^9},ExpressionUUID->"f83c55ef-c01e-45ec-aa1d-\
12f6891cdd80"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    FractionBox["1", 
     SqrtBox["2"]], "\" ) \"", "\" < \"", "\"0\"", "\" |\"", "\" + \"", 
    "\" ( \"", 
    RowBox[{"-", 
      FractionBox["1", 
       SqrtBox["2"]]}], "\" ) \"", "\" < \"", "\"1\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374592266006*^9},ExpressionUUID->"a31017ce-8038-4200-a9f0-\
a54351002785"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "BraY"}]], "Input",
 CellChangeTimes->{{3.614246849249104*^9, 
  3.6142468524237967`*^9}},ExpressionUUID->"f9f7a677-42d7-4cee-b74f-\
85c0bbccd165"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"BraY[0], BraY[1],\\n\\n\\t one qubit eigenstates \
of Sigma[2], respectively . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"BraY", "[", "0", "]"}], ":=", 
                    RowBox[{"Adj", "[", 
                    RowBox[{"KetY", "[", "0", "]"}], "]"}]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"BraY", "[", "1", "]"}], ":=", 
                    RowBox[{"Adj", "[", 
                    RowBox[{"KetY", "[", "1", "]"}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`BraY\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"BraY[0], BraY[1],\\n\\n\\t one qubit eigenstates \
of Sigma[2], respectively . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "BraY[0], BraY[1],\n\n\t one qubit eigenstates of Sigma[2], respectively \
. ", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`BraY, {
       QDENSITY`Qdensity`BraY[0] :> QDENSITY`Qdensity`Adj[
          QDENSITY`Qdensity`KetY[0]], QDENSITY`Qdensity`BraY[1] :> 
        QDENSITY`Qdensity`Adj[
          QDENSITY`Qdensity`KetY[1]]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`BraY"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745931275873`*^9},ExpressionUUID->"e894adfc-dc38-4217-a634-\
3d7263c36c10"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"BraY", "[", "0", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"BraY", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"BraY", "[", "0", "]"}], ".", 
   RowBox[{"s", "[", "2", "]"}]}], "==", 
  RowBox[{"BraY", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"BraY", "[", "1", "]"}], ".", 
   RowBox[{"s", "[", "2", "]"}]}], "\[Equal]", " ", 
  RowBox[{"-", " ", 
   RowBox[{"BraY", "[", "1", "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.614247006311235*^9, 3.614247009150887*^9}, {
  3.614248319852743*^9, 
  3.614248507164525*^9}},ExpressionUUID->"33ef5dba-179a-41f4-9300-\
7d6d6432f5e7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745931828403`*^9},ExpressionUUID->"07628939-47d4-4139-9442-\
bba016b9d04b"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    FractionBox["1", 
     SqrtBox["2"]], "\" ) \"", "\" < \"", "\"0\"", "\" |\"", "\" + \"", 
    "\" ( \"", 
    RowBox[{"-", 
      FractionBox["\[ImaginaryI]", 
       SqrtBox["2"]]}], "\" ) \"", "\" < \"", "\"1\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374593193803*^9},ExpressionUUID->"87408220-da78-472e-9e12-\
7992536c5820"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["\[ImaginaryI]", 
       SqrtBox["2"]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937459320459*^9},ExpressionUUID->"6b9a1a80-a75f-4ce8-a0f2-ee0050c7017d"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    FractionBox["1", 
     SqrtBox["2"]], "\" ) \"", "\" < \"", "\"0\"", "\" |\"", "\" + \"", 
    "\" ( \"", 
    FractionBox["\[ImaginaryI]", 
     SqrtBox["2"]], "\" ) \"", "\" < \"", "\"1\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374593212233*^9},ExpressionUUID->"46201f92-836e-42bd-acd8-\
eed88102eca4"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745932238092`*^9},ExpressionUUID->"f7f3c782-bf6d-47de-a767-\
2db9c43c135d"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374593233604*^9},ExpressionUUID->"2ef6a15a-3434-4ee3-be1a-\
3043f0f4cfdb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "CNOT"}]], "Input",
 CellChangeTimes->{{3.614248534002109*^9, 
  3.614248535772028*^9}},ExpressionUUID->"b4b0619d-feef-41dd-a64b-\
3308317d6eab"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"CNOT[nqv,q1,q2]\\n\\n\\t Returns the CNOT operator \
with q1 qubit as control, \\n\\n q2 qubit as target within nqv qubits--same \
as ControlledX . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"CNOT", "[", 
                    
                    RowBox[{
                    "Private`nqv_", ",", "Private`q1_", ",", "Private`q2_"}], 
                    "]"}], ":=", 
                    RowBox[{"AF", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "0", ",", "0"}], "]"}], "+", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "3", ",", "0"}], "]"}], "+", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "0", ",", "1"}], "]"}], "-", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "3", ",", "1"}], "]"}]}], ")"}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`CNOT\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"CNOT[nqv,q1,q2]\\n\\n\\t Returns the CNOT operator \
with q1 qubit as control, \\n\\n q2 qubit as target within nqv qubits--same \
as ControlledX . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "CNOT[nqv,q1,q2]\n\n\t Returns the CNOT operator with q1 qubit as \
control, \n\n q2 qubit as target within nqv qubits--same as ControlledX . ", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`CNOT, {QDENSITY`Qdensity`CNOT[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q1, 
           Blank[]], 
          Pattern[Private`q2, 
           Blank[]]] :> 
        QDENSITY`Qdensity`AF[(
           QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 0, 0] + 
           QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 3, 0] + 
           QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 0, 1] - 
           QDENSITY`Qdensity`TwoOp[
           Private`nqv, Private`q1, Private`q2, 3, 1])/2]}], "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`CNOT"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374593355359*^9},ExpressionUUID->"a74c1888-957e-491a-a067-\
eb8374595d4d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CNOT", "[", 
  RowBox[{"2", ",", "1", ",", "2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CNOT", "[", 
   RowBox[{"2", ",", "1", ",", "2"}], "]"}], ".", 
  RowBox[{"CNOT", "[", 
   RowBox[{"2", ",", "1", ",", "2"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"2", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"0"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"0"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"0"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"0"},
     "Ket"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"2", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"0"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"1"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"0"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"1"},
     "Ket"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"2", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"1"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"0"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"1"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"1"},
     "Ket"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"2", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"1"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"1"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"1"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"0"},
     "Ket"]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6142485410539303`*^9, 3.614248637119021*^9}, 
   3.614248668913207*^9, {3.61424870598875*^9, 
   3.614248826764021*^9}},ExpressionUUID->"f9a89c20-6ce0-4a99-816c-\
bccfa34638f2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "0", "1"},
     {"0", "0", "1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745933765297`*^9},ExpressionUUID->"ea58d9ec-8cd2-4a8c-a3a3-\
e9e398391964"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "1", "0"},
     {"0", "0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374593383586*^9},ExpressionUUID->"b4fc16d8-d9e1-4584-8712-\
d7028b728991"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374593407446*^9},ExpressionUUID->"5160c839-12ed-46ac-afe2-\
786e32b3cc18"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745934318523`*^9},ExpressionUUID->"177cbc61-2ebf-4b67-93ca-\
026dfca73975"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374593451318*^9},ExpressionUUID->"37d0a1d8-d331-4fd1-9792-\
ca77ea7472c8"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374593468932*^9},ExpressionUUID->"70354027-533a-413f-9cf2-\
6a1735926a6e"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CNOT", "[", 
  RowBox[{"3", ",", "1", ",", "3"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"0"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"0"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"0"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"0"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"0"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"0"},
     "Ket"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"0"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"0"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"1"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"0"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"0"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"1"},
     "Ket"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"0"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"1"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"0"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"0"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"1"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"0"},
     "Ket"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"CNOT", "[", 
     RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
    RowBox[{"AF", "[", 
     RowBox[{
      TemplateBox[{"0"},
       "Ket"], "\[TensorProduct]", 
      TemplateBox[{"1"},
       "Ket"], "\[TensorProduct]", 
      TemplateBox[{"1"},
       "Ket"]}], "]"}]}], "==", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"0"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"1"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"1"},
      "Ket"]}], "]"}]}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"1"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"0"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"0"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"1"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"1"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"0"},
     "Ket"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"1"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"0"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"1"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"1"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"1"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"1"},
     "Ket"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"1"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"1"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"0"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"1"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"0"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"0"},
     "Ket"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CNOT", "[", 
    RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     TemplateBox[{"1"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"1"},
      "Ket"], "\[TensorProduct]", 
     TemplateBox[{"1"},
      "Ket"]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    TemplateBox[{"1"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"0"},
     "Ket"], "\[TensorProduct]", 
    TemplateBox[{"1"},
     "Ket"]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6142488479457607`*^9, 3.6142488991657143`*^9}, {
  3.614248931293337*^9, 3.61424893608473*^9}, {3.6142519543755198`*^9, 
  3.614252121754683*^9}},ExpressionUUID->"2c6221ae-7d51-4686-a304-\
40d8ab831436"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0"},
     {"0", "0", "0", "0", "1", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1"},
     {"0", "0", "0", "0", "0", "0", "1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374593487093*^9},ExpressionUUID->"272a2c07-904f-4d97-8ae5-\
bc18695da7f0"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374593515222*^9},ExpressionUUID->"7bd3c48d-2760-44b1-b40b-\
93e96d4c3bb1"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937459353395*^9},ExpressionUUID->"28510d42-cf47-4235-bb0e-dace03ac73ce"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745935523853`*^9},ExpressionUUID->"473d9ad2-c9c9-42d4-8e45-\
085bfda4f278"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745935712214`*^9},ExpressionUUID->"3f25ff2e-e717-408c-a527-\
910c2831f2a7"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745935906143`*^9},ExpressionUUID->"83335e49-5358-4825-b088-\
60692ac2bb3d"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745936089153`*^9},ExpressionUUID->"1cfa3249-1a1b-422d-b957-\
2c34b88bf9bb"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374593627275*^9},ExpressionUUID->"f106f219-784a-4169-9b9b-\
6336a729aef5"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745936441917`*^9},ExpressionUUID->"58f071c0-9fc1-41f2-bfa5-\
d1501dba2222"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Comm"}]], "Input",
 CellChangeTimes->{
  3.6142521505535316`*^9, {3.61433508228055*^9, 3.6143350854284077`*^9}, {
   3.614335122113619*^9, 3.6143351275484047`*^9}, 3.614362461276052*^9, {
   3.614362552632021*^9, 
   3.614362554197974*^9}},ExpressionUUID->"7784d8db-0de7-4e37-91f9-\
eedd05f3bce4"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Comm[A,B]\\n\\n\\t gives the commutator of A and B \
defined as AB-BA . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Comm", "[", 
                    RowBox[{
                    RowBox[{"Private`x_", "?", "MatrixQ"}], ",", 
                    RowBox[{"Private`y_", "?", "MatrixQ"}]}], "]"}], ":=", 
                    RowBox[{
                    RowBox[{"Private`x", ".", "Private`y"}], "-", 
                    RowBox[{"Private`y", ".", "Private`x"}]}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Comm\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Comm[A,B]\\n\\n\\t gives the commutator of A and B \
defined as AB-BA . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Comm[A,B]\n\n\t gives the commutator of A and B defined as AB-BA . ", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Comm, {QDENSITY`Qdensity`Comm[
          PatternTest[
           Pattern[Private`x, 
            Blank[]], MatrixQ], 
          PatternTest[
           Pattern[Private`y, 
            Blank[]], MatrixQ]] :> 
        Dot[Private`x, Private`y] - Dot[Private`y, Private`x]}], "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`Comm"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374593734074*^9},ExpressionUUID->"647bbcf0-8482-40b7-8b1f-\
7a15630ebfa7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Comm", "[", 
  RowBox[{
   RowBox[{"s", "[", "1", "]"}], ",", " ", 
   RowBox[{"s", "[", "2", "]"}]}], "]"}], "\n", 
 RowBox[{"2", "*", "I", "*", 
  RowBox[{"s", "[", "3", "]"}]}]}], "Input",
 CellChangeTimes->{{3.614334288635127*^9, 3.6143343148174963`*^9}, 
   3.614334720065689*^9},ExpressionUUID->"48aab966-5af5-42c1-a3f3-\
f225bc587c05"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"2", " ", "\[ImaginaryI]"}], "0"},
     {"0", 
      RowBox[{
       RowBox[{"-", "2"}], " ", "\[ImaginaryI]"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745937502947`*^9},ExpressionUUID->"65e27409-2828-4e34-9d9e-\
dc5c84616516"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"2", " ", "\[ImaginaryI]"}], "0"},
     {"0", 
      RowBox[{
       RowBox[{"-", "2"}], " ", "\[ImaginaryI]"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374593757907*^9},ExpressionUUID->"b2390aee-76a4-428d-bfd3-\
35c0a0564d2c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "ControlledX"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ControlledX", "[", 
   RowBox[{"3", ",", "1", ",", "2"}], "]"}], "\[Equal]", 
  RowBox[{"CNOT", "[", 
   RowBox[{"3", ",", "1", ",", "2"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.614362614538291*^9, 
  3.614362699525647*^9}},ExpressionUUID->"184513f6-dfa3-4667-a490-\
1b2a45e0b165"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ControlledX[nqv,q1,q2]\\n\\n\\t Returns the \
ControlledX operator with q1 qubit as control, \\n\\n q2 qubit as target \
within nqv qubits--same as CNOT \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"ControlledX", "[", 
                    
                    RowBox[{
                    "Private`nqv_", ",", "Private`q1_", ",", "Private`q2_"}], 
                    "]"}], ":=", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "0", ",", "0"}], "]"}], "+", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "3", ",", "0"}], "]"}], "+", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "0", ",", "1"}], "]"}], "-", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "3", ",", "1"}], "]"}]}], ")"}]}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`ControlledX\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ControlledX[nqv,q1,q2]\\n\\n\\t Returns the \
ControlledX operator with q1 qubit as control, \\n\\n q2 qubit as target \
within nqv qubits--same as CNOT \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "ControlledX[nqv,q1,q2]\n\n\t Returns the ControlledX operator with q1 \
qubit as control, \n\n q2 qubit as target within nqv qubits--same as CNOT ", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`ControlledX, {
       QDENSITY`Qdensity`ControlledX[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q1, 
           Blank[]], 
          Pattern[Private`q2, 
           Blank[]]] :> (
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 0, 0] + 
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 3, 0] + 
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 0, 1] - 
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 3, 1])/
         2}], "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None,
      "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`ControlledX"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937459384837*^9},ExpressionUUID->"952bb1c9-a059-43a9-91ab-c62eba60d241"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745938611517`*^9},ExpressionUUID->"f01b4194-5874-4176-9f2b-\
b89dbf23f762"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "ControlledY"}], "\[IndentingNewLine]", 
 RowBox[{"ControlledY", "[", 
  RowBox[{"2", ",", "1", ",", "2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ControlledY", "[", 
  RowBox[{"3", ",", "1", ",", "2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.614362732759206*^9, 
  3.614362771657608*^9}},ExpressionUUID->"db7b6b7c-50a4-4cc1-ae11-\
487716ec4540"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ControlledY[nqv,q1,q2]\\n\\n\\t Returns the \
ControlledY operator with q1 qubit as control,\\n\\n q2 qubit as target \
within nqv qubits \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"ControlledY", "[", 
                    
                    RowBox[{
                    "Private`nqv_", ",", "Private`q1_", ",", "Private`q2_"}], 
                    "]"}], ":=", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "0", ",", "0"}], "]"}], "+", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "3", ",", "0"}], "]"}], "+", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "0", ",", "2"}], "]"}], "-", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "3", ",", "2"}], "]"}]}], ")"}]}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`ControlledY\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ControlledY[nqv,q1,q2]\\n\\n\\t Returns the \
ControlledY operator with q1 qubit as control,\\n\\n q2 qubit as target \
within nqv qubits \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "ControlledY[nqv,q1,q2]\n\n\t Returns the ControlledY operator with q1 \
qubit as control,\n\n q2 qubit as target within nqv qubits ", "Documentation" -> 
     None, "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`ControlledY, {
       QDENSITY`Qdensity`ControlledY[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q1, 
           Blank[]], 
          Pattern[Private`q2, 
           Blank[]]] :> (
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 0, 0] + 
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 3, 0] + 
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 0, 2] - 
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 3, 2])/
         2}], "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None,
      "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`ControlledY"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745939729567`*^9},ExpressionUUID->"96cdac4e-34d0-4a6e-add7-\
d22bfa6a1a42"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}]},
     {"0", "0", "\[ImaginaryI]", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374593987485*^9},ExpressionUUID->"80177a9e-7cbc-4656-bdec-\
ac665980ba6c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}], "0"},
     {"0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "\[ImaginaryI]"}]},
     {"0", "0", "0", "0", "\[ImaginaryI]", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "\[ImaginaryI]", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374593996266*^9},ExpressionUUID->"a5a5a078-003a-455b-8f12-\
dec58d3ffb0b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "ControlledZ"}], "\[IndentingNewLine]", 
 RowBox[{"ControlledZ", "[", 
  RowBox[{"2", ",", "1", ",", "2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ControlledZ", "[", 
  RowBox[{"3", ",", "1", ",", "2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.614362732759206*^9, 
  3.614362797935917*^9}},ExpressionUUID->"872a0b10-db08-4295-b6d0-\
44c5e9e7b1ce"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ControlledZ[nqv,q1,q2]\\n\\n\\t Returns the \
ControlledY operator with q1 qubit as control,\\n\\n q2 qubit as target \
within nqv qubits \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"ControlledZ", "[", 
                    
                    RowBox[{
                    "Private`nqv_", ",", "Private`q1_", ",", "Private`q2_"}], 
                    "]"}], ":=", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "0", ",", "0"}], "]"}], "+", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "3", ",", "0"}], "]"}], "+", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "0", ",", "3"}], "]"}], "-", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "3", ",", "3"}], "]"}]}], ")"}]}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`ControlledZ\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ControlledZ[nqv,q1,q2]\\n\\n\\t Returns the \
ControlledY operator with q1 qubit as control,\\n\\n q2 qubit as target \
within nqv qubits \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "ControlledZ[nqv,q1,q2]\n\n\t Returns the ControlledY operator with q1 \
qubit as control,\n\n q2 qubit as target within nqv qubits ", "Documentation" -> 
     None, "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`ControlledZ, {
       QDENSITY`Qdensity`ControlledZ[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q1, 
           Blank[]], 
          Pattern[Private`q2, 
           Blank[]]] :> (
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 0, 0] + 
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 3, 0] + 
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 0, 3] - 
          QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 3, 3])/
         2}], "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None,
      "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`ControlledZ"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374594114484*^9},ExpressionUUID->"b081da57-6b93-401c-a273-\
7df3360d2808"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "1", "0"},
     {"0", "0", "0", 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937459412881*^9},ExpressionUUID->"751be64a-8f37-40ea-a3b5-51a74694f9a2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "1", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0"},
     {"0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}], "0"},
     {"0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745941358643`*^9},ExpressionUUID->"40d05eef-b944-47c8-8f28-\
372940f60b17"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "CPHASE"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ControlledZ", "[", 
   RowBox[{"2", ",", "1", ",", "2"}], "]"}], "\[Equal]", 
  RowBox[{"CPHASE", "[", 
   RowBox[{"2", ",", "1", ",", "2"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ControlledZ", "[", 
   RowBox[{"3", ",", "1", ",", "2"}], "]"}], "\[Equal]", 
  RowBox[{"CPHASE", "[", 
   RowBox[{"3", ",", "1", ",", "2"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ControlledZ", "[", 
   RowBox[{"4", ",", "1", ",", "3"}], "]"}], "\[Equal]", 
  RowBox[{"CPHASE", "[", 
   RowBox[{"4", ",", "1", ",", "3"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.614362826874774*^9, 3.6143628297387123`*^9}, {
  3.614362861654415*^9, 
  3.614362913670909*^9}},ExpressionUUID->"e342610c-b8a2-4009-bcb1-\
da5b8f057815"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"CPHASE[nqv,q1,q2]\\n\\n\\t Returns the CPHASE \
operator of q1 and q2 within nqv qubits . \\n\\n Its action on twoqubits is \
|ab\[RightAngleBracket]-->(-)^(ab)|ab\[RightAngleBracket]\\n\\n --same as \
ControlledZ . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"CPHASE", "[", 
                    
                    RowBox[{
                    "Private`nqv_", ",", "Private`q1_", ",", "Private`q2_"}], 
                    "]"}], ":=", 
                    RowBox[{"AF", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "0", ",", "0"}], "]"}], "+", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "3", ",", "0"}], "]"}], "+", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "0", ",", "3"}], "]"}], "-", 
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "3", ",", "3"}], "]"}]}], ")"}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`CPHASE\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"CPHASE[nqv,q1,q2]\\n\\n\\t Returns the CPHASE \
operator of q1 and q2 within nqv qubits . \\n\\n Its action on twoqubits is \
|ab\[RightAngleBracket]-->(-)^(ab)|ab\[RightAngleBracket]\\n\\n --same as \
ControlledZ . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "CPHASE[nqv,q1,q2]\n\n\t Returns the CPHASE operator of q1 and q2 within \
nqv qubits . \n\n Its action on twoqubits is \
|ab\[RightAngleBracket]-->(-)^(ab)|ab\[RightAngleBracket]\n\n --same as \
ControlledZ . ", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> 
     None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`CPHASE, {QDENSITY`Qdensity`CPHASE[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q1, 
           Blank[]], 
          Pattern[Private`q2, 
           Blank[]]] :> 
        QDENSITY`Qdensity`AF[(
           QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 0, 0] + 
           QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 3, 0] + 
           QDENSITY`Qdensity`TwoOp[Private`nqv, Private`q1, Private`q2, 0, 3] - 
           QDENSITY`Qdensity`TwoOp[
           Private`nqv, Private`q1, Private`q2, 3, 3])/2]}], "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`CPHASE"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374594285471*^9},ExpressionUUID->"f8035cff-88a6-4ca5-bfda-\
af15d3a96c50"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374594300228*^9},ExpressionUUID->"c7708dd7-5717-4bfb-bdf0-\
c4aa3e66bbb9"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374594309291*^9},ExpressionUUID->"93603ff2-dad4-491e-b0ad-\
703bbad8f8f5"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745943177423`*^9},ExpressionUUID->"b841f4c8-dd57-4f90-8642-\
55a6ffb62379"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "CPHASEV"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"state2", "=", 
   RowBox[{
    RowBox[{"a", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "0", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], "+", " ", 
    RowBox[{"b", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "0", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}], "+", 
    RowBox[{"c", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "1", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], " ", "+", 
    RowBox[{"d", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "1", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}]}]}], ";", 
  RowBox[{"DForm", "[", "state2", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", 
  RowBox[{"CPHASEV", "[", 
   RowBox[{"1", ",", "2", ",", " ", "state2"}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", 
  RowBox[{"CPHASEV", "[", 
   RowBox[{"2", ",", "1", ",", " ", "state2"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.614362927474474*^9, 3.614362999628557*^9}, {
  3.614363054110908*^9, 3.6143631520813923`*^9}, {3.614363195628676*^9, 
  3.614363214256654*^9}, {3.614363286883906*^9, 
  3.614363409682499*^9}},ExpressionUUID->"546217ec-7740-4042-8027-\
1c93a703238d"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"CPHASEV[q1,q2,A],\\n\\n\\t returns the CPHASE \
operated on the vector A, which should be a list of Lenght 2^n . \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"CPHASEV", "[", 
                    RowBox[{"Private`i_", ",", "Private`j_", ",", 
                    RowBox[{"Private`vec_", "?", "ListQ"}]}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Private`NN", ",", "Private`vat"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"Private`NN", "=", 
                    RowBox[{"Length", "[", "Private`vec", "]"}]}], ";", 
                    RowBox[{"Private`nqL", "=", 
                    RowBox[{"Log", "[", 
                    RowBox[{"2", ",", "Private`NN"}], "]"}]}], ";", 
                    RowBox[{"Private`vat", "=", "Private`vec"}], ";", 
                    RowBox[{"Do", "[", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"IntegerDigits", "[", 
                    RowBox[{"Private`num", ",", "2", ",", "Private`nqL"}], 
                    "]"}], "\[LeftDoubleBracket]", "Private`i", 
                    "\[RightDoubleBracket]"}], "\[Equal]", "1"}], "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"IntegerDigits", "[", 
                    RowBox[{"Private`num", ",", "2", ",", "Private`nqL"}], 
                    "]"}], "\[LeftDoubleBracket]", "Private`j", 
                    "\[RightDoubleBracket]"}], "\[Equal]", "1"}]}], ",", 
                    RowBox[{
                    RowBox[{"Private`vat", "\[LeftDoubleBracket]", 
                    RowBox[{"Private`num", "+", "1"}], 
                    "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"-", 
                    RowBox[{"Private`vec", "\[LeftDoubleBracket]", 
                    RowBox[{"Private`num", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`num", ",", "0", ",", 
                    RowBox[{"Private`NN", "-", "1"}]}], "}"}]}], "]"}], ";", 
                    "Private`vat"}]}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`CPHASEV\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"CPHASEV[q1,q2,A],\\n\\n\\t returns the CPHASE \
operated on the vector A, which should be a list of Lenght 2^n . \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "CPHASEV[q1,q2,A],\n\n\t returns the CPHASE operated on the vector A, \
which should be a list of Lenght 2^n . ", "Documentation" -> None, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`CPHASEV, {QDENSITY`Qdensity`CPHASEV[
          Pattern[Private`i, 
           Blank[]], 
          Pattern[Private`j, 
           Blank[]], 
          PatternTest[
           Pattern[Private`vec, 
            Blank[]], ListQ]] :> 
        Module[{Private`NN, Private`vat}, Private`NN = Length[Private`vec]; 
          Private`nqL = Log[2, Private`NN]; Private`vat = Private`vec; Do[
            If[
             And[Part[
                IntegerDigits[Private`num, 2, Private`nqL], Private`i] == 1, 
              Part[
                IntegerDigits[Private`num, 2, Private`nqL], Private`j] == 1], 
             Part[Private`vat, Private`num + 1] = -
              Part[Private`vec, Private`num + 1]], {
            Private`num, 0, Private`NN - 1}]; Private`vat]}], "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`CPHASEV"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374594443149*^9},ExpressionUUID->"83d8e883-c19a-4465-9b72-\
ac93236a20f3"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a", "\")\"", "\" |\"", "\"00\"", "\" >\"", "\" + \"", 
    "\"(\"", "b", "\")\"", "\" |\"", "\"01\"", "\" >\"", "\" + \"", "\"(\"", 
    "c", "\")\"", "\" |\"", "\"10\"", "\" >\"", "\" + \"", "\"(\"", "d", 
    "\")\"", "\" |\"", "\"11\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374594456403*^9},ExpressionUUID->"b507b898-1849-4c5c-9396-\
813c5e35a23c"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a", "\")\"", "\" |\"", "\"00\"", "\" >\"", "\" + \"", 
    "\"(\"", "b", "\")\"", "\" |\"", "\"01\"", "\" >\"", "\" + \"", "\"(\"", 
    "c", "\")\"", "\" |\"", "\"10\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"-", "d"}], "\")\"", "\" |\"", "\"11\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374594466127*^9},ExpressionUUID->"6082ffbd-b0e6-4d53-997b-\
59e80ae708e6"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a", "\")\"", "\" |\"", "\"00\"", "\" >\"", "\" + \"", 
    "\"(\"", "b", "\")\"", "\" |\"", "\"01\"", "\" >\"", "\" + \"", "\"(\"", 
    "c", "\")\"", "\" |\"", "\"10\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"-", "d"}], "\")\"", "\" |\"", "\"11\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745944777803`*^9},ExpressionUUID->"bc4c573a-ad49-4d0d-9232-\
99c3f781fa0c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"state3", "=", 
   RowBox[{
    RowBox[{"a000", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "0", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "0", "]"}], "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], "+", " ", 
    RowBox[{"a001", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "0", "]"}], "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "0", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}], "+", 
    RowBox[{"a010", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "0", "]"}], " ", "\[TensorProduct]", 
       RowBox[{"Ket", "[", "1", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], " ", "+", 
    RowBox[{"a011", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "0", "]"}], " ", "\[TensorProduct]", 
       RowBox[{"Ket", "[", "1", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}], "+", 
    RowBox[{"a100", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "1", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "0", "]"}], "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], "+", " ", 
    RowBox[{"a101", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "1", "]"}], "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "0", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}], "+", 
    RowBox[{"a110", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "1", "]"}], " ", "\[TensorProduct]", 
       RowBox[{"Ket", "[", "1", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], " ", "+", 
    RowBox[{"a111", " ", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"Ket", "[", "1", "]"}], " ", "\[TensorProduct]", 
       RowBox[{"Ket", "[", "1", "]"}], " ", "\[TensorProduct]", " ", 
       RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}]}]}], ";", 
  RowBox[{"DForm", "[", "state3", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", 
  RowBox[{"CPHASEV", "[", 
   RowBox[{"1", ",", "2", ",", " ", "state3"}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", 
  RowBox[{"CPHASEV", "[", 
   RowBox[{"2", ",", "1", ",", " ", "state3"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.614363424770273*^9, 3.6143634845168123`*^9}, {
  3.6143635363301573`*^9, 
  3.6143636919767227`*^9}},ExpressionUUID->"bf367a9e-1bef-473d-80e1-\
e6a75941969c"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a000", "\")\"", "\" |\"", "\"000\"", "\" >\"", 
    "\" + \"", "\"(\"", "a001", "\")\"", "\" |\"", "\"001\"", "\" >\"", 
    "\" + \"", "\"(\"", "a010", "\")\"", "\" |\"", "\"010\"", "\" >\"", 
    "\" + \"", "\"(\"", "a011", "\")\"", "\" |\"", "\"011\"", "\" >\"", 
    "\" + \"", "\"(\"", "a100", "\")\"", "\" |\"", "\"100\"", "\" >\"", 
    "\" + \"", "\"(\"", "a101", "\")\"", "\" |\"", "\"101\"", "\" >\"", 
    "\" + \"", "\"(\"", "a110", "\")\"", "\" |\"", "\"110\"", "\" >\"", 
    "\" + \"", "\"(\"", "a111", "\")\"", "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374594497319*^9},ExpressionUUID->"451f2cfa-5e3b-4b6d-bc0e-\
2c973c9c90bd"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a000", "\")\"", "\" |\"", "\"000\"", "\" >\"", 
    "\" + \"", "\"(\"", "a001", "\")\"", "\" |\"", "\"001\"", "\" >\"", 
    "\" + \"", "\"(\"", "a010", "\")\"", "\" |\"", "\"010\"", "\" >\"", 
    "\" + \"", "\"(\"", "a011", "\")\"", "\" |\"", "\"011\"", "\" >\"", 
    "\" + \"", "\"(\"", "a100", "\")\"", "\" |\"", "\"100\"", "\" >\"", 
    "\" + \"", "\"(\"", "a101", "\")\"", "\" |\"", "\"101\"", "\" >\"", 
    "\" + \"", "\"(\"", 
    RowBox[{"-", "a110"}], "\")\"", "\" |\"", "\"110\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    RowBox[{"-", "a111"}], "\")\"", "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374594510269*^9},ExpressionUUID->"a2518560-37a2-42bf-af0e-\
0ab405d7ff17"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a000", "\")\"", "\" |\"", "\"000\"", "\" >\"", 
    "\" + \"", "\"(\"", "a001", "\")\"", "\" |\"", "\"001\"", "\" >\"", 
    "\" + \"", "\"(\"", "a010", "\")\"", "\" |\"", "\"010\"", "\" >\"", 
    "\" + \"", "\"(\"", "a011", "\")\"", "\" |\"", "\"011\"", "\" >\"", 
    "\" + \"", "\"(\"", "a100", "\")\"", "\" |\"", "\"100\"", "\" >\"", 
    "\" + \"", "\"(\"", "a101", "\")\"", "\" |\"", "\"101\"", "\" >\"", 
    "\" + \"", "\"(\"", 
    RowBox[{"-", "a110"}], "\")\"", "\" |\"", "\"110\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    RowBox[{"-", "a111"}], "\")\"", "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374594522807*^9},ExpressionUUID->"95ebf785-3e11-4208-8b72-\
734684e787ca"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"CPHASEV", "[", 
   RowBox[{"1", ",", "2", ",", " ", "state2"}], "]"}], "==", 
  RowBox[{"CPHASEV", "[", 
   RowBox[{"2", ",", "1", ",", " ", "state2"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CPHASEV", "[", 
   RowBox[{"1", ",", "2", ",", " ", "state3"}], "]"}], "==", 
  RowBox[{"CPHASEV", "[", 
   RowBox[{"2", ",", "1", ",", " ", "state3"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CPHASEV", "[", 
   RowBox[{"1", ",", "3", ",", " ", "state3"}], "]"}], "==", 
  RowBox[{"CPHASEV", "[", 
   RowBox[{"3", ",", "1", ",", " ", "state3"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CPHASEV", "[", 
   RowBox[{"2", ",", "3", ",", " ", "state3"}], "]"}], "==", 
  RowBox[{"CPHASEV", "[", 
   RowBox[{"3", ",", "2", ",", " ", "state3"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6143637944936657`*^9, 
  3.61436385735527*^9}},ExpressionUUID->"21e4b071-ec03-497d-a54a-\
9121d448045c"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374594551857*^9},ExpressionUUID->"38809a18-4f06-45fa-a306-\
f32e09a7ed1f"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374594563058*^9},ExpressionUUID->"98b75b4d-ef2b-436b-8ff5-\
f76a596f0258"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374594570937*^9},ExpressionUUID->"5ba1768c-5672-4e04-bb5a-\
2c3bf03dd76c"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374594580019*^9},ExpressionUUID->"71850ee0-123f-469c-96be-\
c00ef1745ab1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "EnTropy"}], "\[IndentingNewLine]", 
 RowBox[{"?", "Entropy"}]}], "Input",
 CellChangeTimes->{{3.6143639613051023`*^9, 
  3.614363987624148*^9}},ExpressionUUID->"51eb1791-bc88-45d0-9d8c-\
4513faeccd35"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"\\nEnTropy[\[Rho]],\\n\\n\\t gives the entropy of \
the system described by the \\n\\n density matrix \[Rho] . Defined = -Tr[ \
\[Rho] . Log[\[Rho],2]] . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"EnTropy", "[", 
                    RowBox[{"O_", "?", "MatrixQ"}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "}"}], ",", 
                    RowBox[{
                    RowBox[{"Private`M", "=", 
                    RowBox[{"Chop", "[", 
                    RowBox[{"Eigenvalues", "[", "O", "]"}], "]"}]}], ";", 
                    RowBox[{"Private`MOPO", "=", 
                    RowBox[{"DeleteCases", "[", 
                    RowBox[{"Private`M", ",", "0"}], "]"}]}], ";", 
                    RowBox[{"Private`OLOGO", "=", 
                    RowBox[{"-", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"Private`i", "=", "1"}], 
                    RowBox[{"Length", "[", "Private`MOPO", "]"}]], 
                    RowBox[{
                    
                    RowBox[{"Private`MOPO", "\[LeftDoubleBracket]", 
                    "Private`i", "\[RightDoubleBracket]"}], " ", 
                    RowBox[{"Log", "[", 
                    RowBox[{"2", ",", 
                    
                    RowBox[{"Private`MOPO", "\[LeftDoubleBracket]", 
                    "Private`i", "\[RightDoubleBracket]"}]}], "]"}]}]}]}]}], 
                    ";", "Private`OLOGO"}]}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`EnTropy\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"\\nEnTropy[\[Rho]],\\n\\n\\t gives the entropy of \
the system described by the \\n\\n density matrix \[Rho] . Defined = -Tr[ \
\[Rho] . Log[\[Rho],2]] . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "\nEnTropy[\[Rho]],\n\n\t gives the entropy of the system described by \
the \n\n density matrix \[Rho] . Defined = -Tr[ \[Rho] . Log[\[Rho],2]] . ", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`EnTropy, {QDENSITY`Qdensity`EnTropy[
          PatternTest[
           Pattern[O, 
            Blank[]], MatrixQ]] :> Module[{}, Private`M = Chop[
             Eigenvalues[O]]; Private`MOPO = DeleteCases[Private`M, 0]; 
          Private`OLOGO = -Sum[Part[Private`MOPO, Private`i] Log[2, 
                Part[Private`MOPO, Private`i]], {Private`i, 1, 
               Length[Private`MOPO]}]; Private`OLOGO]}], "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`EnTropy"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374594707222*^9},ExpressionUUID->"076608f1-f5c8-49c4-81fd-\
c429f9bc791a"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"]], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"]]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               ButtonData->"paclet:ref/Entropy",
               ButtonNote->"paclet:ref/Entropy"],
              "\"paclet:ref/Entropy\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"\\!\\(\\*RowBox[{\\\"Entropy\\\", \\\"[\\\", \
StyleBox[\\\"list\\\", \\\"TI\\\"], \\\"]\\\"}]\\) gives the base \
\[ExponentialE] information entropy of the values in \
\\!\\(\\*StyleBox[\\\"list\\\", \
\\\"TI\\\"]\\).\\n\\!\\(\\*RowBox[{\\\"Entropy\\\", \\\"[\\\", \
RowBox[{StyleBox[\\\"k\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"list\\\", \\\
\"TI\\\"]}], \\\"]\\\"}]\\) gives the base \\!\\(\\*StyleBox[\\\"k\\\", \
\\\"TI\\\"]\\) information entropy.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Documentation\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Documentation\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Documentation", "Tooltip"]& ], 
                    TemplateBox[{
                    
                    TemplateBox[{
                    "\"Local \[RightGuillemet]\"", "paclet:ref/Entropy", 
                    "paclet:ref/Entropy", "Link", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"], "\"  \"", 
                    StyleBox[
                    "\"|\"", "InformationRowLabel", StripOnInput -> False], 
                    "\"  \"", 
                    TemplateBox[{"\"Web \[RightGuillemet]\"", {
                    URL[
                    "http://reference.wolfram.com/language/ref/Entropy.html"],
                     None}, 
                    "http://reference.wolfram.com/language/ref/Entropy.html", 
                    "Hyperlink", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"]},
                    "RowDefault"]},
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Attributes\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Attributes\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Attributes", "Tooltip"]& ], 
                    RowBox[{"{", 
                    RowBox[{"Protected", ",", "ReadProtected"}], "}"}]},
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"System`Entropy\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"],
                 ImageSizeCache->{13., {4., 9.}}], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"],
                 ImageSizeCache->{13., {4., 9.}}]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               ButtonData->"paclet:ref/Entropy",
               ButtonNote->"paclet:ref/Entropy"],
              "\"paclet:ref/Entropy\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"\\!\\(\\*RowBox[{\\\"Entropy\\\", \\\"[\\\", \
StyleBox[\\\"list\\\", \\\"TI\\\"], \\\"]\\\"}]\\) gives the base \
\[ExponentialE] information entropy of the values in \
\\!\\(\\*StyleBox[\\\"list\\\", \
\\\"TI\\\"]\\).\\n\\!\\(\\*RowBox[{\\\"Entropy\\\", \\\"[\\\", \
RowBox[{StyleBox[\\\"k\\\", \\\"TI\\\"], \\\",\\\", StyleBox[\\\"list\\\", \\\
\"TI\\\"]}], \\\"]\\\"}]\\) gives the base \\!\\(\\*StyleBox[\\\"k\\\", \
\\\"TI\\\"]\\) information entropy.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "\!\(\*RowBox[{\"Entropy\", \"[\", StyleBox[\"list\", \"TI\"], \"]\"}]\) \
gives the base \[ExponentialE] information entropy of the values in \
\!\(\*StyleBox[\"list\", \"TI\"]\).\n\!\(\*RowBox[{\"Entropy\", \"[\", \
RowBox[{StyleBox[\"k\", \"TI\"], \",\", StyleBox[\"list\", \"TI\"]}], \"]\"}]\
\) gives the base \!\(\*StyleBox[\"k\", \"TI\"]\) information entropy.", 
     "Documentation" -> <|
      "Local" -> "paclet:ref/Entropy", "Web" -> 
       "http://reference.wolfram.com/language/ref/Entropy.html"|>, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> None, 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {Protected, ReadProtected}, "FullName" -> 
     "System`Entropy"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374594824025*^9},ExpressionUUID->"d3c69d25-702d-4ad1-bb5f-\
520a13de66ab"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"rho4", "=", 
   RowBox[{"RandomQubitN", "[", "4", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", "rho4", "]"}], "\[IndentingNewLine]", 
 RowBox[{"EnTropy", "[", "rho4", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ev", "=", 
  RowBox[{"Eigenvalues", "[", "rho4", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "rho4", "]"}], "\[IndentingNewLine]", 
 RowBox[{"-", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"ev", "[", 
      RowBox[{"[", "i", "]"}], "]"}], 
     RowBox[{"Log", "[", 
      RowBox[{"2", ",", 
       RowBox[{"ev", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", 
      RowBox[{"Length", "[", "ev", "]"}]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"EnTropy2", "[", "rho4", "]"}], "\[Equal]", 
  RowBox[{"EnTropy", "[", "rho4", "]"}]}]}], "Input",
 CellChangeTimes->{{3.61436400261379*^9, 3.614364353929431*^9}, {
  3.614364384123972*^9, 3.6143644461635857`*^9}, {3.6144198799778557`*^9, 
  3.614419892969673*^9}, {3.6144199299252043`*^9, 3.61441993008107*^9}, {
  3.6144203067033653`*^9, 3.614420307275901*^9}, {3.6144203862826853`*^9, 
  3.6144204008149157`*^9}},ExpressionUUID->"43db15c7-2a52-41ef-ac35-\
2729e7dd7d45"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374594849268*^9},ExpressionUUID->"a3ff601a-cc3d-43a3-9fe1-\
a0e04eb62d56"],

Cell[BoxData[
 TagBox["3.3612426481685658`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374594857883*^9},ExpressionUUID->"79672d6d-4352-4723-9130-\
51d2a6ea9188"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0.16581630861882218`"},
      {"0.15509281019960097`"},
      {"0.1499912856938488`"},
      {"0.13322535289127652`"},
      {"0.08788002600766501`"},
      {"0.07266504466224656`"},
      {"0.0609745192733639`"},
      {"0.044427535910320656`"},
      {"0.04262430586236673`"},
      {"0.03336815310419095`"},
      {"0.02543075108733521`"},
      {"0.014302649630406667`"},
      {"0.008396580710891654`"},
      {"0.003911190403942774`"},
      {"0.0015902651072364118`"},
      {"0.0003032208364848421`"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745948648376`*^9},ExpressionUUID->"de1ac605-2e83-4f55-a0af-\
f9017eb00a8d"],

Cell[BoxData[
 TagBox["16",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374594873027*^9},ExpressionUUID->"ebf8298a-d927-4a02-afa1-\
cf0ce588cb8c"],

Cell[BoxData[
 TagBox["3.3612426481685658`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374594883542*^9},ExpressionUUID->"4c521fb2-d98f-424a-88a1-\
dc58ba978c19"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745948942947`*^9},ExpressionUUID->"eeef8a1d-054b-4c05-a341-\
babd31254d70"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "Fidelity"}], "\[IndentingNewLine]", 
 RowBox[{"?", "FidelityB"}]}], "Input",
 CellChangeTimes->{{3.614420460182651*^9, 3.614420463508287*^9}, {
  3.614420925806958*^9, 
  3.614420927820056*^9}},ExpressionUUID->"85898ae9-356b-4de4-8f1e-\
14f514eac52c"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Fidelity[Op1,Op2] or FidelityB[Op1,Op2]\\n\\n\\t \
returns the concurrence of operators Op1 and Op2\\n\\n defined as \
=MatrixPower[ MatrixPower[Op1,1/2] . Op2 . MatrixPower[Op1,1/2],1/2] .\\nNow \
have FidelityB[Op1,Op2] as an alternative method which uses eigenvalues \
of\\nOp1 . Op2\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Fidelity", "[", 
                    RowBox[{
                    RowBox[{"O_", "?", "MatrixQ"}], ",", 
                    RowBox[{"Private`P_", "?", "MatrixQ"}]}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "}"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"NumberQ", "[", 
                    RowBox[{
                    
                    RowBox[{"O", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", 
                    RowBox[{"Private`SQO", "=", 
                    RowBox[{"SetAccuracy", "[", 
                    RowBox[{
                    RowBox[{"MatrixPower", "[", 
                    RowBox[{"O", ",", 
                    FractionBox["1", "2"]}], "]"}], ",", "20"}], "]"}]}], ",", 
                    RowBox[{"Private`SQO", "=", 
                    RowBox[{"MatrixPower", "[", 
                    RowBox[{"O", ",", 
                    FractionBox["1", "2"]}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"NumberQ", "[", 
                    RowBox[{
                    
                    RowBox[{"O", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", 
                    RowBox[{"Private`FideM", "=", 
                    RowBox[{"SetAccuracy", "[", 
                    RowBox[{
                    RowBox[{"MatrixPower", "[", 
                    RowBox[{
                    RowBox[{"Private`SQO", ".", "Private`P", ".", 
                    "Private`SQO"}], ",", 
                    FractionBox["1", "2"]}], "]"}], ",", "20"}], "]"}]}], ",", 
                    RowBox[{"Private`FideM", "=", 
                    RowBox[{"MatrixPower", "[", 
                    RowBox[{
                    
                    RowBox[{"Private`SQO", ".", "Private`P", ".", 
                    "Private`SQO"}], ",", 
                    FractionBox["1", "2"]}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"Chop", "[", 
                    RowBox[{"Tr", "[", "Private`FideM", "]"}], "]"}]}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Fidelity\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Fidelity[Op1,Op2] or FidelityB[Op1,Op2]\\n\\n\\t \
returns the concurrence of operators Op1 and Op2\\n\\n defined as \
=MatrixPower[ MatrixPower[Op1,1/2] . Op2 . MatrixPower[Op1,1/2],1/2] .\\nNow \
have FidelityB[Op1,Op2] as an alternative method which uses eigenvalues \
of\\nOp1 . Op2\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Fidelity[Op1,Op2] or FidelityB[Op1,Op2]\n\n\t returns the concurrence \
of operators Op1 and Op2\n\n defined as =MatrixPower[ MatrixPower[Op1,1/2] . \
Op2 . MatrixPower[Op1,1/2],1/2] .\nNow have FidelityB[Op1,Op2] as an \
alternative method which uses eigenvalues of\nOp1 . Op2", "Documentation" -> 
     None, "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Fidelity, {QDENSITY`Qdensity`Fidelity[
          PatternTest[
           Pattern[O, 
            Blank[]], MatrixQ], 
          PatternTest[
           Pattern[Private`P, 
            Blank[]], MatrixQ]] :> Module[{}, If[
            NumberQ[
             Part[
              Part[O, 1], 1]], Private`SQO = SetAccuracy[
              MatrixPower[O, 1/2], 20], Private`SQO = MatrixPower[O, 1/2]]; If[
            NumberQ[
             Part[
              Part[O, 1], 1]], Private`FideM = SetAccuracy[
              MatrixPower[
               Dot[Private`SQO, Private`P, Private`SQO], 1/2], 20], 
            Private`FideM = MatrixPower[
              Dot[Private`SQO, Private`P, Private`SQO], 1/2]]; Chop[
            Tr[Private`FideM]]]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`Fidelity"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374595009585*^9},ExpressionUUID->"f93ec60b-7e18-456c-b19e-\
8a0eb91fa955"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"FidelityB[Op1,Op2]\\n\\n\\t Now have \
FidelityB[Op1,Op2] as an alternative method which uses eigenvalues of\\nOp1 . \
Op2\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"FidelityB", "[", 
                    RowBox[{
                    RowBox[{"O_", "?", "MatrixQ"}], ",", 
                    RowBox[{"Private`P_", "?", "MatrixQ"}]}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "}"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"NumberQ", "[", 
                    RowBox[{
                    
                    RowBox[{"O", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", 
                    RowBox[{"Private`SQB", "=", 
                    RowBox[{"SetAccuracy", "[", 
                    RowBox[{
                    RowBox[{"O", ".", "Private`P"}], ",", "20"}], "]"}]}], 
                    ",", 
                    RowBox[{"Private`SQB", "=", 
                    RowBox[{"O", ".", "Private`P"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"NumberQ", "[", 
                    RowBox[{
                    
                    RowBox[{"O", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", 
                    RowBox[{"Private`FideB", "=", 
                    RowBox[{"SetAccuracy", "[", 
                    RowBox[{
                    SqrtBox[
                    RowBox[{"Eigenvalues", "[", "Private`SQB", "]"}]], ",", 
                    "20"}], "]"}]}], ",", 
                    RowBox[{"Private`FideB", "=", 
                    SqrtBox[
                    RowBox[{"Eigenvalues", "[", "Private`SQB", "]"}]]}]}], 
                    "]"}], ";", 
                    RowBox[{"Re", "[", 
                    RowBox[{"Tr", "[", "Private`FideB", "]"}], "]"}]}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`FidelityB\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"FidelityB[Op1,Op2]\\n\\n\\t Now have \
FidelityB[Op1,Op2] as an alternative method which uses eigenvalues of\\nOp1 . \
Op2\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "FidelityB[Op1,Op2]\n\n\t Now have FidelityB[Op1,Op2] as an alternative \
method which uses eigenvalues of\nOp1 . Op2", "Documentation" -> None, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`FidelityB, {QDENSITY`Qdensity`FidelityB[
          PatternTest[
           Pattern[O, 
            Blank[]], MatrixQ], 
          PatternTest[
           Pattern[Private`P, 
            Blank[]], MatrixQ]] :> Module[{}, If[
            NumberQ[
             Part[
              Part[O, 1], 1]], Private`SQB = SetAccuracy[
              Dot[O, Private`P], 20], Private`SQB = Dot[O, Private`P]]; If[
            NumberQ[
             Part[
              Part[O, 1], 1]], Private`FideB = SetAccuracy[
              Sqrt[
               Eigenvalues[Private`SQB]], 20], Private`FideB = Sqrt[
              Eigenvalues[Private`SQB]]]; Re[
            Tr[Private`FideB]]]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`FidelityB"|>, 
    False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374595103713*^9},ExpressionUUID->"322f8213-cc5d-419b-a464-\
6f677d399b01"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"r1", "=", 
   RowBox[{"RandomQubitN", "[", "4", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"r2", "=", 
   RowBox[{"RandomQubitN", "[", "4", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Fidelity", "[", 
  RowBox[{"r1", ",", "r2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"FidelityB", "[", 
  RowBox[{"r1", ",", "r2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.614420516095016*^9, 
  3.6144205831698227`*^9}},ExpressionUUID->"06aed984-cee6-43dd-a50d-\
fbb58fe89fd2"],

Cell[BoxData[
 TagBox["0.71410746813499402507741109502603649162`18.800158590125726",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745951279793`*^9},ExpressionUUID->"ea340238-d1b3-4372-a3b5-\
9fa864ea42f3"],

Cell[BoxData[
 TagBox["0.71410746813499453501879556606089946943`18.800158590125726",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374595160255*^9},ExpressionUUID->"69e40d2f-7075-4a91-9353-\
34971d62313d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"?", "had"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.614420940704094*^9, 3.614420942004622*^9}, {
  3.614420976012958*^9, 3.614420993674203*^9}, {3.6144210301484337`*^9, 
  3.6144210824109707`*^9}, {3.614421123213375*^9, 
  3.614421132707284*^9}},ExpressionUUID->"074e6900-428a-47de-9e13-\
26a77249d0b3"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"had[nqv, q]  where L=n_q is the total number of \
qubits\\n and q designates the single qubit on which a Hadamard acts--see \
Hadamard . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"had", "[", 
                    RowBox[{"Private`nqv_", ",", "Private`q_"}], "]"}], ":=", 
                    RowBox[{"ArrayFlatten", "[", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"Private`q", ">", "0"}], ",", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"SP", "[", 
                    RowBox[{"Private`nqv", ",", 
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{
                    RowBox[{"ZeroT", "[", "Private`nqv", "]"}], ",", "3", ",",
                     "Private`q"}], "]"}]}], "]"}], "+", 
                    RowBox[{"SP", "[", 
                    RowBox[{"Private`nqv", ",", 
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{
                    RowBox[{"ZeroT", "[", "Private`nqv", "]"}], ",", "1", ",",
                     "Private`q"}], "]"}]}], "]"}]}], 
                    SqrtBox["2"]], ",", 
                    RowBox[{"s", "[", "0", "]"}]}], "]"}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`had\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"had[nqv, q]  where L=n_q is the total number of \
qubits\\n and q designates the single qubit on which a Hadamard acts--see \
Hadamard . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "had[nqv, q]  where L=n_q is the total number of qubits\n and q \
designates the single qubit on which a Hadamard acts--see Hadamard . ", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`had, {QDENSITY`Qdensity`had[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q, 
           Blank[]]] :> ArrayFlatten[
          If[Private`q > 0, (QDENSITY`Qdensity`SP[Private`nqv, 
              ReplacePart[
               QDENSITY`Qdensity`ZeroT[Private`nqv], 3, Private`q]] + 
            QDENSITY`Qdensity`SP[Private`nqv, 
              ReplacePart[
               QDENSITY`Qdensity`ZeroT[Private`nqv], 1, Private`q]])/Sqrt[2], 
           QDENSITY`Qdensity`s[0]]]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`had"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374595258235*^9},ExpressionUUID->"6042a0ca-ae22-4272-90d0-\
76d339d00f28"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Had"}]], "Input",ExpressionUUID->"35018685-1ee2-48a0-b593-8b046150d065"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\"see Hadamard . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Had", "[", 
                    RowBox[{"Private`nqv_", ",", "Private`Q_"}], "]"}], ":=", 
                    RowBox[{
                    RowBox[{"Had", "[", 
                    RowBox[{"Private`nqv", ",", "Private`Q"}], "]"}], "=", 
                    RowBox[{"AF", "[", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"Private`nqv", ">", "1"}], ",", 
                    RowBox[{
                    RowBox[{"Had", "[", 
                    RowBox[{
                    RowBox[{"Private`nqv", "-", "1"}], ",", 
                    RowBox[{"Drop", "[", 
                    RowBox[{"Private`Q", ",", 
                    RowBox[{"-", "1"}]}], "]"}]}], "]"}], "\[CircleTimes]", 
                    RowBox[{"had", "[", 
                    RowBox[{"1", ",", 
                    
                    RowBox[{"Private`Q", "\[LeftDoubleBracket]", 
                    "Private`nqv", "\[RightDoubleBracket]"}]}], "]"}]}], ",", 
                    RowBox[{"had", "[", 
                    RowBox[{"1", ",", 
                    
                    RowBox[{"Private`Q", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], "]"}], "]"}]}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Had\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\"see Hadamard . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> "see Hadamard . ", "Documentation" -> 
     None, "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Had, {QDENSITY`Qdensity`Had[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`Q, 
           Blank[]]] :> (QDENSITY`Qdensity`Had[Private`nqv, Private`Q] = 
         QDENSITY`Qdensity`AF[
           If[Private`nqv > 1, 
            CircleTimes[
             QDENSITY`Qdensity`Had[Private`nqv - 1, 
              Drop[Private`Q, -1]], 
             QDENSITY`Qdensity`had[1, 
              Part[Private`Q, Private`nqv]]], 
            QDENSITY`Qdensity`had[1, 
             Part[Private`Q, 1]]]])}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`Had"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374595344239*^9},ExpressionUUID->"0ed1fb02-b935-4bb0-b1d6-\
103fd53b00d5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Hadamard"}]], "Input",
 CellChangeTimes->{3.6144210979588203`*^9, 
  3.614422207067137*^9},ExpressionUUID->"12c8a687-4168-4df9-98c9-\
88ee4ae90c59"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Hadamard, had, Had, HALL:\\n\\n\\t \
\[ScriptCapitalH]\\n\\n Hadamard  acting on one qubit .\\n\\n\\t had[nqv,q] \
is a Hadamard acting on one qubit q out of nqv \\n\\n qubits (use as had[1,1] \
or had[2,2]) .\\n\\n\\t Had[nqv,Q]   acts on  all members of set \\n\\n \
Q={q1,q2,...} of the nqv qubits,  where qi>0 indicated that\\n\\n the ith \
qubit is acted on by a Hadamard, whereas qj=0 \\n\\n designates that the jth \
qubit is acted on by a unit 2x2 operator .\\n\\n\\t For example, \
Had[3,{1,0,1}] has a Hadamard acting on \\n\\n qubits 1 and 3 and a unit 2x2 \
acts on qubit 2.\\n\\n To get a Hadamard acting on all qubits, include all \
\\n\\n qubits in Q, e . g ., use Q={1,1,1,... .} .\\n\\n\\t \
HALL[nqv]=Had[nqv,{1,1,1... .}] is also provided where \\n\\n the array of \
1's has length nqv of all the qubits \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Hadamard\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Hadamard, had, Had, HALL:\\n\\n\\t \
\[ScriptCapitalH]\\n\\n Hadamard  acting on one qubit .\\n\\n\\t had[nqv,q] \
is a Hadamard acting on one qubit q out of nqv \\n\\n qubits (use as had[1,1] \
or had[2,2]) .\\n\\n\\t Had[nqv,Q]   acts on  all members of set \\n\\n \
Q={q1,q2,...} of the nqv qubits,  where qi>0 indicated that\\n\\n the ith \
qubit is acted on by a Hadamard, whereas qj=0 \\n\\n designates that the jth \
qubit is acted on by a unit 2x2 operator .\\n\\n\\t For example, \
Had[3,{1,0,1}] has a Hadamard acting on \\n\\n qubits 1 and 3 and a unit 2x2 \
acts on qubit 2.\\n\\n To get a Hadamard acting on all qubits, include all \
\\n\\n qubits in Q, e . g ., use Q={1,1,1,... .} .\\n\\n\\t \
HALL[nqv]=Had[nqv,{1,1,1... .}] is also provided where \\n\\n the array of \
1's has length nqv of all the qubits \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Hadamard, had, Had, HALL:\n\n\t \[ScriptCapitalH]\n\n Hadamard  acting \
on one qubit .\n\n\t had[nqv,q] is a Hadamard acting on one qubit q out of \
nqv \n\n qubits (use as had[1,1] or had[2,2]) .\n\n\t Had[nqv,Q]   acts on  \
all members of set \n\n Q={q1,q2,...} of the nqv qubits,  where qi>0 \
indicated that\n\n the ith qubit is acted on by a Hadamard, whereas qj=0 \n\n \
designates that the jth qubit is acted on by a unit 2x2 operator .\n\n\t For \
example, Had[3,{1,0,1}] has a Hadamard acting on \n\n qubits 1 and 3 and a \
unit 2x2 acts on qubit 2.\n\n To get a Hadamard acting on all qubits, include \
all \n\n qubits in Q, e . g ., use Q={1,1,1,... .} .\n\n\t \
HALL[nqv]=Had[nqv,{1,1,1... .}] is also provided where \n\n the array of 1's \
has length nqv of all the qubits ", "Documentation" -> None, "OwnValues" -> 
     None, "UpValues" -> None, "DownValues" -> None, "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`Hadamard"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745954495068`*^9},ExpressionUUID->"3800678a-3245-4568-86bc-\
3f34b45ff5ff"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "HALL"}]], "Input",ExpressionUUID->"ebc1f426-e0c0-4c8e-8359-7c65d74085c5"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"HALL[nqv]\\n\\n\\t returns a Hadamard applied to \
each of the nqv qubits\\n\\n of a nqv qubit system-see Hadamard . \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"HALL", "[", "Private`nqv_", "]"}], ":=", 
                    RowBox[{
                    RowBox[{"HALL", "[", "Private`nqv", "]"}], "=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "Private`Q", "}"}], ",", 
                    RowBox[{
                    RowBox[{"Private`Q", "=", 
                    RowBox[{"Table", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{"{", "Private`nqv", "}"}]}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"Private`nqv", ">", "1"}], ",", 
                    RowBox[{
                    RowBox[{"Had", "[", 
                    RowBox[{
                    RowBox[{"Private`nqv", "-", "1"}], ",", 
                    RowBox[{"Drop", "[", 
                    RowBox[{"Private`Q", ",", 
                    RowBox[{"-", "1"}]}], "]"}]}], "]"}], "\[CircleTimes]", 
                    RowBox[{"had", "[", 
                    RowBox[{"1", ",", 
                    
                    RowBox[{"Private`Q", "\[LeftDoubleBracket]", 
                    "Private`nqv", "\[RightDoubleBracket]"}]}], "]"}]}], ",", 
                    RowBox[{"had", "[", 
                    RowBox[{"1", ",", 
                    
                    RowBox[{"Private`Q", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], "]"}]}]}], 
                    "]"}]}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`HALL\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"HALL[nqv]\\n\\n\\t returns a Hadamard applied to \
each of the nqv qubits\\n\\n of a nqv qubit system-see Hadamard . \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "HALL[nqv]\n\n\t returns a Hadamard applied to each of the nqv qubits\n\n\
 of a nqv qubit system-see Hadamard . ", "Documentation" -> None, "OwnValues" -> 
     None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`HALL, {QDENSITY`Qdensity`HALL[
          Pattern[Private`nqv, 
           Blank[]]] :> (QDENSITY`Qdensity`HALL[Private`nqv] = 
         Module[{Private`Q}, Private`Q = Table[1, {Private`nqv}]; 
           If[Private`nqv > 1, 
             CircleTimes[
              QDENSITY`Qdensity`Had[Private`nqv - 1, 
               Drop[Private`Q, -1]], 
              QDENSITY`Qdensity`had[1, 
               Part[Private`Q, Private`nqv]]], 
             QDENSITY`Qdensity`had[1, 
              Part[Private`Q, 1]]]])}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`HALL"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745955405807`*^9},ExpressionUUID->"ea63c25d-51f8-4e72-b44f-\
da8cc7b509b6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "\[ScriptCapitalH]"}]], "Input",
 CellChangeTimes->{{3.614422142173387*^9, 
  3.614422143111677*^9}},ExpressionUUID->"030941ad-4ac9-4b64-9e46-\
5a29b4e00ab0"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"The single qubit Hadamard--See Hadamard \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Assignment\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"OwnValues\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "OwnValues", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{"\[ScriptCapitalH]", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    FractionBox["1", 
                    SqrtBox["2"]], ",", 
                    FractionBox["1", 
                    SqrtBox["2"]]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    FractionBox["1", 
                    SqrtBox["2"]], ",", 
                    RowBox[{"-", 
                    FractionBox["1", 
                    SqrtBox["2"]]}]}], "}"}]}], "}"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`\[ScriptCapitalH]\"\
\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"The single qubit Hadamard--See Hadamard \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "The single qubit Hadamard--See Hadamard ", "Documentation" -> None, 
     "OwnValues" -> 
     Information`InformationValueForm[
      OwnValues, QDENSITY`Qdensity`\[ScriptCapitalH], {
       QDENSITY`Qdensity`\[ScriptCapitalH] -> {{
          2^Rational[-1, 2], 2^Rational[-1, 2]}, {
          2^Rational[-1, 2], -2^Rational[-1, 2]}}}], "UpValues" -> None, 
     "DownValues" -> None, "SubValues" -> None, "DefaultValues" -> None, 
     "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`\[ScriptCapitalH]"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374595628264*^9},ExpressionUUID->"c8cef55c-11ea-4e17-bc77-\
ff57a82bc67e"]
}, Open  ]],

Cell[TextData[{
 StyleBox["The ",
  FontFamily->"Helvetica"],
 StyleBox["Hadamard operator",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" for one qubit is defined as \nHad |0\[RightAngleBracket] = (|0\
\[RightAngleBracket] + |1\[RightAngleBracket])/ ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]],ExpressionUUID->
  "3e24ff73-b21a-4031-8a28-0d36095541a6"],
 "  and Had |1\[RightAngleBracket] = ",
 StyleBox[" (|0\[RightAngleBracket] - |1\[RightAngleBracket])/ ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]],ExpressionUUID->
  "6360ea82-474e-472e-824f-6e94700a8372"],
 StyleBox[", \nthis is equivalent to Had = (",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    StyleBox["\[Sigma]",
     FontFamily->"Helvetica"], "1"], TraditionalForm]],ExpressionUUID->
  "676dd56e-7577-4826-a3a8-e7dbfc57a860"],
 StyleBox[" + ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    StyleBox["\[Sigma]",
     FontFamily->"Helvetica"], "3"], TraditionalForm]],ExpressionUUID->
  "914d2b4d-ddc4-4536-a496-f06392fbbf80"],
 StyleBox["\[RightAngleBracket]/ ",
  FontFamily->"Helvetica"],
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]],ExpressionUUID->
  "90c20f38-1f25-4249-a68d-b9437bf8912b"],
 StyleBox["\nTo Hadamard qubit-one in a one qubit system use:",
  FontFamily->"Helvetica"]
}], "Text",
 CellChangeTimes->{{3.613395051437973*^9, 3.613395051953808*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"9094231e-bfa4-4000-83a8-1997ee5c3735"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"HA", " ", "=", " ", 
  RowBox[{"had", "[", 
   RowBox[{"1", ",", "1"}], "]"}]}]], "Input",
 CellTags->"b:5.2.0",ExpressionUUID->"f400f43f-8a76-46e6-9cac-66adb3ba3e82"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.859374595645133*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"58001af9-18b5-43ab-80fc-dd7a089115ba"],

Cell[TextData[StyleBox["or the script form:",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"b089494c-89fa-4fe7-9819-5115a2f80ee3"],

Cell[CellGroupData[{

Cell[BoxData["\[ScriptCapitalH]"], "Input",
 CellTags->"b:5.2.0",ExpressionUUID->"85fe2ce5-7c96-4fe4-9d3a-1acd3793f56d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.85937459566337*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"ed4cf502-807e-44c4-aeac-a24f764356c5"]
}, Open  ]],

Cell[TextData[StyleBox["If we have 3 qubits and want to Hadamard the second \
one,",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"0737f639-304c-4b99-9e53-093de5452c80"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"HAD32", "=", 
  RowBox[{"had", "[", 
   RowBox[{"3", ",", "2"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.613395079179223*^9, 3.613395086367363*^9}, {
  3.613395131040553*^9, 3.613395145640243*^9}, {3.61339538195849*^9, 
  3.613395393218055*^9}, {3.613395619570511*^9, 3.613395623461936*^9}, {
  3.6135049161353807`*^9, 3.6135049204543056`*^9}},
 CellTags->"b:5.2.0",ExpressionUUID->"96502799-c501-4eb1-8ba0-8fef6d6d7e8f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", "0", "0", "0", "0"},
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", "0", "0", "0"},
     {
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0", "0", "0", "0", "0"},
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0", "0", "0", "0"},
     {"0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0"},
     {"0", "0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]]},
     {"0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0"},
     {"0", "0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.859374595689283*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"2cc8d28e-3a41-4e3b-aeda-e888af3dc2c3"],

Cell[TextData[StyleBox["which  is equivalent to",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"1e23644b-283f-4ea2-8567-c033ab0841d5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AF", "[", 
  RowBox[{
  "\[DoubleStruckCapitalI]", "  ", "\[TensorProduct]", " ", 
   "\[ScriptCapitalH]", " ", "\[TensorProduct]", "\[DoubleStruckCapitalI]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.6133959477066393`*^9, 3.613395950338436*^9}, {
   3.614015919554443*^9, 3.614015932928617*^9}, 3.614075965489653*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"873eaf26-fb14-4719-bc28-2a894b858e1f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", "0", "0", "0", "0"},
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", "0", "0", "0"},
     {
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0", "0", "0", "0", "0"},
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0", "0", "0", "0"},
     {"0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0"},
     {"0", "0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      FractionBox["1", 
       SqrtBox["2"]]},
     {"0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0"},
     {"0", "0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.859374595708535*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"56dcb210-4f28-4dec-8eba-3ed960fb6775"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[TextData[StyleBox["If we want to apply Hadamards as above to an initial \
system of |000\[RightAngleBracket],  we construct the initial density matrix \
and transform to the new density matrix, also we check the subsystems 2 and 1 \
to verify that it is only qubit 2 that has been subjected to a Hadamard:",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.614015951445463*^9, 3.614015952625804*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"0630e717-28d4-4756-9f30-b2c1880a1d7b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"\[Rho]000", "=", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "0"], "\[TensorProduct]", 
    SubscriptBox["\[ScriptCapitalP]", "0"], "\[TensorProduct]", 
    SubscriptBox["\[ScriptCapitalP]", "0"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Rho]FINAL", "=", 
   RowBox[{"HAD32", " ", ".", " ", "\[Rho]000", " ", ".", " ", 
    RowBox[{"Adj", "[", "HAD32", "]"}]}]}], " "}], "\[IndentingNewLine]", 
 RowBox[{"PTr", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "3"}], "}"}], ",", "\[Rho]FINAL"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"PTr", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", "\[Rho]FINAL"}], "]"}]}], "Input",
 CellChangeTimes->{{3.6140159800992002`*^9, 3.61401603406218*^9}, 
   3.6140759655067387`*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"683e3bb8-4047-4723-8924-a04ef84459a1"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.85937459573557*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"f909a2a6-d80e-472c-b0e3-9382bf45565e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], "0", 
      FractionBox["1", "2"], "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {
      FractionBox["1", "2"], "0", 
      FractionBox["1", "2"], "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.859374595743911*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"9aa450a7-08a1-418f-bd1a-3ae318fefa5a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], 
      FractionBox["1", "2"]},
     {
      FractionBox["1", "2"], 
      FractionBox["1", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.85937459575073*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"3aa5ee63-42f3-4e4a-b4ea-84141949c0e4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.859374595757531*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"1db70130-1698-406d-8ae2-203c1c5863ee"]
}, Open  ]],

Cell[TextData[{
 StyleBox["Sometimes we need a ",
  FontFamily->"Helvetica"],
 StyleBox["Hadamard on every one of the qubits;",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" in that case you may use the command ",
  FontFamily->"Helvetica"],
 StyleBox["HALL",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[":",
  FontFamily->"Helvetica"]
}], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"990a16f1-bdf2-4764-89fa-5e41981f8cb1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"HALL", "[", "3", "]"}], ".", "\[Rho]000", " ", ".", 
  RowBox[{"Adj", "[", 
   RowBox[{"HALL", "[", "3", "]"}], "]"}]}]], "Input",
 CellTags->{
  "i:2", "b:5.2.0"},ExpressionUUID->"28bcfd83-0455-4fd7-9e83-6da758c7b0c9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]},
     {
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"], 
      FractionBox["1", "8"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8593745957756853`*^9},
 CellTags->{
  "i:2", "b:5.2.0"},ExpressionUUID->"c50bfe1e-e72b-4110-b699-4b2544633c4e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"HALL", "[", "3", "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     RowBox[{"Ket", "[", "0", "]"}], "\[TensorProduct]", "  ", 
     RowBox[{"Ket", "[", "0", "]"}], " ", "\[TensorProduct]", " ", 
     RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.614596436026184*^9, 
  3.6145964927323923`*^9}},ExpressionUUID->"33021d99-b127-4fa6-8c47-\
4e91d91d0b5f"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"000\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"001\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"010\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"011\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"100\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"101\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"110\"", "\" >\"", "\" + \"", 
    "\"(\"", 
    FractionBox["1", 
     RowBox[{"2", " ", 
       SqrtBox["2"]}]], "\")\"", "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745957906723`*^9},ExpressionUUID->"02889400-0a40-45cf-a686-\
0526b945b5f4"]
}, Open  ]],

Cell[TextData[StyleBox["The action of a Hadamard on state vectors is  also \
simple to evaluatel, ",
 FontFamily->"Helvetica"]], "Text",
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"ea674191-91e9-46f3-b19e-efc7a3177561"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"had", "[", 
   RowBox[{"1", ",", "1"}], "]"}], ".", 
  RowBox[{"Ket", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"had", "[", 
   RowBox[{"1", ",", "1"}], "]"}], ".", 
  RowBox[{"KetX", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"had", "[", 
   RowBox[{"1", ",", "1"}], "]"}], ".", 
  RowBox[{"Ket", "[", "1", "]"}]}]}], "Input",
 CellTags->"b:5.2.0",ExpressionUUID->"576f1076-769c-4a4f-b6ed-f76cb506f033"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["1", 
       SqrtBox["2"]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.859374595813099*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"376db6c3-e2c2-4211-b0b5-932b64626fd8"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.859374595821237*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"4aae3ff7-1a36-4ab7-82ad-33b1b9da29eb"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8593745958275337`*^9},
 CellTags->"b:5.2.0",ExpressionUUID->"14a43740-b7fc-4256-aeb4-5b8a2006f9ca"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Ket"}]], "Input",ExpressionUUID->"ea24faef-20ef-4845-a31f-ff625a90a798"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"]], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"]]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               
               ButtonData->
                "http://reference.wolfram.com/language/ref/Ket.html",
               
               ButtonNote->
                "http://reference.wolfram.com/language/ref/Ket.html"],
              "\"http://reference.wolfram.com/language/ref/Ket.html\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Ket[0], Ket[1],\\n\\n\\t one qubit |0\
\[RightAngleBracket] and |1\[RightAngleBracket] state, respectively .  Now \
that MM has Ket \\nand Bra built-in,  use ket and Bra for our definitions \
\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    TemplateBox[{"0"}, "Ket"], ":=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "1", "}"}], ",", 
                    RowBox[{"{", "0", "}"}]}], "}"}]}]}, {" "}, {
                    RowBox[{
                    TemplateBox[{"1"}, "Ket"], ":=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "0", "}"}], ",", 
                    RowBox[{"{", "1", "}"}]}], "}"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Documentation\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Documentation\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Documentation", "Tooltip"]& ], 
                    TemplateBox[{
                    TemplateBox[{"\"Web \[RightGuillemet]\"", {
                    URL["http://reference.wolfram.com/language/ref/Ket.html"],
                     None}, 
                    "http://reference.wolfram.com/language/ref/Ket.html", 
                    "Hyperlink", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"]},
                    "RowDefault"]},
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"System`Ket\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"],
                 ImageSizeCache->{13., {4., 9.}}], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"],
                 ImageSizeCache->{13., {4., 9.}}]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               
               ButtonData->
                "http://reference.wolfram.com/language/ref/Ket.html",
               
               ButtonNote->
                "http://reference.wolfram.com/language/ref/Ket.html"],
              "\"http://reference.wolfram.com/language/ref/Ket.html\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Ket[0], Ket[1],\\n\\n\\t one qubit |0\
\[RightAngleBracket] and |1\[RightAngleBracket] state, respectively .  Now \
that MM has Ket \\nand Bra built-in,  use ket and Bra for our definitions \
\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Ket[0], Ket[1],\n\n\t one qubit |0\[RightAngleBracket] and |1\
\[RightAngleBracket] state, respectively .  Now that MM has Ket \nand Bra \
built-in,  use ket and Bra for our definitions ", 
     "Documentation" -> <|
      "Web" -> "http://reference.wolfram.com/language/ref/Ket.html"|>, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, Ket, {Ket[0] :> {{1}, {0}}, Ket[1] :> {{0}, {1}}}], 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "System`Ket"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374595899197*^9},ExpressionUUID->"1c74a606-f0f0-4ed0-8d24-\
c49fa6b98daf"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Ket", "[", "0", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Ket", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", " ", 
  RowBox[{
   RowBox[{"a", " ", 
    RowBox[{"Ket", "[", "0", "]"}]}], "+", " ", 
   RowBox[{"b", " ", 
    RowBox[{"Ket", "[", "1", "]"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.614422466663094*^9, 
  3.614422509766438*^9}},ExpressionUUID->"6760ff4a-6afa-4487-9e16-\
5ba087f85102"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374595919355*^9},ExpressionUUID->"8086219a-6d7a-4657-9fa7-\
6911985d491f"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"0\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374595927079*^9},ExpressionUUID->"8daf3497-1e07-421e-98dc-\
9cfbef038ebd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0"},
     {"1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374595933646*^9},ExpressionUUID->"515c224a-6d6b-4c04-983c-\
dad8d2271538"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937459594024*^9},ExpressionUUID->"6c17a514-d210-4d87-b96c-d8d4c9aa11f7"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a", "\")\"", "\" |\"", "\"0\"", "\" >\"", "\" + \"", 
    "\"(\"", "b", "\")\"", "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745959470263`*^9},ExpressionUUID->"e66134b0-77d7-4f72-953b-\
d1d3c2ddd857"],

Cell[CellGroupData[{

Cell[BoxData[{
 TemplateBox[{"0"},
  "Ket"], "\n", 
 TemplateBox[{"1"},
  "Ket"]}], "Input",
 CellChangeTimes->{{3.614422517802367*^9, 
  3.614422546462709*^9}},ExpressionUUID->"55a053cf-e8ba-4321-9b60-\
2df8aaa28e8b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1"},
     {"0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374595966758*^9},ExpressionUUID->"bc473e1e-ea51-4812-be43-\
ffc754cf91c2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0"},
     {"1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745959790573`*^9},ExpressionUUID->"987f6e6a-40b4-4f25-9094-\
522fb0754550"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Ket1"}]], "Input",ExpressionUUID->"e701bd4d-d3e0-4657-b372-29a50f323116"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Ket1[\[Theta],\[Phi]],\\n\\n\\t returns a general \
one qubit ket state of the form\\n\\n \
=Cos[\[Theta]/2]*Exp[-I*\[Phi]/2]*Ket[0]+Sin[\[Theta]/2]*Ket[1]*Exp[I*\[Phi]/\
2]  \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Ket1", "[", 
                    RowBox[{"Private`a_", ",", "Private`b_"}], "]"}], ":=", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cos", "[", 
                    FractionBox["Private`a", "2"], "]"}], " ", 
                    RowBox[{"Exp", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{"-", "\[ImaginaryI]"}], ")"}], " ", "Private`b"}],
                     "]"}], " ", 
                    TemplateBox[{"0"}, "Ket"]}], "+", 
                    RowBox[{
                    RowBox[{"Sin", "[", 
                    FractionBox["Private`a", "2"], "]"}], " ", 
                    TemplateBox[{"1"}, "Ket"], " ", 
                    RowBox[{"Exp", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{"+", "\[ImaginaryI]"}], ")"}], " ", "Private`b"}],
                     "]"}]}]}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Ket1\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Ket1[\[Theta],\[Phi]],\\n\\n\\t returns a general \
one qubit ket state of the form\\n\\n \
=Cos[\[Theta]/2]*Exp[-I*\[Phi]/2]*Ket[0]+Sin[\[Theta]/2]*Ket[1]*Exp[I*\[Phi]/\
2]  \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Ket1[\[Theta],\[Phi]],\n\n\t returns a general one qubit ket state of \
the form\n\n \
=Cos[\[Theta]/2]*Exp[-I*\[Phi]/2]*Ket[0]+Sin[\[Theta]/2]*Ket[1]*Exp[I*\[Phi]/\
2]  ", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Ket1, {QDENSITY`Qdensity`Ket1[
          Pattern[Private`a, 
           Blank[]], 
          Pattern[Private`b, 
           Blank[]]] :> 
        Cos[Private`a/2] Exp[(-I) (Private`b/2)] Ket[0] + 
         Sin[Private`a/2] Ket[1] Exp[Plus[I] (Private`b/2)]}], "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`Ket1"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374596063673*^9},ExpressionUUID->"f1c99dd7-2be3-4fde-a2ff-\
9320021e76b2"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Ket1", "[", 
  RowBox[{"a", ",", "b"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.614422572418518*^9, 
  3.614422587544961*^9}},ExpressionUUID->"f2ee9e6f-ffc3-4426-a5cc-\
b18a392132e7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "b"}], "2"]}]], " ", 
       RowBox[{"Cos", "[", 
        FractionBox["a", "2"], "]"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"\[ImaginaryI]", " ", "b"}], "2"]], " ", 
       RowBox[{"Sin", "[", 
        FractionBox["a", "2"], "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374597441018*^9},ExpressionUUID->"4bc9fd48-406c-414f-ba9d-\
803c2813b989"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"-", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "b"}], "2"]}]], " ", 
      RowBox[{"Cos", "[", 
        FractionBox["a", "2"], "]"}]}], "\")\"", "\" |\"", "\"0\"", "\" >\"", 
    "\" + \"", "\"(\"", 
    RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "b"}], "2"]], " ", 
      RowBox[{"Sin", "[", 
        FractionBox["a", "2"], "]"}]}], "\")\"", "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374597449918*^9},ExpressionUUID->"107a77a7-bf16-495f-a361-\
d759d8dbe25a"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "KetV"}]], "Input",ExpressionUUID->"04b6729a-93a5-45fe-8b76-bd8fe09ddcfe"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"KetV[a_] is a multi-qubit state vector \
ket,\\n\\n\\t variable a must be list of Length[a]=2^n . Example of \\nuse, \
KetV[{0,1,1}]=Ket[0]\[CircleTimes]Ket[1]\[CircleTimes]Ket[1]  . \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"KetV", "[", 
                    RowBox[{"Private`b_", "?", "ListQ"}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"O", ",", 
                    RowBox[{"Private`a", "=", "Private`b"}]}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"O", "=", 
                    TemplateBox[{
                    
                    RowBox[{"Private`a", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}, "Ket"]}], ";", 
                    RowBox[{"Private`L", "=", 
                    RowBox[{"Length", "[", "Private`a", "]"}]}], ";", 
                    RowBox[{"Do", "[", 
                    RowBox[{
                    RowBox[{"O", "=", 
                    RowBox[{"AF", "[", 
                    RowBox[{"O", "\[CircleTimes]", 
                    TemplateBox[{
                    
                    RowBox[{"Private`a", "\[LeftDoubleBracket]", "Private`iK",
                     "\[RightDoubleBracket]"}]}, "Ket"]}], "]"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`iK", ",", "2", ",", "Private`L"}], 
                    "}"}]}], "]"}], ";", "O"}]}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`KetV\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"KetV[a_] is a multi-qubit state vector \
ket,\\n\\n\\t variable a must be list of Length[a]=2^n . Example of \\nuse, \
KetV[{0,1,1}]=Ket[0]\[CircleTimes]Ket[1]\[CircleTimes]Ket[1]  . \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "KetV[a_] is a multi-qubit state vector ket,\n\n\t variable a must be \
list of Length[a]=2^n . Example of \nuse, \
KetV[{0,1,1}]=Ket[0]\[CircleTimes]Ket[1]\[CircleTimes]Ket[1]  . ", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`KetV, {QDENSITY`Qdensity`KetV[
          PatternTest[
           Pattern[Private`b, 
            Blank[]], ListQ]] :> Module[{O, Private`a = Private`b}, O = Ket[
             Part[Private`a, 1]]; Private`L = Length[Private`a]; 
          Do[O = QDENSITY`Qdensity`AF[
              CircleTimes[O, 
               Ket[
                Part[Private`a, Private`iK]]]], {Private`iK, 2, Private`L}]; 
          O]}], "SubValues" -> None, "DefaultValues" -> None, "NValues" -> 
     None, "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`KetV"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374597704093*^9},ExpressionUUID->"5f35f8fe-2cae-4c24-86dd-\
456d0abd1c86"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"KetV", "[", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1"}], "}"}], "]"}], " ", "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"Ket", "[", "1", "]"}], "\[TensorProduct]", " ", 
    RowBox[{"Ket", "[", "1", "]"}], "\[TensorProduct]", " ", 
    RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"KetV", "[", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "0"}], "}"}], "]"}], " ", "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"Ket", "[", "1", "]"}], "\[TensorProduct]", " ", 
    RowBox[{"Ket", "[", "1", "]"}], "\[TensorProduct]", " ", 
    RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6144226108476686`*^9, 3.6144226813871927`*^9}, {
  3.6144412022134857`*^9, 
  3.614441226420148*^9}},ExpressionUUID->"600f618b-0c12-4377-9755-\
262cb484b6f9"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937459772078*^9},ExpressionUUID->"99b0a127-5975-49f8-a716-d7a9464e0a92"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745977280416`*^9},ExpressionUUID->"b1b043b2-2500-4bc2-b05e-\
e60077d516db"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "KetX"}]], "Input",
 CellChangeTimes->{{3.614441258259615*^9, 
  3.614441259077114*^9}},ExpressionUUID->"eb97989b-c295-4c20-97c7-\
0b96b90f49a0"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"KetX[0], KetX[1], \\n\\n\\t one qubit |+\
\[RightAngleBracket], |-\[RightAngleBracket], states, respectively . \\n\\n \
Eigenvectors of Sigma1 . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"KetX", "[", "0", "]"}], ":=", 
                    FractionBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "1", "}"}], ",", 
                    RowBox[{"{", "1", "}"}]}], "}"}], 
                    SqrtBox["2"]]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"KetX", "[", "1", "]"}], ":=", 
                    FractionBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "1", "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"-", "1"}], "}"}]}], "}"}], 
                    SqrtBox["2"]]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`KetX\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"KetX[0], KetX[1], \\n\\n\\t one qubit |+\
\[RightAngleBracket], |-\[RightAngleBracket], states, respectively . \\n\\n \
Eigenvectors of Sigma1 . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "KetX[0], KetX[1], \n\n\t one qubit |+\[RightAngleBracket], |-\
\[RightAngleBracket], states, respectively . \n\n Eigenvectors of Sigma1 . ", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`KetX, {
       QDENSITY`Qdensity`KetX[0] :> (1/Sqrt[2]) {{1}, {1}}, 
        QDENSITY`Qdensity`KetX[1] :> (1/Sqrt[2]) {{1}, {-1}}}], "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`KetX"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374597815382*^9},ExpressionUUID->"29fa5f14-0fbb-4771-94fb-\
d4e65c60d2c7"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"KetX", "[", "0", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"KetX", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.6144412739120626`*^9, 
  3.6144413121182327`*^9}},ExpressionUUID->"1d049906-e1fb-4088-9836-\
6c4c1273b8bd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["1", 
       SqrtBox["2"]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374597833009*^9},ExpressionUUID->"a239da98-cc73-479b-95e5-\
ddb7febb1203"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    FractionBox["1", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
    FractionBox["1", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374597841406*^9},ExpressionUUID->"0261716e-8ac4-4e26-adc8-\
b0fecd5cd321"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937459784943*^9},ExpressionUUID->"a39aec54-553a-4bdf-9bb8-49c5d6f848a7"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    FractionBox["1", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"-", 
      FractionBox["1", 
       SqrtBox["2"]]}], "\")\"", "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374597856564*^9},ExpressionUUID->"59408d11-0b3e-45cb-8013-\
92a8f643c958"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"s", "[", "1", "]"}], ".", 
   RowBox[{"KetX", "[", "0", "]"}]}], "==", 
  RowBox[{"KetX", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"s", "[", "1", "]"}], ".", 
   RowBox[{"KetX", "[", "1", "]"}]}], "\[Equal]", 
  RowBox[{"-", 
   RowBox[{"KetX", "[", "1", "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.6144413773435087`*^9, 
  3.6144414423539057`*^9}},ExpressionUUID->"923fdfa5-c166-43f7-bf3d-\
5a24897a3a23"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745978764153`*^9},ExpressionUUID->"3e0ff62c-4afc-4d06-bc6f-\
c175ec45fd6b"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937459788527*^9},ExpressionUUID->"e1d03ab4-70b4-4e87-8f12-7014bf694afb"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "KetY"}]], "Input",
 CellChangeTimes->{{3.614441329107194*^9, 
  3.614441329813712*^9}},ExpressionUUID->"5f0ee731-1207-4d1d-9ee5-\
d1adb71e9374"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"KetY[0], KetY[1], \\n\\n Eigenvectors of Sigma2 . \
\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"KetY", "[", "0", "]"}], ":=", 
                    FractionBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "1", "}"}], ",", 
                    RowBox[{"{", "\[ImaginaryI]", "}"}]}], "}"}], 
                    SqrtBox["2"]]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"KetY", "[", "1", "]"}], ":=", 
                    FractionBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", "1", "}"}], ",", 
                    RowBox[{"-", 
                    RowBox[{"{", "\[ImaginaryI]", "}"}]}]}], "}"}], 
                    SqrtBox["2"]]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`KetY\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"KetY[0], KetY[1], \\n\\n Eigenvectors of Sigma2 . \
\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "KetY[0], KetY[1], \n\n Eigenvectors of Sigma2 . ", "Documentation" -> 
     None, "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`KetY, {
       QDENSITY`Qdensity`KetY[0] :> (1/Sqrt[2]) {{1}, {I}}, 
        QDENSITY`Qdensity`KetY[1] :> (1/Sqrt[2]) {{1}, -{I}}}], "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`KetY"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745979716063`*^9},ExpressionUUID->"c4e087df-5551-4d10-aa30-\
a47b0143d55d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"KetY", "[", "0", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"KetY", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.6144413448997917`*^9, 
  3.614441354236189*^9}},ExpressionUUID->"f3a9f1ea-df17-4ce6-b257-\
a19cde016021"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["\[ImaginaryI]", 
       SqrtBox["2"]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745979892282`*^9},ExpressionUUID->"8b6d5af2-5b37-4c5c-997c-\
773e8807aea1"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    FractionBox["1", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
    FractionBox["\[ImaginaryI]", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374597996992*^9},ExpressionUUID->"27d9ae78-ea23-4178-ba46-\
ce5231e699db"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745980048733`*^9},ExpressionUUID->"baa86478-a56d-4836-895d-\
027a22cf5545"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    FractionBox["1", 
     SqrtBox["2"]], "\")\"", "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"-", 
      FractionBox["\[ImaginaryI]", 
       SqrtBox["2"]]}], "\")\"", "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598011902*^9},ExpressionUUID->"06d10f89-e53d-4bf7-afc2-\
f7c4ac2e7003"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"s", "[", "2", "]"}], ".", 
   RowBox[{"KetY", "[", "0", "]"}]}], "==", 
  RowBox[{"KetY", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"s", "[", "2", "]"}], ".", 
   RowBox[{"KetY", "[", "1", "]"}]}], "\[Equal]", " ", 
  RowBox[{"-", 
   RowBox[{"KetY", "[", "1", "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.614441454199959*^9, 
  3.614441498195979*^9}},ExpressionUUID->"4855d1e8-7392-40b7-a2e5-\
fcbf868d519b"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598032119*^9},ExpressionUUID->"5786b90a-c539-47e8-9569-\
2449525e30bf"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745980401983`*^9},ExpressionUUID->"014fd738-ccbb-4222-89ce-\
d5e2e8fc3d99"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "MeasureKet"}]], "Input",
 CellChangeTimes->{{3.6144415373817377`*^9, 3.614441541709017*^9}, {
  3.614592273157029*^9, 3.614592274821485*^9}, {3.6145939063792067`*^9, 
  3.614593906929339*^9}},ExpressionUUID->"a3857921-7cff-441d-93b0-\
82b0c9510b3e"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"MeasureKet[V,M,MV],\\n\\n\\t Performs the \
measurement on qubits in list M={m1,..,mn},\\n\\n with possible measured \
computational basis values input in list \\n\\n MV={0,1,...0,0,1}, on the \
original ket V . The output is normalized \\n\\n to 1.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"MeasureKet", "[", 
                    RowBox[{
                    RowBox[{"Private`stateV_", "?", "ListQ"}], ",", 
                    RowBox[{"Private`MQ_", "?", "ListQ"}], ",", 
                    RowBox[{"Private`MV_", "?", "ListQ"}]}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "O", "}"}], ",", 
                    RowBox[{
                    RowBox[{"O", "=", "Private`stateV"}], ";", 
                    RowBox[{"Private`ON", "=", 
                    RowBox[{"Length", "[", "O", "]"}]}], ";", 
                    RowBox[{"Private`LM", "=", 
                    RowBox[{"Length", "[", "Private`MQ", "]"}]}], ";", 
                    RowBox[{"Private`LMV", "=", 
                    RowBox[{"Length", "[", "Private`MV", "]"}]}], ";", 
                    RowBox[{"Private`NQ", "=", 
                    RowBox[{"Log", "[", 
                    RowBox[{"2", ",", "Private`ON"}], "]"}]}], ";", 
                    RowBox[{"Private`ListN", "=", 
                    RowBox[{"Table", "[", 
                    RowBox[{"Private`i", ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`i", ",", "1", ",", "Private`NQ"}], 
                    "}"}]}], "]"}]}], ";", 
                    RowBox[{"Private`OutV", "=", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`i", ",", "1", ",", 
                    SuperscriptBox["2", 
                    RowBox[{"Private`NQ", "-", "Private`LM"}]]}], "}"}]}], 
                    "]"}]}], ";", 
                    RowBox[{"Private`MM", "=", 
                    RowBox[{"Complement", "[", 
                    RowBox[{"Private`ListN", ",", "Private`MQ"}], "]"}]}], 
                    ";", 
                    RowBox[{"Private`Seq", "=", 
                    RowBox[{"Array", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Private`w", "[", 
                    
                    RowBox[{"Private`MM", "\[LeftDoubleBracket]", "#1", 
                    "\[RightDoubleBracket]"}], "]"}], ",", "0", ",", "1"}], 
                    "}"}], "}"}], "&"}], ",", 
                    RowBox[{"Length", "[", "Private`MM", "]"}]}], "]"}]}], 
                    ";", 
                    RowBox[{"Private`Seq", "=", 
                    RowBox[{"Partition", "[", 
                    RowBox[{
                    RowBox[{"Flatten", "[", "Private`Seq", "]"}], ",", "3"}], 
                    "]"}]}], ";", 
                    RowBox[{"Private`MesNumber", "=", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"Private`i", "=", "1"}], "Private`LM"], 
                    RowBox[{
                    
                    RowBox[{"Private`MV", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}], " ", 
                    SuperscriptBox["2", 
                    RowBox[{"Private`NQ", "-", 
                    
                    RowBox[{"Private`MQ", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}]}]]}]}]}], ";", 
                    RowBox[{"Private`NonMeas", "=", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"Private`i", "=", "1"}], 
                    RowBox[{"Private`NQ", "-", "Private`LM"}]], 
                    RowBox[{
                    RowBox[{"Private`w", "[", 
                    
                    RowBox[{"Private`MM", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}], "]"}], " ", 
                    SuperscriptBox["2", 
                    RowBox[{"Private`NQ", "-", 
                    
                    RowBox[{"Private`MM", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}]}]]}]}]}], ";", 
                    RowBox[{"Private`Posit", "=", 
                    RowBox[{
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"Private`i", "=", "1"}], 
                    RowBox[{"Private`NQ", "-", "Private`LM"}]], 
                    RowBox[{
                    RowBox[{"Private`w", "[", 
                    
                    RowBox[{"Private`MM", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}], "]"}], " ", 
                    SuperscriptBox["2", 
                    RowBox[{"Private`NQ", "-", 
                    RowBox[{"Length", "[", "Private`MQ", "]"}], "-", 
                    "Private`i"}]]}]}], "+", "1"}]}], ";", 
                    RowBox[{"Do", "[", 
                    RowBox[{
                    RowBox[{"Private`OutV", "=", 
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{"Private`OutV", ",", 
                    RowBox[{"O", "\[LeftDoubleBracket]", 
                    
                    RowBox[{"Private`MesNumber", "+", "Private`NonMeas", "+", 
                    "1"}], "\[RightDoubleBracket]"}], ",", "Private`Posit"}], 
                    "]"}]}], ",", 
                    RowBox[{"Evaluate", "[", 
                    RowBox[{"Sequence", "@@", "Private`Seq"}], "]"}]}], "]"}],
                     ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Norm", "[", 
                    RowBox[{"Flatten", "[", "Private`OutV", "]"}], "]"}], 
                    "\[Equal]", "0"}], ",", 
                    RowBox[{"Private`OutW", "=", 
                    RowBox[{"ZeroT", "[", 
                    RowBox[{"Length", "[", "Private`OutV", "]"}], "]"}]}], 
                    ",", 
                    RowBox[{"Private`OutW", "=", 
                    FractionBox["Private`OutV", 
                    RowBox[{"Norm", "[", 
                    RowBox[{"Flatten", "[", "Private`OutV", "]"}], "]"}]]}], 
                    ",", 
                    RowBox[{"Private`OutW", "=", 
                    FractionBox["Private`OutV", 
                    RowBox[{"Norm", "[", 
                    RowBox[{"Flatten", "[", "Private`OutV", "]"}], "]"}]]}]}],
                     "]"}], ";", "Private`OutW"}]}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`MeasureKet\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"MeasureKet[V,M,MV],\\n\\n\\t Performs the \
measurement on qubits in list M={m1,..,mn},\\n\\n with possible measured \
computational basis values input in list \\n\\n MV={0,1,...0,0,1}, on the \
original ket V . The output is normalized \\n\\n to 1.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "MeasureKet[V,M,MV],\n\n\t Performs the measurement on qubits in list \
M={m1,..,mn},\n\n with possible measured computational basis values input in \
list \n\n MV={0,1,...0,0,1}, on the original ket V . The output is normalized \
\n\n to 1.", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None,
      "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`MeasureKet, {QDENSITY`Qdensity`MeasureKet[
          PatternTest[
           Pattern[Private`stateV, 
            Blank[]], ListQ], 
          PatternTest[
           Pattern[Private`MQ, 
            Blank[]], ListQ], 
          PatternTest[
           Pattern[Private`MV, 
            Blank[]], ListQ]] :> 
        Module[{O}, O = Private`stateV; Private`ON = Length[O]; 
          Private`LM = Length[Private`MQ]; Private`LMV = Length[Private`MV]; 
          Private`NQ = Log[2, Private`ON]; 
          Private`ListN = Table[Private`i, {Private`i, 1, Private`NQ}]; 
          Private`OutV = 
           Table[0, {Private`i, 1, 2^(Private`NQ - Private`LM)}]; 
          Private`MM = Complement[Private`ListN, Private`MQ]; 
          Private`Seq = Array[{{
               Private`w[
                Part[Private`MM, #]], 0, 1}}& , 
             Length[Private`MM]]; Private`Seq = Partition[
             Flatten[Private`Seq], 3]; 
          Private`MesNumber = 
           Sum[Part[Private`MV, Private`i] 
             2^(Private`NQ - Part[Private`MQ, Private`i]), {
             Private`i, 1, Private`LM}]; Private`NonMeas = Sum[Private`w[
               Part[Private`MM, Private`i]] 
             2^(Private`NQ - Part[Private`MM, Private`i]), {
             Private`i, 1, Private`NQ - Private`LM}]; 
          Private`Posit = Sum[Private`w[
                Part[Private`MM, Private`i]] 
              2^(Private`NQ - Length[Private`MQ] - Private`i), {
              Private`i, 1, Private`NQ - Private`LM}] + 1; 
          Do[Private`OutV = ReplacePart[Private`OutV, 
              Part[O, Private`MesNumber + Private`NonMeas + 1], 
              Private`Posit], 
            Evaluate[
             Apply[Sequence, Private`Seq]]]; If[Norm[
              Flatten[Private`OutV]] == 0, Private`OutW = 
            QDENSITY`Qdensity`ZeroT[
              Length[Private`OutV]], Private`OutW = Private`OutV/Norm[
              Flatten[Private`OutV]], Private`OutW = Private`OutV/Norm[
              Flatten[Private`OutV]]]; Private`OutW]}], "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`MeasureKet"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598127758*^9},ExpressionUUID->"55245f41-b904-4726-88f8-\
df35220d9e0a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"V", "=", " ", 
   RowBox[{
    RowBox[{"a", " ", 
     RowBox[{"KetV", "[", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1", ",", "1"}], "}"}], "]"}]}], " ", "+", " ", 
    RowBox[{"b", " ", 
     RowBox[{"KetV", "[", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1"}], "}"}], "]"}]}]}]}], " ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"M", "=", 
  RowBox[{"{", 
   RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"MV", "=", 
  RowBox[{"{", 
   RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"VIN", "=", "V"}], "\[IndentingNewLine]", 
 RowBox[{"MeasureKet", "[", 
  RowBox[{"VIN", ",", "M", ",", "MV"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"MV", "=", 
  RowBox[{"{", 
   RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"VIN", "=", "V"}], "\[IndentingNewLine]", 
 RowBox[{"MeasureKet", "[", 
  RowBox[{"VIN", ",", "M", ",", "MV"}], "]"}]}], "Input",
 CellChangeTimes->{{3.614441561399622*^9, 3.614441787442144*^9}, 
   3.614591743746738*^9, {3.614591806855259*^9, 3.6145918221757927`*^9}, {
   3.6145923662578373`*^9, 3.614592383277123*^9}, {3.614592414135347*^9, 
   3.614592564754755*^9}, {3.614592679915752*^9, 3.614592691535849*^9}, {
   3.614592748930993*^9, 3.614592752193014*^9}, {3.6145927895195303`*^9, 
   3.614592820026711*^9}, {3.614593663681929*^9, 3.614593692333312*^9}, 
   3.6145939011474333`*^9, 3.614594006881509*^9, {3.6162752100285397`*^9, 
   3.616275246173676*^9}},ExpressionUUID->"9c39bcff-9355-4d35-a022-\
c8b8bef6037c"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "a", "\")\"", "\" |\"", "\"011\"", "\" >\"", "\" + \"",
     "\"(\"", "b", "\")\"", "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598145349*^9},ExpressionUUID->"077e7e3a-3025-4e5e-a4ca-\
8b4b07c8e5ea"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"2"},
      {"3"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598154706*^9},ExpressionUUID->"14d10dee-fc41-40bc-b1d1-\
c89f17f1751f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"1"},
      {"1"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745981621113`*^9},ExpressionUUID->"c0064cee-fec7-448f-b4ea-\
4b69695cbd77"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0"},
     {"0"},
     {"0"},
     {"a"},
     {"0"},
     {"0"},
     {"0"},
     {"b"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598170231*^9},ExpressionUUID->"2603b382-19c3-47a4-b11f-\
4a1987dc5cef"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["b", 
       RowBox[{"Abs", "[", "b", "]"}]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745981777554`*^9},ExpressionUUID->"ba7c454f-88eb-4c2d-bbea-\
8f31ab62916b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"1"},
      {"1"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745981855288`*^9},ExpressionUUID->"344c0c0c-289c-4b15-bd3a-\
fc5c923c320d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0"},
     {"0"},
     {"0"},
     {"a"},
     {"0"},
     {"0"},
     {"0"},
     {"b"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598192976*^9},ExpressionUUID->"87a0bba2-eb12-48e8-b2cc-\
b24c30d1b4ae"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["a", 
       RowBox[{"Abs", "[", "a", "]"}]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598200142*^9},ExpressionUUID->"64eb2f18-1d7e-4c16-9387-\
1210e0e5036a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"V2", "=", " ", 
  RowBox[{"RandomKetN", "[", "3", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "V2", "]"}]}], "Input",
 CellChangeTimes->{{3.614441809935204*^9, 3.614441887137776*^9}, {
   3.614441951640544*^9, 3.6144420690841513`*^9}, {3.614447068022142*^9, 
   3.6144471412105923`*^9}, {3.614447247620689*^9, 3.6144472546502542`*^9}, {
   3.614447290784616*^9, 3.614447451999667*^9}, {3.61444754790277*^9, 
   3.614447558538529*^9}, {3.614447595094149*^9, 3.6144476294743156`*^9}, {
   3.61444765990373*^9, 3.614447709163107*^9}, {3.6144479111467743`*^9, 
   3.614447924342799*^9}, {3.6144485580838223`*^9, 3.614448561265571*^9}, {
   3.614448609448677*^9, 3.614448613608323*^9}, {3.614505450860712*^9, 
   3.6145054691082172`*^9}, 3.614505578453307*^9, 3.6145058482061367`*^9, {
   3.614505894203332*^9, 3.6145058975561857`*^9}, {3.614507404141903*^9, 
   3.614507426999959*^9}, {3.616274117730371*^9, 3.616274125514978*^9}, {
   3.616274714456523*^9, 
   3.616274757316812*^9}},ExpressionUUID->"4dbd1a8e-c54c-499c-9ca6-\
1423e795bcd1"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "0.03351809413289574`"}], "+", 
       RowBox[{"0.13622995426731935`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.12675483295041887`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.41492158391766304`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.360236392257349`"}], "-", 
       RowBox[{"0.08823048823859277`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.005225397182645383`"}], "-", 
       RowBox[{"0.24343221998826114`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.29793037762753966`"}], "+", 
       RowBox[{"0.3873839931870771`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.0051191995259556805`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.32508785493364634`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.04805289563891242`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06240077207472191`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.32963227983532084`"}], "-", 
       RowBox[{"0.3685813828982876`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745982196007`*^9},ExpressionUUID->"7e683dbd-c028-404c-b933-\
2b60af9deda1"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.03351809413289574`"}], "+", 
      RowBox[{"0.13622995426731935`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"000\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.12675483295041887`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.41492158391766304`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"001\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.360236392257349`"}], "-", 
      RowBox[{"0.08823048823859277`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"010\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.005225397182645383`"}], "-", 
      RowBox[{"0.24343221998826114`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"011\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.29793037762753966`"}], "+", 
      RowBox[{"0.3873839931870771`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"100\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.0051191995259556805`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.32508785493364634`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"101\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.04805289563891242`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.06240077207472191`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"110\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.32963227983532084`"}], "-", 
      RowBox[{"0.3685813828982876`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745982277412`*^9},ExpressionUUID->"7e135680-9323-4891-8f44-\
28411631bb7c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"M", "=", 
  RowBox[{"{", 
   RowBox[{"1", ",", "2", ",", "3"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"MV", "=", 
  RowBox[{"{", 
   RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VIN", "=", "V2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"M1", "=", 
  RowBox[{"MeasureKet", "[", 
   RowBox[{"VIN", ",", "M", ",", "MV"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"coefM", "=", 
  RowBox[{
   RowBox[{"BraV", "[", "MV", "]"}], ".", "VIN"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"coefM", "/", 
   RowBox[{"Abs", "[", "coefM", "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.614447845664352*^9, 3.6144478620539293`*^9}, {
   3.614448670083866*^9, 3.6144486899135237`*^9}, {3.614448749493156*^9, 
   3.6144487548116283`*^9}, {3.6145052899949427`*^9, 3.614505292715643*^9}, {
   3.614505369460784*^9, 3.6145054362375174`*^9}, {3.6145075537031193`*^9, 
   3.614507556660602*^9}, {3.6145919154577293`*^9, 3.614591916166312*^9}, {
   3.614593731393724*^9, 3.614593739368225*^9}, 3.61459377510005*^9, 
   3.614594025105673*^9, 3.614594175386559*^9, {3.616274953305228*^9, 
   3.616274957490177*^9}, {3.616275281913205*^9, 3.616275316121235*^9}, 
   3.616275464896818*^9},ExpressionUUID->"eadfe12c-e552-4e60-aabb-\
94be47617fdf"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"2"},
      {"3"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598257881*^9},ExpressionUUID->"93a8007f-bd2c-4460-9fb7-\
fec54a26a295"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"1"},
      {"1"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745982666616`*^9},ExpressionUUID->"b70e03e9-b010-4d75-9ef1-\
91d248c26d1a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "0.6666251729036354`"}], "-", 
       RowBox[{"0.7453931035709935`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598273882*^9},ExpressionUUID->"778affc1-581e-4983-98d9-\
8cf061890cfd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "0.32963227983532084`"}], "-", 
       RowBox[{"0.3685813828982876`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598281807*^9},ExpressionUUID->"82eaed6a-c53b-47ab-b38a-\
3cd79b7b69fd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "0.6666251729036354`"}], "-", 
       RowBox[{"0.7453931035709935`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745982898493`*^9},ExpressionUUID->"5b0b94c6-284b-41be-a51e-\
91edfabb632f"],

Cell[CellGroupData[{

Cell[BoxData[{"M", "\[IndentingNewLine]", "MV", "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "V2", "]"}]}], "Input",
 CellChangeTimes->{{3.614505251976288*^9, 3.61450526153181*^9}, {
   3.6145068005619183`*^9, 3.614506804723233*^9}, {3.614506849442808*^9, 
   3.614506849880166*^9}, {3.61450737236136*^9, 3.614507376691518*^9}, 
   3.616274969324851*^9, {3.6162751269300747`*^9, 3.616275127345277*^9}, {
   3.616275487384389*^9, 
   3.6162754879809732`*^9}},ExpressionUUID->"47dbe950-6319-4072-a3e1-\
61b1bd9ab0d9"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"2"},
      {"3"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598310174*^9},ExpressionUUID->"4c76a5cf-1a54-47d5-bcca-\
b141aa022cfd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"1"},
      {"1"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598319491*^9},ExpressionUUID->"ea6f891b-a5ae-4da6-a1cc-\
3f709edeaecb"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.03351809413289574`"}], "+", 
      RowBox[{"0.13622995426731935`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"000\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.12675483295041887`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.41492158391766304`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"001\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.360236392257349`"}], "-", 
      RowBox[{"0.08823048823859277`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"010\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.005225397182645383`"}], "-", 
      RowBox[{"0.24343221998826114`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"011\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.29793037762753966`"}], "+", 
      RowBox[{"0.3873839931870771`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"100\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.0051191995259556805`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.32508785493364634`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"101\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.04805289563891242`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.06240077207472191`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"110\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.32963227983532084`"}], "-", 
      RowBox[{"0.3685813828982876`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598326722*^9},ExpressionUUID->"a447abf4-6f32-4a12-a192-\
181296578a51"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"MV", "=", 
  RowBox[{"{", 
   RowBox[{"0", ",", "1", ",", "1"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VIN", "=", "V2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"MeasureKet", "[", 
  RowBox[{"VIN", ",", "M", ",", "MV"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"coefM", "=", 
  RowBox[{
   RowBox[{"BraV", "[", "MV", "]"}], ".", "VIN"}]}], "\[IndentingNewLine]", 
 RowBox[{"coefM", "/", 
  RowBox[{"Abs", "[", "coefM", "]"}]}]}], "Input",
 CellChangeTimes->{{3.6145942951955147`*^9, 3.614594308704638*^9}, {
   3.6162749861342688`*^9, 3.61627499587253*^9}, {3.6162753573526773`*^9, 
   3.616275372335478*^9}, 
   3.616275500679903*^9},ExpressionUUID->"90e5d829-cd52-4eb7-b2e5-\
bd3b0e5d5149"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"1"},
      {"1"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598342785*^9},ExpressionUUID->"7a53d716-6220-4bf1-a4a6-\
9315d6f8a31b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "0.02146056816284967`"}], "-", 
       RowBox[{"0.9997696954869795`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745983517427`*^9},ExpressionUUID->"c97c1d48-f738-4e23-a2f5-\
86a02797d77c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "0.005225397182645383`"}], "-", 
       RowBox[{"0.24343221998826114`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745983590317`*^9},ExpressionUUID->"b24725ec-d8cd-41fd-b609-\
a8d6fa3bb668"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "0.02146056816284967`"}], "-", 
       RowBox[{"0.9997696954869795`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598366767*^9},ExpressionUUID->"1bc5a24c-e32b-40a4-9742-\
27f3b92969b0"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "CompMeasureKet"}]], "Input",
 CellChangeTimes->{{3.614448847815399*^9, 
  3.61444884875624*^9}},ExpressionUUID->"0b9d19f6-ef1c-4448-b1d6-\
147d8b3b4e25"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"CompMeasureKet, \\n\\n\\t Precompiled version of \
MeasureKet.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Assignment\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"OwnValues\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "OwnValues", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{"CompMeasureKet", "=", 
                    TagBox[
                    RowBox[{"CompiledFunction", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"Private`A", ",", "Private`M", ",", 
                    "Private`vM"}], "}"}], ",", 
                    RowBox[{"MeasureKet", "[", 
                    
                    RowBox[{"Private`A", ",", "Private`M", ",", 
                    "Private`vM"}], "]"}], ",", "\"-CompiledCode-\""}], "]"}],
                     False, Editable -> False, SelectWithContents -> 
                    True]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`CompMeasureKet\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"CompMeasureKet, \\n\\n\\t Precompiled version of \
MeasureKet.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "CompMeasureKet, \n\n\t Precompiled version of MeasureKet.", 
     "Documentation" -> None, "OwnValues" -> 
     Information`InformationValueForm[
      OwnValues, QDENSITY`Qdensity`CompMeasureKet, {
       QDENSITY`Qdensity`CompMeasureKet -> CompiledFunction[{11, 13., 5468}, {{
            Blank[Complex], 1}, {
            Blank[Integer], 1}, {
            Blank[Integer], 1}}, {{4, 1, 0}, {2, 1, 1}, {2, 1, 2}, {4, 1, 
          3}}, {}, {0, 0, 0, 0, 
          4}, {{47, QDENSITY`Qdensity`MeasureKet, 4, 1, 0, 2, 1, 1, 2, 1, 2, 
            4, 1, 3}, {1}}, 
          Function[{Private`A, Private`M, Private`vM}, 
           QDENSITY`Qdensity`MeasureKet[Private`A, Private`M, Private`vM]], 
          Evaluate]}], "UpValues" -> None, "DownValues" -> None, "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`CompMeasureKet"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745984921703`*^9},ExpressionUUID->"25ecaa00-c0f5-4ce5-adc5-\
4407b798b5dc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DForm", "[", "V2", "]"}]], "Input",
 CellChangeTimes->{
  3.61627502897992*^9},ExpressionUUID->"45e3b26b-fc64-4fe6-b9cb-721988cc3437"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.03351809413289574`"}], "+", 
      RowBox[{"0.13622995426731935`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"000\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.12675483295041887`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.41492158391766304`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"001\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.360236392257349`"}], "-", 
      RowBox[{"0.08823048823859277`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"010\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.005225397182645383`"}], "-", 
      RowBox[{"0.24343221998826114`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"011\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.29793037762753966`"}], "+", 
      RowBox[{"0.3873839931870771`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"100\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.0051191995259556805`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.32508785493364634`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"101\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.04805289563891242`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.06240077207472191`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"110\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.32963227983532084`"}], "-", 
      RowBox[{"0.3685813828982876`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598558488*^9},ExpressionUUID->"c8b8efdd-5b3d-4585-8baa-\
a5b75e81c8f5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{"M", "\[IndentingNewLine]", "MV", "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VIN", "=", "V2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"CompMeasureKet", "[", 
  RowBox[{
   RowBox[{"Flatten", "[", "VIN", "]"}], ",", "M", ",", "MV"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"coef", "=", 
  RowBox[{
   RowBox[{"BraV", "[", "MV", "]"}], ".", "VIN"}]}], "\[IndentingNewLine]", 
 RowBox[{"coef", "/", 
  RowBox[{"Abs", "[", "coef", "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.614448839127489*^9, 3.614448840318677*^9}, {
   3.614448899604739*^9, 3.614448905082274*^9}, {3.6144489484954767`*^9, 
   3.614448952735024*^9}, {3.614449005001347*^9, 3.614449011334914*^9}, {
   3.6144492218122253`*^9, 3.614449227075783*^9}, {3.6144492757083883`*^9, 
   3.614449276799939*^9}, {3.614450676330131*^9, 3.614450682436977*^9}, {
   3.614505694369494*^9, 3.614505696144351*^9}, {3.6145074865779533`*^9, 
   3.6145074912685423`*^9}, {3.614594324073798*^9, 3.6145943368506317`*^9}, 
   3.616273881853422*^9, {3.616275574039041*^9, 
   3.616275599686981*^9}},ExpressionUUID->"e8a2f548-67b2-42be-ba96-\
017d8d179fee"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"2"},
      {"3"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745985768948`*^9},ExpressionUUID->"e9597172-91e3-477d-8e10-\
ee1ae46a62af"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"1"},
      {"1"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598585936*^9},ExpressionUUID->"456b7bd3-9930-478e-a9dd-\
ae29ba28d38d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{"-", "0.02146056816284967`"}], "-", 
        RowBox[{"0.9997696954869795`", " ", "\[ImaginaryI]"}]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745985934277`*^9},ExpressionUUID->"19ca6b8a-5454-4440-9139-\
0c61dbf42a53"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "0.005225397182645383`"}], "-", 
       RowBox[{"0.24343221998826114`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937459860104*^9},ExpressionUUID->"61509122-c2df-42c2-a642-ec8017b5ecb4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "0.02146056816284967`"}], "-", 
       RowBox[{"0.9997696954869795`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598609476*^9},ExpressionUUID->"9d5aece0-b6cf-4595-a157-\
567a90b530a2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"?", "MultiQProj"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.614508455427945*^9, 3.614508484337957*^9}, {
  3.6145085334985332`*^9, 3.614508534183443*^9}, {3.6145086375110197`*^9, 
  3.614508677007021*^9}},ExpressionUUID->"a58f653f-a47c-430f-b37d-\
c44523d54f0b"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"MultiQProj[{a1,a2,..,an},{b1,b2,...,bn}]\\n\\n\\t  \
ai={0,1,2,3} and bi={0,1} builds the following multi-qubit projector \\n\\n \
operator: \\n\\n    ai correspond to: (0) no measurement,(1)X, (2)Y and (3)Z.\
\\n\\n    bi (0,1) correspond to the measured values in the same order. \
\\n\\n The length of both lists should be the same. The values b \\n\\n for \
the unmeasured qubits are not relevant.\\n\\n Examples:\\n\\n \
A={1,3,2};B={0,0,1};resP=MultiQProj[A,B]\[IndentingNewLine]\\n resP==AF[ \
PX[0]\[CircleTimes] \\!\\(\\*SubscriptBox[\\(\[ScriptCapitalP]\\), \
\\(0\\)]\\) \[CircleTimes] PY[1]]\\n\\n another \
case:\\nA={1,0,2,3};B={0,0,1,1};resP=MultiQProj[A,B]; same as\
\[IndentingNewLine]resP==AF[ PX[0]\[CircleTimes] \[DoubleStruckCapitalI] \
\[CircleTimes] PY[1] \[CircleTimes] \
\\!\\(\\*SubscriptBox[\\(\[ScriptCapitalP]\\), \\(1\\)]\\)]\\n\\n where qubit \
2 is not measured.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"MultiQProj", "[", 
                    RowBox[{
                    RowBox[{"Private`aa_", "?", "ListQ"}], ",", 
                    RowBox[{"Private`bb_", "?", "ListQ"}]}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "}"}], ",", 
                    RowBox[{
                    RowBox[{"Private`la", "=", 
                    RowBox[{"Length", "[", "Private`bb", "]"}]}], ";", 
                    RowBox[{"Private`cc", ":=", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"Private`aa", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}], "/.", "\[VeryThinSpace]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"0", "\[Rule]", 
                    RowBox[{"s", "[", "0", "]"}]}], ",", 
                    RowBox[{"1", "\[Rule]", 
                    RowBox[{"PX", "[", 
                    
                    RowBox[{"Private`bb", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}], "]"}]}], ",", 
                    RowBox[{"2", "\[Rule]", 
                    RowBox[{"PY", "[", 
                    
                    RowBox[{"Private`bb", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}], "]"}]}], ",", 
                    RowBox[{"3", "\[Rule]", 
                    RowBox[{"Private`PJ", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{"Private`bb", "\[LeftDoubleBracket]", "Private`i",
                     "\[RightDoubleBracket]"}], "}"}]}], "]"}]}]}], "}"}]}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`i", ",", "1", ",", "Private`la"}], 
                    "}"}]}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"Private`resul", "[", "1", "]"}], ":=", 
                    
                    RowBox[{"Private`cc", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{
                    RowBox[{"Private`resul", "[", "Private`j_", "]"}], ":=", 
                    RowBox[{"AF", "[", 
                    RowBox[{
                    RowBox[{"Private`resul", "[", 
                    RowBox[{"Private`j", "-", "1"}], "]"}], "\[CircleTimes]", 
                    
                    RowBox[{"Private`cc", "\[LeftDoubleBracket]", "Private`j",
                     "\[RightDoubleBracket]"}]}], "]"}]}], ";", 
                    RowBox[{"Private`resul", "[", "Private`la", "]"}]}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`MultiQProj\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"MultiQProj[{a1,a2,..,an},{b1,b2,...,bn}]\\n\\n\\t  \
ai={0,1,2,3} and bi={0,1} builds the following multi-qubit projector \\n\\n \
operator: \\n\\n    ai correspond to: (0) no measurement,(1)X, (2)Y and (3)Z.\
\\n\\n    bi (0,1) correspond to the measured values in the same order. \
\\n\\n The length of both lists should be the same. The values b \\n\\n for \
the unmeasured qubits are not relevant.\\n\\n Examples:\\n\\n \
A={1,3,2};B={0,0,1};resP=MultiQProj[A,B]\[IndentingNewLine]\\n resP==AF[ \
PX[0]\[CircleTimes] \\!\\(\\*SubscriptBox[\\(\[ScriptCapitalP]\\), \
\\(0\\)]\\) \[CircleTimes] PY[1]]\\n\\n another \
case:\\nA={1,0,2,3};B={0,0,1,1};resP=MultiQProj[A,B]; same as\
\[IndentingNewLine]resP==AF[ PX[0]\[CircleTimes] \[DoubleStruckCapitalI] \
\[CircleTimes] PY[1] \[CircleTimes] \
\\!\\(\\*SubscriptBox[\\(\[ScriptCapitalP]\\), \\(1\\)]\\)]\\n\\n where qubit \
2 is not measured.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "MultiQProj[{a1,a2,..,an},{b1,b2,...,bn}]\n\n\t  ai={0,1,2,3} and \
bi={0,1} builds the following multi-qubit projector \n\n operator: \n\n    ai \
correspond to: (0) no measurement,(1)X, (2)Y and (3)Z.\n\n    bi (0,1) \
correspond to the measured values in the same order. \n\n The length of both \
lists should be the same. The values b \n\n for the unmeasured qubits are not \
relevant.\n\n Examples:\n\n A={1,3,2};B={0,0,1};resP=MultiQProj[A,B]\
\[IndentingNewLine]\n resP==AF[ PX[0]\[CircleTimes] \!\(\*SubscriptBox[\(\
\[ScriptCapitalP]\), \(0\)]\) \[CircleTimes] PY[1]]\n\n another case:\n\
A={1,0,2,3};B={0,0,1,1};resP=MultiQProj[A,B]; same \
as\[IndentingNewLine]resP==AF[ PX[0]\[CircleTimes] \[DoubleStruckCapitalI] \
\[CircleTimes] PY[1] \[CircleTimes] \!\(\*SubscriptBox[\(\[ScriptCapitalP]\), \
\(1\)]\)]\n\n where qubit 2 is not measured.", "Documentation" -> None, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`MultiQProj, {QDENSITY`Qdensity`MultiQProj[
          PatternTest[
           Pattern[Private`aa, 
            Blank[]], ListQ], 
          PatternTest[
           Pattern[Private`bb, 
            Blank[]], ListQ]] :> 
        Module[{}, Private`la = Length[Private`bb]; Private`cc := Table[
             ReplaceAll[
              Part[Private`aa, Private`i], {
              0 -> QDENSITY`Qdensity`s[0], 1 -> QDENSITY`Qdensity`PX[
                 Part[Private`bb, Private`i]], 2 -> QDENSITY`Qdensity`PY[
                 Part[Private`bb, Private`i]], 3 -> Private`PJ[1, {
                  Part[Private`bb, Private`i]}]}], {
             Private`i, 1, Private`la}]; 
          Private`resul[1] := Part[Private`cc, 1]; Private`resul[
             Pattern[Private`j, 
              Blank[]]] := QDENSITY`Qdensity`AF[
             CircleTimes[
              Private`resul[Private`j - 1], 
              Part[Private`cc, Private`j]]]; Private`resul[Private`la]]}], 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`MultiQProj"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598697517*^9},ExpressionUUID->"90f833d5-f6ae-4ce9-bf01-\
02da0ace571d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"{", 
    RowBox[{"3", ",", "0", ",", "1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"resP", "=", 
  RowBox[{
   RowBox[{"MultiQProj", "[", 
    RowBox[{"A", ",", "B"}], "]"}], "==", " ", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", " ", 
    "\[DoubleStruckCapitalI]", " ", "\[CircleTimes]", " ", 
    RowBox[{"PX", "[", "1", "]"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.8570349133813477`*^9, 3.857034932677085*^9}, 
   3.857035042863675*^9, {3.859373675421631*^9, 
   3.8593736754233313`*^9}},ExpressionUUID->"66bbb2d4-3b23-43f0-8d7d-\
861eda7355e6"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598716292*^9},ExpressionUUID->"bba859c8-760e-4fc9-8611-\
3779f78309a6"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "2", ",", "3"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1", ",", "1"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"resP", "=", 
  RowBox[{
   RowBox[{"MultiQProj", "[", 
    RowBox[{"A", ",", "B"}], "]"}], "==", 
   RowBox[{
    RowBox[{"PX", "[", "  ", "0", "]"}], "\[CircleTimes]", " ", 
    "\[DoubleStruckCapitalI]", " ", "\[CircleTimes]", " ", 
    RowBox[{"PY", "[", "  ", "1", "]"}], "\[CircleTimes]", " ", 
    SubscriptBox["\[ScriptCapitalP]", 
     "1"]}]}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.614508695355081*^9, 3.6145087264591637`*^9}, {
   3.614508756879928*^9, 3.614508782909286*^9}, {3.614508843860021*^9, 
   3.614508890342486*^9}, {3.614508988775113*^9, 3.6145090018922586`*^9}, {
   3.6145092738476067`*^9, 3.614509278313364*^9}, {3.614509309531726*^9, 
   3.614509310565604*^9}, {3.61450935294333*^9, 3.6145093533482103`*^9}, {
   3.6145093879178057`*^9, 3.614509400032482*^9}, {3.614509487229842*^9, 
   3.614509488239806*^9}, {3.614509525937937*^9, 3.614509538425111*^9}, {
   3.61450957584088*^9, 3.6145095821505537`*^9}, {3.8570656432000093`*^9, 
   3.857065660009223*^9}, {3.857066341916336*^9, 3.857066412109079*^9}, 
   3.85706717547106*^9, {3.857067366854941*^9, 3.857067440790723*^9}, {
   3.857067527768914*^9, 3.8570676606094646`*^9}, {3.857068873106016*^9, 
   3.857068967438676*^9}, {3.859373675425955*^9, 
   3.859373675428256*^9}},ExpressionUUID->"795a5e21-ef77-4092-a901-\
4c442a25f7ea"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598737108*^9},ExpressionUUID->"2ec70707-1ae6-45d6-bbd9-\
e1968054aed2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"{", 
    RowBox[{"3", ",", "0", ",", "2"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"resP", "=", 
  RowBox[{
   RowBox[{"MultiQProj", "[", 
    RowBox[{"A", ",", "B"}], "]"}], "==", " ", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "0"], " ", "\[CircleTimes]", "  ", 
    "\[DoubleStruckCapitalI]", "\[CircleTimes]", " ", 
    RowBox[{"PY", "[", "1", "]"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.614508695355081*^9, 3.6145087264591637`*^9}, {
   3.614508756879928*^9, 3.614508782909286*^9}, {3.614508843860021*^9, 
   3.614508890342486*^9}, {3.614508988775113*^9, 3.6145090018922586`*^9}, {
   3.6145092738476067`*^9, 3.614509278313364*^9}, {3.614509309531726*^9, 
   3.614509310565604*^9}, {3.61450935294333*^9, 3.6145093533482103`*^9}, {
   3.6145093879178057`*^9, 3.614509400032482*^9}, {3.614509487229842*^9, 
   3.614509488239806*^9}, {3.614509525937937*^9, 3.614509538425111*^9}, {
   3.61450957584088*^9, 3.6145095821505537`*^9}, {3.8570656432000093`*^9, 
   3.857065660009223*^9}, {3.857066341916336*^9, 3.857066412109079*^9}, 
   3.85706717547106*^9, {3.857067712370483*^9, 3.857067796453095*^9}, {
   3.857069227588758*^9, 3.8570692972145863`*^9}, {3.859373675430627*^9, 
   3.859373675431732*^9}},ExpressionUUID->"f3cad44e-85f5-4a74-8265-\
937685320839"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598751293*^9},ExpressionUUID->"74b739fb-3ae8-4b0e-8f97-\
371dbff91e5c"],

Cell[BoxData[{
 RowBox[{"Clear", "[", "AF", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AF", "[", "st_", "]"}], ":=", 
  RowBox[{"ArrayFlatten", "[", "st", "]"}]}]}], "Input",
 CellChangeTimes->{{3.857033987434656*^9, 
  3.857034011363002*^9}},ExpressionUUID->"15f31189-483f-4b95-836c-\
488ebf1e4bbd"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"{", 
    RowBox[{"3", ",", "0", ",", "2"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"resP", "=", 
  RowBox[{"MultiQProj", "[", 
   RowBox[{"A", ",", "B"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"%", "==", 
  RowBox[{"KroneckerProduct", "[", " ", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "0"], ",", " ", 
    "\[DoubleStruckCapitalI]", " ", ",", " ", 
    RowBox[{"PY", "[", "0", "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.614508695355081*^9, 3.6145087264591637`*^9}, {
  3.614508756879928*^9, 3.614508782909286*^9}, {3.614508843860021*^9, 
  3.614508890342486*^9}, {3.614508988775113*^9, 3.6145090018922586`*^9}, {
  3.6145092738476067`*^9, 3.614509278313364*^9}, {3.614509309531726*^9, 
  3.614509310565604*^9}, {3.61450935294333*^9, 3.6145093533482103`*^9}, {
  3.6145093879178057`*^9, 3.614509400032482*^9}, {3.614509487229842*^9, 
  3.614509488239806*^9}, {3.614509525937937*^9, 3.614509538425111*^9}, {
  3.614509585604697*^9, 3.6145095906663933`*^9}, {3.6145097369116297`*^9, 
  3.614509737608274*^9}, {3.857033826939576*^9, 3.857033878015242*^9}, {
  3.8570339234435987`*^9, 3.857033981799382*^9}, {3.857067819538783*^9, 
  3.8570678504991198`*^9}},ExpressionUUID->"41381973-0725-4a45-9683-\
651883125342"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", "2"]}], "0", "0", "0", "0", "0", "0"},
     {
      FractionBox["\[ImaginaryI]", "2"], 
      FractionBox["1", "2"], "0", "0", "0", "0", "0", "0"},
     {"0", "0", 
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", "2"]}], "0", "0", "0", "0"},
     {"0", "0", 
      FractionBox["\[ImaginaryI]", "2"], 
      FractionBox["1", "2"], "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598783844*^9},ExpressionUUID->"afb6f706-83b7-44d5-9faa-\
6c567d0f1bbc"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598793208*^9},ExpressionUUID->"52706701-098e-4ff2-a557-\
d167eb9519a0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", "3", ",", "2"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"resP", "=", 
  RowBox[{"MultiQProj", "[", 
   RowBox[{"A", ",", "B"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"PX", "[", "0", "]"}], " ", "\[CircleTimes]", " ", 
    SubscriptBox["\[ScriptCapitalP]", "0"], "  ", "\[CircleTimes]", " ", 
    RowBox[{"PY", "[", "1", "]"}]}], "==", "%"}]}]}], "Input",
 CellChangeTimes->{{3.614508695355081*^9, 3.6145087264591637`*^9}, {
  3.614508756879928*^9, 3.614508782909286*^9}, {3.614508843860021*^9, 
  3.614508890342486*^9}, {3.614508988775113*^9, 3.6145090018922586`*^9}, {
  3.6145092738476067`*^9, 3.614509278313364*^9}, {3.614509309531726*^9, 
  3.614509310565604*^9}, {3.61450935294333*^9, 3.6145093533482103`*^9}, {
  3.6145093879178057`*^9, 3.614509400032482*^9}, {3.614509487229842*^9, 
  3.614509488239806*^9}, {3.614509525937937*^9, 3.614509538425111*^9}, {
  3.614509585604697*^9, 3.6145097311287518`*^9}, {3.8570684799470377`*^9, 
  3.857068519079172*^9}, {3.857069348609371*^9, 3.857069358246613*^9}, {
  3.8593736754349537`*^9, 
  3.859373675436117*^9}},ExpressionUUID->"999dc95a-6eae-43c6-9bc3-\
bc98308547da"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "4"], 
      FractionBox["\[ImaginaryI]", "4"], "0", "0", 
      FractionBox["1", "4"], 
      FractionBox["\[ImaginaryI]", "4"], "0", "0"},
     {
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", "4"]}], 
      FractionBox["1", "4"], "0", "0", 
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", "4"]}], 
      FractionBox["1", "4"], "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {
      FractionBox["1", "4"], 
      FractionBox["\[ImaginaryI]", "4"], "0", "0", 
      FractionBox["1", "4"], 
      FractionBox["\[ImaginaryI]", "4"], "0", "0"},
     {
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", "4"]}], 
      FractionBox["1", "4"], "0", "0", 
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", "4"]}], 
      FractionBox["1", "4"], "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598806305*^9},ExpressionUUID->"48077c97-8325-46e9-a1e3-\
b8ec978d2a17"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598816226*^9},ExpressionUUID->"3c4892bb-9b61-4b2a-8f8f-\
146a9a77f698"],

Cell["\[AliasDelimiter]c@\[AliasDelimiter]", "SmallText",
 CellChangeTimes->{{3.857069611671496*^9, 
  3.857069643719933*^9}},ExpressionUUID->"cf3362eb-cfe1-462b-a728-\
640e07bc894b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "CircleTimes"}]], "Input",
 CellChangeTimes->{{3.857069729727796*^9, 
  3.857069734182322*^9}},ExpressionUUID->"8d52a9bb-f0ee-46f1-b465-\
001a68673a44"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"]], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"]]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               ButtonData->"paclet:ref/CircleTimes",
               ButtonNote->"paclet:ref/CircleTimes"],
              "\"paclet:ref/CircleTimes\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\" \[CircleTimes] \\n\\n used as A \[CircleTimes] B \
which is set as Kronecker product of A and B .\\nNo Array Flatten  AF is \
needed .  Use parenthesis to set priority .\\n\\n \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Assignment\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"OwnValues\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "OwnValues", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{"CircleTimes", "=", "KroneckerProduct"}]}, {" "}},
                    GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Documentation\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Documentation\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Documentation", "Tooltip"]& ], 
                    TemplateBox[{
                    TemplateBox[{
                    "\"Local \[RightGuillemet]\"", "paclet:ref/CircleTimes", 
                    "paclet:ref/CircleTimes", "Link", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"], "\"  \"", 
                    StyleBox[
                    "\"|\"", "InformationRowLabel", StripOnInput -> False], 
                    "\"  \"", 
                    TemplateBox[{"\"Web \[RightGuillemet]\"", {
                    URL[
                    "http://reference.wolfram.com/language/ref/CircleTimes.\
html"], None}, "http://reference.wolfram.com/language/ref/CircleTimes.html", 
                    "Hyperlink", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"]},
                    "RowDefault"]},
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Attributes\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Attributes\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Attributes", "Tooltip"]& ], 
                    RowBox[{"{", "Listable", "}"}]},
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"System`CircleTimes\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"],
                 ImageSizeCache->{13., {4., 9.}}], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"],
                 ImageSizeCache->{13., {4., 9.}}]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               ButtonData->"paclet:ref/CircleTimes",
               ButtonNote->"paclet:ref/CircleTimes"],
              "\"paclet:ref/CircleTimes\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\" \[CircleTimes] \\n\\n used as A \[CircleTimes] B \
which is set as Kronecker product of A and B .\\nNo Array Flatten  AF is \
needed .  Use parenthesis to set priority .\\n\\n \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     " \[CircleTimes] \n\n used as A \[CircleTimes] B which is set as \
Kronecker product of A and B .\nNo Array Flatten  AF is needed .  Use \
parenthesis to set priority .\n\n ", 
     "Documentation" -> <|
      "Local" -> "paclet:ref/CircleTimes", "Web" -> 
       "http://reference.wolfram.com/language/ref/CircleTimes.html"|>, 
     "OwnValues" -> 
     Information`InformationValueForm[
      OwnValues, CircleTimes, {CircleTimes -> KroneckerProduct}], "UpValues" -> 
     None, "DownValues" -> None, "SubValues" -> None, "DefaultValues" -> None,
      "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {Listable}, "FullName" -> "System`CircleTimes"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745988881197`*^9},ExpressionUUID->"c0d9edba-51bb-4e3a-acdd-\
a0f3308f0357"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "2", ",", "3"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"B", "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1", ",", "1"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resP", "=", 
   RowBox[{"MultiQProj", "[", 
    RowBox[{"A", ",", "B"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"resP", "==", 
  RowBox[{"AF", "[", " ", 
   RowBox[{
    RowBox[{"PX", "[", "0", "]"}], " ", "\[CircleTimes]", " ", 
    "\[DoubleStruckCapitalI]", "  ", "\[CircleTimes]", " ", 
    RowBox[{"PY", "[", "1", "]"}], "  ", "\[CircleTimes]", " ", 
    SubscriptBox["\[ScriptCapitalP]", "1"]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.614508695355081*^9, 3.6145087264591637`*^9}, {
  3.614508756879928*^9, 3.614508782909286*^9}, {3.614508843860021*^9, 
  3.614508890342486*^9}, {3.614508988775113*^9, 3.6145090018922586`*^9}, {
  3.6145092738476067`*^9, 3.614509278313364*^9}, {3.614509309531726*^9, 
  3.614509310565604*^9}, {3.61450935294333*^9, 3.6145093533482103`*^9}, {
  3.6145093879178057`*^9, 3.614509400032482*^9}, {3.614509487229842*^9, 
  3.614509488239806*^9}, {3.614509525937937*^9, 3.614509538425111*^9}, {
  3.614509585604697*^9, 3.6145097311287518`*^9}, {3.614509771682529*^9, 
  3.614509857291686*^9}, {3.614509928704132*^9, 3.614509943856105*^9}, {
  3.857068519082005*^9, 3.857068519084919*^9}, {3.8570693688595*^9, 
  3.85706937589047*^9}, {3.859373675439209*^9, 
  3.8593736754415627`*^9}},ExpressionUUID->"4f36cce1-905b-4502-b49c-\
c7e3d389853a"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374598917501*^9},ExpressionUUID->"eedd1801-c382-49c6-9772-\
17d6723e3441"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "MultiProjCBasis"}]], "Input",ExpressionUUID->"6db14d3f-dec4-46a5-bd10-dbc92cdbf866"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"MultiProjCbasis[{a1,a2,..,an}]\\n\\n\\t ai={0,1} \
builds the multi-qubit projector operator \\nin the computational basis: \
\[ScriptCapitalP]a1 \[CircleTimes] \[ScriptCapitalP]an \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"MultiProjCBasis", "[", 
                    RowBox[{"Private`a_", "?", "ListQ"}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "Private`\[CapitalOmega]", "}"}], ",", 
                    RowBox[{
                    RowBox[{"Private`L", "=", 
                    RowBox[{"Length", "[", "Private`a", "]"}]}], ";", 
                    RowBox[{"Private`\[CapitalOmega]", "=", 
                    RowBox[{"Private`PJ", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{"Private`a", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "}"}]}], "]"}]}], ";", 
                    RowBox[{"Do", "[", 
                    RowBox[{
                    RowBox[{"Private`\[CapitalOmega]", "=", 
                    RowBox[{"Private`\[CapitalOmega]", "\[CircleTimes]", 
                    RowBox[{"Private`PJ", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{"{", 
                    
                    RowBox[{"Private`a", "\[LeftDoubleBracket]", "Private`i", 
                    "\[RightDoubleBracket]"}], "}"}]}], "]"}]}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`i", ",", "2", ",", "Private`L"}], 
                    "}"}]}], "]"}], ";", "Private`\[CapitalOmega]"}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`MultiProjCBasis\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"MultiProjCbasis[{a1,a2,..,an}]\\n\\n\\t ai={0,1} \
builds the multi-qubit projector operator \\nin the computational basis: \
\[ScriptCapitalP]a1 \[CircleTimes] \[ScriptCapitalP]an \"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "MultiProjCbasis[{a1,a2,..,an}]\n\n\t ai={0,1} builds the multi-qubit \
projector operator \nin the computational basis: \[ScriptCapitalP]a1 \
\[CircleTimes] \[ScriptCapitalP]an ", "Documentation" -> None, "OwnValues" -> 
     None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`MultiProjCBasis, {
       QDENSITY`Qdensity`MultiProjCBasis[
          PatternTest[
           Pattern[Private`a, 
            Blank[]], ListQ]] :> 
        Module[{Private`\[CapitalOmega]}, Private`L = Length[Private`a]; 
          Private`\[CapitalOmega] = Private`PJ[1, {
              Part[Private`a, 1]}]; 
          Do[Private`\[CapitalOmega] = CircleTimes[Private`\[CapitalOmega], 
              Private`PJ[1, {
                Part[Private`a, Private`i]}]], {Private`i, 2, Private`L}]; 
          Private`\[CapitalOmega]]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`MultiProjCBasis"|>, 
    False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599022765*^9},ExpressionUUID->"669c6fe1-cd7c-46c8-adbc-\
3c71343873f8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"MultiProjCBasis", "[", 
   RowBox[{"{", "0", "}"}], "]"}], "==", 
  SubscriptBox["\[ScriptCapitalP]", "0"]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MultiProjCBasis", "[", 
   RowBox[{"{", "1", "}"}], "]"}], "==", 
  SubscriptBox["\[ScriptCapitalP]", "1"]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MultiProjCBasis", "[", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0"}], "}"}], "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "1"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "0"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MultiProjCBasis", "[", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "1", ",", "1"}], "}"}], "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "1"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "1"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "1"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MultiProjCBasis", "[", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1"}],
     "}"}], "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[ScriptCapitalP]", "1"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "1"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "1"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "0"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "1"], "\[CircleTimes]", 
    SubscriptBox["\[ScriptCapitalP]", "1"]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.614510252399572*^9, 3.614510261094627*^9}, {
  3.614510301436459*^9, 3.614510441019246*^9}, {3.857068519087824*^9, 
  3.857068519099197*^9}, {3.8593736754454117`*^9, 
  3.859373675455805*^9}},ExpressionUUID->"f4a2b230-cadb-4728-9f98-\
442a01b3bc1f"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745990415573`*^9},ExpressionUUID->"7ca7cbe6-aa3a-40f8-9830-\
88d82118401d"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599051216*^9},ExpressionUUID->"2cb4dac1-5d94-41a5-b147-\
fdfc6ab71f14"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599058817*^9},ExpressionUUID->"78ef8b22-668e-47bb-ae4a-\
91af16185f30"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599066822*^9},ExpressionUUID->"c055dff4-1db0-42a5-9a78-\
acff50da16d7"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599074728*^9},ExpressionUUID->"50bec189-7514-48b4-8707-\
3c0fdf1132ca"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "nb"}], "\[IndentingNewLine]", "nb", "\[IndentingNewLine]", 
 RowBox[{"?", 
  "nq"}], "\[IndentingNewLine]", "nq", "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.614510624400877*^9, 3.614510645073004*^9}, {
   3.614510677787549*^9, 3.614510679035461*^9}, {3.614510726936481*^9, 
   3.614510728229434*^9}, 
   3.614510786695373*^9},ExpressionUUID->"088a1024-60b6-41ca-9f0b-\
e0bfaf966571"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Sets the basis  Preset to 2, i.e 0 and 1.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Assignment\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"OwnValues\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "OwnValues", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{"nb", "=", "2"}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`nb\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Sets the basis  Preset to 2, i.e 0 and 1.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Sets the basis  Preset to 2, i.e 0 and 1.", "Documentation" -> None, 
     "OwnValues" -> 
     Information`InformationValueForm[
      OwnValues, QDENSITY`Qdensity`nb, {QDENSITY`Qdensity`nb -> 2}], 
     "UpValues" -> None, "DownValues" -> None, "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`nb"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745991665297`*^9},ExpressionUUID->"ea9ca391-4cf2-4ea8-afbe-\
5b283556d1d6"],

Cell[BoxData[
 TagBox["2",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599181739*^9},ExpressionUUID->"5299eb12-4689-4fa1-8c51-\
6d3198b1d41b"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Returns the total number of qubits. Preset to \
6\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Assignment\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"OwnValues\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "OwnValues", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{"nq", ":=", "6"}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`nq\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Returns the total number of qubits. Preset to \
6\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Returns the total number of qubits. Preset to 6", "Documentation" -> 
     None, "OwnValues" -> 
     Information`InformationValueForm[
      OwnValues, QDENSITY`Qdensity`nq, {QDENSITY`Qdensity`nq :> 6}], 
     "UpValues" -> None, "DownValues" -> None, "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`nq"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937459925121*^9},ExpressionUUID->"51edfa6f-cf06-42cc-9a15-513320869e00"],

Cell[BoxData[
 TagBox["6",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599264389*^9},ExpressionUUID->"2f40a584-63bd-4a97-b03b-\
283d502f07f8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "OneOp"}], "\[IndentingNewLine]", 
 RowBox[{"s", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OneOp", "[", 
   RowBox[{"1", ",", "1", ",", "1"}], "]"}], "\[Equal]", 
  RowBox[{"s", "[", "1", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"s", "[", "2", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OneOp", "[", 
   RowBox[{"1", ",", "1", ",", "2"}], "]"}], "\[Equal]", 
  RowBox[{"s", "[", "2", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OneOp", "[", 
   RowBox[{"2", ",", "1", ",", "2"}], "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"s", "[", "2", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OneOp", "[", 
   RowBox[{"4", ",", "3", ",", "1"}], "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "1", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}]}], "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6145108271720047`*^9, 3.61451091975165*^9}, 
   3.614510993798172*^9, {3.6145159079944468`*^9, 3.614515980618222*^9}, {
   3.61451601720253*^9, 3.614516149867836*^9}, {3.857068519102374*^9, 
   3.857068519105979*^9}, {3.859373675458496*^9, 
   3.85937367546164*^9}},ExpressionUUID->"374cb11c-588d-464e-9ae9-\
a83c1f8a8d88"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"OneOp[nqv_,q_,op_]\\n\\n\\t is the main ingredient \
used to \\nbuild one body operators from the Pauli matrices in a multiqubit \
system. It builds \\noperation Pauli operator op on q. For example, we have \
the equivalence for s[1] acting on qubit\\n3 in a 4 qubit \
system:\\nOneOp[4,3,1]\[Equal]AF[s[0]\[CircleTimes] s[0]\[CircleTimes] s[1]\
\[CircleTimes] s[0]] .\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"OneOp", "[", 
                    
                    RowBox[{
                    "Private`nqv_", ",", "Private`q1_", ",", "Private`op1_"}],
                     "]"}], ":=", 
                    RowBox[{"SP", "[", 
                    RowBox[{"Private`nqv", ",", 
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{
                    RowBox[{"ZeroT", "[", "Private`nqv", "]"}], ",", 
                    "Private`op1", ",", "Private`q1"}], "]"}]}], "]"}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`OneOp\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"OneOp[nqv_,q_,op_]\\n\\n\\t is the main ingredient \
used to \\nbuild one body operators from the Pauli matrices in a multiqubit \
system. It builds \\noperation Pauli operator op on q. For example, we have \
the equivalence for s[1] acting on qubit\\n3 in a 4 qubit \
system:\\nOneOp[4,3,1]\[Equal]AF[s[0]\[CircleTimes] s[0]\[CircleTimes] s[1]\
\[CircleTimes] s[0]] .\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "OneOp[nqv_,q_,op_]\n\n\t is the main ingredient used to \nbuild one \
body operators from the Pauli matrices in a multiqubit system. It builds \n\
operation Pauli operator op on q. For example, we have the equivalence for \
s[1] acting on qubit\n3 in a 4 qubit system:\nOneOp[4,3,1]\[Equal]AF[s[0]\
\[CircleTimes] s[0]\[CircleTimes] s[1]\[CircleTimes] s[0]] .", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`OneOp, {QDENSITY`Qdensity`OneOp[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q1, 
           Blank[]], 
          Pattern[Private`op1, 
           Blank[]]] :> QDENSITY`Qdensity`SP[Private`nqv, 
          ReplacePart[
           QDENSITY`Qdensity`ZeroT[Private`nqv], Private`op1, Private`q1]]}], 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`OneOp"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599351859*^9},ExpressionUUID->"3d7376d7-f21d-4d82-9b08-\
13a434e5f612"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "1"},
     {"1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599365464*^9},ExpressionUUID->"9b10d992-95cf-45d9-86f4-\
bdb33f73a774"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937459937356*^9},ExpressionUUID->"f14757dd-1f85-4466-91ac-880f9a49a10b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{"-", "\[ImaginaryI]"}]},
     {"\[ImaginaryI]", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599382156*^9},ExpressionUUID->"c84b8232-8e0f-4e05-a60c-\
6a787ede9dad"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599390499*^9},ExpressionUUID->"50d7a9bb-46e2-4267-a4ce-\
4c7d6b640812"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599398094*^9},ExpressionUUID->"31727a64-0681-4a7b-a54c-\
6182703a9541"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599406579*^9},ExpressionUUID->"945b9300-183a-42d9-92fc-\
00e20c28b5ad"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "TwoOp"}]], "Input",
 CellChangeTimes->{{3.6145108271720047`*^9, 3.61451091975165*^9}, 
   3.614510993798172*^9, {3.6145159079944468`*^9, 3.614515980618222*^9}, {
   3.61451601720253*^9, 3.614516149867836*^9}, {3.6148562469383583`*^9, 
   3.614856371256057*^9}, {3.614892588880438*^9, 
   3.614892603819571*^9}},ExpressionUUID->"6a117c43-5955-4744-8244-\
3d4a476daa47"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"TwoOp[nqv_,q1_,q2_,op1_,op2_]\\n\\n\\t is the main \
ingredient used to \\nbuild two body operators from the Pauli matrices in a \
multiqubit system. It builds \\noperation op1 on q1 and op2 on q2.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"TwoOp", "[", 
                    
                    RowBox[{
                    "Private`nqv_", ",", "Private`q1_", ",", "Private`q2_", 
                    ",", "Private`op1_", ",", "Private`op2_"}], "]"}], ":=", 
                    RowBox[{"SP", "[", 
                    RowBox[{"Private`nqv", ",", 
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{
                    RowBox[{"ZeroT", "[", "Private`nqv", "]"}], ",", 
                    "Private`op1", ",", "Private`q1"}], "]"}], ",", 
                    "Private`op2", ",", "Private`q2"}], "]"}]}], "]"}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`TwoOp\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"TwoOp[nqv_,q1_,q2_,op1_,op2_]\\n\\n\\t is the main \
ingredient used to \\nbuild two body operators from the Pauli matrices in a \
multiqubit system. It builds \\noperation op1 on q1 and op2 on q2.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "TwoOp[nqv_,q1_,q2_,op1_,op2_]\n\n\t is the main ingredient used to \n\
build two body operators from the Pauli matrices in a multiqubit system. It \
builds \noperation op1 on q1 and op2 on q2.", "Documentation" -> None, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`TwoOp, {QDENSITY`Qdensity`TwoOp[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q1, 
           Blank[]], 
          Pattern[Private`q2, 
           Blank[]], 
          Pattern[Private`op1, 
           Blank[]], 
          Pattern[Private`op2, 
           Blank[]]] :> QDENSITY`Qdensity`SP[Private`nqv, 
          ReplacePart[
           ReplacePart[
            QDENSITY`Qdensity`ZeroT[Private`nqv], Private`op1, Private`q1], 
           Private`op2, Private`q2]]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`TwoOp"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599493135*^9},ExpressionUUID->"1d3705b7-fdaa-49bb-a463-\
9967d057856f"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"TwoOp", "[", 
  RowBox[{"2", ",", "1", ",", "2", ",", "1", ",", "3"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"AF", "[", 
  RowBox[{
   RowBox[{"s", "[", "1", "]"}], "\[CircleTimes]", " ", 
   RowBox[{"s", "[", "3", "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.614892814320258*^9, 3.61489281452115*^9}, {
   3.857033498537055*^9, 3.857033499124196*^9}, 3.8570685191085052`*^9, 
   3.859373675464003*^9},ExpressionUUID->"35b1fb74-1eec-4c7b-990c-\
cead0268870a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "1", "0"},
     {"0", "0", "0", 
      RowBox[{"-", "1"}]},
     {"1", "0", "0", "0"},
     {"0", 
      RowBox[{"-", "1"}], "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599511654*^9},ExpressionUUID->"66d5190f-67e1-4944-aab2-\
684e6ea68ece"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "1", "0"},
     {"0", "0", "0", 
      RowBox[{"-", "1"}]},
     {"1", "0", "0", "0"},
     {"0", 
      RowBox[{"-", "1"}], "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599521247*^9},ExpressionUUID->"73c357b8-35ee-46fb-8882-\
b88a154c7904"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"TwoOp", "[", 
   RowBox[{"2", ",", "1", ",", "2", ",", "1", ",", "3"}], "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"s", "[", "1", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "3", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TwoOp", "[", 
   RowBox[{"3", ",", "1", ",", "2", ",", "2", ",", "1"}], "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"s", "[", "2", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "1", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TwoOp", "[", 
   RowBox[{"4", ",", "1", ",", "3", ",", "2", ",", "1"}], "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"s", "[", "2", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "1", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6145108271720047`*^9, 3.61451091975165*^9}, 
   3.614510993798172*^9, {3.6145159079944468`*^9, 3.614515980618222*^9}, {
   3.61451601720253*^9, 3.614516149867836*^9}, {3.6148562469383583`*^9, 
   3.614856371256057*^9}, {3.614892588880438*^9, 3.614892718373517*^9}, {
   3.6148927492540083`*^9, 3.61489276559754*^9}, {3.614892805894182*^9, 
   3.6148928253110447`*^9}, {3.857068519110865*^9, 3.857068519116892*^9}, {
   3.8593736754674053`*^9, 
   3.859373675473557*^9}},ExpressionUUID->"8b7e5690-2737-4080-9540-\
0d22333d3e2b"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745995605516`*^9},ExpressionUUID->"e1bd7a01-4d65-43a9-a39d-\
75d370309fda"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745995707808`*^9},ExpressionUUID->"0476799e-78a9-42de-b3d4-\
80be46d8da42"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599579294*^9},ExpressionUUID->"a120c50c-a96b-4f2b-b95d-\
9de95fe67f45"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "ThreeOp"}]], "Input",
 CellChangeTimes->{{3.6145108271720047`*^9, 3.61451091975165*^9}, 
   3.614510993798172*^9, {3.6145159079944468`*^9, 3.614515980618222*^9}, {
   3.61451601720253*^9, 3.614516149867836*^9}, {3.6148562469383583`*^9, 
   3.614856371256057*^9}, {3.614892588880438*^9, 3.614892603819571*^9}, {
   3.614892960248869*^9, 
   3.614892968741435*^9}},ExpressionUUID->"2bda6964-1fcc-49d4-b9bc-\
ed5be6bb91d4"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ThreeOp[nqv_,q1_,q2_,q3_,op1_,op2_,op3_]\\n\\n\\t \
used to \\nbuild three body operators from the Pauli matrices in a multiqubit \
system. It builds \\noperation \[Sigma]op1 on q1, \[Sigma]op2 on q2 and \
\[Sigma]op3 on q3.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"ThreeOp", "[", 
                    
                    RowBox[{
                    "Private`nqv_", ",", "Private`q1_", ",", "Private`q2_", 
                    ",", "Private`q3_", ",", "Private`op1_", ",", 
                    "Private`op2_", ",", "Private`op3_"}], "]"}], ":=", 
                    RowBox[{"SP", "[", 
                    RowBox[{"Private`nqv", ",", 
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{
                    RowBox[{"ReplacePart", "[", 
                    RowBox[{
                    RowBox[{"ZeroT", "[", "Private`nqv", "]"}], ",", 
                    "Private`op1", ",", "Private`q1"}], "]"}], ",", 
                    "Private`op2", ",", "Private`q2"}], "]"}], ",", 
                    "Private`op3", ",", "Private`q3"}], "]"}]}], "]"}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`ThreeOp\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ThreeOp[nqv_,q1_,q2_,q3_,op1_,op2_,op3_]\\n\\n\\t \
used to \\nbuild three body operators from the Pauli matrices in a multiqubit \
system. It builds \\noperation \[Sigma]op1 on q1, \[Sigma]op2 on q2 and \
\[Sigma]op3 on q3.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "ThreeOp[nqv_,q1_,q2_,q3_,op1_,op2_,op3_]\n\n\t used to \nbuild three \
body operators from the Pauli matrices in a multiqubit system. It builds \n\
operation \[Sigma]op1 on q1, \[Sigma]op2 on q2 and \[Sigma]op3 on q3.", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`ThreeOp, {QDENSITY`Qdensity`ThreeOp[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q1, 
           Blank[]], 
          Pattern[Private`q2, 
           Blank[]], 
          Pattern[Private`q3, 
           Blank[]], 
          Pattern[Private`op1, 
           Blank[]], 
          Pattern[Private`op2, 
           Blank[]], 
          Pattern[Private`op3, 
           Blank[]]] :> QDENSITY`Qdensity`SP[Private`nqv, 
          ReplacePart[
           ReplacePart[
            ReplacePart[
             QDENSITY`Qdensity`ZeroT[Private`nqv], Private`op1, Private`q1], 
            Private`op2, Private`q2], Private`op3, Private`q3]]}], 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`ThreeOp"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599667947*^9},ExpressionUUID->"766c2f98-da33-4b3a-b7e2-\
5d96400425f4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ThreeOp", "[", 
  RowBox[{"3", ",", "1", ",", "2", ",", "3", ",", "0", ",", "0", ",", "1"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.614892814320258*^9, 3.61489281452115*^9}, {
  3.614892983568767*^9, 3.614893013996725*^9}, {3.614893053383253*^9, 
  3.614893053696198*^9}},ExpressionUUID->"7796671a-dc3f-4093-a53f-\
2af269740591"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "1", "0", "0", "0", "0", "0", "0"},
     {"1", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0"},
     {"0", "0", "0", "0", "1", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1"},
     {"0", "0", "0", "0", "0", "0", "1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599687401*^9},ExpressionUUID->"5ebca7bb-80dd-4b95-8668-\
1dd348ba1b01"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ThreeOp", "[", 
   RowBox[{"3", ",", "1", ",", "2", ",", "3", ",", "0", ",", "0", ",", "1"}], 
   "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "1", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThreeOp", "[", 
   RowBox[{"4", ",", "1", ",", "2", ",", "4", ",", "2", ",", "1", ",", "3"}], 
   "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"s", "[", "2", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "1", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "3", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThreeOp", "[", 
   RowBox[{"6", ",", "1", ",", "3", ",", "2", ",", "1", ",", "3", ",", "1"}], 
   "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"s", "[", "1", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "1", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "3", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"s", "[", "0", "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6145108271720047`*^9, 3.61451091975165*^9}, 
   3.614510993798172*^9, {3.6145159079944468`*^9, 3.614515980618222*^9}, {
   3.61451601720253*^9, 3.614516149867836*^9}, {3.6148562469383583`*^9, 
   3.614856371256057*^9}, {3.614892588880438*^9, 3.614892718373517*^9}, {
   3.6148927492540083`*^9, 3.61489276559754*^9}, {3.614892805894182*^9, 
   3.6148928253110447`*^9}, {3.614893026013103*^9, 3.6148933390613937`*^9}, {
   3.8570685191194143`*^9, 3.857068519130476*^9}, {3.859373675476933*^9, 
   3.859373675487494*^9}},ExpressionUUID->"47c3b95f-40be-40ad-9cc9-\
d81602181007"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745997106647`*^9},ExpressionUUID->"6e9260de-c5be-47a7-89f2-\
d80539a9a02d"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599720809*^9},ExpressionUUID->"bf4a1ea6-5d62-4c4b-8075-\
62d301398d55"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599728874*^9},ExpressionUUID->"6c79883f-8294-4dce-b775-\
52dc78cf9e64"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "PartialTrace"}], "\[IndentingNewLine]", 
 RowBox[{"?", "PTrGen"}]}], "Input",
 CellChangeTimes->{{3.614596353685004*^9, 3.614596358065962*^9}, {
  3.614596520474407*^9, 3.6145965407109737`*^9}, {3.614597568486021*^9, 
  3.614597620030398*^9}},ExpressionUUID->"7130f0d5-cee9-4636-bab5-\
b90a5c68342d"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"PTrS[q,L,V] and PTr[traceout,\[CapitalOmega]] \
\\n\\n\\n\\n PTr[traceout,\[CapitalOmega]] returns the partial trace \\n\\n \
of general operator \[CapitalOmega] over those qubits \\n\\n specified by the \
traceout array 'traceout'. \\n\\n\\n\\n PTrS[q, L,V] returns the partial \
trace of spin basis \\n\\n operator of length nqv over single qubit q within \
nqv qubits, \\n\\n with the array V specifying the spin basis operator.\\n\\n \
This method reduces the operator down to the requisite smaller \
arrays.\\n\\n\\n\\n  see also PTrGen\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`PartialTrace\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"PTrS[q,L,V] and PTr[traceout,\[CapitalOmega]] \
\\n\\n\\n\\n PTr[traceout,\[CapitalOmega]] returns the partial trace \\n\\n \
of general operator \[CapitalOmega] over those qubits \\n\\n specified by the \
traceout array 'traceout'. \\n\\n\\n\\n PTrS[q, L,V] returns the partial \
trace of spin basis \\n\\n operator of length nqv over single qubit q within \
nqv qubits, \\n\\n with the array V specifying the spin basis operator.\\n\\n \
This method reduces the operator down to the requisite smaller \
arrays.\\n\\n\\n\\n  see also PTrGen\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "PTrS[q,L,V] and PTr[traceout,\[CapitalOmega]] \n\n\n\n PTr[traceout,\
\[CapitalOmega]] returns the partial trace \n\n of general operator \
\[CapitalOmega] over those qubits \n\n specified by the traceout array \
'traceout'. \n\n\n\n PTrS[q, L,V] returns the partial trace of spin basis \n\n\
 operator of length nqv over single qubit q within nqv qubits, \n\n with the \
array V specifying the spin basis operator.\n\n This method reduces the \
operator down to the requisite smaller arrays.\n\n\n\n  see also PTrGen", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> None, "SubValues" -> None, "DefaultValues" -> None, 
     "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`PartialTrace"|>, 
    False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745998203583`*^9},ExpressionUUID->"7f54db27-2ff7-49f3-9aba-\
f087d9ed2eac"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"PTrGen[traceout,\[CapitalOmega]] \\n\\n\\n\\n \
PTrGen[traceout,\[CapitalOmega]] returns the partial \\n\\n trace of a \
general operator \[CapitalOmega] over those\\n\\n qubits specified by the \
traceout array 'traceout'.  \\nThis method builds up the requisite arrays and \
can be faster. \\n\\n\\n\\n see also PTr\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"PTrGen", "[", 
                    RowBox[{
                    RowBox[{"Private`TO_", "/;", 
                    RowBox[{"VectorQ", "[", "Private`TO", "]"}]}], ",", 
                    RowBox[{"Private`\[CapitalOmega]_", "/;", 
                    
                    RowBox[{"MatrixQ", "[", "Private`\[CapitalOmega]", 
                    "]"}]}]}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"Private`nto", ",", "Private`n\[CapitalOmega]", 
                    ",", "Private`coef"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"Private`nto", "=", 
                    RowBox[{"Length", "[", "Private`TO", "]"}]}], ";", 
                    RowBox[{"Private`n\[CapitalOmega]", "=", 
                    RowBox[{"Log", "[", 
                    RowBox[{"2", ",", 
                    RowBox[{"Length", "[", "Private`\[CapitalOmega]", "]"}]}],
                     "]"}]}], ";", 
                    RowBox[{"Private`numLeft", "=", 
                    
                    RowBox[{"Private`n\[CapitalOmega]", "-", 
                    "Private`nto"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"Private`numLeft", ">", "0"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Private`plugZeros", "[", 
                    RowBox[{"Private`zeroPositions_", ",", "Private`W_"}], 
                    "]"}], ":=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "Private`zeroPositions", "]"}], 
                    ">", "1"}], ",", 
                    RowBox[{"Private`plugZeros", "[", 
                    RowBox[{
                    RowBox[{"Drop", "[", 
                    RowBox[{"Private`zeroPositions", ",", "1"}], "]"}], ",", 
                    RowBox[{"Insert", "[", 
                    RowBox[{"Private`W", ",", "0", ",", 
                    
                    RowBox[{"Private`zeroPositions", "\[LeftDoubleBracket]", 
                    "1", "\[RightDoubleBracket]"}]}], "]"}]}], "]"}], ",", 
                    RowBox[{"Insert", "[", 
                    RowBox[{"Private`W", ",", "0", ",", 
                    
                    RowBox[{"Private`zeroPositions", "\[LeftDoubleBracket]", 
                    "1", "\[RightDoubleBracket]"}]}], "]"}]}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"Private`coef", "[", 
                    RowBox[{"Private`outList1_", ",", 
                    RowBox[{"Private`\[CapitalOmega]1_", "?", "MatrixQ"}], 
                    ",", "Private`W_"}], "]"}], ":=", 
                    RowBox[{"Tr", "[", 
                    RowBox[{"Private`\[CapitalOmega]1", ".", 
                    RowBox[{"SP", "[", 
                    RowBox[{
                    RowBox[{"Log", "[", 
                    RowBox[{"2", ",", 
                    
                    RowBox[{"Length", "[", "Private`\[CapitalOmega]1", 
                    "]"}]}], "]"}], ",", 
                    RowBox[{"Private`plugZeros", "[", 
                    RowBox[{
                    RowBox[{"Sort", "[", "Private`outList1", "]"}], ",", 
                    "Private`W"}], "]"}]}], "]"}]}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{
                    SubscriptBox["Private`Base4", 
                    RowBox[{"{", 
                    RowBox[{"Private`j_", ",", "Private`l_"}], "}"}]], "[", 
                    "Private`k_", "]"}], ":=", 
                    RowBox[{
                    RowBox[{
                    SubscriptBox["Private`Base4", 
                    RowBox[{"{", 
                    RowBox[{"Private`j", ",", "Private`l"}], "}"}]], "[", 
                    "Private`k", "]"}], "=", 
                    RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"Private`j", "-", 
                    RowBox[{
                    SuperscriptBox["4", 
                    RowBox[{"Private`l", "-", "Private`k", "+", "1"}]], " ", 
                    RowBox[{"Floor", "[", 
                    FractionBox["Private`j", 
                    SuperscriptBox["4", 
                    RowBox[{"Private`l", "-", "Private`k", "+", "1"}]]], 
                    "]"}]}]}], 
                    SuperscriptBox["4", 
                    RowBox[{"Private`l", "-", "Private`k"}]]], "]"}]}]}], ";", 
                    RowBox[{"Private`Xv", "=", 
                    FractionBox[
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"Private`i", "=", "0"}], 
                    RowBox[{
                    SuperscriptBox["4", "Private`numLeft"], "-", "1"}]], 
                    RowBox[{
                    RowBox[{"Private`coef", "[", 
                    RowBox[{"Private`TO", ",", "Private`\[CapitalOmega]", ",", 
                    RowBox[{"Array", "[", 
                    RowBox[{
                    SubscriptBox["Private`Base4", 
                    RowBox[{"{", 
                    RowBox[{"Private`i", ",", "Private`numLeft"}], "}"}]], 
                    ",", "Private`numLeft"}], "]"}]}], "]"}], " ", 
                    RowBox[{"SP", "[", 
                    RowBox[{"Private`numLeft", ",", 
                    RowBox[{"Array", "[", 
                    RowBox[{
                    SubscriptBox["Private`Base4", 
                    RowBox[{"{", 
                    RowBox[{"Private`i", ",", "Private`numLeft"}], "}"}]], 
                    ",", "Private`numLeft"}], "]"}]}], "]"}]}]}], 
                    SuperscriptBox["2", "Private`numLeft"]]}]}], "}"}], ",", 
                    RowBox[{"Private`Xv", "=", 
                    RowBox[{"Tr", "[", "Private`\[CapitalOmega]", "]"}]}]}], 
                    "]"}], ";", 
                    RowBox[{"Simplify", "[", "Private`Xv", "]"}]}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`PTrGen\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"PTrGen[traceout,\[CapitalOmega]] \\n\\n\\n\\n \
PTrGen[traceout,\[CapitalOmega]] returns the partial \\n\\n trace of a \
general operator \[CapitalOmega] over those\\n\\n qubits specified by the \
traceout array 'traceout'.  \\nThis method builds up the requisite arrays and \
can be faster. \\n\\n\\n\\n see also PTr\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "PTrGen[traceout,\[CapitalOmega]] \n\n\n\n PTrGen[traceout,\
\[CapitalOmega]] returns the partial \n\n trace of a general operator \
\[CapitalOmega] over those\n\n qubits specified by the traceout array \
'traceout'.  \nThis method builds up the requisite arrays and can be faster. \
\n\n\n\n see also PTr", "Documentation" -> None, "OwnValues" -> None, 
     "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`PTrGen, {QDENSITY`Qdensity`PTrGen[
          Condition[
           Pattern[Private`TO, 
            Blank[]], 
           VectorQ[Private`TO]], 
          Condition[
           Pattern[Private`\[CapitalOmega], 
            Blank[]], 
           MatrixQ[Private`\[CapitalOmega]]]] :> 
        Module[{Private`nto, Private`n\[CapitalOmega], Private`coef}, 
          Private`nto = Length[Private`TO]; Private`n\[CapitalOmega] = Log[2, 
             Length[Private`\[CapitalOmega]]]; 
          Private`numLeft = Private`n\[CapitalOmega] - Private`nto; 
          If[Private`numLeft > 0, {Private`plugZeros[
                Pattern[Private`zeroPositions, 
                 Blank[]], 
                Pattern[Private`W, 
                 Blank[]]] := If[Length[Private`zeroPositions] > 1, 
                Private`plugZeros[
                 Drop[Private`zeroPositions, 1], 
                 Insert[Private`W, 0, 
                  Part[Private`zeroPositions, 1]]], 
                Insert[Private`W, 0, 
                 Part[Private`zeroPositions, 1]]]; Private`coef[
                Pattern[Private`outList1, 
                 Blank[]], 
                PatternTest[
                 Pattern[Private`\[CapitalOmega]1, 
                  Blank[]], MatrixQ], 
                Pattern[Private`W, 
                 Blank[]]] := Tr[
                Dot[Private`\[CapitalOmega]1, 
                 QDENSITY`Qdensity`SP[
                  Log[2, 
                   Length[Private`\[CapitalOmega]1]], 
                  Private`plugZeros[
                   Sort[Private`outList1], Private`W]]]]; 
             Subscript[Private`Base4, {
                 Pattern[Private`j, 
                  Blank[]], 
                 Pattern[Private`l, 
                  Blank[]]}][
                Pattern[Private`k, 
                 Blank[]]] := (
               Subscript[Private`Base4, {Private`j, Private`l}][Private`k] = 
               Floor[(Private`j - 4^(Private`l - Private`k + 1) 
                  Floor[Private`j/4^(Private`l - Private`k + 1)])/
                 4^(Private`l - Private`k)]); 
             Private`Xv = 
              Sum[Private`coef[Private`TO, Private`\[CapitalOmega], 
                   Array[
                    Subscript[Private`Base4, {Private`i, Private`numLeft}], 
                    Private`numLeft]] QDENSITY`Qdensity`SP[Private`numLeft, 
                   Array[
                    Subscript[Private`Base4, {Private`i, Private`numLeft}], 
                    Private`numLeft]], {Private`i, 0, 4^Private`numLeft - 1}]/
               2^Private`numLeft}, Private`Xv = Tr[Private`\[CapitalOmega]]]; 
          Simplify[Private`Xv]]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`PTrGen"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593745999085693`*^9},ExpressionUUID->"a4f2ceba-ee28-4724-a16e-\
70ab980b3c33"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"rhoR", "=", " ", 
    RowBox[{"RandomQubitN", "[", "3", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"PTr", "[", 
    RowBox[{
     RowBox[{"{", "1", "}"}], ",", " ", "rhoR"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"PTr", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "3"}], "}"}], ",", " ", "rhoR"}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PTrGen", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "3"}], "}"}], ",", "  ", "rhoR"}], "]"}], "\[Equal]",
     "%"}]}]}]], "Input",
 CellChangeTimes->{{3.6145965658679247`*^9, 3.614596704233473*^9}, {
  3.614596736520089*^9, 3.6145967400738792`*^9}, {3.614597634856848*^9, 
  3.6145977251675262`*^9}},ExpressionUUID->"3ab368b6-f19e-4743-83ed-\
d1d8f4d4aa43"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.0816964136200743`", 
      RowBox[{"0.01802206578914404`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.001022118538817206`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.018460874404025003`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.013546640818500563`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.06764523787858295`"}], "-", 
       RowBox[{"0.007385214405172206`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.01606923436639392`"}], "+", 
       RowBox[{"0.02201506786019911`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.024447601767554623`"}], "-", 
       RowBox[{"0.00820031949025479`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.014604316988134879`"}], "+", 
       RowBox[{"0.05900305695117722`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.03628412730268946`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.006657722662521849`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.01802206578914404`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.001022118538817206`", " ", "\[ImaginaryI]"}]}], 
      "0.15817147872023704`", 
      RowBox[{"0.01338447960730582`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06627952629775735`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.00010385432581785264`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06952506002596424`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.013278533777281085`"}], "+", 
       RowBox[{"0.010209861675560882`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.014370194441094306`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.03793372315427983`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.054290571800204364`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.01981338537210098`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0026134408450265477`"}], "-", 
       RowBox[{"0.008142020865416658`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.018460874404025003`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.013546640818500563`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.01338447960730582`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06627952629775735`", " ", "\[ImaginaryI]"}]}], 
      "0.13060838407596317`", 
      RowBox[{"0.04528825080915927`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.04829777203973617`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.025598958281110466`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.04499665756731921`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.033033956918455384`"}], "+", 
       RowBox[{"0.031299084455134775`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.017694429447616004`"}], "+", 
       RowBox[{"0.03333508788041816`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.03344683632513585`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.012723113371386461`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.06764523787858295`"}], "+", 
       RowBox[{"0.007385214405172206`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.00010385432581785264`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06952506002596424`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.04528825080915927`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.04829777203973617`", " ", "\[ImaginaryI]"}]}], 
      "0.18170377114416786`", 
      RowBox[{
       RowBox[{"-", "0.000027069237803674726`"}], "-", 
       RowBox[{"0.00837939795352934`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.004702643910983458`"}], "+", 
       RowBox[{"0.05411104021742705`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0169071142353386`"}], "-", 
       RowBox[{"0.012419786262144442`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0036716477422265147`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.007264641502324616`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.01606923436639392`"}], "-", 
       RowBox[{"0.02201506786019911`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.013278533777281085`"}], "-", 
       RowBox[{"0.010209861675560882`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.025598958281110466`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.04499665756731921`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.000027069237803674726`"}], "+", 
       RowBox[{"0.00837939795352934`", " ", "\[ImaginaryI]"}]}], 
      "0.07266591817211847`", 
      RowBox[{"0.0013917424856470545`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.01763302892847881`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.011881641557587119`"}], "-", 
       RowBox[{"0.007462645279585185`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.032627689279156366`"}], "+", 
       RowBox[{"0.0001479946397509325`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.024447601767554623`"}], "+", 
       RowBox[{"0.00820031949025479`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.014370194441094306`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.03793372315427983`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.033033956918455384`"}], "-", 
       RowBox[{"0.031299084455134775`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.004702643910983458`"}], "-", 
       RowBox[{"0.05411104021742705`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0013917424856470545`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.01763302892847881`", " ", "\[ImaginaryI]"}]}], 
      "0.09099055638488995`", 
      RowBox[{"0.003416667118382178`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.014160706045701103`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.011847861899358924`"}], "-", 
       RowBox[{"0.03879166577495141`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.014604316988134884`"}], "-", 
       RowBox[{"0.05900305695117722`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.054290571800204364`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.01981338537210098`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.017694429447616004`"}], "-", 
       RowBox[{"0.03333508788041816`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.016907114235338597`"}], "+", 
       RowBox[{"0.012419786262144438`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.01188164155758712`"}], "+", 
       RowBox[{"0.007462645279585185`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.003416667118382178`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.014160706045701103`", " ", "\[ImaginaryI]"}]}], 
      "0.12728554101548162`", 
      RowBox[{"0.020176592597686185`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.026405071110288662`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.03628412730268946`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0066577226625218495`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0026134408450265503`"}], "+", 
       RowBox[{"0.008142020865416658`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.03344683632513584`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.012723113371386457`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0036716477422265147`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.007264641502324616`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.032627689279156366`"}], "-", 
       RowBox[{"0.00014799463975093369`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.011847861899358922`"}], "+", 
       RowBox[{"0.038791665774951405`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.020176592597686185`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.026405071110288662`", " ", "\[ImaginaryI]"}]}], 
      "0.15687793686706764`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599927474*^9},ExpressionUUID->"cf6d018b-fa67-4797-b1df-\
e0f2603cad6a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.15436233179219278`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.01941380827479108`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.016610910389661608`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.006579232846437883`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.021009286098085743`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.10027292715773933`"}], "-", 
       RowBox[{"0.007237219765421271`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.01941380827479108`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.016610910389661608`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.24916203510512697`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.016801146725688`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.08044023234345846`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.01174400757354107`"}], "-", 
       RowBox[{"0.10831672580091564`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.0065792328464378816`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.021009286098085743`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.016801146725688`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.08044023234345846`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.25789392509144476`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.06546484340684544`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07470284315002484`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.10027292715773933`"}], "+", 
       RowBox[{"0.007237219765421271`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.01174400757354107`"}], "+", 
       RowBox[{"0.10831672580091564`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.06546484340684544`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07470284315002484`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.3385817080112355`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599939268*^9},ExpressionUUID->"cb7069a1-57d7-421c-8651-\
6ca4d316caf1"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.40352436689731974`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.005164774727103188`"}], "-", 
       RowBox[{"0.1293260118990014`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.005164774727103188`"}], "+", 
       RowBox[{"0.1293260118990014`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.5964756331026803`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937459994811*^9},ExpressionUUID->"5ecc9138-31a3-4f4a-af78-19474e047be1"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599957262*^9},ExpressionUUID->"bd2da247-98bf-455d-af87-\
075f43432707"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"psi", "=", 
   RowBox[{"AF", "[", 
    RowBox[{
     RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"rho", "=", 
  RowBox[{"AF", "[", 
   RowBox[{"psi", "\[CircleTimes]", " ", 
    RowBox[{"Adj", "[", "psi", "]"}]}], 
   "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.61459683500141*^9, 3.6145969517221003`*^9}, 
   3.614596987024096*^9, {3.8570685191332293`*^9, 3.857068519136796*^9}, {
   3.857072249250085*^9, 3.8570722617249126`*^9}, {3.85937367549121*^9, 
   3.859373675494297*^9}},ExpressionUUID->"8e00b309-96a1-4189-abb5-\
71902f9651c2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599978857*^9},ExpressionUUID->"994d46bc-852f-4c65-9331-\
81b7ab7f63b2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
  RowBox[{"Bra", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
  RowBox[{"Bra", "[", "1", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.859374143026906*^9, 
  3.8593741738553*^9}},ExpressionUUID->"a41fa833-de5d-4d55-b12b-219072897a83"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374599993794*^9},ExpressionUUID->"3b41e2ef-0d8c-4661-b1c1-\
76e8dd907930"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600006455*^9},ExpressionUUID->"b8198a16-59a1-4810-b47e-\
09a9eaccd424"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "1"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746000180883`*^9},ExpressionUUID->"6aad5f21-b71e-4bb5-8fff-\
d217ae37d233"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937460002977*^9},ExpressionUUID->"e1a97c87-3d48-4dc6-9790-b035b47874d8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Tr", "[", " ", 
  RowBox[{
   RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
   RowBox[{"Bra", "[", "0", "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", " ", 
  RowBox[{
   RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
   RowBox[{"Bra", "[", "1", "]"}]}], " ", "]"}]}], "Input",
 CellChangeTimes->{{3.6145970412566433`*^9, 3.614597051302167*^9}, {
  3.614597161605191*^9, 3.614597166192556*^9}, {3.614597253331628*^9, 
  3.614597256458207*^9}, {3.8570685191418*^9, 3.857068519142969*^9}, {
  3.8593736754962187`*^9, 3.8593736754973183`*^9}, {3.859373883245543*^9, 
  3.859373883246963*^9}, {3.859374188938032*^9, 
  3.859374195361734*^9}},ExpressionUUID->"3a7373cd-1190-4e56-bdda-\
6f0810377b4f"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600053261*^9},ExpressionUUID->"4e906cff-0ca3-44d6-96ca-\
6bbad103d14b"],

Cell[BoxData[
 TagBox["0",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600063209*^9},ExpressionUUID->"00f566ef-422d-42ec-adba-\
69cd2a000c47"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"PTr", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", "rho"}], " ", "]"}], 
  "\[Equal]", 
  RowBox[{
   RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
   RowBox[{"Bra", "[", "0", "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PTr", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "3"}], "}"}], ",", "rho"}], " ", "]"}], "\[Equal]", 
  "  ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", "  ", 
     RowBox[{"Ket", "[", "0", "]"}]}], ")"}], "\[CircleTimes]", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Bra", "[", "0", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Bra", "[", "0", "]"}]}], ")"}]}]}]}], "Input",
 CellChangeTimes->{{3.6145971209935617`*^9, 3.614597131645557*^9}, {
  3.614597186905508*^9, 3.6145973176014633`*^9}, {3.614597347895032*^9, 
  3.6145973733086977`*^9}, {3.85706851915238*^9, 3.857068519156002*^9}, {
  3.859373677930353*^9, 3.859373677934411*^9}, {3.859373883252684*^9, 
  3.859373883256688*^9}, {3.859374226086878*^9, 
  3.8593742408148212`*^9}},ExpressionUUID->"e5269fd1-d0f8-4166-99f9-\
52151ae87379"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600077078*^9},ExpressionUUID->"27d93e6f-9873-47e1-9a59-\
a850707ade62"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600088399*^9},ExpressionUUID->"fa50ff81-16ae-4af1-8f32-\
60973b43b82a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"rho4", "=", 
   RowBox[{"RandomQubitN", "[", "4", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"resT", "=", 
  RowBox[{"PTr", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", "rho4"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PTrGen", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", "  ", "rho4"}], "]"}], 
  "\[Equal]", "%"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", "resT", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"resT", ".", "resT"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.614597414109103*^9, 3.6145974687590857`*^9}, {
  3.614597746002454*^9, 
  3.61459780320525*^9}},ExpressionUUID->"9a26dcad-7699-42a5-9721-\
6f5b5e21e97e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.5078478455187665`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.005336417314688399`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.034362421267571594`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.005336417314688399`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.034362421267571594`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.4921521544812334`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600110305*^9},ExpressionUUID->"a1d092ee-40f9-4394-9eda-\
1ccad7c149cb"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600121646*^9},ExpressionUUID->"573b8e30-ff67-46be-bf15-\
77c6480d3140"],

Cell[BoxData[
 TagBox["0.9999999999999999`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600131276*^9},ExpressionUUID->"f40e70b4-260a-44e3-aec5-\
8a3bc8367833"],

Cell[BoxData[
 TagBox["0.5025416840488258`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600141086*^9},ExpressionUUID->"5a2c96a9-77f6-4ffe-84df-\
5f0012432a48"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "ProjG"}]], "Input",
 CellChangeTimes->{{3.614621779500534*^9, 
  3.614621783793659*^9}},ExpressionUUID->"0eefc36e-e8a5-492b-bc52-\
f856d11f8f66"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ProjG[a,vec], \\n\\n\\t  Projection operator into \
any direction defined by the unit three-vector vec. \\n\\n\\t Here a equals 0 \
or 1. \\n\\n\\t For example,\\n\\n\\t ProjG[0,nhat] equals (\
\[DoubleStruckCapitalI] + nhat.sigvec)/2 and\\n\\n\\t ProjG[1,nhat] equals (\
\[DoubleStruckCapitalI] - nhat.sigvec)/2,\\n\\n\\t where nhat is a unit \
direction vector and sigvec is the Pauli vector.\\n\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"ProjG", "[", 
                    RowBox[{"Private`a_", ",", 
                    RowBox[{"Private`v_", "?", "ListQ"}]}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "Private`w", "}"}], ",", 
                    RowBox[{
                    RowBox[{"Private`w", "=", 
                    FractionBox["Private`v", 
                    RowBox[{"Norm", "[", "Private`v", "]"}]]}], ";", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"s", "[", "0", "]"}], "+", 
                    RowBox[{
                    SuperscriptBox[
                    RowBox[{"(", 
                    RowBox[{"-", "1"}], ")"}], "Private`a"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"Private`w", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], " ", 
                    RowBox[{"s", "[", "1", "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"Private`w", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], " ", 
                    RowBox[{"s", "[", "2", "]"}]}], "+", 
                    RowBox[{
                    
                    RowBox[{"Private`w", "\[LeftDoubleBracket]", "3", 
                    "\[RightDoubleBracket]"}], " ", 
                    RowBox[{"s", "[", "3", "]"}]}]}], ")"}]}]}], ")"}]}]}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`ProjG\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ProjG[a,vec], \\n\\n\\t  Projection operator into \
any direction defined by the unit three-vector vec. \\n\\n\\t Here a equals 0 \
or 1. \\n\\n\\t For example,\\n\\n\\t ProjG[0,nhat] equals (\
\[DoubleStruckCapitalI] + nhat.sigvec)/2 and\\n\\n\\t ProjG[1,nhat] equals (\
\[DoubleStruckCapitalI] - nhat.sigvec)/2,\\n\\n\\t where nhat is a unit \
direction vector and sigvec is the Pauli vector.\\n\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "ProjG[a,vec], \n\n\t  Projection operator into any direction defined by \
the unit three-vector vec. \n\n\t Here a equals 0 or 1. \n\n\t For example,\n\
\n\t ProjG[0,nhat] equals (\[DoubleStruckCapitalI] + nhat.sigvec)/2 and\n\n\t \
ProjG[1,nhat] equals (\[DoubleStruckCapitalI] - nhat.sigvec)/2,\n\n\t where \
nhat is a unit direction vector and sigvec is the Pauli vector.\n", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`ProjG, {QDENSITY`Qdensity`ProjG[
          Pattern[Private`a, 
           Blank[]], 
          PatternTest[
           Pattern[Private`v, 
            Blank[]], ListQ]] :> 
        Module[{Private`w}, 
          Private`w = 
           Private`v/Norm[Private`v]; (
            QDENSITY`Qdensity`s[
             0] + (-1)^Private`a (Part[Private`w, 1] QDENSITY`Qdensity`s[1] + 
              Part[Private`w, 2] QDENSITY`Qdensity`s[2] + 
              Part[Private`w, 3] QDENSITY`Qdensity`s[3]))/2]}], "SubValues" -> 
     None, "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None,
      "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`ProjG"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746002306767`*^9},ExpressionUUID->"7346ca07-0f87-4d27-b582-\
854b10d4fbbc"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ProjG", "[", 
   RowBox[{"0", ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], "==", 
  SubscriptBox["\[ScriptCapitalP]", "0"]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ProjG", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "]"}], "==", 
  SubscriptBox["\[ScriptCapitalP]", "1"]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ProjG", "[", 
   RowBox[{"0", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], "\[Equal]", 
  RowBox[{"PX", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ProjG", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "]"}], "\[Equal]", 
  RowBox[{"PX", "[", "1", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ProjG", "[", 
   RowBox[{"0", ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}], "\[Equal]", 
  RowBox[{"PY", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ProjG", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "]"}], "\[Equal]", 
  RowBox[{"PY", "[", "1", "]"}]}]}], "Input",
 CellChangeTimes->{{3.6146218072518997`*^9, 3.614621893360815*^9}, {
  3.6146219354019423`*^9, 
  3.614622040841241*^9}},ExpressionUUID->"e7db7c45-46f3-42b3-ba8a-\
16c793424d6f"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600251277*^9},ExpressionUUID->"e66141c6-f62c-4c5a-aea3-\
b0c4e29bbbf8"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600262032*^9},ExpressionUUID->"f63031ac-aefb-4c6d-8334-\
124cbae86983"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600271785*^9},ExpressionUUID->"c18f1406-6e83-452c-8cd5-\
4baedc2dc85a"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937460028236*^9},ExpressionUUID->"d8fc7ebd-e9cc-4036-819b-3e096ba533fb"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746002921343`*^9},ExpressionUUID->"9ead9f74-94eb-47b1-b5d9-\
f7c231657381"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746003013163`*^9},ExpressionUUID->"281efb35-9afd-4854-89de-\
40adbccf334f"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  OverscriptBox["\[Sigma]", "\[RightVector]"], "=", 
  RowBox[{"{", " ", 
   RowBox[{
    RowBox[{"s", "[", "1", "]"}], ",", " ", 
    RowBox[{"s", "[", "2", "]"}], ",", "  ", 
    RowBox[{"s", "[", "3", "]"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  OverscriptBox["n", "^"], "=", 
  RowBox[{"{", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"Sin", "[", "\[Theta]", "]"}], "  ", 
     RowBox[{"Cos", "[", "\[Phi]", "]"}]}], ",", "  ", 
    RowBox[{
     RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
     RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ",", " ", 
    RowBox[{"Cos", "[", "\[Theta]", "]"}]}], " ", 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  OverscriptBox["n", "^"], ".", 
  OverscriptBox["\[Sigma]", "\[RightVector]"]}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{
   OverscriptBox["n", "^"], ".", 
   OverscriptBox["n", "^"]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"\[DoubleStruckCapitalI]", " ", "+", 
     RowBox[{
      OverscriptBox["n", "^"], ".", 
      OverscriptBox["\[Sigma]", "\[RightVector]"]}]}], ")"}], "/", "2"}], " ",
   "]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"AF", "[", 
    RowBox[{"ProjG", "[", 
     RowBox[{"0", ",", 
      OverscriptBox["n", "^"]}], "]"}], "]"}], ",", " ", 
   RowBox[{
    RowBox[{"Element", "[", 
     RowBox[{"\[Theta]", ",", " ", "Reals"}], "]"}], "&&", 
    RowBox[{"Element", "[", 
     RowBox[{"\[Phi]", ",", "Reals"}], "]"}]}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.614622700666028*^9, 3.614622742492999*^9}, {
   3.614623104245549*^9, 3.614623199052805*^9}, {3.614623264707073*^9, 
   3.614623346938325*^9}, {3.614623450209985*^9, 3.614623482663021*^9}, {
   3.614623513093705*^9, 3.6146235389324837`*^9}, {3.614623580747607*^9, 
   3.61462359244693*^9}, {3.614623721142283*^9, 3.614623752933078*^9}, {
   3.614623793667309*^9, 3.6146238020819387`*^9}, {3.614623934656144*^9, 
   3.6146239351394243`*^9}, 3.6146240586601877`*^9, {3.614785911147131*^9, 
   3.6147859217665033`*^9}, 3.6147859545722237`*^9, {3.614939929241047*^9, 
   3.614939929254902*^9}, {3.614940083980501*^9, 3.614940097670382*^9}, {
   3.615976644798956*^9, 
   3.615976666478043*^9}},ExpressionUUID->"7a5376f1-a984-4fa3-b097-\
2c885adbf122"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"1"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1"},
          {"0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"-", "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"\[ImaginaryI]"},
          {"0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1"},
          {"0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"-", "1"}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600325695*^9},ExpressionUUID->"43b91131-d492-437b-a56f-\
e4727fe429de"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}]}]},
      {
       RowBox[{
        RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}]},
      {
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600337694*^9},ExpressionUUID->"8f6bea96-1a95-4db3-9eb5-\
e6b5c52098ce"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "\[Theta]", "]"}], 
      RowBox[{
       RowBox[{
        RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "-", 
       RowBox[{"\[ImaginaryI]", " ", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "+", 
       RowBox[{"\[ImaginaryI]", " ", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], 
      RowBox[{"-", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746003479147`*^9},ExpressionUUID->"86a7c43b-f798-4e3d-88c0-\
15816c5e40e8"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600358432*^9},ExpressionUUID->"1e45123b-a18c-4bd8-b205-\
0b1ff9671037"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SuperscriptBox[
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}], "2"], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Cos", "[", "\[Phi]", "]"}], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], ")"}]}]},
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Cos", "[", "\[Phi]", "]"}], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}], "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600368737*^9},ExpressionUUID->"aae2e37e-b5ed-4562-a3a9-\
ff5b6530a4d5"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SuperscriptBox[
       RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}], "2"], 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Cos", "[", "\[Phi]", "]"}], "-", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], ")"}]}]},
     {
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Cos", "[", "\[Phi]", "]"}], "+", 
         RowBox[{"\[ImaginaryI]", " ", 
          RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], ")"}]}], 
      SuperscriptBox[
       RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}], "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600430284*^9},ExpressionUUID->"f47e6708-56ad-45cd-9948-\
f91964e4a8d8"],

Cell[CellGroupData[{

Cell[BoxData[{
 OverscriptBox["\[Sigma]", "\[RightVector]"], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   OverscriptBox["\[Sigma]", "\[RightVector]"], "[", 
   RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
  RowBox[{"s", "[", "1", "]"}], "==", 
  SubscriptBox["\[Sigma]", "1"]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   OverscriptBox["\[Sigma]", "\[RightVector]"], "[", 
   RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
  RowBox[{"s", "[", "2", "]"}], "==", 
  SubscriptBox["\[Sigma]", "2"]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   OverscriptBox["\[Sigma]", "\[RightVector]"], "[", 
   RowBox[{"[", "3", "]"}], "]"}], "\[Equal]", 
  RowBox[{"s", "[", "3", "]"}], "==", 
  SubscriptBox["\[Sigma]", "3"]}]}], "Input",
 CellChangeTimes->{{3.614940042996229*^9, 3.6149400674459057`*^9}, {
  3.615976497612711*^9, 3.615976506309054*^9}, {3.615976695593787*^9, 
  3.615976754779663*^9}, {3.615976793256731*^9, 
  3.61597681624091*^9}},ExpressionUUID->"f42c7d56-fff8-487c-8fcc-\
07673862d1cd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {"1"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1"},
          {"0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"-", "\[ImaginaryI]"}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"\[ImaginaryI]"},
          {"0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]},
     {
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"1"},
          {"0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}], 
      RowBox[{"(", "\[NoBreak]", 
       TagBox[GridBox[{
          {"0"},
          {
           RowBox[{"-", "1"}]}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.5599999999999999]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}],
        Column], "\[NoBreak]", ")"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600447135*^9},ExpressionUUID->"dbd6ee0d-9f4e-44b4-9dea-\
51e9f582281a"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600458865*^9},ExpressionUUID->"7a31ebbf-f5f4-4b9f-95c2-\
235dc77a27db"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600468502*^9},ExpressionUUID->"5b2a1051-4f32-445e-a2a0-\
306caf8baaa1"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746004782887`*^9},ExpressionUUID->"75a5dde4-70d8-4599-a5f5-\
ad99b28d0ad8"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"AF", "[", 
      RowBox[{"ProjG", "[", 
       RowBox[{"0", ",", 
        OverscriptBox["n", "^"]}], "]"}], "]"}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[DoubleStruckCapitalI]", " ", "+", 
        RowBox[{
         OverscriptBox["n", "^"], ".", 
         OverscriptBox["\[Sigma]", "\[RightVector]"]}]}], ")"}], "/", "2"}]}],
     ",", " ", 
    RowBox[{
     RowBox[{"Element", "[", 
      RowBox[{"\[Theta]", ",", " ", "Reals"}], "]"}], "&&", 
     RowBox[{"Element", "[", 
      RowBox[{"\[Phi]", ",", "Reals"}], "]"}]}]}], "]"}], "\[Equal]", 
  RowBox[{
   RowBox[{"s", "[", "0", "]"}], "-", 
   RowBox[{"s", "[", "0", "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"AF", "[", 
      RowBox[{"ProjG", "[", 
       RowBox[{"1", ",", 
        OverscriptBox["n", "^"]}], "]"}], "]"}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[DoubleStruckCapitalI]", " ", "-", 
        RowBox[{
         OverscriptBox["n", "^"], ".", 
         OverscriptBox["\[Sigma]", "\[RightVector]"]}]}], ")"}], "/", "2"}]}],
     ",", " ", 
    RowBox[{
     RowBox[{"Element", "[", 
      RowBox[{"\[Theta]", ",", " ", "Reals"}], "]"}], "&&", 
     RowBox[{"Element", "[", 
      RowBox[{"\[Phi]", ",", "Reals"}], "]"}]}]}], "]"}], "\[Equal]", 
  RowBox[{
   RowBox[{"s", "[", "0", "]"}], "-", 
   RowBox[{"s", "[", "0", "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.614623853378378*^9, 3.614623895508724*^9}, {
  3.614623993288425*^9, 3.614624002253435*^9}, {3.614624071888228*^9, 
  3.614624109991733*^9}, {3.6149399239556303`*^9, 3.614939929214218*^9}, {
  3.614940103891426*^9, 
  3.614940113421453*^9}},ExpressionUUID->"d493246f-5ef5-42d7-8232-\
5b946a64d5fb"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600514719*^9},ExpressionUUID->"0dec4539-f42c-43ae-a90a-\
4da1d3883d8c"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746005376377`*^9},ExpressionUUID->"12a88049-5223-469a-88e3-\
6416a2f93edb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "QDENSITY`Qdensity`Rot*"}]], "Input",
 CellChangeTimes->{{3.614785320884952*^9, 3.6147853278385973`*^9}, 
   3.6147853620737*^9, {3.6147854175106907`*^9, 
   3.614785470926012*^9}},ExpressionUUID->"a33de787-38fc-42cc-8516-\
22ff5460892f"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["Rotqbit", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f7ee591-6fa5-46c3-b7f4-6dfa7c33a486", {
                    "Rotqbit", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f7ee591-6fa5-46c3-b7f4-6dfa7c33a486", {
                    "RotX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f7ee591-6fa5-46c3-b7f4-6dfa7c33a486", {
                    "RotY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-1f7ee591-6fa5-46c3-b7f4-6dfa7c33a486", {
                    "RotZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.2375]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600630865*^9},ExpressionUUID->"d1069652-4f1a-4a70-aee8-\
48241087f408"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "QDENSITY`Qdensity`Random*"}]], "Input",
 CellChangeTimes->{{3.614785320884952*^9, 3.6147853278385973`*^9}, 
   3.6147853620737*^9, {3.6147854175106907`*^9, 3.614785470926012*^9}, {
   3.614801734918335*^9, 
   3.614801737092087*^9}},ExpressionUUID->"dac7bf3d-44a2-46b5-ba05-\
42b50fac7e6d"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["RandomBra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-53ec7fd9-3059-403b-bb22-ec7678a2cb60", {
                    "RandomBra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBraN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-53ec7fd9-3059-403b-bb22-ec7678a2cb60", {
                    "RandomBraN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-53ec7fd9-3059-403b-bb22-ec7678a2cb60", {
                    "RandomKet2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-53ec7fd9-3059-403b-bb22-ec7678a2cb60", {
                    "RandomQubit1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubitN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-53ec7fd9-3059-403b-bb22-ec7678a2cb60", {
                    "RandomQubitN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["RandomBra2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-53ec7fd9-3059-403b-bb22-ec7678a2cb60", {
                    "RandomBra2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-53ec7fd9-3059-403b-bb22-ec7678a2cb60", {
                    "RandomKet1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKetN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-53ec7fd9-3059-403b-bb22-ec7678a2cb60", {
                    "RandomKetN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-53ec7fd9-3059-403b-bb22-ec7678a2cb60", {
                    "RandomQubit2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], ""}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.19]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746006705627`*^9},ExpressionUUID->"42b6c993-56ec-4704-a763-\
6f3229a53b38"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ra1", "=", "RandomKet1"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "ra1", "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.614801760941936*^9, 3.614801902522766*^9}, {
   3.616278458196355*^9, 3.616278568191065*^9}, {3.616278606296336*^9, 
   3.616278680426774*^9}, {3.616279160206479*^9, 3.616279186236405*^9}, {
   3.6162793326466846`*^9, 3.616279334975986*^9}, {3.616279411820554*^9, 
   3.616279467819096*^9}, 
   3.616279942437193*^9},ExpressionUUID->"ddb12c9f-9d56-4793-8c7a-\
52e80b69bc95"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.649165493987272`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.2880773568187709`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.5962648262515136`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.37425105862218205`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600695937*^9},ExpressionUUID->"1e10c90b-7a28-4776-a91b-\
534bae74eb03"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{"0.649165493987272`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.2880773568187709`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.5962648262515136`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.37425105862218205`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600707453*^9},ExpressionUUID->"226c7bd3-342a-4db2-a134-\
f2b87f2380e6"],

Cell[CellGroupData[{

Cell[BoxData[{"RandomKet2", "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",ExpressionUUID->"b222b19d-2af4-\
4cf7-ae99-3bdcdf968bdd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.3887655744556714`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.43440396248172747`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.5625114172303081`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.4482832517274597`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.3519878402572148`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.1363984466943349`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.01593387307096603`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.004867539822483827`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600723703*^9},ExpressionUUID->"deca3dd3-111a-45f8-8c80-\
0f869183b9f6"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{"0.3887655744556714`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.43440396248172747`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"00\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.5625114172303081`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.4482832517274597`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"01\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.3519878402572148`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.1363984466943349`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"10\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.01593387307096603`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.004867539822483827`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"11\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600735434*^9},ExpressionUUID->"1a30902a-f812-462e-8a77-\
eb9bee922d7f"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{"RandomBra1", "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", 
  "]"}], "\[IndentingNewLine]", "RandomBra2", "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.614801760941936*^9, 
  3.614801870010709*^9}},ExpressionUUID->"444eff7e-99ae-4b48-90ae-\
43321278c6ec"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.28115315076832975`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.5395193164950225`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.101099757754349`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.7871789198929277`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600759843*^9},ExpressionUUID->"257da7ab-5033-475c-b11b-\
86bc7e55d269"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    RowBox[{"0.28115315076832975`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.5395193164950225`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.101099757754349`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.7871789198929277`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600771928*^9},ExpressionUUID->"9e85540d-d231-4285-9ef1-\
60cce62ff8e4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "0.3806682211673074`"}], "+", 
       RowBox[{"0.42518172699836426`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.4837322429262353`"}], "+", 
       RowBox[{"0.3529115648241771`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.10833909550824097`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.19635051185105198`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.35467093217573414`"}], "-", 
       RowBox[{"0.3737464324067754`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600783194*^9},ExpressionUUID->"6ab6c250-a14c-491b-8bbd-\
84af350a1ba6"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.3806682211673074`"}], "+", 
      RowBox[{"0.42518172699836426`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"00\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.4837322429262353`"}], "+", 
      RowBox[{"0.3529115648241771`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"01\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.10833909550824097`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.19635051185105198`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"10\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.35467093217573414`"}], "-", 
      RowBox[{"0.3737464324067754`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"11\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600794446*^9},ExpressionUUID->"18a9770f-2661-4b2e-8d84-\
850e33ba0a0a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"RandomKetN", "[", "4", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RandomBraN", "[", "4", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DFormA", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.6148156640920773`*^9, 
  3.6148157293882303`*^9}},ExpressionUUID->"3e4d6496-7068-4f3c-83bf-\
6eb0c5965fdb"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.1916859570557089`"}], "+", 
      RowBox[{"0.06621547369937976`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0000\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.13697900214813127`"}], "+", 
      RowBox[{"0.16765268320182186`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0001\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.06103297807015593`"}], "-", 
      RowBox[{"0.13226737040814787`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0010\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.030664898164149457`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.3276132643866378`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0011\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.13072987343495787`"}], "-", 
      RowBox[{"0.1391001883610479`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0100\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.13361369343486038`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.3030505164307426`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0101\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.022378053191771316`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.06872003346900737`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0110\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.040932998809638584`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.05954349731842504`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"0111\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.27837186797644137`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.13116985618672705`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1000\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.20487627382829085`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.002169969021992189`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1001\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.06519458840471594`"}], "+", 
      RowBox[{"0.23754406386404153`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1010\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.15198932193203277`"}], "+", 
      RowBox[{"0.28160409853087853`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1011\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.26279732273010276`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.19669804932212878`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1100\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "0.18613399520445745`"}], "-", 
      RowBox[{"0.09740423063768174`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1101\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.21542398853885636`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.050354034990116515`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1110\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"0.1366353003810464`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.3266228948479774`", " ", "\[ImaginaryI]"}]}], "\")\"", 
    "\" |\"", "\"1111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937460081295*^9},ExpressionUUID->"1700aaa9-64c0-42bd-8b64-581afcdc9bb8"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\" ( \"", 
    RowBox[{"0.2500904013980706`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.038259702073824384`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0000\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.11347790288071498`"}], "+", 
      RowBox[{"0.1507517772792735`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0001\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.06981635628960182`"}], "+", 
      RowBox[{"0.32086073493048706`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0010\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.08663667394491241`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.2325081025860474`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0011\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.14374592092563843`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.1270086146942634`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0100\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.0656729326640294`"}], "+", 
      RowBox[{"0.19572179453055996`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0101\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.038477250144622006`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.04955226614849663`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0110\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.06114868274136956`"}], "-", 
      RowBox[{"0.08152818618036572`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"0111\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.12214639211370384`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.10752855891186514`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1000\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.19102041212772053`"}], "-", 
      RowBox[{"0.17616696572178228`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1001\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.2910925318360831`"}], "+", 
      RowBox[{"0.13615759668034913`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1010\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.25049219551518526`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.12718379275007008`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1011\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.3279483718717275`", "\[VeryThinSpace]", "+", 
      RowBox[{"0.28066244837429094`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1100\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.2116775208168743`"}], "-", 
      RowBox[{"0.044696118359906924`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1101\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{"0.18423517410063672`", "\[VeryThinSpace]", "-", 
      RowBox[{"0.07669141353934872`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1110\"", "\" |\"", "\" + \"", "\" ( \"", 
    RowBox[{
      RowBox[{"-", "0.2915631645081137`"}], "-", 
      RowBox[{"0.055663009867122054`", " ", "\[ImaginaryI]"}]}], "\" ) \"", 
    "\" < \"", "\"1111\"", "\" |\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746008330717`*^9},ExpressionUUID->"ec77ee85-f1f7-4ab4-8f1a-\
08e2ceb7a584"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{
  "Now", " ", "we", " ", "look", " ", "at", " ", "some", " ", "random", " ", 
   "qubit", " ", "density", " ", "matrices"}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.6148515915303917`*^9, 
  3.614851609365136*^9}},ExpressionUUID->"67086103-18c8-4976-a1ff-\
b46ec5e5ac4c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"r1", "=", "RandomQubit1"}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Pvec", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"Chop", "[", 
     RowBox[{"Tr", "[", 
      RowBox[{"r1", ".", 
       RowBox[{"s", "[", "1", "]"}]}], "]"}], "]"}], ",", 
    RowBox[{"Chop", "[", 
     RowBox[{"Tr", "[", 
      RowBox[{"r1", ".", 
       RowBox[{"s", "[", "2", "]"}]}], "]"}], "]"}], ",", 
    RowBox[{"Chop", "[", 
     RowBox[{"Tr", "[", 
      RowBox[{"r1", ".", 
       RowBox[{"s", "[", "3", "]"}]}], "]"}], "]"}]}], 
   "}"}]}], "\[IndentingNewLine]", "RandomQubit2", "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.614815742039184*^9, 3.614815756814451*^9}, {
  3.614851541981352*^9, 3.614851549753937*^9}, {3.614851642012006*^9, 
  3.61485164270822*^9}, {3.614851715504431*^9, 3.614851715965639*^9}, {
  3.614851756419454*^9, 3.6148517756691313`*^9}, {3.6148518226899223`*^9, 
  3.6148518742002153`*^9}},ExpressionUUID->"b05e4b66-eb82-4046-bbe0-\
01b32e7f1fc1"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.48431686737393853`", 
      RowBox[{
       RowBox[{"-", "0.050923853119796664`"}], "+", 
       RowBox[{"0.16250795704802534`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.050923853119796664`"}], "-", 
       RowBox[{"0.16250795704802534`", " ", "\[ImaginaryI]"}]}], 
      "0.5156831326260614`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746008682003`*^9},ExpressionUUID->"58ac9f42-caa6-4158-bdab-\
110c634418de"],

Cell[BoxData[
 TagBox["0.9999999999999999`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746008807364`*^9},ExpressionUUID->"428a57f6-e292-4cdc-9256-\
8d4f14d5359d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "0.10184770623959333`"}]},
      {
       RowBox[{"-", "0.3250159140960507`"}]},
      {
       RowBox[{"-", "0.03136626525212283`"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746008911858`*^9},ExpressionUUID->"be91b391-c926-4967-8f0d-\
ba98a26a1512"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.28514916599989754`", 
      RowBox[{"0.01418768365018827`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.020332693990404552`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.08351980106975244`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.043828311032013643`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.028578178957004492`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.028569491942446096`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.01418768365018827`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.020332693990404552`", " ", "\[ImaginaryI]"}]}], 
      "0.26514558717783104`", 
      RowBox[{"0.20488794234295224`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.14731668472264808`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.10911322349240642`"}], "-", 
       RowBox[{"0.014371628830126236`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.08351980106975244`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.043828311032013643`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.20488794234295224`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.14731668472264808`", " ", "\[ImaginaryI]"}]}], 
      "0.31096612238540405`", 
      RowBox[{
       RowBox[{"-", "0.03315652661950026`"}], "+", 
       RowBox[{"0.04009858096503548`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.028578178957004492`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.028569491942446096`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.10911322349240642`"}], "+", 
       RowBox[{"0.014371628830126236`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.03315652661950026`"}], "-", 
       RowBox[{"0.04009858096503548`", " ", "\[ImaginaryI]"}]}], 
      "0.13873912443686734`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937460090256*^9},ExpressionUUID->"a6033b52-b946-40b8-9aa2-54a2f8530bf6"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746009135027`*^9},ExpressionUUID->"94e6ab10-0211-4b98-983c-\
20be2045c710"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"rho", "=."}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rho", "=", 
   RowBox[{"RandomQubitN", "[", "8", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", "rho", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Purity", "[", "rho", "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Eigenvalues", "[", "rho", "]"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"n", ",", "Ev"}], "}"}]}], ",", 
   RowBox[{"PlotLabel", "\[Rule]", "Eigenvalues"}], ",", 
   RowBox[{"AxesOrigin", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}]}], ",", 
   RowBox[{"Joined", "\[Rule]", "False"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Red", ",", "Thin", ",", 
      RowBox[{"PointSize", "[", "Small", "]"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.61484529851468*^9, 3.614845342016259*^9}, 
   3.6148454481442947`*^9, {3.6148454854699907`*^9, 3.614845488079021*^9}, {
   3.614845542122632*^9, 3.6148455554295464`*^9}, {3.614845625976268*^9, 
   3.614845627077035*^9}, {3.614845680311096*^9, 3.6148457053301287`*^9}, {
   3.614845772669839*^9, 
   3.614845773286627*^9}},ExpressionUUID->"6df3558f-b29d-4924-a58e-\
4b3ef32972d5"],

Cell[BoxData[
 TagBox["1.`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374600998549*^9},ExpressionUUID->"b2b9de55-2ced-4caa-a26b-\
6996ad685aac"],

Cell[BoxData[
 TagBox["0.007864004410231561`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601010277*^9},ExpressionUUID->"200c798d-8ba9-4dec-be91-\
5ccedcff07ee"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{}, 
    {RGBColor[1, 0, 0], PointSize[Small], Thickness[Tiny], 
     PointBox[CompressedData["
1:eJw1zXlczfkex/FTlpKlZOxLpyZ00aqFUXm3SttpO6VNZ2k71Tkn0nKGclKS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      "]]}, {{}, {}}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["n", TraditionalForm], 
     FormBox["Ev", TraditionalForm]},
   AxesOrigin->{0., 0.},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& )}},
   PlotLabel->FormBox["Eigenvalues", TraditionalForm],
   PlotRange->{{0., 256}, {0., 0.014872582024104401`}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.02], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601204406*^9},ExpressionUUID->"90c5e748-c58c-4b4b-994c-\
3d67d26bd6c7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Rotqbit"}]], "Input",
 CellChangeTimes->{{3.614785480038932*^9, 
  3.61478548925773*^9}},ExpressionUUID->"dc20293e-69f4-4e5e-ac10-\
397c4b8b747a"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Rotqbit[v,t],\\n\\n\\t builds the matrix \
corresponding to a rotation around \\n\\n axis v of an angle t: MatrixExp[-\
\[ImaginaryI] t/2 \[Sigma].v]\\n\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Rotqbit", "[", 
                    RowBox[{
                    RowBox[{"Private`v_", "?", "ListQ"}], ",", "Private`t_"}],
                     "]"}], ":=", 
                    RowBox[{"MatrixExp", "[", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{"-", "\[ImaginaryI]"}], ")"}], " ", "Private`t", 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"s", "[", "1", "]"}], " ", 
                    
                    RowBox[{"Private`v", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "+", 
                    RowBox[{
                    RowBox[{"s", "[", "2", "]"}], " ", 
                    
                    RowBox[{"Private`v", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "+", 
                    RowBox[{
                    RowBox[{"s", "[", "3", "]"}], " ", 
                    
                    RowBox[{"Private`v", "\[LeftDoubleBracket]", "3", 
                    "\[RightDoubleBracket]"}]}]}], ")"}]}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Rotqbit\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Rotqbit[v,t],\\n\\n\\t builds the matrix \
corresponding to a rotation around \\n\\n axis v of an angle t: MatrixExp[-\
\[ImaginaryI] t/2 \[Sigma].v]\\n\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Rotqbit[v,t],\n\n\t builds the matrix corresponding to a rotation \
around \n\n axis v of an angle t: MatrixExp[-\[ImaginaryI] t/2 \[Sigma].v]\n",
      "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Rotqbit, {QDENSITY`Qdensity`Rotqbit[
          PatternTest[
           Pattern[Private`v, 
            Blank[]], ListQ], 
          Pattern[Private`t, 
           Blank[]]] :> 
        MatrixExp[(-I) (Private`t/2) (
           QDENSITY`Qdensity`s[1] Part[Private`v, 1] + 
           QDENSITY`Qdensity`s[2] Part[Private`v, 2] + 
           QDENSITY`Qdensity`s[3] Part[Private`v, 3])]}], "SubValues" -> None,
      "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`Rotqbit"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601304146*^9},ExpressionUUID->"019972e5-3cd1-414f-b141-\
b9486b043b62"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 OverscriptBox["n", "^"], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{
   OverscriptBox["n", "^"], ".", 
   OverscriptBox["n", "^"]}], "]"}]}], "Input",
 CellChangeTimes->{{3.6147855657483788`*^9, 3.614785600978034*^9}, {
   3.614939929218698*^9, 3.614939929225316*^9}, 
   3.614940254634865*^9},ExpressionUUID->"a3d0f7dc-b9d0-4e9d-ac45-\
dc49b93a5440"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{
        RowBox[{"Cos", "[", "\[Phi]", "]"}], " ", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}]}]},
      {
       RowBox[{
        RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
        RowBox[{"Sin", "[", "\[Phi]", "]"}]}]},
      {
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601324999*^9},ExpressionUUID->"a70517cd-6246-4b81-b468-\
316233840a63"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601336204*^9},ExpressionUUID->"8e8ccec9-d611-432a-94d6-\
c1c8c861d58b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   OverscriptBox["n", "^"], ".", 
   OverscriptBox["\[Sigma]", "\[RightVector]"]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Eigenvalues", "[", "%", 
  "]"}], "\[IndentingNewLine]", "Ket1"}], "Input",
 CellChangeTimes->{{3.614785674340254*^9, 3.614785724225272*^9}, 
   3.614939929228693*^9, 3.614940121059119*^9, {3.615191145365663*^9, 
   3.615191222919488*^9}, {3.61519125320268*^9, 
   3.615191306885151*^9}},ExpressionUUID->"21da04c7-284a-4fcc-bac5-\
2a68f9d206d4"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"Cos", "[", "\[Theta]", "]"}], 
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], " ", "\[Phi]"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}]},
     {
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"\[ImaginaryI]", " ", "\[Phi]"}]], " ", 
       RowBox[{"Sin", "[", "\[Theta]", "]"}]}], 
      RowBox[{"-", 
       RowBox[{"Cos", "[", "\[Theta]", "]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746013863373`*^9},ExpressionUUID->"b2b4ce0e-9d08-4815-9b4d-\
b27175c33a18"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"-", "1"}]},
      {"1"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601398881*^9},ExpressionUUID->"5ba5c67f-3876-4e2a-94d1-\
f0cac7230f9c"],

Cell[BoxData[
 TagBox["Ket1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601409246*^9},ExpressionUUID->"df15040e-3f9a-43d7-b2c9-\
8f56be8939ed"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Eigen*"}]], "Input",
 CellChangeTimes->{{3.615191179141171*^9, 
  3.615191182386868*^9}},ExpressionUUID->"fa6f23ee-1ddd-437b-b9fd-\
6bb0954af633"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["System`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["System`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["Eigensystem", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-46fa3555-a983-48f1-813b-ba497b7eeeeb", {
                    "Eigensystem", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Eigenvalues", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-46fa3555-a983-48f1-813b-ba497b7eeeeb", {
                    "Eigenvalues", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EigenvectorCentrality", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-46fa3555-a983-48f1-813b-ba497b7eeeeb", {
                    "EigenvectorCentrality", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Eigenvectors", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-46fa3555-a983-48f1-813b-ba497b7eeeeb", {
                    "Eigenvectors", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic]}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.2375]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601460526*^9},ExpressionUUID->"c32ed716-b91c-4ae7-9653-\
52eefa131c0e"]
}, Open  ]]
}, Open  ]],

Cell[TextData[StyleBox["The following rotations are about a specific axis.  \
The Wigner rotations using Euler angles are illustrated in a separate \
notebook.",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.61572689893294*^9, 3.615726948250309*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.2.0",ExpressionUUID->"8d338c0d-e4b1-47a6-b98e-f47f826daff0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Rotation", " ", "about", " ", "x", " ", "axis"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Rotqbit", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", "\[Theta]"}], "]"}], 
     ".", 
     RowBox[{"Ket", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
   RowBox[{"DForm", "[", " ", 
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{
       RowBox[{"-", "I"}], " ", 
       RowBox[{"Pi", "/", "4"}]}], "]"}], 
     RowBox[{"Ket1", "[", 
      RowBox[{"\[Theta]", ",", 
       RowBox[{
        RowBox[{"-", "Pi"}], "/", "2"}]}], "]"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Rotation", " ", "about", " ", "y", " ", "axis"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Rotqbit", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "\[Theta]"}], "]"}], 
     ".", 
     RowBox[{"Ket", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
   RowBox[{"DForm", "[", 
    RowBox[{"Ket1", "[", 
     RowBox[{"\[Theta]", ",", " ", "0"}], "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Rotation", " ", "about", " ", "z", " ", "axis"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Rotqbit", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", "\[Theta]"}], "]"}], 
     ".", 
     RowBox[{"Ket", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"DForm", "[", "%", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.614786508360718*^9, 3.614786547529126*^9}, {
   3.614801221063384*^9, 3.61480131232961*^9}, {3.614801435512061*^9, 
   3.6148015208273153`*^9}, {3.6148015636914*^9, 3.614801609056766*^9}, 
   3.614801668085327*^9, {3.615191352266014*^9, 3.615191408041358*^9}, {
   3.615196734450344*^9, 3.6151967407273817`*^9}, {3.615196785579686*^9, 
   3.615196796546771*^9}, {3.615196844493659*^9, 3.6151968779808064`*^9}, {
   3.615196924622155*^9, 
   3.6151970306924562`*^9}},ExpressionUUID->"eede73a8-bb5e-4f9a-b089-\
1de4b58b7d02"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{"Cos", "[", 
      FractionBox["\[Theta]", "2"], "]"}], "\")\"", "\" |\"", "\"0\"", 
    "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], " ", 
      RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}], "\")\"", "\" |\"", "\"1\"", 
    "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601499501*^9},ExpressionUUID->"dd702eae-9eb0-43fb-b835-\
df3130eb3ffa"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{"Cos", "[", 
      FractionBox["\[Theta]", "2"], "]"}], "\")\"", "\" |\"", "\"0\"", 
    "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], " ", 
      RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}]}], "\")\"", "\" |\"", "\"1\"", 
    "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746015129213`*^9},ExpressionUUID->"14e1ebc5-cfb9-4db1-9cbb-\
e8c172c87713"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{"Cos", "[", 
      FractionBox["\[Theta]", "2"], "]"}], "\")\"", "\" |\"", "\"0\"", 
    "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"Sin", "[", 
      FractionBox["\[Theta]", "2"], "]"}], "\")\"", "\" |\"", "\"1\"", 
    "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601524794*^9},ExpressionUUID->"f9a392a6-2bcd-48fe-8563-\
4287bdbb0824"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{"Cos", "[", 
      FractionBox["\[Theta]", "2"], "]"}], "\")\"", "\" |\"", "\"0\"", 
    "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{"Sin", "[", 
      FractionBox["\[Theta]", "2"], "]"}], "\")\"", "\" |\"", "\"1\"", 
    "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601536072*^9},ExpressionUUID->"1cb5f175-ebfb-45b0-9473-\
18a2b0e0a07c"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"-", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}], "2"]}]], "\")\"", 
    "\" |\"", "\"0\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601547359*^9},ExpressionUUID->"71c42fca-0b35-41f2-aabe-\
438e79d40950"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Rotqbit", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", "\[Theta]"}], "]"}], 
  "\[Equal]", 
  RowBox[{"RotX", "[", "\[Theta]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rotqbit", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", "\[Theta]"}], "]"}], 
  "\[Equal]", 
  RowBox[{"RotY", "[", "\[Theta]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rotqbit", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", "\[Theta]"}], "]"}], 
  "\[Equal]", 
  RowBox[{"RotZ", "[", "\[Theta]", "]"}]}]}], "Input",
 CellChangeTimes->{{3.614801572327919*^9, 
  3.614801594354293*^9}},ExpressionUUID->"1f48707e-b3ec-4f84-92a5-\
85cb2fd3858b"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601688965*^9},ExpressionUUID->"f570382d-2659-495f-b748-\
74d73c1bc042"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601700576*^9},ExpressionUUID->"9724dd85-2371-4a92-9f3d-\
2143f64d8940"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601710326*^9},ExpressionUUID->"b5b5404e-8c9c-41ec-be6d-\
8e996d8eec51"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  OverscriptBox["n", "^"], " ", "/.", " ", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"\[Theta]", "\[Rule]", " ", 
     RowBox[{"Pi", "/", "2"}]}], ",", 
    RowBox[{"\[Phi]", "\[Rule]", " ", 
     RowBox[{"Pi", "/", "2"}]}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.615029043823103*^9, 
  3.61502907175375*^9}},ExpressionUUID->"d25ea64c-507c-441e-ba89-\
28a15873e7bc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"1"},
      {"0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746017254887`*^9},ExpressionUUID->"4ea1068c-444e-4d57-9017-\
1355d5b845fd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"MatrixExp", "[", 
     RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], " ", 
      RowBox[{"t", "/", "2"}], " ", 
      RowBox[{"s", "[", "3", "]"}]}], "]"}], " ", "/.", " ", 
    RowBox[{"{", 
     RowBox[{"t", "\[Rule]", " ", "Pi"}], "}"}]}], "\[IndentingNewLine]", 
   RowBox[{"%", "\[Equal]", 
    RowBox[{
     RowBox[{"-", "\[ImaginaryI]"}], " ", 
     RowBox[{"s", "[", "3", "]"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.61504389387061*^9, 3.615043894548263*^9}, {
  3.615043934181923*^9, 3.615043989079728*^9}, {3.6151909187896633`*^9, 
  3.615191019685482*^9}},ExpressionUUID->"db4bc1ff-3731-4d97-bf24-\
5731288b6927"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"-", "\[ImaginaryI]"}], "0"},
     {"0", "\[ImaginaryI]"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746017480593`*^9},ExpressionUUID->"f67c017d-985d-4ae3-8d5b-\
a8f2e00cef2e"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937460175976*^9},ExpressionUUID->"0731eea5-e8a1-4e66-8a16-911190bda8b2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"A", " ", 
     RowBox[{"Pi", "/", "2"}], " ", "spin", " ", 
     RowBox[{"1", "/", "2"}], " ", "rotation", " ", "about", " ", "the", " ", 
     "y"}], "-", 
    RowBox[{
    "axis", " ", "is", " ", "a", " ", "Hadamard", " ", "within", " ", "a", 
     " ", "phase"}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Rotqbit", "[", 
     RowBox[{
      OverscriptBox["n", "^"], ",", 
      RowBox[{
       RowBox[{"-", "Pi"}], "/", "2"}]}], "]"}], " ", "/.", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"\[Theta]", "\[Rule]", " ", 
       RowBox[{"Pi", "/", "2"}]}], ",", 
      RowBox[{"\[Phi]", "\[Rule]", " ", 
       RowBox[{"Pi", "/", "2"}]}]}], "}"}]}], "\[IndentingNewLine]", " ", 
   RowBox[{"rotH", "=", 
    RowBox[{
     RowBox[{"s", "[", "3", "]"}], ".", 
     RowBox[{"Rotqbit", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{
        RowBox[{"-", "Pi"}], "/", "2"}]}], "]"}]}]}], "\[IndentingNewLine]", 
   StyleBox[" ", "MSG"], 
   StyleBox["\[ScriptCapitalH]", "MSG",
    FontSize->16], 
   StyleBox[" ", "MSG",
    FontSize->16], 
   StyleBox["\[IndentingNewLine]", "MSG",
    FontSize->16], 
   RowBox[{
    RowBox[{
     StyleBox["rotH", "MSG",
      FontSize->16], 
     StyleBox[".", "MSG",
      FontSize->16], 
     RowBox[{"Ket", "[", "0", "]"}]}], "\[Equal]", 
    RowBox[{"\[ScriptCapitalH]", ".", 
     RowBox[{"Ket", "[", "0", "]"}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     StyleBox["rotH", "MSG",
      FontSize->16], 
     StyleBox[".", "MSG",
      FontSize->16], 
     RowBox[{"Ket", "[", "1", "]"}]}], "\[Equal]", 
    RowBox[{"\[ScriptCapitalH]", ".", 
     RowBox[{"Ket", "[", "1", "]"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.614851996640057*^9, 3.61485200629327*^9}, {
   3.614852054959833*^9, 3.614852058567501*^9}, {3.6148521062555933`*^9, 
   3.6148521074013367`*^9}, {3.6148522256006203`*^9, 3.61485229334475*^9}, {
   3.614852395806662*^9, 3.6148524058968773`*^9}, 3.6148524518974752`*^9, {
   3.614852498737692*^9, 3.6148526130097446`*^9}, {3.614852664397533*^9, 
   3.614852733794731*^9}, {3.61502923280228*^9, 3.61502924488446*^9}, 
   3.615043529223188*^9, {3.615043573523369*^9, 3.615043621254875*^9}, {
   3.6150436644758177`*^9, 3.615043669694355*^9}, {3.6151908499091682`*^9, 
   3.6151908504386272`*^9}},ExpressionUUID->"55b3e53c-e523-4b4a-b3bd-\
1bca7ceb1cad"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], 
      FractionBox["1", 
       SqrtBox["2"]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746017843533`*^9},ExpressionUUID->"b6b4eb3b-9c9e-4026-b62c-\
cc6a3832f665"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601798274*^9},ExpressionUUID->"214e7924-a8ab-45be-9240-\
2e80a9102c7f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["1", 
       SqrtBox["2"]]},
     {
      FractionBox["1", 
       SqrtBox["2"]], 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601809351*^9},ExpressionUUID->"079bded1-8e4b-46e4-b228-\
4c3a59cae787"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601820677*^9},ExpressionUUID->"6592043a-aff7-4d50-b8e7-\
3e157145e077"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601831349*^9},ExpressionUUID->"02d3bba3-e56d-4f00-bf29-\
12e9868736d4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Wigner*"}]], "Input",
 CellChangeTimes->{{3.615197729890328*^9, 
  3.6151977389484997`*^9}},ExpressionUUID->"8e3d5ffd-1519-4ce6-a58d-\
3e57a5d9ff89"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["System`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["System`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["WignerD", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-162fa403-6082-4190-8b7a-28824522bf21", {
                    "WignerD", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  
                  StyleBox["WignerSemicircleDistribution", 
                   "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-162fa403-6082-4190-8b7a-28824522bf21", {
                    "WignerSemicircleDistribution", "System`"}, False},
                  ButtonNote->"System`",
                  Evaluator->Automatic]}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.475]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601871616*^9},ExpressionUUID->"2f5a28ae-19eb-4558-a2a4-\
e8c99dd88b82"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Rotqbit", "[", 
   RowBox[{
    OverscriptBox["n", "^"], ",", "\[Theta]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Rotqbit", "[", 
   RowBox[{
    OverscriptBox["n", "^"], ",", "\[Theta]"}], "]"}], ".", 
  RowBox[{"Ket", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"DForm", "[", "%", "]"}], ",", 
   RowBox[{"Trig", "\[Rule]", "False"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.614785522477777*^9, 3.614785558195698*^9}, {
  3.614785610887342*^9, 3.6147856668089037`*^9}, {3.6147857498647547`*^9, 
  3.6147857858612413`*^9}, {3.614785964559079*^9, 3.6147860011430264`*^9}, {
  3.614786072466282*^9, 3.614786186016363*^9}, {3.614786229034487*^9, 
  3.614786245224031*^9}, {3.6147863688332863`*^9, 3.614786474317567*^9}, {
  3.6149399292330112`*^9, 3.614939929236423*^9}, {3.615197105693131*^9, 
  3.61519717017575*^9}, {3.6151972057705803`*^9, 3.61519722065207*^9}, {
  3.615197267923493*^9, 3.615197270823805*^9}, {3.615197308353696*^9, 
  3.615197336442299*^9}, {3.6151973714529743`*^9, 3.61519740156769*^9}, {
  3.615197434560234*^9, 3.61519747538588*^9}, {3.61519757387516*^9, 
  3.615197596374447*^9}},ExpressionUUID->"fffcfb57-fb36-45ce-8c48-\
02f05bb6b0f7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}], "2"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "-", 
          RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ")"}]}], "+", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}], "2"]], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ")"}]}]}]},
     {
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}], "2"]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            RowBox[{"Cos", "[", "\[Phi]", "]"}]}], " ", 
           RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "-", 
          RowBox[{"\[ImaginaryI]", " ", 
           RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], ")"}]}], "+", 
       RowBox[{
        FractionBox["1", "2"], " ", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"\[ImaginaryI]", " ", "\[Theta]"}], "2"]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            RowBox[{"Cos", "[", "\[Phi]", "]"}]}], " ", 
           RowBox[{"Sin", "[", "\[Theta]", "]"}]}], "-", 
          RowBox[{"\[ImaginaryI]", " ", 
           RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
           RowBox[{"Sin", "[", "\[Phi]", "]"}]}]}], ")"}]}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374601901126*^9},ExpressionUUID->"469852a5-b543-4f55-aa40-\
cb82261d0000"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"Cos", "[", 
        FractionBox["\[Theta]", "2"], "]"}], "+", 
      RowBox[{
        FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
        RowBox[{"(", 
          RowBox[{
            RowBox[{"Sin", "[", 
              FractionBox["\[Theta]", "2"], "]"}], "-", 
            RowBox[{"Sin", "[", 
              FractionBox[
               RowBox[{"3", " ", "\[Theta]"}], "2"], "]"}]}], ")"}]}]}], 
    "\")\"", "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
    RowBox[{
      RowBox[{"Sin", "[", 
        FractionBox["\[Theta]", "2"], "]"}], " ", 
      RowBox[{"Sin", "[", "\[Theta]", "]"}], " ", 
      RowBox[{"(", 
        RowBox[{
          RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], " ", 
            RowBox[{"Cos", "[", "\[Phi]", "]"}]}], "+", 
          RowBox[{"Sin", "[", "\[Phi]", "]"}]}], ")"}]}], "\")\"", "\" |\"", 
    "\"1\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602049439*^9},ExpressionUUID->"2005f298-fbde-403e-af6f-\
bed54aa604cb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Trig"}]], "Input",
 CellChangeTimes->{{3.6151972348665*^9, 
  3.615197236974169*^9}},ExpressionUUID->"4212b21e-435b-4b64-a861-\
789ba62672b8"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"]], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"]]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               ButtonData->"paclet:ref/Trig",
               ButtonNote->"paclet:ref/Trig"],
              "\"paclet:ref/Trig\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Trig is an option for various polynomial \
manipulation functions that specifies whether trigonometric functions should \
be treated like polynomial elements.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Documentation\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Documentation\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Documentation", "Tooltip"]& ], 
                    TemplateBox[{
                    
                    TemplateBox[{
                    "\"Local \[RightGuillemet]\"", "paclet:ref/Trig", 
                    "paclet:ref/Trig", "Link", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"], "\"  \"", 
                    StyleBox[
                    "\"|\"", "InformationRowLabel", StripOnInput -> False], 
                    "\"  \"", 
                    TemplateBox[{"\"Web \[RightGuillemet]\"", {
                    URL[
                    "http://reference.wolfram.com/language/ref/Trig.html"], 
                    None}, "http://reference.wolfram.com/language/ref/Trig.\
html", "Hyperlink", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"]},
                    "RowDefault"]},
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Attributes\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Attributes\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Attributes", "Tooltip"]& ], 
                    RowBox[{"{", "Protected", "}"}]},
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"System`Trig\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"],
                 ImageSizeCache->{13., {4., 9.}}], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"],
                 ImageSizeCache->{13., {4., 9.}}]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               ButtonData->"paclet:ref/Trig",
               ButtonNote->"paclet:ref/Trig"],
              "\"paclet:ref/Trig\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Trig is an option for various polynomial \
manipulation functions that specifies whether trigonometric functions should \
be treated like polynomial elements.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Trig is an option for various polynomial manipulation functions that \
specifies whether trigonometric functions should be treated like polynomial \
elements.", 
     "Documentation" -> <|
      "Local" -> "paclet:ref/Trig", "Web" -> 
       "http://reference.wolfram.com/language/ref/Trig.html"|>, "OwnValues" -> 
     None, "UpValues" -> None, "DownValues" -> None, "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {Protected}, "FullName" -> 
     "System`Trig"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602140273*^9},ExpressionUUID->"6a996543-9c24-49aa-89d5-\
eff1ed3286b8"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Pauli", " ", "Matrices", "  ", "Equivalent", " ", "Forms"}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.6148527839843616`*^9, 3.61485279782648*^9}, {
  3.614853642302339*^9, 
  3.614853647960286*^9}},ExpressionUUID->"a02072ce-30b2-4698-8ed7-\
806780083c0a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "PauliMatrix"}], "\[IndentingNewLine]", 
 RowBox[{"?", "s"}]}], "Input",
 CellChangeTimes->{{3.614852990130526*^9, 3.61485299300521*^9}, {
  3.6148530242906113`*^9, 3.6148530424685907`*^9}, {3.614853103694531*^9, 
  3.6148531667538652`*^9}, {3.614853213462365*^9, 
  3.614853219851118*^9}},ExpressionUUID->"81920f95-4f8e-47d3-af9c-\
e38997190309"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"]], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"]]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               ButtonData->"paclet:ref/PauliMatrix",
               ButtonNote->"paclet:ref/PauliMatrix"],
              "\"paclet:ref/PauliMatrix\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"\\!\\(\\*RowBox[{\\\"PauliMatrix\\\", \\\"[\\\", \
StyleBox[\\\"k\\\", \\\"TI\\\"], \\\"]\\\"}]\\) gives the \
\\!\\(\\*StyleBox[\\\"k\\\", \
\\\"TI\\\"]\\)\\!\\(\\*SuperscriptBox[\\\"\[Null]\\\", \\\"th\\\"]\\) Pauli \
spin matrix \\!\\(\\*SubscriptBox[\\\"\[Sigma]\\\", StyleBox[\\\"k\\\", \
\\\"TI\\\"]]\\).\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Documentation\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Documentation\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Documentation", "Tooltip"]& ], 
                    TemplateBox[{
                    
                    TemplateBox[{
                    "\"Local \[RightGuillemet]\"", "paclet:ref/PauliMatrix", 
                    "paclet:ref/PauliMatrix", "Link", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"], "\"  \"", 
                    StyleBox[
                    "\"|\"", "InformationRowLabel", StripOnInput -> False], 
                    "\"  \"", 
                    TemplateBox[{"\"Web \[RightGuillemet]\"", {
                    URL[
                    "http://reference.wolfram.com/language/ref/PauliMatrix.\
html"], None}, "http://reference.wolfram.com/language/ref/PauliMatrix.html", 
                    "Hyperlink", {
                    RGBColor[0.9686274509803922, 0.4666666666666667, 0.]}, 
                    BaseStyle -> {
                    RGBColor[0.0784313725490196, 0.1568627450980392, 0.6]}}, 
                    "HyperlinkTemplate"]},
                    "RowDefault"]},
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Attributes\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Attributes\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Attributes", "Tooltip"]& ], 
                    RowBox[{"{", 
                    RowBox[{"Protected", ",", "ReadProtected"}], "}"}]},
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"System`PauliMatrix\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox[
            PaneBox[
             TooltipBox[
              ButtonBox[
               PaneSelectorBox[{False->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIcon"],
                 ImageSizeCache->{13., {4., 9.}}], True->
                
                DynamicBox[FEPrivate`FrontEndResource[
                 "FEBitmaps", "InformationHelpIconHot"],
                 ImageSizeCache->{13., {4., 9.}}]}, Dynamic[
                 CurrentValue["MouseOver"]]],
               Appearance->None,
               BaseStyle->"Link",
               ButtonData->"paclet:ref/PauliMatrix",
               ButtonNote->"paclet:ref/PauliMatrix"],
              "\"paclet:ref/PauliMatrix\""],
             FrameMargins->{{0, 4}, {0, 2}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"\\!\\(\\*RowBox[{\\\"PauliMatrix\\\", \\\"[\\\", \
StyleBox[\\\"k\\\", \\\"TI\\\"], \\\"]\\\"}]\\) gives the \
\\!\\(\\*StyleBox[\\\"k\\\", \
\\\"TI\\\"]\\)\\!\\(\\*SuperscriptBox[\\\"\[Null]\\\", \\\"th\\\"]\\) Pauli \
spin matrix \\!\\(\\*SubscriptBox[\\\"\[Sigma]\\\", StyleBox[\\\"k\\\", \
\\\"TI\\\"]]\\).\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "\!\(\*RowBox[{\"PauliMatrix\", \"[\", StyleBox[\"k\", \"TI\"], \
\"]\"}]\) gives the \!\(\*StyleBox[\"k\", \"TI\"]\)\!\(\*SuperscriptBox[\"\
\[Null]\", \"th\"]\) Pauli spin matrix \!\(\*SubscriptBox[\"\[Sigma]\", \
StyleBox[\"k\", \"TI\"]]\).", 
     "Documentation" -> <|
      "Local" -> "paclet:ref/PauliMatrix", "Web" -> 
       "http://reference.wolfram.com/language/ref/PauliMatrix.html"|>, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> None, 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {Protected, ReadProtected}, "FullName" -> 
     "System`PauliMatrix"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602236549*^9},ExpressionUUID->"8d57d310-ff34-4781-9b4d-\
5d4054f6fb13"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"s[i] with i={0,1,2,3}\\n\\n Returns the Pauli \
Sigma matrices.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"s", "[", "0", "]"}], ":=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"s", "[", "1", "]"}], ":=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], "}"}]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"s", "[", "2", "]"}], ":=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "\[ImaginaryI]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"\[ImaginaryI]", ",", "0"}], "}"}]}], "}"}]}]}, {
                    " "}, {
                    RowBox[{
                    RowBox[{"s", "[", "3", "]"}], ":=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "1"}]}], "}"}]}], "}"}]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"s", "[", "10", "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    FractionBox["1", 
                    SqrtBox["2"]], ",", 
                    FractionBox["1", 
                    SqrtBox["2"]]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    FractionBox["1", 
                    SqrtBox["2"]], ",", 
                    RowBox[{"-", 
                    FractionBox["1", 
                    SqrtBox["2"]]}]}], "}"}]}], "}"}]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"s", "[", "11", "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], "}"}]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"s", "[", "12", "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}]}], "}"}]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"s", "[", "13", "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}]}, {" "}, {
                    RowBox[{
                    RowBox[{"s", "[", "33", "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", 
                    RowBox[{"-", "1"}]}], "}"}]}], "}"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`s\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"s[i] with i={0,1,2,3}\\n\\n Returns the Pauli \
Sigma matrices.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "s[i] with i={0,1,2,3}\n\n Returns the Pauli Sigma matrices.", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`s, {
       QDENSITY`Qdensity`s[0] :> {{1, 0}, {0, 1}}, 
        QDENSITY`Qdensity`s[1] :> {{0, 1}, {1, 0}}, 
        QDENSITY`Qdensity`s[2] :> {{0, -I}, {I, 0}}, 
        QDENSITY`Qdensity`s[3] :> {{1, 0}, {0, -1}}, 
        QDENSITY`Qdensity`s[
         10] -> {{2^Rational[-1, 2], 2^Rational[-1, 2]}, {
          2^Rational[-1, 2], -2^Rational[-1, 2]}}, 
        QDENSITY`Qdensity`s[11] -> {{0, 1}, {1, 0}}, 
        QDENSITY`Qdensity`s[12] -> {{1, 0}, {0, 0}}, 
        QDENSITY`Qdensity`s[13] -> {{0, 0}, {0, 1}}, 
        QDENSITY`Qdensity`s[33] -> {{1, 0}, {0, -1}}}], "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`s"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602313994*^9},ExpressionUUID->"dbc6d130-7dcf-4909-aeef-\
c126397d7bfd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PauliMatrix", "[", "0", "]"}], "\[IndentingNewLine]", 
 RowBox[{"PauliMatrix", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"PauliMatrix", "[", "2", "]"}], "\[IndentingNewLine]", 
 RowBox[{"PauliMatrix", "[", "3", "]"}]}], "Input",
 CellChangeTimes->{{3.614853235195223*^9, 3.614853293781836*^9}, {
  3.614853396073605*^9, 
  3.6148533989306*^9}},ExpressionUUID->"bf840fd6-65ca-4b5d-b663-c50f64851b6b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602334812*^9},ExpressionUUID->"c70b765e-98bf-49ba-a1d7-\
0730a42b29a7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "1"},
     {"1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602347208*^9},ExpressionUUID->"ac54c884-73f0-424a-a90d-\
d3c0200511e0"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{"-", "\[ImaginaryI]"}]},
     {"\[ImaginaryI]", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602357936*^9},ExpressionUUID->"330036b9-dbd5-4d23-a403-\
9553aa207613"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937460236942*^9},ExpressionUUID->"d976931e-c945-4e15-bf39-38d7f6ef50b4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 SubscriptBox["\[Sigma]", "0"], "\[IndentingNewLine]", 
 SubscriptBox["\[Sigma]", "1"], "\[IndentingNewLine]", 
 SubscriptBox["\[Sigma]", "2"], "\[IndentingNewLine]", 
 SubscriptBox["\[Sigma]", "3"]}], "Input",
 CellChangeTimes->{{3.614853344845902*^9, 
  3.614853385273594*^9}},ExpressionUUID->"a07ce719-ef1a-4455-877d-\
980291b0af34"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746023932*^9},ExpressionUUID->"451ee1f8-404c-43b5-b4ee-18e65ca4276d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "1"},
     {"1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602406019*^9},ExpressionUUID->"6580e1cf-3cfd-4ac1-951e-\
2944f743f93b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{"-", "\[ImaginaryI]"}]},
     {"\[ImaginaryI]", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602417768*^9},ExpressionUUID->"aaa30750-2602-49ae-aa99-\
d0cf5299db21"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602429203*^9},ExpressionUUID->"814cded6-b514-41b4-ba51-\
627c98478767"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"PauliMatrix", "[", "0", "]"}], ",", 
    RowBox[{"PauliMatrix", "[", "1", "]"}], ",", 
    RowBox[{"PauliMatrix", "[", "2", "]"}], ",", 
    RowBox[{"PauliMatrix", "[", "3", "]"}]}], "}"}], "==", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"s", "[", "0", "]"}], ",", 
    RowBox[{"s", "[", "1", "]"}], ",", 
    RowBox[{"s", "[", "2", "]"}], ",", 
    RowBox[{"s", "[", "3", "]"}]}], "}"}], "==", 
  RowBox[{"{", 
   RowBox[{"Sigma0", ",", "Sigma1", ",", "Sigma2", ",", "Sigma3"}], "}"}], 
  "\[Equal]", 
  RowBox[{"{", 
   RowBox[{
    SubscriptBox["\[Sigma]", "0"], ",", 
    SubscriptBox["\[Sigma]", "1"], ",", 
    SubscriptBox["\[Sigma]", "2"], ",", 
    SubscriptBox["\[Sigma]", "3"]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.61485280432136*^9, 3.61485296208074*^9}, {
  3.614853246097472*^9, 3.6148532529361362`*^9}, {3.614853421554577*^9, 
  3.6148534242538843`*^9}, {3.614853592851345*^9, 
  3.6148536112644043`*^9}},ExpressionUUID->"aa91c26a-11ed-4874-9adb-\
6dd9de5c386f"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602444344*^9},ExpressionUUID->"45b7164b-a4a0-4408-a44b-\
50374f351dcc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "SP"}]], "Input",
 CellChangeTimes->{{3.614853668755834*^9, 
  3.6148536700879583`*^9}},ExpressionUUID->"e333b42d-3855-4a39-b579-\
1993c1dcce01"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"SP[Length[V],V]\\n\\n\\t SP returns the tensor or \
spin product(SP) of \\n\\n Length[V] qubits with the components\\n\\n \
specified by the array V.  The array V={0, 1,2,q,...}has \\n\\n a length \
equal to the number of qubits\\n\\n and the entries in the array V specify \
the\\n\\n components of the qth Pauli operator.  \\n\\n\\t For example:  \
SP[2,{3,2}] returns the same 4X4 matrix as\\n\\n \
AF[Sigma3\[CircleTimes]Sigma2].  The advantage of SP is that it\\n\\n works \
for large dimensional matrices.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"SP", "[", 
                    RowBox[{"Private`nqv_", ",", "Private`Q_"}], "]"}], ":=", 
                    RowBox[{"ArrayFlatten", "[", 
                    RowBox[{"Private`Sp", "[", 
                    RowBox[{"Private`nqv", ",", "Private`Q"}], "]"}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`SP\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"SP[Length[V],V]\\n\\n\\t SP returns the tensor or \
spin product(SP) of \\n\\n Length[V] qubits with the components\\n\\n \
specified by the array V.  The array V={0, 1,2,q,...}has \\n\\n a length \
equal to the number of qubits\\n\\n and the entries in the array V specify \
the\\n\\n components of the qth Pauli operator.  \\n\\n\\t For example:  \
SP[2,{3,2}] returns the same 4X4 matrix as\\n\\n \
AF[Sigma3\[CircleTimes]Sigma2].  The advantage of SP is that it\\n\\n works \
for large dimensional matrices.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "SP[Length[V],V]\n\n\t SP returns the tensor or spin product(SP) of \n\n \
Length[V] qubits with the components\n\n specified by the array V.  The array \
V={0, 1,2,q,...}has \n\n a length equal to the number of qubits\n\n and the \
entries in the array V specify the\n\n components of the qth Pauli operator.  \
\n\n\t For example:  SP[2,{3,2}] returns the same 4X4 matrix as\n\n AF[Sigma3\
\[CircleTimes]Sigma2].  The advantage of SP is that it\n\n works for large \
dimensional matrices.", "Documentation" -> None, "OwnValues" -> None, 
     "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`SP, {QDENSITY`Qdensity`SP[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`Q, 
           Blank[]]] :> ArrayFlatten[
          Private`Sp[Private`nqv, Private`Q]]}], "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`SP"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602534279*^9},ExpressionUUID->"fd854338-0465-4c13-b9fc-\
76de52a2f99b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SP", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", "0", "}"}]}], "]"}], "==", 
  RowBox[{"PauliMatrix", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SP", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", "1", "}"}]}], "]"}], "==", 
  RowBox[{"PauliMatrix", "[", "1", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SP", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", "2", "}"}]}], "]"}], "==", 
  RowBox[{"PauliMatrix", "[", "2", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SP", "[", 
   RowBox[{"1", ",", 
    RowBox[{"{", "3", "}"}]}], "]"}], "==", 
  RowBox[{"PauliMatrix", "[", "3", "]"}]}]}], "Input",
 CellChangeTimes->{{3.6148536800383663`*^9, 
  3.614853747878002*^9}},ExpressionUUID->"7b4af726-0d3b-47cb-993d-\
b5b976459c1b"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746025559273`*^9},ExpressionUUID->"5047a8f1-039d-44db-985f-\
67b063d6bd36"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602567411*^9},ExpressionUUID->"0675d65c-3c61-41d0-826c-\
8966ed13bb74"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602578085*^9},ExpressionUUID->"3002f8ea-972e-4b67-b9b2-\
db3ea0a7531f"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602588323*^9},ExpressionUUID->"03a96ed3-e0e7-4e28-80ca-\
b4a55c1bcb13"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SP", "[", 
   RowBox[{"2", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0"}], "}"}]}], "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[Sigma]", "1"], " ", "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "0"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SP", "[", 
   RowBox[{"4", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "1", ",", "0"}], "}"}]}], "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[Sigma]", "1"], " ", "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "0"], "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "1"], " ", "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "0"]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SP", "[", 
   RowBox[{"6", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1"}], "}"}]}],
    "]"}], "\[Equal]", 
  RowBox[{"AF", "[", 
   RowBox[{
    SubscriptBox["\[Sigma]", "1"], " ", "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "0"], "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "1"], " ", "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "0"], "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "1"], " ", "\[CircleTimes]", " ", 
    SubscriptBox["\[Sigma]", "1"]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.6148537593542633`*^9, 3.614853803202862*^9}, {
  3.6148538344332438`*^9, 3.614853927306975*^9}, {3.857068519172777*^9, 
  3.857068519182879*^9}, {3.8593736780204487`*^9, 3.8593736780303392`*^9}, {
  3.859373883272203*^9, 
  3.859373883283149*^9}},ExpressionUUID->"c9ebbac2-8e74-4d5f-bbcd-\
8cc1ff401f6c"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746026387253`*^9},ExpressionUUID->"f7217049-4979-4278-ae2d-\
dbc9adbe60dd"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602651232*^9},ExpressionUUID->"1e24ef2e-409b-4b1d-bd5f-\
37b05748ed6c"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602661978*^9},ExpressionUUID->"9fa71017-c289-4464-98e6-\
83695cd26c97"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Swap"}]], "Input",
 CellChangeTimes->{{3.614853941635272*^9, 
  3.614853945396525*^9}},ExpressionUUID->"b7f53c7f-0ea0-4982-8415-\
749e2b90bcdb"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Swap[nqv,q1,q2]\\n\\n\\t swaps the content of \
qubits 1 and 2,  within nqv qubits.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Swap", "[", 
                    
                    RowBox[{
                    "Private`nqv_", ",", "Private`q1_", ",", "Private`q2_"}], 
                    "]"}], ":=", 
                    RowBox[{"AF", "[", 
                    RowBox[{
                    RowBox[{"CNOT", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2"}], "]"}], ".", 
                    RowBox[{"CNOT", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q2", ",", 
                    "Private`q1"}], "]"}], ".", 
                    RowBox[{"CNOT", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2"}], "]"}]}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Swap\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Swap[nqv,q1,q2]\\n\\n\\t swaps the content of \
qubits 1 and 2,  within nqv qubits.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Swap[nqv,q1,q2]\n\n\t swaps the content of qubits 1 and 2,  within nqv \
qubits.", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Swap, {QDENSITY`Qdensity`Swap[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q1, 
           Blank[]], 
          Pattern[Private`q2, 
           Blank[]]] :> QDENSITY`Qdensity`AF[
          Dot[
           QDENSITY`Qdensity`CNOT[Private`nqv, Private`q1, Private`q2], 
           QDENSITY`Qdensity`CNOT[Private`nqv, Private`q2, Private`q1], 
           QDENSITY`Qdensity`CNOT[Private`nqv, Private`q1, Private`q2]]]}], 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`Swap"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602755293*^9},ExpressionUUID->"4fd6abc7-84f8-4e2c-a7ec-\
c59089a61ff4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Swap", "[", 
  RowBox[{"2", ",", "1", ",", "2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Swap", "[", 
    RowBox[{"2", ",", "1", ",", "2"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Swap", "[", 
    RowBox[{"4", ",", "1", ",", "3"}], "]"}], ".", 
   RowBox[{"AF", "[", 
    RowBox[{
     RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], "==", 
  RowBox[{"AF", "[", 
   RowBox[{
    RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
    RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.614853962558292*^9, 3.614854015413516*^9}, {
  3.614854056689136*^9, 3.614854132622916*^9}, {3.614854173008792*^9, 
  3.6148541936947308`*^9}, {3.857068519185739*^9, 3.8570685191938677`*^9}, {
  3.859373678033267*^9, 3.859373678041603*^9}, {3.859373883285286*^9, 
  3.859373883294002*^9}},ExpressionUUID->"614e87ba-b470-4299-ba1c-\
8a1e4ff4f266"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "0", "1", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602777351*^9},ExpressionUUID->"f7ce0fd1-e0e7-4a8c-b5c4-\
4e42229c8561"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602789785*^9},ExpressionUUID->"839deb7b-da1e-4565-a2c4-\
1eeacdee34f5"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602800557*^9},ExpressionUUID->"75c61767-48da-4b05-95da-\
b9f526caf9bf"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"example", "=", 
     RowBox[{"AF", "[", 
      RowBox[{
       RowBox[{"a", " ", 
        RowBox[{
         RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"Ket", "[", "0", "]"}]}]}], "-", 
       RowBox[{"b", " ", 
        RowBox[{
         RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"Ket", "[", "0", "]"}]}]}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Swap", "[", 
      RowBox[{"4", ",", "1", ",", "3"}], "]"}], ".", "example"}], "==", 
    RowBox[{"AF", "[", 
     RowBox[{
      RowBox[{"a", " ", 
       RowBox[{
        RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
        RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
        RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
        RowBox[{"Ket", "[", "0", "]"}]}]}], "-", 
      RowBox[{"b", " ", 
       RowBox[{
        RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
        RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
        RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
        RowBox[{"Ket", "[", "0", "]"}]}]}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.614854229952134*^9, 3.6148543953533573`*^9}, {
  3.857068519196542*^9, 3.857068519210553*^9}, {3.859373678044498*^9, 
  3.859373678058111*^9}, {3.859373883295884*^9, 
  3.85937388331032*^9}},ExpressionUUID->"3c1842a9-90dd-4c0e-865f-\
c97a199227df"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746028267803`*^9},ExpressionUUID->"5220fd97-94d3-40ce-9f58-\
4b800553d0a4"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Toffoli"}]], "Input",
 CellChangeTimes->{{3.615717495013706*^9, 
  3.615717509655819*^9}},ExpressionUUID->"e176442e-1890-4fa3-b672-\
9b45792ee551"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Toffoli[nqv,q1,q2, q3] \\n\\n\\tReturns the \
Toffoli operator with q1 and q2 as control qubits, \\n\\n q3 as target qubit \
within nqv qubits \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Toffoli", "[", 
                    
                    RowBox[{
                    "Private`nqv_", ",", "Private`q1_", ",", "Private`q2_", 
                    ",", "Private`q3_"}], "]"}], ":=", 
                    RowBox[{"AF", "[", 
                    RowBox[{
                    FractionBox["1", "4"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"3", " ", 
                    RowBox[{"ThreeOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "Private`q3", ",", "0", ",", "0", ",", 
                    "0"}], "]"}]}], "+", 
                    RowBox[{"ThreeOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "Private`q3", ",", "3", ",", "0", ",", 
                    "0"}], "]"}], "+", 
                    RowBox[{"ThreeOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "Private`q3", ",", "0", ",", "3", ",", 
                    "0"}], "]"}], "-", 
                    RowBox[{"ThreeOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "Private`q3", ",", "3", ",", "3", ",", 
                    "0"}], "]"}], "+", 
                    RowBox[{"ThreeOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "Private`q3", ",", "0", ",", "0", ",", 
                    "1"}], "]"}], "-", 
                    RowBox[{"ThreeOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "Private`q3", ",", "3", ",", "0", ",", 
                    "1"}], "]"}], "-", 
                    RowBox[{"ThreeOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "Private`q3", ",", "0", ",", "3", ",", 
                    "1"}], "]"}], "+", 
                    RowBox[{"ThreeOp", "[", 
                    
                    RowBox[{"Private`nqv", ",", "Private`q1", ",", 
                    "Private`q2", ",", "Private`q3", ",", "3", ",", "3", ",", 
                    "1"}], "]"}]}], ")"}]}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Toffoli\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Toffoli[nqv,q1,q2, q3] \\n\\n\\tReturns the \
Toffoli operator with q1 and q2 as control qubits, \\n\\n q3 as target qubit \
within nqv qubits \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Toffoli[nqv,q1,q2, q3] \n\n\tReturns the Toffoli operator with q1 and \
q2 as control qubits, \n\n q3 as target qubit within nqv qubits ", 
     "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Toffoli, {QDENSITY`Qdensity`Toffoli[
          Pattern[Private`nqv, 
           Blank[]], 
          Pattern[Private`q1, 
           Blank[]], 
          Pattern[Private`q2, 
           Blank[]], 
          Pattern[Private`q3, 
           Blank[]]] :> 
        QDENSITY`Qdensity`AF[(
           3 QDENSITY`Qdensity`ThreeOp[
             Private`nqv, Private`q1, Private`q2, Private`q3, 0, 0, 0] + 
           QDENSITY`Qdensity`ThreeOp[
            Private`nqv, Private`q1, Private`q2, Private`q3, 3, 0, 0] + 
           QDENSITY`Qdensity`ThreeOp[
            Private`nqv, Private`q1, Private`q2, Private`q3, 0, 3, 0] - 
           QDENSITY`Qdensity`ThreeOp[
           Private`nqv, Private`q1, Private`q2, Private`q3, 3, 3, 0] + 
           QDENSITY`Qdensity`ThreeOp[
            Private`nqv, Private`q1, Private`q2, Private`q3, 0, 0, 1] - 
           QDENSITY`Qdensity`ThreeOp[
           Private`nqv, Private`q1, Private`q2, Private`q3, 3, 0, 1] - 
           QDENSITY`Qdensity`ThreeOp[
           Private`nqv, Private`q1, Private`q2, Private`q3, 0, 3, 1] + 
           QDENSITY`Qdensity`ThreeOp[
            Private`nqv, Private`q1, Private`q2, Private`q3, 3, 3, 1])/4]}], 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`Toffoli"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602917078*^9},ExpressionUUID->"666a0218-3ada-4814-a03f-\
64356c711f02"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Toffoli", "[", 
  RowBox[{"3", ",", "1", ",", "2", ",", "3"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Toffoli", "[", 
  RowBox[{"3", ",", "3", ",", "2", ",", "1"}], "]"}]}], "Input",
 CellChangeTimes->{{3.615717522627043*^9, 
  3.615717567726281*^9}},ExpressionUUID->"76303c62-28e1-4ede-a837-\
6d47d0fa9ee6"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "1", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1"},
     {"0", "0", "0", "0", "0", "0", "1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602939354*^9},ExpressionUUID->"e1974910-9b58-4147-bd3c-\
7b2d936e80d6"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1"},
     {"0", "0", "0", "0", "1", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "1", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602952236*^9},ExpressionUUID->"4bd67274-d40a-4157-9bfb-\
bffabe6a6f36"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"state3", "=", 
   RowBox[{"AF", "[", 
    RowBox[{
     RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Toffoli", "[", 
    RowBox[{"3", ",", "1", ",", "2", ",", "3"}], "]"}], ".", "state3"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"state3", "=", 
   RowBox[{"AF", "[", 
    RowBox[{
     RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Toffoli", "[", 
    RowBox[{"3", ",", "1", ",", "2", ",", "3"}], "]"}], ".", "state3"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"state3", "=", 
   RowBox[{"AF", "[", 
    RowBox[{
     RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "1", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Ket", "[", "1", "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Toffoli", "[", 
    RowBox[{"3", ",", "1", ",", "2", ",", "3"}], "]"}], ".", "state3"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{
  3.615717591092379*^9, {3.615717629319591*^9, 3.615717746325338*^9}, {
   3.857068519217671*^9, 3.857068519224051*^9}, {3.859373678066474*^9, 
   3.8593736780724163`*^9}, {3.859373883312436*^9, 
   3.8593738833189774`*^9}},ExpressionUUID->"6b10a625-61e3-44ef-837d-\
ff6805a044a5"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602976201*^9},ExpressionUUID->"4e72c7de-b925-4a88-a7b9-\
8c7771af848a"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"110\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374602989787*^9},ExpressionUUID->"e62d1ae5-c127-4625-88c8-\
e76772ece80b"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"110\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746030013943`*^9},ExpressionUUID->"704f8d40-7a68-4d02-b4f5-\
41a09758aeb0"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"111\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603012385*^9},ExpressionUUID->"73f6267b-5294-41f5-a6ba-\
c0d118627895"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"011\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603023611*^9},ExpressionUUID->"d23f2c84-83bd-441f-811a-\
36b8767a58a0"],

Cell[BoxData[
 TagBox[
  TemplateBox[{
   "\" + \"", "\"(\"", "1", "\")\"", "\" |\"", "\"011\"", "\" >\""},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603034689*^9},ExpressionUUID->"9d605059-a781-4559-b8e2-\
296c3c3b6174"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "xb"}], "\[IndentingNewLine]", "nq", "\[IndentingNewLine]", 
 RowBox[{"Row", "[", 
  RowBox[{"xb", "[", "5", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Row", "[", 
  RowBox[{"xb", "[", 
   RowBox[{
    RowBox[{"2", "^", "nq"}], "-", "1"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.615717770936335*^9, 3.615717839123303*^9}, {
  3.615890193588212*^9, 
  3.615890243538904*^9}},ExpressionUUID->"6b0c5f0c-c1d2-47f7-bc02-\
194d327075d3"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"xb[i]\\n\\n\\t returns number i in binary;  \\n\\n \
See Xb (note capital X) for the associated binary array from 0 to nb^nq -1.\"\
\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"xb", "[", "Private`i_", "]"}], ":=", 
                    RowBox[{"IntegerDigits", "[", 
                    RowBox[{
                    RowBox[{"xd", "[", "Private`i", "]"}], ",", "nb", ",", 
                    "nq"}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`xb\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"xb[i]\\n\\n\\t returns number i in binary;  \\n\\n \
See Xb (note capital X) for the associated binary array from 0 to nb^nq -1.\"\
\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "xb[i]\n\n\t returns number i in binary;  \n\n See Xb (note capital X) \
for the associated binary array from 0 to nb^nq -1.", "Documentation" -> None,
      "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`xb, {QDENSITY`Qdensity`xb[
          Pattern[Private`i, 
           Blank[]]] :> IntegerDigits[
          QDENSITY`Qdensity`xd[Private`i], QDENSITY`Qdensity`nb, 
          QDENSITY`Qdensity`nq]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`xb"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603121586*^9},ExpressionUUID->"42c4a878-bfb8-4b11-9bc8-\
d947c7195dcd"],

Cell[BoxData[
 TagBox["6",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603138288*^9},ExpressionUUID->"d8e73258-442c-4eed-88a9-\
d4507e7fccc4"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"0", "0", "0", "1", "0", "1"},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603149037*^9},ExpressionUUID->"c8cc5098-e048-41b9-991b-\
b21afcfb6737"],

Cell[BoxData[
 TagBox[
  TemplateBox[{"1", "1", "1", "1", "1", "1"},
   "RowDefault"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603160809*^9},ExpressionUUID->"f06b4fa5-dfdc-4eb1-866c-\
dbf3a610f5a0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "Xb"}], "\[IndentingNewLine]", "nq", "\[IndentingNewLine]", 
 RowBox[{"2", "^", "nq"}], "\[IndentingNewLine]", "nb", "\[IndentingNewLine]", 
 RowBox[{"Xb", "[", 
  RowBox[{"2", "^", "nq"}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.6157178557794447`*^9, 3.615717898622518*^9}, {
  3.615718025024171*^9, 3.615718067929324*^9}, {3.61572572005256*^9, 
  3.6157257457816057`*^9}, {3.615890085620804*^9, 3.615890125097165*^9}, {
  3.615890158588896*^9, 
  3.61589016656564*^9}},ExpressionUUID->"fb878eee-b6fe-4b81-b8b7-\
e74a3e34ce30"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Xb (note capital X)\\n\\n\\t returns the binary \
\\narray for the numbers 0 to nb^nq -1.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Xb", "[", "Private`n_", "]"}], ":=", 
                    RowBox[{"Array", "[", 
                    RowBox[{"xb", ",", "Private`n", ",", "0"}], "]"}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Xb\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Xb (note capital X)\\n\\n\\t returns the binary \
\\narray for the numbers 0 to nb^nq -1.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Xb (note capital X)\n\n\t returns the binary \narray for the numbers 0 \
to nb^nq -1.", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> 
     None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Xb, {QDENSITY`Qdensity`Xb[
          Pattern[Private`n, 
           Blank[]]] :> Array[QDENSITY`Qdensity`xb, Private`n, 0]}], 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`Xb"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603252124*^9},ExpressionUUID->"d838fc42-6d7f-42b6-949d-\
e8b910122291"],

Cell[BoxData[
 TagBox["6",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603269452*^9},ExpressionUUID->"6c004ee2-4c71-4f77-8374-\
9f37d4de9353"],

Cell[BoxData[
 TagBox["64",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937460328082*^9},ExpressionUUID->"d8def5b8-4f76-458f-8cfb-da87c87696a0"],

Cell[BoxData[
 TagBox["2",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603292107*^9},ExpressionUUID->"1747cca4-750a-44ac-8cb2-\
0a79256e722f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "1"},
     {"0", "0", "0", "0", "1", "0"},
     {"0", "0", "0", "0", "1", "1"},
     {"0", "0", "0", "1", "0", "0"},
     {"0", "0", "0", "1", "0", "1"},
     {"0", "0", "0", "1", "1", "0"},
     {"0", "0", "0", "1", "1", "1"},
     {"0", "0", "1", "0", "0", "0"},
     {"0", "0", "1", "0", "0", "1"},
     {"0", "0", "1", "0", "1", "0"},
     {"0", "0", "1", "0", "1", "1"},
     {"0", "0", "1", "1", "0", "0"},
     {"0", "0", "1", "1", "0", "1"},
     {"0", "0", "1", "1", "1", "0"},
     {"0", "0", "1", "1", "1", "1"},
     {"0", "1", "0", "0", "0", "0"},
     {"0", "1", "0", "0", "0", "1"},
     {"0", "1", "0", "0", "1", "0"},
     {"0", "1", "0", "0", "1", "1"},
     {"0", "1", "0", "1", "0", "0"},
     {"0", "1", "0", "1", "0", "1"},
     {"0", "1", "0", "1", "1", "0"},
     {"0", "1", "0", "1", "1", "1"},
     {"0", "1", "1", "0", "0", "0"},
     {"0", "1", "1", "0", "0", "1"},
     {"0", "1", "1", "0", "1", "0"},
     {"0", "1", "1", "0", "1", "1"},
     {"0", "1", "1", "1", "0", "0"},
     {"0", "1", "1", "1", "0", "1"},
     {"0", "1", "1", "1", "1", "0"},
     {"0", "1", "1", "1", "1", "1"},
     {"1", "0", "0", "0", "0", "0"},
     {"1", "0", "0", "0", "0", "1"},
     {"1", "0", "0", "0", "1", "0"},
     {"1", "0", "0", "0", "1", "1"},
     {"1", "0", "0", "1", "0", "0"},
     {"1", "0", "0", "1", "0", "1"},
     {"1", "0", "0", "1", "1", "0"},
     {"1", "0", "0", "1", "1", "1"},
     {"1", "0", "1", "0", "0", "0"},
     {"1", "0", "1", "0", "0", "1"},
     {"1", "0", "1", "0", "1", "0"},
     {"1", "0", "1", "0", "1", "1"},
     {"1", "0", "1", "1", "0", "0"},
     {"1", "0", "1", "1", "0", "1"},
     {"1", "0", "1", "1", "1", "0"},
     {"1", "0", "1", "1", "1", "1"},
     {"1", "1", "0", "0", "0", "0"},
     {"1", "1", "0", "0", "0", "1"},
     {"1", "1", "0", "0", "1", "0"},
     {"1", "1", "0", "0", "1", "1"},
     {"1", "1", "0", "1", "0", "0"},
     {"1", "1", "0", "1", "0", "1"},
     {"1", "1", "0", "1", "1", "0"},
     {"1", "1", "0", "1", "1", "1"},
     {"1", "1", "1", "0", "0", "0"},
     {"1", "1", "1", "0", "0", "1"},
     {"1", "1", "1", "0", "1", "0"},
     {"1", "1", "1", "0", "1", "1"},
     {"1", "1", "1", "1", "0", "0"},
     {"1", "1", "1", "1", "0", "1"},
     {"1", "1", "1", "1", "1", "0"},
     {"1", "1", "1", "1", "1", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603303899*^9},ExpressionUUID->"793e8ba3-2fb1-4bc8-a02f-\
e8327c9ea230"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Row", "[", 
   RowBox[{
    RowBox[{"Xb", "[", "64", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "]"}], "\[Equal]", 
  RowBox[{"Row", "[", 
   RowBox[{"xb", "[", "0", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Row", "[", 
   RowBox[{
    RowBox[{"Xb", "[", "64", "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}], " ", "]"}], "\[Equal]", 
  RowBox[{"Row", "[", 
   RowBox[{"xb", "[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Row", "[", 
   RowBox[{
    RowBox[{"Xb", "[", "64", "]"}], "[", 
    RowBox[{"[", "64", "]"}], "]"}], " ", "]"}], "\[Equal]", 
  RowBox[{"Row", "[", 
   RowBox[{"xb", "[", "63", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.615725756963025*^9, 3.615725883756158*^9}, 
   3.6158893185179043`*^9, {3.6158893539993753`*^9, 3.615889433592304*^9}, {
   3.6158898625077133`*^9, 3.615890015340971*^9}, {3.61589027560233*^9, 
   3.615890332448655*^9}},ExpressionUUID->"5335b5e8-0f4c-4271-a37a-\
2b76b1bd9c90"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746033217*^9},ExpressionUUID->"80c4bd49-331b-4a38-a74c-8df8fe216f33"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746033340483`*^9},ExpressionUUID->"3c665010-2526-4d16-8e2c-\
b1adea088f44"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603343824*^9},ExpressionUUID->"5f65f1b4-4058-4065-b969-\
e5f04ab4745f"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", 
  "Xd"}], "\[IndentingNewLine]", "nq", "\[IndentingNewLine]", "nb", "\
\[IndentingNewLine]", 
 RowBox[{"Xd", "[", "nq", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Xd", "[", "12", "]"}]}], "Input",
 CellChangeTimes->{{3.615717949466103*^9, 3.615717966244197*^9}, {
  3.6157180152826157`*^9, 3.615718016823469*^9}, {3.6157180771210003`*^9, 
  3.615718087133255*^9}},ExpressionUUID->"8ffc3bbe-7c98-4f21-98cd-\
fce2c91e5ef7"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Xd (note capital X)\\n\\n\\t the decimal array for \
\\nthe numbers 0 to nb^nq -1.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Xd", "[", "Private`n_", "]"}], ":=", 
                    RowBox[{"Array", "[", 
                    RowBox[{"xd", ",", "Private`n", ",", "0"}], "]"}]}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Xd\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Xd (note capital X)\\n\\n\\t the decimal array for \
\\nthe numbers 0 to nb^nq -1.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Xd (note capital X)\n\n\t the decimal array for \nthe numbers 0 to \
nb^nq -1.", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
     "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Xd, {QDENSITY`Qdensity`Xd[
          Pattern[Private`n, 
           Blank[]]] :> Array[QDENSITY`Qdensity`xd, Private`n, 0]}], 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`Xd"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603433672*^9},ExpressionUUID->"6d5604c3-54b1-43cd-9e85-\
c9d2735bfdab"],

Cell[BoxData[
 TagBox["6",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603451432*^9},ExpressionUUID->"d49cd1a4-d9c5-4c58-b0a5-\
6eb4468eae2b"],

Cell[BoxData[
 TagBox["2",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603461721*^9},ExpressionUUID->"0b026de7-29cb-4074-9257-\
223ec5fc9251"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"1"},
      {"2"},
      {"3"},
      {"4"},
      {"5"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603472479*^9},ExpressionUUID->"4111b329-cf76-4215-bd89-\
aca6942a1d2b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"1"},
      {"2"},
      {"3"},
      {"4"},
      {"5"},
      {"6"},
      {"7"},
      {"8"},
      {"9"},
      {"10"},
      {"11"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603483426*^9},ExpressionUUID->"22b5834d-4d7a-46cc-9cad-\
21169adf2c17"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "ZeroT"}], "\[IndentingNewLine]", 
 RowBox[{"ZeroT", "[", "3", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ZeroT", "[", "8", "]"}]}], "Input",
 CellChangeTimes->{{3.615725911108685*^9, 
  3.6157259408143*^9}},ExpressionUUID->"d44971d4-9742-47d9-9a8e-5697801e6cda"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ZeroT[nqv]\\n\\n returns a table of 0 of length L.\
\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"ZeroT", "[", "Private`n_", "]"}], ":=", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", "Private`n", "}"}]}], "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`ZeroT\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"ZeroT[nqv]\\n\\n returns a table of 0 of length L.\
\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "ZeroT[nqv]\n\n returns a table of 0 of length L.", "Documentation" -> 
     None, "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`ZeroT, {QDENSITY`Qdensity`ZeroT[
          Pattern[Private`n, 
           Blank[]]] :> Table[0, {Private`n}]}], "SubValues" -> None, 
     "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
     "Options" -> None, "Attributes" -> {}, "FullName" -> 
     "QDENSITY`Qdensity`ZeroT"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603571621*^9},ExpressionUUID->"27b1da31-8428-48c4-8bab-\
5a7a0d541e91"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603588236*^9},ExpressionUUID->"900f7a9b-e017-4ed3-9fdf-\
073eb926ef99"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603599985*^9},ExpressionUUID->"c2b63ccd-c178-445c-8f0f-\
095d40bbfcef"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"?", "\[ScriptCapitalH] "}], "\[IndentingNewLine]", 
   RowBox[{"\[ScriptCapitalH]", " ", ".", "\[ScriptCapitalH]"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{"KroneckerProduct", "[", 
    RowBox[{"\[ScriptCapitalH]", ",", "\[ScriptCapitalH]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"%", ".", "%"}]}], "Input",
 CellChangeTimes->{{3.615726001640814*^9, 3.615726012171053*^9}, {
  3.6157260487112923`*^9, 3.615726150686191*^9}, {3.859373715204925*^9, 
  3.859373743915351*^9}},
 EmphasizeSyntaxErrors->
  True,ExpressionUUID->"3c722456-e455-40ae-b06e-509b22dd6c9f"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Information", "[", 
  RowBox[{"\"\<\[ScriptCapitalP]\>\"", ",", 
   RowBox[{"LongForm", "\[Rule]", "False"}]}], "]"}], "\n", 
 SubscriptBox["\[ScriptCapitalP]", "0"], "\n", 
 SubscriptBox["\[ScriptCapitalP]", "1"], "\n", 
 RowBox[{
  SubscriptBox["\[ScriptCapitalP]", "0"], ".", 
  SubscriptBox["\[ScriptCapitalP]", "1"]}], "\n", 
 RowBox[{
  RowBox[{
   SubscriptBox["\[ScriptCapitalP]", "0"], ".", 
   SubscriptBox["\[ScriptCapitalP]", "0"]}], "\[Equal]", 
  SubscriptBox["\[ScriptCapitalP]", "0"]}], "\n", 
 RowBox[{
  RowBox[{
   SubscriptBox["\[ScriptCapitalP]", "1"], ".", 
   SubscriptBox["\[ScriptCapitalP]", "1"]}], "\[Equal]", 
  SubscriptBox["\[ScriptCapitalP]", "1"]}], "\n", 
 RowBox[{
  SubscriptBox["\[ScriptCapitalP]", "0"], "\[Equal]", 
  RowBox[{
   TemplateBox[{"0"},
    "Ket"], "\[CircleTimes]", 
   TemplateBox[{"0"},
    "Bra"]}]}], "\n", 
 RowBox[{
  SubscriptBox["\[ScriptCapitalP]", "1"], "\[Equal]", 
  RowBox[{
   TemplateBox[{"1"},
    "Ket"], "\[CircleTimes]", 
   TemplateBox[{"1"},
    "Bra"]}]}]}], "Input",
 CellChangeTimes->{{3.615726267930459*^9, 3.615726398516514*^9}, {
  3.61572642918371*^9, 3.615726476354792*^9}, {3.857068519230865*^9, 
  3.857068519232728*^9}, {3.859373678079358*^9, 3.859373678080531*^9}, {
  3.8593738833226433`*^9, 3.859373883325409*^9}, {3.859374472399193*^9, 
  3.859374509860464*^9}},ExpressionUUID->"2e6c1ae5-21be-4e36-95c7-\
4b665a51388a"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Subscripted with 0 or 1 returns the one qubit \
projection operator\\n\\n |0\[RightAngleBracket]\[LeftAngleBracket]0| or |1\
\[RightAngleBracket]\[LeftAngleBracket]1| respectively.\\n\\n Commonly used \
together with \[CircleTimes] to \\nbuild density matrices.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`\[ScriptCapitalP]\"\
\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Subscripted with 0 or 1 returns the one qubit \
projection operator\\n\\n |0\[RightAngleBracket]\[LeftAngleBracket]0| or |1\
\[RightAngleBracket]\[LeftAngleBracket]1| respectively.\\n\\n Commonly used \
together with \[CircleTimes] to \\nbuild density matrices.\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Subscripted with 0 or 1 returns the one qubit projection operator\n\n \
|0\[RightAngleBracket]\[LeftAngleBracket]0| or |1\[RightAngleBracket]\
\[LeftAngleBracket]1| respectively.\n\n Commonly used together with \
\[CircleTimes] to \nbuild density matrices.", "Documentation" -> None, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> None, 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`\[ScriptCapitalP]"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603756274*^9},ExpressionUUID->"dc0e6b0f-fa01-4d27-8ba8-\
4de610350b11"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603774355*^9},ExpressionUUID->"7d663409-5a59-4e36-abd0-\
c8e561bd433e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603785677*^9},ExpressionUUID->"d28a3448-da11-4369-88fb-\
e86f43aeceb3"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0"},
     {"0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603798167*^9},ExpressionUUID->"9c9e6281-b53b-402a-a836-\
9df687017c15"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603809781*^9},ExpressionUUID->"a8f7df1b-881c-4175-a4ce-\
6badb0d8d44a"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.85937460382146*^9},ExpressionUUID->"c55f8d67-8e8e-438e-9bba-a0b7ccfd08e3"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.8593746038458*^9},ExpressionUUID->"f91a1d61-9570-4630-aa75-9fb88f7b5692"],

Cell[BoxData[
 TagBox["True",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603867729*^9},ExpressionUUID->"66d1d887-5583-48ca-9034-\
e80bad912df7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", 
  "\[DoubleStruckCapitalI]"}], "\[IndentingNewLine]", \
"\[DoubleStruckCapitalI]"}], "Input",
 CellChangeTimes->{
  3.615726514398831*^9, {3.6157265489595222`*^9, 
   3.615726556674471*^9}},ExpressionUUID->"14c69827-d8f2-4dbd-a8fa-\
591a17b5fa66"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"\\n\[DoubleStruckCapitalI]\\n\\n returns the \
identity matrix for one qubit, 2x2 . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Assignment\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"OwnValues\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "OwnValues", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{"\[DoubleStruckCapitalI]", ":=", "Sigma0"}]}, {
                    " "}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`\
\[DoubleStruckCapitalI]\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"\\n\[DoubleStruckCapitalI]\\n\\n returns the \
identity matrix for one qubit, 2x2 . \"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "\n\[DoubleStruckCapitalI]\n\n returns the identity matrix for one \
qubit, 2x2 . ", "Documentation" -> None, "OwnValues" -> 
     Information`InformationValueForm[
      OwnValues, QDENSITY`Qdensity`\[DoubleStruckCapitalI], {
       QDENSITY`Qdensity`\[DoubleStruckCapitalI] :> 
        QDENSITY`Qdensity`Sigma0}], "UpValues" -> None, "DownValues" -> None, 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`\[DoubleStruckCapitalI]"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603959152*^9},ExpressionUUID->"29c43906-3076-4b04-887b-\
2335cd842696"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374603977388*^9},ExpressionUUID->"2d723c57-921c-412a-af5d-\
dc3a94aff6b5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "\[Sigma]"}]], "Input",
 CellChangeTimes->{{3.615726624824768*^9, 
  3.6157266331038237`*^9}},ExpressionUUID->"e0cff2dd-6aa3-41dd-9d2e-\
0ab49e802dbc"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Should be used with subscripts 0,1,2,3. Returns \
the \\ncorresponding Pauli Matrix.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`\[Sigma]\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Should be used with subscripts 0,1,2,3. Returns \
the \\ncorresponding Pauli Matrix.\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Should be used with subscripts 0,1,2,3. Returns the \ncorresponding \
Pauli Matrix.", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> 
     None, "DownValues" -> None, "SubValues" -> None, "DefaultValues" -> None,
      "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`\[Sigma]"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374604067721*^9},ExpressionUUID->"504e56c8-baae-46b4-ab7d-\
0ad08263d6a0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 SubscriptBox["\[Sigma]", "0"], "\[IndentingNewLine]", 
 SubscriptBox["\[Sigma]", "1"], "\[IndentingNewLine]", 
 SubscriptBox["\[Sigma]", "2"], "\[IndentingNewLine]", 
 SubscriptBox["\[Sigma]", "3"]}], "Input",
 CellChangeTimes->{{3.614853344845902*^9, 
  3.614853385273594*^9}},ExpressionUUID->"52e6f1b1-c077-4dc1-8bd5-\
c8284066306d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374604091748*^9},ExpressionUUID->"a337b661-53b6-435d-bb17-\
aab7316312f0"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "1"},
     {"1", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374604105556*^9},ExpressionUUID->"562a9d86-57e9-4db6-87f0-\
e3e5a04c7bbc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", 
      RowBox[{"-", "\[ImaginaryI]"}]},
     {"\[ImaginaryI]", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374604117593*^9},ExpressionUUID->"74b16dc2-584d-4f20-8aa3-\
928d1d2f7267"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", 
      RowBox[{"-", "1"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374604129258*^9},ExpressionUUID->"8f96083d-07ef-4112-b53d-\
1c8acc7be354"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"rho", "=", "RandomQubit2"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.624555344894073*^9, 3.624555391284725*^9}, {
   3.624555423191414*^9, 3.624555436378261*^9}, 
   3.624555493832679*^9},ExpressionUUID->"31d5a1fd-f1b2-4f1d-82d0-\
f7065245d86d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.32978611633953364`", 
      RowBox[{
       RowBox[{"-", "0.031247775152014955`"}], "-", 
       RowBox[{"0.20424207685504292`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0008910196483857464`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.16326228672655163`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.04070849561785518`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.15763580961628673`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.031247775152014955`"}], "+", 
       RowBox[{"0.20424207685504292`", " ", "\[ImaginaryI]"}]}], 
      "0.2303087240524405`", 
      RowBox[{"0.10499754826870751`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.014705318627061302`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07865340236197076`"}], "+", 
       RowBox[{"0.0673743198402367`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.0008910196483857464`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.16326228672655163`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.10499754826870751`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.014705318627061302`", " ", "\[ImaginaryI]"}]}], 
      "0.2587799783172923`", 
      RowBox[{
       RowBox[{"-", "0.0852893996599621`"}], "+", 
       RowBox[{"0.01444774717994467`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.04070849561785518`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.15763580961628673`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.07865340236197076`"}], "-", 
       RowBox[{"0.0673743198402367`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0852893996599621`"}], "-", 
       RowBox[{"0.01444774717994467`", " ", "\[ImaginaryI]"}]}], 
      "0.18112518129073354`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374604152337*^9},ExpressionUUID->"16834cb6-ac67-4fe4-a104-\
ba33f10292ce"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Schmidt"}]], "Input",
 CellChangeTimes->{{3.6245555476642923`*^9, 3.624555557169273*^9}, {
  3.624555590120469*^9, 3.6245555944732027`*^9}, {3.624555634220767*^9, 
  3.624555640778657*^9}},ExpressionUUID->"73ddca9e-d6da-4cb8-a8de-\
fd24efeab710"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Schmidt[statein]: Module Schmidt Decomposition for \
2 qubit statein.  Also generates the Schmidt number Snos.\\n\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Schmidt", "[", "\[CapitalOmega]s_", "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"mc", ",", "v", ",", "res1", ",", "res2", ",", 
                    "mcl"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"mc", "=", 
                    RowBox[{"Coeff", "[", "\[CapitalOmega]s", "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"U", ",", "ws", ",", "v"}], "}"}], "=", 
                    RowBox[{"SingularValueDecomposition", "[", "mc", "]"}]}], 
                    ";", 
                    RowBox[{"Vs", "=", 
                    RowBox[{"Adj", "[", "v", "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"stA", "[", "s_", "]"}], ":=", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"i8", "=", "1"}], "2"], 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"U", "\[LeftDoubleBracket]", "i8", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "s", 
                    "\[RightDoubleBracket]"}], " ", 
                    TemplateBox[{
                    RowBox[{"i8", "-", "1"}]}, "Ket"]}]}]}], ";", 
                    RowBox[{
                    RowBox[{"stB", "[", "ts_", "]"}], ":=", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"j8", "=", "1"}], "2"], 
                    RowBox[{
                    RowBox[{
                    
                    RowBox[{"Vs", "\[LeftDoubleBracket]", "ts", 
                    "\[RightDoubleBracket]"}], "\[LeftDoubleBracket]", "j8", 
                    "\[RightDoubleBracket]"}], " ", 
                    TemplateBox[{
                    RowBox[{"j8", "-", "1"}]}, "Ket"]}]}]}], ";", 
                    RowBox[{"\[Phi]A1", "=", 
                    RowBox[{"DForm2", "[", 
                    RowBox[{"Chop", "[", 
                    RowBox[{"stA", "[", "1", "]"}], "]"}], "]"}]}], ";", 
                    RowBox[{"\[Phi]A2", "=", 
                    RowBox[{"DForm2", "[", 
                    RowBox[{"Chop", "[", 
                    RowBox[{"stA", "[", "2", "]"}], "]"}], "]"}]}], ";", 
                    RowBox[{"\[Phi]B1", "=", 
                    RowBox[{"DForm2", "[", 
                    RowBox[{"Chop", "[", 
                    RowBox[{"stB", "[", "1", "]"}], "]"}], "]"}]}], ";", 
                    RowBox[{"\[Phi]B2", "=", 
                    RowBox[{"DForm2", "[", 
                    RowBox[{"Chop", "[", 
                    RowBox[{"stB", "[", "2", "]"}], "]"}], "]"}]}], ";", 
                    RowBox[{"mcl", "=", 
                    RowBox[{"SingularValueList", "[", "mc", "]"}]}], ";", 
                    RowBox[{"Snos", "=", 
                    RowBox[{
                    RowBox[{"Length", "[", "mcl", "]"}], "-", 
                    RowBox[{"Count", "[", 
                    RowBox[{"mcl", ",", "0"}], "]"}]}]}], ";", 
                    RowBox[{"res1", "=", 
                    RowBox[{"{", 
                    
                    RowBox[{"\[Phi]A1", ",", "\[Phi]A2", ",", "\[Phi]B1", ",",
                     "\[Phi]B2"}], "}"}]}], ";", 
                    RowBox[{"res2", "=", 
                    RowBox[{"AF", "[", 
                    RowBox[{"Chop", "[", "ws", "]"}], "]"}]}], ";", 
                    RowBox[{"{", 
                    RowBox[{"res1", ",", "res2", ",", "Snos"}], "}"}]}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Schmidt\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Schmidt[statein]: Module Schmidt Decomposition for \
2 qubit statein.  Also generates the Schmidt number Snos.\\n\"\>", 
              "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Schmidt[statein]: Module Schmidt Decomposition for 2 qubit statein.  \
Also generates the Schmidt number Snos.\n", "Documentation" -> None, 
     "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Schmidt, {QDENSITY`Qdensity`Schmidt[
          Pattern[QDENSITY`Qdensity`\[CapitalOmega]s, 
           Blank[]]] :> 
        Module[{QDENSITY`Qdensity`mc, QDENSITY`Qdensity`v, 
           QDENSITY`Qdensity`res1, QDENSITY`Qdensity`res2, 
           QDENSITY`Qdensity`mcl}, 
          QDENSITY`Qdensity`mc = 
           QDENSITY`Qdensity`Coeff[QDENSITY`Qdensity`\[CapitalOmega]s]; {
            QDENSITY`Qdensity`U, QDENSITY`Qdensity`ws, QDENSITY`Qdensity`v} = 
           SingularValueDecomposition[QDENSITY`Qdensity`mc]; 
          QDENSITY`Qdensity`Vs = QDENSITY`Qdensity`Adj[QDENSITY`Qdensity`v]; 
          QDENSITY`Qdensity`stA[
             Pattern[QDENSITY`Qdensity`s, 
              Blank[]]] := Sum[Part[
               Part[QDENSITY`Qdensity`U, QDENSITY`Qdensity`i8], 
               QDENSITY`Qdensity`s] Ket[QDENSITY`Qdensity`i8 - 1], {
             QDENSITY`Qdensity`i8, 1, 2}]; QDENSITY`Qdensity`stB[
             Pattern[QDENSITY`Qdensity`ts, 
              Blank[]]] := Sum[Part[
               Part[QDENSITY`Qdensity`Vs, QDENSITY`Qdensity`ts], 
               QDENSITY`Qdensity`j8] Ket[QDENSITY`Qdensity`j8 - 1], {
             QDENSITY`Qdensity`j8, 1, 2}]; 
          QDENSITY`Qdensity`\[Phi]A1 = QDENSITY`Qdensity`DForm2[
             Chop[
              QDENSITY`Qdensity`stA[1]]]; 
          QDENSITY`Qdensity`\[Phi]A2 = QDENSITY`Qdensity`DForm2[
             Chop[
              QDENSITY`Qdensity`stA[2]]]; 
          QDENSITY`Qdensity`\[Phi]B1 = QDENSITY`Qdensity`DForm2[
             Chop[
              QDENSITY`Qdensity`stB[1]]]; 
          QDENSITY`Qdensity`\[Phi]B2 = QDENSITY`Qdensity`DForm2[
             Chop[
              QDENSITY`Qdensity`stB[2]]]; 
          QDENSITY`Qdensity`mcl = SingularValueList[QDENSITY`Qdensity`mc]; 
          QDENSITY`Qdensity`Snos = 
           Length[QDENSITY`Qdensity`mcl] - Count[QDENSITY`Qdensity`mcl, 0]; 
          QDENSITY`Qdensity`res1 = {
            QDENSITY`Qdensity`\[Phi]A1, QDENSITY`Qdensity`\[Phi]A2, 
             QDENSITY`Qdensity`\[Phi]B1, QDENSITY`Qdensity`\[Phi]B2}; 
          QDENSITY`Qdensity`res2 = QDENSITY`Qdensity`AF[
             Chop[QDENSITY`Qdensity`ws]]; {
           QDENSITY`Qdensity`res1, QDENSITY`Qdensity`res2, 
            QDENSITY`Qdensity`Snos}]}], "SubValues" -> None, "DefaultValues" -> 
     None, "NValues" -> None, "FormatValues" -> None, "Options" -> None, 
     "Attributes" -> {}, "FullName" -> "QDENSITY`Qdensity`Schmidt"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374604244178*^9},ExpressionUUID->"d4464f6f-242a-4359-a79f-\
1125cfe459a1"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Schmidt", "[", "rho", "]"}]], "Input",
 CellChangeTimes->{{3.6245559310268106`*^9, 
  3.624555936994074*^9}},ExpressionUUID->"f6c66dac-5000-4ba0-a605-\
ecc3ec64607f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       RowBox[{"{", 
        RowBox[{
         TemplateBox[{"\" + \"", "\"(\"", 
           RowBox[{"-", "0.9031166608143268`"}], "\")\"", "\" |\"", "\"0\"", 
           "\" >\"", "\" + \"", "\"(\"", 
           RowBox[{"0.2359098844286767`", "\[VeryThinSpace]", "-", 
             RowBox[{"0.358785205085757`", " ", "\[ImaginaryI]"}]}], "\")\"", 
           "\" |\"", "\"1\"", "\" >\""},
          "RowDefault"], ",", 
         TemplateBox[{"\" + \"", "\"(\"", 
           RowBox[{"-", "0.4293952689068434`"}], "\")\"", "\" |\"", "\"0\"", 
           "\" >\"", "\" + \"", "\"(\"", 
           RowBox[{
             RowBox[{"-", "0.49617255360245255`"}], "+", 
             RowBox[{"0.7546075139382334`", " ", "\[ImaginaryI]"}]}], "\")\"",
            "\" |\"", "\"1\"", "\" >\""},
          "RowDefault"], ",", 
         TemplateBox[{"\" + \"", "\"(\"", 
           RowBox[{
             RowBox[{"-", "0.8392026738022026`"}], "+", 
             RowBox[{"0.09149414898664535`", " ", "\[ImaginaryI]"}]}], 
           "\")\"", "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
           RowBox[{"0.22236042145853352`", "\[VeryThinSpace]", "-", 
             RowBox[{"0.4877740624031038`", " ", "\[ImaginaryI]"}]}], "\")\"",
            "\" |\"", "\"1\"", "\" >\""},
          "RowDefault"], ",", 
         TemplateBox[{"\" + \"", "\"(\"", 
           RowBox[{
             RowBox[{"-", "0.12055693572167395`"}], "-", 
             RowBox[{"0.5223348717382785`", " ", "\[ImaginaryI]"}]}], "\")\"",
            "\" |\"", "\"0\"", "\" >\"", "\" + \"", "\"(\"", 
           RowBox[{
             RowBox[{"-", "0.804068653405635`"}], "-", 
             RowBox[{"0.25711069138798026`", " ", "\[ImaginaryI]"}]}], 
           "\")\"", "\" |\"", "\"1\"", "\" >\""},
          "RowDefault"]}], "}"}]},
      {
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0.424451970870533`", ",", "0"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0.15637216707743257`"}], "}"}]}], "}"}]},
      {"2"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374604268062*^9},ExpressionUUID->"b492d557-a57f-4c29-8524-\
5134a5f9a9ba"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"?", "RandomKet*"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.624556338612381*^9, 3.624556353068204*^9}, {
   3.624556386988662*^9, 3.624556416293865*^9}, {3.657379006226432*^9, 
   3.657379010893365*^9}, 
   3.6573791670141478`*^9},ExpressionUUID->"9a5db825-a54b-4960-bd69-\
f517403a1ea9"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["RandomKet1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-9b0e0fbe-bc65-487a-b6b5-27b2e3e86a9e", {
                    "RandomKet1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-9b0e0fbe-bc65-487a-b6b5-27b2e3e86a9e", {
                    "RandomKet2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKetN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-9b0e0fbe-bc65-487a-b6b5-27b2e3e86a9e", {
                    "RandomKetN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.31666666666666665`]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374604328225*^9},ExpressionUUID->"845170da-3e23-445f-9c7a-\
47d48212e2bd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"?", "Oracle"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "See", " ", "Grover", " ", "search", " ", "notebook", " ", "for", " ", 
    "use", " ", "of", " ", "Oracle"}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.614516366211095*^9, 3.614516374262849*^9}, {
  3.616342693472596*^9, 3.616342717883381*^9}, {3.624555317620537*^9, 
  3.6245553291953707`*^9}},ExpressionUUID->"774c49a7-6237-4758-be49-\
47b4326fc9bd"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   StyleBox[
    FrameBox[
     DynamicModuleBox[{System`InformationDump`open$$ = False, 
      System`InformationDump`mouseOver$$ = False}, 
      PaneSelectorBox[{True->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False,
              BaseStyle -> None],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Oracle[nqx,nqy,itype]\\n\\n\\t is an Oracle for \
nqx Qubits in x and nqy Qubits in y. \\n\\n\\t Oracle | x, y\
\[RightAngleBracket] = | x, y+f(x)\[RightAngleBracket].\\n\\n \
Oracle[nqx,nqy,itype] provides an Oracle type\\n\\n itype=-1 ( a random \
function f(x)) and itype=-2 \\n\\n ( a f(x) with value 1 only at \\n a random \
marked value of x).\\n\\n The later is useful for Grover's search. \\n\\n See \
also Definef\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           PaneBox[
            TagBox[GridBox[{
               {
                StyleBox[
                 TagBox[
                  TooltipBox[
                   StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                   "\"Definitions\"",
                   TooltipStyle->"TextStyling"],
                  Annotation[#, "Definitions", "Tooltip"]& ], "DialogStyle",
                 StripOnInput->False]},
               {
                TemplateBox[{"\"\[ThinSpace]\"", 
                  GridBox[{{
                    RowBox[{
                    RowBox[{"Oracle", "[", 
                    
                    RowBox[{
                    "Private`nqx_", ",", "Private`nqy_", ",", 
                    "Private`itype_"}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"Private`xv", ",", "Private`yv", ",", 
                    "Private`nx", ",", "Private`ny", ",", "Private`n", ",", 
                    "Private`i"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"Private`nx", "=", 
                    SuperscriptBox["nb", "Private`nqx"]}], ";", 
                    RowBox[{"Private`ny", "=", 
                    SuperscriptBox["nb", "Private`nqy"]}], ";", 
                    RowBox[{"Private`n", "=", 
                    RowBox[{"Private`nx", " ", "Private`ny"}]}], ";", 
                    RowBox[{"Definef", "[", 
                    
                    RowBox[{"Private`nx", ",", "Private`ny", ",", 
                    "Private`itype"}], "]"}], ";", 
                    RowBox[{
                    RowBox[{"Private`xv", "[", "Private`i_", "]"}], ":=", 
                    RowBox[{"FromDigits", "[", 
                    RowBox[{
                    RowBox[{"Take", "[", 
                    RowBox[{
                    RowBox[{"IntegerDigits", "[", 
                    RowBox[{"Private`i", ",", "2", ",", 
                    RowBox[{"Private`nqx", "+", "Private`nqy"}]}], "]"}], ",",
                     "Private`nqx"}], "]"}], ",", "2"}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"Private`yv", "[", "Private`i_", "]"}], ":=", 
                    RowBox[{"FromDigits", "[", 
                    RowBox[{
                    RowBox[{"Take", "[", 
                    RowBox[{
                    RowBox[{"IntegerDigits", "[", 
                    RowBox[{"Private`i", ",", "2", ",", 
                    RowBox[{"Private`nqx", "+", "Private`nqy"}]}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Private`nqx", "+", "1"}], ",", 
                    RowBox[{"Private`nqx", "+", "Private`nqy"}]}], "}"}]}], 
                    "]"}], ",", "2"}], "]"}]}], ";", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    TemplateBox[{
                    RowBox[{
                    RowBox[{"Private`xv", "[", "Private`i", "]"}], ",", 
                    RowBox[{"Private`xv", "[", "Private`j", "]"}]}]}, 
                    "KroneckerDeltaSeq"], " ", 
                    TemplateBox[{
                    RowBox[{
                    RowBox[{"Private`yv", "[", "Private`i", "]"}], ",", 
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Private`yv", "[", "Private`j", "]"}], "+", 
                    RowBox[{"Private`f", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"Private`xv", "[", "Private`i", "]"}], "+", "1"}],
                     "\[RightDoubleBracket]"}]}], ",", "Private`ny"}], 
                    "]"}]}]}, "KroneckerDeltaSeq"]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`i", ",", "0", ",", 
                    RowBox[{"Private`n", "-", "1"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"Private`j", ",", "0", ",", 
                    RowBox[{"Private`n", "-", "1"}]}], "}"}]}], "]"}]}]}], 
                    "]"}]}]}, {" "}}, 
                   GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                   DefaultBaseStyle -> "Column", 
                   GridBoxItemSize -> {
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                 "RowDefault"]}
              },
              DefaultBaseStyle->"Column",
              GridBoxAlignment->{"Columns" -> {{Left}}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
             "Column"],
            FrameMargins->{{6, 0}, {3, 6}}], "\<\"\"\>"},
          {
           PaneBox[GridBox[{
              {
               
               DynamicModuleBox[{System`InformationDump`open$$ = {
                False, False, False, False, False, False}}, 
                StyleBox[GridBox[{
                   {
                    TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"QDENSITY`Qdensity`Oracle\"\>"}
                  },
                  AutoDelete->False,
                  GridBoxAlignment->{"Columns" -> {Right, Left}},
                  GridBoxDividers->None,
                  GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                  GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                 StripOnInput->False],
                DynamicModuleValues:>{}]}
             },
             DefaultBaseStyle->"Column",
             GridBoxAlignment->{"Columns" -> {{Left}}},
             GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
             GridBoxItemSize->{
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
             GridBoxSpacings->{"Columns" -> {
                 Offset[0.27999999999999997`], {
                  Offset[0.5599999999999999]}, 
                 Offset[0.27999999999999997`]}, "Rows" -> {
                 Offset[0.2], {
                  Offset[3.6]}, 
                 Offset[0.2]}}],
            FrameMargins->{{6, 6}, {6, 3}}], ""},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpener"]], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, False],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"], False->
       TagBox[GridBox[{
          {
           ItemBox[
            PaneBox[
             StyleBox["\<\" Symbol\"\>", "InformationTitleText",
              StripOnInput->False],
             FrameMargins->{{4, 0}, {-1, 1}}],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            PaneBox[
             
             StyleBox["\<\"Oracle[nqx,nqy,itype]\\n\\n\\t is an Oracle for \
nqx Qubits in x and nqy Qubits in y. \\n\\n\\t Oracle | x, y\
\[RightAngleBracket] = | x, y+f(x)\[RightAngleBracket].\\n\\n \
Oracle[nqx,nqy,itype] provides an Oracle type\\n\\n itype=-1 ( a random \
function f(x)) and itype=-2 \\n\\n ( a f(x) with value 1 only at \\n a random \
marked value of x).\\n\\n The later is useful for Grover's search. \\n\\n See \
also Definef\"\>", "InformationUsageText",
              StripOnInput->False,
              LineSpacing->{1.5, 1.5, 3.}],
             FrameMargins->{{10, 10}, {8, 10}}],
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False], 
           ItemBox["\<\"\"\>",
            BaseStyle->"InformationUsageSubtitleBackground",
            StripOnInput->False]},
          {
           ItemBox[
            TagBox[
             ButtonBox[
              PaneSelectorBox[{False->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {2., 8.}}], True->
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpenerHot"],
                ImageSizeCache->{10., {2., 8.}}]}, Dynamic[
               System`InformationDump`mouseOver$$]],
              Alignment->Left,
              Appearance->{"Default" -> None},
              ButtonFunction:>FEPrivate`Set[
               System`InformationDump`open$$, True],
              Evaluator->Automatic,
              FrameMargins->{{9, 0}, {0, 0}},
              ImageMargins->0,
              ImageSize->Full,
              Method->"Preemptive"],
             
             EventHandlerTag[{
              "MouseEntered" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
               "MouseExited" :> 
               FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
               Method -> "Preemptive", PassEventsDown -> Automatic, 
               PassEventsUp -> True}]],
            BaseStyle->"InformationTitleBackground",
            StripOnInput->False], "\[SpanFromLeft]"}
         },
         AutoDelete->False,
         FrameStyle->Directive[
           GrayLevel[0.8], 
           Thickness[Tiny]],
         GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
         GridBoxDividers->{
          "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
         GridBoxItemSize->{
          "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
        "Grid"]}, Dynamic[System`InformationDump`open$$],
       BaselinePosition->Baseline,
       FrameMargins->0,
       ImageSize->Automatic],
      DynamicModuleValues:>{}],
     BaseStyle->"InformationGridFrame",
     StripOnInput->False], "InformationGridPlain",
    StripOnInput->False],
   InformationData[<|
    "ObjectType" -> "Symbol", "Usage" -> 
     "Oracle[nqx,nqy,itype]\n\n\t is an Oracle for nqx Qubits in x and nqy \
Qubits in y. \n\n\t Oracle | x, y\[RightAngleBracket] = | x, y+f(x)\
\[RightAngleBracket].\n\n Oracle[nqx,nqy,itype] provides an Oracle type\n\n \
itype=-1 ( a random function f(x)) and itype=-2 \n\n ( a f(x) with value 1 \
only at \n a random marked value of x).\n\n The later is useful for Grover's \
search. \n\n See also Definef", "Documentation" -> None, "OwnValues" -> None, 
     "UpValues" -> None, "DownValues" -> 
     Information`InformationValueForm[
      DownValues, QDENSITY`Qdensity`Oracle, {QDENSITY`Qdensity`Oracle[
          Pattern[Private`nqx, 
           Blank[]], 
          Pattern[Private`nqy, 
           Blank[]], 
          Pattern[Private`itype, 
           Blank[]]] :> 
        Module[{Private`xv, Private`yv, Private`nx, Private`ny, Private`n, 
           Private`i}, Private`nx = QDENSITY`Qdensity`nb^Private`nqx; 
          Private`ny = QDENSITY`Qdensity`nb^Private`nqy; 
          Private`n = Private`nx Private`ny; 
          QDENSITY`Qdensity`Definef[Private`nx, Private`ny, Private`itype]; 
          Private`xv[
             Pattern[Private`i, 
              Blank[]]] := FromDigits[
             Take[
              IntegerDigits[Private`i, 2, Private`nqx + Private`nqy], 
              Private`nqx], 2]; Private`yv[
             Pattern[Private`i, 
              Blank[]]] := FromDigits[
             Take[
              IntegerDigits[Private`i, 2, Private`nqx + Private`nqy], {
              Private`nqx + 1, Private`nqx + Private`nqy}], 2]; 
          Table[KroneckerDelta[
              Private`xv[Private`i], 
              Private`xv[Private`j]] KroneckerDelta[
              Private`yv[Private`i], 
              Mod[
              Private`yv[Private`j] + 
               Part[Private`f, Private`xv[Private`i] + 1], Private`ny]], {
            Private`i, 0, Private`n - 1}, {Private`j, 0, Private`n - 1}]]}], 
     "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
     "FullName" -> "QDENSITY`Qdensity`Oracle"|>, False]],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.859374604425742*^9},ExpressionUUID->"2241d054-b321-4f0b-b8f5-\
8c9a99793902"]
}, Open  ]],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"Quit", "[", "]"}], " "}]], "Input",
 CellChangeTimes->{{3.6142459628182993`*^9, 3.614245965043126*^9}, {
   3.614510650247691*^9, 3.614510657211667*^9}, 3.614510822253696*^9, {
   3.6146216913973627`*^9, 3.6146216989256563`*^9}, {3.857033574350768*^9, 
   3.85703357905361*^9}, {3.859374634484009*^9, 
   3.8593746377857637`*^9}},ExpressionUUID->"b5a89b15-2c09-4b87-aa16-\
c6f14a6ce603"]
},
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{1033, 536},
WindowMargins->{{47, Automatic}, {-118, Automatic}},
Visible->True,
PrintingCopies->1,
PrintingStartingPageNumber->1,
PrintingPageRange->{1, 32000},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{612, 792},
"PostScriptOutputFile":>FrontEnd`FileName[{"export", "home", "brunojd"}, 
  "t.ps", CharacterEncoding -> "WindowsANSI"]},
ShowSelection->True,
TaggingRules:>{
 "PaginationCache" -> {{2005, 8, 9, 3, 36, 18.585304`8.02174465349935}, {1, 1,
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
    2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4,
     4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 
    5, 5, 5, 5, 5, 5, 5, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 7, 7, 7, 7,
     7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 7, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 
    8, 8, 8, 8, 8, 8, 8, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 
    10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 11, 11, 11, 11, 11, 
    11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 12, 12, 12, 12, 12, 12, 12, 
    12, 12, 12, 12, 12, 12, 12, 12, 12, 13, 13, 13, 13, 13, 13, 13, 13, 13, 
    13, 13, 13, 13, 13, 13, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
    14, 14, 14}, Automatic}, "NextIndexingNumber" -> 5, 
  "IndexEntries" -> {{"i:1", "CNOT\t"}, {"i:2", "HALL"}, {
    "i:3", "bra", "Quantum Density package"}, {
    "i:4", "ket", "Quantum Density Package"}}},
CellLabelAutoDelete->True,
InputAliases->{"intt" -> RowBox[{"\[Integral]", 
     RowBox[{"\[SelectionPlaceholder]", 
       RowBox[{"\[DifferentialD]", "\[Placeholder]"}]}]}], "dintt" -> RowBox[{
     SubsuperscriptBox[
     "\[Integral]", "\[SelectionPlaceholder]", "\[Placeholder]"], 
     RowBox[{"\[Placeholder]", 
       RowBox[{"\[DifferentialD]", "\[Placeholder]"}]}]}], "sumt" -> RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"\[SelectionPlaceholder]", "=", "\[Placeholder]"}], 
      "\[Placeholder]"], "\[Placeholder]"}], "prodt" -> RowBox[{
     UnderoverscriptBox["\[Product]", 
      RowBox[{"\[SelectionPlaceholder]", "=", "\[Placeholder]"}], 
      "\[Placeholder]"], "\[Placeholder]"}], "dt" -> RowBox[{
     SubscriptBox["\[PartialD]", "\[Placeholder]"], " ", 
     "\[SelectionPlaceholder]"}], "notation" -> RowBox[{"Notation", "[", 
     RowBox[{
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> "NotationTemplateStyle"],
        " ", "\[DoubleLongLeftRightArrow]", " ", 
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> 
        "NotationTemplateStyle"]}], "]"}], "notation>" -> 
  RowBox[{"Notation", "[", 
     RowBox[{
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> "NotationTemplateStyle"],
        " ", "\[DoubleLongRightArrow]", " ", 
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> 
        "NotationTemplateStyle"]}], "]"}], "notation<" -> 
  RowBox[{"Notation", "[", 
     RowBox[{
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> "NotationTemplateStyle"],
        " ", "\[DoubleLongLeftArrow]", " ", 
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> 
        "NotationTemplateStyle"]}], "]"}], "symb" -> RowBox[{"Symbolize", "[", 
     TagBox[
     "\[Placeholder]", NotationBoxTag, TagStyle -> "NotationTemplateStyle"], 
     "]"}], "infixnotation" -> RowBox[{"InfixNotation", "[", 
     RowBox[{
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> "NotationTemplateStyle"],
        ",", "\[Placeholder]"}], "]"}], "addia" -> 
  RowBox[{"AddInputAlias", "[", 
     RowBox[{"\"\[Placeholder]\"", "\[Rule]", 
       TagBox[
       "\[Placeholder]", NotationBoxTag, TagStyle -> 
        "NotationTemplateStyle"]}], "]"}], "pattwraper" -> 
  TagBox["\[Placeholder]", NotationPatternTag, TagStyle -> 
    "NotationPatternWrapperStyle"], "madeboxeswraper" -> 
  TagBox["\[Placeholder]", NotationMadeBoxesTag, TagStyle -> 
    "NotationMadeBoxesWrapperStyle"]},
Magnification->1,
FrontEndVersion->"13.0 for Mac OS X x86 (64-bit) (December 2, 2021)",
StyleDefinitions->"Classroom.nb",
ExpressionUUID->"1cf0bb81-4b89-4873-86b4-9c6eb6b9e398"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "c:1"->{
  Cell[545, 20, 255, 3, 51, "Title",ExpressionUUID->"4ca7a274-aa93-4a97-ad6d-4c824f7c42d9",
   CellTags->"c:1"]},
 "b:5.0"->{
  Cell[1415, 40, 517, 8, 103, "Text",ExpressionUUID->"73db5300-6cee-4ff3-9540-4c562bf1a08c",
   CellTags->"b:5.0"],
  Cell[1957, 52, 383, 7, 59, "Section",ExpressionUUID->"32643420-bf41-4fbb-817e-c3dee2754b3c",
   CellTags->{"c:2", "b:5.0"}],
  Cell[2343, 61, 519, 12, 80, "Text",ExpressionUUID->"0c40d619-7113-4431-a54f-27d92527ee07",
   CellTags->"b:5.0"],
  Cell[2887, 77, 234, 5, 48, "Input",ExpressionUUID->"90c6b5d8-4e32-4734-a028-4dee907fa563",
   CellTags->"b:5.0"],
  Cell[3124, 84, 207, 3, 48, "Output",ExpressionUUID->"24ee4165-5271-4842-b6f8-fca7994f08fa",
   CellTags->"b:5.0"],
  Cell[3346, 90, 468, 14, 24, "Text",ExpressionUUID->"37f0d980-4f4c-4bc8-80dc-99e2a2212f2b",
   CellTags->"b:5.0"],
  Cell[3851, 109, 1137, 23, 75, "Input",ExpressionUUID->"87eb449a-2b3c-4627-8ab6-863c3af46eab",
   CellTags->"b:5.0"],
  Cell[4991, 134, 226, 3, 24, "Print",ExpressionUUID->"8bbd8502-8618-4d29-ad5d-7e468ba2a078",
   CellTags->"b:5.0"],
  Cell[5220, 139, 1082, 21, 75, "Input",ExpressionUUID->"06e2c9f5-50aa-4df1-9f5f-4d20d3e76e71",
   CellTags->"b:5.0"],
  Cell[6317, 163, 514, 9, 27, "Text",ExpressionUUID->"06a5712a-ca90-4193-8551-dd0af6b5703d",
   CellTags->"b:5.0"],
  Cell[7546, 192, 216, 3, 23, "Text",ExpressionUUID->"ba250584-0fb3-46fe-a2a2-6fa1f1185be8",
   CellTags->"b:5.0"],
  Cell[7787, 199, 283, 5, 46, "Input",ExpressionUUID->"d3708ee5-5ebb-4384-8efe-fbd947dd000e",
   CellTags->"b:5.0"],
  Cell[8073, 206, 56852, 1275, 425, "Output",ExpressionUUID->"a789630f-8801-42c7-a436-69c37aa56255",
   CellTags->"b:5.0"],
  Cell[64940, 1484, 388, 6, 51, "Text",ExpressionUUID->"44ae50a6-5d5d-4f9f-a124-c14ddb792039",
   CellTags->"b:5.0"]},
 "c:2"->{
  Cell[1957, 52, 383, 7, 59, "Section",ExpressionUUID->"32643420-bf41-4fbb-817e-c3dee2754b3c",
   CellTags->{"c:2", "b:5.0"}]},
 "c:3"->{
  Cell[65331, 1492, 321, 5, 51, "Section",ExpressionUUID->"dab17cc2-a1ad-47ea-a38e-fd3c87670521",
   CellTags->"c:3"]},
 "b:5.2.0"->{
  Cell[375381, 9521, 1618, 47, 109, "Text",ExpressionUUID->"9094231e-bfa4-4000-83a8-1997ee5c3735",
   CellTags->"b:5.2.0"],
  Cell[377024, 9572, 191, 4, 48, "Input",ExpressionUUID->"f400f43f-8a76-46e6-9cac-66adb3ba3e82",
   CellTags->"b:5.2.0"],
  Cell[377218, 9578, 793, 26, 97, "Output",ExpressionUUID->"58001af9-18b5-43ab-80fc-dd7a089115ba",
   CellTags->"b:5.2.0"],
  Cell[378014, 9606, 186, 3, 23, "Text",ExpressionUUID->"b089494c-89fa-4fe7-9819-5115a2f80ee3",
   CellTags->"b:5.2.0"],
  Cell[378225, 9613, 120, 1, 48, "Input",ExpressionUUID->"85fe2ce5-7c96-4fe4-9d3a-1acd3793f56d",
   CellTags->"b:5.2.0"],
  Cell[378348, 9616, 792, 26, 97, "Output",ExpressionUUID->"ed4cf502-807e-44c4-aeac-a24f764356c5",
   CellTags->"b:5.2.0"],
  Cell[379155, 9645, 225, 4, 23, "Text",ExpressionUUID->"0737f639-304c-4b99-9e53-093de5452c80",
   CellTags->"b:5.2.0"],
  Cell[379405, 9653, 446, 8, 48, "Input",ExpressionUUID->"96502799-c501-4eb1-8ba0-8fef6d6d7e8f",
   CellTags->"b:5.2.0"],
  Cell[379854, 9663, 1711, 59, 259, "Output",ExpressionUUID->"2cc8d28e-3a41-4e3b-aeda-e888af3dc2c3",
   CellTags->"b:5.2.0"],
  Cell[381568, 9724, 190, 3, 23, "Text",ExpressionUUID->"1e23644b-283f-4ea2-8567-c033ab0841d5",
   CellTags->"b:5.2.0"],
  Cell[381783, 9731, 421, 8, 48, "Input",ExpressionUUID->"873eaf26-fb14-4719-bc28-2a894b858e1f",
   CellTags->"b:5.2.0"],
  Cell[382207, 9741, 1711, 59, 259, "Output",ExpressionUUID->"56dcb210-4f28-4dec-8eba-3ed960fb6775",
   CellTags->"b:5.2.0"],
  Cell[383957, 9805, 519, 7, 39, "Text",ExpressionUUID->"0630e717-28d4-4756-9f30-b2c1880a1d7b",
   CellTags->"b:5.2.0"],
  Cell[384501, 9816, 905, 22, 106, "Input",ExpressionUUID->"683e3bb8-4047-4723-8924-a04ef84459a1",
   CellTags->"b:5.2.0"],
  Cell[385409, 9840, 942, 23, 179, "Output",ExpressionUUID->"f909a2a6-d80e-472c-b0e3-9382bf45565e",
   CellTags->"b:5.2.0"],
  Cell[386354, 9865, 1043, 27, 195, "Output",ExpressionUUID->"9aa450a7-08a1-418f-bd1a-3ae318fefa5a",
   CellTags->"b:5.2.0"],
  Cell[387400, 9894, 700, 21, 93, "Output",ExpressionUUID->"3aa5ee63-42f3-4e4a-b4ea-84141949c0e4",
   CellTags->"b:5.2.0"],
  Cell[388103, 9917, 601, 17, 64, "Output",ExpressionUUID->"1db70130-1698-406d-8ae2-203c1c5863ee",
   CellTags->"b:5.2.0"],
  Cell[388719, 9937, 484, 15, 23, "Text",ExpressionUUID->"990a16f1-bdf2-4764-89fa-5e41981f8cb1",
   CellTags->"b:5.2.0"],
  Cell[389228, 9956, 254, 6, 48, "Input",ExpressionUUID->"28bcfd83-0455-4fd7-9e83-6da758c7b0c9",
   CellTags->{"i:2", "b:5.2.0"}],
  Cell[389485, 9964, 2557, 88, 243, "Output",ExpressionUUID->"c50bfe1e-e72b-4110-b699-4b2544633c4e",
   CellTags->{"i:2", "b:5.2.0"}],
  Cell[393902, 10113, 241, 4, 23, "Text",ExpressionUUID->"ea674191-91e9-46f3-b19e-efc7a3177561",
   CellTags->"b:5.2.0"],
  Cell[394168, 10121, 481, 13, 87, "Input",ExpressionUUID->"576f1076-769c-4a4f-b6ed-f76cb506f033",
   CellTags->"b:5.2.0"],
  Cell[394652, 10136, 675, 21, 97, "Output",ExpressionUUID->"376db6c3-e2c2-4211-b0b5-932b64626fd8",
   CellTags->"b:5.2.0"],
  Cell[395330, 10159, 591, 17, 77, "Output",ExpressionUUID->"4aae3ff7-1a36-4ab7-82ad-33b1b9da29eb",
   CellTags->"b:5.2.0"],
  Cell[395924, 10178, 701, 22, 84, "Output",ExpressionUUID->"14a43740-b7fc-4256-aeb4-5b8a2006f9ca",
   CellTags->"b:5.2.0"],
  Cell[802944, 20703, 367, 6, 23, "Text",ExpressionUUID->"8d338c0d-e4b1-47a6-b98e-f47f826daff0",
   CellTags->"b:5.2.0"]},
 "i:2"->{
  Cell[389228, 9956, 254, 6, 48, "Input",ExpressionUUID->"28bcfd83-0455-4fd7-9e83-6da758c7b0c9",
   CellTags->{"i:2", "b:5.2.0"}],
  Cell[389485, 9964, 2557, 88, 243, "Output",ExpressionUUID->"c50bfe1e-e72b-4110-b699-4b2544633c4e",
   CellTags->{"i:2", "b:5.2.0"}]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"c:1", 1059257, 27428},
 {"b:5.0", 1059383, 27431},
 {"c:2", 1061048, 27460},
 {"c:3", 1061186, 27463},
 {"b:5.2.0", 1061320, 27466},
 {"i:2", 1064681, 27521}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 255, 3, 51, "Title",ExpressionUUID->"4ca7a274-aa93-4a97-ad6d-4c824f7c42d9",
 CellTags->"c:1"],
Cell[803, 25, 98, 0, 35, "Subtitle",ExpressionUUID->"a9d7b9ea-4e50-41bb-9166-d5dabec60f99"],
Cell[904, 27, 508, 11, 73, "Abstract",ExpressionUUID->"0a36bf1a-dc08-473b-8667-7de5f5180797"],
Cell[1415, 40, 517, 8, 103, "Text",ExpressionUUID->"73db5300-6cee-4ff3-9540-4c562bf1a08c",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[1957, 52, 383, 7, 59, "Section",ExpressionUUID->"32643420-bf41-4fbb-817e-c3dee2754b3c",
 CellTags->{"c:2", "b:5.0"}],
Cell[2343, 61, 519, 12, 80, "Text",ExpressionUUID->"0c40d619-7113-4431-a54f-27d92527ee07",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[2887, 77, 234, 5, 48, "Input",ExpressionUUID->"90c6b5d8-4e32-4734-a028-4dee907fa563",
 CellTags->"b:5.0"],
Cell[3124, 84, 207, 3, 48, "Output",ExpressionUUID->"24ee4165-5271-4842-b6f8-fca7994f08fa",
 CellTags->"b:5.0"]
}, Open  ]],
Cell[3346, 90, 468, 14, 24, "Text",ExpressionUUID->"37f0d980-4f4c-4bc8-80dc-99e2a2212f2b",
 CellTags->"b:5.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3851, 109, 1137, 23, 75, "Input",ExpressionUUID->"87eb449a-2b3c-4627-8ab6-863c3af46eab",
 CellTags->"b:5.0"],
Cell[4991, 134, 226, 3, 24, "Print",ExpressionUUID->"8bbd8502-8618-4d29-ad5d-7e468ba2a078",
 CellTags->"b:5.0"],
Cell[5220, 139, 1082, 21, 75, "Input",ExpressionUUID->"06e2c9f5-50aa-4df1-9f5f-4d20d3e76e71",
 CellTags->"b:5.0"]
}, Open  ]],
Cell[6317, 163, 514, 9, 27, "Text",ExpressionUUID->"06a5712a-ca90-4193-8551-dd0af6b5703d",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[6856, 176, 457, 7, 53, "Input",ExpressionUUID->"065d1d47-1280-4f31-b17a-fa55ad47faeb"],
Cell[7316, 185, 215, 4, 24, "Print",ExpressionUUID->"36eba7b6-ebe2-4cd4-a1d6-dd492bf3c6b3"]
}, Open  ]],
Cell[7546, 192, 216, 3, 23, "Text",ExpressionUUID->"ba250584-0fb3-46fe-a2a2-6fa1f1185be8",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[7787, 199, 283, 5, 46, "Input",ExpressionUUID->"d3708ee5-5ebb-4384-8efe-fbd947dd000e",
 CellTags->"b:5.0"],
Cell[8073, 206, 56852, 1275, 425, "Output",ExpressionUUID->"a789630f-8801-42c7-a436-69c37aa56255",
 CellTags->"b:5.0"]
}, Open  ]],
Cell[64940, 1484, 388, 6, 51, "Text",ExpressionUUID->"44ae50a6-5d5d-4f9f-a124-c14ddb792039",
 CellTags->"b:5.0"],
Cell[65331, 1492, 321, 5, 51, "Section",ExpressionUUID->"dab17cc2-a1ad-47ea-a38e-fd3c87670521",
 CellTags->"c:3"],
Cell[CellGroupData[{
Cell[65677, 1501, 174, 4, 44, "Input",ExpressionUUID->"9b4ce209-0e11-4155-94af-969f56b7c334"],
Cell[65854, 1507, 10043, 250, 157, "Output",ExpressionUUID->"bbb23733-f641-456a-9aa8-0c9ba0b01f38"]
}, Open  ]],
Cell[CellGroupData[{
Cell[75934, 1762, 376, 7, 106, "Input",ExpressionUUID->"462bc9cd-2a85-4ea1-847d-3506fa2c9ff0"],
Cell[76313, 1771, 825, 23, 64, "Output",ExpressionUUID->"15e0f8bb-499d-49bf-9102-2f39a8376cdc"],
Cell[77141, 1796, 604, 15, 48, "Output",ExpressionUUID->"9cde9181-d9b0-4cc2-81ff-3f1bf99c63dd"],
Cell[77748, 1813, 818, 22, 49, "Output",ExpressionUUID->"e6b56d0e-e782-47a0-ae19-a7cbd289cfaf"],
Cell[78569, 1837, 609, 14, 48, "Output",ExpressionUUID->"a99bb797-bd1f-4ee7-bee2-04a9dd8af021"]
}, Open  ]],
Cell[CellGroupData[{
Cell[79215, 1856, 173, 4, 48, "Input",ExpressionUUID->"0aaf9e82-85b8-425d-bfb0-c736b58b1a2e"],
Cell[79391, 1862, 10434, 255, 204, "Output",ExpressionUUID->"7e2762db-11a7-4d22-90aa-9ddcd19ab200"]
}, Open  ]],
Cell[CellGroupData[{
Cell[89862, 2122, 489, 11, 87, "Input",ExpressionUUID->"1fefedfe-d99a-4ba3-8398-bb74d6c2c683"],
Cell[90354, 2135, 600, 20, 98, "Output",ExpressionUUID->"286eb2eb-9e8e-47b9-a93e-f82cda18fa7a"],
Cell[90957, 2157, 598, 20, 98, "Output",ExpressionUUID->"849a3c82-c1fe-464c-881f-48ae8a4e5e61"],
Cell[91558, 2179, 288, 8, 48, "Output",ExpressionUUID->"73bb02ef-1bd4-4041-b4f4-31cd07d83bfb"],
Cell[CellGroupData[{
Cell[91871, 2191, 427, 15, 94, "Input",ExpressionUUID->"8dbdb6f5-2afe-4717-a127-ca6962554218"],
Cell[92301, 2208, 598, 20, 98, "Output",ExpressionUUID->"c00ead69-f7c0-421b-81bc-f6650d73182c"],
Cell[92902, 2230, 595, 19, 98, "Output",ExpressionUUID->"79b47175-d74d-489c-9dde-9f94b4e57fdf"],
Cell[93500, 2251, 286, 8, 48, "Output",ExpressionUUID->"5dd3105b-2fbb-42fc-b7b1-118673e5c2cc"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[93835, 2265, 173, 4, 48, "Input",ExpressionUUID->"4bffca31-ca4e-441e-bbc9-77034ab292f1"],
Cell[94011, 2271, 11129, 275, 157, "Output",ExpressionUUID->"71753f94-368d-4f25-9ea2-dcf52c8d96be"]
}, Open  ]],
Cell[CellGroupData[{
Cell[105177, 2551, 270, 6, 68, "Input",ExpressionUUID->"194eb1fb-2666-45d3-b2eb-24287649322c"],
Cell[105450, 2559, 997, 30, 62, "Output",ExpressionUUID->"8d60f8d5-0231-4a02-9934-a4279ac3bb31"],
Cell[106450, 2591, 781, 22, 65, "Output",ExpressionUUID->"26c4b768-2afa-44c5-9149-25e369369747"]
}, Open  ]],
Cell[CellGroupData[{
Cell[107268, 2618, 175, 4, 48, "Input",ExpressionUUID->"ad4ecbe0-779f-4803-a82f-86e69fc2e659"],
Cell[107446, 2624, 11723, 283, 251, "Output",ExpressionUUID->"9a48a34f-57f0-486c-8f21-4cd0060ca2b1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[119206, 2912, 494, 12, 106, "Input",ExpressionUUID->"dd0da52b-9223-4302-b52d-e5c1e8f6b233"],
Cell[119703, 2926, 599, 17, 49, "Output",ExpressionUUID->"bd1772de-8201-4024-a25b-1eb996440bfe"],
Cell[120305, 2945, 296, 9, 48, "Output",ExpressionUUID->"8b0a991f-28d5-4f97-88fa-b122ad915092"],
Cell[120604, 2956, 646, 18, 49, "Output",ExpressionUUID->"fa23bdcb-4749-4042-ade2-7f57f30bfcd7"],
Cell[121253, 2976, 299, 9, 48, "Output",ExpressionUUID->"6681450b-fc88-4bb9-bee0-afdaf0479f4a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[121589, 2990, 175, 4, 48, "Input",ExpressionUUID->"b6eef3c5-19d2-4402-a5b6-8ae245ee75da"],
Cell[121767, 2996, 10482, 258, 157, "Output",ExpressionUUID->"8158762e-6e18-451f-b77d-c06eda4ed5e1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[132286, 3259, 367, 7, 106, "Input",ExpressionUUID->"bb4b6b84-90cf-4b8c-bc3b-2c9e61e396bc"],
Cell[132656, 3268, 651, 21, 56, "Output",ExpressionUUID->"9a44c4e7-6623-4535-96d1-3c20b24a8e94"],
Cell[133310, 3291, 441, 13, 67, "Output",ExpressionUUID->"2808abae-e341-4f39-b3cd-7e8ba966641e"],
Cell[133754, 3306, 675, 22, 56, "Output",ExpressionUUID->"f83c55ef-c01e-45ec-aa1d-12f6891cdd80"],
Cell[134432, 3330, 463, 14, 67, "Output",ExpressionUUID->"a31017ce-8038-4200-a9f0-a54351002785"]
}, Open  ]],
Cell[CellGroupData[{
Cell[134932, 3349, 175, 4, 48, "Input",ExpressionUUID->"f9f7a677-42d7-4cee-b74f-85c0bbccd165"],
Cell[135110, 3355, 10391, 256, 157, "Output",ExpressionUUID->"e894adfc-dc38-4217-a634-3d7263c36c10"]
}, Open  ]],
Cell[CellGroupData[{
Cell[145538, 3616, 779, 19, 144, "Input",ExpressionUUID->"33ef5dba-179a-41f4-9300-7d6d6432f5e7"],
Cell[146320, 3637, 689, 22, 56, "Output",ExpressionUUID->"07628939-47d4-4139-9442-bba016b9d04b"],
Cell[147012, 3661, 475, 14, 67, "Output",ExpressionUUID->"87408220-da78-472e-9e12-7992536c5820"],
Cell[147490, 3677, 660, 20, 56, "Output",ExpressionUUID->"6b9a1a80-a75f-4ce8-a0f2-ee0050c7017d"],
Cell[148153, 3699, 451, 13, 67, "Output",ExpressionUUID->"46201f92-836e-42bd-acd8-eed88102eca4"],
Cell[148607, 3714, 197, 6, 48, "Output",ExpressionUUID->"f7f3c782-bf6d-47de-a767-2db9c43c135d"],
Cell[148807, 3722, 195, 6, 48, "Output",ExpressionUUID->"2ef6a15a-3434-4ee3-be1a-3043f0f4cfdb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[149039, 3733, 173, 4, 48, "Input",ExpressionUUID->"b4b0619d-feef-41dd-a64b-3308317d6eab"],
Cell[149215, 3739, 11823, 288, 204, "Output",ExpressionUUID->"a74c1888-957e-491a-a067-eb8374595d4d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[161075, 4032, 2116, 75, 160, "Input",ExpressionUUID->"f9a89c20-6ce0-4a99-816c-bccfa34638f2"],
Cell[163194, 4109, 660, 20, 98, "Output",ExpressionUUID->"ea58d9ec-8cd2-4a8c-a3a3-e9e398391964"],
Cell[163857, 4131, 658, 20, 98, "Output",ExpressionUUID->"b4fc16d8-d9e1-4584-8712-d7028b728991"],
Cell[164518, 4153, 195, 6, 48, "Output",ExpressionUUID->"5160c839-12ed-46ac-afe2-786e32b3cc18"],
Cell[164716, 4161, 197, 6, 48, "Output",ExpressionUUID->"177cbc61-2ebf-4b67-93ca-026dfca73975"],
Cell[164916, 4169, 195, 6, 48, "Output",ExpressionUUID->"37d0a1d8-d331-4fd1-9792-ca77ea7472c8"],
Cell[165114, 4177, 195, 6, 48, "Output",ExpressionUUID->"70354027-533a-413f-9cf2-6a1735926a6e"],
Cell[CellGroupData[{
Cell[165334, 4187, 4589, 167, 252, "Input",ExpressionUUID->"2c6221ae-7d51-4686-a304-40d8ab831436"],
Cell[169926, 4356, 926, 24, 166, "Output",ExpressionUUID->"272a2c07-904f-4d97-8ae5-bc18695da7f0"],
Cell[170855, 4382, 195, 6, 48, "Output",ExpressionUUID->"7bd3c48d-2760-44b1-b40b-93e96d4c3bb1"],
Cell[171053, 4390, 192, 5, 48, "Output",ExpressionUUID->"28510d42-cf47-4235-bb0e-dace03ac73ce"],
Cell[171248, 4397, 197, 6, 48, "Output",ExpressionUUID->"473d9ad2-c9c9-42d4-8e45-085bfda4f278"],
Cell[171448, 4405, 197, 6, 48, "Output",ExpressionUUID->"3f25ff2e-e717-408c-a527-910c2831f2a7"],
Cell[171648, 4413, 197, 6, 48, "Output",ExpressionUUID->"83335e49-5358-4825-b088-60692ac2bb3d"],
Cell[171848, 4421, 197, 6, 48, "Output",ExpressionUUID->"1cfa3249-1a1b-422d-b957-2c34b88bf9bb"],
Cell[172048, 4429, 195, 6, 48, "Output",ExpressionUUID->"f106f219-784a-4169-9b9b-6336a729aef5"],
Cell[172246, 4437, 197, 6, 48, "Output",ExpressionUUID->"58f071c0-9fc1-41f2-bfa5-d1501dba2222"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[172492, 4449, 326, 7, 48, "Input",ExpressionUUID->"7784d8db-0de7-4e37-91f9-eedd05f3bce4"],
Cell[172821, 4458, 10454, 260, 157, "Output",ExpressionUUID->"647bbcf0-8482-40b7-8b1f-7a15630ebfa7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[183312, 4723, 367, 9, 68, "Input",ExpressionUUID->"48aab966-5af5-42c1-a3f3-f225bc587c05"],
Cell[183682, 4734, 687, 21, 64, "Output",ExpressionUUID->"65e27409-2828-4e34-9d9e-dc5c84616516"],
Cell[184372, 4757, 685, 21, 64, "Output",ExpressionUUID->"b2390aee-76a4-428d-bfd3-35c0a0564d2c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[185094, 4783, 376, 9, 68, "Input",ExpressionUUID->"184513f6-dfa3-4667-a490-1b2a45e0b165"],
Cell[185473, 4794, 11768, 284, 204, "Output",ExpressionUUID->"952bb1c9-a059-43a9-91ab-c62eba60d241"],
Cell[197244, 5080, 197, 6, 48, "Output",ExpressionUUID->"f01b4194-5874-4176-9f2b-b89dbf23f762"]
}, Open  ]],
Cell[CellGroupData[{
Cell[197478, 5091, 378, 8, 87, "Input",ExpressionUUID->"db7b6b7c-50a4-4cc1-ae11-487716ec4540"],
Cell[197859, 5101, 11722, 284, 204, "Output",ExpressionUUID->"96cdac4e-34d0-4a6e-add7-d22bfa6a1a42"],
Cell[209584, 5387, 704, 21, 98, "Output",ExpressionUUID->"80177a9e-7cbc-4656-bdec-ac665980ba6c"],
Cell[210291, 5410, 1018, 26, 166, "Output",ExpressionUUID->"a5a5a078-003a-455b-8f12-dec58d3ffb0b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[211346, 5441, 378, 8, 87, "Input",ExpressionUUID->"872a0b10-db08-4295-b6d0-44c5e9e7b1ce"],
Cell[211727, 5451, 11720, 284, 204, "Output",ExpressionUUID->"b081da57-6b93-401c-a273-7df3360d2808"],
Cell[223450, 5737, 677, 20, 98, "Output",ExpressionUUID->"751be64a-8f37-40ea-a3b5-51a74694f9a2"],
Cell[224130, 5759, 972, 26, 166, "Output",ExpressionUUID->"40d05eef-b944-47c8-8f28-372940f60b17"]
}, Open  ]],
Cell[CellGroupData[{
Cell[225139, 5790, 816, 20, 106, "Input",ExpressionUUID->"e342610c-b8a2-4009-bcb1-da5b8f057815"],
Cell[225958, 5812, 12015, 290, 249, "Output",ExpressionUUID->"f8035cff-88a6-4ca5-bfda-af15d3a96c50"],
Cell[237976, 6104, 195, 6, 48, "Output",ExpressionUUID->"c7708dd7-5717-4bfb-bdf0-c4aa3e66bbb9"],
Cell[238174, 6112, 195, 6, 48, "Output",ExpressionUUID->"93603ff2-dad4-491e-b0ad-703bbad8f8f5"],
Cell[238372, 6120, 197, 6, 48, "Output",ExpressionUUID->"b841f4c8-dd57-4f90-8642-55a6ffb62379"]
}, Open  ]],
Cell[CellGroupData[{
Cell[238606, 6131, 1486, 37, 106, "Input",ExpressionUUID->"546217ec-7740-4042-8027-1c93a703238d"],
Cell[240095, 6170, 12943, 308, 157, "Output",ExpressionUUID->"83d8e883-c19a-4465-9b72-ac93236a20f3"],
Cell[253041, 6480, 497, 12, 48, "Output",ExpressionUUID->"b507b898-1849-4c5c-9396-813c5e35a23c"],
Cell[253541, 6494, 512, 12, 48, "Output",ExpressionUUID->"6082ffbd-b0e6-4d53-997b-59e80ae708e6"],
Cell[254056, 6508, 514, 12, 48, "Output",ExpressionUUID->"bc4c573a-ad49-4d0d-9232-99c3f781fa0c"],
Cell[CellGroupData[{
Cell[254595, 6524, 2654, 63, 144, "Input",ExpressionUUID->"bf367a9e-1bef-473d-80e1-e6a75941969c"],
Cell[257252, 6589, 805, 16, 68, "Output",ExpressionUUID->"451f2cfa-5e3b-4b6d-bc0e-2c973c9c90bd"],
Cell[258060, 6607, 845, 18, 68, "Output",ExpressionUUID->"a2518560-37a2-42bf-af0e-0ab405d7ff17"],
Cell[258908, 6627, 845, 18, 68, "Output",ExpressionUUID->"95ebf785-3e11-4208-8b72-734684e787ca"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[259802, 6651, 968, 26, 106, "Input",ExpressionUUID->"21e4b071-ec03-497d-a54a-9121d448045c"],
Cell[260773, 6679, 195, 6, 48, "Output",ExpressionUUID->"38809a18-4f06-45fa-a306-f32e09a7ed1f"],
Cell[260971, 6687, 195, 6, 48, "Output",ExpressionUUID->"98b75b4d-ef2b-436b-8ff5-f76a596f0258"],
Cell[261169, 6695, 195, 6, 48, "Output",ExpressionUUID->"5ba1768c-5672-4e04-bb5a-2c3bf03dd76c"],
Cell[261367, 6703, 195, 6, 48, "Output",ExpressionUUID->"71850ee0-123f-469c-96be-c00ef1745ab1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[261599, 6714, 231, 5, 68, "Input",ExpressionUUID->"51eb1791-bc88-45d0-9d8c-4513faeccd35"],
Cell[261833, 6721, 11830, 284, 227, "Output",ExpressionUUID->"076608f1-f5c8-49c4-81fd-c429f9bc791a"],
Cell[273666, 7007, 13175, 310, 134, "Output",ExpressionUUID->"d3c69d25-702d-4ad1-bb5f-520a13de66ab"]
}, Open  ]],
Cell[CellGroupData[{
Cell[286878, 7322, 1301, 31, 163, "Input",ExpressionUUID->"43db15c7-2a52-41ef-ac35-2729e7dd7d45"],
Cell[288182, 7355, 194, 6, 48, "Output",ExpressionUUID->"a3ff601a-cc3d-43a3-9fe1-a0e04eb62d56"],
Cell[288379, 7363, 210, 6, 48, "Output",ExpressionUUID->"79672d6d-4352-4723-9130-51d2a6ea9188"],
Cell[288592, 7371, 1118, 34, 302, "Output",ExpressionUUID->"de1ac605-2e83-4f55-a0af-f9017eb00a8d"],
Cell[289713, 7407, 193, 6, 48, "Output",ExpressionUUID->"ebf8298a-d927-4a02-afa1-cf0ce588cb8c"],
Cell[289909, 7415, 210, 6, 48, "Output",ExpressionUUID->"4c521fb2-d98f-424a-88a1-dc58ba978c19"],
Cell[290122, 7423, 197, 6, 48, "Output",ExpressionUUID->"eeef8a1d-054b-4c05-a341-babd31254d70"]
}, Open  ]],
Cell[CellGroupData[{
Cell[290356, 7434, 281, 6, 68, "Input",ExpressionUUID->"85898ae9-356b-4de4-8f1e-14f514eac52c"],
Cell[290640, 7442, 13640, 323, 251, "Output",ExpressionUUID->"f93ec60b-7e18-456c-b19e-8a0eb91fa955"],
Cell[304283, 7767, 12672, 309, 181, "Output",ExpressionUUID->"322f8213-cc5d-419b-a464-6f677d399b01"]
}, Open  ]],
Cell[CellGroupData[{
Cell[316992, 8081, 522, 13, 106, "Input",ExpressionUUID->"06aed984-cee6-43dd-a50d-fbb58fe89fd2"],
Cell[317517, 8096, 252, 6, 48, "Output",ExpressionUUID->"ea340238-d1b3-4372-a3b5-9fa864ea42f3"],
Cell[317772, 8104, 250, 6, 48, "Output",ExpressionUUID->"69e40d2f-7075-4a91-9353-34971d62313d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[318059, 8115, 356, 7, 68, "Input",ExpressionUUID->"074e6900-428a-47de-9e13-26a77249d0b3"],
Cell[318418, 8124, 11575, 281, 134, "Output",ExpressionUUID->"6042a0ca-ae22-4272-90d0-76d339d00f28"],
Cell[CellGroupData[{
Cell[330018, 8409, 101, 1, 48, "Input",ExpressionUUID->"35018685-1ee2-48a0-b593-8b046150d065"],
Cell[330122, 8412, 11378, 278, 110, "Output",ExpressionUUID->"0ed1fb02-b935-4bb0-b1d6-103fd53b00d5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[341537, 8695, 177, 4, 48, "Input",ExpressionUUID->"12c8a687-4168-4df9-98c9-88ee4ae90c59"],
Cell[341717, 8701, 10770, 243, 766, "Output",ExpressionUUID->"3800678a-3245-4568-86bc-3f34b45ff5ff"]
}, Open  ]],
Cell[CellGroupData[{
Cell[352524, 8949, 102, 1, 48, "Input",ExpressionUUID->"ebc1f426-e0c0-4c8e-8359-7c65d74085c5"],
Cell[352629, 8952, 11979, 290, 202, "Output",ExpressionUUID->"ea63c25d-51f8-4e72-b44f-da8cc7b509b6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[364645, 9247, 186, 4, 48, "Input",ExpressionUUID->"030941ad-4ac9-4b64-9e46-5a29b4e00ab0"],
Cell[364834, 9253, 10532, 265, 123, "Output",ExpressionUUID->"c8cef55c-11ea-4e17-bc77-ff57a82bc67e"]
}, Open  ]],
Cell[375381, 9521, 1618, 47, 109, "Text",ExpressionUUID->"9094231e-bfa4-4000-83a8-1997ee5c3735",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[377024, 9572, 191, 4, 48, "Input",ExpressionUUID->"f400f43f-8a76-46e6-9cac-66adb3ba3e82",
 CellTags->"b:5.2.0"],
Cell[377218, 9578, 793, 26, 97, "Output",ExpressionUUID->"58001af9-18b5-43ab-80fc-dd7a089115ba",
 CellTags->"b:5.2.0"],
Cell[378014, 9606, 186, 3, 23, "Text",ExpressionUUID->"b089494c-89fa-4fe7-9819-5115a2f80ee3",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[378225, 9613, 120, 1, 48, "Input",ExpressionUUID->"85fe2ce5-7c96-4fe4-9d3a-1acd3793f56d",
 CellTags->"b:5.2.0"],
Cell[378348, 9616, 792, 26, 97, "Output",ExpressionUUID->"ed4cf502-807e-44c4-aeac-a24f764356c5",
 CellTags->"b:5.2.0"]
}, Open  ]],
Cell[379155, 9645, 225, 4, 23, "Text",ExpressionUUID->"0737f639-304c-4b99-9e53-093de5452c80",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[379405, 9653, 446, 8, 48, "Input",ExpressionUUID->"96502799-c501-4eb1-8ba0-8fef6d6d7e8f",
 CellTags->"b:5.2.0"],
Cell[379854, 9663, 1711, 59, 259, "Output",ExpressionUUID->"2cc8d28e-3a41-4e3b-aeda-e888af3dc2c3",
 CellTags->"b:5.2.0"],
Cell[381568, 9724, 190, 3, 23, "Text",ExpressionUUID->"1e23644b-283f-4ea2-8567-c033ab0841d5",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[381783, 9731, 421, 8, 48, "Input",ExpressionUUID->"873eaf26-fb14-4719-bc28-2a894b858e1f",
 CellTags->"b:5.2.0"],
Cell[382207, 9741, 1711, 59, 259, "Output",ExpressionUUID->"56dcb210-4f28-4dec-8eba-3ed960fb6775",
 CellTags->"b:5.2.0"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[383957, 9805, 519, 7, 39, "Text",ExpressionUUID->"0630e717-28d4-4756-9f30-b2c1880a1d7b",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[384501, 9816, 905, 22, 106, "Input",ExpressionUUID->"683e3bb8-4047-4723-8924-a04ef84459a1",
 CellTags->"b:5.2.0"],
Cell[385409, 9840, 942, 23, 179, "Output",ExpressionUUID->"f909a2a6-d80e-472c-b0e3-9382bf45565e",
 CellTags->"b:5.2.0"],
Cell[386354, 9865, 1043, 27, 195, "Output",ExpressionUUID->"9aa450a7-08a1-418f-bd1a-3ae318fefa5a",
 CellTags->"b:5.2.0"],
Cell[387400, 9894, 700, 21, 93, "Output",ExpressionUUID->"3aa5ee63-42f3-4e4a-b4ea-84141949c0e4",
 CellTags->"b:5.2.0"],
Cell[388103, 9917, 601, 17, 64, "Output",ExpressionUUID->"1db70130-1698-406d-8ae2-203c1c5863ee",
 CellTags->"b:5.2.0"]
}, Open  ]],
Cell[388719, 9937, 484, 15, 23, "Text",ExpressionUUID->"990a16f1-bdf2-4764-89fa-5e41981f8cb1",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[389228, 9956, 254, 6, 48, "Input",ExpressionUUID->"28bcfd83-0455-4fd7-9e83-6da758c7b0c9",
 CellTags->{"i:2", "b:5.2.0"}],
Cell[389485, 9964, 2557, 88, 243, "Output",ExpressionUUID->"c50bfe1e-e72b-4110-b699-4b2544633c4e",
 CellTags->{"i:2", "b:5.2.0"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[392079, 10057, 498, 12, 68, "Input",ExpressionUUID->"33021d99-b127-4fa6-8c47-4e91d91d0b5f"],
Cell[392580, 10071, 1307, 39, 122, "Output",ExpressionUUID->"02889400-0a40-45cf-a686-0526b945b5f4"]
}, Open  ]],
Cell[393902, 10113, 241, 4, 23, "Text",ExpressionUUID->"ea674191-91e9-46f3-b19e-efc7a3177561",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[394168, 10121, 481, 13, 87, "Input",ExpressionUUID->"576f1076-769c-4a4f-b6ed-f76cb506f033",
 CellTags->"b:5.2.0"],
Cell[394652, 10136, 675, 21, 97, "Output",ExpressionUUID->"376db6c3-e2c2-4211-b0b5-932b64626fd8",
 CellTags->"b:5.2.0"],
Cell[395330, 10159, 591, 17, 77, "Output",ExpressionUUID->"4aae3ff7-1a36-4ab7-82ad-33b1b9da29eb",
 CellTags->"b:5.2.0"],
Cell[395924, 10178, 701, 22, 84, "Output",ExpressionUUID->"14a43740-b7fc-4256-aeb4-5b8a2006f9ca",
 CellTags->"b:5.2.0"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[396674, 10206, 101, 1, 48, "Input",ExpressionUUID->"ea24faef-20ef-4845-a31f-ff625a90a798"],
Cell[396778, 10209, 13444, 327, 194, "Output",ExpressionUUID->"1c74a606-f0f0-4ed0-8d24-c49fa6b98daf"]
}, Open  ]],
Cell[CellGroupData[{
Cell[410259, 10541, 563, 13, 125, "Input",ExpressionUUID->"6760ff4a-6afa-4487-9e16-5ba087f85102"],
Cell[410825, 10556, 574, 18, 77, "Output",ExpressionUUID->"8086219a-6d7a-4657-9fa7-6911985d491f"],
Cell[411402, 10576, 285, 8, 61, "Output",ExpressionUUID->"8daf3497-1e07-421e-98dc-9cfbef038ebd"],
Cell[411690, 10586, 574, 18, 77, "Output",ExpressionUUID->"515c224a-6d6b-4c04-983c-dad8d2271538"],
Cell[412267, 10606, 282, 7, 61, "Output",ExpressionUUID->"6c17a514-d210-4d87-b96c-d8d4c9aa11f7"],
Cell[412552, 10615, 359, 10, 48, "Output",ExpressionUUID->"e66134b0-77d7-4f72-953b-d1d3c2ddd857"],
Cell[CellGroupData[{
Cell[412936, 10629, 218, 7, 75, "Input",ExpressionUUID->"55a053cf-e8ba-4321-9b60-2df8aaa28e8b"],
Cell[413157, 10638, 574, 18, 77, "Output",ExpressionUUID->"bc473e1e-ea51-4812-be43-ffc754cf91c2"],
Cell[413734, 10658, 576, 18, 64, "Output",ExpressionUUID->"987f6e6a-40b4-4f25-9094-522fb0754550"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[414359, 10682, 102, 1, 48, "Input",ExpressionUUID->"e701bd4d-d3e0-4657-b372-29a50f323116"],
Cell[414464, 10685, 11410, 280, 217, "Output",ExpressionUUID->"f1c99dd7-2be3-4fde-a2ff-9320021e76b2"],
Cell[CellGroupData[{
Cell[425899, 10969, 267, 6, 68, "Input",ExpressionUUID->"f2ee9e6f-ffc3-4426-a5cc-b18a392132e7"],
Cell[426169, 10977, 1002, 31, 109, "Output",ExpressionUUID->"4bc9fd48-406c-414f-ba9d-803c2813b989"],
Cell[427174, 11010, 770, 22, 65, "Output",ExpressionUUID->"107a77a7-bf16-495f-a361-d759d8dbe25a"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[427993, 11038, 102, 1, 48, "Input",ExpressionUUID->"04b6729a-93a5-45fe-8b76-bd8fe09ddcfe"],
Cell[428098, 11041, 11846, 286, 194, "Output",ExpressionUUID->"5f35f8fe-2cae-4c24-86dd-456d0abd1c86"]
}, Open  ]],
Cell[CellGroupData[{
Cell[439981, 11332, 884, 22, 68, "Input",ExpressionUUID->"600f618b-0c12-4377-9755-262cb484b6f9"],
Cell[440868, 11356, 192, 5, 61, "Output",ExpressionUUID->"99b0a127-5975-49f8-a716-d7a9464e0a92"],
Cell[441063, 11363, 197, 6, 48, "Output",ExpressionUUID->"b1b043b2-2500-4bc2-b05e-e60077d516db"]
}, Open  ]],
Cell[CellGroupData[{
Cell[441297, 11374, 173, 4, 48, "Input",ExpressionUUID->"eb97989b-c295-4c20-97c7-0b96b90f49a0"],
Cell[441473, 11380, 10830, 267, 217, "Output",ExpressionUUID->"29fa5f14-0fbb-4771-94fb-d4e65c60d2c7"],
Cell[CellGroupData[{
Cell[452328, 11651, 365, 7, 106, "Input",ExpressionUUID->"1d049906-e1fb-4088-9836-6c4c1273b8bd"],
Cell[452696, 11660, 658, 22, 97, "Output",ExpressionUUID->"a239da98-cc73-479b-95e5-ddb7febb1203"],
Cell[453357, 11684, 424, 12, 80, "Output",ExpressionUUID->"0261716e-8ac4-4e26-adc8-b0fecd5cd321"],
Cell[453784, 11698, 679, 22, 97, "Output",ExpressionUUID->"a39aec54-553a-4bdf-9bb8-49c5d6f848a7"],
Cell[454466, 11722, 448, 13, 67, "Output",ExpressionUUID->"59408d11-0b3e-45cb-8013-92a8f643c958"],
Cell[CellGroupData[{
Cell[454939, 11739, 488, 14, 68, "Input",ExpressionUUID->"923fdfa5-c166-43f7-bf3d-5a24897a3a23"],
Cell[455430, 11755, 197, 6, 61, "Output",ExpressionUUID->"3e0ff62c-4afc-4d06-bc6f-c175ec45fd6b"],
Cell[455630, 11763, 192, 5, 48, "Output",ExpressionUUID->"e1d03ab4-70b4-4e87-8f12-7014bf694afb"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[455883, 11775, 173, 4, 48, "Input",ExpressionUUID->"5f0ee731-1207-4d1d-9ee5-d1adb71e9374"],
Cell[456059, 11781, 10574, 263, 170, "Output",ExpressionUUID->"c4e087df-5551-4d10-aa30-a47b0143d55d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[466670, 12049, 363, 7, 106, "Input",ExpressionUUID->"f3a9f1ea-df17-4ce6-b257-a19cde016021"],
Cell[467036, 12058, 672, 22, 97, "Output",ExpressionUUID->"8b6d5af2-5b37-4c5c-997c-773e8807aea1"],
Cell[467711, 12082, 436, 12, 80, "Output",ExpressionUUID->"27d9ae78-ea23-4178-ba46-ce5231e699db"],
Cell[468150, 12096, 696, 23, 97, "Output",ExpressionUUID->"baa86478-a56d-4836-895d-027a22cf5545"],
Cell[468849, 12121, 460, 13, 67, "Output",ExpressionUUID->"06d10f89-e53d-4bf7-afc2-f7c4ac2e7003"],
Cell[CellGroupData[{
Cell[469334, 12138, 489, 14, 68, "Input",ExpressionUUID->"4855d1e8-7392-40b7-a2e5-fcbf868d519b"],
Cell[469826, 12154, 195, 6, 61, "Output",ExpressionUUID->"5786b90a-c539-47e8-9569-2449525e30bf"],
Cell[470024, 12162, 197, 6, 48, "Output",ExpressionUUID->"014fd738-ccbb-4222-89ce-d5e2e8fc3d99"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[470270, 12174, 278, 5, 48, "Input",ExpressionUUID->"a3857921-7cff-441d-93b0-82b0c9510b3e"],
Cell[470551, 12181, 18873, 428, 310, "Output",ExpressionUUID->"55245f41-b904-4726-88f8-df35220d9e0a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[489461, 12614, 1645, 37, 201, "Input",ExpressionUUID->"9c39bcff-9355-4d35-a022-c8b8bef6037c"],
Cell[491109, 12653, 361, 10, 61, "Output",ExpressionUUID->"077e7e3a-3025-4e5e-a4ca-8b4b07c8e5ea"],
Cell[491473, 12665, 637, 21, 93, "Output",ExpressionUUID->"14d10dee-fc41-40bc-b1d1-c89f17f1751f"],
Cell[492113, 12688, 639, 21, 93, "Output",ExpressionUUID->"c0064cee-fec7-448f-b4ea-4b69695cbd77"],
Cell[492755, 12711, 646, 24, 179, "Output",ExpressionUUID->"2603b382-19c3-47a4-b11f-4a1987dc5cef"],
Cell[493404, 12737, 624, 19, 71, "Output",ExpressionUUID->"ba7c454f-88eb-4c2d-bbea-8f31ab62916b"],
Cell[494031, 12758, 639, 21, 93, "Output",ExpressionUUID->"344c0c0c-289c-4b15-bd3a-fc5c923c320d"],
Cell[494673, 12781, 646, 24, 179, "Output",ExpressionUUID->"87a0bba2-eb12-48e8-b2cc-b24c30d1b4ae"],
Cell[495322, 12807, 622, 19, 56, "Output",ExpressionUUID->"64eb2f18-1d7e-4c16-9387-1210e0e5036a"],
Cell[CellGroupData[{
Cell[495969, 12830, 1075, 17, 68, "Input",ExpressionUUID->"4dbd1a8e-c54c-499c-9ca6-1423e795bcd1"],
Cell[497047, 12849, 1662, 45, 179, "Output",ExpressionUUID->"7e683dbd-c028-404c-b933-2b60af9deda1"],
Cell[498712, 12896, 1769, 37, 87, "Output",ExpressionUUID->"7e135680-9323-4891-8f44-28411631bb7c"],
Cell[CellGroupData[{
Cell[500506, 12937, 1345, 28, 182, "Input",ExpressionUUID->"eadfe12c-e552-4e60-aabb-94be47617fdf"],
Cell[501854, 12967, 637, 21, 93, "Output",ExpressionUUID->"93a8007f-bd2c-4460-9fb7-fec54a26a295"],
Cell[502494, 12990, 639, 21, 93, "Output",ExpressionUUID->"b70e03e9-b010-4d75-9ef1-91d248c26d1a"],
Cell[503136, 13013, 688, 20, 62, "Output",ExpressionUUID->"778affc1-581e-4983-98d9-8cf061890cfd"],
Cell[503827, 13035, 689, 20, 62, "Output",ExpressionUUID->"82eaed6a-c53b-47ab-b38a-3cd79b7b69fd"],
Cell[504519, 13057, 690, 20, 49, "Output",ExpressionUUID->"5b0b94c6-284b-41be-a51e-91edfabb632f"],
Cell[CellGroupData[{
Cell[505234, 13081, 517, 8, 87, "Input",ExpressionUUID->"47dbe950-6319-4072-a3e1-61b1bd9ab0d9"],
Cell[505754, 13091, 637, 21, 93, "Output",ExpressionUUID->"4c76a5cf-1a54-47d5-bcca-b141aa022cfd"],
Cell[506394, 13114, 637, 21, 93, "Output",ExpressionUUID->"ea6f891b-a5ae-4da6-a1cc-3f709edeaecb"],
Cell[507034, 13137, 1767, 37, 87, "Output",ExpressionUUID->"a447abf4-6f32-4a12-a192-181296578a51"]
}, Open  ]],
Cell[CellGroupData[{
Cell[508838, 13179, 734, 17, 125, "Input",ExpressionUUID->"90e5d829-cd52-4eb7-b2e5-bd3b0e5d5149"],
Cell[509575, 13198, 637, 21, 93, "Output",ExpressionUUID->"7a53d716-6220-4bf1-a4a6-9315d6f8a31b"],
Cell[510215, 13221, 691, 20, 62, "Output",ExpressionUUID->"c97c1d48-f738-4e23-a2f5-86a02797d77c"],
Cell[510909, 13243, 693, 20, 62, "Output",ExpressionUUID->"b24725ec-d8cd-41fd-b609-a8d6fa3bb668"],
Cell[511605, 13265, 689, 20, 49, "Output",ExpressionUUID->"1bc5a24c-e32b-40a4-9742-27f3b92969b0"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[512367, 13293, 182, 4, 48, "Input",ExpressionUUID->"0b9d19f6-ef1c-4448-b1d6-147d8b3b4e25"],
Cell[512552, 13299, 10923, 267, 170, "Output",ExpressionUUID->"25ecaa00-c0f5-4ce5-adc5-4407b798b5dc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[523512, 13571, 158, 3, 48, "Input",ExpressionUUID->"45e3b26b-fc64-4fe6-b9cb-721988cc3437"],
Cell[523673, 13576, 1767, 37, 100, "Output",ExpressionUUID->"c8b8efdd-5b3d-4585-8baa-a5b75e81c8f5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[525477, 13618, 1140, 21, 163, "Input",ExpressionUUID->"e8a2f548-67b2-42be-ba96-017d8d179fee"],
Cell[526620, 13641, 639, 21, 93, "Output",ExpressionUUID->"e9597172-91e3-477d-8e10-ee1ae46a62af"],
Cell[527262, 13664, 637, 21, 93, "Output",ExpressionUUID->"456b7bd3-9930-478e-a9dd-ae29ba28d38d"],
Cell[527902, 13687, 743, 22, 62, "Output",ExpressionUUID->"19ca6b8a-5454-4440-9139-0c61dbf42a53"],
Cell[528648, 13711, 688, 19, 62, "Output",ExpressionUUID->"61509122-c2df-42c2-a642-ec8017b5ecb4"],
Cell[529339, 13732, 689, 20, 49, "Output",ExpressionUUID->"9d5aece0-b6cf-4595-a157-567a90b530a2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[530065, 13757, 314, 6, 68, "Input",ExpressionUUID->"a58f653f-a47c-430f-b37d-c44523d54f0b"],
Cell[530382, 13765, 16018, 358, 684, "Output",ExpressionUUID->"90f833d5-f6ae-4ce9-bf01-02da0ace571d"],
Cell[CellGroupData[{
Cell[546425, 14127, 776, 20, 87, "Input",ExpressionUUID->"66bbb2d4-3b23-43f0-8d7d-861eda7355e6"],
Cell[547204, 14149, 195, 6, 61, "Output",ExpressionUUID->"bba859c8-760e-4fc9-8611-3779f78309a6"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[547448, 14161, 1636, 34, 106, "Input",ExpressionUUID->"795a5e21-ef77-4092-a901-4c442a25f7ea"],
Cell[549087, 14197, 195, 6, 61, "Output",ExpressionUUID->"2ec70707-1ae6-45d6-bbd9-e1968054aed2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[549319, 14208, 1466, 29, 87, "Input",ExpressionUUID->"f3cad44e-85f5-4a74-8265-937685320839"],
Cell[550788, 14239, 195, 6, 61, "Output",ExpressionUUID->"74b739fb-3ae8-4b0e-8f97-371dbff91e5c"],
Cell[550986, 14247, 309, 7, 68, "Input",ExpressionUUID->"15f31189-483f-4b95-836c-488ebf1e4bbd"],
Cell[CellGroupData[{
Cell[551320, 14258, 1429, 29, 106, "Input",ExpressionUUID->"41381973-0725-4a45-9683-651883125342"],
Cell[552752, 14289, 1220, 34, 211, "Output",ExpressionUUID->"afb6f706-83b7-44d5-9faa-6c567d0f1bbc"],
Cell[553975, 14325, 195, 6, 48, "Output",ExpressionUUID->"52706701-098e-4ff2-a557-d167eb9519a0"],
Cell[CellGroupData[{
Cell[554195, 14335, 1387, 29, 106, "Input",ExpressionUUID->"999dc95a-6eae-43c6-9bc3-bc98308547da"],
Cell[555585, 14366, 1514, 44, 211, "Output",ExpressionUUID->"48077c97-8325-46e9-a1e3-b8ec978d2a17"],
Cell[557102, 14412, 195, 6, 48, "Output",ExpressionUUID->"3c4892bb-9b61-4b2a-8f8f-146a9a77f698"],
Cell[557300, 14420, 183, 3, 22, "SmallText",ExpressionUUID->"cf3362eb-cfe1-462b-a728-640e07bc894b"],
Cell[CellGroupData[{
Cell[557508, 14427, 180, 4, 48, "Input",ExpressionUUID->"8d52a9bb-f0ee-46f1-b465-001a68673a44"],
Cell[557691, 14433, 13702, 328, 239, "Output",ExpressionUUID->"c0d9edba-51bb-4e3a-acdd-a0f3308f0357"]
}, Open  ]],
Cell[CellGroupData[{
Cell[571430, 14766, 1603, 34, 106, "Input",ExpressionUUID->"4f36cce1-905b-4502-b49c-c7e3d389853a"],
Cell[573036, 14802, 195, 6, 61, "Output",ExpressionUUID->"eedd1801-c382-49c6-9772-17d6723e3441"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[573304, 14816, 113, 1, 48, "Input",ExpressionUUID->"6db14d3f-dec4-46a5-bd10-dbc92cdbf866"],
Cell[573420, 14819, 12182, 291, 194, "Output",ExpressionUUID->"669c6fe1-cd7c-46c8-adbc-3c71343873f8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[585639, 15115, 1981, 45, 125, "Input",ExpressionUUID->"f4a2b230-cadb-4728-9f98-442a01b3bc1f"],
Cell[587623, 15162, 197, 6, 61, "Output",ExpressionUUID->"7ca7cbe6-aa3a-40f8-9830-88d82118401d"],
Cell[587823, 15170, 195, 6, 61, "Output",ExpressionUUID->"2cb4dac1-5d94-41a5-b147-fdfc6ab71f14"],
Cell[588021, 15178, 195, 6, 61, "Output",ExpressionUUID->"78ef8b22-668e-47bb-ae4a-91af16185f30"],
Cell[588219, 15186, 195, 6, 61, "Output",ExpressionUUID->"c055dff4-1db0-42a5-9a78-acff50da16d7"],
Cell[588417, 15194, 195, 6, 48, "Output",ExpressionUUID->"50bec189-7514-48b4-8707-3c0fdf1132ca"]
}, Open  ]],
Cell[CellGroupData[{
Cell[588649, 15205, 426, 8, 125, "Input",ExpressionUUID->"088a1024-60b6-41ca-9f0b-e0bfaf966571"],
Cell[589078, 15215, 9778, 245, 123, "Output",ExpressionUUID->"ea9ca391-4cf2-4ea8-afbe-5b283556d1d6"],
Cell[598859, 15462, 192, 6, 61, "Output",ExpressionUUID->"5299eb12-4689-4fa1-8c51-6d3198b1d41b"],
Cell[599054, 15470, 9766, 244, 123, "Output",ExpressionUUID->"51edfa6f-cf06-42cc-9a15-513320869e00"],
Cell[608823, 15716, 192, 6, 48, "Output",ExpressionUUID->"2f40a584-63bd-4a97-b03b-283d502f07f8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[609052, 15727, 1455, 33, 182, "Input",ExpressionUUID->"374cb11c-588d-464e-9ae9-a83c1f8a8d88"],
Cell[610510, 15762, 11544, 277, 266, "Output",ExpressionUUID->"3d7376d7-f21d-4d82-9b08-13a434e5f612"],
Cell[622057, 16041, 584, 18, 77, "Output",ExpressionUUID->"9b10d992-95cf-45d9-86f4-bdb33f73a774"],
Cell[622644, 16061, 192, 5, 61, "Output",ExpressionUUID->"f14757dd-1f85-4466-91ac-880f9a49a10b"],
Cell[622839, 16068, 630, 19, 77, "Output",ExpressionUUID->"c84b8232-8e0f-4e05-a60c-6a787ede9dad"],
Cell[623472, 16089, 195, 6, 61, "Output",ExpressionUUID->"50d7a9bb-46e2-4267-a4ce-4c7d6b640812"],
Cell[623670, 16097, 195, 6, 61, "Output",ExpressionUUID->"31727a64-0681-4a7b-a54c-6182703a9541"],
Cell[623868, 16105, 195, 6, 48, "Output",ExpressionUUID->"945b9300-183a-42d9-92fc-00e20c28b5ad"]
}, Open  ]],
Cell[CellGroupData[{
Cell[624100, 16116, 397, 7, 48, "Input",ExpressionUUID->"6a117c43-5955-4744-8244-3d4a476daa47"],
Cell[624500, 16125, 11411, 278, 218, "Output",ExpressionUUID->"1d3705b7-fdaa-49bb-a463-9967d057856f"],
Cell[CellGroupData[{
Cell[635936, 16407, 493, 11, 68, "Input",ExpressionUUID->"35b1fb74-1eec-4c7b-990c-cead0268870a"],
Cell[636432, 16420, 702, 22, 111, "Output",ExpressionUUID->"66d5190f-67e1-4944-aab2-684e6ea68ece"],
Cell[637137, 16444, 702, 22, 98, "Output",ExpressionUUID->"73c357b8-35ee-46fb-8882-b88a154c7904"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[637888, 16472, 1547, 33, 87, "Input",ExpressionUUID->"8b7e5690-2737-4080-9540-0d22333d3e2b"],
Cell[639438, 16507, 197, 6, 61, "Output",ExpressionUUID->"e1bd7a01-4d65-43a9-a39d-75d370309fda"],
Cell[639638, 16515, 197, 6, 61, "Output",ExpressionUUID->"0476799e-78a9-42de-b3d4-80be46d8da42"],
Cell[639838, 16523, 195, 6, 48, "Output",ExpressionUUID->"a120c50c-a96b-4f2b-b95d-9de95fe67f45"]
}, Open  ]],
Cell[CellGroupData[{
Cell[640070, 16534, 449, 8, 48, "Input",ExpressionUUID->"2bda6964-1fcc-49d4-b9bc-ed5be6bb91d4"],
Cell[640522, 16544, 11830, 288, 217, "Output",ExpressionUUID->"766c2f98-da33-4b3a-b7e2-5d96400425f4"],
Cell[CellGroupData[{
Cell[652377, 16836, 356, 7, 48, "Input",ExpressionUUID->"7796671a-dc3f-4093-a53f-2af269740591"],
Cell[652736, 16845, 926, 24, 179, "Output",ExpressionUUID->"5ebca7bb-80dd-4b95-8668-1dd348ba1b01"]
}, Open  ]],
Cell[CellGroupData[{
Cell[653699, 16874, 1905, 40, 87, "Input",ExpressionUUID->"47c3b95f-40be-40ad-9cc9-d81602181007"],
Cell[655607, 16916, 197, 6, 61, "Output",ExpressionUUID->"6e9260de-c5be-47a7-89f2-d80539a9a02d"],
Cell[655807, 16924, 195, 6, 61, "Output",ExpressionUUID->"bf4a1ea6-5d62-4c4b-8075-62d301398d55"],
Cell[656005, 16932, 195, 6, 48, "Output",ExpressionUUID->"6c79883f-8294-4dce-b775-52dc78cf9e64"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[656249, 16944, 330, 6, 68, "Input",ExpressionUUID->"7130f0d5-cee9-4636-bab5-b90a5c68342d"],
Cell[656582, 16952, 9932, 231, 637, "Output",ExpressionUUID->"7f54db27-2ff7-49f3-9aba-f087d9ed2eac"],
Cell[666517, 17185, 19323, 437, 414, "Output",ExpressionUUID->"a4f2ceba-ee28-4724-a16e-70ab980b3c33"]
}, Open  ]],
Cell[CellGroupData[{
Cell[685877, 17627, 817, 23, 106, "Input",ExpressionUUID->"3ab368b6-f19e-4743-83ed-d1d8f4d4aa43"],
Cell[686697, 17652, 8298, 171, 179, "Output",ExpressionUUID->"cf6d018b-fa67-4797-b1df-e0f2603cad6a"],
Cell[694998, 17825, 2606, 56, 111, "Output",ExpressionUUID->"cb7069a1-57d7-421c-8651-6ca4d316caf1"],
Cell[697607, 17883, 1052, 27, 77, "Output",ExpressionUUID->"5ecc9138-31a3-4f4a-af78-19474e047be1"],
Cell[698662, 17912, 195, 6, 48, "Output",ExpressionUUID->"bd2da247-98bf-455d-af87-075f43432707"]
}, Open  ]],
Cell[CellGroupData[{
Cell[698894, 17923, 817, 18, 87, "Input",ExpressionUUID->"8e00b309-96a1-4189-abb5-71902f9651c2"],
Cell[699714, 17943, 2054, 48, 315, "Output",ExpressionUUID->"994d46bc-852f-4c65-9331-81b7ab7f63b2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[701805, 17996, 491, 10, 106, "Input",ExpressionUUID->"a41fa833-de5d-4d55-b12b-219072897a83"],
Cell[702299, 18008, 584, 18, 77, "Output",ExpressionUUID->"3b41e2ef-0d8c-4661-b1c1-76e8dd907930"],
Cell[702886, 18028, 192, 6, 61, "Output",ExpressionUUID->"b8198a16-59a1-4810-b47e-09a9eaccd424"],
Cell[703081, 18036, 586, 18, 77, "Output",ExpressionUUID->"6aad5f21-b71e-4bb5-8fff-d217ae37d233"],
Cell[703670, 18056, 189, 5, 48, "Output",ExpressionUUID->"e1a97c87-3d48-4dc6-9790-b035b47874d8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[703896, 18066, 752, 15, 68, "Input",ExpressionUUID->"3a7373cd-1190-4e56-bdda-6f0810377b4f"],
Cell[704651, 18083, 192, 6, 61, "Output",ExpressionUUID->"4e906cff-0ca3-44d6-96ca-6bbad103d14b"],
Cell[704846, 18091, 192, 6, 48, "Output",ExpressionUUID->"00f566ef-422d-42ec-adba-69cd2a000c47"]
}, Open  ]],
Cell[CellGroupData[{
Cell[705075, 18102, 1188, 31, 68, "Input",ExpressionUUID->"e5269fd1-d0f8-4166-99f9-52151ae87379"],
Cell[706266, 18135, 195, 6, 61, "Output",ExpressionUUID->"27d93e6f-9873-47e1-9a59-a850707ade62"],
Cell[706464, 18143, 195, 6, 48, "Output",ExpressionUUID->"fa50ff81-16ae-4af1-8f32-60973b43b82a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[706696, 18154, 857, 24, 125, "Input",ExpressionUUID->"9a26dcad-7699-42a5-9721-6f5b5e21e97e"],
Cell[707556, 18180, 1052, 26, 77, "Output",ExpressionUUID->"a1d092ee-40f9-4394-9eda-1ccad7c149cb"],
Cell[708611, 18208, 195, 6, 61, "Output",ExpressionUUID->"573b8e30-ff67-46be-bf15-77c6480d3140"],
Cell[708809, 18216, 210, 6, 61, "Output",ExpressionUUID->"f40e70b4-260a-44e3-aec5-8a3bc8367833"],
Cell[709022, 18224, 210, 6, 48, "Output",ExpressionUUID->"5a2c96a9-77f6-4ffe-84df-5f0012432a48"]
}, Open  ]],
Cell[CellGroupData[{
Cell[709269, 18235, 174, 4, 48, "Input",ExpressionUUID->"0eefc36e-e8a5-492b-bc52-f856d11f8f66"],
Cell[709446, 18241, 12932, 307, 428, "Output",ExpressionUUID->"7346ca07-0f87-4d27-b582-854b10d4fbbc"],
Cell[CellGroupData[{
Cell[722403, 18552, 1404, 40, 144, "Input",ExpressionUUID->"e7db7c45-46f3-42b3-ba8a-16c793424d6f"],
Cell[723810, 18594, 195, 6, 61, "Output",ExpressionUUID->"e66141c6-f62c-4c5a-aea3-b0c4e29bbbf8"],
Cell[724008, 18602, 195, 6, 61, "Output",ExpressionUUID->"f63031ac-aefb-4c6d-8334-124cbae86983"],
Cell[724206, 18610, 195, 6, 61, "Output",ExpressionUUID->"c18f1406-6e83-452c-8cd5-4baedc2dc85a"],
Cell[724404, 18618, 192, 5, 61, "Output",ExpressionUUID->"d8fc7ebd-e9cc-4036-819b-3e096ba533fb"],
Cell[724599, 18625, 197, 6, 61, "Output",ExpressionUUID->"9ead9f74-94eb-47b1-b5d9-f7c231657381"],
Cell[724799, 18633, 197, 6, 48, "Output",ExpressionUUID->"281efb35-9afd-4854-89de-40adbccf334f"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[725045, 18645, 2353, 58, 172, "Input",ExpressionUUID->"7a5376f1-a984-4fa3-b097-2c885adbf122"],
Cell[727401, 18705, 3607, 105, 147, "Output",ExpressionUUID->"43b91131-d492-437b-a56f-e4727fe429de"],
Cell[731011, 18812, 903, 28, 93, "Output",ExpressionUUID->"8f6bea96-1a95-4db3-9eb5-e6b5c52098ce"],
Cell[731917, 18842, 1237, 35, 77, "Output",ExpressionUUID->"86a7c43b-f798-4e3d-88c0-15816c5e40e8"],
Cell[733157, 18879, 192, 6, 61, "Output",ExpressionUUID->"1e45123b-a18c-4bd8-b205-0b1ff9671037"],
Cell[733352, 18887, 1356, 40, 97, "Output",ExpressionUUID->"aae2e37e-b5ed-4562-a3a9-ff5b6530a4d5"],
Cell[734711, 18929, 1356, 40, 84, "Output",ExpressionUUID->"f47e6708-56ad-45cd-9948-f91964e4a8d8"],
Cell[CellGroupData[{
Cell[736092, 18973, 1005, 24, 106, "Input",ExpressionUUID->"f42c7d56-fff8-487c-8fcc-07673862d1cd"],
Cell[737100, 18999, 3607, 105, 147, "Output",ExpressionUUID->"dbd6ee0d-9f4e-44b4-9dea-51e9f582281a"],
Cell[740710, 19106, 195, 6, 61, "Output",ExpressionUUID->"7a31ebbf-f5f4-4b9f-95c2-235dc77a27db"],
Cell[740908, 19114, 195, 6, 61, "Output",ExpressionUUID->"5b2a1051-4f32-445e-a2a0-306caf8baaa1"],
Cell[741106, 19122, 197, 6, 48, "Output",ExpressionUUID->"75a5dde4-70d8-4599-a5f5-ad99b28d0ad8"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[741352, 19134, 1828, 52, 73, "Input",ExpressionUUID->"d493246f-5ef5-42d7-8232-5b946a64d5fb"],
Cell[743183, 19188, 195, 6, 61, "Output",ExpressionUUID->"0dec4539-f42c-43ae-a90a-4da1d3883d8c"],
Cell[743381, 19196, 197, 6, 48, "Output",ExpressionUUID->"12a88049-5223-469a-88e3-6416a2f93edb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[743615, 19207, 266, 5, 48, "Input",ExpressionUUID->"a33de787-38fc-42cc-8516-22ff5460892f"],
Cell[743884, 19214, 4146, 102, 115, "Output",ExpressionUUID->"d1069652-4f1a-4a70-aee8-48241087f408"]
}, Open  ]],
Cell[CellGroupData[{
Cell[748067, 19321, 319, 6, 48, "Input",ExpressionUUID->"dac7bf3d-44a2-46b5-ba05-42b50fac7e6d"],
Cell[748389, 19329, 6517, 153, 132, "Output",ExpressionUUID->"42b6c993-56ec-4704-a763-6f3229a53b38"]
}, Open  ]],
Cell[CellGroupData[{
Cell[754943, 19487, 582, 11, 106, "Input",ExpressionUUID->"ddb12c9f-9d56-4793-8c7a-52e80b69bc95"],
Cell[755528, 19500, 820, 22, 77, "Output",ExpressionUUID->"1e10c90b-7a28-4776-a91b-534bae74eb03"],
Cell[756351, 19524, 598, 14, 48, "Output",ExpressionUUID->"226c7bd3-342a-4db2-a134-f2b87f2380e6"],
Cell[CellGroupData[{
Cell[756974, 19542, 154, 2, 68, "Input",ExpressionUUID->"b222b19d-2af4-4cf7-ae99-3bdcdf968bdd"],
Cell[757131, 19546, 1094, 28, 111, "Output",ExpressionUUID->"deca3dd3-111a-45f8-8c80-0f869183b9f6"],
Cell[758228, 19576, 982, 20, 48, "Output",ExpressionUUID->"1a30902a-f812-462e-8a77-eb9bee922d7f"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[759259, 19602, 324, 6, 106, "Input",ExpressionUUID->"444eff7e-99ae-4b48-90ae-43321278c6ec"],
Cell[759586, 19610, 813, 21, 62, "Output",ExpressionUUID->"257da7ab-5033-475c-b11b-86bc7e55d269"],
Cell[760402, 19633, 608, 14, 61, "Output",ExpressionUUID->"9e85540d-d231-4285-9ef1-60cce62ff8e4"],
Cell[761013, 19649, 1082, 28, 62, "Output",ExpressionUUID->"6ab6c250-a14c-491b-8bbd-84af350a1ba6"],
Cell[762098, 19679, 1008, 23, 68, "Output",ExpressionUUID->"18a9770f-2661-4b2e-8d84-850e33ba0a0a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[763143, 19707, 414, 9, 106, "Input",ExpressionUUID->"3e4d6496-7068-4f3c-83bf-6eb0c5965fdb"],
Cell[763560, 19718, 3320, 62, 138, "Output",ExpressionUUID->"1700aaa9-64c0-42bd-8b64-581afcdc9bb8"],
Cell[766883, 19782, 3403, 64, 144, "Output",ExpressionUUID->"ec77ee85-f1f7-4ab4-8f1a-08e2ceb7a584"]
}, Open  ]],
Cell[770301, 19849, 322, 7, 48, "Input",ExpressionUUID->"67086103-18c8-4976-a1ff-b46ec5e5ac4c"],
Cell[CellGroupData[{
Cell[770648, 19860, 1076, 25, 125, "Input",ExpressionUUID->"b05e4b66-eb82-4046-bbe0-01b32e7f1fc1"],
Cell[771727, 19887, 888, 25, 77, "Output",ExpressionUUID->"58ac9f42-caa6-4158-bdab-110c634418de"],
Cell[772618, 19914, 212, 6, 61, "Output",ExpressionUUID->"428a57f6-e292-4cdc-9256-8d4f14d5359d"],
Cell[772833, 19922, 764, 24, 93, "Output",ExpressionUUID->"be91b391-c926-4967-8f0d-ba98a26a1512"],
Cell[773600, 19948, 2274, 50, 111, "Output",ExpressionUUID->"a6033b52-b946-40b8-9aa2-54a2f8530bf6"],
Cell[775877, 20000, 196, 6, 48, "Output",ExpressionUUID->"94e6ab10-0211-4b98-983c-20be2045c710"]
}, Open  ]],
Cell[CellGroupData[{
Cell[776110, 20011, 1355, 31, 182, "Input",ExpressionUUID->"6df3558f-b29d-4924-a58e-4b3ef32972d5"],
Cell[777468, 20044, 194, 6, 61, "Output",ExpressionUUID->"b2b9de55-2ced-4caa-a26b-6996ad685aac"],
Cell[777665, 20052, 212, 6, 61, "Output",ExpressionUUID->"200c798d-8ba9-4dec-be91-5ccedcff07ee"],
Cell[777880, 20060, 4894, 100, 282, "Output",ExpressionUUID->"90c5e748-c58c-4b4b-994c-3d67d26bd6c7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[782811, 20165, 175, 4, 48, "Input",ExpressionUUID->"dc20293e-69f4-4e5e-ac10-397c4b8b747a"],
Cell[782989, 20171, 11644, 284, 241, "Output",ExpressionUUID->"019972e5-3cd1-414f-b141-b9486b043b62"]
}, Open  ]],
Cell[CellGroupData[{
Cell[794670, 20460, 385, 9, 71, "Input",ExpressionUUID->"a3d0f7dc-b9d0-4e9d-ac45-dc49b93a5440"],
Cell[795058, 20471, 903, 28, 93, "Output",ExpressionUUID->"a70517cd-6246-4b81-b468-316233840a63"],
Cell[795964, 20501, 192, 6, 48, "Output",ExpressionUUID->"8e8ccec9-d611-432a-94d6-c1c8c861d58b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[796193, 20512, 530, 12, 89, "Input",ExpressionUUID->"21da04c7-284a-4fcc-bac5-2a68f9d206d4"],
Cell[796726, 20526, 1032, 30, 81, "Output",ExpressionUUID->"b2b4ce0e-9d08-4815-9b4d-b27175c33a18"],
Cell[797761, 20558, 647, 21, 77, "Output",ExpressionUUID->"5ba5c67f-3876-4e2a-94d1-f0cac7230f9c"],
Cell[798411, 20581, 195, 6, 48, "Output",ExpressionUUID->"df15040e-3f9a-43d7-b2c9-8f56be8939ed"],
Cell[CellGroupData[{
Cell[798631, 20591, 175, 4, 48, "Input",ExpressionUUID->"fa6f23ee-1ddd-437b-b9fd-6bb0954af633"],
Cell[798809, 20597, 4108, 102, 115, "Output",ExpressionUUID->"c32ed716-b91c-4ae7-9653-52eefa131c0e"]
}, Open  ]]
}, Open  ]],
Cell[802944, 20703, 367, 6, 23, "Text",ExpressionUUID->"8d338c0d-e4b1-47a6-b98e-f47f826daff0",
 CellTags->"b:5.2.0"],
Cell[CellGroupData[{
Cell[803336, 20713, 2333, 61, 239, "Input",ExpressionUUID->"eede73a8-bb5e-4f9a-b089-1de4b58b7d02"],
Cell[805672, 20776, 549, 16, 75, "Output",ExpressionUUID->"dd702eae-9eb0-43fb-b835-df3130eb3ffa"],
Cell[806224, 20794, 551, 16, 75, "Output",ExpressionUUID->"14e1ebc5-cfb9-4db1-9cbb-e8c172c87713"],
Cell[806778, 20812, 486, 14, 75, "Output",ExpressionUUID->"f9a392a6-2bcd-48fe-8563-4287bdbb0824"],
Cell[807267, 20828, 486, 14, 75, "Output",ExpressionUUID->"1cb5f175-ebfb-45b0-9473-18a2b0e0a07c"],
Cell[807756, 20844, 425, 13, 56, "Output",ExpressionUUID->"71c42fca-0b35-41f2-aabe-438e79d40950"],
Cell[CellGroupData[{
Cell[808206, 20861, 799, 24, 87, "Input",ExpressionUUID->"1f48707e-b3ec-4f84-92a5-85cb2fd3858b"],
Cell[809008, 20887, 195, 6, 61, "Output",ExpressionUUID->"f570382d-2659-495f-b748-74d73c1bc042"],
Cell[809206, 20895, 195, 6, 61, "Output",ExpressionUUID->"9724dd85-2371-4a92-9f3d-2143f64d8940"],
Cell[809404, 20903, 195, 6, 48, "Output",ExpressionUUID->"b5b5404e-8c9c-41ec-be6d-8e996d8eec51"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[809648, 20915, 393, 11, 48, "Input",ExpressionUUID->"d25ea64c-507c-441e-ba89-28a15873e7bc"],
Cell[810044, 20928, 639, 21, 93, "Output",ExpressionUUID->"4ea1068c-444e-4d57-9017-1355d5b845fd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[810720, 20954, 692, 18, 68, "Input",ExpressionUUID->"db4bc1ff-3731-4d97-bf24-5731288b6927"],
Cell[811415, 20974, 632, 19, 77, "Output",ExpressionUUID->"f67c017d-985d-4ae3-8d5b-a8f2e00cef2e"],
Cell[812050, 20995, 192, 5, 48, "Output",ExpressionUUID->"0731eea5-e8a1-4e66-8a16-911190bda8b2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[812279, 21005, 2503, 67, 151, "Input",ExpressionUUID->"55b3e53c-e523-4b4a-b3bd-1bca7ceb1cad"],
Cell[814785, 21074, 778, 27, 97, "Output",ExpressionUUID->"b6b4eb3b-9c9e-4026-b62c-cc6a3832f665"],
Cell[815566, 21103, 776, 27, 97, "Output",ExpressionUUID->"214e7924-a8ab-45be-9240-2e80a9102c7f"],
Cell[816345, 21132, 776, 27, 97, "Output",ExpressionUUID->"079bded1-8e4b-46e4-b228-4c3a59cae787"],
Cell[817124, 21161, 195, 6, 61, "Output",ExpressionUUID->"6592043a-aff7-4d50-b8e7-3e157145e077"],
Cell[817322, 21169, 195, 6, 48, "Output",ExpressionUUID->"02d3bba3-e56d-4f00-bf29-12e9868736d4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[817554, 21180, 178, 4, 48, "Input",ExpressionUUID->"8e3d5ffd-1519-4ce6-a58d-3e57a5d9ff89"],
Cell[817735, 21186, 3272, 84, 115, "Output",ExpressionUUID->"2f5a28ae-19eb-4558-a2a4-e8c99dd88b82"]
}, Open  ]],
Cell[CellGroupData[{
Cell[821044, 21275, 1276, 26, 92, "Input",ExpressionUUID->"fffcfb57-fb36-45ce-8c48-02f05bb6b0f7"],
Cell[822323, 21303, 2416, 69, 107, "Output",ExpressionUUID->"469852a5-b543-4f55-aa40-cb82261d0000"],
Cell[824742, 21374, 1142, 32, 63, "Output",ExpressionUUID->"2005f298-fbde-403e-af6f-bed54aa604cb"],
Cell[CellGroupData[{
Cell[825909, 21410, 171, 4, 48, "Input",ExpressionUUID->"4212b21e-435b-4b64-a861-789ba62672b8"],
Cell[826083, 21416, 12197, 294, 123, "Output",ExpressionUUID->"6a996543-9c24-49aa-89d5-eff1ed3286b8"]
}, Open  ]]
}, Open  ]],
Cell[838307, 21714, 308, 7, 48, "Input",ExpressionUUID->"a02072ce-30b2-4698-8ed7-806780083c0a"],
Cell[CellGroupData[{
Cell[838640, 21725, 376, 7, 68, "Input",ExpressionUUID->"81920f95-4f8e-47d3-af9c-e38997190309"],
Cell[839019, 21734, 12773, 304, 124, "Output",ExpressionUUID->"8d57d310-ff34-4781-9b4d-5d4054f6fb13"],
Cell[851795, 22040, 13909, 341, 157, "Output",ExpressionUUID->"dbc6d130-7dcf-4909-aeef-c126397d7bfd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[865741, 22386, 432, 7, 106, "Input",ExpressionUUID->"bf840fd6-65ca-4b5d-b663-c50f64851b6b"],
Cell[866176, 22395, 584, 18, 77, "Output",ExpressionUUID->"c70b765e-98bf-49ba-a1d7-0730a42b29a7"],
Cell[866763, 22415, 584, 18, 77, "Output",ExpressionUUID->"ac54c884-73f0-424a-a90d-d3c0200511e0"],
Cell[867350, 22435, 630, 19, 77, "Output",ExpressionUUID->"330036b9-dbd5-4d23-a403-9553aa207613"],
Cell[867983, 22456, 603, 18, 64, "Output",ExpressionUUID->"d976931e-c945-4e15-bf39-38d7f6ef50b4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[868623, 22479, 351, 7, 106, "Input",ExpressionUUID->"a07ce719-ef1a-4455-877d-980291b0af34"],
Cell[868977, 22488, 580, 17, 77, "Output",ExpressionUUID->"451ee1f8-404c-43b5-b4ee-18e65ca4276d"],
Cell[869560, 22507, 584, 18, 77, "Output",ExpressionUUID->"6580e1cf-3cfd-4ac1-951e-2944f743f93b"],
Cell[870147, 22527, 630, 19, 77, "Output",ExpressionUUID->"aaa30750-2602-49ae-aa99-d0cf5299db21"],
Cell[870780, 22548, 606, 19, 64, "Output",ExpressionUUID->"814cded6-b514-41b4-ba51-627c98478767"]
}, Open  ]],
Cell[CellGroupData[{
Cell[871423, 22572, 1047, 27, 68, "Input",ExpressionUUID->"aa91c26a-11ed-4874-9adb-6dd9de5c386f"],
Cell[872473, 22601, 195, 6, 61, "Output",ExpressionUUID->"45b7164b-a4a0-4408-a44b-50374f351dcc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[872705, 22612, 173, 4, 48, "Input",ExpressionUUID->"e333b42d-3855-4a39-b579-1993c1dcce01"],
Cell[872881, 22618, 11612, 274, 544, "Output",ExpressionUUID->"fd854338-0465-4c13-b9fc-76de52a2f99b"],
Cell[CellGroupData[{
Cell[884518, 22896, 797, 23, 106, "Input",ExpressionUUID->"7b4af726-0d3b-47cb-993d-b5b976459c1b"],
Cell[885318, 22921, 197, 6, 61, "Output",ExpressionUUID->"5047a8f1-039d-44db-985f-67b063d6bd36"],
Cell[885518, 22929, 195, 6, 61, "Output",ExpressionUUID->"0675d65c-3c61-41d0-826c-8966ed13bb74"],
Cell[885716, 22937, 195, 6, 61, "Output",ExpressionUUID->"3002f8ea-972e-4b67-b9b2-db3ea0a7531f"],
Cell[885914, 22945, 195, 6, 48, "Output",ExpressionUUID->"03a96ed3-e0e7-4e28-80ca-b4a55c1bcb13"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[886158, 22957, 1658, 40, 87, "Input",ExpressionUUID->"c9ebbac2-8e74-4d5f-bbcd-8cc1ff401f6c"],
Cell[887819, 22999, 197, 6, 61, "Output",ExpressionUUID->"f7217049-4979-4278-ae2d-dbc9adbe60dd"],
Cell[888019, 23007, 195, 6, 61, "Output",ExpressionUUID->"1e24ef2e-409b-4b1d-bd5f-37b05748ed6c"],
Cell[888217, 23015, 195, 6, 48, "Output",ExpressionUUID->"9fa71017-c289-4464-98e6-83695cd26c97"]
}, Open  ]],
Cell[CellGroupData[{
Cell[888449, 23026, 173, 4, 48, "Input",ExpressionUUID->"b7f53c7f-0ea0-4982-8415-749e2b90bcdb"],
Cell[888625, 23032, 11091, 274, 170, "Output",ExpressionUUID->"4fd6abc7-84f8-4e2c-a7ec-c59089a61ff4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[899753, 23311, 1533, 36, 87, "Input",ExpressionUUID->"614e87ba-b470-4299-ba1c-8a1e4ff4f266"],
Cell[901289, 23349, 658, 20, 111, "Output",ExpressionUUID->"f7ce0fd1-e0e7-4a8c-b5c4-4e42229c8561"],
Cell[901950, 23371, 195, 6, 61, "Output",ExpressionUUID->"839deb7b-da1e-4565-a2c4-1eeacdee34f5"],
Cell[902148, 23379, 195, 6, 48, "Output",ExpressionUUID->"75c61767-48da-4b05-95da-b9f526caf9bf"],
Cell[CellGroupData[{
Cell[902368, 23389, 1757, 42, 68, "Input",ExpressionUUID->"3c1842a9-90dd-4c0e-865f-c97a199227df"],
Cell[904128, 23433, 197, 6, 61, "Output",ExpressionUUID->"5220fd97-94d3-40ce-9f58-4b800553d0a4"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[904374, 23445, 176, 4, 48, "Input",ExpressionUUID->"e176442e-1890-4fa3-b672-9b45792ee551"],
Cell[904553, 23451, 13688, 325, 217, "Output",ExpressionUUID->"666a0218-3ada-4814-a03f-64356c711f02"]
}, Open  ]],
Cell[CellGroupData[{
Cell[918278, 23781, 335, 7, 68, "Input",ExpressionUUID->"76303c62-28e1-4ede-a837-6d47d0fa9ee6"],
Cell[918616, 23790, 926, 24, 179, "Output",ExpressionUUID->"e1974910-9b58-4147-bd3c-7b2d936e80d6"],
Cell[919545, 23816, 926, 24, 166, "Output",ExpressionUUID->"4bd67274-d40a-4157-9bfb-bffabe6a6f36"],
Cell[CellGroupData[{
Cell[920496, 23844, 1944, 48, 258, "Input",ExpressionUUID->"6b10a625-61e3-44ef-837d-ff6805a044a5"],
Cell[922443, 23894, 291, 9, 61, "Output",ExpressionUUID->"4e72c7de-b925-4a88-a7b9-8c7771af848a"],
Cell[922737, 23905, 291, 9, 61, "Output",ExpressionUUID->"e62d1ae5-c127-4625-88c8-e76772ece80b"],
Cell[923031, 23916, 293, 9, 61, "Output",ExpressionUUID->"704f8d40-7a68-4d02-b4f5-41a09758aeb0"],
Cell[923327, 23927, 291, 9, 61, "Output",ExpressionUUID->"73f6267b-5294-41f5-a6ba-c0d118627895"],
Cell[923621, 23938, 291, 9, 61, "Output",ExpressionUUID->"d23f2c84-83bd-441f-811a-36b8767a58a0"],
Cell[923915, 23949, 291, 9, 48, "Output",ExpressionUUID->"9d605059-a781-4559-b8e2-296c3c3b6174"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[924255, 23964, 473, 11, 106, "Input",ExpressionUUID->"6b0c5f0c-c1d2-47f7-bc02-194d327075d3"],
Cell[924731, 23977, 10420, 256, 216, "Output",ExpressionUUID->"42c4a878-bfb8-4b11-9bc8-d947c7195dcd"],
Cell[935154, 24235, 192, 6, 61, "Output",ExpressionUUID->"d8e73258-442c-4eed-88a9-d4507e7fccc4"],
Cell[935349, 24243, 252, 8, 61, "Output",ExpressionUUID->"c8cc5098-e048-41b9-991b-b21afcfb6737"],
Cell[935604, 24253, 252, 8, 48, "Output",ExpressionUUID->"f06b4fa5-dfdc-4eb1-866c-dbf3a610f5a0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[935893, 24266, 580, 10, 144, "Input",ExpressionUUID->"fb878eee-b6fe-4b81-b8b7-e74a3e34ce30"],
Cell[936476, 24278, 10144, 250, 193, "Output",ExpressionUUID->"d838fc42-6d7f-42b6-949d-e8b910122291"],
Cell[946623, 24530, 192, 6, 61, "Output",ExpressionUUID->"6c004ee2-4c71-4f77-8374-9f37d4de9353"],
Cell[946818, 24538, 190, 5, 61, "Output",ExpressionUUID->"d8def5b8-4f76-458f-8cfb-da87c87696a0"],
Cell[947011, 24545, 192, 6, 61, "Output",ExpressionUUID->"1747cca4-750a-44ac-8cb2-0a79256e722f"],
Cell[947206, 24553, 2918, 80, 1118, "Output",ExpressionUUID->"793e8ba3-2fb1-4bc8-a02f-e8327c9ea230"],
Cell[CellGroupData[{
Cell[950149, 24637, 1012, 26, 87, "Input",ExpressionUUID->"5335b5e8-0f4c-4271-a37a-2b76b1bd9c90"],
Cell[951164, 24665, 191, 5, 61, "Output",ExpressionUUID->"80c4bd49-331b-4a38-a74c-8df8fe216f33"],
Cell[951358, 24672, 197, 6, 61, "Output",ExpressionUUID->"3c665010-2526-4d16-8e2c-b1adea088f44"],
Cell[951558, 24680, 195, 6, 48, "Output",ExpressionUUID->"5f65f1b4-4058-4065-b969-e5f04ab4745f"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[951802, 24692, 449, 9, 125, "Input",ExpressionUUID->"8ffc3bbe-7c98-4f21-98cd-fce2c91e5ef7"],
Cell[952254, 24703, 10123, 250, 193, "Output",ExpressionUUID->"6d5604c3-54b1-43cd-9e85-c9d2735bfdab"],
Cell[962380, 24955, 192, 6, 61, "Output",ExpressionUUID->"d49cd1a4-d9c5-4c58-b0a5-6eb4468eae2b"],
Cell[962575, 24963, 192, 6, 61, "Output",ExpressionUUID->"0b026de7-29cb-4074-9257-223ec5fc9251"],
Cell[962770, 24971, 676, 24, 145, "Output",ExpressionUUID->"4111b329-cf76-4215-bd89-aca6942a1d2b"],
Cell[963449, 24997, 756, 30, 234, "Output",ExpressionUUID->"22b5834d-4d7a-46cc-9cad-21169adf2c17"]
}, Open  ]],
Cell[CellGroupData[{
Cell[964242, 25032, 290, 5, 87, "Input",ExpressionUUID->"d44971d4-9742-47d9-9a8e-5697801e6cda"],
Cell[964535, 25039, 10072, 251, 169, "Output",ExpressionUUID->"27b1da31-8428-48c4-8bab-5a7a0d541e91"],
Cell[974610, 25292, 637, 21, 93, "Output",ExpressionUUID->"900f7a9b-e017-4ed3-9fdf-073eb926ef99"],
Cell[975250, 25315, 702, 26, 166, "Output",ExpressionUUID->"c2b63ccd-c178-445c-8f0f-095d40bbfcef"]
}, Open  ]],
Cell[975967, 25344, 629, 14, 106, "Input",ExpressionUUID->"3c722456-e455-40ae-b06e-509b22dd6c9f"],
Cell[CellGroupData[{
Cell[976621, 25362, 1431, 38, 190, "Input",ExpressionUUID->"2e6c1ae5-21be-4e36-95c7-4b665a51388a"],
Cell[978055, 25402, 9162, 223, 241, "Output",ExpressionUUID->"dc0e6b0f-fa01-4d27-8ba8-4de610350b11"],
Cell[987220, 25627, 584, 18, 77, "Output",ExpressionUUID->"7d663409-5a59-4e36-abd0-c8e561bd433e"],
Cell[987807, 25647, 584, 18, 77, "Output",ExpressionUUID->"d28a3448-da11-4369-88fb-e86f43aeceb3"],
Cell[988394, 25667, 584, 18, 77, "Output",ExpressionUUID->"9c9e6281-b53b-402a-a836-9df687017c15"],
Cell[988981, 25687, 195, 6, 61, "Output",ExpressionUUID->"a8f7df1b-881c-4175-a4ce-6badb0d8d44a"],
Cell[989179, 25695, 192, 5, 61, "Output",ExpressionUUID->"c55f8d67-8e8e-438e-9bba-a0b7ccfd08e3"],
Cell[989374, 25702, 191, 5, 61, "Output",ExpressionUUID->"f91a1d61-9570-4630-aa75-9fb88f7b5692"],
Cell[989568, 25709, 195, 6, 61, "Output",ExpressionUUID->"66d1d887-5583-48ca-9034-e80bad912df7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[989800, 25720, 277, 7, 68, "Input",ExpressionUUID->"14c69827-d8f2-4dbd-a8fa-591a17b5fa66"],
Cell[990080, 25729, 10028, 248, 192, "Output",ExpressionUUID->"29c43906-3076-4b04-887b-2335cd842696"],
Cell[1000111, 25979, 584, 18, 77, "Output",ExpressionUUID->"2d723c57-921c-412a-af5d-dc3a94aff6b5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1000732, 26002, 179, 4, 48, "Input",ExpressionUUID->"e0cff2dd-6aa3-41dd-9d2e-0ab49e802dbc"],
Cell[1000914, 26008, 8579, 213, 147, "Output",ExpressionUUID->"504e56c8-baae-46b4-ab7d-0ad08263d6a0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1009530, 26226, 351, 7, 106, "Input",ExpressionUUID->"52e6f1b1-c077-4dc1-8bd5-c8284066306d"],
Cell[1009884, 26235, 584, 18, 77, "Output",ExpressionUUID->"a337b661-53b6-435d-bb17-aab7316312f0"],
Cell[1010471, 26255, 584, 18, 77, "Output",ExpressionUUID->"562a9d86-57e9-4db6-87f0-e3e5a04c7bbc"],
Cell[1011058, 26275, 630, 19, 77, "Output",ExpressionUUID->"74b16dc2-584d-4f20-8aa3-928d1d2f7267"],
Cell[1011691, 26296, 606, 19, 77, "Output",ExpressionUUID->"8f96083d-07ef-4112-b53d-1c8acc7be354"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1012334, 26320, 297, 6, 68, "Input",ExpressionUUID->"31d5a1fd-f1b2-4f1d-82d0-f7065245d86d"],
Cell[1012634, 26328, 2275, 53, 111, "Output",ExpressionUUID->"16834cb6-ac67-4fe4-a104-ba33f10292ce"],
Cell[CellGroupData[{
Cell[1014934, 26385, 275, 5, 48, "Input",ExpressionUUID->"73ddca9e-d6da-4cb8-a8de-fd24efeab710"],
Cell[1015212, 26392, 15905, 367, 147, "Output",ExpressionUUID->"d4464f6f-242a-4359-a79f-1125cfe459a1"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1031166, 26765, 190, 4, 48, "Input",ExpressionUUID->"f6c66dac-5000-4ba0-a605-ecc3ec64607f"],
Cell[1031359, 26771, 2638, 63, 93, "Output",ExpressionUUID->"b492d557-a57f-4c29-8524-5134a5f9a9ba"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1034034, 26839, 340, 7, 68, "Input",ExpressionUUID->"9a5db825-a54b-4960-bd69-f517403a1ea9"],
Cell[1034377, 26848, 3743, 92, 115, "Output",ExpressionUUID->"845170da-3e23-445f-9c7a-47d48212e2bd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1038157, 26945, 507, 11, 87, "Input",ExpressionUUID->"774c49a7-6237-4758-be49-47b4326fc9bd"],
Cell[1038667, 26958, 15789, 362, 461, "Output",ExpressionUUID->"2241d054-b321-4f0b-b8f5-8c9a99793902"]
}, Open  ]],
Cell[1054471, 27323, 427, 8, 48, "Input",ExpressionUUID->"b5a89b15-2c09-4b87-aa16-c6f14a6ce603"]
}
]
*)

