(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    197941,       4787]
NotebookOptionsPosition[    161558,       4105]
NotebookOutlinePosition[    181597,       4471]
CellTagsIndexPosition[    181005,       4446]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Grover searching algorithms", "Title",
 CellTags->"c:1",ExpressionUUID->"248a907c-646d-491b-9c11-007b3b4382ea"],

Cell["Searching for one or two items on a database", "Subtitle",ExpressionUUID->"c4d1cc37-27b4-470b-89e8-bbf3765cb1ea"],

Cell[TextData[{
 "Version: 4.0-July-2014--For ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 9.0,10."
}], "Abstract",
 CellChangeTimes->{{3.395090887981901*^9, 3.395090925377634*^9}, 
   3.5122121329923573`*^9, {3.614175149032529*^9, 
   3.6141751667935123`*^9}},ExpressionUUID->"66b52c05-e648-4b40-8a49-\
d07984958bdf"],

Cell[TextData[ButtonBox["Click here to get the palette: QDENSpalette.nb",
 BaseStyle->"Hyperlink",
 ButtonData:>{"QDENSpalette.nb", None}]], "Text",ExpressionUUID->"4ff07075-\
5ed6-4903-85ad-e8ffbbf3eaaa"],

Cell[CellGroupData[{

Cell["\<\
Grover Searching Algorithm-Single Marked Item.             To open double \
click at down arrow---------------------------->>\
\>", "Section",
 CellChangeTimes->{{3.51221208965519*^9, 3.512212105663488*^9}},
 FontFamily->"Times",
 CellTags->"c:2",ExpressionUUID->"fd7e9209-89d4-4ea7-911f-e1c0dec9aee9"],

Cell[CellGroupData[{

Cell["Step 1: Setting the conditions", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:3", "b:1.0.0"},ExpressionUUID->"d4a8080e-3649-4d6c-9f48-e041874613d6"],

Cell["\<\
Grover's search algorithm making use of density matrices in subspace |x\
\[RightAngleBracket]. 
The space |y\[RightAngleBracket] is part of the search, but keeps the same \
state during 
the process and can therefore be suppressed.\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.0",ExpressionUUID->"822e1520-5d2d-4ca9-a067-efd31bbc5d8b"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"Off", "[", 
     RowBox[{"General", "::", "shdw"}], "]"}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.860155311839275*^9, 3.860155312927886*^9}},
 CellTags->"b:1.0.0",ExpressionUUID->"0603bd89-e458-4f4c-97bc-6df04daa695f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "QDENSITY`Qdensity`*"}]], "Input",
 CellTags->"b:1.0.0",ExpressionUUID->"f9d49e86-d748-4abb-a1b1-bd6a7f332f22"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["about", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "about", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Definef", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Definef", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "mc", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "PTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "res2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "s$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "\[ScriptCapitalP]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Adj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Adj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["DForm2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "DForm2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "mcl", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTrGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "PTrGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "res2$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ThreeOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "ThreeOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]X", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "\[ScriptCapitalP]X", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["AF", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "AF", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Discord", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Discord", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "mcl$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Purity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Purity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Rotqbit", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Rotqbit", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Toffoli", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Toffoli", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]Y", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "\[ScriptCapitalP]Y", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Bra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Bra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "EnTropy", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "mc$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "PX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "RotX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "ts", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[DoubleStruckCapitalI]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "\[DoubleStruckCapitalI]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "BraV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "EnTropy2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "MeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "PY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "RotY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "ts$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "\[Rho]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "BraX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Fidelity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Fidelity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiProjCBasis", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "MultiProjCBasis", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "RandomBra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "RotZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["TwoOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "TwoOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "\[Rho]$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "BraY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["FidelityB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "FidelityB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiQProj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "MultiQProj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "RandomBra2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["U", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "U", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Sigma]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "\[Sigma]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CNOT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "CNOT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Mutual", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Mutual", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBraN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "RandomBraN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Schmidt", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Schmidt", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "v", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "\[Phi]A1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Coeff", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Coeff", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "nb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "RandomKet1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma0", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Sigma0", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Vs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Vs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "\[Phi]A2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Comm", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Comm", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Hadamard", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Hadamard", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["neg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "neg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "RandomKet2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Sigma1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "v$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "\[Phi]B1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompMeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "CompMeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["HALL", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "HALL", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nneg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "nneg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKetN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "RandomKetN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Sigma2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ws", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "ws", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "\[Phi]B2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompPTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "CompPTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["i8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "i8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nq", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "nq", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "RandomQubit1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Sigma3", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[CapitalOmega]s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "\[CapitalOmega]s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "ControlledX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["intro", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "intro", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OneOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "OneOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "RandomQubit2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Snos", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Snos", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], ""},
                {
                 ButtonBox[
                  StyleBox["ControlledY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "ControlledY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["j8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "j8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Oracle", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Oracle", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubitN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "RandomQubitN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SP", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "SP", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], ""},
                {
                 ButtonBox[
                  StyleBox["ControlledZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "ControlledZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Ket1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Ket1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTrace", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "PartialTrace", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsDate", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "rcsDate", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SpinObs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "SpinObs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], ""},
                {
                 ButtonBox[
                  StyleBox["CPHASE", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "CPHASE", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "KetV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTraceGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "PartialTraceGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsRevision", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "rcsRevision", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stA", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "stA", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroMatrix", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "ZeroMatrix", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], ""},
                {
                 ButtonBox[
                  StyleBox["CPHASEV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "CPHASEV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "KetX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTranspose", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "PartialTranspose", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "res1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "stB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "ZeroT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], ""},
                {
                 ButtonBox[
                  StyleBox["cRQN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "cRQN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "KetY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ProjG", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "ProjG", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "res1$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Swap", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "Swap", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalH]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-64a1dbd6-7db3-4c37-a3e7-2f0ebf66b9e3", {
                    "\[ScriptCapitalH]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], ""}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.1357142857142857]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572080405187817`*^9, 3.8593698987199373`*^9},
 CellTags->"b:1.0.0",ExpressionUUID->"51c060f2-b0ac-4f3e-aa4e-c18c24338b15"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"figure", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<QDENSITY/drawings/Grover.png\>\"", ",", "\"\<PNG\>\""}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"Show", "[", "figure", "]"}]}], "Input",
 CellTags->"b:1.0.0",ExpressionUUID->"769756ce-c544-4bc1-8c33-5500853a7e34"],

Cell[BoxData[
 TagBox[
  GraphicsBox[RasterBox[CompressedData["
1:eJztnU1u2zAQhadddVWUR6iuwI23BbhItykEdFckqJl0kwJJAaI30BV0BV9B
V9AVdAVdYUrJ/5ZFDUHaleQZIIrNmbwnfJYoTRQinx9/3+v3APD2wW7uH8yX
19eHv98+2Tfpy9uvp5flz68vf5ZPy9fFY1P2w359fAeAHP8lFuYkFn7lxsQ0
d6ulEGJGiY6+27CbDdlBX7WLnzNToSGENCiUyBUkqSolZFgqkQWYk3ZopDQM
FsIeG5XQJYJJcqwxqe1mm+6Lojfzfffqef+qY2u6VYvn3vKDc79q3srtRp6o
PZ975VDbV7W6Ruq6oQGYpwJFMyQg+uVmKseGkgAKtMjRgMRSg8IiBR1gTtqh
kdJALMsyD/AixXRoXCOYhtOeaTgHBrJMg17vac40oqlFCKbhtB8nDQPCNE2s
wl2fkkIWvVOZBg1jb8ubbt/eie/7FDjqVKLENGgI26vUybql3/UpEL9TmQYN
WG8U2LZ+16fAQadyUz2sPSWwSvC4UbnA736mcWzYOaOSpz3bzdLYXFOOh5IA
5z4b6v70Zfl+g17vac40oqlFCKbhtGcazoGBLNOg13uaM41oahGCaTjtmYZz
YCA7Dho31cNeK2ZybEQKpuG0ZxrOgYEs06DXe5ozDW81GeA4EBOkccFgGk57
puEcGMjOb96oUxBpStmfTnk4jWhqEaK1V1mNqIv9AL08nEY0tQjR2jdPrbIE
it0AvTycRjS1CNHaJ6uTAXp5OA1vtUvPGyvVbMlnymF5OI1oahFibZ/r2s5m
1DPlsDzCNSWWWoTY2Bd2Yjf5wQC1PMYVNpJahJjg/cYFg2k47ZmGc2AgyzTo
9Z7mEWj0PjFoY2CFy/xohKSZhjPLNALKmYaP+5XUDp5wugvPPdqc8XNYPjY8
FJgGPc00nFmmEVDONHzcr6hGUmAa9PS0aKj1N9cdyA3R2CxXqooBTSOSIpXi
zILIGdJAxyrYtUKhEfNzVbOiUUvQ9hPP+5fBbhRE84CXZOnMjpuGXuHK1tSr
3pKNggKAhogRkNXdNHWHxk0D6naVcKeu08Mayyst0WRlnWmsMhTruWZOPWy7
NNp+1f2/39xwKkw7cQDmpvkBs316O6tjw37cpaTMG1pIlKCSKluVCeaJSigG
E6NR5GgKwjVlG5msUWe96UH7cdNAAznhfmMfmTheVjwnGnwvGqzpkWYazizT
CChnGj7uV1QjKTANepppOLNMI6B8JDQ6PWxfzKmHpXAJSc/k2CArMA16enY0
zvw3gYPI3QZ3p/V3fuVDf2V3RbUbiX+3/2pQ
    "], {{0, 0}, {270., 95.}}, {0, 255},
    ColorFunction->GrayLevel],
   PlotRange->{{0, 270.}, {0, 95.}}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208041003718*^9, 3.859369899296567*^9},
 CellTags->"b:1.0.0",ExpressionUUID->"dd05e3f0-d687-41fb-b644-1cccef528106"]
}, Open  ]],

Cell[TextData[{
 "Set the number of x  \n- ",
 Cell[BoxData[
  FormBox["nqx", TraditionalForm]],ExpressionUUID->
  "0602314c-9119-4ccc-80d3-c96d1885b6fa"],
 " is the number of qubits of the unknown state"
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.0",ExpressionUUID->"18ddcf8f-0f75-42a6-8be5-82d6f22a7a67"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"nqx", "=", "6"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"nqx", " ", ">", "10"}], ",", 
   RowBox[{
   "Print", "[", "\"\<Check your nqx, it may take too long to compute\>\"", 
    "]"}], ","}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"qtab", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    SubscriptBox["qx", "i"], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "nqx"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", "qtab"}], "Input",
 CellTags->"b:1.0.0",ExpressionUUID->"8f2da1e7-c1dc-4a60-8aa0-3afaa36ef1a8"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       SubscriptBox["qx", "1"]},
      {
       SubscriptBox["qx", "2"]},
      {
       SubscriptBox["qx", "3"]},
      {
       SubscriptBox["qx", "4"]},
      {
       SubscriptBox["qx", "5"]},
      {
       SubscriptBox["qx", "6"]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208041012487*^9, 3.8593698993084373`*^9},
 CellTags->"b:1.0.0",ExpressionUUID->"38160595-28db-47f9-8243-ab4028058e00"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"nq", "=", "nqx"}], ";"}]], "Input",
 CellTags->"b:1.0.0",ExpressionUUID->"98e41b9e-e479-4b7c-be1f-8745c0ab47c1"],

Cell["Total number of bits;  we suppress the y bit", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.0",ExpressionUUID->"2ecc8910-9d47-492f-9c10-b907e37dd855"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"nbits", "=", 
  RowBox[{"2", "^", "nq"}]}]], "Input",
 CellTags->"b:1.0.0",ExpressionUUID->"31967385-cef3-4939-8bf1-555e4b26397b"],

Cell[BoxData[
 TagBox["64",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208041032342*^9, 3.859369899328622*^9},
 CellTags->"b:1.0.0",ExpressionUUID->"bd170cde-5450-40eb-831c-c1d844fe948d"]
}, Open  ]],

Cell["In the figure we depict the full searching circuit.", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.0",ExpressionUUID->"9daf2467-b5f5-46ff-9aa4-a60d94872c9d"],

Cell["Initialize all n qubits ( x and y qubits)  to Zero State", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.0",ExpressionUUID->"7992b256-a16d-45cc-9994-448baaed91d3"],

Cell[TextData[{
 StyleBox["NOTE: The state  |0\[RightAngleBracket] is the array \
(1,0,0,0,...,0) in the nq bit space",
  FontSize->12],
 "\n",
 StyleBox["Here  \[Rho]0=rh0  is the density matrix in the |x\
\[RightAngleBracket]  space",
  FontSize->12],
 " "
}], "SmallText",
 CellChangeTimes->{{3.5122123980269423`*^9, 3.512212399913834*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:1.0.0",ExpressionUUID->"40405d15-5d1e-44f1-9193-192568adfd5e"],

Cell["\<\
 rh0=N[Table[KroneckerDelta[i, 1] * KroneckerDelta[i, j],{i, 1, nbits},{j, 1, \
nbits}]];\
\>", "Input",
 CellChangeTimes->{{3.512212354078671*^9, 3.512212386253564*^9}},
 CellTags->"b:1.0.0",ExpressionUUID->"8a1430db-315d-43f9-b1e4-90570db98386"],

Cell[TextData[{
 "Prepare State By Hadamarding all x qubits and since |y\[RightAngleBracket]  \
remains as ",
 Cell[BoxData[
  FractionBox["1", 
   SqrtBox["2"]]],ExpressionUUID->"0eec0247-1f80-4899-ab6b-0269f4b719db"],
 "( |0\[RightAngleBracket] - |1\[RightAngleBracket] ), the |y\
\[RightAngleBracket] space can be suppressed"
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.0",ExpressionUUID->"067addbb-20d1-4c34-bd2b-598eb6062874"],

Cell["\<\
Prepare the x qubits in equi-weighted state by Hadamarding all of them using \
HALL\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.0",ExpressionUUID->"1a634aa1-57d8-4678-b82f-d125a8099da4"],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "Generate", " ", "the", "  ", "density", " ", "matrix", "  ", "\[Rho]1"}], 
  "=", "rh1", " "}]], "Text",
 CellChangeTimes->{{3.512212417603921*^9, 3.512212420740584*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:1.0.0",ExpressionUUID->"9d65243d-58aa-4522-b5db-718472d36315"],

Cell[BoxData[
 RowBox[{
  RowBox[{"rh1", "=", 
   RowBox[{"N", "[", 
    RowBox[{
     RowBox[{"HALL", "[", "nqx", "]"}], ".", "rh0", ".", 
     RowBox[{"Adj", "[", 
      RowBox[{"N", "[", 
       RowBox[{"HALL", "[", "nqx", "]"}], "]"}], "]"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.512212412706369*^9, 3.512212426878147*^9}},
 CellTags->"b:1.0.0",ExpressionUUID->"77b28640-b9c9-44b6-89b4-ce5024b22889"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 2: Building the Grover operator", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:4", "b:1.0.1"},ExpressionUUID->"144f4cba-6986-458f-95ab-89e42c5b788f"],

Cell["\<\
Prepare the Grover operator G as the \"inversion about the mean\" times the \
Oracle
The Oracle defines an arbitrary single marked state as indicated by the \
function f.
When acting in just the |x\[RightAngleBracket] space, the Grover Oracle G \
changes the sign of the marked state.\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.1",ExpressionUUID->"bb4a4faf-c272-4581-a8ab-5d33aa81d079"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"nx", "=", 
  RowBox[{"2", "^", "nqx"}]}]], "Input",
 CellTags->"b:1.0.1",ExpressionUUID->"31e64324-5545-43aa-87b3-7b746ef7e8a7"],

Cell[BoxData[
 TagBox["64",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208041070499*^9, 3.85936989936961*^9},
 CellTags->"b:1.0.1",ExpressionUUID->"3ede7f4e-1b99-4e8a-bff1-42d066f137a1"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Generate", " ", "the", "  ", "marked", " ", "state", " ", 
  "randomly", " ", "and", " ", "include", " ", "in", " ", "the", " ", 
  "Oracle"}]], "Text",
 CellChangeTimes->{{3.614517930548231*^9, 3.614517931040362*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:1.0.1",ExpressionUUID->"b083cf9e-4248-46af-a71d-c5c6ae0fb541"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f", "=", 
   RowBox[{"ReplacePart", "[", 
    RowBox[{
     RowBox[{"ZeroT", "[", "nx", "]"}], ",", "1", ",", 
     RowBox[{"xpick", "=", 
      RowBox[{"RandomInteger", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "nx"}], "}"}], "]"}]}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"markit", "=", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"-", "1"}], ")"}], "f"]}], ";"}]}], "Input",
 CellTags->"b:1.0.1",ExpressionUUID->"01428252-cfde-4c06-a040-d0ebfcabf60b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"OracleG", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"markit", "[", 
       RowBox[{"[", "i", "]"}], "]"}], "*", 
      RowBox[{"KroneckerDelta", "[", 
       RowBox[{"i", ",", "j"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "nx"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "nx"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellTags->"b:1.0.1",ExpressionUUID->"8a813ceb-aaa9-44b3-b47c-28326233a931"],

Cell[TextData[{
 "phaseinvert is the (2 |0\[RightAngleBracket]\[LeftAngleBracket]0| - I)  \
phase inversion matrix  in the ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["n", "x"], TraditionalForm]],ExpressionUUID->
  "4b1eccf8-8df1-4dac-8e79-20436bedb009"],
 " space "
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.1",ExpressionUUID->"63ff384b-8783-4883-a53d-3ab99851a269"],

Cell[BoxData[
 RowBox[{
  RowBox[{"phaseinvert", "=", 
   RowBox[{"N", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"KroneckerDelta", "[", 
        RowBox[{"i", ",", "j"}], "]"}], "*", 
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], "*", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "^", 
        RowBox[{"KroneckerDelta", "[", 
         RowBox[{"1", ",", "j"}], "]"}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"2", "^", "nqx"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", 
        RowBox[{"2", "^", "nqx"}]}], "}"}]}], "]"}], "]"}]}], ";"}]], "Input",
 CellTags->"b:1.0.1",ExpressionUUID->"1ad59e1e-0dbd-4a08-ac5b-a4b45799c2f7"],

Cell["\<\
Put the above together to form Inversion about the mean: Invmean \
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.1",ExpressionUUID->"ab841a83-1d71-46fb-87ba-a44c44075cb5"],

Cell["Invmean = N[HALL[nq]].(phaseinvert .N[ HALL[nq]]);", "Input",
 CellTags->"b:1.0.1",ExpressionUUID->"4d49e51f-695f-4b87-9fab-af3f87d69eb6"],

Cell["Then the Grover operator reads:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.1",ExpressionUUID->"403c2ed1-2352-4cf3-a627-e21af05b9112"],

Cell["G = N[Invmean . OracleG];", "Input",
 CellTags->"b:1.0.1",ExpressionUUID->"a49b5879-be83-435f-883e-7393faaf4569"],

Cell["\<\
Apply G  nG Times  to obtain the final density matrix \[Rho]F [ nG ] =rhF[nG] \
\>", "Text",
 CellChangeTimes->{{3.512212571591008*^9, 3.512212580176152*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:1.0.1",ExpressionUUID->"ac384ecf-0ee4-43f9-b4d3-cc66345ee569"],

Cell["\<\
rhF[0] = N[rh1];
rhF[nG_] := rhF[nG] = G . (rhF[nG-1] . (Adj[G]))\
\>", "Input",
 CellChangeTimes->{{3.512212445601252*^9, 3.512212446651054*^9}, {
  3.512212586577342*^9, 3.5122126004141808`*^9}},
 CellTags->"b:1.0.1",ExpressionUUID->"eee558e3-2f91-45a5-b97e-7c85bdc1e1a9"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 3: Apply the Grover operator a certain number of times", \
"Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:5", "b:1.0.2"},ExpressionUUID->"dfaa46ec-a0b2-4b33-864d-51c8f1ac14d4"],

Cell["\<\
The Grover operator, G, must be applied a number of times which 
is estimated here:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.2",ExpressionUUID->"173f073a-732f-4efd-8ebe-4d01625e7f1d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ntry", "=", 
  RowBox[{
   RowBox[{"IntegerPart", "[", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"Length", "[", "f", "]"}], "]"}], "]"}], "-", "1"}]}]], "Input",
 CellTags->"b:1.0.2",ExpressionUUID->"45f3960c-2bb2-40b7-8856-fa431984493c"],

Cell[BoxData[
 TagBox["7",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208041128562*^9, 3.859369899423295*^9},
 CellTags->"b:1.0.2",ExpressionUUID->"ddb493fe-2bfd-4f14-962d-84c415198d67"]
}, Open  ]],

Cell["Get final density matrix after ntry iterations.", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.2",ExpressionUUID->"11b606ac-4511-4465-877f-b8f66b390c5f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Z", "=", 
   RowBox[{"rhF", "[", "ntry", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.5122126126180477`*^9, 3.5122126136533957`*^9}},
 CellTags->"b:1.0.2",ExpressionUUID->"af25a716-9fa0-4e7b-90b6-c27cccb01a61"],

Cell["\<\
Take Trace for Projective Measurements using Tr  [ | n \[RightAngleBracket]\
\[LeftAngleBracket] n |  \[Rho]  ] = \[LeftAngleBracket] n | \[Rho]  | n \
\[RightAngleBracket] directly.\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.2",ExpressionUUID->"3a4b782c-2e13-4e98-a279-8adf99d580c3"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"Clear", "[", "R", "]"}], ";", 
   RowBox[{"R", ":=", 
    RowBox[{"N", "[", 
     RowBox[{"Table", "[", " ", 
      RowBox[{
       RowBox[{"Z", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "i"}], "]"}], "]"}], " ", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "nx"}], "}"}]}], "]"}], "]"}], 
    " "}]}]}]], "Input",
 CellTags->"b:1.0.2",ExpressionUUID->"8fa7f93a-7412-4ec8-8cd1-a6326dca693c"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 4: Analyze results ", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:6", "b:1.0.3"},ExpressionUUID->"362f5834-f2b6-4085-a209-a7ed75923a79"],

Cell["Look at results", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.3",ExpressionUUID->"6c455de7-b586-448e-a90e-708f7d9f01ad"],

Cell[BoxData[
 RowBox[{
  RowBox[{"probsearch", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Table", "[", "  ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"R", "[", 
        RowBox[{"[", " ", "i", "]"}], "]"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "nx"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellTags->"b:1.0.3",ExpressionUUID->"1b085667-acfb-4f5c-8fa7-a93430ceea52"],

Cell["\<\
We can plot the possible outcomes of the search with their probabilities:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.3",ExpressionUUID->"40a4758e-0315-40df-9ad2-98f2578c91fb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot1", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{"probsearch", ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Item", " ", "number"}], ",", "Probability"}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"PointSize", "[", "0.025`", "]"}]}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1.`"}], "}"}]}]}], "]"}]}]], "Input",
 CellTags->{
  "ListPlot", 
   "b:1.0.3"},ExpressionUUID->"0b6b3154-2a10-439c-a62c-affe07a3ae1b"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.025], 
     AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxd0csKQVEYhuGPETPKwMDAKUmS85m9sJ2PGRkrMzFxAe5HKdfiOpRLQKT2
u+pv9az3n63I9rjeuSWZ93zu73lap+nldvVvrN+DcdoD++AAHIRDcBiOwnE4
ASfhFJyGM3AWzsF5uAAX4RJchitwFa7BdbgBN+EW3IYtc3DYOH022O84fYbV
RYfVQ4dlo9umtI+57t7Hr/fRYQ3QYQ3RYY3QYY3RYU3QYU3RYc3QYc3RYS3Q
YS3Rl/j/1d8vXtwEwA==
      "]]}, {{}, {}}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox[
      RowBox[{"Item", " ", "number"}], TraditionalForm], 
     FormBox["Probability", TraditionalForm]},
   AxesOrigin->{0., 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& )}},
   PlotRange->{{0., 64}, {0., 1.}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208041314878*^9, 3.859369899553526*^9},
 CellTags->{
  "ListPlot", 
   "b:1.0.3"},ExpressionUUID->"c60fecbd-cc22-4322-99bd-84905c8890a3"]
}, Open  ]],

Cell["Isolate the maximum probability:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.3",ExpressionUUID->"2fa67315-ebd0-40a5-a43e-7cdc31a66e30"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"Max", "[", "probsearch", "]"}], "]"}]], "Input",
 CellTags->"b:1.0.3",ExpressionUUID->"4663a191-1845-46c1-8f04-d8a2e88c1ec1"],

Cell[BoxData[
 TagBox["0.90744924757326`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208041330432*^9, 3.859369899575499*^9},
 CellTags->"b:1.0.3",ExpressionUUID->"dbef7c09-6879-4a51-b475-aa99529a7eec"]
}, Open  ]],

Cell["\<\
And get the position corresponding to the maximum probability:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.3",ExpressionUUID->"4f1bab54-3c27-4641-a65c-caaddaf20ac4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"grover", " ", "=", 
  RowBox[{"Flatten", "[", 
   RowBox[{"Position", "[", 
    RowBox[{"probsearch", ",", 
     RowBox[{"Max", "[", "probsearch", "]"}]}], "]"}], "]"}]}]], "Input",
 CellTags->{
  "Ordering", 
   "b:1.0.3"},ExpressionUUID->"8ad598d8-3127-485a-b397-87dbf4b1f76c"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"41"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208041345261*^9, 3.859369899596958*^9},
 CellTags->{
  "Ordering", 
   "b:1.0.3"},ExpressionUUID->"bf71d18a-2692-4299-bdda-f573a98006ce"]
}, Open  ]],

Cell["Compare to the \"unknown\" marked state as stored in f ", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.3",ExpressionUUID->"84b59a74-519f-432b-ab10-bda4657d3d32"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"[", "s", "]"}], "]"}], "==", "1"}], ",", 
      RowBox[{"Print", "[", 
       RowBox[{
       "\"\<marked item is number=\>\"", ",", "s", ",", 
        "\"\<    \n          Grover search found=\>\"", ",", "grover"}], 
       "]"}], ",", "\"\<\>\""}], "]"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"s", ",", "1", ",", 
     RowBox[{"Length", "[", "f", "]"}]}], "}"}]}], "]"}]], "Input",
 CellTags->"b:1.0.3",ExpressionUUID->"09841305-8fbb-4264-b94e-e748f661977f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"marked item is number=\"\>", "\[InvisibleSpace]", "41", 
   "\[InvisibleSpace]", "\<\"    \\n          Grover search found=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", "41", "}"}]}],
  SequenceForm[
  "marked item is number=", 41, "    \n          Grover search found=", {41}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8572080413529987`*^9, 3.8593698997308083`*^9},
 CellTags->"b:1.0.3",ExpressionUUID->"d80d55f9-e3a3-45e7-9817-a0625ac03fca"]
}, Open  ]],

Cell["Quit", "Input",
 CellTags->"b:1.0.3",ExpressionUUID->"4cc353a7-a14c-42f8-b274-bce6b8cec0c0"],

Cell[TextData[{
 "Last Version: 15-Aug-2014\n",
 Cell[BoxData[
  FormBox[GridBox[{
     {
      RowBox[{"References", ":"}], 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"[", "1", "]"}], " ", 
         RowBox[{"Lov", ".", " ", "K", ".", " ", "Grover"}]}], ",", " ", 
        RowBox[{
         RowBox[{"Phys", ".", " ", "Rev", ".", " ", "Lett", ".", " ", "79"}], 
         " ", 
         RowBox[{"(", "1997", ")"}], " ", "325"}]}], "\n", 
       RowBox[{
        RowBox[{
         RowBox[{"[", "2", "]"}], " ", "QDENSITY", " ", "manual"}], ",", " ", 
        RowBox[{"Sect", ".", " ", "8"}]}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
      "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}], TraditionalForm]], 
  "DefinitionBox",
  GridBoxOptions->{
  GridBoxDividers->{
   "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
    "RowsIndexed" -> {}},
  GridBoxSpacings->{"Columns" -> {
      Offset[0.27999999999999997`], {
       Offset[0.5599999999999999]}, 
      Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
      Offset[0.2], {
       Offset[0.16]}, 
      Offset[0.2]}, "RowsIndexed" -> {}}},
  CellTags->"S5.1.1",ExpressionUUID->"bc56e838-e5f0-4712-832c-7640e1d46cc3"]
}], "Abstract",
 CellChangeTimes->{{3.614175277061693*^9, 3.614175281887051*^9}},
 CellTags->"b:1.0.3",ExpressionUUID->"c9d92fe5-411d-4ebf-bcb9-130df8fadd20"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Grover Searching Algorithm-Two Marked Items.              To open double \
click at down arrow---------------------------->>\
\>", "Section",
 CellChangeTimes->{{3.5122121106395903`*^9, 3.5122121176392*^9}},
 FontFamily->"Times",
 CellTags->"c:7",ExpressionUUID->"b183bf07-86cb-4af9-98f5-e8d8a3ba441a"],

Cell[CellGroupData[{

Cell["Step 1: Setting the conditions", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:8", "b:1.1.0"},ExpressionUUID->"3935acf2-544d-459f-9dff-415dcc284d31"],

Cell["\<\
Grover's search algorithm making use of density matrices in subspace |x\
\[RightAngleBracket]. 
The space |y\[RightAngleBracket] is part of the search, but keeps the same \
state during 
the process and can therefore be suppressed.\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.0",ExpressionUUID->"d8ec9080-6402-41cc-84af-e80322dca186"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", "]"}]], "Input",
 CellTags->"b:1.1.0",ExpressionUUID->"1c1d719c-f9ee-4699-b12f-7ed7fe56b44f"],

Cell[BoxData["\<\"Type \\\"?intro\\\", \\\"?QDENSITY`Qdensity`*\\\" or \
\\\"?about for help.\"\>"], "Print",
 CellChangeTimes->{3.857208079413649*^9},
 CellTags->"b:1.1.0",ExpressionUUID->"ffe59dfa-8872-4e9f-bfc7-9343d64cb1e4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "QDENSITY`Qdensity`*"}]], "Input",
 CellTags->"b:1.1.0",ExpressionUUID->"641cd731-7862-4af9-85bb-c686c27e9e8d"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["about", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "about", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["cRQN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "cRQN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "KetX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTraceGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "PartialTraceGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsDate", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "rcsDate", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SP", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "SP", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Adj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Adj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Definef", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Definef", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "KetY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTranspose", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "PartialTranspose", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsRevision", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "rcsRevision", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SpinObs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "SpinObs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["AF", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "AF", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["DForm2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "DForm2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "mc", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ProjG", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "ProjG", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "res1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stA", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "stA", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Bra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Bra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Discord", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Discord", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "mcl", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "PTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "res1$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "stB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroMatrix", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "ZeroMatrix", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "BraV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "EnTropy", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "mcl$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTrGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "PTrGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "res2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Swap", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Swap", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "ZeroT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "BraX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "EnTropy2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "mc$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Purity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Purity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "res2$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "s$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalH]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "\[ScriptCapitalH]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "BraY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Fidelity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Fidelity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "MeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "PX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Rotqbit", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Rotqbit", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ThreeOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "ThreeOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "\[ScriptCapitalP]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CNOT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "CNOT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["FidelityB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "FidelityB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiProjCBasis", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "MultiProjCBasis", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "PY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "RotX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Toffoli", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Toffoli", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[DoubleStruckCapitalI]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "\[DoubleStruckCapitalI]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Coeff", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Coeff", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiQProj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "MultiQProj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "RandomBra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "RotY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "ts", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "\[Rho]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Comm", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Comm", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Mutual", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Mutual", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "RandomBra2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "RotZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "ts$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "\[Rho]$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompMeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "CompMeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Hadamard", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Hadamard", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "nb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBraN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "RandomBraN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["TwoOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "TwoOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Sigma]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "\[Sigma]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompPTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "CompPTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["HALL", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "HALL", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["neg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "neg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "RandomKet1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Schmidt", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Schmidt", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["U", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "U", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "\[Phi]A1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "ControlledX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["i8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "i8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nneg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "nneg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "RandomKet2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma0", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Sigma0", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "v", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "\[Phi]A2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "ControlledY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["intro", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "intro", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nq", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "nq", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKetN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "RandomKetN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Sigma1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Vs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Vs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "\[Phi]B1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "ControlledZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["j8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "j8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OneOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "OneOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "RandomQubit1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Sigma2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "v$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "\[Phi]B2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASE", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "CPHASE", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Ket1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Ket1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Oracle", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Oracle", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "RandomQubit2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Sigma3", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ws", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "ws", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[CapitalOmega]s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "\[CapitalOmega]s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASEV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "CPHASEV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "KetV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTrace", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "PartialTrace", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubitN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "RandomQubitN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Snos", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "Snos", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-8c31f538-0082-4f0c-b606-91cb3604bef9", {
                    "xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], ""}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.1357142857142857]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208080049258*^9},
 CellTags->"b:1.1.0",ExpressionUUID->"f313a867-5521-4715-b022-70a939cc21f1"]
}, Open  ]],

Cell["\<\
Set the number of x  
- nqx is the number of qubits of the unknown state\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.0",ExpressionUUID->"ea060c80-f795-45a6-a020-3e7c33f2d342"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"nqx", "=", "6"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"nqx", " ", ">", "10"}], ",", 
   RowBox[{
   "Print", "[", "\"\<Check your nqx, it may take too long to compute\>\"", 
    "]"}], ","}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"qtab", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    SubscriptBox["qx", "i"], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "nqx"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", "qtab"}], "Input",
 CellTags->"b:1.1.0",ExpressionUUID->"0dade2a8-043b-4aca-a7e7-7d87bc4ecb22"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {
       SubscriptBox["qx", "1"]},
      {
       SubscriptBox["qx", "2"]},
      {
       SubscriptBox["qx", "3"]},
      {
       SubscriptBox["qx", "4"]},
      {
       SubscriptBox["qx", "5"]},
      {
       SubscriptBox["qx", "6"]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208080071558*^9},
 CellTags->"b:1.1.0",ExpressionUUID->"4b3ab9a8-7934-4702-a2cb-06bd6ee24729"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"nq", "=", "nqx"}], ";"}]], "Input",
 CellTags->"b:1.1.0",ExpressionUUID->"d67b881e-4b93-4930-a7df-eddd65be2295"],

Cell["Total number of bits;  we suppress the y bit", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.0",ExpressionUUID->"005dd2af-fcea-460f-81b7-b128389a5fe4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"n", "=", 
  RowBox[{"2", "^", "nq"}]}]], "Input",
 CellTags->"b:1.1.0",ExpressionUUID->"28d8d8c8-2c9c-4151-9dae-d84f88d657b1"],

Cell[BoxData[
 TagBox["64",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208080082612*^9},
 CellTags->"b:1.1.0",ExpressionUUID->"659c5f5b-2141-49d7-af44-625b34946026"]
}, Open  ]],

Cell["In the figure we depict the full searching circuit.", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.0",ExpressionUUID->"d6dc1489-5484-4e7d-94d0-62852d9f6390"],

Cell["Initialize all n qubits ( x and y qubits)  to Zero State", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.0",ExpressionUUID->"98f4f2b6-1f58-4c2c-bf3a-87905f62fdda"],

Cell[TextData[{
 StyleBox["NOTE: the | 0  \[RightAngleBracket] state is the array \
(1,0,0,0,...,0) in the nq bit space",
  FontSize->12],
 "\n",
 StyleBox["Here  \[Rho]0 =rh0 is the density matrix in the |x \
\[RightAngleBracket]  space",
  FontSize->12],
 " "
}], "SmallText",
 CellChangeTimes->{{3.512212675614489*^9, 3.512212677314245*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:1.1.0",ExpressionUUID->"9a1681a8-0ad9-40ba-aa53-75967aea30d9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"rh0", "=", 
   RowBox[{"N", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"KroneckerDelta", "[", 
        RowBox[{"i", ",", "1"}], "]"}], "*", 
       RowBox[{"KroneckerDelta", "[", 
        RowBox[{"i", ",", "j"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "n"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "1", ",", "n"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5122126719441233`*^9, 3.512212672054604*^9}},
 CellTags->"b:1.1.0",ExpressionUUID->"e95b4a69-8e52-4113-baaf-1b0e73c1d026"],

Cell[TextData[{
 "Prepare State By Hadamarding all x qubits and  since |y\[RightAngleBracket] \
 remains as ",
 Cell[BoxData[
  FractionBox["1", 
   SqrtBox["2"]]],ExpressionUUID->"de45f962-1b93-43f1-a5ab-da6638357a9f"],
 "( |0\[RightAngleBracket] - |1\[RightAngleBracket] ), the |y\
\[RightAngleBracket] space can be suppressed"
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.0",ExpressionUUID->"d6d10d5a-09e3-4c2b-875a-33fe3f908c48"],

Cell["\<\
Prepare the x qubits in equi-weighted state by Hadamarding all of them using \
HALL\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.0",ExpressionUUID->"f0fc5c9b-b982-4b3d-a4fd-d3c20853fca3"],

Cell[BoxData[
 RowBox[{"Generate", " ", "the", "  ", "density", " ", "matrix", "  ", 
  "\[Rho]1", " "}]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.0",ExpressionUUID->"c2e066f6-7627-4fb0-899e-3c1aa2b51080"],

Cell[BoxData[
 RowBox[{
  RowBox[{"rh1", "=", 
   RowBox[{
    RowBox[{"N", "[", 
     RowBox[{"HALL", "[", "nqx", "]"}], "]"}], ".", "rh0", ".", 
    RowBox[{"(", 
     RowBox[{"Adj", "[", 
      RowBox[{"N", "[", 
       RowBox[{"HALL", "[", "nqx", "]"}], "]"}], "]"}], ")"}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5122126809292192`*^9, 3.5122126858539352`*^9}},
 CellTags->"b:1.1.0",ExpressionUUID->"a597e3f2-8f5c-4328-a034-9e325db4b865"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 2: Prepare the Grover operator", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:9", "b:1.1.1"},ExpressionUUID->"db006514-f472-452b-9278-4c8a92d83db7"],

Cell["\<\
Prepare the Grover operator G as the \"inversion about the mean\" times the \
Oracle.
The Oracle defines an arbitrary set of two marked states as indicated by the \
function f.
When acting in just the | x \[RightAngleBracket] space, the Grover OracleG \
changes the sign of the marked states.\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.1",ExpressionUUID->"d06c08bb-2ff1-46d5-ac3d-71858465c3dc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"nx", "=", 
  RowBox[{"2", "^", "nqx"}]}]], "Input",
 CellTags->"b:1.1.1",ExpressionUUID->"b738f2e5-432f-40ed-abd5-3cc4063f6467"],

Cell[BoxData[
 TagBox["64",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208080115677*^9},
 CellTags->"b:1.1.1",ExpressionUUID->"07f56378-204d-4ab3-b8f5-68c1ac1c1922"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"f", "=", 
  RowBox[{"ReplacePart", "[", 
   RowBox[{
    RowBox[{"ZeroT", "[", "nx", "]"}], ",", "1", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"xpick1", "=", 
        RowBox[{"RandomInteger", "[", 
         RowBox[{"{", 
          RowBox[{"1", ",", "nx"}], "}"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"xpick2", "=", 
        RowBox[{"RandomInteger", "[", 
         RowBox[{"{", 
          RowBox[{"1", ",", "nx"}], "}"}], "]"}]}], "}"}]}], "}"}]}], 
   "]"}]}], "\n", 
 RowBox[{"markit", "=", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"-", "1"}], ")"}], "f"]}]}], "Input",
 CellTags->"b:1.1.1",ExpressionUUID->"9f3cd83c-c55a-478a-a783-6ede0164e02e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"1"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"1"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.85720808016991*^9},
 CellTags->"b:1.1.1",ExpressionUUID->"e2f1fa3e-7ce6-4b3c-9379-4bd2e8759c21"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {
       RowBox[{"-", "1"}]},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {
       RowBox[{"-", "1"}]},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"},
      {"1"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572080801738663`*^9},
 CellTags->"b:1.1.1",ExpressionUUID->"4b5dd7e8-a81a-4de9-9fb9-9ea23807d390"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OracleG", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"markit", "[", 
       RowBox[{"[", "i", "]"}], "]"}], "*", 
      RowBox[{"KroneckerDelta", "[", 
       RowBox[{"i", ",", "j"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "nx"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "nx"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{" "}]}], "Input",
 CellTags->"b:1.1.1",ExpressionUUID->"ed6f5683-10c3-4b08-89ea-7b26bca3e843"],

Cell["\<\
phaseinvert is the (2 | 0 \[RightAngleBracket] \[LeftAngleBracket]  0 | - I ) \
 phase inversion matrix in the nqx space \
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.1",ExpressionUUID->"0a36d61f-789f-42d5-8ce8-308be8580fcc"],

Cell["\<\
phaseinvert = \
N[Table[KroneckerDelta[i,j]*(-1)*(-1)^KroneckerDelta[1,j],{i,1,2^nqx},{j, 1, \
nx}]];\
\>", "Input",
 CellTags->"b:1.1.1",ExpressionUUID->"eb7944c6-9860-4c5f-9f41-49eade92b138"],

Cell["\<\
Put the above together to form Inversion about the mean: Invmean \
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.1",ExpressionUUID->"884f8576-8f67-4f4a-b4c1-4b84d5761f24"],

Cell["Invmean = N[HALL[nq]] . (phaseinvert .N[ HALL[nq]]);", "Input",
 CellTags->"b:1.1.1",ExpressionUUID->"eb684208-6094-43c0-9c54-4a08654cfa25"],

Cell["The Grover operator is thus:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.1",ExpressionUUID->"4b5537c6-8cde-4292-a7f5-206e34614b71"],

Cell["G = N[Invmean . OracleG];", "Input",
 CellTags->"b:1.1.1",ExpressionUUID->"10d5895a-e024-4ec1-af5e-c6feb3183bd9"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 3: Apply the Grover Operator ntry times", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:10", "b:1.1.2"},ExpressionUUID->"d8e018b6-5e24-462c-861a-5ee3b4028896"],

Cell["\<\
Apply G   nG Times to obtain the final density matrix \[Rho]F [ nG ]=rhF[nG]. \
The definition is 
done recursively:  \
\>", "Text",
 CellChangeTimes->{{3.512212701889825*^9, 3.512212707838779*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:1.1.2",ExpressionUUID->"a7162e16-205d-43ca-9e38-ffeb84010ed6"],

Cell["\<\
rhF[0] = N[rh1];
rhF[nG_] := rhF[nG] = G . (rhF[nG-1] . (Adj[G]))\
\>", "Input",
 CellChangeTimes->{{3.512212713102189*^9, 3.5122127333771*^9}},
 CellTags->"b:1.1.2",ExpressionUUID->"c4bb9334-4570-4f2d-bb70-218d5435686f"],

Cell["\<\
The number of times we apply the Grover operator is defined here:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.2",ExpressionUUID->"4c2b810f-c508-4d1f-b2eb-652c92ca3bd9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ntry", "=", 
  RowBox[{
   RowBox[{"IntegerPart", "[", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"Length", "[", "f", "]"}], "]"}], "]"}], "-", "4"}]}]], "Input",
 CellTags->"b:1.1.2",ExpressionUUID->"54da0c4f-1ce4-4bb4-bf6a-7fdd9c40c3cb"],

Cell[BoxData[
 TagBox["4",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572080802240753`*^9},
 CellTags->"b:1.1.2",ExpressionUUID->"1836e00d-057e-4fd4-83dd-c35b1aac512b"]
}, Open  ]],

Cell["Get final density matrix after ntry iterations.", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.2",ExpressionUUID->"8243e95e-02fc-4886-89e9-799f689394ee"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Z", "=", 
   RowBox[{"rhF", "[", "ntry", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.512212740566826*^9, 3.512212741403082*^9}},
 CellTags->"b:1.1.2",ExpressionUUID->"2c691270-f3ab-4dab-90f6-3b8e8cbf41ca"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 4: Analyze results", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:11", "b:1.1.3"},ExpressionUUID->"c8b4c27d-c0a3-44cd-bb38-cc7d3f07ca6f"],

Cell["\<\
Take Trace for Projective Measurements using Tr  [ | n \[RightAngleBracket]\
\[LeftAngleBracket] n |  \[Rho] ] = \[LeftAngleBracket] n | \[Rho] | n \
\[RightAngleBracket] directly.\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.3",ExpressionUUID->"7422ad20-95e5-4b99-aa04-5d0e1cc80fb0"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"Clear", "[", "R", "]"}], ";", 
   RowBox[{"R", ":=", 
    RowBox[{"N", "[", 
     RowBox[{"Table", "[", " ", 
      RowBox[{
       RowBox[{"Z", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "i"}], "]"}], "]"}], " ", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "nx"}], "}"}]}], "]"}], "]"}], 
    " "}]}]}]], "Input",
 CellTags->"b:1.1.3",ExpressionUUID->"f7ce2e13-1445-4c75-b263-8e42e9499349"],

Cell["Look at results", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.3",ExpressionUUID->"f53023bb-77eb-4f98-95d4-9edfdc8ac5be"],

Cell[BoxData[
 RowBox[{
  RowBox[{"probsearch", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Table", "[", "  ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"R", "[", 
        RowBox[{"[", " ", "i", "]"}], "]"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "nx"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellTags->"b:1.1.3",ExpressionUUID->"338861a8-ef5e-4039-acda-6d16b92dbb85"],

Cell["Plot the possible results with their probabilities:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.3",ExpressionUUID->"ae2daa36-7651-48ed-ab65-0ecfcce0c551"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"probsearch", ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"PointSize", "[", "0.025`", "]"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1.`"}], "}"}]}]}], "]"}]], "Input",
 CellTags->{
  "ListPlot", 
   "b:1.1.3"},ExpressionUUID->"e0c28911-1a4b-4e3f-b4b8-eb43049930b0"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.025], 
     AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxdzLsOAUEYhuEvKqVCoVAgIiIi1vm4s86HtYhLkKjdwlyOu3IBGq2OtSLZ
d5KZP8+8mcmfr6dLQpL32eGM1tOEp7093N+FF3cSTsFpOANn4RxcgItwCS7D
FbgK1+A67MANuAm34DbcgbtwD+7DA3gIj+Ax7MIG9uK2sCbosKbosGbosObo
sBbosJbosFbosNboXzvB626ivkGHtUWH5cf/sz76Du9hBeiw9uiwDuiwjn+/
AVGQvfU=
      "]]}, {{}, {}}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{None, None},
   AxesOrigin->{0., 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& )}},
   PlotRange->{{0., 64}, {0., 1.}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208080423379*^9},
 CellTags->{
  "ListPlot", 
   "b:1.1.3"},ExpressionUUID->"1cb05bc4-a51c-463f-9c1e-49c30ff3ac24"]
}, Open  ]],

Cell["Find the highest probabilities from the table", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.3",ExpressionUUID->"681ceab8-e10e-4e6f-8a64-0cc0da093f47"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"val", "=", 
  RowBox[{"Max", "[", "probsearch", "]"}]}]], "Input",
 CellTags->"b:1.1.3",ExpressionUUID->"e372e098-8d4b-40ed-80c7-b527100b8c84"],

Cell[BoxData[
 TagBox["0.499591157771647`",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208080438664*^9},
 CellTags->"b:1.1.3",ExpressionUUID->"20e52455-7ba2-46c0-ac89-c31b98ecc4ec"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"grover", " ", "=", 
  RowBox[{"Flatten", "[", 
   RowBox[{"Position", "[", 
    RowBox[{"probsearch", ",", 
     RowBox[{"_", "?", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"val", "-", ".01"}], ")"}], "<", "#", "<", 
         RowBox[{"(", 
          RowBox[{"val", "+", ".01"}], ")"}]}], "&"}], ")"}]}]}], "]"}], 
   "]"}]}]], "Input",
 CellTags->{
  "Ordering", 
   "b:1.1.3"},ExpressionUUID->"c83f2026-4ece-4353-af3b-1dae0e35de5d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"49"},
      {"54"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.85720808045325*^9},
 CellTags->{
  "Ordering", 
   "b:1.1.3"},ExpressionUUID->"8c6b1493-b250-4100-bff9-8972f206db3e"]
}, Open  ]],

Cell["Compare to the \"unknown\"  marked state as stored in f ", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.3",ExpressionUUID->"2f855379-6856-42f0-b652-750926fcf472"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"[", "s", "]"}], "]"}], "==", "1"}], ",", 
      RowBox[{"Print", "[", 
       RowBox[{
       "\"\<marked item is number=\>\"", ",", "s", ",", 
        "\"\<    \n          Grover search found=\>\"", ",", "grover"}], 
       "]"}], ",", "\"\<\>\""}], "]"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"s", ",", "1", ",", 
     RowBox[{"Length", "[", "f", "]"}]}], "}"}]}], "]"}]], "Input",
 CellTags->"b:1.1.3",ExpressionUUID->"44c4af38-587a-44f4-bc8b-f15fc3184f33"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"marked item is number=\"\>", "\[InvisibleSpace]", "49", 
   "\[InvisibleSpace]", "\<\"    \\n          Grover search found=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"49", ",", "54"}], "}"}]}],
  SequenceForm[
  "marked item is number=", 49, "    \n          Grover search found=", {49, 
   54}],
  Editable->False]], "Print",
 CellChangeTimes->{3.857208080460552*^9},
 CellTags->"b:1.1.3",ExpressionUUID->"46c6e2e8-978d-4eff-a23b-f61ffbf0fd35"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"marked item is number=\"\>", "\[InvisibleSpace]", "54", 
   "\[InvisibleSpace]", "\<\"    \\n          Grover search found=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"49", ",", "54"}], "}"}]}],
  SequenceForm[
  "marked item is number=", 54, "    \n          Grover search found=", {49, 
   54}],
  Editable->False]], "Print",
 CellChangeTimes->{3.857208080463468*^9},
 CellTags->"b:1.1.3",ExpressionUUID->"b83905e4-af07-449c-aadf-e7e7b8a38db9"]
}, Open  ]],

Cell["Quit", "Input",
 CellTags->"b:1.1.3",ExpressionUUID->"5c56df8d-7b6a-40c0-a66d-5aa3258517e0"],

Cell[TextData[{
 "Last Version: 18-Aug-2005\n",
 Cell[BoxData[
  FormBox[GridBox[{
     {
      RowBox[{"References", ":"}], 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"[", "1", "]"}], " ", 
         RowBox[{"Lov", ".", " ", "K", ".", " ", "Grover"}]}], ",", " ", 
        RowBox[{
         RowBox[{"Phys", ".", " ", "Rev", ".", " ", "Lett", ".", " ", "79"}], 
         " ", 
         RowBox[{"(", "1997", ")"}], " ", "325"}]}], "\n", 
       RowBox[{
        RowBox[{
         RowBox[{"[", "2", "]"}], " ", "QDENSITY", " ", "manual"}], ",", " ", 
        RowBox[{"Sect", ".", " ", "8"}]}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
      "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}], TraditionalForm]], 
  "DefinitionBox",
  GridBoxOptions->{
  GridBoxDividers->{
   "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
    "RowsIndexed" -> {}},
  GridBoxSpacings->{"Columns" -> {
      Offset[0.27999999999999997`], {
       Offset[0.5599999999999999]}, 
      Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
      Offset[0.2], {
       Offset[0.16]}, 
      Offset[0.2]}, "RowsIndexed" -> {}}},
  CellTags->"S5.1.1",ExpressionUUID->"c2e4ddb7-928c-4e14-9090-1c3ee9f0219b"]
}], "Abstract",
 CellTags->"b:1.1.3",ExpressionUUID->"da7f7c7c-19a2-40ae-93d4-a1c475238aed"]
}, Open  ]]
}, Open  ]]
},
WindowToolbars->{},
WindowSize->{1117, 611},
WindowMargins->{{Automatic, 6}, {-80, Automatic}},
PrintingStartingPageNumber->39,
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{612, 792},
"PostScriptOutputFile":>FrontEnd`FileName[{"home", "bruno", "PITT", "QC"}, 
  "Test1.1.nb.ps", CharacterEncoding -> "WindowsANSI"]},
ShowSelection->True,
TaggingRules:>{
 "PaginationCache" -> {{2005, 8, 9, 3, 36, 20.212814`8.058201763306208}, {39, 
    39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 40, 40, 40, 40, 40, 40, 40, 
    40, 40, 40, 40, 40, 40, 40, 40, 40, 40, 41, 41, 41, 41, 41, 41, 41, 41, 
    41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 42, 42, 42, 42, 42, 42, 42, 42, 
    42, 42, 42, 42, 42, 42, 42, 43, 43, 43, 43, 43, 43, 43, 43, 43, 43, 43, 
    43, 43, 43, 43, 43, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 
    44, 44, 44, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45}, 
    Automatic}},
CellLabelAutoDelete->True,
Magnification->1,
FrontEndVersion->"13.0 for Mac OS X x86 (64-bit) (December 2, 2021)",
StyleDefinitions->"Classroom.nb",
ExpressionUUID->"c18d8826-d99b-40db-a91a-eee71a61368c"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "c:1"->{
  Cell[545, 20, 117, 1, 51, "Title",ExpressionUUID->"248a907c-646d-491b-9c11-007b3b4382ea",
   CellTags->"c:1"]},
 "c:2"->{
  Cell[1348, 43, 312, 6, 51, "Section",ExpressionUUID->"fd7e9209-89d4-4ea7-911f-e1c0dec9aee9",
   CellTags->"c:2"]},
 "c:3"->{
  Cell[1685, 53, 181, 4, 60, "Subsection",ExpressionUUID->"d4a8080e-3649-4d6c-9f48-e041874613d6",
   CellTags->{"c:3", "b:1.0.0"}]},
 "b:1.0.0"->{
  Cell[1685, 53, 181, 4, 60, "Subsection",ExpressionUUID->"d4a8080e-3649-4d6c-9f48-e041874613d6",
   CellTags->{"c:3", "b:1.0.0"}],
  Cell[1869, 59, 358, 8, 79, "Text",ExpressionUUID->"822e1520-5d2d-4ca9-a067-efd31bbc5d8b",
   CellTags->"b:1.0.0"],
  Cell[2230, 69, 382, 9, 68, "Input",ExpressionUUID->"0603bd89-e458-4f4c-97bc-6df04daa695f",
   CellTags->"b:1.0.0"],
  Cell[2637, 82, 139, 2, 48, "Input",ExpressionUUID->"f9d49e86-d748-4abb-a1b1-bd6a7f332f22",
   CellTags->"b:1.0.0"],
  Cell[2779, 86, 56923, 1276, 391, "Output",ExpressionUUID->"51c060f2-b0ac-4f3e-aa4e-c18c24338b15",
   CellTags->"b:1.0.0"],
  Cell[59739, 1367, 306, 7, 68, "Input",ExpressionUUID->"769756ce-c544-4bc1-8c33-5500853a7e34",
   CellTags->"b:1.0.0"],
  Cell[60048, 1376, 1698, 31, 159, "Output",ExpressionUUID->"dd05e3f0-d687-41fb-b644-1cccef528106",
   CellTags->"b:1.0.0"],
  Cell[61761, 1410, 319, 8, 53, "Text",ExpressionUUID->"18ddcf8f-0f75-42a6-8be5-82d6f22a7a67",
   CellTags->"b:1.0.0"],
  Cell[62105, 1422, 593, 16, 107, "Input",ExpressionUUID->"8f2da1e7-c1dc-4a60-8aa0-3afaa36ef1a8",
   CellTags->"b:1.0.0"],
  Cell[62701, 1440, 885, 29, 138, "Output",ExpressionUUID->"38160595-28db-47f9-8243-ab4028058e00",
   CellTags->"b:1.0.0"],
  Cell[63601, 1472, 147, 3, 48, "Input",ExpressionUUID->"98e41b9e-e479-4b7c-be1f-8745c0ab47c1",
   CellTags->"b:1.0.0"],
  Cell[63751, 1477, 163, 2, 23, "Text",ExpressionUUID->"2ecc8910-9d47-492f-9c10-b907e37dd855",
   CellTags->"b:1.0.0"],
  Cell[63939, 1483, 154, 3, 48, "Input",ExpressionUUID->"31967385-cef3-4939-8bf1-555e4b26397b",
   CellTags->"b:1.0.0"],
  Cell[64096, 1488, 232, 5, 48, "Output",ExpressionUUID->"bd170cde-5450-40eb-831c-c1d844fe948d",
   CellTags->"b:1.0.0"],
  Cell[64343, 1496, 170, 2, 23, "Text",ExpressionUUID->"9daf2467-b5f5-46ff-9aa4-a60d94872c9d",
   CellTags->"b:1.0.0"],
  Cell[64516, 1500, 175, 2, 23, "Text",ExpressionUUID->"7992b256-a16d-45cc-9994-448baaed91d3",
   CellTags->"b:1.0.0"],
  Cell[64694, 1504, 446, 12, 45, "SmallText",ExpressionUUID->"40405d15-5d1e-44f1-9193-192568adfd5e",
   CellTags->"b:1.0.0"],
  Cell[65143, 1518, 257, 5, 48, "Input",ExpressionUUID->"8a1430db-315d-43f9-b1e4-90570db98386",
   CellTags->"b:1.0.0"],
  Cell[65403, 1525, 443, 10, 34, "Text",ExpressionUUID->"067addbb-20d1-4c34-bd2b-598eb6062874",
   CellTags->"b:1.0.0"],
  Cell[65849, 1537, 210, 5, 23, "Text",ExpressionUUID->"1a634aa1-57d8-4678-b82f-d125a8099da4",
   CellTags->"b:1.0.0"],
  Cell[66062, 1544, 311, 7, 24, "Text",ExpressionUUID->"9d65243d-58aa-4522-b5db-718472d36315",
   CellTags->"b:1.0.0"],
  Cell[66376, 1553, 420, 11, 48, "Input",ExpressionUUID->"77b28640-b9c9-44b6-89b4-ce5024b22889",
   CellTags->"b:1.0.0"]},
 "c:4"->{
  Cell[66833, 1569, 187, 4, 60, "Subsection",ExpressionUUID->"144f4cba-6986-458f-95ab-89e42c5b788f",
   CellTags->{"c:4", "b:1.0.1"}]},
 "b:1.0.1"->{
  Cell[66833, 1569, 187, 4, 60, "Subsection",ExpressionUUID->"144f4cba-6986-458f-95ab-89e42c5b788f",
   CellTags->{"c:4", "b:1.0.1"}],
  Cell[67023, 1575, 411, 9, 79, "Text",ExpressionUUID->"bb4a4faf-c272-4581-a8ab-5d33aa81d079",
   CellTags->"b:1.0.1"],
  Cell[67459, 1588, 152, 3, 48, "Input",ExpressionUUID->"31e64324-5545-43aa-87b3-7b746ef7e8a7",
   CellTags->"b:1.0.1"],
  Cell[67614, 1593, 231, 5, 48, "Output",ExpressionUUID->"3ede7f4e-1b99-4e8a-bff1-42d066f137a1",
   CellTags->"b:1.0.1"],
  Cell[67860, 1601, 345, 6, 24, "Text",ExpressionUUID->"b083cf9e-4248-46af-a71d-c5c6ae0fb541",
   CellTags->"b:1.0.1"],
  Cell[68208, 1609, 515, 15, 70, "Input",ExpressionUUID->"01428252-cfde-4c06-a040-d0ebfcabf60b",
   CellTags->"b:1.0.1"],
  Cell[68726, 1626, 510, 14, 48, "Input",ExpressionUUID->"8a813ceb-aaa9-44b3-b47c-28326233a931",
   CellTags->"b:1.0.1"],
  Cell[69239, 1642, 382, 10, 25, "Text",ExpressionUUID->"63ff384b-8783-4883-a53d-3ab99851a269",
   CellTags->"b:1.0.1"],
  Cell[69624, 1654, 768, 22, 48, "Input",ExpressionUUID->"1ad59e1e-0dbd-4a08-ac5b-a4b45799c2f7",
   CellTags->"b:1.0.1"],
  Cell[70395, 1678, 192, 4, 23, "Text",ExpressionUUID->"ab841a83-1d71-46fb-87ba-a44c44075cb5",
   CellTags->"b:1.0.1"],
  Cell[70590, 1684, 144, 1, 48, "Input",ExpressionUUID->"4d49e51f-695f-4b87-9fab-af3f87d69eb6",
   CellTags->"b:1.0.1"],
  Cell[70737, 1687, 150, 2, 23, "Text",ExpressionUUID->"403c2ed1-2352-4cf3-a627-e21af05b9112",
   CellTags->"b:1.0.1"],
  Cell[70890, 1691, 119, 1, 48, "Input",ExpressionUUID->"a49b5879-be83-435f-883e-7393faaf4569",
   CellTags->"b:1.0.1"],
  Cell[71012, 1694, 271, 5, 23, "Text",ExpressionUUID->"ac384ecf-0ee4-43f9-b4d3-cc66345ee569",
   CellTags->"b:1.0.1"],
  Cell[71286, 1701, 284, 6, 65, "Input",ExpressionUUID->"eee558e3-2f91-45a5-b97e-7c85bdc1e1a9",
   CellTags->"b:1.0.1"]},
 "c:5"->{
  Cell[71607, 1712, 212, 5, 60, "Subsection",ExpressionUUID->"dfaa46ec-a0b2-4b33-864d-51c8f1ac14d4",
   CellTags->{"c:5", "b:1.0.2"}]},
 "b:1.0.2"->{
  Cell[71607, 1712, 212, 5, 60, "Subsection",ExpressionUUID->"dfaa46ec-a0b2-4b33-864d-51c8f1ac14d4",
   CellTags->{"c:5", "b:1.0.2"}],
  Cell[71822, 1719, 210, 5, 51, "Text",ExpressionUUID->"173f073a-732f-4efd-8ebe-4d01625e7f1d",
   CellTags->"b:1.0.2"],
  Cell[72057, 1728, 260, 6, 48, "Input",ExpressionUUID->"45f3960c-2bb2-40b7-8856-fa431984493c",
   CellTags->"b:1.0.2"],
  Cell[72320, 1736, 231, 5, 48, "Output",ExpressionUUID->"ddb493fe-2bfd-4f14-962d-84c415198d67",
   CellTags->"b:1.0.2"],
  Cell[72566, 1744, 166, 2, 23, "Text",ExpressionUUID->"11b606ac-4511-4465-877f-b8f66b390c5f",
   CellTags->"b:1.0.2"],
  Cell[72735, 1748, 248, 5, 48, "Input",ExpressionUUID->"af25a716-9fa0-4e7b-90b6-c27cccb01a61",
   CellTags->"b:1.0.2"],
  Cell[72986, 1755, 309, 6, 23, "Text",ExpressionUUID->"3a4b782c-2e13-4e98-a279-8adf99d580c3",
   CellTags->"b:1.0.2"],
  Cell[73298, 1763, 474, 14, 48, "Input",ExpressionUUID->"8fa7f93a-7412-4ec8-8cd1-a6326dca693c",
   CellTags->"b:1.0.2"]},
 "c:6"->{
  Cell[73809, 1782, 175, 4, 60, "Subsection",ExpressionUUID->"362f5834-f2b6-4085-a209-a7ed75923a79",
   CellTags->{"c:6", "b:1.0.3"}]},
 "b:1.0.3"->{
  Cell[73809, 1782, 175, 4, 60, "Subsection",ExpressionUUID->"362f5834-f2b6-4085-a209-a7ed75923a79",
   CellTags->{"c:6", "b:1.0.3"}],
  Cell[73987, 1788, 134, 2, 23, "Text",ExpressionUUID->"6c455de7-b586-448e-a90e-708f7d9f01ad",
   CellTags->"b:1.0.3"],
  Cell[74124, 1792, 417, 12, 48, "Input",ExpressionUUID->"1b085667-acfb-4f5c-8fa7-a93430ceea52",
   CellTags->"b:1.0.3"],
  Cell[74544, 1806, 200, 4, 23, "Text",ExpressionUUID->"40a4758e-0315-40df-9ad2-98f2578c91fb",
   CellTags->"b:1.0.3"],
  Cell[74769, 1814, 554, 15, 48, "Input",ExpressionUUID->"0b6b3154-2a10-439c-a62c-affe07a3ae1b",
   CellTags->{"ListPlot", "b:1.0.3"}],
  Cell[75326, 1831, 1710, 47, 223, "Output",ExpressionUUID->"c60fecbd-cc22-4322-99bd-84905c8890a3",
   CellTags->{"ListPlot", "b:1.0.3"}],
  Cell[77051, 1881, 151, 2, 23, "Text",ExpressionUUID->"2fa67315-ebd0-40a5-a43e-7cdc31a66e30",
   CellTags->"b:1.0.3"],
  Cell[77227, 1887, 170, 3, 48, "Input",ExpressionUUID->"4663a191-1845-46c1-8f04-d8a2e88c1ec1",
   CellTags->"b:1.0.3"],
  Cell[77400, 1892, 247, 5, 48, "Output",ExpressionUUID->"dbef7c09-6879-4a51-b475-aa99529a7eec",
   CellTags->"b:1.0.3"],
  Cell[77662, 1900, 189, 4, 23, "Text",ExpressionUUID->"4f1bab54-3c27-4641-a65c-caaddaf20ac4",
   CellTags->"b:1.0.3"],
  Cell[77876, 1908, 303, 8, 48, "Input",ExpressionUUID->"8ad598d8-3127-485a-b397-87dbf4b1f76c",
   CellTags->{"Ordering", "b:1.0.3"}],
  Cell[78182, 1918, 672, 20, 49, "Output",ExpressionUUID->"bf71d18a-2692-4299-bdda-f573a98006ce",
   CellTags->{"Ordering", "b:1.0.3"}],
  Cell[78869, 1941, 174, 2, 23, "Text",ExpressionUUID->"84b59a74-519f-432b-ab10-bda4657d3d32",
   CellTags->"b:1.0.3"],
  Cell[79068, 1947, 624, 17, 68, "Input",ExpressionUUID->"09841305-8fbb-4264-b94e-e748f661977f",
   CellTags->"b:1.0.3"],
  Cell[79695, 1966, 505, 10, 44, "Print",ExpressionUUID->"d80d55f9-e3a3-45e7-9817-a0625ac03fca",
   CellTags->"b:1.0.3"],
  Cell[80215, 1979, 98, 1, 48, "Input",ExpressionUUID->"4cc353a7-a14c-42f8-b274-bce6b8cec0c0",
   CellTags->"b:1.0.3"],
  Cell[80316, 1982, 1444, 38, 108, "Abstract",ExpressionUUID->"c9d92fe5-411d-4ebf-bcb9-130df8fadd20",
   CellTags->"b:1.0.3"]},
 "ListPlot"->{
  Cell[74769, 1814, 554, 15, 48, "Input",ExpressionUUID->"0b6b3154-2a10-439c-a62c-affe07a3ae1b",
   CellTags->{"ListPlot", "b:1.0.3"}],
  Cell[75326, 1831, 1710, 47, 223, "Output",ExpressionUUID->"c60fecbd-cc22-4322-99bd-84905c8890a3",
   CellTags->{"ListPlot", "b:1.0.3"}],
  Cell[154407, 3885, 373, 10, 48, "Input",ExpressionUUID->"e0c28911-1a4b-4e3f-b4b8-eb43049930b0",
   CellTags->{"ListPlot", "b:1.1.3"}],
  Cell[154783, 3897, 1569, 44, 270, "Output",ExpressionUUID->"1cb05bc4-a51c-463f-9c1e-49c30ff3ac24",
   CellTags->{"ListPlot", "b:1.1.3"}]},
 "Ordering"->{
  Cell[77876, 1908, 303, 8, 48, "Input",ExpressionUUID->"8ad598d8-3127-485a-b397-87dbf4b1f76c",
   CellTags->{"Ordering", "b:1.0.3"}],
  Cell[78182, 1918, 672, 20, 49, "Output",ExpressionUUID->"bf71d18a-2692-4299-bdda-f573a98006ce",
   CellTags->{"Ordering", "b:1.0.3"}],
  Cell[156989, 3965, 510, 16, 48, "Input",ExpressionUUID->"c83f2026-4ece-4353-af3b-1dae0e35de5d",
   CellTags->{"Ordering", "b:1.1.3"}],
  Cell[157502, 3983, 663, 21, 64, "Output",ExpressionUUID->"8c6b1493-b250-4100-bff9-8972f206db3e",
   CellTags->{"Ordering", "b:1.1.3"}]},
 "c:7"->{
  Cell[81809, 2026, 312, 6, 51, "Section",ExpressionUUID->"b183bf07-86cb-4af9-98f5-e8d8a3ba441a",
   CellTags->"c:7"]},
 "c:8"->{
  Cell[82146, 2036, 181, 4, 60, "Subsection",ExpressionUUID->"3935acf2-544d-459f-9dff-415dcc284d31",
   CellTags->{"c:8", "b:1.1.0"}]},
 "b:1.1.0"->{
  Cell[82146, 2036, 181, 4, 60, "Subsection",ExpressionUUID->"3935acf2-544d-459f-9dff-415dcc284d31",
   CellTags->{"c:8", "b:1.1.0"}],
  Cell[82330, 2042, 358, 8, 79, "Text",ExpressionUUID->"d8ec9080-6402-41cc-84af-e80322dca186",
   CellTags->"b:1.1.0"],
  Cell[82713, 2054, 160, 2, 48, "Input",ExpressionUUID->"1c1d719c-f9ee-4699-b12f-7ed7fe56b44f",
   CellTags->"b:1.1.0"],
  Cell[82876, 2058, 228, 3, 24, "Print",ExpressionUUID->"ffe59dfa-8872-4e9f-bfc7-9343d64cb1e4",
   CellTags->"b:1.1.0"],
  Cell[83141, 2066, 139, 2, 48, "Input",ExpressionUUID->"641cd731-7862-4af9-85bb-c686c27e9e8d",
   CellTags->"b:1.1.0"],
  Cell[83283, 2070, 55890, 1254, 374, "Output",ExpressionUUID->"f313a867-5521-4715-b022-70a939cc21f1",
   CellTags->"b:1.1.0"],
  Cell[139188, 3327, 199, 5, 51, "Text",ExpressionUUID->"ea060c80-f795-45a6-a020-3e7c33f2d342",
   CellTags->"b:1.1.0"],
  Cell[139412, 3336, 593, 16, 107, "Input",ExpressionUUID->"0dade2a8-043b-4aca-a7e7-7d87bc4ecb22",
   CellTags->"b:1.1.0"],
  Cell[140008, 3354, 861, 29, 138, "Output",ExpressionUUID->"4b3ab9a8-7934-4702-a2cb-06bd6ee24729",
   CellTags->"b:1.1.0"],
  Cell[140884, 3386, 147, 3, 48, "Input",ExpressionUUID->"d67b881e-4b93-4930-a7df-eddd65be2295",
   CellTags->"b:1.1.0"],
  Cell[141034, 3391, 163, 2, 23, "Text",ExpressionUUID->"005dd2af-fcea-460f-81b7-b128389a5fe4",
   CellTags->"b:1.1.0"],
  Cell[141222, 3397, 150, 3, 48, "Input",ExpressionUUID->"28d8d8c8-2c9c-4151-9dae-d84f88d657b1",
   CellTags->"b:1.1.0"],
  Cell[141375, 3402, 210, 5, 48, "Output",ExpressionUUID->"659c5f5b-2141-49d7-af44-625b34946026",
   CellTags->"b:1.1.0"],
  Cell[141600, 3410, 170, 2, 23, "Text",ExpressionUUID->"d6dc1489-5484-4e7d-94d0-62852d9f6390",
   CellTags->"b:1.1.0"],
  Cell[141773, 3414, 175, 2, 23, "Text",ExpressionUUID->"98f4f2b6-1f58-4c2c-bf3a-87905f62fdda",
   CellTags->"b:1.1.0"],
  Cell[141951, 3418, 447, 12, 45, "SmallText",ExpressionUUID->"9a1681a8-0ad9-40ba-aa53-75967aea30d9",
   CellTags->"b:1.1.0"],
  Cell[142401, 3432, 623, 17, 48, "Input",ExpressionUUID->"e95b4a69-8e52-4113-baaf-1b0e73c1d026",
   CellTags->"b:1.1.0"],
  Cell[143027, 3451, 444, 10, 34, "Text",ExpressionUUID->"d6d10d5a-09e3-4c2b-875a-33fe3f908c48",
   CellTags->"b:1.1.0"],
  Cell[143474, 3463, 210, 5, 23, "Text",ExpressionUUID->"f0fc5c9b-b982-4b3d-a4fd-d3c20853fca3",
   CellTags->"b:1.1.0"],
  Cell[143687, 3470, 217, 4, 24, "Text",ExpressionUUID->"c2e066f6-7627-4fb0-899e-3c1aa2b51080",
   CellTags->"b:1.1.0"],
  Cell[143907, 3476, 449, 12, 48, "Input",ExpressionUUID->"a597e3f2-8f5c-4328-a034-9e325db4b865",
   CellTags->"b:1.1.0"]},
 "c:9"->{
  Cell[144393, 3493, 186, 4, 60, "Subsection",ExpressionUUID->"db006514-f472-452b-9278-4c8a92d83db7",
   CellTags->{"c:9", "b:1.1.1"}]},
 "b:1.1.1"->{
  Cell[144393, 3493, 186, 4, 60, "Subsection",ExpressionUUID->"db006514-f472-452b-9278-4c8a92d83db7",
   CellTags->{"c:9", "b:1.1.1"}],
  Cell[144582, 3499, 419, 9, 79, "Text",ExpressionUUID->"d06c08bb-2ff1-46d5-ac3d-71858465c3dc",
   CellTags->"b:1.1.1"],
  Cell[145026, 3512, 152, 3, 48, "Input",ExpressionUUID->"b738f2e5-432f-40ed-abd5-3cc4063f6467",
   CellTags->"b:1.1.1"],
  Cell[145181, 3517, 210, 5, 48, "Output",ExpressionUUID->"07f56378-204d-4ab3-b8f5-68c1ac1c1922",
   CellTags->"b:1.1.1"],
  Cell[145428, 3527, 732, 22, 70, "Input",ExpressionUUID->"9f3cd83c-c55a-478a-a783-6ede0164e02e",
   CellTags->"b:1.1.1"],
  Cell[146163, 3551, 1446, 81, 1118, "Output",ExpressionUUID->"e2f1fa3e-7ce6-4b3c-9379-4bd2e8759c21",
   CellTags->"b:1.1.1"],
  Cell[147612, 3634, 1495, 83, 1118, "Output",ExpressionUUID->"4b5dd7e8-a81a-4de9-9fb9-9ea23807d390",
   CellTags->"b:1.1.1"],
  Cell[149122, 3720, 555, 16, 68, "Input",ExpressionUUID->"ed6f5683-10c3-4b08-89ea-7b26bca3e843",
   CellTags->"b:1.1.1"],
  Cell[149680, 3738, 248, 5, 23, "Text",ExpressionUUID->"0a36d61f-789f-42d5-8ce8-308be8580fcc",
   CellTags->"b:1.1.1"],
  Cell[149931, 3745, 203, 5, 48, "Input",ExpressionUUID->"eb7944c6-9860-4c5f-9f41-49eade92b138",
   CellTags->"b:1.1.1"],
  Cell[150137, 3752, 192, 4, 23, "Text",ExpressionUUID->"884f8576-8f67-4f4a-b4c1-4b84d5761f24",
   CellTags->"b:1.1.1"],
  Cell[150332, 3758, 146, 1, 48, "Input",ExpressionUUID->"eb684208-6094-43c0-9c54-4a08654cfa25",
   CellTags->"b:1.1.1"],
  Cell[150481, 3761, 147, 2, 23, "Text",ExpressionUUID->"4b5537c6-8cde-4292-a7f5-206e34614b71",
   CellTags->"b:1.1.1"],
  Cell[150631, 3765, 119, 1, 48, "Input",ExpressionUUID->"10d5895a-e024-4ec1-af5e-c6feb3183bd9",
   CellTags->"b:1.1.1"]},
 "c:10"->{
  Cell[150787, 3771, 196, 4, 60, "Subsection",ExpressionUUID->"d8e018b6-5e24-462c-861a-5ee3b4028896",
   CellTags->{"c:10", "b:1.1.2"}]},
 "b:1.1.2"->{
  Cell[150787, 3771, 196, 4, 60, "Subsection",ExpressionUUID->"d8e018b6-5e24-462c-861a-5ee3b4028896",
   CellTags->{"c:10", "b:1.1.2"}],
  Cell[150986, 3777, 311, 7, 51, "Text",ExpressionUUID->"a7162e16-205d-43ca-9e38-ffeb84010ed6",
   CellTags->"b:1.1.2"],
  Cell[151300, 3786, 231, 5, 65, "Input",ExpressionUUID->"c4bb9334-4570-4f2d-bb70-218d5435686f",
   CellTags->"b:1.1.2"],
  Cell[151534, 3793, 192, 4, 23, "Text",ExpressionUUID->"4c2b810f-c508-4d1f-b2eb-652c92ca3bd9",
   CellTags->"b:1.1.2"],
  Cell[151751, 3801, 260, 6, 48, "Input",ExpressionUUID->"54da0c4f-1ce4-4bb4-bf6a-7fdd9c40c3cb",
   CellTags->"b:1.1.2"],
  Cell[152014, 3809, 211, 5, 48, "Output",ExpressionUUID->"1836e00d-057e-4fd4-83dd-c35b1aac512b",
   CellTags->"b:1.1.2"],
  Cell[152240, 3817, 166, 2, 23, "Text",ExpressionUUID->"8243e95e-02fc-4886-89e9-799f689394ee",
   CellTags->"b:1.1.2"],
  Cell[152409, 3821, 244, 5, 48, "Input",ExpressionUUID->"2c691270-f3ab-4dab-90f6-3b8e8cbf41ca",
   CellTags->"b:1.1.2"]},
 "c:11"->{
  Cell[152690, 3831, 175, 4, 60, "Subsection",ExpressionUUID->"c8b4c27d-c0a3-44cd-bb38-cc7d3f07ca6f",
   CellTags->{"c:11", "b:1.1.3"}]},
 "b:1.1.3"->{
  Cell[152690, 3831, 175, 4, 60, "Subsection",ExpressionUUID->"c8b4c27d-c0a3-44cd-bb38-cc7d3f07ca6f",
   CellTags->{"c:11", "b:1.1.3"}],
  Cell[152868, 3837, 307, 6, 23, "Text",ExpressionUUID->"7422ad20-95e5-4b99-aa04-5d0e1cc80fb0",
   CellTags->"b:1.1.3"],
  Cell[153178, 3845, 474, 14, 48, "Input",ExpressionUUID->"f7ce2e13-1445-4c75-b263-8e42e9499349",
   CellTags->"b:1.1.3"],
  Cell[153655, 3861, 134, 2, 23, "Text",ExpressionUUID->"f53023bb-77eb-4f98-95d4-9edfdc8ac5be",
   CellTags->"b:1.1.3"],
  Cell[153792, 3865, 417, 12, 48, "Input",ExpressionUUID->"338861a8-ef5e-4039-acda-6d16b92dbb85",
   CellTags->"b:1.1.3"],
  Cell[154212, 3879, 170, 2, 23, "Text",ExpressionUUID->"ae2daa36-7651-48ed-ab65-0ecfcce0c551",
   CellTags->"b:1.1.3"],
  Cell[154407, 3885, 373, 10, 48, "Input",ExpressionUUID->"e0c28911-1a4b-4e3f-b4b8-eb43049930b0",
   CellTags->{"ListPlot", "b:1.1.3"}],
  Cell[154783, 3897, 1569, 44, 270, "Output",ExpressionUUID->"1cb05bc4-a51c-463f-9c1e-49c30ff3ac24",
   CellTags->{"ListPlot", "b:1.1.3"}],
  Cell[156367, 3944, 164, 2, 23, "Text",ExpressionUUID->"681ceab8-e10e-4e6f-8a64-0cc0da093f47",
   CellTags->"b:1.1.3"],
  Cell[156556, 3950, 167, 3, 48, "Input",ExpressionUUID->"e372e098-8d4b-40ed-80c7-b527100b8c84",
   CellTags->"b:1.1.3"],
  Cell[156726, 3955, 226, 5, 48, "Output",ExpressionUUID->"20e52455-7ba2-46c0-ac89-c31b98ecc4ec",
   CellTags->"b:1.1.3"],
  Cell[156989, 3965, 510, 16, 48, "Input",ExpressionUUID->"c83f2026-4ece-4353-af3b-1dae0e35de5d",
   CellTags->{"Ordering", "b:1.1.3"}],
  Cell[157502, 3983, 663, 21, 64, "Output",ExpressionUUID->"8c6b1493-b250-4100-bff9-8972f206db3e",
   CellTags->{"Ordering", "b:1.1.3"}],
  Cell[158180, 4007, 175, 2, 23, "Text",ExpressionUUID->"2f855379-6856-42f0-b652-750926fcf472",
   CellTags->"b:1.1.3"],
  Cell[158380, 4013, 624, 17, 68, "Input",ExpressionUUID->"44c4af38-587a-44f4-bc8b-f15fc3184f33",
   CellTags->"b:1.1.3"],
  Cell[159007, 4032, 513, 12, 44, "Print",ExpressionUUID->"46c6e2e8-978d-4eff-a23b-f61ffbf0fd35",
   CellTags->"b:1.1.3"],
  Cell[159523, 4046, 513, 12, 44, "Print",ExpressionUUID->"b83905e4-af07-449c-aadf-e7e7b8a38db9",
   CellTags->"b:1.1.3"],
  Cell[160051, 4061, 98, 1, 48, "Input",ExpressionUUID->"5c56df8d-7b6a-40c0-a66d-5aa3258517e0",
   CellTags->"b:1.1.3"],
  Cell[160152, 4064, 1378, 37, 108, "Abstract",ExpressionUUID->"da7f7c7c-19a2-40ae-93d4-a1c475238aed",
   CellTags->"b:1.1.3"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"c:1", 162858, 4136},
 {"c:2", 162982, 4139},
 {"c:3", 163109, 4142},
 {"b:1.0.0", 163256, 4145},
 {"c:4", 165944, 4190},
 {"b:1.0.1", 166094, 4193},
 {"c:5", 167933, 4224},
 {"b:1.0.2", 168083, 4227},
 {"c:6", 169075, 4244},
 {"b:1.0.3", 169225, 4247},
 {"ListPlot", 171379, 4282},
 {"Ordering", 171947, 4291},
 {"c:7", 172505, 4300},
 {"c:8", 172635, 4303},
 {"b:1.1.0", 172785, 4306},
 {"c:9", 175379, 4349},
 {"b:1.1.1", 175530, 4352},
 {"c:10", 177273, 4381},
 {"b:1.1.2", 177425, 4384},
 {"c:11", 178426, 4401},
 {"b:1.1.3", 178578, 4404}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 117, 1, 51, "Title",ExpressionUUID->"248a907c-646d-491b-9c11-007b3b4382ea",
 CellTags->"c:1"],
Cell[665, 23, 119, 0, 35, "Subtitle",ExpressionUUID->"c4d1cc37-27b4-470b-89e8-bbf3765cb1ea"],
Cell[787, 25, 328, 9, 62, "Abstract",ExpressionUUID->"66b52c05-e648-4b40-8a49-d07984958bdf"],
Cell[1118, 36, 205, 3, 22, "Text",ExpressionUUID->"4ff07075-5ed6-4903-85ad-e8ffbbf3eaaa"],
Cell[CellGroupData[{
Cell[1348, 43, 312, 6, 51, "Section",ExpressionUUID->"fd7e9209-89d4-4ea7-911f-e1c0dec9aee9",
 CellTags->"c:2"],
Cell[CellGroupData[{
Cell[1685, 53, 181, 4, 60, "Subsection",ExpressionUUID->"d4a8080e-3649-4d6c-9f48-e041874613d6",
 CellTags->{"c:3", "b:1.0.0"}],
Cell[1869, 59, 358, 8, 79, "Text",ExpressionUUID->"822e1520-5d2d-4ca9-a067-efd31bbc5d8b",
 CellTags->"b:1.0.0"],
Cell[2230, 69, 382, 9, 68, "Input",ExpressionUUID->"0603bd89-e458-4f4c-97bc-6df04daa695f",
 CellTags->"b:1.0.0"],
Cell[CellGroupData[{
Cell[2637, 82, 139, 2, 48, "Input",ExpressionUUID->"f9d49e86-d748-4abb-a1b1-bd6a7f332f22",
 CellTags->"b:1.0.0"],
Cell[2779, 86, 56923, 1276, 391, "Output",ExpressionUUID->"51c060f2-b0ac-4f3e-aa4e-c18c24338b15",
 CellTags->"b:1.0.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[59739, 1367, 306, 7, 68, "Input",ExpressionUUID->"769756ce-c544-4bc1-8c33-5500853a7e34",
 CellTags->"b:1.0.0"],
Cell[60048, 1376, 1698, 31, 159, "Output",ExpressionUUID->"dd05e3f0-d687-41fb-b644-1cccef528106",
 CellTags->"b:1.0.0"]
}, Open  ]],
Cell[61761, 1410, 319, 8, 53, "Text",ExpressionUUID->"18ddcf8f-0f75-42a6-8be5-82d6f22a7a67",
 CellTags->"b:1.0.0"],
Cell[CellGroupData[{
Cell[62105, 1422, 593, 16, 107, "Input",ExpressionUUID->"8f2da1e7-c1dc-4a60-8aa0-3afaa36ef1a8",
 CellTags->"b:1.0.0"],
Cell[62701, 1440, 885, 29, 138, "Output",ExpressionUUID->"38160595-28db-47f9-8243-ab4028058e00",
 CellTags->"b:1.0.0"]
}, Open  ]],
Cell[63601, 1472, 147, 3, 48, "Input",ExpressionUUID->"98e41b9e-e479-4b7c-be1f-8745c0ab47c1",
 CellTags->"b:1.0.0"],
Cell[63751, 1477, 163, 2, 23, "Text",ExpressionUUID->"2ecc8910-9d47-492f-9c10-b907e37dd855",
 CellTags->"b:1.0.0"],
Cell[CellGroupData[{
Cell[63939, 1483, 154, 3, 48, "Input",ExpressionUUID->"31967385-cef3-4939-8bf1-555e4b26397b",
 CellTags->"b:1.0.0"],
Cell[64096, 1488, 232, 5, 48, "Output",ExpressionUUID->"bd170cde-5450-40eb-831c-c1d844fe948d",
 CellTags->"b:1.0.0"]
}, Open  ]],
Cell[64343, 1496, 170, 2, 23, "Text",ExpressionUUID->"9daf2467-b5f5-46ff-9aa4-a60d94872c9d",
 CellTags->"b:1.0.0"],
Cell[64516, 1500, 175, 2, 23, "Text",ExpressionUUID->"7992b256-a16d-45cc-9994-448baaed91d3",
 CellTags->"b:1.0.0"],
Cell[64694, 1504, 446, 12, 45, "SmallText",ExpressionUUID->"40405d15-5d1e-44f1-9193-192568adfd5e",
 CellTags->"b:1.0.0"],
Cell[65143, 1518, 257, 5, 48, "Input",ExpressionUUID->"8a1430db-315d-43f9-b1e4-90570db98386",
 CellTags->"b:1.0.0"],
Cell[65403, 1525, 443, 10, 34, "Text",ExpressionUUID->"067addbb-20d1-4c34-bd2b-598eb6062874",
 CellTags->"b:1.0.0"],
Cell[65849, 1537, 210, 5, 23, "Text",ExpressionUUID->"1a634aa1-57d8-4678-b82f-d125a8099da4",
 CellTags->"b:1.0.0"],
Cell[66062, 1544, 311, 7, 24, "Text",ExpressionUUID->"9d65243d-58aa-4522-b5db-718472d36315",
 CellTags->"b:1.0.0"],
Cell[66376, 1553, 420, 11, 48, "Input",ExpressionUUID->"77b28640-b9c9-44b6-89b4-ce5024b22889",
 CellTags->"b:1.0.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[66833, 1569, 187, 4, 60, "Subsection",ExpressionUUID->"144f4cba-6986-458f-95ab-89e42c5b788f",
 CellTags->{"c:4", "b:1.0.1"}],
Cell[67023, 1575, 411, 9, 79, "Text",ExpressionUUID->"bb4a4faf-c272-4581-a8ab-5d33aa81d079",
 CellTags->"b:1.0.1"],
Cell[CellGroupData[{
Cell[67459, 1588, 152, 3, 48, "Input",ExpressionUUID->"31e64324-5545-43aa-87b3-7b746ef7e8a7",
 CellTags->"b:1.0.1"],
Cell[67614, 1593, 231, 5, 48, "Output",ExpressionUUID->"3ede7f4e-1b99-4e8a-bff1-42d066f137a1",
 CellTags->"b:1.0.1"]
}, Open  ]],
Cell[67860, 1601, 345, 6, 24, "Text",ExpressionUUID->"b083cf9e-4248-46af-a71d-c5c6ae0fb541",
 CellTags->"b:1.0.1"],
Cell[68208, 1609, 515, 15, 70, "Input",ExpressionUUID->"01428252-cfde-4c06-a040-d0ebfcabf60b",
 CellTags->"b:1.0.1"],
Cell[68726, 1626, 510, 14, 48, "Input",ExpressionUUID->"8a813ceb-aaa9-44b3-b47c-28326233a931",
 CellTags->"b:1.0.1"],
Cell[69239, 1642, 382, 10, 25, "Text",ExpressionUUID->"63ff384b-8783-4883-a53d-3ab99851a269",
 CellTags->"b:1.0.1"],
Cell[69624, 1654, 768, 22, 48, "Input",ExpressionUUID->"1ad59e1e-0dbd-4a08-ac5b-a4b45799c2f7",
 CellTags->"b:1.0.1"],
Cell[70395, 1678, 192, 4, 23, "Text",ExpressionUUID->"ab841a83-1d71-46fb-87ba-a44c44075cb5",
 CellTags->"b:1.0.1"],
Cell[70590, 1684, 144, 1, 48, "Input",ExpressionUUID->"4d49e51f-695f-4b87-9fab-af3f87d69eb6",
 CellTags->"b:1.0.1"],
Cell[70737, 1687, 150, 2, 23, "Text",ExpressionUUID->"403c2ed1-2352-4cf3-a627-e21af05b9112",
 CellTags->"b:1.0.1"],
Cell[70890, 1691, 119, 1, 48, "Input",ExpressionUUID->"a49b5879-be83-435f-883e-7393faaf4569",
 CellTags->"b:1.0.1"],
Cell[71012, 1694, 271, 5, 23, "Text",ExpressionUUID->"ac384ecf-0ee4-43f9-b4d3-cc66345ee569",
 CellTags->"b:1.0.1"],
Cell[71286, 1701, 284, 6, 65, "Input",ExpressionUUID->"eee558e3-2f91-45a5-b97e-7c85bdc1e1a9",
 CellTags->"b:1.0.1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[71607, 1712, 212, 5, 60, "Subsection",ExpressionUUID->"dfaa46ec-a0b2-4b33-864d-51c8f1ac14d4",
 CellTags->{"c:5", "b:1.0.2"}],
Cell[71822, 1719, 210, 5, 51, "Text",ExpressionUUID->"173f073a-732f-4efd-8ebe-4d01625e7f1d",
 CellTags->"b:1.0.2"],
Cell[CellGroupData[{
Cell[72057, 1728, 260, 6, 48, "Input",ExpressionUUID->"45f3960c-2bb2-40b7-8856-fa431984493c",
 CellTags->"b:1.0.2"],
Cell[72320, 1736, 231, 5, 48, "Output",ExpressionUUID->"ddb493fe-2bfd-4f14-962d-84c415198d67",
 CellTags->"b:1.0.2"]
}, Open  ]],
Cell[72566, 1744, 166, 2, 23, "Text",ExpressionUUID->"11b606ac-4511-4465-877f-b8f66b390c5f",
 CellTags->"b:1.0.2"],
Cell[72735, 1748, 248, 5, 48, "Input",ExpressionUUID->"af25a716-9fa0-4e7b-90b6-c27cccb01a61",
 CellTags->"b:1.0.2"],
Cell[72986, 1755, 309, 6, 23, "Text",ExpressionUUID->"3a4b782c-2e13-4e98-a279-8adf99d580c3",
 CellTags->"b:1.0.2"],
Cell[73298, 1763, 474, 14, 48, "Input",ExpressionUUID->"8fa7f93a-7412-4ec8-8cd1-a6326dca693c",
 CellTags->"b:1.0.2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[73809, 1782, 175, 4, 60, "Subsection",ExpressionUUID->"362f5834-f2b6-4085-a209-a7ed75923a79",
 CellTags->{"c:6", "b:1.0.3"}],
Cell[73987, 1788, 134, 2, 23, "Text",ExpressionUUID->"6c455de7-b586-448e-a90e-708f7d9f01ad",
 CellTags->"b:1.0.3"],
Cell[74124, 1792, 417, 12, 48, "Input",ExpressionUUID->"1b085667-acfb-4f5c-8fa7-a93430ceea52",
 CellTags->"b:1.0.3"],
Cell[74544, 1806, 200, 4, 23, "Text",ExpressionUUID->"40a4758e-0315-40df-9ad2-98f2578c91fb",
 CellTags->"b:1.0.3"],
Cell[CellGroupData[{
Cell[74769, 1814, 554, 15, 48, "Input",ExpressionUUID->"0b6b3154-2a10-439c-a62c-affe07a3ae1b",
 CellTags->{"ListPlot", "b:1.0.3"}],
Cell[75326, 1831, 1710, 47, 223, "Output",ExpressionUUID->"c60fecbd-cc22-4322-99bd-84905c8890a3",
 CellTags->{"ListPlot", "b:1.0.3"}]
}, Open  ]],
Cell[77051, 1881, 151, 2, 23, "Text",ExpressionUUID->"2fa67315-ebd0-40a5-a43e-7cdc31a66e30",
 CellTags->"b:1.0.3"],
Cell[CellGroupData[{
Cell[77227, 1887, 170, 3, 48, "Input",ExpressionUUID->"4663a191-1845-46c1-8f04-d8a2e88c1ec1",
 CellTags->"b:1.0.3"],
Cell[77400, 1892, 247, 5, 48, "Output",ExpressionUUID->"dbef7c09-6879-4a51-b475-aa99529a7eec",
 CellTags->"b:1.0.3"]
}, Open  ]],
Cell[77662, 1900, 189, 4, 23, "Text",ExpressionUUID->"4f1bab54-3c27-4641-a65c-caaddaf20ac4",
 CellTags->"b:1.0.3"],
Cell[CellGroupData[{
Cell[77876, 1908, 303, 8, 48, "Input",ExpressionUUID->"8ad598d8-3127-485a-b397-87dbf4b1f76c",
 CellTags->{"Ordering", "b:1.0.3"}],
Cell[78182, 1918, 672, 20, 49, "Output",ExpressionUUID->"bf71d18a-2692-4299-bdda-f573a98006ce",
 CellTags->{"Ordering", "b:1.0.3"}]
}, Open  ]],
Cell[78869, 1941, 174, 2, 23, "Text",ExpressionUUID->"84b59a74-519f-432b-ab10-bda4657d3d32",
 CellTags->"b:1.0.3"],
Cell[CellGroupData[{
Cell[79068, 1947, 624, 17, 68, "Input",ExpressionUUID->"09841305-8fbb-4264-b94e-e748f661977f",
 CellTags->"b:1.0.3"],
Cell[79695, 1966, 505, 10, 44, "Print",ExpressionUUID->"d80d55f9-e3a3-45e7-9817-a0625ac03fca",
 CellTags->"b:1.0.3"]
}, Open  ]],
Cell[80215, 1979, 98, 1, 48, "Input",ExpressionUUID->"4cc353a7-a14c-42f8-b274-bce6b8cec0c0",
 CellTags->"b:1.0.3"],
Cell[80316, 1982, 1444, 38, 108, "Abstract",ExpressionUUID->"c9d92fe5-411d-4ebf-bcb9-130df8fadd20",
 CellTags->"b:1.0.3"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[81809, 2026, 312, 6, 51, "Section",ExpressionUUID->"b183bf07-86cb-4af9-98f5-e8d8a3ba441a",
 CellTags->"c:7"],
Cell[CellGroupData[{
Cell[82146, 2036, 181, 4, 60, "Subsection",ExpressionUUID->"3935acf2-544d-459f-9dff-415dcc284d31",
 CellTags->{"c:8", "b:1.1.0"}],
Cell[82330, 2042, 358, 8, 79, "Text",ExpressionUUID->"d8ec9080-6402-41cc-84af-e80322dca186",
 CellTags->"b:1.1.0"],
Cell[CellGroupData[{
Cell[82713, 2054, 160, 2, 48, "Input",ExpressionUUID->"1c1d719c-f9ee-4699-b12f-7ed7fe56b44f",
 CellTags->"b:1.1.0"],
Cell[82876, 2058, 228, 3, 24, "Print",ExpressionUUID->"ffe59dfa-8872-4e9f-bfc7-9343d64cb1e4",
 CellTags->"b:1.1.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[83141, 2066, 139, 2, 48, "Input",ExpressionUUID->"641cd731-7862-4af9-85bb-c686c27e9e8d",
 CellTags->"b:1.1.0"],
Cell[83283, 2070, 55890, 1254, 374, "Output",ExpressionUUID->"f313a867-5521-4715-b022-70a939cc21f1",
 CellTags->"b:1.1.0"]
}, Open  ]],
Cell[139188, 3327, 199, 5, 51, "Text",ExpressionUUID->"ea060c80-f795-45a6-a020-3e7c33f2d342",
 CellTags->"b:1.1.0"],
Cell[CellGroupData[{
Cell[139412, 3336, 593, 16, 107, "Input",ExpressionUUID->"0dade2a8-043b-4aca-a7e7-7d87bc4ecb22",
 CellTags->"b:1.1.0"],
Cell[140008, 3354, 861, 29, 138, "Output",ExpressionUUID->"4b3ab9a8-7934-4702-a2cb-06bd6ee24729",
 CellTags->"b:1.1.0"]
}, Open  ]],
Cell[140884, 3386, 147, 3, 48, "Input",ExpressionUUID->"d67b881e-4b93-4930-a7df-eddd65be2295",
 CellTags->"b:1.1.0"],
Cell[141034, 3391, 163, 2, 23, "Text",ExpressionUUID->"005dd2af-fcea-460f-81b7-b128389a5fe4",
 CellTags->"b:1.1.0"],
Cell[CellGroupData[{
Cell[141222, 3397, 150, 3, 48, "Input",ExpressionUUID->"28d8d8c8-2c9c-4151-9dae-d84f88d657b1",
 CellTags->"b:1.1.0"],
Cell[141375, 3402, 210, 5, 48, "Output",ExpressionUUID->"659c5f5b-2141-49d7-af44-625b34946026",
 CellTags->"b:1.1.0"]
}, Open  ]],
Cell[141600, 3410, 170, 2, 23, "Text",ExpressionUUID->"d6dc1489-5484-4e7d-94d0-62852d9f6390",
 CellTags->"b:1.1.0"],
Cell[141773, 3414, 175, 2, 23, "Text",ExpressionUUID->"98f4f2b6-1f58-4c2c-bf3a-87905f62fdda",
 CellTags->"b:1.1.0"],
Cell[141951, 3418, 447, 12, 45, "SmallText",ExpressionUUID->"9a1681a8-0ad9-40ba-aa53-75967aea30d9",
 CellTags->"b:1.1.0"],
Cell[142401, 3432, 623, 17, 48, "Input",ExpressionUUID->"e95b4a69-8e52-4113-baaf-1b0e73c1d026",
 CellTags->"b:1.1.0"],
Cell[143027, 3451, 444, 10, 34, "Text",ExpressionUUID->"d6d10d5a-09e3-4c2b-875a-33fe3f908c48",
 CellTags->"b:1.1.0"],
Cell[143474, 3463, 210, 5, 23, "Text",ExpressionUUID->"f0fc5c9b-b982-4b3d-a4fd-d3c20853fca3",
 CellTags->"b:1.1.0"],
Cell[143687, 3470, 217, 4, 24, "Text",ExpressionUUID->"c2e066f6-7627-4fb0-899e-3c1aa2b51080",
 CellTags->"b:1.1.0"],
Cell[143907, 3476, 449, 12, 48, "Input",ExpressionUUID->"a597e3f2-8f5c-4328-a034-9e325db4b865",
 CellTags->"b:1.1.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[144393, 3493, 186, 4, 60, "Subsection",ExpressionUUID->"db006514-f472-452b-9278-4c8a92d83db7",
 CellTags->{"c:9", "b:1.1.1"}],
Cell[144582, 3499, 419, 9, 79, "Text",ExpressionUUID->"d06c08bb-2ff1-46d5-ac3d-71858465c3dc",
 CellTags->"b:1.1.1"],
Cell[CellGroupData[{
Cell[145026, 3512, 152, 3, 48, "Input",ExpressionUUID->"b738f2e5-432f-40ed-abd5-3cc4063f6467",
 CellTags->"b:1.1.1"],
Cell[145181, 3517, 210, 5, 48, "Output",ExpressionUUID->"07f56378-204d-4ab3-b8f5-68c1ac1c1922",
 CellTags->"b:1.1.1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[145428, 3527, 732, 22, 70, "Input",ExpressionUUID->"9f3cd83c-c55a-478a-a783-6ede0164e02e",
 CellTags->"b:1.1.1"],
Cell[146163, 3551, 1446, 81, 1118, "Output",ExpressionUUID->"e2f1fa3e-7ce6-4b3c-9379-4bd2e8759c21",
 CellTags->"b:1.1.1"],
Cell[147612, 3634, 1495, 83, 1118, "Output",ExpressionUUID->"4b5dd7e8-a81a-4de9-9fb9-9ea23807d390",
 CellTags->"b:1.1.1"]
}, Open  ]],
Cell[149122, 3720, 555, 16, 68, "Input",ExpressionUUID->"ed6f5683-10c3-4b08-89ea-7b26bca3e843",
 CellTags->"b:1.1.1"],
Cell[149680, 3738, 248, 5, 23, "Text",ExpressionUUID->"0a36d61f-789f-42d5-8ce8-308be8580fcc",
 CellTags->"b:1.1.1"],
Cell[149931, 3745, 203, 5, 48, "Input",ExpressionUUID->"eb7944c6-9860-4c5f-9f41-49eade92b138",
 CellTags->"b:1.1.1"],
Cell[150137, 3752, 192, 4, 23, "Text",ExpressionUUID->"884f8576-8f67-4f4a-b4c1-4b84d5761f24",
 CellTags->"b:1.1.1"],
Cell[150332, 3758, 146, 1, 48, "Input",ExpressionUUID->"eb684208-6094-43c0-9c54-4a08654cfa25",
 CellTags->"b:1.1.1"],
Cell[150481, 3761, 147, 2, 23, "Text",ExpressionUUID->"4b5537c6-8cde-4292-a7f5-206e34614b71",
 CellTags->"b:1.1.1"],
Cell[150631, 3765, 119, 1, 48, "Input",ExpressionUUID->"10d5895a-e024-4ec1-af5e-c6feb3183bd9",
 CellTags->"b:1.1.1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[150787, 3771, 196, 4, 60, "Subsection",ExpressionUUID->"d8e018b6-5e24-462c-861a-5ee3b4028896",
 CellTags->{"c:10", "b:1.1.2"}],
Cell[150986, 3777, 311, 7, 51, "Text",ExpressionUUID->"a7162e16-205d-43ca-9e38-ffeb84010ed6",
 CellTags->"b:1.1.2"],
Cell[151300, 3786, 231, 5, 65, "Input",ExpressionUUID->"c4bb9334-4570-4f2d-bb70-218d5435686f",
 CellTags->"b:1.1.2"],
Cell[151534, 3793, 192, 4, 23, "Text",ExpressionUUID->"4c2b810f-c508-4d1f-b2eb-652c92ca3bd9",
 CellTags->"b:1.1.2"],
Cell[CellGroupData[{
Cell[151751, 3801, 260, 6, 48, "Input",ExpressionUUID->"54da0c4f-1ce4-4bb4-bf6a-7fdd9c40c3cb",
 CellTags->"b:1.1.2"],
Cell[152014, 3809, 211, 5, 48, "Output",ExpressionUUID->"1836e00d-057e-4fd4-83dd-c35b1aac512b",
 CellTags->"b:1.1.2"]
}, Open  ]],
Cell[152240, 3817, 166, 2, 23, "Text",ExpressionUUID->"8243e95e-02fc-4886-89e9-799f689394ee",
 CellTags->"b:1.1.2"],
Cell[152409, 3821, 244, 5, 48, "Input",ExpressionUUID->"2c691270-f3ab-4dab-90f6-3b8e8cbf41ca",
 CellTags->"b:1.1.2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[152690, 3831, 175, 4, 60, "Subsection",ExpressionUUID->"c8b4c27d-c0a3-44cd-bb38-cc7d3f07ca6f",
 CellTags->{"c:11", "b:1.1.3"}],
Cell[152868, 3837, 307, 6, 23, "Text",ExpressionUUID->"7422ad20-95e5-4b99-aa04-5d0e1cc80fb0",
 CellTags->"b:1.1.3"],
Cell[153178, 3845, 474, 14, 48, "Input",ExpressionUUID->"f7ce2e13-1445-4c75-b263-8e42e9499349",
 CellTags->"b:1.1.3"],
Cell[153655, 3861, 134, 2, 23, "Text",ExpressionUUID->"f53023bb-77eb-4f98-95d4-9edfdc8ac5be",
 CellTags->"b:1.1.3"],
Cell[153792, 3865, 417, 12, 48, "Input",ExpressionUUID->"338861a8-ef5e-4039-acda-6d16b92dbb85",
 CellTags->"b:1.1.3"],
Cell[154212, 3879, 170, 2, 23, "Text",ExpressionUUID->"ae2daa36-7651-48ed-ab65-0ecfcce0c551",
 CellTags->"b:1.1.3"],
Cell[CellGroupData[{
Cell[154407, 3885, 373, 10, 48, "Input",ExpressionUUID->"e0c28911-1a4b-4e3f-b4b8-eb43049930b0",
 CellTags->{"ListPlot", "b:1.1.3"}],
Cell[154783, 3897, 1569, 44, 270, "Output",ExpressionUUID->"1cb05bc4-a51c-463f-9c1e-49c30ff3ac24",
 CellTags->{"ListPlot", "b:1.1.3"}]
}, Open  ]],
Cell[156367, 3944, 164, 2, 23, "Text",ExpressionUUID->"681ceab8-e10e-4e6f-8a64-0cc0da093f47",
 CellTags->"b:1.1.3"],
Cell[CellGroupData[{
Cell[156556, 3950, 167, 3, 48, "Input",ExpressionUUID->"e372e098-8d4b-40ed-80c7-b527100b8c84",
 CellTags->"b:1.1.3"],
Cell[156726, 3955, 226, 5, 48, "Output",ExpressionUUID->"20e52455-7ba2-46c0-ac89-c31b98ecc4ec",
 CellTags->"b:1.1.3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[156989, 3965, 510, 16, 48, "Input",ExpressionUUID->"c83f2026-4ece-4353-af3b-1dae0e35de5d",
 CellTags->{"Ordering", "b:1.1.3"}],
Cell[157502, 3983, 663, 21, 64, "Output",ExpressionUUID->"8c6b1493-b250-4100-bff9-8972f206db3e",
 CellTags->{"Ordering", "b:1.1.3"}]
}, Open  ]],
Cell[158180, 4007, 175, 2, 23, "Text",ExpressionUUID->"2f855379-6856-42f0-b652-750926fcf472",
 CellTags->"b:1.1.3"],
Cell[CellGroupData[{
Cell[158380, 4013, 624, 17, 68, "Input",ExpressionUUID->"44c4af38-587a-44f4-bc8b-f15fc3184f33",
 CellTags->"b:1.1.3"],
Cell[159007, 4032, 513, 12, 44, "Print",ExpressionUUID->"46c6e2e8-978d-4eff-a23b-f61ffbf0fd35",
 CellTags->"b:1.1.3"],
Cell[159523, 4046, 513, 12, 44, "Print",ExpressionUUID->"b83905e4-af07-449c-aadf-e7e7b8a38db9",
 CellTags->"b:1.1.3"]
}, Open  ]],
Cell[160051, 4061, 98, 1, 48, "Input",ExpressionUUID->"5c56df8d-7b6a-40c0-a66d-5aa3258517e0",
 CellTags->"b:1.1.3"],
Cell[160152, 4064, 1378, 37, 108, "Abstract",ExpressionUUID->"da7f7c7c-19a2-40ae-93d4-a1c475238aed",
 CellTags->"b:1.1.3"]
}, Open  ]]
}, Open  ]]
}
]
*)

