(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    211439,       5016]
NotebookOptionsPosition[    183917,       4496]
NotebookOutlinePosition[    198623,       4764]
CellTagsIndexPosition[    198304,       4749]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Quantum Fourier Transform", "Title",
 CellTags->"c:1",ExpressionUUID->"86f84b5c-f0ef-4eed-8e5f-6e911507777a"],

Cell["Implementation of the QFT", "Subtitle",ExpressionUUID->"6abb23d9-8ecd-47c3-870a-5b5654ebdc9a"],

Cell[TextData[{
 "Version:November-2014--For ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 9.0-10.3"
}], "Abstract",
 CellChangeTimes->{{3.395090887981901*^9, 3.395090925377634*^9}, {
   3.512204933064251*^9, 3.5122049705968847`*^9}, 3.5122120582929077`*^9, {
   3.625184952631393*^9, 3.625184969493586*^9}, {3.6554033899441137`*^9, 
   3.655403394914819*^9}},ExpressionUUID->"2951f8be-ec7a-41d0-8318-\
d72ad181edba"],

Cell[TextData[ButtonBox["Click here to get the 2014 palette: QDENSpalette.nb",
 BaseStyle->"Hyperlink",
 ButtonData:>{"QDENSpalette14.nb", None}]], "Text",ExpressionUUID->"042087db-\
8d1b-4462-9c61-e220d0b576c2"],

Cell[CellGroupData[{

Cell["\<\
Quantum Fourier Transform                                                     \
                        To open double click at down \
arrow---------------------------->>\
\>", "Section",
 CellChangeTimes->{{3.512204977901103*^9, 3.512205004434519*^9}},
 FontFamily->"Times",
 CellTags->"c:2",ExpressionUUID->"738b71d1-591e-4827-a5fe-503e3a457fde"],

Cell[CellGroupData[{

Cell["a) Quantum Fourier Transform using vectors", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:3", "b:2.0.0"},ExpressionUUID->"95508fe9-f230-4796-a181-5edeced0386b"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[GridBox[{
     {
      RowBox[{"References", ":"}], 
      RowBox[{
       RowBox[{
        RowBox[{"[", "1", "]"}], " ", "Quantum", " ", "Computation", " ", 
        "and", " ", "Quantum", " ", "Information"}], ",", " ", 
       RowBox[{"Nielsen", " ", "and", " ", "Chuang"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
      "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}], TraditionalForm]], 
  "DefinitionBox",
  GridBoxOptions->{
  GridBoxDividers->{
   "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
    "RowsIndexed" -> {}},
  GridBoxSpacings->{"Columns" -> {
      Offset[0.27999999999999997`], {
       Offset[0.5599999999999999]}, 
      Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
      Offset[0.2], {
       Offset[0.16]}, 
      Offset[0.2]}, "RowsIndexed" -> {}}},
  CellTags->"S5.1.1",ExpressionUUID->"b0cf1607-a493-42b5-9a3f-0cc9722b465f"],
 "\nLast Version: 25-Nov-2005"
}], "Abstract",
 CellTags->"b:2.0.0",ExpressionUUID->"573de845-753d-41e8-973a-7882f75d4ea9"],

Cell["\<\
The Quantum Fourier Transform is equivalent to the Discrete Fourier Transform 
We present here two ways of writing down algorithms that perform the QFT; the \
first one deals with state vectors, while the second one uses the density \
matrix approach. \
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"50cef94e-b8fd-43b0-a86f-63e90e421680"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "shdw"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", "]"}]}], "Input",
 CellChangeTimes->{{3.860155981696925*^9, 3.860155983764183*^9}},
 FontFamily->"Courier New",
 CellTags->"b:2.0.0",ExpressionUUID->"7b304adc-b5e6-4a69-9ccd-ba3c03e87a72"],

Cell[BoxData["\<\"Type \\\"?intro\\\", \\\"?QDENSITY`Qdensity`*\\\" or \
\\\"?about for help.\"\>"], "Print",
 CellChangeTimes->{3.8572087634954777`*^9, 3.8593714984004173`*^9, 
  3.860155991212343*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"78669cac-2940-4085-8e14-fe8c6b34e7f5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "QDENSITY`Qdensity`*"}]], "Input",
 FontFamily->"Courier New",
 CellTags->"b:2.0.0",ExpressionUUID->"ce86752a-9361-4dc9-b677-76a24dae53f0"],

Cell[BoxData[
 TagBox[
  StyleBox[
   FrameBox[GridBox[{
      {
       DynamicModuleBox[{Typeset`open$$ = True}, 
        PaneSelectorBox[{False->
         ButtonBox[
          RowBox[{
           
           DynamicBox[FEPrivate`FrontEndResource[
            "FEBitmaps", "RightPointerOpener"]], " ", 
           StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
          Appearance->None,
          BaseStyle->"InformationGridLink",
          ButtonFunction:>FEPrivate`Set[Typeset`open$$, True],
          Evaluator->Automatic,
          Method->"Preemptive"], True->
         PaneBox[GridBox[{
            {
             ButtonBox[
              RowBox[{
               
               DynamicBox[FEPrivate`FrontEndResource[
                "FEBitmaps", "DownPointerOpener"],
                ImageSizeCache->{10., {3., 7.}}], " ", 
               StyleBox["QDENSITY`Qdensity`", "InformationGridGroupHeader"]}],
              Appearance->None,
              BaseStyle->"InformationGridLink",
              ButtonFunction:>FEPrivate`Set[Typeset`open$$, False],
              Evaluator->Automatic,
              Method->"Preemptive"]},
            {
             PaneBox[GridBox[{
                {
                 ButtonBox[
                  StyleBox["about", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "about", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Discord", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Discord", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "MeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "RandomBra2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma0", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Sigma0", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ws", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "ws", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Adj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Adj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "EnTropy", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiProjCBasis", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "MultiProjCBasis", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBraN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "RandomBraN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Sigma1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["AF", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "AF", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["EnTropy2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "EnTropy2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["MultiQProj", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "MultiQProj", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "RandomKet1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Sigma2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Xb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Bra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Bra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Fidelity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Fidelity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Mutual", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Mutual", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKet2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "RandomKet2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Sigma3", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Sigma3", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "BraV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["FidelityB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "FidelityB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nb", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "nb", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomKetN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "RandomKetN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Snos", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Snos", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Xd", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Xd", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "BraX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["neg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "neg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "RandomQubit1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SP", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "SP", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroMatrix", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "ZeroMatrix", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["BraY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "BraY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Had", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Had", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nneg", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "nneg", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubit2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "RandomQubit2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["SpinObs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "SpinObs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ZeroT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "ZeroT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CNOT", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "CNOT", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Hadamard", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Hadamard", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["nq", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "nq", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomQubitN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "RandomQubitN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stA", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "stA", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalH]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "\[ScriptCapitalH]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Coeff", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Coeff", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["HALL", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "HALL", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["OneOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "OneOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsDate", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "rcsDate", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["stB", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "stB", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "\[ScriptCapitalP]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Comm", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Comm", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["i8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "i8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Oracle", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Oracle", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["rcsRevision", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "rcsRevision", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Swap", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Swap", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]X", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "\[ScriptCapitalP]X", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompMeasureKet", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "CompMeasureKet", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["intro", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "intro", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTrace", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "PartialTrace", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "res1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "s$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[ScriptCapitalP]Y", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "\[ScriptCapitalP]Y", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CompPTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "CompPTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["j8", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "j8", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTraceGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "PartialTraceGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res1$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "res1$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ThreeOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "ThreeOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[DoubleStruckCapitalI]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "\[DoubleStruckCapitalI]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "ControlledX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Ket1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Ket1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PartialTranspose", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "PartialTranspose", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "res2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Toffoli", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Toffoli", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "\[Rho]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "ControlledY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "KetV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ProjG", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "ProjG", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["res2$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "res2$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "ts", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Rho]$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "\[Rho]$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["ControlledZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "ControlledZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "KetX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTr", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "PTr", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Rotqbit", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Rotqbit", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["ts$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "ts$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Sigma]", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "\[Sigma]", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASE", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "CPHASE", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["KetY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "KetY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PTrGen", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "PTrGen", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "RotX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["TwoOp", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "TwoOp", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "\[Phi]A1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["CPHASEV", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "CPHASEV", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "mc", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Purity", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Purity", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "RotY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["U", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "U", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]A2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "\[Phi]A2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["cRQN", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "cRQN", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "mcl", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PX", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "PX", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RotZ", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "RotZ", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "v", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "\[Phi]B1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["Definef", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Definef", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mcl$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "mcl$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["PY", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "PY", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Vs", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Vs", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[Phi]B2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "\[Phi]B2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]},
                {
                 ButtonBox[
                  StyleBox["DForm2", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "DForm2", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["mc$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "mc$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["RandomBra1", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "RandomBra1", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["Schmidt", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "Schmidt", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["v$", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "v$", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic], 
                 ButtonBox[
                  StyleBox["\[CapitalOmega]s", "InformationGridButton"],
                  Appearance->None,
                  BaseStyle->"InformationGridLink",
                  
                  ButtonData:>{
                   "Info-d8b568fc-6e23-42c8-9b1b-61c1b9c6d8a7", {
                    "\[CapitalOmega]s", "QDENSITY`Qdensity`"}, False},
                  ButtonNote->"QDENSITY`Qdensity`",
                  Evaluator->Automatic]}
               },
               DefaultBaseStyle->"Text",
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxItemSize->{"Columns" -> {{
                    Scaled[0.15833333333333333`]}}}],
              ImageMargins->{{10, 0}, {0, 2}}]}
           },
           GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}}],
          FrameMargins->{{0, 0}, {8, 0}}]}, Dynamic[Typeset`open$$],
         ImageSize->Automatic]]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
     GridBoxDividers->{"ColumnsIndexed" -> {{False}}, "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.8]}, 
         Offset[0.2]}}],
    BaseStyle->"InformationTitleFrame"], "InformationGridPlain"],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208764291399*^9, 3.859371499257568*^9, 
  3.8601559920732307`*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"17d0eaf4-8d4b-4828-8c9e-9baa2eb5f73c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"figure", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<QDENSITY/drawings/QFT.png\>\"", ",", "\"\<PNG\>\""}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"Show", "[", 
  RowBox[{"figure", ",", 
   RowBox[{"ImageSize", "\[Rule]", "900"}]}], "]"}]}], "Input",
 CellTags->"b:2.0.0",ExpressionUUID->"12529923-7771-474b-93fa-c0396ef1dd36"],

Cell[BoxData[
 TagBox[
  GraphicsBox[RasterBox[CompressedData["
1:eJztnT1u5DYUx4lUKaMubXQFpXAbQIXTbjDAdsEu4lmn2SDeAEJu4CvoCnMF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    "], {{0, 0}, {564., 95.}}, {0, 255},
    ColorFunction->GrayLevel],
   ImageSize->900,
   PlotRange->{{0, 564.}, {0, 95.}}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208764721623*^9, 3.8593714997682543`*^9, 
  3.860155992538884*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"4ab9d57f-6ab6-4089-8eb8-6a92bfe3e9e9"]
}, Open  ]],

Cell["\<\
The quantum Fourier transform of a vector written in its binary \
representation has a very nice expression (we follow the notation of Ref [1]) \
:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"bcc30376-3c10-47f9-b696-4c8cc078887a"],

Cell[BoxData[
 FormBox[GridBox[{
    {Cell[BoxData[
      FormBox[
       RowBox[{
        RowBox[{"QuantumFourierTransformV", "[", 
         RowBox[{
          SubscriptBox["j", "1"], ",", 
          SubscriptBox["j", "2"], ",", "..", ",", 
          SubscriptBox["j", "n"]}], "]"}], "=", " "}], TraditionalForm]],
      ExpressionUUID->"6f0ca736-7f48-451c-bcb9-8a997f72fec2"], 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"|", "0"}]}], "\[RightAngleBracket]"}], "+", 
                    SuperscriptBox["e", 
                    RowBox[{"\[ImaginaryI]2\[Pi]0", ".", 
                    SubscriptBox["j", "n"]}]]}], "|", "1"}], 
                   "\[RightAngleBracket]"}], " ", ")"}], "\[CircleTimes]", 
                 RowBox[{
                  RowBox[{"(", " ", 
                   RowBox[{"|", "0"}]}], "\[RightAngleBracket]"}]}], "+", 
                SuperscriptBox["e", 
                 RowBox[{
                  RowBox[{"\[ImaginaryI]2\[Pi]0", ".", 
                   SubscriptBox["j", 
                    RowBox[{"n", "-", "1"}]]}], 
                  SubscriptBox["j", "n"]}]]}], "|", "1"}], 
              "\[RightAngleBracket]"}], " ", ")"}], "..."}], "\[CircleTimes]", 
           RowBox[{
            RowBox[{"(", " ", 
             RowBox[{"|", "0"}]}], "\[RightAngleBracket]"}]}], "+", 
          SuperscriptBox["e", 
           RowBox[{
            RowBox[{
             RowBox[{"\[ImaginaryI]2\[Pi]0", ".", 
              SubscriptBox["j", "1"]}], ".."}], 
            SubscriptBox["j", "n"]}]]}], "|", "1"}], "\[RightAngleBracket]"}],
        ")"}], "\n", "\n", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"0.", 
          SubscriptBox["j", "m"]}], ".."}], 
        SubscriptBox["j", "L"]}], ":=", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           SubscriptBox["j", "m"], "/", "2"}], "+", 
          RowBox[{
           SubscriptBox["j", 
            RowBox[{"m", "+", "1"}]], "/", 
           SuperscriptBox["2", "2"]}], " ", "+"}], " ", "..."}], "+", 
        RowBox[{
         SubscriptBox["j", "L"], "/", 
         SuperscriptBox["2", 
          RowBox[{"L", "-", "m", "+", "1"}]]}]}]}]}]}
   },
   GridBoxAlignment->{
    "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
     "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}], 
  TraditionalForm]], "DefinitionBox",
 GridBoxOptions->{GridBoxSpacings->{"Columns" -> {
     Offset[0.27999999999999997`], {
      Offset[0.5599999999999999]}, 
     Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
     Offset[0.2], {
      Offset[0.16]}, 
     Offset[0.2]}, "RowsIndexed" -> {}}},
 CellTags->{
  "S5.1.1", "b:2.0.0"},ExpressionUUID->"0f91dea1-c1f0-46b6-8338-422f990a7f79"],

Cell[TextData[{
 "\nThe binary representation of the base vectors is:",
 Cell[BoxData[
  FormBox[
   RowBox[{
    FormBox[
     RowBox[{"|", 
      SubscriptBox["j", "1"]}],
     TraditionalForm], ",", 
    SubscriptBox["j", "2"]}], TraditionalForm]],ExpressionUUID->
  "870c2518-d47e-4211-a19c-081044f94bb3"],
 ", ..., ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["j", "N"], TraditionalForm]],ExpressionUUID->
  "f0051452-286c-44f7-bf15-0070b7c6fb23"],
 "\[RightAngleBracket].  A general vector maybe decomposed as:"
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"0aaa89d4-afa1-4a0d-9f86-5a2b6b721eca"],

Cell[TextData[{
 " |\[Psi]\[RightAngleBracket] = ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Sum]", " "}], TraditionalForm]],ExpressionUUID->
  "bbce3292-5017-47f6-9ebb-29e3a9af177b"],
 "[ ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["a", "k"], TraditionalForm]],ExpressionUUID->
  "6587093c-70bf-4d9c-8453-0a3c04f17676"],
 "  * KetV[ IntegerDigits[k,2,N]] , {k,1,2^N}]\nThe function \
IntegerDigits[k,2,N] returns the number k in base 2 with N figures, which is \
the binary representation of the vector k."
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"51a4898a-69f2-49c3-95b3-dbb22468bdcf"],

Cell[TextData[{
 "Let's ",
 StyleBox["start ",
  FontWeight->"Bold"],
 "by defining the operation ",
 Cell[BoxData[
  FormBox[
   RowBox[{"0.", 
    SubscriptBox["j", "m"]}], TraditionalForm]],ExpressionUUID->
  "b8693155-408a-4667-8639-32bcf0bf1af5"],
 " ... ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["j", "L"], TraditionalForm]],ExpressionUUID->
  "4675e01a-1b59-42af-a622-66be31d7856e"],
 ", which enters in the exponents of the Fourier Transform, we call it, \
Zeroff:\nThe symbol  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"0.", 
    SubscriptBox["j", "m"]}], TraditionalForm]],ExpressionUUID->
  "ae9cf714-fb5b-4bc3-840f-b0c87f09ef2b"],
 " ... ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["j", "L"], TraditionalForm]],ExpressionUUID->
  "7975083f-bfaa-435c-ae79-20a326560c51"],
 " denotes the series:     ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["j", "m"], TraditionalForm]],ExpressionUUID->
  "7b56c0dd-c835-4c3d-bde2-c307b6b9f506"],
 " /  2  + ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["j", 
    RowBox[{"m", "+", "1"}]], TraditionalForm]],ExpressionUUID->
  "c82ecdea-566f-4555-ac49-0c5ee57828c8"],
 "/ 4 +  ......+ ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["j", "L"], TraditionalForm]],ExpressionUUID->
  "9dcc5dc0-0335-4b39-af35-70c57cb2de06"],
 " / ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["2", 
    RowBox[{"L", "-", "m", "+", "1"}]], TraditionalForm]],ExpressionUUID->
  "64cbf4af-fe0f-42d8-bafb-dd91258da8a5"],
 "= Zeroff.\nThe notation used is that vac is the vector in binary notation \
that we are going to Fourier Transform and the array R  stores the indices m \
to j ."
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"01f8f9c8-970a-4931-851d-f8cfaa8e1d50"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Zeroff", "[", 
   RowBox[{"vac_", ",", "R_"}], "]"}], ":=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"vac", "[", 
      RowBox[{"[", 
       RowBox[{"R", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "]"}], "]"}], "/", 
     RowBox[{"2", "^", "i"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", 
      RowBox[{"Length", "[", "R", "]"}]}], "}"}]}], "]"}]}]], "Input",
 CellTags->"b:2.0.0",ExpressionUUID->"9ec8b30b-2983-4fbe-aefa-26180c358d4a"],

Cell["\<\
Then the Quantum Fourier Transform can be readily written  using tensor \
products of Kets:  (and its inverse);  this corresponds to Eq. 5.4 in Ref.[1].\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"7762fd24-3058-4a1a-8766-53f4845830c2"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"QuantumFourierTransformV", "[", "vac_", "]"}], ":=", 
    "\[IndentingNewLine]", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[CapitalOmega]", ",", "L"}], "}"}], ",", 
      RowBox[{
       RowBox[{"L", "=", 
        RowBox[{"Length", "[", "vac", "]"}]}], ";", 
       RowBox[{"\[CapitalOmega]", "=", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Ket", "[", "0", "]"}], "+", 
          RowBox[{
           RowBox[{"Exp", "[", 
            RowBox[{"2", "*", "\[Pi]", "*", " ", "\[ImaginaryI]", "*", 
             RowBox[{"Zeroff", "[", 
              RowBox[{"vac", ",", 
               RowBox[{"Range", "[", 
                RowBox[{"L", ",", "L"}], "]"}]}], "]"}]}], "]"}], "*", 
           RowBox[{"Ket", "[", "1", "]"}]}]}], ")"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "2"}], ",", 
         RowBox[{"i", "\[LessEqual]", "L"}], ",", 
         RowBox[{"i", "++"}], ",", 
         RowBox[{
          RowBox[{"phass", "=", 
           RowBox[{"2", "*", "\[Pi]", "*", " ", "\[ImaginaryI]", "*", 
            RowBox[{"Zeroff", "[", 
             RowBox[{"vac", ",", 
              RowBox[{"Range", "[", 
               RowBox[{
                RowBox[{"L", "-", "i", "+", "1"}], ",", "L"}], "]"}]}], 
             "]"}]}]}], ";", 
          RowBox[{"\[CapitalOmega]", "=", 
           RowBox[{"AF", "[", 
            RowBox[{"\[CapitalOmega]", "\[CircleTimes]", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Ket", "[", "0", "]"}], "+", 
               RowBox[{
                RowBox[{"Exp", "[", "phass", "]"}], "*", 
                RowBox[{"Ket", "[", "1", "]"}]}]}], ")"}]}], "]"}]}]}]}], 
        "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[CapitalOmega]", "=", 
        RowBox[{"\[CapitalOmega]", "/", 
         RowBox[{"2", "^", 
          RowBox[{"(", 
           RowBox[{"L", "/", "2"}], ")"}]}]}]}], ";", "\[CapitalOmega]"}]}], 
     "]"}]}], ";"}], "  "}]], "Input",
 CellChangeTimes->{{3.61417552792661*^9, 3.6141755367555523`*^9}, 
   3.857208746313188*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"70af6af3-6bc4-4c04-8b55-a67bc2a92edd"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"IQuantumFourierTransformV", "[", "vac_", "]"}], ":=", 
    "\[IndentingNewLine]", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[CapitalOmega]", ",", "L"}], "}"}], ",", 
      RowBox[{
       RowBox[{"L", "=", 
        RowBox[{"Length", "[", "vac", "]"}]}], ";", 
       RowBox[{"\[CapitalOmega]", "=", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Ket", "[", "0", "]"}], "+", 
          RowBox[{
           RowBox[{"Exp", "[", 
            RowBox[{
             RowBox[{"-", "2"}], "*", "\[Pi]", "*", " ", "\[ImaginaryI]", "*", 
             RowBox[{"Zeroff", "[", 
              RowBox[{"vac", ",", 
               RowBox[{"Range", "[", 
                RowBox[{"L", ",", "L"}], "]"}]}], "]"}]}], "]"}], "*", 
           RowBox[{"Ket", "[", "1", "]"}]}]}], ")"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "2"}], ",", 
         RowBox[{"i", "\[LessEqual]", "L"}], ",", 
         RowBox[{"i", "++"}], ",", 
         RowBox[{
          RowBox[{"phass", "=", 
           RowBox[{
            RowBox[{"-", "2"}], "*", "\[Pi]", "*", " ", "\[ImaginaryI]", "*", 
            RowBox[{"Zeroff", "[", 
             RowBox[{"vac", ",", 
              RowBox[{"Range", "[", 
               RowBox[{
                RowBox[{"L", "-", "i", "+", "1"}], ",", "L"}], "]"}]}], 
             "]"}]}]}], ";", 
          RowBox[{"\[CapitalOmega]", "=", 
           RowBox[{"AF", "[", 
            RowBox[{"\[CapitalOmega]", "\[CircleTimes]", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Ket", "[", "0", "]"}], "+", 
               RowBox[{
                RowBox[{"Exp", "[", "phass", "]"}], "*", 
                RowBox[{"Ket", "[", "1", "]"}]}]}], ")"}]}], "]"}]}]}]}], 
        "]"}], ";", 
       RowBox[{"\[CapitalOmega]", "/", 
        RowBox[{"2", "^", 
         RowBox[{"(", 
          RowBox[{"L", "/", "2"}], ")"}]}]}]}]}], "]"}]}], ";"}], 
  "  "}]], "Input",
 CellChangeTimes->{{3.614175459439846*^9, 3.6141754763796263`*^9}, 
   3.8572087463146973`*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"015b05b4-1645-485d-8fd2-4dac2b137fae"],

Cell[TextData[{
 "For example, let us compute the QFT of state vector  | 0,1,1 \
\[RightAngleBracket]  ( In the full computational base, this vector would \
correspond to  the matrix (00010000) that is since binary 011 is decimal 3,\n\
the matrix representing the state has a 1 in location four.\n NOTE that \
|0,0,1\[RightAngleBracket]+|1,0,0\[RightAngleBracket] \[NotEqual] |1,0,1\
\[RightAngleBracket] !!  ) \n Now consider the QFT of the state state vector  \
| 0,1,1 \[RightAngleBracket]  which is of length ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["2", "3"], TraditionalForm]],ExpressionUUID->
  "ef9c16bc-7951-46b3-8b40-17d70a14dd03"]
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"365f49d6-117f-44ea-8c4d-b1d41de21054"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QFT011", "=", 
  RowBox[{"QuantumFourierTransformV", "[", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "1"}], "}"}], "]"}]}]], "Input",
 CellTags->"b:2.0.0",ExpressionUUID->"d8378082-0e26-4184-858a-0b3d5fa60679"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", 
       RowBox[{"2", " ", 
        SqrtBox["2"]}]]},
     {
      FractionBox[
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"3", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "4"]], 
       RowBox[{"2", " ", 
        SqrtBox["2"]}]]},
     {
      RowBox[{"-", 
       FractionBox["\[ImaginaryI]", 
        RowBox[{"2", " ", 
         SqrtBox["2"]}]]}]},
     {
      RowBox[{"-", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", 
         SuperscriptBox["\[ExponentialE]", 
          FractionBox[
           RowBox[{"3", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "4"]]}], 
        RowBox[{"2", " ", 
         SqrtBox["2"]}]]}]},
     {
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         SqrtBox["2"]}]]}]},
     {
      RowBox[{"-", 
       FractionBox[
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"3", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "4"]], 
        RowBox[{"2", " ", 
         SqrtBox["2"]}]]}]},
     {
      FractionBox["\[ImaginaryI]", 
       RowBox[{"2", " ", 
        SqrtBox["2"]}]]},
     {
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", 
        SuperscriptBox["\[ExponentialE]", 
         FractionBox[
          RowBox[{"3", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "4"]]}], 
       RowBox[{"2", " ", 
        SqrtBox["2"]}]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208764756053*^9, 3.859371499803896*^9, 
  3.8601559925785913`*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"c80ddecf-f2b1-4069-8e68-051f747c5e72"]
}, Open  ]],

Cell[TextData[{
 "As can be seen the output is a list of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["2", "N"], TraditionalForm]],ExpressionUUID->
  "5512b83e-f122-42da-9d46-f5c43d577a51"],
 " numbers, where N is the dimension of our vector in the binary \
representation."
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"2e82b5ef-cfd1-4493-86c7-5c4df57ad2d9"],

Cell["We can check whether it is normalized:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"eddc5c2d-0ca9-4b35-9dab-4539c95208ad"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Norm", "[", "QFT011", "]"}]], "Input",
 CellTags->"b:2.0.0",ExpressionUUID->"9bd4b50e-d48f-4f66-9a78-e67970a024a9"],

Cell[BoxData[
 TagBox["1",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208764777671*^9, 3.8593714998162937`*^9, 
  3.860155992592557*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"4665cf61-db4f-45c4-91d8-7bf5a3c47e89"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A ",
 StyleBox["more general random vector (with N=4)",
  FontWeight->"Bold"],
 " could be:"
}], "Subsubsection",
 FontFamily->"Helvetica",
 CellTags->{
  "c:4", "b:2.0.0"},ExpressionUUID->"d227d78e-80ce-4797-8f23-0896941d8ffd"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"RanVector", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"RandomReal", "[", 
      RowBox[{"{", 
       RowBox[{"0", ",", "2"}], "}"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       SuperscriptBox["2", "4"]}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{"RanVector", "=", 
  FractionBox["RanVector", 
   RowBox[{"Norm", "[", "RanVector", "]"}]]}], "\n", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"RanVector", ",", 
   RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellTags->"b:2.0.0",ExpressionUUID->"b32b75d2-5721-4cce-9dd3-f43c477c5e2a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0.35526996616576656`"},
      {"0.29446121860400654`"},
      {"0.2606333889568936`"},
      {"0.35362801798374116`"},
      {"0.001295878721056551`"},
      {"0.14527068357625716`"},
      {"0.10115950739716587`"},
      {"0.31396991443393`"},
      {"0.13973481093389323`"},
      {"0.0020121526286610673`"},
      {"0.3826000604071423`"},
      {"0.22758611856198632`"},
      {"0.23989979109610549`"},
      {"0.3150728870374743`"},
      {"0.13316610842597648`"},
      {"0.2681669989832836`"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208764787356*^9, 3.859371499837207*^9, 
  3.860155992612001*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"5ae7b605-ed66-40c1-9a48-357ab1108a97"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{}, {{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.012833333333333334`], AbsoluteThickness[1.6], 
      LineBox[{{1., 0.35526996616576656`}, {2., 0.29446121860400654`}, {3., 
       0.2606333889568936}, {4., 0.35362801798374116`}, {5., 
       0.001295878721056551}, {6., 0.14527068357625716`}, {7., 
       0.10115950739716587`}, {8., 0.31396991443393}, {9., 
       0.13973481093389323`}, {10., 0.0020121526286610673`}, {11., 
       0.3826000604071423}, {12., 0.22758611856198632`}, {13., 
       0.23989979109610549`}, {14., 0.3150728870374743}, {15., 
       0.13316610842597648`}, {16., 0.2681669989832836}}]}}, {{}, {}}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{None, None},
   AxesOrigin->{0., 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& )}},
   PlotRange->{{0., 16}, {0, 0.3826000604071423}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.02], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208764787356*^9, 3.859371499837207*^9, 
  3.860155992752954*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"ca8c1e2f-07d3-4583-86a5-c921f4ca4e09"]
}, Open  ]],

Cell["\<\
we apply the quantum fourier transform: (NOTE we compute the QFT of the base \
vectors)\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"7c30dba1-dd60-4171-a787-cec3869f14b6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QFTVec", "=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"RanVector", "[", 
      RowBox[{"[", 
       RowBox[{"i", "+", "1"}], "]"}], "]"}], 
     RowBox[{"QuantumFourierTransformV", "[", 
      RowBox[{"IntegerDigits", "[", 
       RowBox[{"i", ",", "2", ",", "4"}], "]"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", 
      RowBox[{
       RowBox[{"2", "^", "4"}], "-", "1"}]}], "}"}]}], "]"}]}]], "Input",
 CellTags->"b:2.0.0",ExpressionUUID->"0120a46b-2ed1-4cc1-9b8f-ca0bd36c2922"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.883481875978335`"},
     {
      RowBox[{"0.12325243659488727`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0646163193621537`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.03464696996227648`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.07309540063520042`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.02505240376439472`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.1147446982764113`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.0353396545675891`"}], "-", 
       RowBox[{"0.1016335270291355`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.11452086176705106`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.049880514634600276`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.09225758367897241`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.13135851613524635`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.04729054689445972`"}], "+", 
       RowBox[{"0.10912340937108417`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"-", "0.07660211992633503`"}]},
     {
      RowBox[{
       RowBox[{"-", "0.04729054689445969`"}], "-", 
       RowBox[{"0.1091234093710842`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.09225758367897238`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.13135851613524635`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.11452086176705106`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.04988051463460025`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.0353396545675891`"}], "+", 
       RowBox[{"0.1016335270291355`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.025052403764394694`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.11474469827641129`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.034646969962276425`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.07309540063520045`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.12325243659488726`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0646163193621537`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208764973091*^9, 3.859371500008951*^9, 
  3.860155992778303*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"9e045fd2-bf24-40d5-bfde-9848d5f06555"]
}, Open  ]],

Cell["\<\
An we can then use the inverse and compare with the original vector:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"9ba4fe1c-e3bf-421e-8550-aa493665a32a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"IQFTVec", "=", 
  RowBox[{"Chop", "[", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"QFTVec", "[", 
        RowBox[{"[", 
         RowBox[{"i", "+", "1"}], "]"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}], "*", 
      RowBox[{"IQuantumFourierTransformV", "[", 
       RowBox[{"IntegerDigits", "[", 
        RowBox[{"i", ",", "2", ",", "4"}], "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", 
       RowBox[{
        RowBox[{"2", "^", "4"}], "-", "1"}]}], "}"}]}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"IQFTVec", "=", 
   RowBox[{"Flatten", "[", "IQFTVec", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"RanVector", "-", "IQFTVec"}], "]"}]}], "Input",
 CellTags->"b:2.0.0",ExpressionUUID->"3b110ecc-1573-49a3-9887-861e93f62571"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0.3552699661657665`"},
     {"0.29446121860400654`"},
     {"0.2606333889568936`"},
     {"0.3536280179837412`"},
     {"0.001295878721056562`"},
     {"0.14527068357625716`"},
     {"0.10115950739716584`"},
     {"0.31396991443392996`"},
     {"0.13973481093389323`"},
     {"0.002012152628661043`"},
     {"0.3826000604071423`"},
     {"0.2275861185619863`"},
     {"0.2398997910961055`"},
     {"0.31507288703747427`"},
     {"0.13316610842597645`"},
     {"0.26816699898328367`"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208764990509*^9, 3.859371500027466*^9, 
  3.860155992797819*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"7bf5ffc3-5eda-4986-b14a-7ad6adc62e04"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"},
      {"0"}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208764990509*^9, 3.859371500027466*^9, 
  3.860155992801141*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"54bf7d40-ba67-4270-8c56-208ff0529e0f"]
}, Open  ]],

Cell["\<\
The  inverse of the QFT and  the original vector prove to be the same, which \
is a check on the procedures.\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"adeeaded-ec8c-4c16-98de-249190d12042"]
}, Open  ]],

Cell[CellGroupData[{

Cell["QFT of the Sin[x]/x function", "Subsubsection",
 FontFamily->"Helvetica",
 CellTags->{
  "c:5", "b:2.0.0"},ExpressionUUID->"1e9224e8-5cf7-4034-bc40-1b30a1e26fd9"],

Cell["\<\
In this example, we construct our vector out of a known function, Sin[x/a]/x. \
We make use of 6 qubits. \
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"8822862a-31d1-40c5-8644-3151f7e44781"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SinVector", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     FractionBox[
      RowBox[{"Sin", "[", 
       FractionBox[
        RowBox[{"i", " ", "4", " ", "\[Pi]"}], 
        SuperscriptBox["2", "6"]], "]"}], "i"], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       SuperscriptBox["2", "6"]}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"SinVector", "=", 
   FractionBox["SinVector", 
    RowBox[{"Norm", "[", "SinVector", "]"}]]}], ";"}], "\n", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"SinVector", ",", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Number", ",", "\"\<Sin[Number]\>\""}], "}"}]}]}], 
  "]"}]}], "Input",
 CellTags->"b:2.0.0",ExpressionUUID->"f2e98454-3dd0-48fc-8c15-9e55faaeee49"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{}, {{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.011000000000000001`], AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJxd0n0s1HEcwPFftanEEnIejkO4kkiOcHfuwznn3KG72mhrdmP0NGVK9HD8
ijw02bXdOTkPl6e7LhmyGhVSWDQqp9qU9TBMD5TKH2aVdh9t+m6//fb6vb/7
fvf97ueSeFySvJogCFh6/r6N4ytnsaL20kzRSw5+gLCpJi93m2Wvg5S4NSLX
+BdoCzBTx9K4+0bR1tAtHKjPsjCgbWHswFk7J8VzNBUcs3P0vVNP0c4w4U1Y
LWwbQrvCBbvA9RTRANoNgln94jhhH9oDynYMf89j96C3wt0h65z9affQnpBe
rdHRNG1oL2j/0K85kahHe4N56BHqdYer6J1ArBi+UJNhaZdJL+0yehcEZ6ml
py7Wof3gzpOx5mNBjWgG1G5uaPW3aEH7ww/mROVbh1voAEjqgS+y8Db0brCl
TatUimUHwsxjvdmiw7KDIMEybcR+thUdDOODAdu5HsvrM8F0eC6qtP0mmgW9
o5tui6Q6NBv6VRuOTslq0CHQOO+spWvK0BzgF7GtxKJCNKw8PwlwWCL4tHck
H+8nFFYxmHGyDqXRZCi0tEdLHtRVYQ8DGSPpt/xnDfYln5x1+dZcj50LbLkr
syNTi50L4hSzBlaEDns45LkTrxUuaDIcpD7nsuwpOJ/gQTGP5ihn4nokD6QS
/TuqHvcjIqAyhGfjZ1KNPQJsmU0fT4+qsPOBkmDad3CjHDsfnPKVlIcmJPbI
/84fCYX+qYbyzmy8HwEcKqEnLhZfNpoUgBvDcli7Vok9CgydzRUSKMceBbmp
99d5CqqwC0H8iLGgy9VgFwL9ffKZjIBr2EWQwBFMlrDQpAh4Xee1r9Q4n4iG
+BuTz3y7cT0yGhS/6HNtDDX2GPBJf1PG78b/lYyBzwXkgI3yCvZY2FIxXzho
KMAeC77m1HHFdCb2Pf/O/wdS3hSV
       "]]}}, {{}, {}}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["Number", TraditionalForm], 
     FormBox["\"Sin[Number]\"", TraditionalForm]},
   AxesOrigin->{0., 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& )}},
   PlotRange->{{0., 64}, {-0.08039233645206101, 0.3677936891458129}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.05], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208765033499*^9, 3.8593715039013443`*^9, 
  3.860155992847595*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"9fb00482-ce31-42fe-bbb5-b31422ef56aa"]
}, Open  ]],

Cell["\<\
we apply the quantum Fourier transform: (NOTE we compute the QFT of the base \
vectors)\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"049b45fe-4c05-4474-87c6-642721345861"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"QFTSin", "=", 
   RowBox[{"N", "[", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"i", "=", "0"}], 
      RowBox[{
       SuperscriptBox["2", "6"], "-", "1"}]], 
     RowBox[{
      RowBox[{"SinVector", "\[LeftDoubleBracket]", 
       RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
      RowBox[{"QuantumFourierTransformV", "[", 
       RowBox[{"IntegerDigits", "[", 
        RowBox[{"i", ",", "2", ",", "6"}], "]"}], "]"}]}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"Chop", "[", "QFTSin", "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"QFTSinplotRe", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"Re", "[", 
     RowBox[{"N", "[", "QFTSin", "]"}], "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"QFTSinplotIM", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"Im", "[", "QFTSin", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Flatten", "[", "QFTSinplotRe", "]"}], ",", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Number", ",", "\"\<Real part of QFT\>\""}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "0.05`"}], ",", "0.1`"}], "}"}]}]}], "]"}], "\n", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Flatten", "[", "QFTSinplotIM", "]"}], ",", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Number", ",", "\"\<Imaginary part QFT\>\""}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}]}]}], "]"}]}], "Input",
 CellTags->"b:2.0.0",ExpressionUUID->"cb4369f2-0cbf-4440-bc9e-31c124c80f71"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{}, {{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.011000000000000001`], AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJxTTMoPSmViYGCwBWIQLereyPXvGK/DrJkgsNOeAQwEHBTPpbTP8V8O5Ys4
iJ3zbJz4bgGUL+GQ0d67x7RxLpQv4+Czwsg/J2c2lK/gYPXER6DBYRaUr+RQ
5FLz8VDrTChfxWGK4hRPE04YX83hAg9P99WNM6B8DYd/qQ9NVYtgfC2HgIUd
vF5OML6Ow42ufX0FsjC+nsOGOo+jtQwwvoFD3KqIy3Evp0P5hg4CdzzYl12D
8Y0cfGVsDgYch/GNHS4I/Pi4eBeMb+LwNdlklegGGN/UwX++a4PdchjfzIGT
6+yF8/NhfHMHGdGV4r0zYXwLh8LDR/zcp8D4lg4t662W3+yH8a0cpLf/1FPv
gfGtHVyjFKUlO2F8G4dgRZ/2uW0wvq3DyTPVnctaYHw7h0Mlk1o0m2F8e4cH
C9VXyTXB+A4OYsI+CxsaofwGB4ffW0y8fWB8BkcHARR5R4dHKPqdHA4jm9/g
5HAKxX5nVPc1ODs4oLjfxUEO2X8NLg51KP53dchHDp8GVwcFlPBzc2BDDt8G
N7Twd3f4iRw/De4O51Diz8PBGTl+GzzQ4t/TIQI5fTR4OqxAST9eDreQ01eD
l4MfSvrzRk2fDd4Ot1DSr49DH3L6bvBxyEBJ/74OFsj5o8HXwQYl//ih5q8G
P7T85w/kQ/Jn/+tw+QnK/vD8CwDN0gwO
       "]]}}, {{}, {}}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["Number", TraditionalForm], 
     FormBox["\"Real part of QFT\"", TraditionalForm]},
   AxesOrigin->{0., 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& )}},
   PlotRange->{{0., 64}, {-0.05, 0.1}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572087659578857`*^9, 3.859371504307407*^9, 
  3.860155996288437*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"09a60170-5fcd-40fd-9d5a-449bfd8e67c7"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{}, {{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.011000000000000001`], AbsoluteThickness[1.6], 
      LineBox[{{1., 0.}, {2., 0.09447748651390223}, {2.3365206931086835`, 
       0.2}}], LineBox[CompressedData["
1:eJxVk11IU2EYxw/DIBTpg4rAFmtWjIhh2vyobP/Nszk3ddPAedWFZSzMvhwo
IW3gkKAwxT7UBMsVVBMLtLUudFRkH0JQBElReZHZqgvrYkRXpc//XPTC4fDj
xznv+z7P/9nUcKy2UacoSum/Z/F9IBY5MeRbgYH+xfXcqiytlbg6/GMhN+cp
eQ3eODN+3nmcJK/H3JXUcDCQIG+AcTDz7blXY2QDDAW6Lm/0LtmIibzJfQ+6
R8ibcbTo+2p/6iZ5K3717Y+b/twgm1AeC844u6LkbdB1mvr8HdfI25Hb5ajP
igyRzZi63dP8qGWQnIfRdeG69EQ/eQcOf02tmvVdJucjsMxWkt54kVyAhHW8
Jq7vJe/EhZa6+ddqD9mC2WS+Wc05Ty7Es+ymL0fmzpKLEIlmvzd9OkMuRnto
+mFa6SSXACO9421qB3kX3p3+7bdcD5N3IzFVrL4sbCfvQaBZ/yHmaSWXoi3P
oh4PnSTvRdg+farxUhPZCkOWecvamgYykHH/0OdbjlrhMKD8t2zoji/5pHgb
fPK9sGJHvfyf3o6g7E9fBlXOR1+GGTk/vYpvcj96Vbs/vQOtUh96B0JSP3on
nkh96Z34KPWnL8eA9Ie+HOPSP3oXDkp/6V1a/+krMCb5oK/AC8kPvRt6yRe9
W8sfvQcuySe9BwuSX/pKBCTf9JWYlPzTV8Eo80Ffpc0PfbU2X/TV2vzRe7X5
TLrvzS9PZ3q1+U3+BWGzHlI=
       "]], 
      LineBox[{{63.66347930689132, -0.2}, {
       64., -0.09447748651390223}}]}}, {{}, {}}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["Number", TraditionalForm], 
     FormBox["\"Imaginary part QFT\"", TraditionalForm]},
   AxesOrigin->{0., 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& )}},
   PlotRange->{{0., 64}, {-0.2, 0.2}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572087659578857`*^9, 3.859371504307407*^9, 
  3.8601559963225946`*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"6dd9ee81-0bab-4001-9284-857bcd357f00"]
}, Open  ]],

Cell["And we invert it to recover the original function:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"ba56fb62-24de-401b-88e2-5022d04bb3ad"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"IQFTSin", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"i", "=", "0"}], 
      RowBox[{
       SuperscriptBox["2", "6"], "-", "1"}]], 
     RowBox[{
      RowBox[{
       RowBox[{"QFTSin", "\[LeftDoubleBracket]", 
        RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], 
       "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], " ", 
      RowBox[{"IQuantumFourierTransformV", "[", 
       RowBox[{"IntegerDigits", "[", 
        RowBox[{"i", ",", "2", ",", "6"}], "]"}], "]"}]}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"IQFTSin", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"Flatten", "[", 
     RowBox[{"N", "[", "IQFTSin", "]"}], "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Flatten", "[", "IQFTSin", "]"}], ",", 
   RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellTags->"b:2.0.0",ExpressionUUID->"fe8e5aef-b411-4f4f-8ee2-577ede2ee83e"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{}, {{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.011000000000000001`], AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJxd0n8s1HEcx/HvqkmlJXRyrvxYKInkCOfHy2/nzq+rJtutmUZbTZnSKb++
Vvm1Mm13TohLflxXmWQ1Vohi0UioNmr9ZGoolT9k+rF7X5s+23ffPb7Pzz6f
fT77WsUfkyQsYxgGf56/b+344vuz4mrhdMELX/oA/4kGBxuOzvpIjFkutt7/
nGwIg/JIi4C9I2QTdIh6a9MMh8kbMSpNN9ssf0bmgZeVrXk08ZRsiQ+OjPH8
tn6yNXLM3FeZinvJW+Dp1RMdI+om26J0x8C3s96d5K1o7TfJjk2+R7ZHSpVK
baFqJjug9X2P6ni8huwIA7/DvGvml8g7wSwZzlClGpnJ7Eratd4Fz7TyuJPn
asguuPtktPGoxw0yH+oNdU2uhrfIrvgu+Hj5jfltshviOzGVGdhM3g2uxaRS
KdfZHdOPNQYL5jp7QGqUPMSdaSJ7YqzPbXuArW59AVYMzIaVtNwke6FrZP0d
cZya7I1u5ZojE5nVZB80z1nW26lKyb7YV+BtHC3OJ2Pp+VlAJhF+3jOUS/fj
h0UXQUxmq0Jr1g+NLeGSBzWV1P2RwT/4q/hHNXV/pJ+YsfraWEs9AB7F1oJW
WT31AEQkGtR5BaupByLHhhmTW5HZQEidMtK4pjSfCUJ+kMWmYgGtxwZBKtG8
5WloPyYYKp8gjoteFfVgcAQNn06NKKmHgHtgdfehdcXUQ+CUqzDt0mOph/53
/lCwrknDZW1ZdD9CJBbZxS+cv6A1KwSXbzRQv1JBPQyDbY0VEpRRD0Nh0n19
e2EldRGiHvLn1WdU1EWwfJdwOtXtCnUxpL7C8SIvMitGaHtO/ctyms+EI/b6
+KBzB63HhqNs0W62mV9OPQKOKa9KQzrof2UjMJXH9nIUF6lHwqdiLr9vOI96
JELX8l7LJ2XUo/6d/zc8JRXE
       "]]}}, {{}, {}}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{None, None},
   AxesOrigin->{0., 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& )}},
   PlotRange->{{0., 64}, {-0.08039233645206104, 0.36779368914581284`}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.05], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572087663411922`*^9, 3.859371504438395*^9, 
  3.86015599656875*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"0c9c1691-5d37-48bb-a260-92bee9c81f1b"]
}, Open  ]],

Cell["\<\
The Quantum Fourier Transform is in fact the same as the Discrete Fourier \
Transform (DFT):; therefore, 
we can check our results by performing the DFT that is already provided in \
Mathematica.  For instance,  this last 
step of inverting is invoked by the command  InverseFourier[ ].
[NOTE: Although mathematically the same thing, it is essential to emphasize \
that the physical implementation of the QFT making good use of quantum \
interference is what makes it appealing.]\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"7194d77b-100a-4dee-b885-779b34fbed98"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"itras", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"InverseFourier", "[", "QFTSin", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"Flatten", "[", "itras", "]"}], "]"}]}], "Input",
 CellTags->"b:2.0.0",ExpressionUUID->"eb7953b8-a46c-4b53-8a24-e82308a371d1"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.011000000000000001`],
      AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxd0n8s1HEcx/HvapOKEjq/rg6FkhSO6A4vPw7H+XXZ1GYypraaMiUqP779
8qOVXdv5EeIS7rrKLqnFCkksGuVHtX5YPxmtlMYfZpV272vTZ/vuu8f3+dnn
s89nX5vEg9LkRQzDYP75+9aO775zlVfOfit84Usf4D/W4GTH0VkfybGLJbY7
n5ONsKIikhcQM0w2RXtYT12m0RDZHK/ijluslQ+QueDm5KofjT0lW+OTM2My
u7GPbIuTFp5LzSQ95PXwEnZHx4Z1ke1Rtrn/52nvDvIGtPSZ5u5KvUd2RGq1
QsVTNJGdcPdjt+JQoprsDEO/fdyrVhfJW8EsGC6oTTe2yHAoadPaFcLMioQj
Z2rJbrj95LXmgNd1Mh+q1fWN7kY3ye6YFny+9M7qFtkDSR34mh3YRN4GS954
aalcZ09MPlYbzFnp7IU449RBy8lG8naM9HpsCrDXrS+AXv9UaEnzDbIQncOr
7kgSVGRvdJcu3z+WXUP2QeOMtdJBUUb2RWCht0m0pICMhednAVYq/rJjMI/u
xw8MXxCb3VKsNesHTXO49EFtFXV/ZPGTfsuma6jP+/CkzQ9NHfUACGW2gpYM
JfUAxOwxqBcGqagHgrVj3shtyGwgdm/JyrQ0o/mMCAUi3hqZgNZjRYiTqt9z
1bQfE4RaHxHHTa+aehA4goaJo8Ol1INhHr+sa+9KGfVg2OcVmz3UY6mH/Hf+
EBS5pwyVt+bQ/YiRVuSQOHfuvNasGBy+cb9ySTH1UAy0aiqlKKceinMp9/Ud
xVXUwyDt5M+qTimoh2Hdh+Rj6R6XqUsQ7yseLRKSWQlC2k4oX1bQfCYcUddG
n7m003psOGS/HKaa+BXUI+Ca9rYsuJ3+VzYCE/lsD6f4AvVIeFTOFPQO5VOP
RIghd0Q+nkE96t/5/wB/jhTT
      "]]}, {{}, {}}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{None, None},
   AxesOrigin->{0., 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& )}},
   PlotRange->{{0., 64}, {-0.08039233645206104, 0.3677936891458129}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.05], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208766382785*^9, 3.859371504479108*^9, 
  3.860155996615176*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"71ffb916-784e-4e54-92bc-64c2b6de7ca1"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["QFT of a constant function", "Subsubsection",
 FontFamily->"Helvetica",
 CellTags->{
  "c:6", "b:2.0.0"},ExpressionUUID->"2a6da8b3-2058-49d9-a3a7-e330c3baf4f4"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"CteVector", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"1", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       SuperscriptBox["2", "6"]}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"CteVector", "=", 
   FractionBox["CteVector", 
    RowBox[{"Norm", "[", "CteVector", "]"}]]}], ";"}], "\n", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"CteVector", ",", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Number", ",", "\"\<Cte\>\""}], "}"}]}]}], "]"}]}], "Input",
 CellTags->"b:2.0.0",ExpressionUUID->"68305f32-a514-45c9-94c5-005239b48250"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{}, {{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.011000000000000001`], AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJxdyUtKAgAUheGDo4YOHDhoUCEiEVJZpqmplY9eGi0haNwWXFpLaglpiuh3
4XL4+I8/vz++CkkGy1/t+n776/3Z7H/e8QEu4hIu40N8hE9wBVdxDZ/iM1zH
5/gCX+IGvsLXuIlvcAu38S3u4C7u4Tvcx4N9L3CGdJx7Os4DHeeRjjOi44zp
OBM6zpSO80THeabjvNBxXuk4b3ScGR1nTsd53/oPbC5o7Q==
       "]]}}, {{}, {}}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["Number", TraditionalForm], 
     FormBox["\"Cte\"", TraditionalForm]},
   AxesOrigin->{0., 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& )}},
   PlotRange->{{0., 64}, {0, 0.25}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.02], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208766417635*^9, 3.8593715045148478`*^9, 
  3.860155996652711*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"c1d20d52-03f9-40d0-a261-f37181d27e9c"]
}, Open  ]],

Cell["\<\
we apply the quantum Fourier transform: (NOTE we compute the QFT of the base \
vectors)\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"8923f974-03cf-473b-8e4a-5f2768df875e"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"QFTCte", "=", 
   RowBox[{"N", "[", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"i", "=", "0"}], 
      RowBox[{
       SuperscriptBox["2", "6"], "-", "1"}]], 
     RowBox[{
      RowBox[{"CteVector", "\[LeftDoubleBracket]", 
       RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
      RowBox[{"QuantumFourierTransformV", "[", 
       RowBox[{"IntegerDigits", "[", 
        RowBox[{"i", ",", "2", ",", "6"}], "]"}], "]"}]}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"Chop", "[", "QFTCte", "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"QFTCteplotRe", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"Re", "[", 
     RowBox[{"N", "[", "QFTCte", "]"}], "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"QFTCteplotIM", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"Im", "[", "QFTCte", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Flatten", "[", "QFTCteplotRe", "]"}], ",", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Number", ",", "\"\<Real part of QFT\>\""}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "0.05`"}], ",", "0.1`"}], "}"}]}]}], "]"}], "\n", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Flatten", "[", "QFTCteplotIM", "]"}], ",", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Number", ",", "\"\<Imaginary part QFT\>\""}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}]}]}], "]"}]}], "Input",
 CellTags->"b:2.0.0",ExpressionUUID->"20e03787-b0c4-48ea-b596-f3de481b104a"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{}, {{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.011000000000000001`], AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJxdyU1KQgEUhuGPRg0dNHDQoCRCJEJLM7O6N7Psz5KWENTULbSN2ombCzVB
8PngcHh49z+m759bScrFLf/X//6K35/lZkVWK7OxbVzBO7iKd/EeruEDfIjr
uIGP8DFu4hY+wae4jTv4DHfxOe7hC9zHl/gKX+MCl5v+xrmh4wzoOLd0nCEd
546Oc0/HGdFxHug4j3ScJzrOMx3nhY4zpuO80nHe6DiTtec+5DAu
       "]]}}, {{}, {}}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["Number", TraditionalForm], 
     FormBox["\"Real part of QFT\"", TraditionalForm]},
   AxesOrigin->{0., 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& )}},
   PlotRange->{{0., 64}, {-0.05, 0.1}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208766531831*^9, 3.859371504629798*^9, 
  3.860155996772655*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"709df71f-fa70-489c-b5c6-419aaf7297b9"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{}, {{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.011000000000000001`], AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJxdyctKggEUhdGNo4YOHDRokCEREZLXLCt/La95o0cQGvcKPXKPkBEE/9pw
OCy++uHz/aOSpDje7//b9yjlFWWe4Cqu4VN8hs/xBW7gS3yFr/ENbuJb3MJt
3MFd3MN9fIcH+B4/4CF+xE/4GY9wUfYXzpiOM6HjvNBxXuk4UzrOjI4zp+Ms
6DhLOs6KjvNGx1nTcTZ0nC0dZ0fH2f/7B3MMKS0=
       "]]}}, {{}, {}}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["Number", TraditionalForm], 
     FormBox["\"Imaginary part QFT\"", TraditionalForm]},
   AxesOrigin->{0., 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& )}},
   PlotRange->{{0., 64}, {-0.2, 0.2}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208766531831*^9, 3.859371504629798*^9, 
  3.860155996807756*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"5a0074de-00b7-49e4-abcd-92ad77879fc7"]
}, Open  ]],

Cell["And we invert it to recover the original function:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"954252b1-38e6-45a6-b5f2-e09ef0009f33"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"IQFTCte", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"i", "=", "0"}], 
      RowBox[{
       SuperscriptBox["2", "6"], "-", "1"}]], 
     RowBox[{
      RowBox[{
       RowBox[{"QFTCte", "\[LeftDoubleBracket]", 
        RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], 
       "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], " ", 
      RowBox[{"IQuantumFourierTransformV", "[", 
       RowBox[{"IntegerDigits", "[", 
        RowBox[{"i", ",", "2", ",", "6"}], "]"}], "]"}]}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"IQFTCte", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"Flatten", "[", 
     RowBox[{"N", "[", "IQFTCte", "]"}], "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Flatten", "[", "IQFTCte", "]"}], ",", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1"}], "}"}]}]}], "]"}]}], "Input",
 CellTags->"b:2.0.0",ExpressionUUID->"6cfa7d26-a7a9-437b-a44f-6306d644fa8a"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{}, {{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.011000000000000001`], AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJxdk0sOAUEQQJuVpYWFhQUiIiLi/2ca8x9mxBEk1q7QN+NILuBPJPU66XRe
XlV1dU2mdDjtj2mllH7t9/ldV+t7Xn6n0mnBGS19Vj8+6/zjnL4LziO+oFOC
i/Bl1KuAq8ivwdfBDcQ3cV8L8W34Dt7TBfeQ3wcPwEPkj/RN8Bj3T9D/FPVm
iJ+DF2ALrGU9A1ZLeLBayXoGrNbwYGXL9xkb3pHzMQ7m56I/F/kevId5+/A+
8gP0F8CH8CF8JPs1Eb7nBn6D/C3mt0V+DB9jPgnel6D+7v9/PwGPbxYw
       "]]}}, {{}, {}}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{None, None},
   AxesOrigin->{0., 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& )}},
   PlotRange->{{0., 64}, {0., 1.}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208766688136*^9, 3.859371504754939*^9, 
  3.860155996904126*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"19c7ff32-2bd1-4e5c-bfbc-53f6c8d1578e"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["QFT of the Mod[x,5] function", "Subsubsection",
 FontFamily->"Helvetica",
 CellTags->{
  "c:7", "b:2.0.0"},ExpressionUUID->"60a5b4fd-eced-4f21-89a6-5fe53df1df37"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ModVector", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Mod", "[", 
      RowBox[{"i", ",", "5"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       SuperscriptBox["2", "6"]}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"ModVector", "=", 
   FractionBox["ModVector", 
    RowBox[{"Norm", "[", "ModVector", "]"}]]}], ";"}], "\n", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"ModVector", ",", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Number", ",", "\"\<Mod[Number,5]\>\""}], "}"}]}]}], 
  "]"}]}], "Input",
 CellTags->"b:2.0.0",ExpressionUUID->"3aafc2c1-a9da-4c76-a063-88ebf1d91a5a"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{}, {{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.011000000000000001`], AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJxdzssKQUEYwPGTlaWFRCmXJElyv3PmOMf9cuQRlLU8gXkHT+EFlLWVpQdR
NsoSnUnN/6tp+mbq1z+x2a23PsMwxPf8bm+e5usQOYceJ1M9CG+/qN0v3rGj
/76/qj2g/m9qDwpDm7DQvSi8OLwkvBS8NLwMvCy8HLw8vAK8IrwSvDK8Crwq
vBq8OrwGvCa8Frw2vA68LrwePBOe0D0p4Fm6Jy14fd2TffTZuidt9Dm6Jx30
DdA3QN8QfUP0jdA3Qt8YfWP0TdA3Qd8UfVP0zdA3Q98cfXP0LdC3QN8SfUv0
uehz0bf6ex+bgwIs
       "]]}}, {{}, {}}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["Number", TraditionalForm], 
     FormBox["\"Mod[Number,5]\"", TraditionalForm]},
   AxesOrigin->{0., 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& )}},
   PlotRange->{{0., 64}, {0, 0.20254787341673333`}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.02], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208766738153*^9, 3.859371504792747*^9, 
  3.8601559969439898`*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"297e4496-80c6-4bf3-ae48-dfacfa11be14"]
}, Open  ]],

Cell["\<\
we apply the quantum Fourier transform: (NOTE we compute the QFT of the base \
vectors)\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"2860423f-db66-4137-8805-e0b4ace2d28c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"QFTMod", "=", 
   RowBox[{"N", "[", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"i", "=", "0"}], 
      RowBox[{
       SuperscriptBox["2", "6"], "-", "1"}]], 
     RowBox[{
      RowBox[{"ModVector", "\[LeftDoubleBracket]", 
       RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
      RowBox[{"QuantumFourierTransformV", "[", 
       RowBox[{"IntegerDigits", "[", 
        RowBox[{"i", ",", "2", ",", "6"}], "]"}], "]"}]}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"Chop", "[", "QFTMod", "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"QFTModplotRe", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"Re", "[", 
     RowBox[{"N", "[", "QFTMod", "]"}], "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"QFTModplotIM", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"Im", "[", "QFTMod", "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Flatten", "[", "QFTModplotRe", "]"}], ",", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Number", ",", "\"\<Real part of QFT\>\""}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "0.05`"}], ",", "0.1`"}], "}"}]}]}], "]"}], "\n", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Flatten", "[", "QFTModplotIM", "]"}], ",", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Number", ",", "\"\<Imaginary part QFT\>\""}], "}"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "0.2`"}], ",", "0.2`"}], "}"}]}]}], "]"}]}], "Input",
 CellTags->"b:2.0.0",ExpressionUUID->"302e71b6-ef6f-45c4-9458-e2dd9840d355"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{}, {{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.011000000000000001`], AbsoluteThickness[1.6], 
      LineBox[{{1.8922649781481689`, 0.1}, {2., 0.012720613585153417`}, {3., 
       0.012909214006722097`}, {4., 0.013239360557653734`}, {5., 
       0.013738104441905485`}, {6., 0.014451360589879059`}, {7., 
       0.015456154786957}, {8., 0.01688606503394746}, {9., 
       0.01898886313281875}, {10., 0.022275469950666066`}, {11., 
       0.027988300721862605`}, {12., 0.04013078774742769}, {13., 
       0.08271769513729671}, {13.346344499820013`, -0.05}}], 
      LineBox[{{14.980086051393409`, -0.05}, {15., -0.044910646362191}, {
       16., -0.02155787065201617}, {17., -0.012659242088545835`}, {
       18., -0.007825119188185462}, {19., -0.004630248882827273}, {
       20., -0.002172581364224352}, {21., 0.00001721075580536635}, {22., 
       0.0023058960792915473`}, {23., 0.005171288414610398}, {24., 
       0.009619293717174522}, {25., 0.01898886313281878}, {26., 
       0.05860788669023376}, {26.687998698854265`, -0.05}}], 
      LineBox[{{27.728436228887148`, -0.05}, {28., -0.03163840326272812}, {
       29., -0.02051755780373256}, {30., -0.016141151294206083`}, {
       31., -0.014005287115887131`}, {32., -0.012971557335481984`}, {
       33., -0.012659242088545831`}, {34., -0.012971557335482012`}, {
       35., -0.014005287115887131`}, {36., -0.01614115129420607}, {
       37., -0.020517557803732538`}, {38., -0.031638403262728154`}, {
       38.27156377111285, -0.05}}], 
      LineBox[{{39.312001301145735`, -0.05}, {40., 0.05860788669023377}, {41.,
        0.018988863132818737`}, {42., 0.009619293717174515}, {43., 
       0.00517128841461037}, {44., 0.0023058960792915473`}, {45., 
       0.000017210755805352473`}, {46., -0.0021725813642243796`}, {
       47., -0.004630248882827329}, {48., -0.007825119188185528}, {
       49., -0.012659242088545835`}, {50., -0.02155787065201619}, {
       51., -0.04491064636219104}, {51.01991394860659, -0.05}}], 
      LineBox[{{52.65365550017999, -0.05}, {53., 0.08271769513729664}, {54., 
       0.04013078774742767}, {55., 0.027988300721862605`}, {56., 
       0.022275469950665996`}, {57., 0.018988863132818723`}, {58., 
       0.01688606503394742}, {59., 0.015456154786956985`}, {60., 
       0.014451360589879038`}, {61., 0.013738104441905472`}, {62., 
       0.013239360557653686`}, {63., 0.012909214006722111`}, {64., 
       0.012720613585153417`}}]}}, {{}, {}}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["Number", TraditionalForm], 
     FormBox["\"Real part of QFT\"", TraditionalForm]},
   AxesOrigin->{0., 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& )}},
   PlotRange->{{0., 64}, {-0.05, 0.1}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208766955513*^9, 3.859371504953904*^9, 
  3.860155997105253*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"e743adc7-869a-4a82-9f06-ae5b2963d3b0"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{}, {{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.011000000000000001`], AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJxVk21IU2EUx28ilVGmVGIQMStSRKT2lmVuf+d8n2UGkdISzDTGIIjeBsXW
m00ZbhGWQS8WhUVhrqTsbV2QCPzShPxQn4r8YlasILJh0Nz53w8+cLn8+N3n
Puc855ycloMN+1MURUHimX3LilmVuQuKeqPYbBmyCC6EYtd3tYUnyBlQHo6f
26lL4b7l8BnT9wYGssjZUGLBvzfHc8mroJ7Qm7x3zWQd4Ej9s3S3nbwGPs9p
W3x0B3kdptcemfxkaCavx0uX89mox03Ow+Fjze8nMk6S8zH4701wbEkPuQC9
qj96avj5a+FCqNfSDjmdl8gbcCAt/XF7Wzd5I357Vz7J+t5J1mPX6h5njsdP
NmCsaORCSUBjIzrmtT8yRbTvTfg2kxm+vyxANqPj1Qvz16kgeRMWDLXmxXUX
yUVosg03Hf/YS96MwsVes+fLLfIWnP/Rv+jXvqfkYliv5M5/m60yv63wD0Tz
Xd195BJMZ9pCxg8hsgV7poz97ntnyFYod1pWNF49SgYGGydD7z63CvsAZc4q
hSpezveVYuZ2cj/jsaFe/k9vQ1zOpy9Dp8RHX6bFT2+HX/Lj+XYUSP6Mr1y7
H/pypMr90VegS+6XvgIxuX/6SpyV+tBXIir1o6/S6ktfpdWfvhou6Q/6aoxI
/9DX4LL0F30NwtJ/zK8WbulP5l+LPulfegdi0t/0DkD6n74OPpkP+jptfui3
QfmZnC/6BBuS80e/HcqD5HzSJ7ghOb8R8fWJ+b4+O9+R/+qbHHA=
       "]]}}, {{}, {}}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{
     FormBox["Number", TraditionalForm], 
     FormBox["\"Imaginary part QFT\"", TraditionalForm]},
   AxesOrigin->{0., 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& )}},
   PlotRange->{{0., 64}, {-0.2, 0.2}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {0, 0}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208766955513*^9, 3.859371504953904*^9, 
  3.8601559971395273`*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"9a9395c4-a3cf-4381-92ff-192b3138f7dd"]
}, Open  ]],

Cell["And we invert it to recover the original function:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"8618a289-a4ef-43d8-9308-c8b98664280a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"IQFTMod", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"i", "=", "0"}], 
      RowBox[{
       SuperscriptBox["2", "6"], "-", "1"}]], 
     RowBox[{
      RowBox[{
       RowBox[{"QFTMod", "\[LeftDoubleBracket]", 
        RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], 
       "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], " ", 
      RowBox[{"IQuantumFourierTransformV", "[", 
       RowBox[{"IntegerDigits", "[", 
        RowBox[{"i", ",", "2", ",", "6"}], "]"}], "]"}]}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"IQFTMod", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"Flatten", "[", 
     RowBox[{"N", "[", "IQFTMod", "]"}], "]"}], "]"}]}], ";"}], "\n", 
 RowBox[{"ListPlot", "[", 
  RowBox[{
   RowBox[{"Flatten", "[", "IQFTMod", "]"}], ",", 
   RowBox[{"Joined", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellTags->"b:2.0.0",ExpressionUUID->"0bef09a2-923f-4b3b-a5ff-aee6651ea211"],

Cell[BoxData[
 TagBox[
  GraphicsBox[{{}, {{}, {}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
      0.011000000000000001`], AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJxdk0lKA1EURT+OMnQgYkCwQURERGPf1k3fJ+ISBMfiCnx7cBVuQHDsKEP3
oRBNTDPTJO8P7v1QFK9e1eG8ptbuHm7v50II+L8m99npJp9P6dfFr5fEH2A4
jd88TmG88pz6eHz3eB6/03zH4wUEOksYEW/Z34+8VQyJt44+8TaEt+n5yNvC
N/G2hbcjfrvC2/P6Im8fPeJlMCDegfAOhXeEH+IdS70n4ncq9Z4J7xxj4l2I
3yVGxLsS3rXwEukfPHaeQfyyzLOs8HLMs5z45XlfLI8B+RWYZwX/PvoV0SW/
osyjxDwriV9Z/Moyjwr3zyrSv6r4VWWfa8yzmsyjLv2ri18D9L9Zg+cRmuLX
lP61xK/l+ejXlvm2Zb43vv+d5A9JAwIG
       "]]}}, {{}, {}}},
   AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
   Axes->{True, True},
   AxesLabel->{None, None},
   AxesOrigin->{0., 0},
   DisplayFunction->Identity,
   Frame->{{False, False}, {False, False}},
   FrameLabel->{{None, None}, {None, None}},
   FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
   GridLines->{None, None},
   GridLinesStyle->Directive[
     GrayLevel[0.5, 0.4]],
   Method->{
    "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
     "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& ), "CopiedValueFunction" -> ({
         Identity[
          Part[#, 1]], 
         Identity[
          Part[#, 2]]}& )}},
   PlotRange->{{0., 64}, {0, 0.2025478734167334}},
   PlotRangeClipping->True,
   PlotRangePadding->{{
      Scaled[0.02], 
      Scaled[0.02]}, {
      Scaled[0.02], 
      Scaled[0.05]}},
   Ticks->{Automatic, Automatic}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208767151607*^9, 3.859371505118987*^9, 
  3.860155997247642*^9},
 CellTags->"b:2.0.0",ExpressionUUID->"dec96d66-0f02-49bb-a99c-56ff31c8745e"]
}, Open  ]],

Cell["\<\
This kind of periodicity plays an important role in Shor's algorithm.\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.0",ExpressionUUID->"7dc19866-b4f3-409c-8494-f1a75488e988"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["b) Quantum Fourier Transform using  density matrices", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{
  "c:8", "b:2.0.1"},ExpressionUUID->"acedb3ca-226b-41fb-a504-2fcf0a257b2c"],

Cell["\<\
To compute the Quantum Fourier Transform in a density matrix framework, we \
define it in a multiqubit system by following the above figure where it is \
built by combining Controlled phase gates and Hadamard gates. First we define \
the gates we need, and provide compiled versions to speed the computation.\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.1",ExpressionUUID->"8a9ef4a2-aa37-4a25-86b0-046947954a88"],

Cell[TextData[{
 "The controlled phase gate used ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["R", "k"], " ", "="}], TraditionalForm]],ExpressionUUID->
  "c23b7fdf-5940-44ed-8f99-606d085e7612"],
 Cell[BoxData[
  FormBox[
   RowBox[{"(", GridBox[{
      {"1", "0"},
      {"0", 
       SuperscriptBox["e", 
        RowBox[{"2", "\[Pi]", " ", 
         RowBox[{"\[ImaginaryI]", "/", 
          SuperscriptBox["2", "k"]}]}]]}
     }], ")"}], TraditionalForm]],ExpressionUUID->
  "532534ef-b339-47fc-8bc1-ffbbed309d66"],
 ", can be written in the following way as a two qubit operator:"
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.1",ExpressionUUID->"36b2cd13-d3c1-42ff-9229-e78b3a92de4d"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ControlP", "[", 
    RowBox[{"L_", ",", "q1_", ",", "q2_", ",", "k_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "\[Phi]", "}"}], ",", 
     RowBox[{
      RowBox[{"\[Phi]", "=", 
       RowBox[{"Exp", "[", 
        RowBox[{"2", "*", " ", "\[Pi]", " ", "*", " ", 
         RowBox[{"\[ImaginaryI]", " ", "/", 
          SuperscriptBox["2", "k"]}]}], "]"}]}], ";", 
      RowBox[{
       RowBox[{"1", "/", "4"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"3", "+", "\[Phi]"}], ")"}], "*", 
          RowBox[{"TwoOp", "[", 
           RowBox[{"L", ",", "q1", ",", "q2", ",", "0", ",", "0"}], "]"}]}], 
         "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Phi]"}], ")"}], "*", 
          RowBox[{"TwoOp", "[", 
           RowBox[{"L", ",", "q1", ",", "q2", ",", "3", ",", "0"}], "]"}]}], 
         "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Phi]"}], ")"}], "*", 
          RowBox[{"TwoOp", "[", 
           RowBox[{"L", ",", "q1", ",", "q2", ",", "0", ",", "3"}], "]"}]}], 
         "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"\[Phi]", "-", "1"}], ")"}], "*", 
          RowBox[{"TwoOp", "[", 
           RowBox[{"L", ",", "q1", ",", "q2", ",", "3", ",", "3"}], "]"}]}]}],
         ")"}]}]}]}], "]"}]}], ";"}]], "Input",
 CellTags->"b:2.0.1",ExpressionUUID->"52e79fa6-7047-4549-9763-1b91bb16b5a4"],

Cell[" Forms Operator to Invert L qubits... the last step of QFT ", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.1",ExpressionUUID->"9d8befef-bf79-47f9-915d-2dfe7253fbf3"],

Cell[BoxData[
 RowBox[{
  RowBox[{"InvertQubits", "[", "L_", "]"}], ":=", 
  RowBox[{
   RowBox[{"InvertQubits", "[", "L", "]"}], "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Reverse", "[", 
         RowBox[{"IntegerDigits", "[", 
          RowBox[{"i", ",", "2", ",", "L"}], "]"}], "]"}], "\[Equal]", " ", 
        RowBox[{"IntegerDigits", "[", 
         RowBox[{"j", ",", "2", ",", "L"}], "]"}]}], ",", "1", ",", "0"}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", 
       RowBox[{
        RowBox[{"2", "^", "L"}], "-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "0", ",", 
       RowBox[{
        RowBox[{"2", "^", "L"}], "-", "1"}]}], "}"}]}], "]"}]}]}]], "Input",
 CellTags->"b:2.0.1",ExpressionUUID->"da40e006-9f53-4828-8805-3f81c8039ba1"],

Cell[TextData[StyleBox["Generate Compiled versions of the Functions to speed \
the computation: ",
 FontWeight->"Bold"]], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.1",ExpressionUUID->"4a94f2d8-f8dc-4fbd-b64a-c970428410c1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"CompControlP", "=", " ", 
   RowBox[{"Compile", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"L", ",", "_Integer"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"q1", ",", "_Integer"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"q2", ",", "_Integer"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "_Integer"}], "}"}]}], "}"}], ",", 
     RowBox[{"Block", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Lv", "=", "L"}], ",", 
         RowBox[{"qv1", "=", "q1"}], ",", 
         RowBox[{"qv2", "=", "q2"}], ",", 
         RowBox[{"kv", "=", "k"}]}], "  ", "}"}], ",", " ", 
       RowBox[{"ControlP", "[", 
        RowBox[{"Lv", ",", "qv1", ",", "qv2", ",", "kv"}], "]"}]}], "]"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"{", "   ", 
       RowBox[{
        RowBox[{"ControlP", "[", 
         RowBox[{"Lv", ",", "qv1", ",", "qv2", ",", "kv"}], "]"}], ",", 
        "_Complex", ",", "2"}], "}"}], "}"}]}], "]"}]}], " ", ";"}]], "Input",
 CellTags->"b:2.0.1",ExpressionUUID->"066fcfbb-8e65-4830-b7f0-7467fafe9d6c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"CompHad", "=", " ", 
   RowBox[{"Compile", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"L", ",", "_Integer"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "_Integer"}], "}"}]}], "}"}], ",", 
     RowBox[{"Block", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Lv", "=", "L"}], ",", 
         RowBox[{"iv", "=", "i"}]}], "}"}], ",", " ", 
       RowBox[{"had", "[", 
        RowBox[{"Lv", ",", "iv"}], "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"{", "   ", 
       RowBox[{
        RowBox[{"had", "[", 
         RowBox[{"Lv", ",", "iv"}], "]"}], ",", "_Real", ",", "2"}], "}"}], 
      "}"}]}], "]"}]}], "  ", ";"}]], "Input",
 CellTags->"b:2.0.1",ExpressionUUID->"5ea340e9-d403-44d7-8aa3-d40cf93f07fa"],

Cell[BoxData[
 RowBox[{
  RowBox[{"CompInvertQubits", "=", " ", 
   RowBox[{"Compile", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"L", ",", "_Integer"}], "}"}], "}"}], ",", 
     RowBox[{"Block", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Lv", "=", "L"}], " ", "}"}], ",", 
       RowBox[{"InvertQubits", "[", "Lv", "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"{", "  ", 
       RowBox[{
        RowBox[{"InvertQubits", "[", "Lv", "]"}], ",", "_Real", ",", "2"}], 
       "}"}], "}"}]}], "]"}]}], "  ", ";"}]], "Input",
 CellTags->"b:2.0.1",ExpressionUUID->"91db7b81-47a2-4771-af56-44bab8fcc3a6"],

Cell["Then the Quantum Fourier Transform operator reads:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.1",ExpressionUUID->"db87e1eb-120c-40a3-b770-6780f3a88cd2"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"QuantumFourierTransform", "=", 
    RowBox[{"Compile", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"L", ",", "_Integer"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\[CapitalOmega]s", ",", "_Complex", ",", "2"}], "}"}]}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Module", "[", 
       RowBox[{
        RowBox[{"{", "\[CapitalOmega]", "}"}], ",", 
        RowBox[{
         RowBox[{"\[CapitalOmega]", "=", "\[CapitalOmega]s"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"i", "=", "1"}], ",", 
           RowBox[{"i", "\[LessEqual]", "L"}], ",", 
           RowBox[{"i", "++"}], ",", 
           RowBox[{
            RowBox[{"\[CapitalOmega]", "=", 
             RowBox[{"N", "[", 
              RowBox[{
               RowBox[{"CompHad", "[", 
                RowBox[{"L", ",", "i"}], "]"}], ".", "\[CapitalOmega]"}], 
              "]"}]}], ";", 
            RowBox[{"For", "[", " ", 
             RowBox[{
              RowBox[{"j", "=", 
               RowBox[{"i", "+", "1"}]}], ",", 
              RowBox[{"j", "\[LessEqual]", "L"}], ",", 
              RowBox[{"j", "++"}], ",", 
              RowBox[{"\[CapitalOmega]", "=", 
               RowBox[{"N", "[", 
                RowBox[{
                 RowBox[{"CompControlP", "[", 
                  RowBox[{"L", ",", "j", ",", "i", ",", 
                   RowBox[{"j", "-", "i", "+", "1"}]}], "]"}], ".", 
                 "\[CapitalOmega]"}], "]"}]}]}], "]"}]}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"\[CapitalOmega]", "=", 
          RowBox[{
           RowBox[{"CompInvertQubits", "[", "L", "]"}], ".", 
           "\[CapitalOmega]"}]}], ";", "\[CapitalOmega]"}]}], "]"}], ",", " ",
       "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", " ", 
         RowBox[{
          RowBox[{"CompHad", "[", 
           RowBox[{"L", ",", "i"}], "]"}], ",", "_Real", ",", "2"}], "}"}], 
        ",", 
        RowBox[{"{", " ", 
         RowBox[{
          RowBox[{"CompControlP", "[", 
           RowBox[{"L", ",", "j", ",", "i", ",", 
            RowBox[{"j", "-", "i", "+", "1"}]}], "]"}], ",", "_Complex", ",", 
          "2"}], "}"}], ",", 
        RowBox[{"{", " ", 
         RowBox[{
          RowBox[{"CompInvertQubits", "[", "L", "]"}], ",", "_Real", ",", 
          "2"}], "}"}]}], "}"}]}], " ", "]"}]}], ";"}], "  "}]], "Input",
 CellTags->"b:2.0.1",ExpressionUUID->"2436b29c-eeab-4258-a43f-77b86108778a"],

Cell["\<\
We can check both definitions, the density matrix one and the vector one. \
Making use of our previous RanVector, we can construct the pure state density \
matrix:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.1",ExpressionUUID->"55ce9b07-e5e6-457c-b4fe-9e3e243d0d55"],

Cell[BoxData[
 RowBox[{
  RowBox[{"DensRanVec", "=", 
   RowBox[{"AF", "[", 
    RowBox[{
     RowBox[{"{", "RanVector", "}"}], "\[CircleTimes]", 
     RowBox[{"Adj", "[", 
      RowBox[{"{", "RanVector", "}"}], "]"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.614175648893342*^9, 3.614175681108389*^9}, 
   3.85720874631667*^9},
 CellTags->"b:2.0.1",ExpressionUUID->"79826d97-cd35-4318-8806-4fe46ee399e1"],

Cell["And apply the quantum fourier transform just defined:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.1",ExpressionUUID->"9d1dbb21-31c4-43eb-a4b2-00a6a04b6ec5"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"QFTDens", "=", 
   RowBox[{"QuantumFourierTransform", "[", 
    RowBox[{"4", ",", 
     RowBox[{"IdentityMatrix", "[", 
      RowBox[{"4", "^", "2"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"QFTDensVec", "=", 
   RowBox[{"QFTDens", ".", "DensRanVec", ".", 
    RowBox[{"Adj", "[", "QFTDens", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Length", "[", "QFTDens", "]"}]}], "Input",
 CellTags->"b:2.0.1",ExpressionUUID->"3043f306-0f72-4d71-bdf5-69975463edec"],

Cell[BoxData[
 TagBox["16",
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208767275929*^9, 3.8593715051864557`*^9, 
  3.8601559973166027`*^9},
 CellTags->"b:2.0.1",ExpressionUUID->"6536917d-0d53-444e-aea2-e49c777454f8"]
}, Open  ]],

Cell["\<\
Which we can compare to the pure state density matrix constructed with the \
fourier transform of RanVector:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:2.0.1",ExpressionUUID->"c7a41b90-d51c-416b-b9c8-e7d5a5992170"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DensQFTVec", "=", 
  RowBox[{"AF", "[", 
   RowBox[{"QFTVec", "\[CircleTimes]", 
    RowBox[{"Adj", "[", "QFTVec", "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.614175576030506*^9, 3.614175583136767*^9}, 
   3.8572087463179502`*^9},
 CellTags->"b:2.0.1",ExpressionUUID->"8eecaa42-7d6f-432e-a467-0d526566f261"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"0.7805402251821982`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.1088912939017518`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.05708734704889076`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.03060997001923705`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06457846167857485`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.02213334467553415`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.10137486129181189`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.031221944313799953`"}], "+", 
       RowBox[{"0.08979137912199546`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.10117710579260986`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.04406853064414145`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.08150790310192677`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.11605286826089783`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0417803410863587`"}], "-", 
       RowBox[{"0.09640855442431727`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.06767658461643587`"}], "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.041780341086358676`"}], "+", 
       RowBox[{"0.0964085544243173`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.08150790310192675`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.11605286826089783`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.10117710579260986`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.04406853064414142`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.031221944313799953`"}], "-", 
       RowBox[{"0.08979137912199546`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.022133344675534128`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.10137486129181188`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.030609970019237`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06457846167857488`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.10889129390175178`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.05708734704889076`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.1088912939017518`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.05708734704889076`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.019366431854488546`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.00045283228286823775`"}], "-", 
       RowBox[{"0.011247945908181326`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.004326610262421985`"}], "-", 
       RowBox[{"0.015761357771342605`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.002211485906539706`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.014810098251760816`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010891879990157397`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.013547811544890247`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.01985887581232375`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.010228911690576829`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.01287982820245595`"}], "-", 
       RowBox[{"0.010393985013584163`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.00944139792925456`"}], "+", 
       RowBox[{"0.004949747044978062`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0012224779371620758`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.016505467175470794`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.002883068153256351`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.022151602671739025`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.01733807051731322`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.001252021610247415`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.010922882974293693`"}], "-", 
       RowBox[{"0.010243061440385755`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010502149875463131`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.012523769526483104`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.008993479219829124`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0067704265561545265`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.011015894398664865`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.015928237610357672`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.03060997001923705`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.06457846167857485`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.00045283228286823775`"}], "+", 
       RowBox[{"0.011247945908181326`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.006543350121587348`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.009255299571987282`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0021443406244800655`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.008653355326443617`"}], "+", 
       RowBox[{"0.0009381275492111566`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.00761383705880312`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.006642739579703117`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.006405257633233706`"}], "+", 
       RowBox[{"0.011294779603477106`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.006337945168906408`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.007237516958169419`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0026540313481344304`"}], "-", 
       RowBox[{"0.0055992626455211286`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009614893484410355`"}], "+", 
       RowBox[{"0.00032407401515288994`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.012798149094268838`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.002192430477822924`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.00032176465659095217`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.010099156964198892`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.006204531425882644`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.006104459967066189`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0075193198105716706`"}], "+", 
       RowBox[{"0.005806771604546533`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.004142525066453574`"}], "+", 
       RowBox[{"0.005065068300376705`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.00899347921982913`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0067704265561545195`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.02213334467553415`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.10137486129181189`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.004326610262421985`"}], "+", 
       RowBox[{"0.015761357771342605`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.009255299571987282`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0021443406244800655`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.013793968716918925`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.012547251688847124`"}], "-", 
       RowBox[{"0.0015088738454171855`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.008592547470053925`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.011891034937213076`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.012761419063322899`"}], "+", 
       RowBox[{"0.013876915187066408`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.011336590808139318`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.008160143246442994`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0019190672376031314`"}], "-", 
       RowBox[{"0.008789687138280787`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.013706074558217415`"}], "-", 
       RowBox[{"0.002692535823019521`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.017383967536629`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0072952220188425045`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.002854501733184726`"}], "+", 
       RowBox[{"0.014390288522416687`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010776565098604168`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.006601202155684039`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.012538722848170408`"}], "+", 
       RowBox[{"0.005749261022088602`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.007519319810571674`"}], "+", 
       RowBox[{"0.00580677160454653`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010502149875463135`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.012523769526483102`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.031221944313799953`"}], "-", 
       RowBox[{"0.08979137912199546`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.002211485906539706`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.014810098251760816`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.008653355326443617`"}], "-", 
       RowBox[{"0.0009381275492111566`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.012547251688847124`"}], "+", 
       RowBox[{"0.0015088738454171855`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.011578265001338538`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009116660327973041`"}], "-", 
       RowBox[{"0.009876398942961127`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010090078161683362`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.014018628209210257`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009419365384264921`"}], "+", 
       RowBox[{"0.008662688668432401`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.002707092457341714`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.007785343626022251`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.012761828567390082`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0009499214836089379`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.01661078043859402`"}], "-", 
       RowBox[{"0.004734299039748886`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0010224049367126278`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.013401919256641819`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009080482631425496`"}], "+", 
       RowBox[{"0.007183387475390757`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010776565098604167`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0066012021556840356`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.006204531425882649`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.006104459967066184`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.010922882974293693`"}], "-", 
       RowBox[{"0.010243061440385753`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.10117710579260986`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.04406853064414145`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010891879990157397`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.013547811544890247`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.00761383705880312`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.006642739579703117`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.008592547470053925`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.011891034937213076`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009116660327973041`"}], "+", 
       RowBox[{"0.009876398942961127`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.015603093520080592`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.004013187600998213`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.019645146221101337`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.000027377634323173285`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.014855783696582603`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.008772540787146881`"}], "-", 
       RowBox[{"0.00382095316402696`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.010858886001900506`"}], "+", 
       RowBox[{"0.010138030063687912`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.017117648373925275`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.010441434715397652`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010626962039655448`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.011424719042676848`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0010224049367126304`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.01340191925664182`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.002854501733184732`"}], "+", 
       RowBox[{"0.014390288522416684`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0003217646565909422`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.010099156964198894`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.01733807051731322`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0012520216102474124`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.08150790310192677`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.11605286826089783`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.01985887581232375`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.010228911690576829`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.006405257633233706`"}], "-", 
       RowBox[{"0.011294779603477106`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.012761419063322899`"}], "-", 
       RowBox[{"0.013876915187066408`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010090078161683362`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.014018628209210257`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.004013187600998213`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.019645146221101337`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.02576652150753637`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.01869720071794464`"}], "-", 
       RowBox[{"0.003855446004107049`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0070671264890905345`"}], "+", 
       RowBox[{"0.010062340806337557`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.009971377543264673`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.01627947813866807`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.00874359801497118`"}], "-", 
       RowBox[{"0.024237638588586272`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.017117648373925272`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.010441434715397654`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.016610780438594024`"}], "-", 
       RowBox[{"0.004734299039748887`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.017383967536628995`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.00729522201884251`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.012798149094268836`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0021924304778229353`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0028830681532563546`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.022151602671739025`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.0417803410863587`"}], "+", 
       RowBox[{"0.09640855442431727`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.01287982820245595`"}], "+", 
       RowBox[{"0.010393985013584163`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.006337945168906408`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.007237516958169419`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.011336590808139318`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.008160143246442994`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009419365384264921`"}], "-", 
       RowBox[{"0.008662688668432401`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.000027377634323173285`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.014855783696582603`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.01869720071794464`"}], "+", 
       RowBox[{"0.003855446004107049`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.014144314298346313`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.003622556144591374`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.00835908449141434`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009671522647192132`"}], "-", 
       RowBox[{"0.010321011416293161`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.009971377543264668`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.016279478138668067`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.010858886001900506`"}], "+", 
       RowBox[{"0.010138030063687908`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.012761828567390082`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0009499214836089422`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.01370607455821741`"}], "-", 
       RowBox[{"0.0026925358230195265`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009614893484410355`"}], "+", 
       RowBox[{"0.0003240740151528791`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0012224779371620715`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.016505467175470794`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.06767658461643587`"}], "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.00944139792925456`"}], "-", 
       RowBox[{"0.004949747044978062`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0026540313481344304`"}], "+", 
       RowBox[{"0.0055992626455211286`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0019190672376031314`"}], "+", 
       RowBox[{"0.008789687138280787`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.002707092457341714`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.007785343626022251`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.008772540787146881`"}], "+", 
       RowBox[{"0.00382095316402696`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0070671264890905345`"}], "-", 
       RowBox[{"0.010062340806337557`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.003622556144591374`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.00835908449141434`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.005867884777208615`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0036225561445913717`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.008359084491414344`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.007067126489090532`"}], "+", 
       RowBox[{"0.010062340806337557`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.008772540787146881`"}], "-", 
       RowBox[{"0.003820953164026958`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.002707092457341714`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.007785343626022251`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0019190672376031297`"}], "-", 
       RowBox[{"0.008789687138280787`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.002654031348134426`"}], "-", 
       RowBox[{"0.005599262645521131`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009441397929254558`"}], "+", 
       RowBox[{"0.004949747044978062`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.041780341086358676`"}], "-", 
       RowBox[{"0.0964085544243173`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0012224779371620758`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.016505467175470794`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009614893484410355`"}], "-", 
       RowBox[{"0.00032407401515288994`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.013706074558217415`"}], "+", 
       RowBox[{"0.002692535823019521`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.012761828567390082`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0009499214836089379`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.010858886001900506`"}], "-", 
       RowBox[{"0.010138030063687912`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.009971377543264673`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.01627947813866807`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009671522647192132`"}], "+", 
       RowBox[{"0.010321011416293161`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0036225561445913717`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.008359084491414344`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.014144314298346318`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.01869720071794464`"}], "-", 
       RowBox[{"0.0038554460041070526`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.00002737763432317502`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.014855783696582605`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009419365384264924`"}], "+", 
       RowBox[{"0.008662688668432398`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.011336590808139322`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.00816014324644299`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.006337945168906417`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.007237516958169413`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.012879828202455947`"}], "-", 
       RowBox[{"0.010393985013584166`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.08150790310192675`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.11605286826089783`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.002883068153256351`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.022151602671739025`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.012798149094268838`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.002192430477822924`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.017383967536629`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0072952220188425045`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.01661078043859402`"}], "+", 
       RowBox[{"0.004734299039748886`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.017117648373925275`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.010441434715397652`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.00874359801497118`"}], "+", 
       RowBox[{"0.024237638588586272`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.009971377543264668`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.016279478138668067`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.007067126489090532`"}], "-", 
       RowBox[{"0.010062340806337557`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.01869720071794464`"}], "+", 
       RowBox[{"0.0038554460041070526`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.025766521507536368`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.004013187600998214`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.019645146221101334`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010090078161683362`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.014018628209210255`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0127614190633229`"}], "+", 
       RowBox[{"0.013876915187066399`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.006405257633233715`"}], "+", 
       RowBox[{"0.0112947796034771`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.019858875812323748`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.010228911690576827`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.10117710579260986`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.04406853064414142`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.01733807051731322`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.001252021610247415`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.00032176465659095217`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.010099156964198892`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.002854501733184726`"}], "-", 
       RowBox[{"0.014390288522416687`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0010224049367126278`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.013401919256641819`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010626962039655448`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.011424719042676848`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.017117648373925272`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.010441434715397654`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.010858886001900506`"}], "-", 
       RowBox[{"0.010138030063687908`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.008772540787146881`"}], "+", 
       RowBox[{"0.003820953164026958`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.00002737763432317502`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.014855783696582605`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.004013187600998214`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.019645146221101334`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.015603093520080588`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.00911666032797304`"}], "-", 
       RowBox[{"0.009876398942961129`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.008592547470053917`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.011891034937213076`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0076138370588031135`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.006642739579703124`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010891879990157397`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.013547811544890242`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "0.031221944313799953`"}], "+", 
       RowBox[{"0.08979137912199546`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.010922882974293693`"}], "+", 
       RowBox[{"0.010243061440385755`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.006204531425882644`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.006104459967066189`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010776565098604168`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.006601202155684039`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009080482631425496`"}], "-", 
       RowBox[{"0.007183387475390757`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0010224049367126304`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.01340191925664182`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.016610780438594024`"}], "+", 
       RowBox[{"0.004734299039748887`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.012761828567390082`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0009499214836089422`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.002707092457341714`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.007785343626022251`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009419365384264924`"}], "-", 
       RowBox[{"0.008662688668432398`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010090078161683362`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.014018628209210255`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.00911666032797304`"}], "+", 
       RowBox[{"0.009876398942961129`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.011578265001338538`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.012547251688847122`"}], "-", 
       RowBox[{"0.0015088738454171872`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.008653355326443617`"}], "+", 
       RowBox[{"0.00093812754921115`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.002211485906539706`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.014810098251760814`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.022133344675534128`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.10137486129181188`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010502149875463131`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.012523769526483104`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0075193198105716706`"}], "-", 
       RowBox[{"0.005806771604546533`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.012538722848170408`"}], "-", 
       RowBox[{"0.005749261022088602`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010776565098604167`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0066012021556840356`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.002854501733184732`"}], "-", 
       RowBox[{"0.014390288522416684`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.017383967536628995`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.00729522201884251`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.01370607455821741`"}], "+", 
       RowBox[{"0.0026925358230195265`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0019190672376031297`"}], "+", 
       RowBox[{"0.008789687138280787`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.011336590808139322`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.00816014324644299`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0127614190633229`"}], "-", 
       RowBox[{"0.013876915187066399`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.008592547470053917`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.011891034937213076`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.012547251688847122`"}], "+", 
       RowBox[{"0.0015088738454171872`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.013793968716918922`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.00925529957198728`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0021443406244800595`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.004326610262421987`"}], "-", 
       RowBox[{"0.0157613577713426`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.030609970019237`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.06457846167857488`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.008993479219829124`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0067704265561545265`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.004142525066453574`"}], "-", 
       RowBox[{"0.005065068300376705`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.007519319810571674`"}], "-", 
       RowBox[{"0.00580677160454653`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.006204531425882649`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.006104459967066184`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0003217646565909422`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.010099156964198894`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.012798149094268836`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0021924304778229353`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009614893484410355`"}], "-", 
       RowBox[{"0.0003240740151528791`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.002654031348134426`"}], "+", 
       RowBox[{"0.005599262645521131`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.006337945168906417`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.007237516958169413`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.006405257633233715`"}], "-", 
       RowBox[{"0.0112947796034771`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0076138370588031135`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.006642739579703124`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.008653355326443617`"}], "-", 
       RowBox[{"0.00093812754921115`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.00925529957198728`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0021443406244800595`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.006543350121587348`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0004528322828682464`"}], "-", 
       RowBox[{"0.011247945908181326`", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{"0.10889129390175178`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.05708734704889076`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.011015894398664865`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.015928237610357672`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.00899347921982913`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.0067704265561545195`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010502149875463135`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.012523769526483102`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.010922882974293693`"}], "+", 
       RowBox[{"0.010243061440385753`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.01733807051731322`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.0012520216102474124`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0028830681532563546`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.022151602671739025`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.0012224779371620715`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.016505467175470794`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.009441397929254558`"}], "-", 
       RowBox[{"0.004949747044978062`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.012879828202455947`"}], "+", 
       RowBox[{"0.010393985013584166`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.019858875812323748`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.010228911690576827`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.010891879990157397`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.013547811544890242`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.002211485906539706`", "\[VeryThinSpace]", "-", 
       RowBox[{"0.014810098251760814`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.004326610262421987`"}], "+", 
       RowBox[{"0.0157613577713426`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "0.0004528322828682464`"}], "+", 
       RowBox[{"0.011247945908181326`", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"0.019366431854488542`", "\[VeryThinSpace]", "+", 
       RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.857208767311192*^9, 3.859371505210095*^9, 
  3.8601559973476133`*^9},
 CellTags->"b:2.0.1",ExpressionUUID->"f2169577-4ff9-4e38-9dd5-19823f316c64"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Chop", "[", 
  RowBox[{"DensQFTVec", "-", "QFTDensVec"}], "]"}]], "Input",
 CellTags->"b:2.0.1",ExpressionUUID->"ce8932ff-45f3-4270-927e-865da2873cd2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.8572087673298407`*^9, 3.8593715052327223`*^9, 
  3.860155997397771*^9},
 CellTags->"b:2.0.1",ExpressionUUID->"504cae37-e4a1-4c27-9033-adc3b34be39e"]
}, Open  ]],

Cell[BoxData["Quit"], "Input",
 CellTags->"b:2.0.1",ExpressionUUID->"1a1a033f-f0d6-4264-89c9-880437d39f18"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[GridBox[{
     {
      RowBox[{"References", ":"}], 
      RowBox[{
       RowBox[{
        RowBox[{"[", "1", "]"}], " ", "Quantum", " ", "Computation", " ", 
        "and", " ", "Quantum", " ", "Information"}], ",", " ", 
       RowBox[{"Nielsen", " ", "and", " ", "Chuang"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
      "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}], TraditionalForm]], 
  "DefinitionBox",
  GridBoxOptions->{
  GridBoxDividers->{
   "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
    "RowsIndexed" -> {}},
  GridBoxSpacings->{"Columns" -> {
      Offset[0.27999999999999997`], {
       Offset[0.5599999999999999]}, 
      Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
      Offset[0.2], {
       Offset[0.16]}, 
      Offset[0.2]}, "RowsIndexed" -> {}}},
  CellTags->"S5.1.1",ExpressionUUID->"1469ba32-b1d1-4209-a9d3-6fc0e2c6455f"],
 "\nLast Version: 25-Nov-2005"
}], "Abstract",
 CellTags->"b:2.0.1",ExpressionUUID->"278f6fdf-4c0e-41a6-b92c-b364b92f1735"]
}, Open  ]]
}, Open  ]]
},
WindowToolbars->{},
WindowSize->{1014, 678},
WindowMargins->{{216, Automatic}, {Automatic, 138}},
PrintingStartingPageNumber->46,
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{612, 792},
"PostScriptOutputFile":>FrontEnd`FileName[{"export", "home", "brunojd"}, 
  "t.ps", CharacterEncoding -> "WindowsANSI"]},
ShowSelection->True,
TaggingRules:>{
 "PaginationCache" -> {{2005, 8, 9, 3, 36, 21.330055`8.081566958720561}, {46, 
    46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 46, 47, 47, 47, 47, 47, 47, 
    47, 47, 47, 47, 47, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 48, 
    49, 49, 49, 49, 49, 49, 49, 49, 49, 50, 50, 50, 50, 50, 50, 50, 50, 50, 
    50, 50, 50, 51, 51, 51, 51, 51, 51, 51, 51, 51, 51, 51, 51, 51, 51, 52}, 
    Automatic}},
CellLabelAutoDelete->True,
Magnification->1,
FrontEndVersion->"13.0 for Mac OS X x86 (64-bit) (December 2, 2021)",
StyleDefinitions->"Classroom.nb",
ExpressionUUID->"6c60c8dd-e856-44ae-89bc-9a682a6b11eb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "c:1"->{
  Cell[545, 20, 115, 1, 51, "Title",ExpressionUUID->"86f84b5c-f0ef-4eed-8e5f-6e911507777a",
   CellTags->"c:1"]},
 "c:2"->{
  Cell[1432, 44, 358, 7, 51, "Section",ExpressionUUID->"738b71d1-591e-4827-a5fe-503e3a457fde",
   CellTags->"c:2"]},
 "c:3"->{
  Cell[1815, 55, 193, 4, 60, "Subsection",ExpressionUUID->"95508fe9-f230-4796-a181-5edeced0386b",
   CellTags->{"c:3", "b:2.0.0"}]},
 "b:2.0.0"->{
  Cell[1815, 55, 193, 4, 60, "Subsection",ExpressionUUID->"95508fe9-f230-4796-a181-5edeced0386b",
   CellTags->{"c:3", "b:2.0.0"}],
  Cell[2011, 61, 1115, 29, 84, "Abstract",ExpressionUUID->"573de845-753d-41e8-973a-7882f75d4ea9",
   CellTags->"b:2.0.0"],
  Cell[3129, 92, 379, 7, 51, "Text",ExpressionUUID->"50cef94e-b8fd-43b0-a86f-63e90e421680",
   CellTags->"b:2.0.0"],
  Cell[3533, 103, 365, 7, 64, "Input",ExpressionUUID->"7b304adc-b5e6-4a69-9ccd-ba3c03e87a72",
   CellTags->"b:2.0.0"],
  Cell[3901, 112, 279, 4, 24, "Print",ExpressionUUID->"78669cac-2940-4085-8e14-fe8c6b34e7f5",
   CellTags->"b:2.0.0"],
  Cell[4217, 121, 167, 3, 46, "Input",ExpressionUUID->"ce86752a-9361-4dc9-b677-76a24dae53f0",
   CellTags->"b:2.0.0"],
  Cell[4387, 126, 56903, 1276, 425, "Output",ExpressionUUID->"17d0eaf4-8d4b-4828-8c9e-9baa2eb5f73c",
   CellTags->"b:2.0.0"],
  Cell[61327, 1407, 366, 9, 68, "Input",ExpressionUUID->"12529923-7771-474b-93fa-c0396ef1dd36",
   CellTags->"b:2.0.0"],
  Cell[61696, 1418, 3294, 59, 184, "Output",ExpressionUUID->"4ab9d57f-6ab6-4089-8eb8-6a92bfe3e9e9",
   CellTags->"b:2.0.0"],
  Cell[65005, 1480, 274, 6, 23, "Text",ExpressionUUID->"bcc30376-3c10-47f9-b696-4c8cc078887a",
   CellTags->"b:2.0.0"],
  Cell[65282, 1488, 3116, 86, 62, "DefinitionBox",ExpressionUUID->"0f91dea1-c1f0-46b6-8338-422f990a7f79",
   CellTags->{"S5.1.1", "b:2.0.0"}],
  Cell[68401, 1576, 632, 19, 54, "Text",ExpressionUUID->"0aaa89d4-afa1-4a0d-9f86-5a2b6b721eca",
   CellTags->"b:2.0.0"],
  Cell[69036, 1597, 622, 16, 53, "Text",ExpressionUUID->"51a4898a-69f2-49c3-95b3-dbb22468bdcf",
   CellTags->"b:2.0.0"],
  Cell[69661, 1615, 1722, 54, 83, "Text",ExpressionUUID->"01f8f9c8-970a-4931-851d-f8cfaa8e1d50",
   CellTags->"b:2.0.0"],
  Cell[71386, 1671, 513, 15, 48, "Input",ExpressionUUID->"9ec8b30b-2983-4fbe-aefa-26180c358d4a",
   CellTags->"b:2.0.0"],
  Cell[71902, 1688, 279, 5, 23, "Text",ExpressionUUID->"7762fd24-3058-4a1a-8766-53f4845830c2",
   CellTags->"b:2.0.0"],
  Cell[72184, 1695, 2266, 58, 144, "Input",ExpressionUUID->"70af6af3-6bc4-4c04-8b55-a67bc2a92edd",
   CellTags->"b:2.0.0"],
  Cell[74453, 1755, 2231, 59, 125, "Input",ExpressionUUID->"015b05b4-1645-485d-8fd2-4dac2b137fae",
   CellTags->"b:2.0.0"],
  Cell[76687, 1816, 762, 14, 123, "Text",ExpressionUUID->"365f49d6-117f-44ea-8c4d-b1d41de21054",
   CellTags->"b:2.0.0"],
  Cell[77474, 1834, 241, 5, 48, "Input",ExpressionUUID->"d8378082-0e26-4184-858a-0b3d5fa60679",
   CellTags->"b:2.0.0"],
  Cell[77718, 1841, 2001, 66, 298, "Output",ExpressionUUID->"c80ddecf-f2b1-4069-8e68-051f747c5e72",
   CellTags->"b:2.0.0"],
  Cell[79734, 1910, 391, 10, 27, "Text",ExpressionUUID->"2e82b5ef-cfd1-4493-86c7-5c4df57ad2d9",
   CellTags->"b:2.0.0"],
  Cell[80128, 1922, 157, 2, 23, "Text",ExpressionUUID->"eddc5c2d-0ca9-4b35-9dab-4539c95208ad",
   CellTags->"b:2.0.0"],
  Cell[80310, 1928, 139, 2, 48, "Input",ExpressionUUID->"9bd4b50e-d48f-4f66-9a78-e67970a024a9",
   CellTags->"b:2.0.0"],
  Cell[80452, 1932, 258, 6, 48, "Output",ExpressionUUID->"4665cf61-db4f-45c4-91d8-7bf5a3c47e89",
   CellTags->"b:2.0.0"],
  Cell[80747, 1943, 246, 8, 34, "Subsubsection",ExpressionUUID->"d227d78e-80ce-4797-8f23-0896941d8ffd",
   CellTags->{"c:4", "b:2.0.0"}],
  Cell[81018, 1955, 623, 17, 112, "Input",ExpressionUUID->"b32b75d2-5721-4cce-9dd3-f43c477c5e2a",
   CellTags->"b:2.0.0"],
  Cell[81644, 1974, 1170, 34, 302, "Output",ExpressionUUID->"5ae7b605-ed66-40c1-9a48-357ab1108a97",
   CellTags->"b:2.0.0"],
  Cell[82817, 2010, 1901, 47, 264, "Output",ExpressionUUID->"ca8c1e2f-07d3-4583-86a5-c921f4ca4e09",
   CellTags->"b:2.0.0"],
  Cell[84733, 2060, 214, 5, 23, "Text",ExpressionUUID->"7c30dba1-dd60-4171-a787-cec3869f14b6",
   CellTags->"b:2.0.0"],
  Cell[84972, 2069, 551, 15, 48, "Input",ExpressionUUID->"0120a46b-2ed1-4cc1-9b8f-ca0bd36c2922",
   CellTags->"b:2.0.0"],
  Cell[85526, 2086, 2621, 65, 302, "Output",ExpressionUUID->"9e045fd2-bf24-40d5-bfde-9848d5f06555",
   CellTags->"b:2.0.0"],
  Cell[88162, 2154, 195, 4, 23, "Text",ExpressionUUID->"9ba4fe1c-e3bf-421e-8550-aa493665a32a",
   CellTags->"b:2.0.0"],
  Cell[88382, 2162, 878, 24, 87, "Input",ExpressionUUID->"3b110ecc-1573-49a3-9887-861e93f62571",
   CellTags->"b:2.0.0"],
  Cell[89263, 2188, 1106, 32, 302, "Output",ExpressionUUID->"7bf5ffc3-5eda-4986-b14a-7ad6adc62e04",
   CellTags->"b:2.0.0"],
  Cell[90372, 2222, 870, 34, 302, "Output",ExpressionUUID->"54bf7d40-ba67-4270-8c56-208ff0529e0f",
   CellTags->"b:2.0.0"],
  Cell[91257, 2259, 235, 5, 23, "Text",ExpressionUUID->"adeeaded-ec8c-4c16-98de-249190d12042",
   CellTags->"b:2.0.0"],
  Cell[91529, 2269, 168, 3, 34, "Subsubsection",ExpressionUUID->"1e9224e8-5cf7-4034-bc40-1b30a1e26fd9",
   CellTags->{"c:5", "b:2.0.0"}],
  Cell[91700, 2274, 232, 5, 23, "Text",ExpressionUUID->"8822862a-31d1-40c5-8644-3151f7e44781",
   CellTags->"b:2.0.0"],
  Cell[91957, 2283, 830, 24, 139, "Input",ExpressionUUID->"f2e98454-3dd0-48fc-8c15-9e55faaeee49",
   CellTags->"b:2.0.0"],
  Cell[92790, 2309, 2467, 58, 231, "Output",ExpressionUUID->"9fb00482-ce31-42fe-bbb5-b31422ef56aa",
   CellTags->"b:2.0.0"],
  Cell[95272, 2370, 214, 5, 23, "Text",ExpressionUUID->"049b45fe-4c05-4474-87c6-642721345861",
   CellTags->"b:2.0.0"],
  Cell[95511, 2379, 1769, 49, 178, "Input",ExpressionUUID->"cb4369f2-0cbf-4440-bc9e-31c124c80f71",
   CellTags->"b:2.0.0"],
  Cell[97283, 2430, 2166, 52, 213, "Output",ExpressionUUID->"09a60170-5fcd-40fd-9d5a-449bfd8e67c7",
   CellTags->"b:2.0.0"],
  Cell[99452, 2484, 2395, 57, 216, "Output",ExpressionUUID->"6dd9ee81-0bab-4001-9284-857bcd357f00",
   CellTags->"b:2.0.0"],
  Cell[101862, 2544, 169, 2, 23, "Text",ExpressionUUID->"ba56fb62-24de-401b-88e2-5022d04bb3ad",
   CellTags->"b:2.0.0"],
  Cell[102056, 2550, 991, 27, 121, "Input",ExpressionUUID->"fe8e5aef-b411-4f4f-8ee2-577ede2ee83e",
   CellTags->"b:2.0.0"],
  Cell[103050, 2579, 2383, 56, 245, "Output",ExpressionUUID->"0c9c1691-5d37-48bb-a260-92bee9c81f1b",
   CellTags->"b:2.0.0"],
  Cell[105448, 2638, 606, 11, 123, "Text",ExpressionUUID->"7194d77b-100a-4dee-b885-779b34fbed98",
   CellTags->"b:2.0.0"],
  Cell[106079, 2653, 313, 7, 68, "Input",ExpressionUUID->"eb7953b8-a46c-4b53-8a24-e82308a371d1",
   CellTags->"b:2.0.0"],
  Cell[106395, 2662, 2368, 56, 245, "Output",ExpressionUUID->"71ffb916-784e-4e54-92bc-64c2b6de7ca1",
   CellTags->"b:2.0.0"],
  Cell[108812, 2724, 166, 3, 34, "Subsubsection",ExpressionUUID->"2a6da8b3-2058-49d9-a3a7-e330c3baf4f4",
   CellTags->{"c:6", "b:2.0.0"}],
  Cell[109003, 2731, 662, 18, 112, "Input",ExpressionUUID->"68305f32-a514-45c9-94c5-005239b48250",
   CellTags->"b:2.0.0"],
  Cell[109668, 2751, 1714, 46, 245, "Output",ExpressionUUID->"c1d20d52-03f9-40d0-a261-f37181d27e9c",
   CellTags->"b:2.0.0"],
  Cell[111397, 2800, 214, 5, 23, "Text",ExpressionUUID->"8923f974-03cf-473b-8e4a-5f2768df875e",
   CellTags->"b:2.0.0"],
  Cell[111636, 2809, 1769, 49, 178, "Input",ExpressionUUID->"20e03787-b0c4-48ea-b596-f3de481b104a",
   CellTags->"b:2.0.0"],
  Cell[113408, 2860, 1696, 44, 213, "Output",ExpressionUUID->"709df71f-fa70-489c-b5c6-419aaf7297b9",
   CellTags->"b:2.0.0"],
  Cell[115107, 2906, 1685, 44, 216, "Output",ExpressionUUID->"5a0074de-00b7-49e4-abcd-92ad77879fc7",
   CellTags->"b:2.0.0"],
  Cell[116807, 2953, 169, 2, 23, "Text",ExpressionUUID->"954252b1-38e6-45a6-b5f2-e09ef0009f33",
   CellTags->"b:2.0.0"],
  Cell[117001, 2959, 1090, 30, 121, "Input",ExpressionUUID->"6cfa7d26-a7a9-437b-a44f-6306d644fa8a",
   CellTags->"b:2.0.0"],
  Cell[118094, 2991, 1671, 43, 270, "Output",ExpressionUUID->"19c7ff32-2bd1-4e5c-bfbc-53f6c8d1578e",
   CellTags->"b:2.0.0"],
  Cell[119814, 3040, 168, 3, 34, "Subsubsection",ExpressionUUID->"60a5b4fd-eced-4f21-89a6-5fe53df1df37",
   CellTags->{"c:7", "b:2.0.0"}],
  Cell[120007, 3047, 735, 21, 113, "Input",ExpressionUUID->"3aafc2c1-a9da-4c76-a063-88ebf1d91a5a",
   CellTags->"b:2.0.0"],
  Cell[120745, 3070, 1830, 48, 236, "Output",ExpressionUUID->"297e4496-80c6-4bf3-ae48-dfacfa11be14",
   CellTags->"b:2.0.0"],
  Cell[122590, 3121, 214, 5, 23, "Text",ExpressionUUID->"2860423f-db66-4137-8805-e0b4ace2d28c",
   CellTags->"b:2.0.0"],
  Cell[122829, 3130, 1769, 49, 178, "Input",ExpressionUUID->"302e71b6-ef6f-45c4-9458-e2dd9840d355",
   CellTags->"b:2.0.0"],
  Cell[124601, 3181, 3755, 74, 213, "Output",ExpressionUUID->"e743adc7-869a-4a82-9f06-ae5b2963d3b0",
   CellTags->"b:2.0.0"],
  Cell[128359, 3257, 2248, 53, 216, "Output",ExpressionUUID->"9a9395c4-a3cf-4381-92ff-192b3138f7dd",
   CellTags->"b:2.0.0"],
  Cell[130622, 3313, 169, 2, 23, "Text",ExpressionUUID->"8618a289-a4ef-43d8-9308-c8b98664280a",
   CellTags->"b:2.0.0"],
  Cell[130816, 3319, 991, 27, 121, "Input",ExpressionUUID->"0bef09a2-923f-4b3b-a5ff-aee6651ea211",
   CellTags->"b:2.0.0"],
  Cell[131810, 3348, 1820, 47, 254, "Output",ExpressionUUID->"dec96d66-0f02-49bb-a99c-56ff31c8745e",
   CellTags->"b:2.0.0"],
  Cell[133645, 3398, 196, 4, 23, "Text",ExpressionUUID->"7dc19866-b4f3-409c-8494-f1a75488e988",
   CellTags->"b:2.0.0"]},
 "S5.1.1"->{
  Cell[65282, 1488, 3116, 86, 62, "DefinitionBox",ExpressionUUID->"0f91dea1-c1f0-46b6-8338-422f990a7f79",
   CellTags->{"S5.1.1", "b:2.0.0"}]},
 "c:4"->{
  Cell[80747, 1943, 246, 8, 34, "Subsubsection",ExpressionUUID->"d227d78e-80ce-4797-8f23-0896941d8ffd",
   CellTags->{"c:4", "b:2.0.0"}]},
 "c:5"->{
  Cell[91529, 2269, 168, 3, 34, "Subsubsection",ExpressionUUID->"1e9224e8-5cf7-4034-bc40-1b30a1e26fd9",
   CellTags->{"c:5", "b:2.0.0"}]},
 "c:6"->{
  Cell[108812, 2724, 166, 3, 34, "Subsubsection",ExpressionUUID->"2a6da8b3-2058-49d9-a3a7-e330c3baf4f4",
   CellTags->{"c:6", "b:2.0.0"}]},
 "c:7"->{
  Cell[119814, 3040, 168, 3, 34, "Subsubsection",ExpressionUUID->"60a5b4fd-eced-4f21-89a6-5fe53df1df37",
   CellTags->{"c:7", "b:2.0.0"}]},
 "c:8"->{
  Cell[133890, 3408, 203, 4, 60, "Subsection",ExpressionUUID->"acedb3ca-226b-41fb-a504-2fcf0a257b2c",
   CellTags->{"c:8", "b:2.0.1"}]},
 "b:2.0.1"->{
  Cell[133890, 3408, 203, 4, 60, "Subsection",ExpressionUUID->"acedb3ca-226b-41fb-a504-2fcf0a257b2c",
   CellTags->{"c:8", "b:2.0.1"}],
  Cell[134096, 3414, 435, 7, 39, "Text",ExpressionUUID->"8a9ef4a2-aa37-4a25-86b0-046947954a88",
   CellTags->"b:2.0.1"],
  Cell[134534, 3423, 710, 21, 51, "Text",ExpressionUUID->"36b2cd13-d3c1-42ff-9229-e78b3a92de4d",
   CellTags->"b:2.0.1"],
  Cell[135247, 3446, 1531, 42, 101, "Input",ExpressionUUID->"52e79fa6-7047-4549-9763-1b91bb16b5a4",
   CellTags->"b:2.0.1"],
  Cell[136781, 3490, 178, 2, 23, "Text",ExpressionUUID->"9d8befef-bf79-47f9-915d-2dfe7253fbf3",
   CellTags->"b:2.0.1"],
  Cell[136962, 3494, 868, 24, 68, "Input",ExpressionUUID->"da40e006-9f53-4828-8805-3f81c8039ba1",
   CellTags->"b:2.0.1"],
  Cell[137833, 3520, 232, 4, 23, "Text",ExpressionUUID->"4a94f2d8-f8dc-4fbd-b64a-c970428410c1",
   CellTags->"b:2.0.1"],
  Cell[138068, 3526, 1156, 32, 68, "Input",ExpressionUUID->"066fcfbb-8e65-4830-b7f0-7467fafe9d6c",
   CellTags->"b:2.0.1"],
  Cell[139227, 3560, 841, 25, 48, "Input",ExpressionUUID->"5ea340e9-d403-44d7-8aa3-d40cf93f07fa",
   CellTags->"b:2.0.1"],
  Cell[140071, 3587, 653, 18, 48, "Input",ExpressionUUID->"91db7b81-47a2-4771-af56-44bab8fcc3a6",
   CellTags->"b:2.0.1"],
  Cell[140727, 3607, 169, 2, 23, "Text",ExpressionUUID->"db87e1eb-120c-40a3-b770-6780f3a88cd2",
   CellTags->"b:2.0.1"],
  Cell[140899, 3611, 2616, 67, 144, "Input",ExpressionUUID->"2436b29c-eeab-4258-a43f-77b86108778a",
   CellTags->"b:2.0.1"],
  Cell[143518, 3680, 290, 6, 23, "Text",ExpressionUUID->"55ce9b07-e5e6-457c-b4fe-9e3e243d0d55",
   CellTags->"b:2.0.1"],
  Cell[143811, 3688, 414, 10, 48, "Input",ExpressionUUID->"79826d97-cd35-4318-8806-4fe46ee399e1",
   CellTags->"b:2.0.1"],
  Cell[144228, 3700, 172, 2, 23, "Text",ExpressionUUID->"9d1dbb21-31c4-43eb-a4b2-00a6a04b6ec5",
   CellTags->"b:2.0.1"],
  Cell[144425, 3706, 529, 12, 87, "Input",ExpressionUUID->"3043f306-0f72-4d71-bdf5-69975463edec",
   CellTags->"b:2.0.1"],
  Cell[144957, 3720, 261, 6, 48, "Output",ExpressionUUID->"6536917d-0d53-444e-aea2-e49c777454f8",
   CellTags->"b:2.0.1"],
  Cell[145233, 3729, 235, 5, 23, "Text",ExpressionUUID->"c7a41b90-d51c-416b-b9c8-e7d5a5992170",
   CellTags->"b:2.0.1"],
  Cell[145493, 3738, 337, 7, 48, "Input",ExpressionUUID->"8eecaa42-7d6f-432e-a467-0d526566f261",
   CellTags->"b:2.0.1"],
  Cell[145833, 3747, 34479, 652, 302, "Output",ExpressionUUID->"f2169577-4ff9-4e38-9dd5-19823f316c64",
   CellTags->"b:2.0.1"],
  Cell[180349, 4404, 175, 3, 48, "Input",ExpressionUUID->"ce8932ff-45f3-4270-927e-865da2873cd2",
   CellTags->"b:2.0.1"],
  Cell[180527, 4409, 2122, 48, 302, "Output",ExpressionUUID->"504cae37-e4a1-4c27-9033-adc3b34be39e",
   CellTags->"b:2.0.1"],
  Cell[182664, 4460, 107, 1, 48, "Input",ExpressionUUID->"1a1a033f-f0d6-4264-89c9-880437d39f18",
   CellTags->"b:2.0.1"],
  Cell[182774, 4463, 1115, 29, 84, "Abstract",ExpressionUUID->"278f6fdf-4c0e-41a6-b92c-b364b92f1735",
   CellTags->"b:2.0.1"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"c:1", 185062, 4525},
 {"c:2", 185186, 4528},
 {"c:3", 185313, 4531},
 {"b:2.0.0", 185460, 4534},
 {"S5.1.1", 194413, 4679},
 {"c:4", 194567, 4682},
 {"c:5", 194716, 4685},
 {"c:6", 194865, 4688},
 {"c:7", 195015, 4691},
 {"c:8", 195165, 4694},
 {"b:2.0.1", 195316, 4697}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 115, 1, 51, "Title",ExpressionUUID->"86f84b5c-f0ef-4eed-8e5f-6e911507777a",
 CellTags->"c:1"],
Cell[663, 23, 100, 0, 35, "Subtitle",ExpressionUUID->"6abb23d9-8ecd-47c3-870a-5b5654ebdc9a"],
Cell[766, 25, 426, 10, 62, "Abstract",ExpressionUUID->"2951f8be-ec7a-41d0-8318-d72ad181edba"],
Cell[1195, 37, 212, 3, 22, "Text",ExpressionUUID->"042087db-8d1b-4462-9c61-e220d0b576c2"],
Cell[CellGroupData[{
Cell[1432, 44, 358, 7, 51, "Section",ExpressionUUID->"738b71d1-591e-4827-a5fe-503e3a457fde",
 CellTags->"c:2"],
Cell[CellGroupData[{
Cell[1815, 55, 193, 4, 60, "Subsection",ExpressionUUID->"95508fe9-f230-4796-a181-5edeced0386b",
 CellTags->{"c:3", "b:2.0.0"}],
Cell[2011, 61, 1115, 29, 84, "Abstract",ExpressionUUID->"573de845-753d-41e8-973a-7882f75d4ea9",
 CellTags->"b:2.0.0"],
Cell[3129, 92, 379, 7, 51, "Text",ExpressionUUID->"50cef94e-b8fd-43b0-a86f-63e90e421680",
 CellTags->"b:2.0.0"],
Cell[CellGroupData[{
Cell[3533, 103, 365, 7, 64, "Input",ExpressionUUID->"7b304adc-b5e6-4a69-9ccd-ba3c03e87a72",
 CellTags->"b:2.0.0"],
Cell[3901, 112, 279, 4, 24, "Print",ExpressionUUID->"78669cac-2940-4085-8e14-fe8c6b34e7f5",
 CellTags->"b:2.0.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4217, 121, 167, 3, 46, "Input",ExpressionUUID->"ce86752a-9361-4dc9-b677-76a24dae53f0",
 CellTags->"b:2.0.0"],
Cell[4387, 126, 56903, 1276, 425, "Output",ExpressionUUID->"17d0eaf4-8d4b-4828-8c9e-9baa2eb5f73c",
 CellTags->"b:2.0.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[61327, 1407, 366, 9, 68, "Input",ExpressionUUID->"12529923-7771-474b-93fa-c0396ef1dd36",
 CellTags->"b:2.0.0"],
Cell[61696, 1418, 3294, 59, 184, "Output",ExpressionUUID->"4ab9d57f-6ab6-4089-8eb8-6a92bfe3e9e9",
 CellTags->"b:2.0.0"]
}, Open  ]],
Cell[65005, 1480, 274, 6, 23, "Text",ExpressionUUID->"bcc30376-3c10-47f9-b696-4c8cc078887a",
 CellTags->"b:2.0.0"],
Cell[65282, 1488, 3116, 86, 62, "DefinitionBox",ExpressionUUID->"0f91dea1-c1f0-46b6-8338-422f990a7f79",
 CellTags->{"S5.1.1", "b:2.0.0"}],
Cell[68401, 1576, 632, 19, 54, "Text",ExpressionUUID->"0aaa89d4-afa1-4a0d-9f86-5a2b6b721eca",
 CellTags->"b:2.0.0"],
Cell[69036, 1597, 622, 16, 53, "Text",ExpressionUUID->"51a4898a-69f2-49c3-95b3-dbb22468bdcf",
 CellTags->"b:2.0.0"],
Cell[69661, 1615, 1722, 54, 83, "Text",ExpressionUUID->"01f8f9c8-970a-4931-851d-f8cfaa8e1d50",
 CellTags->"b:2.0.0"],
Cell[71386, 1671, 513, 15, 48, "Input",ExpressionUUID->"9ec8b30b-2983-4fbe-aefa-26180c358d4a",
 CellTags->"b:2.0.0"],
Cell[71902, 1688, 279, 5, 23, "Text",ExpressionUUID->"7762fd24-3058-4a1a-8766-53f4845830c2",
 CellTags->"b:2.0.0"],
Cell[72184, 1695, 2266, 58, 144, "Input",ExpressionUUID->"70af6af3-6bc4-4c04-8b55-a67bc2a92edd",
 CellTags->"b:2.0.0"],
Cell[74453, 1755, 2231, 59, 125, "Input",ExpressionUUID->"015b05b4-1645-485d-8fd2-4dac2b137fae",
 CellTags->"b:2.0.0"],
Cell[76687, 1816, 762, 14, 123, "Text",ExpressionUUID->"365f49d6-117f-44ea-8c4d-b1d41de21054",
 CellTags->"b:2.0.0"],
Cell[CellGroupData[{
Cell[77474, 1834, 241, 5, 48, "Input",ExpressionUUID->"d8378082-0e26-4184-858a-0b3d5fa60679",
 CellTags->"b:2.0.0"],
Cell[77718, 1841, 2001, 66, 298, "Output",ExpressionUUID->"c80ddecf-f2b1-4069-8e68-051f747c5e72",
 CellTags->"b:2.0.0"]
}, Open  ]],
Cell[79734, 1910, 391, 10, 27, "Text",ExpressionUUID->"2e82b5ef-cfd1-4493-86c7-5c4df57ad2d9",
 CellTags->"b:2.0.0"],
Cell[80128, 1922, 157, 2, 23, "Text",ExpressionUUID->"eddc5c2d-0ca9-4b35-9dab-4539c95208ad",
 CellTags->"b:2.0.0"],
Cell[CellGroupData[{
Cell[80310, 1928, 139, 2, 48, "Input",ExpressionUUID->"9bd4b50e-d48f-4f66-9a78-e67970a024a9",
 CellTags->"b:2.0.0"],
Cell[80452, 1932, 258, 6, 48, "Output",ExpressionUUID->"4665cf61-db4f-45c4-91d8-7bf5a3c47e89",
 CellTags->"b:2.0.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[80747, 1943, 246, 8, 34, "Subsubsection",ExpressionUUID->"d227d78e-80ce-4797-8f23-0896941d8ffd",
 CellTags->{"c:4", "b:2.0.0"}],
Cell[CellGroupData[{
Cell[81018, 1955, 623, 17, 112, "Input",ExpressionUUID->"b32b75d2-5721-4cce-9dd3-f43c477c5e2a",
 CellTags->"b:2.0.0"],
Cell[81644, 1974, 1170, 34, 302, "Output",ExpressionUUID->"5ae7b605-ed66-40c1-9a48-357ab1108a97",
 CellTags->"b:2.0.0"],
Cell[82817, 2010, 1901, 47, 264, "Output",ExpressionUUID->"ca8c1e2f-07d3-4583-86a5-c921f4ca4e09",
 CellTags->"b:2.0.0"]
}, Open  ]],
Cell[84733, 2060, 214, 5, 23, "Text",ExpressionUUID->"7c30dba1-dd60-4171-a787-cec3869f14b6",
 CellTags->"b:2.0.0"],
Cell[CellGroupData[{
Cell[84972, 2069, 551, 15, 48, "Input",ExpressionUUID->"0120a46b-2ed1-4cc1-9b8f-ca0bd36c2922",
 CellTags->"b:2.0.0"],
Cell[85526, 2086, 2621, 65, 302, "Output",ExpressionUUID->"9e045fd2-bf24-40d5-bfde-9848d5f06555",
 CellTags->"b:2.0.0"]
}, Open  ]],
Cell[88162, 2154, 195, 4, 23, "Text",ExpressionUUID->"9ba4fe1c-e3bf-421e-8550-aa493665a32a",
 CellTags->"b:2.0.0"],
Cell[CellGroupData[{
Cell[88382, 2162, 878, 24, 87, "Input",ExpressionUUID->"3b110ecc-1573-49a3-9887-861e93f62571",
 CellTags->"b:2.0.0"],
Cell[89263, 2188, 1106, 32, 302, "Output",ExpressionUUID->"7bf5ffc3-5eda-4986-b14a-7ad6adc62e04",
 CellTags->"b:2.0.0"],
Cell[90372, 2222, 870, 34, 302, "Output",ExpressionUUID->"54bf7d40-ba67-4270-8c56-208ff0529e0f",
 CellTags->"b:2.0.0"]
}, Open  ]],
Cell[91257, 2259, 235, 5, 23, "Text",ExpressionUUID->"adeeaded-ec8c-4c16-98de-249190d12042",
 CellTags->"b:2.0.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[91529, 2269, 168, 3, 34, "Subsubsection",ExpressionUUID->"1e9224e8-5cf7-4034-bc40-1b30a1e26fd9",
 CellTags->{"c:5", "b:2.0.0"}],
Cell[91700, 2274, 232, 5, 23, "Text",ExpressionUUID->"8822862a-31d1-40c5-8644-3151f7e44781",
 CellTags->"b:2.0.0"],
Cell[CellGroupData[{
Cell[91957, 2283, 830, 24, 139, "Input",ExpressionUUID->"f2e98454-3dd0-48fc-8c15-9e55faaeee49",
 CellTags->"b:2.0.0"],
Cell[92790, 2309, 2467, 58, 231, "Output",ExpressionUUID->"9fb00482-ce31-42fe-bbb5-b31422ef56aa",
 CellTags->"b:2.0.0"]
}, Open  ]],
Cell[95272, 2370, 214, 5, 23, "Text",ExpressionUUID->"049b45fe-4c05-4474-87c6-642721345861",
 CellTags->"b:2.0.0"],
Cell[CellGroupData[{
Cell[95511, 2379, 1769, 49, 178, "Input",ExpressionUUID->"cb4369f2-0cbf-4440-bc9e-31c124c80f71",
 CellTags->"b:2.0.0"],
Cell[97283, 2430, 2166, 52, 213, "Output",ExpressionUUID->"09a60170-5fcd-40fd-9d5a-449bfd8e67c7",
 CellTags->"b:2.0.0"],
Cell[99452, 2484, 2395, 57, 216, "Output",ExpressionUUID->"6dd9ee81-0bab-4001-9284-857bcd357f00",
 CellTags->"b:2.0.0"]
}, Open  ]],
Cell[101862, 2544, 169, 2, 23, "Text",ExpressionUUID->"ba56fb62-24de-401b-88e2-5022d04bb3ad",
 CellTags->"b:2.0.0"],
Cell[CellGroupData[{
Cell[102056, 2550, 991, 27, 121, "Input",ExpressionUUID->"fe8e5aef-b411-4f4f-8ee2-577ede2ee83e",
 CellTags->"b:2.0.0"],
Cell[103050, 2579, 2383, 56, 245, "Output",ExpressionUUID->"0c9c1691-5d37-48bb-a260-92bee9c81f1b",
 CellTags->"b:2.0.0"]
}, Open  ]],
Cell[105448, 2638, 606, 11, 123, "Text",ExpressionUUID->"7194d77b-100a-4dee-b885-779b34fbed98",
 CellTags->"b:2.0.0"],
Cell[CellGroupData[{
Cell[106079, 2653, 313, 7, 68, "Input",ExpressionUUID->"eb7953b8-a46c-4b53-8a24-e82308a371d1",
 CellTags->"b:2.0.0"],
Cell[106395, 2662, 2368, 56, 245, "Output",ExpressionUUID->"71ffb916-784e-4e54-92bc-64c2b6de7ca1",
 CellTags->"b:2.0.0"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[108812, 2724, 166, 3, 34, "Subsubsection",ExpressionUUID->"2a6da8b3-2058-49d9-a3a7-e330c3baf4f4",
 CellTags->{"c:6", "b:2.0.0"}],
Cell[CellGroupData[{
Cell[109003, 2731, 662, 18, 112, "Input",ExpressionUUID->"68305f32-a514-45c9-94c5-005239b48250",
 CellTags->"b:2.0.0"],
Cell[109668, 2751, 1714, 46, 245, "Output",ExpressionUUID->"c1d20d52-03f9-40d0-a261-f37181d27e9c",
 CellTags->"b:2.0.0"]
}, Open  ]],
Cell[111397, 2800, 214, 5, 23, "Text",ExpressionUUID->"8923f974-03cf-473b-8e4a-5f2768df875e",
 CellTags->"b:2.0.0"],
Cell[CellGroupData[{
Cell[111636, 2809, 1769, 49, 178, "Input",ExpressionUUID->"20e03787-b0c4-48ea-b596-f3de481b104a",
 CellTags->"b:2.0.0"],
Cell[113408, 2860, 1696, 44, 213, "Output",ExpressionUUID->"709df71f-fa70-489c-b5c6-419aaf7297b9",
 CellTags->"b:2.0.0"],
Cell[115107, 2906, 1685, 44, 216, "Output",ExpressionUUID->"5a0074de-00b7-49e4-abcd-92ad77879fc7",
 CellTags->"b:2.0.0"]
}, Open  ]],
Cell[116807, 2953, 169, 2, 23, "Text",ExpressionUUID->"954252b1-38e6-45a6-b5f2-e09ef0009f33",
 CellTags->"b:2.0.0"],
Cell[CellGroupData[{
Cell[117001, 2959, 1090, 30, 121, "Input",ExpressionUUID->"6cfa7d26-a7a9-437b-a44f-6306d644fa8a",
 CellTags->"b:2.0.0"],
Cell[118094, 2991, 1671, 43, 270, "Output",ExpressionUUID->"19c7ff32-2bd1-4e5c-bfbc-53f6c8d1578e",
 CellTags->"b:2.0.0"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[119814, 3040, 168, 3, 34, "Subsubsection",ExpressionUUID->"60a5b4fd-eced-4f21-89a6-5fe53df1df37",
 CellTags->{"c:7", "b:2.0.0"}],
Cell[CellGroupData[{
Cell[120007, 3047, 735, 21, 113, "Input",ExpressionUUID->"3aafc2c1-a9da-4c76-a063-88ebf1d91a5a",
 CellTags->"b:2.0.0"],
Cell[120745, 3070, 1830, 48, 236, "Output",ExpressionUUID->"297e4496-80c6-4bf3-ae48-dfacfa11be14",
 CellTags->"b:2.0.0"]
}, Open  ]],
Cell[122590, 3121, 214, 5, 23, "Text",ExpressionUUID->"2860423f-db66-4137-8805-e0b4ace2d28c",
 CellTags->"b:2.0.0"],
Cell[CellGroupData[{
Cell[122829, 3130, 1769, 49, 178, "Input",ExpressionUUID->"302e71b6-ef6f-45c4-9458-e2dd9840d355",
 CellTags->"b:2.0.0"],
Cell[124601, 3181, 3755, 74, 213, "Output",ExpressionUUID->"e743adc7-869a-4a82-9f06-ae5b2963d3b0",
 CellTags->"b:2.0.0"],
Cell[128359, 3257, 2248, 53, 216, "Output",ExpressionUUID->"9a9395c4-a3cf-4381-92ff-192b3138f7dd",
 CellTags->"b:2.0.0"]
}, Open  ]],
Cell[130622, 3313, 169, 2, 23, "Text",ExpressionUUID->"8618a289-a4ef-43d8-9308-c8b98664280a",
 CellTags->"b:2.0.0"],
Cell[CellGroupData[{
Cell[130816, 3319, 991, 27, 121, "Input",ExpressionUUID->"0bef09a2-923f-4b3b-a5ff-aee6651ea211",
 CellTags->"b:2.0.0"],
Cell[131810, 3348, 1820, 47, 254, "Output",ExpressionUUID->"dec96d66-0f02-49bb-a99c-56ff31c8745e",
 CellTags->"b:2.0.0"]
}, Open  ]],
Cell[133645, 3398, 196, 4, 23, "Text",ExpressionUUID->"7dc19866-b4f3-409c-8494-f1a75488e988",
 CellTags->"b:2.0.0"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[133890, 3408, 203, 4, 60, "Subsection",ExpressionUUID->"acedb3ca-226b-41fb-a504-2fcf0a257b2c",
 CellTags->{"c:8", "b:2.0.1"}],
Cell[134096, 3414, 435, 7, 39, "Text",ExpressionUUID->"8a9ef4a2-aa37-4a25-86b0-046947954a88",
 CellTags->"b:2.0.1"],
Cell[134534, 3423, 710, 21, 51, "Text",ExpressionUUID->"36b2cd13-d3c1-42ff-9229-e78b3a92de4d",
 CellTags->"b:2.0.1"],
Cell[135247, 3446, 1531, 42, 101, "Input",ExpressionUUID->"52e79fa6-7047-4549-9763-1b91bb16b5a4",
 CellTags->"b:2.0.1"],
Cell[136781, 3490, 178, 2, 23, "Text",ExpressionUUID->"9d8befef-bf79-47f9-915d-2dfe7253fbf3",
 CellTags->"b:2.0.1"],
Cell[136962, 3494, 868, 24, 68, "Input",ExpressionUUID->"da40e006-9f53-4828-8805-3f81c8039ba1",
 CellTags->"b:2.0.1"],
Cell[137833, 3520, 232, 4, 23, "Text",ExpressionUUID->"4a94f2d8-f8dc-4fbd-b64a-c970428410c1",
 CellTags->"b:2.0.1"],
Cell[138068, 3526, 1156, 32, 68, "Input",ExpressionUUID->"066fcfbb-8e65-4830-b7f0-7467fafe9d6c",
 CellTags->"b:2.0.1"],
Cell[139227, 3560, 841, 25, 48, "Input",ExpressionUUID->"5ea340e9-d403-44d7-8aa3-d40cf93f07fa",
 CellTags->"b:2.0.1"],
Cell[140071, 3587, 653, 18, 48, "Input",ExpressionUUID->"91db7b81-47a2-4771-af56-44bab8fcc3a6",
 CellTags->"b:2.0.1"],
Cell[140727, 3607, 169, 2, 23, "Text",ExpressionUUID->"db87e1eb-120c-40a3-b770-6780f3a88cd2",
 CellTags->"b:2.0.1"],
Cell[140899, 3611, 2616, 67, 144, "Input",ExpressionUUID->"2436b29c-eeab-4258-a43f-77b86108778a",
 CellTags->"b:2.0.1"],
Cell[143518, 3680, 290, 6, 23, "Text",ExpressionUUID->"55ce9b07-e5e6-457c-b4fe-9e3e243d0d55",
 CellTags->"b:2.0.1"],
Cell[143811, 3688, 414, 10, 48, "Input",ExpressionUUID->"79826d97-cd35-4318-8806-4fe46ee399e1",
 CellTags->"b:2.0.1"],
Cell[144228, 3700, 172, 2, 23, "Text",ExpressionUUID->"9d1dbb21-31c4-43eb-a4b2-00a6a04b6ec5",
 CellTags->"b:2.0.1"],
Cell[CellGroupData[{
Cell[144425, 3706, 529, 12, 87, "Input",ExpressionUUID->"3043f306-0f72-4d71-bdf5-69975463edec",
 CellTags->"b:2.0.1"],
Cell[144957, 3720, 261, 6, 48, "Output",ExpressionUUID->"6536917d-0d53-444e-aea2-e49c777454f8",
 CellTags->"b:2.0.1"]
}, Open  ]],
Cell[145233, 3729, 235, 5, 23, "Text",ExpressionUUID->"c7a41b90-d51c-416b-b9c8-e7d5a5992170",
 CellTags->"b:2.0.1"],
Cell[CellGroupData[{
Cell[145493, 3738, 337, 7, 48, "Input",ExpressionUUID->"8eecaa42-7d6f-432e-a467-0d526566f261",
 CellTags->"b:2.0.1"],
Cell[145833, 3747, 34479, 652, 302, "Output",ExpressionUUID->"f2169577-4ff9-4e38-9dd5-19823f316c64",
 CellTags->"b:2.0.1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[180349, 4404, 175, 3, 48, "Input",ExpressionUUID->"ce8932ff-45f3-4270-927e-865da2873cd2",
 CellTags->"b:2.0.1"],
Cell[180527, 4409, 2122, 48, 302, "Output",ExpressionUUID->"504cae37-e4a1-4c27-9033-adc3b34be39e",
 CellTags->"b:2.0.1"]
}, Open  ]],
Cell[182664, 4460, 107, 1, 48, "Input",ExpressionUUID->"1a1a033f-f0d6-4264-89c9-880437d39f18",
 CellTags->"b:2.0.1"],
Cell[182774, 4463, 1115, 29, 84, "Abstract",ExpressionUUID->"278f6fdf-4c0e-41a6-b92c-b364b92f1735",
 CellTags->"b:2.0.1"]
}, Open  ]]
}, Open  ]]
}
]
*)

